# Priceline Design System

[![Coverage][coverage-badge]][coverage]
[![npm version][npm version]][npm version]
![bundlephobia-badge]

```sh
npm install pcln-design-system
```

## Documentation

- [Storybook][storybook]

## Motivation

In order to create a consistently great experience for our users, the design
system is meant to be the single source of truth for user interface standards
for both designers and developers.

Built off of the work of previous efforts, this project intends
to consolidate those ideas into a living, well-documented, and growing system.

## Goals

The core goals of this project are to:

- Speed up design and development velocity
- Help create consistent, beautiful, and usable UI in our applications
- Promote best practices for accessibility, internationalization, and
  responsive web design.

We hope to accomplish these goals by:

- Reducing the number of decisions needed when iterating on UI
- Reducing the amount of code duplication in our apps
- Serving as the standard for Priceline.com's visual language
- Providing easy-to-use and extensible components for anyone to consume.

[coverage]: https://codecov.io/github/priceline/design-system
[coverage-badge]: https://img.shields.io/codecov/c/github/priceline/design-system.svg?style=flat-square
[npm version]: https://img.shields.io/npm/v/pcln-design-system.svg?style=flat-square
[storybook]: https://main--5a85e56213417800200978ab.chromatic.com
[bundlephobia-badge]: https://badgen.net/bundlephobia/minzip/pcln-design-system?color=cyan
