"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Accordion = Accordion;
var RadixAccordion = _interopRequireWildcard(require("@radix-ui/react-accordion"));
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Accordion = require("./Accordion.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
function Accordion({
  items,
  itemsState,
  isExternallyControlled,
  onToggle,
  type = 'multiple',
  variation = 'default',
  p = '12px',
  headerDividerColor,
  ...props
}) {
  return items ? _react.default.createElement(_Accordion.StyledAccordionRoot
  // @ts-ignore
  , {
    // @ts-ignore
    type: type,
    defaultValue: itemsState ?? items.map(child => child.value),
    value: isExternallyControlled ? itemsState : undefined,
    collapsible: true,
    variation: variation,
    onValueChange: onToggle,
    "data-testid": 'accordion-root',
    style: {
      isolation: 'isolate'
    }
  }, items.map((child, index) => _react.default.createElement(RadixAccordion.Item, {
    key: child.value,
    asChild: true,
    value: child.value
  }, _react.default.createElement(_Accordion.StyledItem, {
    variation: variation,
    overflow: 'hidden',
    borderRadius: '12px',
    marginBottom: '12px',
    headerBg: child.headerBg,
    "data-testid": `styled-item-${child.value}`,
    headerDividerColor: index > 0 && headerDividerColor
  }, _react.default.createElement(_Accordion.StyledTrigger, {
    ...props,
    p: p,
    variation: variation
  }, _react.default.createElement(_Flex.Flex, {
    width: '100%',
    justifyContent: 'space-between',
    alignItems: 'center'
  }, child.headerLabel, child.headerActions ? _react.default.createElement(_Box.Box, {
    onClick: e => e.preventDefault()
  }, child.headerActions) : null), _react.default.createElement(_Accordion.IconContainer, {
    margin: 'auto',
    height: '25px'
  }, _react.default.createElement(_Accordion.StyledChevron, {
    className: 'chevron',
    variation: variation
  }))), _react.default.createElement(_Accordion.StyledContent, {
    ...props,
    p: p,
    variation: variation
  }, child.content))))) : null;
}