"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Underlined = exports.TrackStateSingular = exports.TrackStateMultiple = exports.Singular = exports.Ladder = exports.ItemStatePropCard = exports.Hug = exports.HeaderWithFunction = exports.FlatCard = exports.ChevronClose = exports.Card = exports.Basic = void 0;
var _jest = require("@storybook/jest");
var _testingLibrary = require("@storybook/testing-library");
var _react = _interopRequireWildcard(require("react"));
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _theme = require("../theme/theme");
var _Accordion = require("./Accordion");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'Accordion',
  component: _Accordion.Accordion,
  argTypes: {
    onToggle: {
      action: true
    },
    p: {
      options: _theme.theme.space,
      control: {
        type: 'select'
      },
      description: 'Padding for the content and header sections'
    }
  }
};
const items = [{
  headerLabel: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "Header Label First Item")),
  content: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "I am some content"), _react.default.createElement(_Text.Text, null, "I am some content"), _react.default.createElement(_Text.Text, null, "I am some content")),
  value: 'item-1'
}, {
  headerLabel: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "Second Header")),
  headerActions: _react.default.createElement(_Button.Button, {
    onClick: () => console.log('test')
  }, "Test Button"),
  content: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "I am secondary content"), _react.default.createElement(_Text.Text, null, "I am secondary content"), _react.default.createElement(_Text.Text, null, "I am secondary content")),
  value: 'item-2'
}, {
  content: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "No Header Label on Third Item"), _react.default.createElement(_Text.Text, null, "Tertiary text"), _react.default.createElement(_Text.Text, null, "Tertiary text"), _react.default.createElement(_Text.Text, null, "Tertiary text")),
  value: 'item-3'
}];
const Basic = exports.Basic = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    const headerLabel = canvas.getByText('Header Label First Item');
    await (0, _jest.expect)(args.onToggle).not.toHaveBeenCalled();
    await (0, _jest.expect)(canvas.queryAllByText('I am some content')).toHaveLength(3);
    await _testingLibrary.userEvent.click(headerLabel);
    setTimeout(async () => {
      await (0, _jest.expect)(canvas.queryAllByText('I am some content')).toHaveLength(0);
      await (0, _jest.expect)(args.onToggle).toHaveBeenCalled();
    }, 350);
  },
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items
  })
};
const Underlined = exports.Underlined = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    variation: 'underline'
  })
};
const Hug = exports.Hug = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    variation: 'hug'
  })
};
const Ladder = exports.Ladder = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    headerDividerColor: 'border.base',
    items: [{
      ...items[0],
      headerBg: 'success.light'
    }, {
      ...items[1]
    }],
    variation: 'ladder'
  })
};
const Card = exports.Card = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    variation: 'card'
  })
};
const ItemStatePropCard = exports.ItemStatePropCard = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    variation: 'card',
    itemsState: ['item-1', 'item-2']
  })
};
const FlatCard = exports.FlatCard = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    variation: 'flatCard'
  })
};
const Singular = exports.Singular = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: items,
    type: 'single'
  })
};
const ChevronClose = exports.ChevronClose = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    isAnimatedChevron: true,
    items: items
  })
};
const TrackStateMultiple = exports.TrackStateMultiple = {
  render: args => {
    const [itemsState, setItemsState] = (0, _react.useState)(['item-1', 'item-3']);
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "Items Open: ", itemsState.join(', ')), _react.default.createElement(_Button.Button, {
      onClick: () => {
        setItemsState([]);
      }
    }, "Collapse all items"), _react.default.createElement(_Accordion.Accordion, {
      ...args,
      items: items,
      itemsState: itemsState,
      isExternallyControlled: true,
      onToggle: newItemsState => {
        setItemsState(newItemsState);
        console.log('previousState:', itemsState, 'newState:', newItemsState);
      }
    }));
  }
};
const TrackStateSingular = exports.TrackStateSingular = {
  play: async ({
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    const headerLabel = canvas.getByText('Header Label First Item');
    await (0, _jest.expect)(canvas.queryAllByText('I am some content')).toHaveLength(0);
    await (0, _jest.expect)(canvas.queryAllByText('I am secondary content')).toHaveLength(3);
    await (0, _jest.expect)(canvas.queryByText('Item Open: item-1')).toBeFalsy();
    await (0, _jest.expect)(canvas.queryByText('Item Open: item-2')).toBeTruthy();
    await _testingLibrary.userEvent.click(headerLabel);
    setTimeout(async () => {
      await (0, _jest.expect)(canvas.queryAllByText('I am some content')).toHaveLength(3);
      await (0, _jest.expect)(canvas.queryAllByText('I am secondary content')).toHaveLength(0);
      await (0, _jest.expect)(canvas.queryByText('Item Open: item-1')).toBeTruthy();
      await (0, _jest.expect)(canvas.queryByText('Item Open: item-2')).toBeFalsy();
    }, 350);
  },
  render: args => {
    const [itemsState, setItemsState] = (0, _react.useState)('item-2');
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "Item Open: ", itemsState), _react.default.createElement(_Accordion.Accordion, {
      ...args,
      items: items,
      itemsState: itemsState,
      onToggle: newItemsState => {
        setItemsState(newItemsState);
        console.log('previousState:', itemsState, 'newState:', newItemsState);
      },
      type: 'single'
    }));
  }
};
const itemWithFunc = {
  headerLabel: _react.default.createElement(_Flex.Flex, {
    justifyContent: 'left',
    alignItems: 'center'
  }, _react.default.createElement(_Text.Text, {
    mr: 3
  }, "Header Label First Item"), _react.default.createElement(_Button.Button, {
    onClick: e => {
      e.stopPropagation();
      alert('testClick');
    }
  }, "TestButton")),
  content: _react.default.createElement(_Text.Text, null, "Single content"),
  value: 'item-4'
};
const HeaderWithFunction = exports.HeaderWithFunction = {
  render: args => _react.default.createElement(_Accordion.Accordion, {
    ...args,
    items: [...items, itemWithFunc],
    type: 'single'
  })
};