"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.StyledTrigger = exports.StyledItem = exports.StyledContent = exports.StyledChevron = exports.StyledAccordionRoot = exports.IconContainer = void 0;
var Accordion = _interopRequireWildcard(require("@radix-ui/react-accordion"));
var _themeGet = require("@styled-system/theme-get");
var _pclnIcons = require("pcln-icons");
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const slideDown = /*#__PURE__*/(0, _styledComponents.keyframes)(["from{height:0;}to{height:var(--radix-accordion-content-height);}"]);
const slideUp = /*#__PURE__*/(0, _styledComponents.keyframes)(["from{height:var(--radix-accordion-content-height);}to{height:0;}"]);
const StyledAccordionRoot = exports.StyledAccordionRoot = /*#__PURE__*/(0, _styledComponents.default)(Accordion.Root).withConfig({
  displayName: "Accordionstyled__StyledAccordionRoot",
  componentId: "sc-1t08mt0-0"
})(["", ""], props => props.variation === 'ladder' ? `
      overflow: hidden;
      box-shadow: ${(0, _themeGet.themeGet)('shadows.sm')(props)};
      border-radius: ${(0, _themeGet.themeGet)('borderRadii.lg')(props)};
    ` : '');
const StyledContent = exports.StyledContent = /*#__PURE__*/(0, _styledComponents.default)(Accordion.Content).withConfig({
  displayName: "Accordionstyled__StyledContent",
  componentId: "sc-1t08mt0-1"
})(["overflow:hidden;", " background-color:", ";&[data-state='open']{animation:", " ", " ", ";}&[data-state='closed']{animation:", " ", " ", ";}"], _styledSystem.space, props => props.variation === 'default' ? (0, _utils.getPaletteColor)('background.light')(props) : '#fff', slideDown, (0, _themeGet.themeGet)('duration.normal'), (0, _themeGet.themeGet)('timingFunctions.easeInOut'), slideUp, (0, _themeGet.themeGet)('duration.normal'), (0, _themeGet.themeGet)('timingFunctions.easeInOut'));
const StyledTrigger = exports.StyledTrigger = /*#__PURE__*/(0, _styledComponents.default)(Accordion.Trigger).attrs(_borderRadiusAttrs.borderRadiusAttrs).withConfig({
  displayName: "Accordionstyled__StyledTrigger",
  componentId: "sc-1t08mt0-2"
})(["all:unset;box-sizing:border-box;display:flex;justify-content:space-between;width:100%;color:", ";&[data-state='open'] .chevron{transform:rotate(180deg);}&[data-state='closed']{", "}", " ", " ", " &:hover{cursor:pointer;", "}&:focus-visible{outline:2px solid ", ";outline-offset:-2px;}"], props => props.variation === 'hug' ? (0, _utils.getPaletteColor)('text.lightest')(props) : '', props => props.variation === 'flatCard' ? `background-color: ${(0, _utils.getPaletteColor)('background.light')(props)}` : '', props => props.variation === 'ladder' ? '' : `
    border-top-left-radius: ${(0, _themeGet.themeGet)('borderRadii.lg')};
    border-top-right-radius: ${(0, _themeGet.themeGet)('borderRadii.lg')};
  `, _styledSystem.space, props => `border-bottom: 1px solid ${props.variation === 'underline' ? (0, _utils.getPaletteColor)('border.base')(props) : 'transparent'};`, props => `background-color: ${props.variation === 'hug' ? (0, _utils.getPaletteColor)('primary.dark')(props) : (0, _utils.getPaletteColor)('background.base')(props)};`, (0, _utils.getPaletteColor)('primary.dark'));
const StyledChevron = exports.StyledChevron = /*#__PURE__*/(0, _styledComponents.default)(_pclnIcons.ChevronDown).withConfig({
  displayName: "Accordionstyled__StyledChevron",
  componentId: "sc-1t08mt0-3"
})(["margin:auto 8px;transition:transform ", " ", ";border-radius:", ";color:", ";"], (0, _themeGet.themeGet)('duration.normal'), (0, _themeGet.themeGet)('timingFunctions.easeInOut'), (0, _themeGet.themeGet)('borderRadii.full'), props => props.variation === 'hug' ? (0, _utils.getPaletteColor)('text.lightest')(props) : (0, _utils.getPaletteColor)('primary.base')(props));
const IconContainer = exports.IconContainer = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Accordionstyled__IconContainer",
  componentId: "sc-1t08mt0-4"
})(["position:relative;&:after{content:'';position:absolute;transition:transform ", " ", ";transform:scale(0);width:25px;height:25px;left:8px;top:0;border-radius:", ";}&:hover{&:after{background-color:rgba(0,0,0,0.12);transform:scale(1.2);}}"], (0, _themeGet.themeGet)('duration.normal'), (0, _themeGet.themeGet)('timingFunctions.easeInOut'), (0, _themeGet.themeGet)('borderRadii.full'));
const StyledItem = exports.StyledItem = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Accordionstyled__StyledItem",
  componentId: "sc-1t08mt0-5"
})(["", " ", " ", " ", " &[data-state='open'],&:hover{", "}&[data-state='closed']{", " ", " &:hover{", "}}"], props => ['card', 'flatCard'].includes(props.variation) ? 'border: solid 1px transparent;' : '', props => props.variation === 'default' ? `background-color: ${(0, _utils.getPaletteColor)('background.light')(props)};` : '', props => props.variation === 'hug' ? `background-color: ${(0, _utils.getPaletteColor)('primary.base')(props)};
      border: 1px solid ${(0, _utils.getPaletteColor)('primary.base')(props)};` : '', props => props.variation === 'ladder' ? `background-color: ${(0, _utils.getPaletteColor)(props.headerBg || 'background.light')(props)};
        ${props.headerDividerColor ? `border-top: solid ${(0, _utils.getPaletteColor)(props.headerDividerColor)(props)} 1px;` : ''}
        border-radius: 0px; margin-bottom: 0px;
        ` : '', props => ['card', 'flatCard'].includes(props.variation) ? `
        border-color: ${(0, _utils.getPaletteColor)('border.base')(props)};
        box-shadow: none;
        ` : '', props => props.variation === 'underline' ? `
          border-bottom-left-radius: 0px;
          border-bottom-right-radius: 0px;` : '', props => ['card'].includes(props.variation) ? `
          box-shadow: ${(0, _themeGet.themeGet)('shadows.sm')(props)}; 
          border-color: transparent;
        ` : '', props => ['card', 'flatCard'].includes(props.variation) ? `
            box-shadow: ${(0, _themeGet.themeGet)('shadows.xl')(props)};
            border-color: transparent;
          ` : '');