"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Avatar = Avatar;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Heading = require("../Heading/Heading");
var _Text = require("../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const StyledImage = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Avatar__StyledImage",
  componentId: "sc-nqcw6k-0"
})(["display:flex;justify-content:center;align-items:center;border-radius:50%;background-size:cover;background-image:url(", ");"], props => props.src);
/**
 * @public
 */
function Avatar({
  altText = 'avatar',
  className = '',
  color = 'primary',
  colorScheme,
  initials,
  subtitle,
  src,
  size = 40,
  title
}) {
  return _react.default.createElement(_Flex.Flex, {
    className: className
  }, _react.default.createElement(StyledImage, {
    role: 'img',
    src: src,
    alt: altText,
    size: size,
    minWidth: size,
    color: color,
    p: 2,
    colorScheme: colorScheme
  }, !src && initials && _react.default.createElement(_Text.Text, {
    fontSize: 1
  }, initials.toUpperCase()), !src && !initials && _react.default.createElement(_pclnIcons.User, null)), title && _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column',
    justifyContent: 'center',
    ml: 3
  }, _react.default.createElement(_Heading.Heading.h5, {
    m: 0
  }, title), _react.default.createElement(_Text.Text, {
    color: 'text.light',
    fontSize: 0
  }, subtitle)));
}
Avatar.displayName = 'Avatar';