"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _Avatar = require("./Avatar");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const elonJPG = 'https://pbs.twimg.com/media/DwSta0wUcAAQQR9.jpg';
describe('Avatar', () => {
  test('renders default', () => {
    const {
      asFragment
    } = (0, _testingLibrary.render)(_react.default.createElement(_Avatar.Avatar, null));
    expect(asFragment()).toMatchSnapshot();
  });
  test('renders initials', () => {
    const {
      asFragment
    } = (0, _testingLibrary.render)(_react.default.createElement(_Avatar.Avatar, {
      initials: 'WS'
    }));
    expect(asFragment()).toMatchSnapshot();
  });
  test('renders mr elon', () => {
    const {
      asFragment
    } = (0, _testingLibrary.render)(_react.default.createElement(_Avatar.Avatar, {
      title: 'Not Elon Musk',
      subtitle: 'totally.not.elon@musk.com',
      src: elonJPG,
      altText: 'papa-elon'
    }));
    expect(asFragment()).toMatchSnapshot();
  });
});