"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.backgroundPositionList = exports.BackgroundImage = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const variations = {
  parallax: (0, _styledComponents.css)(["background-attachment:fixed;"]),
  static: (0, _styledComponents.css)(["background-attachment:scroll;"])
};
/**
 * @public
 */
const backgroundPositionList = exports.backgroundPositionList = ['top', 'bottom', 'left', 'right', 'center'];
const image = props => props.image ? {
  backgroundImage: `url(${props.image})`
} : null;
/**
 * @public
 */
const BackgroundImage = exports.BackgroundImage = /*#__PURE__*/_styledComponents.default.div.attrs(_borderRadiusAttrs.borderRadiusAttrs).withConfig({
  displayName: "BackgroundImage",
  componentId: "sc-1eaij4d-0"
})(["background-position:", ";background-size:cover;background-repeat:no-repeat;background-color:", ";", " ", "  ", ""], props => props.backgroundPosition, (0, _utils.getPaletteColor)('border.light'), (0, _utils.applyVariations)('BackgroundImage', variations), image, props => (0, _styledSystem.compose)(_styledSystem.height, _styledSystem.width, _styledSystem.borderRadius)(props));
BackgroundImage.defaultProps = {
  variation: 'static',
  backgroundPosition: 'center'
};
BackgroundImage.displayName = 'BackgroundImage';