"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._BackgroundImage = exports.Rounded = exports.Responsive = exports.FixedIntHeight = exports.FixedHeight = exports.BackgroundPosition = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Card = require("../Card/Card");
var _Text = require("../Text/Text");
var _BackgroundImage2 = require("./BackgroundImage");
var _BackgroundImageStories = require("./BackgroundImage.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'core / BackgroundImage',
  component: _BackgroundImage2.BackgroundImage,
  args: _BackgroundImageStories.defaultArgs,
  argTypes: _BackgroundImageStories.argTypes,
  decorators: [story => _react.default.createElement(_Box.Box, {
    height: '600px',
    width: '100%'
  }, story())],
  parameters: {
    docs: {
      description: {
        component: `Use the <code>&lt;BackgroundImage /&gt;</code> component to render a
    background image. Use the *variation* prop to change the attachment mode
    of the background.`
      }
    }
  }
};
const Template = args => _react.default.createElement(_BackgroundImage2.BackgroundImage, {
  ...args
});
const _BackgroundImage = exports._BackgroundImage = Template.bind({});
const StoryChildren = () => _react.default.createElement(_Box.Box, {
  p: 4
}, _react.default.createElement(_Text.Text, {
  fontSize: 6,
  fontWeight: 'bold',
  textAlign: 'center',
  color: 'white'
}, "Hello"));
const FixedHeight = exports.FixedHeight = Template.bind({});
FixedHeight.args = {
  height: '320px',
  width: '360px',
  children: _react.default.createElement(StoryChildren, null)
};
const FixedIntHeight = exports.FixedIntHeight = Template.bind({});
FixedIntHeight.storyName = 'Fixed Height (Integer)';
FixedIntHeight.args = {
  height: 400,
  width: '360px',
  children: _react.default.createElement(StoryChildren, null)
};
const Responsive = exports.Responsive = Template.bind({});
Responsive.args = {
  height: ['100px', '300px', '600px'],
  width: ['100%', '216px', '260px'],
  children: _react.default.createElement(StoryChildren, null)
};
Responsive.parameters = {
  viewport: {
    defaultViewport: 'designSystem_xs'
  }
};
const RoundedTemplate = args => _react.default.createElement(_Box.Box, {
  width: '300px'
}, _react.default.createElement(_BackgroundImage2.BackgroundImage, {
  ...args
}), _react.default.createElement(_Card.Card, {
  rounded: 'bottom',
  height: '100px'
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  my: 3
}, "Hello Priceline!")));
const Rounded = exports.Rounded = RoundedTemplate.bind({});
Rounded.args = {
  borderRadius: 'full',
  rounded: 'top',
  height: '100px'
};
const BackgroundPosition = exports.BackgroundPosition = Template.bind({});
BackgroundPosition.args = {
  height: 400,
  width: '360px',
  children: _react.default.createElement(StoryChildren, null),
  backgroundPosition: 'left'
};