"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sizes = exports.Badge = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const type = props => {
  const badgeColors = {
    blue: {
      backgroundColor: props.theme.colors.blue,
      color: props.theme.colors.white
    },
    lightBlue: {
      backgroundColor: props.theme.colors.lightBlue,
      color: props.theme.colors.darkBlue
    },
    green: {
      backgroundColor: props.theme.colors.green,
      color: props.theme.colors.white
    },
    lightGreen: {
      backgroundColor: props.theme.colors.lightGreen,
      color: props.theme.colors.darkGreen
    },
    red: {
      backgroundColor: props.theme.colors.red,
      color: props.theme.colors.white
    },
    lightRed: {
      backgroundColor: props.theme.colors.lightRed,
      color: props.theme.colors.darkRed
    },
    orange: {
      backgroundColor: props.theme.colors.orange,
      color: props.theme.colors.text
    },
    gray: {
      backgroundColor: props.theme.colors.gray,
      color: props.theme.colors.white
    },
    lightGray: {
      backgroundColor: props.theme.colors.lightGray,
      color: props.theme.colors.text
    }
  };
  return !(props.bg && props.color) && (badgeColors[props.bg] || badgeColors.lightGray);
};
const sizes = exports.sizes = {
  captionSmall: (0, _styledComponents.css)(["", " padding:2px 2px;"], (0, _themeGet.default)('typography.caption')),
  captionMedium: (0, _styledComponents.css)(["", " padding:", ";"], (0, _themeGet.default)('typography.caption'), props => (0, _themeGet.default)('space')(props)[1]),
  small: (0, _styledComponents.css)(["", " padding:3px 3px;"], (0, _themeGet.default)('typography.label')),
  medium: (0, _styledComponents.css)(["", " padding:", ";"], (0, _themeGet.default)('typography.captionBold'), props => (0, _themeGet.default)('space')(props)[1])
};
const letterSpacing = props => {
  return props.textTransform && props.textTransform !== 'uppercase' ? {
    letterSpacing: (0, _themeGet.default)('letterSpacings.normal')(props)
  } : {
    letterSpacing: (0, _themeGet.default)('letterSpacings.caps')(props)
  };
};
/**
 * @public
 */
const Badge = exports.Badge = /*#__PURE__*/_styledComponents.default.div.attrs(_borderRadiusAttrs.borderRadiusAttrs).withConfig({
  displayName: "Badge",
  componentId: "sc-1i8al1c-0"
})(["display:inline-block;", ";", ";", " ", " ", " ", " ", " ", ""], ({
  theme
}) => (0, _utils.applySizes)(sizes, undefined, theme.mediaQueries), (0, _utils.applyVariations)('Badge'), type, _utils.color, _utils.colorScheme, _utils.textTransform, letterSpacing, props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.borderRadius)(props));
Badge.displayName = 'Badge';
Badge.defaultProps = {
  size: 'medium',
  px: 2,
  borderRadius: 'full',
  textTransform: 'uppercase'
};