"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Badge = exports.TextTransforms = exports.TextCustom = exports.SizeVariants = exports.LightBlueAndTextCustom = exports.ColorSchemes = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Grid = require("../Grid/Grid");
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _typographyAttrs = require("../utils/attrs/typographyAttrs");
var _Badge2 = require("./Badge");
var _BadgeStories = require("./Badge.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Badge',
  component: _Badge2.Badge,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Badge /> component to render a primitive badge.'
      }
    }
  },
  argTypes: _BadgeStories.argTypes
};
const Template = args => _react.default.createElement(_Badge2.Badge, {
  ...args
}, "badge");
const _Badge = exports._Badge = Template.bind({});
_Badge.args = {
  bg: 'lightGray'
};
const TextCustom = exports.TextCustom = Template.bind({});
TextCustom.storyName = 'text (custom)';
TextCustom.args = {
  bg: 'text',
  color: 'white'
};
const LightBlueAndTextCustom = exports.LightBlueAndTextCustom = Template.bind({});
LightBlueAndTextCustom.storyName = 'lightBlue and text (custom)';
LightBlueAndTextCustom.args = {
  bg: 'primary.light',
  color: 'text'
};
const GridTemplate = /*#__PURE__*/(0, _styledComponents.default)(_Grid.Grid).withConfig({
  displayName: "Badgestories__GridTemplate",
  componentId: "sc-fowst8-0"
})(["display:inline-grid;grid-auto-flow:column;"]);
const TextTransformTemplate = args => {
  return _react.default.createElement(GridTemplate, {
    templateColumns: 'repeat(5, 1fr)',
    templateRows: 'repeat(2, 1fr)',
    justifyItems: 'center',
    alignItems: 'center'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'captionBold',
    style: {
      justifySelf: 'left'
    }
  }, "medium:"), _react.default.createElement(_Text.Text, {
    textStyle: 'caption',
    style: {
      justifySelf: 'left'
    }
  }, "captionMedium:"), _typographyAttrs.textTransformValues.map(textTransform => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Badge2.Badge, {
    m: 3,
    textTransform: textTransform,
    key: textTransform,
    ...args
  }, textTransform), _react.default.createElement(_Badge2.Badge, {
    m: 3,
    textTransform: textTransform,
    size: 'captionMedium',
    key: textTransform,
    ...args
  }, textTransform))));
};
const TextTransforms = exports.TextTransforms = TextTransformTemplate.bind({});
TextTransformTemplate.args = {};
const SizeVariantsTemplate = args => {
  const sizeArray = Object.keys(_Badge2.sizes);
  return _react.default.createElement(_react.default.Fragment, null, sizeArray.map(size => _react.default.createElement(_Badge2.Badge, {
    m: 3,
    size: size,
    key: size,
    ...args
  }, size)));
};
const SizeVariants = exports.SizeVariants = SizeVariantsTemplate.bind({});
SizeVariantsTemplate.args = {};
const ColorSchemesTemplate = args => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Badge2.Badge, {
    m: 3,
    colorScheme: colorScheme,
    key: colorScheme,
    ...args
  }, colorScheme)));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};