"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ForwardRefs = exports.ContainingBackgroundImage = exports.CompositionWithoutContainer = void 0;
var _react = _interopRequireDefault(require("react"));
var _BackgroundImage = require("../BackgroundImage/BackgroundImage");
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _BlockLink = require("./BlockLink");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const image = 'https://images.unsplash.com/photo-1446776811953-b23d57bd21aa?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&s=aee8a50c86478d935556d865624506e4';
var _default = exports.default = {
  title: 'BlockLink',
  component: _BlockLink.BlockLink
};
const ContainingBackgroundImage = () => _react.default.createElement(_Flex.Flex, {
  justifyContent: 'center',
  alignItems: 'center',
  color: 'white'
}, _react.default.createElement(_BlockLink.BlockLink, {
  href: 'https://www.priceline.com',
  target: '_blank'
}, _react.default.createElement(_BackgroundImage.BackgroundImage, {
  image: image,
  width: '640px'
}, _react.default.createElement(_Box.Box, {
  p: 4
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center'
}, "Click to open priceline.com in new tab!")))));
exports.ContainingBackgroundImage = ContainingBackgroundImage;
const ForwardRefs = () => {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.innerHTML = 'Bacon!';
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_BlockLink.BlockLink, {
      color: 'text.dark',
      ref: dsRef
    }, "I am a link!"), _react.default.createElement("br", null), _react.default.createElement(_Button.Button, {
      color: 'error',
      onClick: onClick,
      mt: 4
    }, "Click to update link text via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
};
exports.ForwardRefs = ForwardRefs;
const CompositionWithoutContainer = () => _react.default.createElement(_Flex.Flex, {
  justifyContent: 'center',
  alignItems: 'center',
  color: 'purple'
}, _react.default.createElement(_BlockLink.BlockLink, {
  href: 'https://www.google.com'
}, _react.default.createElement(_Text.Text, {
  fontSize: 2,
  bold: true,
  textAlign: 'center'
}, "Click to go to google.com!")));
exports.CompositionWithoutContainer = CompositionWithoutContainer;