"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _args = require("../storybook/args");
const defaultArgs = exports.defaultArgs = {
  height: '300px',
  width: '300px'
};
const argTypes = exports.argTypes = {
  color: {
    name: 'color',
    type: {
      name: 'string'
    },
    options: _args.colors,
    description: 'Palette color to use',
    control: {
      type: 'select'
    }
  },
  borderRadius: {
    name: 'borderRadius',
    type: {
      name: 'string'
    },
    options: _args.borderRadii,
    description: 'borderRadius',
    control: {
      type: 'select'
    }
  },
  rounded: {
    name: 'rounded',
    type: {
      name: 'string'
    },
    options: _args.rounded,
    description: 'rounded',
    control: {
      type: 'select'
    }
  },
  boxShadowSize: {
    name: 'boxShadowSize',
    type: {
      name: 'string'
    },
    options: _args.shadows,
    description: 'Size of the box shadow',
    control: {
      type: 'select'
    }
  },
  boxShadowColor: {
    name: 'boxShadowColor',
    type: {
      name: 'string'
    },
    options: _args.colors,
    description: 'Palette family for box shadows',
    table: {
      type: {
        summary: 'Palette color to use for box-shadow - always uses "dark" shade'
      }
    },
    control: {
      type: 'select'
    }
  },
  height: {
    name: 'height',
    type: {
      name: 'string'
    },
    description: 'height'
  },
  width: {
    name: 'width',
    type: {
      name: 'string'
    },
    description: 'width'
  }
};