"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Box = exports.Width = exports.VwWidth = exports.ThemeUserCaseColorText = exports.Size = exports.PixelWidth = exports.Padding = exports.Overflow = exports.MaxAndMinValues = exports.Margin = exports.Height = exports.DisplayAndSize = exports.DirectionalPadding = exports.DirectionalMargin = exports.CustomColor = exports.ColorSchemes = exports.Color = exports.BoxShadow = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _Box2 = require("./Box");
var _BoxStories = require("./Box.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'core / Box',
  component: _Box2.Box,
  args: _BoxStories.defaultArgs,
  argTypes: _BoxStories.argTypes,
  parameters: {
    docs: {
      description: {
        component: `A low-level layout component for setting color, display, height, margin, maxHeight, maxWidth, minHeight, minWidth, padding, size, textAlign, and width.`
      }
    }
  }
};
const Template = args => _react.default.createElement(_Box2.Box, {
  ...args
}, _react.default.createElement(_Text.Text, {
  p: 3
}, "Hello!"));
const _Box = exports._Box = Template.bind({});
const DisplayAndSize = exports.DisplayAndSize = Template.bind({});
DisplayAndSize.storyName = 'Display and Size';
DisplayAndSize.args = {
  color: 'alert.base',
  display: ['none', null, 'block'],
  size: 250
};
const Padding = exports.Padding = Template.bind({});
Padding.args = {
  p: 4,
  color: 'background.base'
};
const Height = exports.Height = Template.bind({});
Height.args = {
  color: 'warning.base',
  height: ['250px', '350px', '450px', '550px'],
  width: ['150px', '250px', '350px', '450px']
};
const MaxAndMinValues = exports.MaxAndMinValues = Template.bind({});
MaxAndMinValues.storyName = 'Min and Max Values';
MaxAndMinValues.args = {
  color: 'priceSecondary.base',
  maxHeight: ['300px', null, '400px', null, '500px'],
  maxWidth: ['300px', null, '400px', null, '500px'],
  minHeight: ['100px', null, '200px', null, '300px'],
  minWidth: ['300px', null, '200px', null, '100px']
};
const Margin = exports.Margin = Template.bind({});
Margin.args = {
  m: 3,
  color: 'background.base'
};
const Color = exports.Color = Template.bind({});
Color.args = {
  color: 'primary.base'
};
const BoxShadow = exports.BoxShadow = Template.bind({});
BoxShadow.args = {
  boxShadowSize: 'overlay-lg'
};
const Size = exports.Size = Template.bind({});
Size.args = {
  color: 'primary.base',
  size: 200
};
const DimsChildren = () => _react.default.createElement(_Text.Text, {
  color: 'text.lightest'
}, "Box Dimensions");
const Width = exports.Width = Template.bind({});
Width.args = {
  color: 'primary.base',
  width: 1 / 2,
  children: _react.default.createElement(DimsChildren, null)
};
const PixelWidth = exports.PixelWidth = Template.bind({});
PixelWidth.args = {
  color: 'primary.base',
  width: 256,
  children: _react.default.createElement(DimsChildren, null)
};
const VwWidth = exports.VwWidth = Template.bind({});
VwWidth.storyName = 'Viewport Width unit';
VwWidth.args = {
  color: 'primary.base',
  width: '75vw',
  children: _react.default.createElement(DimsChildren, null)
};
const DirectionalPadding = () => _react.default.createElement(_Box2.Box, {
  p: 3
}, _react.default.createElement(_Box2.Box, {
  m: 1,
  pt: 3,
  color: 'white',
  bg: 'blue'
}, "Padding Top"), _react.default.createElement(_Box2.Box, {
  m: 1,
  pr: 3,
  color: 'white',
  bg: 'blue'
}, "Padding Right"), _react.default.createElement(_Box2.Box, {
  m: 1,
  pb: 3,
  color: 'white',
  bg: 'blue'
}, "Padding Bottom"), _react.default.createElement(_Box2.Box, {
  m: 1,
  pl: 3,
  color: 'white',
  bg: 'blue'
}, "Padding Left"), _react.default.createElement(_Box2.Box, {
  m: 1,
  px: 3,
  color: 'white',
  bg: 'blue'
}, "Padding X-Axis"), _react.default.createElement(_Box2.Box, {
  m: 1,
  py: 3,
  color: 'white',
  bg: 'blue'
}, "Padding Y-Axis"));
exports.DirectionalPadding = DirectionalPadding;
const DirectionalMargin = () => _react.default.createElement(_Box2.Box, {
  p: 3
}, _react.default.createElement(_Box2.Box, {
  mt: 3,
  color: 'white',
  bg: 'blue'
}, "Margin Top"), _react.default.createElement(_Box2.Box, {
  mr: 3,
  color: 'white',
  bg: 'blue'
}, "Margin Right"), _react.default.createElement(_Box2.Box, {
  mb: 3,
  color: 'white',
  bg: 'blue'
}, "Margin Bottom"), _react.default.createElement(_Box2.Box, {
  ml: 3,
  color: 'white',
  bg: 'blue'
}, "Margin Left"), _react.default.createElement(_Box2.Box, {
  mx: 3,
  color: 'white',
  bg: 'blue'
}, "Margin X-Axis"), _react.default.createElement(_Box2.Box, {
  my: 3,
  color: 'white',
  bg: 'blue'
}, "Margin Y-Axis"));
exports.DirectionalMargin = DirectionalMargin;
const Overflow = () => _react.default.createElement(_Box2.Box, {
  p: 3
}, _react.default.createElement(_Box2.Box, {
  overflow: 'hidden',
  maxHeight: '100px',
  maxWidth: '100px',
  mb: 3,
  color: 'background.darkest',
  bg: 'primary'
}, "This is a box with hidden overflow. This is a box with hidden overflow."), _react.default.createElement(_Box2.Box, {
  overflow: 'clip',
  maxHeight: '100px',
  maxWidth: '100px',
  mb: 3,
  color: 'background.darkest',
  bg: 'primary'
}, "This is a box with clip overflow. This is a box with clip overflow."), _react.default.createElement(_Box2.Box, {
  overflow: 'scroll',
  maxHeight: '100px',
  maxWidth: '100px',
  mb: 3,
  color: 'background.darkest',
  bg: 'primary'
}, "This is a box with scroll overflow. This is a box with scroll overflow."), _react.default.createElement(_Box2.Box, {
  overflow: 'auto',
  maxHeight: '100px',
  maxWidth: '100px',
  mb: 3,
  color: 'background.darkest',
  bg: 'primary'
}, "This is a box with auto overflow. This is a box with auto overflow."), _react.default.createElement(_Box2.Box, {
  overflow: 'visible',
  maxHeight: '100px',
  maxWidth: '100px',
  mb: 3,
  color: 'background.darkest',
  bg: 'primary'
}, "This is a box with visible overflow. This is a box with visible overflow."));
exports.Overflow = Overflow;
const ThemeUserCaseColorText = () => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Box2.Box, {
  p: 3
}, _react.default.createElement(_Box2.Box, {
  mt: 3,
  color: 'text'
}, "color=\"text\" w/o bg prop: retains the original \"text\" color from original color set as backward compatible: expected style w. \"text\" color and white background"), _react.default.createElement(_Box2.Box, {
  mt: 3,
  color: 'purple'
}, "color=\"purple\" as none \"text\" color w/o bg prop")), _react.default.createElement(_Box2.Box, {
  p: 5
}, _react.default.createElement(_Box2.Box, {
  mt: 3,
  color: 'text.lightest',
  bg: 'background.dark'
}, "Theme 1: color=\"text.lightest\" value & bg=\"background.dark\""), _react.default.createElement(_Box2.Box, {
  mt: 3,
  color: 'text',
  bg: 'background.lightest'
}, "Theme 2: color=\"text\" & bg=\"background.lightest\"")));
exports.ThemeUserCaseColorText = ThemeUserCaseColorText;
ThemeUserCaseColorText.storyName = 'Theme user case: color=text';
const CustomColor = exports.CustomColor = Template.bind({});
CustomColor.args = {
  color: 'magenta',
  bg: '#ebfa'
};
const ColorSchemeWithAttrs = /*#__PURE__*/(0, _styledComponents.default)(_Box2.Box).attrs(() => ({
  colorScheme: 'cautionLight'
})).withConfig({
  displayName: "Boxstories__ColorSchemeWithAttrs",
  componentId: "sc-ambn9o-0"
})([""]);
const ColorSchemesTemplate = () => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Box2.Box, {
    m: 3,
    p: 3,
    colorScheme: colorScheme,
    key: colorScheme
  }, _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'heading1',
    mb: 2
  }, colorScheme), _react.default.createElement(_Flex.Flex, {
    alignItems: 'center'
  }, _react.default.createElement(_Text.Text, null, "Children inherit colors from the color scheme by default"), _react.default.createElement(_pclnIcons.Star, null)), _react.default.createElement(_Flex.Flex, {
    alignItems: 'center'
  }, _react.default.createElement(_Text.Text, {
    color: 'text'
  }, "Custom text and icon colors override the color scheme"), _react.default.createElement(_pclnIcons.Star, {
    color: 'alert'
  }))))), _react.default.createElement(ColorSchemeWithAttrs, {
    m: 3,
    p: 3
  }, _react.default.createElement(_Text.Text, null, "Using attrs and colorScheme")));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};