"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BreadcrumbLink = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Link = require("../Link/Link");
var _Text = require("../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const BreadcrumbLink = exports.BreadcrumbLink = _react.default.forwardRef(({
  className,
  isLastChild,
  href,
  icon,
  label,
  onClick
}, ref) => {
  const linkColor = isLastChild ? 'text.dark' : 'text.light';
  return _react.default.createElement(_Flex.Flex, {
    className: className,
    alignItems: 'center'
  }, icon, _react.default.createElement(_Link.Link, {
    href: href,
    color: linkColor,
    onClick: onClick,
    ref: ref
  }, label), !isLastChild && _react.default.createElement(_Text.Text, {
    m: 2,
    color: 'text.light'
  }, "/"));
});
BreadcrumbLink.displayName = 'BreadcrumbLink';