"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Breadcrumbs = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _BreadcrumbLink = require("./BreadcrumbLink");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Breadcrumbs = ({
  className,
  children
}) => {
  return _react.default.createElement(_Flex.Flex, {
    className: className
  }, _react.default.Children.map(children, (child, i) => {
    const isLastChild = i === _react.default.Children.count(children) - 1;
    if (_react.default.isValidElement(child)) {
      // @ts-ignore
      return _react.default.cloneElement(child, {
        isLastChild
      });
    }
  }));
};
exports.Breadcrumbs = Breadcrumbs;
Breadcrumbs.displayName = 'Breadcrumbs';
Breadcrumbs.Link = _BreadcrumbLink.BreadcrumbLink;