"use strict";

var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Breadcrumbs = require("./Breadcrumbs");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Breadcrumbs', () => {
  test('renders basic', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com',
      label: 'Home'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com/flights/',
      label: 'Flights'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com/flights/',
      label: 'Seat Selection'
    })));
    expect(json).toMatchSnapshot();
  });
  test('renders with icons', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com',
      label: 'Home',
      icon: _react.default.createElement(_pclnIcons.Home, {
        color: 'text.light',
        size: 16,
        mr: 2
      })
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com/flights/',
      label: 'Flights',
      icon: _react.default.createElement(_pclnIcons.Flights, {
        color: 'text.light',
        size: 16,
        mr: 2
      })
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com/flights/',
      label: 'Seat Selection',
      icon: _react.default.createElement(_pclnIcons.Seat, {
        color: 'text.dark',
        size: 16,
        mr: 2
      })
    })));
    expect(json).toMatchSnapshot();
  });
});