"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Icons = exports.ForwardRefsToLinks = exports.Basic = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button/Button");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _Breadcrumbs = require("./Breadcrumbs");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Breadcrumbs',
  component: _Breadcrumbs.Breadcrumbs
};
const Basic = () => _react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com',
  label: 'Home'
}), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com/flights/',
  label: 'Flights'
}), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com/flights/',
  label: 'Seat Selection'
}));
exports.Basic = Basic;
const Icons = () => _react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com',
  label: 'Home',
  icon: _react.default.createElement(_pclnIcons.Home, {
    color: 'text.light',
    size: 16,
    mr: 2
  })
}), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com/flights/',
  label: 'Flights',
  icon: _react.default.createElement(_pclnIcons.Flights, {
    color: 'text.light',
    size: 16,
    mr: 2
  })
}), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
  href: 'https://www.priceline.com/flights/',
  label: 'Seat Selection',
  icon: _react.default.createElement(_pclnIcons.Seat, {
    color: 'text.dark',
    size: 16,
    mr: 2
  })
}));
exports.Icons = Icons;
const ForwardRefsToLinks = () => {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.innerHTML = "What's the frequency, Kenneth?";
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com',
      label: 'Home',
      ref: dsRef,
      icon: _react.default.createElement(_pclnIcons.Home, {
        color: 'text.light',
        size: 16,
        mr: 2
      })
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'https://www.priceline.com/flights/',
      label: 'Flights',
      icon: _react.default.createElement(_pclnIcons.Flights, {
        color: 'text.light',
        size: 16,
        mr: 2
      })
    })), _react.default.createElement(_Button.Button, {
      mt: 4,
      onClick: onClick
    }, "Click to change the first link via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
};
exports.ForwardRefsToLinks = ForwardRefsToLinks;
ForwardRefsToLinks.story = {
  name: 'Forward refs to links'
};