"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.buttonStyles = exports.borderRadiusButtonValues = exports.Button = void 0;
var _themeGet = require("@styled-system/theme-get");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Flex = require("../Flex/Flex");
var _boxShadowAttrs = require("../utils/attrs/boxShadowAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const borderRadiusButtonValues = exports.borderRadiusButtonValues = ['none', 'sm', 'md', 'lg', 'xl', '2xl', '3xl', 'full'];
const isValidBorderRadius = size => size && borderRadiusButtonValues.includes(size);
const sizes = {
  small: (0, _styledComponents.css)(["border-radius:", ";font-size:", "px;padding:7px 12px;"], props => (0, _themeGet.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-sm'}`)(props), (0, _themeGet.themeGet)('fontSizes.0')),
  medium: (0, _styledComponents.css)(["border-radius:", ";font-size:", "px;padding:9.5px 18px;"], props => (0, _themeGet.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-md'}`)(props), (0, _themeGet.themeGet)('fontSizes.1')),
  large: (0, _styledComponents.css)(["border-radius:", ";font-size:", "px;padding:12px 22px;"], props => (0, _themeGet.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-lg'}`)(props), (0, _themeGet.themeGet)('fontSizes.2')),
  extraLarge: (0, _styledComponents.css)(["border-radius:", ";font-size:", "px;padding:16px 22px;"], props => (0, _themeGet.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-xl'}`)(props), (0, _themeGet.themeGet)('fontSizes.2'))
};
const variations = {
  fill: (0, _styledComponents.css)(["background-color:", ";color:", ";&:hover{background-color:", ";", "}&:focus-visible{outline:", ";box-shadow:", ";}"], props => (0, _utils.getPaletteColor)(props.disabled ? 'light' : 'base')(props), props => (0, _utils.getTextColorOn)(props.disabled ? 'light' : 'base')(props), props => (0, _utils.getPaletteColor)(props.disabled ? 'light' : 'dark')(props), props => props.disabled ? '' : `color: ${(0, _utils.getTextColorOn)('dark')(props)};`, props => `0px solid ${(0, _utils.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`, props => ` 0 0 0 2px  ${(0, _utils.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`),
  link: (0, _styledComponents.css)(["-webkit-font-smoothing:inherit;font-weight:", ";color:", ";line-height:", ";vertical-align:inherit;padding:0;background-color:transparent;&:hover{color:", ";text-decoration:underline;}&&&:disabled{background-color:transparent;}"], props => props.theme.fontWeights.medium, (0, _utils.getPaletteColor)('base'), props => props.theme.lineHeights.standard, (0, _utils.getPaletteColor)('dark')),
  outline: (0, _styledComponents.css)(["color:", ";box-shadow:inset 0 0 0 2px ", ";background-color:transparent;&:hover{background-color:transparent;", "}"], props => (0, _utils.getPaletteColor)(props.disabled ? 'light' : 'base')(props), props => (0, _utils.getPaletteColor)(props.disabled ? 'light' : 'base')(props), props => props.disabled ? '' : `
      color: ${(0, _utils.getPaletteColor)('dark')(props)};
      box-shadow: inset 0 0 0 2px ${(0, _utils.getPaletteColor)('dark')(props)};
    `),
  plain: (0, _styledComponents.css)(["background-color:transparent;color:", ";&:hover{background-color:", ";color:", ";}&:focus-visible{outline:0px solid ", ";box-shadow:0 0 0 2px ", ";}"], (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('background.base'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark')),
  subtle: (0, _styledComponents.css)(["background-color:", ";color:", ";&:hover{background-color:", ";color:", ";}&:focus-visible{outline:0px solid ", ";box-shadow:0 0 0 2px ", ";}"], (0, _utils.getPaletteColor)('background.base'), (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('background.tint'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark')),
  white: (0, _styledComponents.css)(["background-color:", ";color:", ";&:hover{background-color:", ";color:", ";}&:focus-visible{outline:0px solid ", ";box-shadow:0 0 0 2px ", ";}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('background.base'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark'), (0, _utils.getPaletteColor)('dark')),
  lightFill: (0, _styledComponents.css)(["background-color:", ";color:", ";", " &:focus-visible{outline:", ";box-shadow:", ";}"], (0, _utils.getPaletteColor)('light'), (0, _utils.getPaletteColor)('base'), props => props.disabled ? '' : `
      &:hover {
        background-color: ${(0, _utils.getPaletteColor)('light')(props)};
        color: ${(0, _utils.getPaletteColor)('dark')(props)};
      }`, props => `0px solid ${(0, _utils.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`, props => ` 0 0 0 2px  ${(0, _utils.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`),
  input: (0, _styledComponents.css)(["appearance:none;background-color:transparent;border-style:solid;border-width:1px;color:", ";display:block;font-family:inherit;font-weight:normal;line-height:normal;margin:0;padding:14px 12px;text-align:left;width:100%;", " ", ""], (0, _utils.getPaletteColor)('text.base'), props => (0, _utils.borders)({
    ...props,
    color: undefined
  }), props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize, _styledSystem.borderRadius)(props))
};
const buttonStyles = exports.buttonStyles = /*#__PURE__*/(0, _styledComponents.css)(["-webkit-font-smoothing:antialiased;display:inline-block;vertical-align:middle;text-align:center;text-decoration:none;font-family:inherit;font-weight:", ";line-height:1.5;cursor:", ";border-radius:", ";border-width:0;border-style:solid;", ";", ";&:disabled{cursor:not-allowed;color:", ";background-color:", ";}"], props => props.theme.fontWeights.bold, props => props.disabled ? 'default' : 'pointer', props => (0, _themeGet.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-md'}`)(props), ({
  theme
}) => (0, _utils.applySizes)(sizes, 'medium', theme.mediaQueries), (0, _utils.applyVariations)('Button', variations), (0, _utils.getPaletteColor)('background.tone'), (0, _utils.getPaletteColor)('background.base'));
const iconButtonPaddings = {
  IconLeft: {
    small: {
      p: '6px 14px 6px 10px'
    },
    medium: {
      p: '8px 20px 8px 16px'
    },
    large: {
      p: '12px 24px 12px 20px'
    },
    extraLarge: {
      p: '16px 24px 16px 20px'
    }
  },
  IconRight: {
    small: {
      p: '6px 10px 6px 14px'
    },
    medium: {
      p: '8px 16px 8px 20px'
    },
    large: {
      p: '12px 20px 12px 24px'
    },
    extraLarge: {
      p: '16px 20px 16px 24px'
    }
  },
  both: {
    small: {
      p: '6px 10px'
    },
    medium: {
      p: '8px 16px'
    },
    large: {
      p: '12px 20px'
    },
    extraLarge: {
      p: '16px 20px'
    }
  }
};
const iconOnlyButtonPaddings = {
  small: {
    px: '6px',
    py: '6px'
  },
  medium: {
    px: '8px',
    py: '8px'
  },
  large: {
    px: '12px',
    py: '12px'
  },
  extraLarge: {
    px: '16px',
    py: '16px'
  }
};
const iconButtonSizes = {
  small: 20,
  medium: 24,
  large: 24,
  extraLarge: 24
};
// eslint-disable-next-line @typescript-eslint/naming-convention
function getPaddingProps({
  IconLeft,
  IconRight,
  size,
  variation,
  hasChildren
}) {
  const hasIcon = !!(IconLeft || IconRight);
  const sizeIndex = Array.isArray(size) ? size[0] : size;
  if (variation === 'link') {
    return {
      p: 0
    };
  }
  if (hasIcon) {
    if (hasChildren) {
      if (IconLeft && IconRight) {
        return iconButtonPaddings.both[sizeIndex];
      } else if (IconLeft) {
        return iconButtonPaddings.IconLeft[sizeIndex];
      } else if (IconRight) {
        return iconButtonPaddings.IconRight[sizeIndex];
      }
      return {};
    } else {
      return iconOnlyButtonPaddings?.[sizeIndex] ?? {};
    }
  }
  return {};
}
/**
 * Use the <Button /> component to render a primitive button. Use the `variation` prop to change the look of the button.
 */
const StyledButton = /*#__PURE__*/_styledComponents.default.button.attrs(props => {
  const {
    width,
    height,
    title,
    'aria-label': ariaLabel,
    borderRadius,
    IconLeft,
    IconRight,
    size,
    variation,
    hasChildren
  } = props;
  const paddingProps = getPaddingProps({
    IconLeft,
    IconRight,
    size,
    variation,
    hasChildren
  });
  return {
    borderRadius,
    ...(0, _boxShadowAttrs.boxShadowAttrs)(props),
    width,
    height,
    'aria-label': ariaLabel || title,
    ...paddingProps
  };
}).withConfig({
  displayName: "Button__StyledButton",
  componentId: "sc-uq13ez-0"
})(["", " ", ""], buttonStyles, props => (0, _styledSystem.compose)(_styledSystem.width, _styledSystem.height, _styledSystem.space, _styledSystem.boxShadow)(props));
// eslint-disable-next-line @typescript-eslint/naming-convention
const ButtonIcon = ({
  Component,
  ...props
}) => {
  return Component ? _react.default.createElement(Component, {
    ...props
  }) : null;
};
/**
 * @public
 */
const Button = exports.Button = _react.default.forwardRef((props, ref) => {
  const {
    children,
    ...restProps
  } = props;
  const {
    IconLeft,
    IconRight,
    size = 'medium',
    flexProps = {}
  } = props;
  const hasChildren = _react.default.Children.toArray(children).length > 0;
  const sizeIndex = Array.isArray(size) ? size[0] : size;
  const iconSize = iconButtonSizes?.[sizeIndex] ?? 24;
  return _react.default.createElement(StyledButton, {
    ...restProps,
    hasChildren: hasChildren,
    ref: ref
  }, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    justifyContent: 'center',
    ...flexProps
  }, _react.default.createElement(ButtonIcon, {
    Component: IconLeft,
    size: iconSize,
    mr: children ? 2 : 0
  }), children, _react.default.createElement(ButtonIcon, {
    Component: IconRight,
    size: iconSize,
    ml: children ? 2 : 0
  })));
});
Button.defaultProps = {
  color: 'primary',
  size: 'medium',
  variation: 'fill'
};
Button.displayName = 'Button';