"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TonalVariations = exports.Size = exports.SemanticStyles = exports.PrimaryVariations = exports.Playground = exports.LinkVariation = exports.InputVariation = exports.IconButtons = exports.FlexProps = exports.Disabled = exports.AdditionalVariations = void 0;
var _addonDocs = require("@storybook/addon-docs");
var _addonLinks = require("@storybook/addon-links");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _ButtonChip = require("../Chip/ButtonChip/ButtonChip");
var _CloseButton = require("../CloseButton/CloseButton");
var _DoDont = require("../DocsUtils/DoDont/DoDont");
var _DocTable = require("../DocsUtils/DocTable/DocTable");
var _Hero = require("../DocsUtils/Hero/Hero");
var _Note = require("../DocsUtils/Note/Note");
var _RelatedComponent = require("../DocsUtils/RelatedComponent/RelatedComponent");
var _Section = require("../DocsUtils/Section/Section");
var _StoryHeading = require("../DocsUtils/StoryHeading/StoryHeading");
var _StoryStage = require("../DocsUtils/StoryStage/StoryStage");
var _TableOfContents = require("../DocsUtils/TableOfContents/TableOfContents");
var _Flex = require("../Flex/Flex");
var _Image = require("../Image/Image");
var _Label = require("../Label/Label");
var _Link = require("../Link/Link");
var _Text = require("../Text/Text");
var _ThemeProvider = require("../ThemeProvider/ThemeProvider");
var _args = require("../storybook/args");
var _Button = require("./Button");
var _ButtonImageAlignment = _interopRequireDefault(require("./Button.Image.Alignment.png"));
var _ButtonImageGroups = _interopRequireDefault(require("./Button.Image.Groups.png"));
var _ButtonImageHero = _interopRequireDefault(require("./Button.Image.Hero.png"));
var _ButtonImageResponsiveLayout = _interopRequireDefault(require("./Button.Image.ResponsiveLayout.png"));
var _ButtonImageStates = _interopRequireDefault(require("./Button.Image.States.png"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sizeOptions = ['small', 'medium', 'large', 'extraLarge'];
const Playground = exports.Playground = {
  render: args => _react.default.createElement(_Button.Button, {
    ...args
  }, "Button"),
  argTypes: {
    color: {
      control: 'select',
      options: _args.colors,
      defaultValue: _Button.Button.defaultProps.color
    },
    size: {
      control: 'select',
      options: sizeOptions,
      defaultValue: _Button.Button.defaultProps.size
    },
    variation: {
      control: 'select',
      options: ['fill', 'input', 'lightFill', 'link', 'outline', 'plain', 'subtle', 'white'],
      defaultValue: _Button.Button.defaultProps.variation
    },
    disabled: {
      defaultValue: false,
      type: 'boolean'
    },
    boxShadowSize: {
      control: 'select',
      options: _args.shadows
    }
  }
};
const Size = exports.Size = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    size: 'small'
  }, "Small"), _react.default.createElement(_Button.Button, {
    size: 'medium'
  }, "Medium"), _react.default.createElement(_Button.Button, {
    size: 'large'
  }, "Large"), _react.default.createElement(_Button.Button, {
    size: 'extraLarge'
  }, "Extra Large"))
};
const PrimaryVariations = exports.PrimaryVariations = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    width: 100,
    variation: 'fill'
  }, "Fill"), _react.default.createElement(_Button.Button, {
    width: 100,
    variation: 'subtle'
  }, "Subtle"))
};
const TonalVariations = exports.TonalVariations = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, {
    borderRadius: 'md',
    bg: 'background.tint'
  }, _react.default.createElement(_Button.Button, {
    width: 100,
    variation: 'plain'
  }, "Plain"), _react.default.createElement(_Button.Button, {
    width: 100,
    variation: 'white'
  }, "White"))
};
const LinkVariation = exports.LinkVariation = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    variation: 'link'
  }, "Enabled"), _react.default.createElement(_Button.Button, {
    variation: 'link',
    disabled: true
  }, "Disabled"), _react.default.createElement(_Button.Button, {
    variation: 'link'
  }, _react.default.createElement(_Text.Text, {
    fontWeight: 'bold'
  }, "Bold")))
};
const AdditionalVariations = exports.AdditionalVariations = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    variation: 'outline'
  }, "Outline"), _react.default.createElement(_Button.Button, {
    variation: 'lightFill'
  }, "Light Fill"))
};
const Disabled = exports.Disabled = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    disabled: true
  }, "Continue"), _react.default.createElement(_Button.Button, {
    disabled: true,
    variation: 'link'
  }, "Button"))
};
const SemanticStyles = exports.SemanticStyles = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    color: 'primary'
  }, "Search Hotels"), _react.default.createElement(_Button.Button, {
    color: 'primary',
    variation: 'subtle'
  }, "Search Hotels"), _react.default.createElement(_Button.Button, {
    color: 'secondary'
  }, "Choose Room"), _react.default.createElement(_Button.Button, {
    color: 'secondary',
    variation: 'subtle'
  }, "Choose Room"), _react.default.createElement(_Button.Button, {
    color: 'secondary'
  }, "Secondary"), _react.default.createElement(_Button.Button, {
    color: 'warning'
  }, "Cancel"), _react.default.createElement(_Button.Button, {
    color: 'warning',
    variation: 'subtle'
  }, "Cancel"))
};
const IconButtons = exports.IconButtons = {
  render: () => _react.default.createElement(_react.default.Fragment, null, sizeOptions.map(size => _react.default.createElement(_StoryStage.StoryStage, {
    key: size
  }, _react.default.createElement(_Button.Button, {
    size: size,
    IconLeft: _pclnIcons.User
  }, "Sign In"), _react.default.createElement(_Button.Button, {
    size: size,
    IconRight: _pclnIcons.Calendar
  }, "Select Dates"), _react.default.createElement(_Button.Button, {
    size: size,
    IconLeft: _pclnIcons.Search,
    IconRight: _pclnIcons.Check
  }, "Bookends"), _react.default.createElement(_Button.Button, {
    size: size,
    IconLeft: _pclnIcons.ChevronLeft
  }), _react.default.createElement(_Button.Button, {
    size: size,
    IconLeft: _pclnIcons.ChevronRight
  }), _react.default.createElement(_Button.Button, {
    size: size,
    IconLeft: _pclnIcons.User
  }), _react.default.createElement(_Button.Button, {
    size: size,
    variation: 'link',
    IconLeft: _pclnIcons.User
  }, "Link Button Text"))))
};
const InputVariation = exports.InputVariation = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    size: 'large',
    variation: 'input',
    borderRadius: 'lg',
    py: 0
  }, _react.default.createElement(_Flex.Flex, {
    width: '100%',
    justifyContent: 'flex-start',
    alignItems: 'center',
    height: '54px'
  }, _react.default.createElement(_pclnIcons.Calendar, {
    mr: 2,
    color: 'primary.base'
  }), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column'
  }, _react.default.createElement(_Label.Label, {
    as: 'div'
  }, "Check-in - Check-out"), _react.default.createElement(_Text.Text, null, "09/21/2023 \u2013 09/22/2023")))), _react.default.createElement(_Button.Button, {
    size: 'large',
    variation: 'input',
    borderRadius: 'lg'
  }, _react.default.createElement(_Flex.Flex, {
    width: '100%',
    justifyContent: 'flex-start',
    height: '100%',
    alignItems: 'center'
  }, _react.default.createElement(_pclnIcons.Calendar, {
    mr: 2,
    color: 'primary.base'
  }), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column'
  }, _react.default.createElement(_Text.Text, {
    color: 'text.light'
  }, "mm/dd/yyyy - mm/dd/yyyy")))), _react.default.createElement(_Button.Button, {
    size: 'large',
    variation: 'input',
    borderRadius: 'lg'
  }, _react.default.createElement(_Flex.Flex, {
    width: '100%',
    justifyContent: 'space-between',
    height: '100%',
    alignItems: 'center'
  }, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center'
  }, _react.default.createElement(_pclnIcons.Guests, {
    mr: 2,
    color: 'primary.base'
  }), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column'
  }, _react.default.createElement(_Text.Text, {
    color: 'text.light'
  }, "Select travelers"))), _react.default.createElement(_pclnIcons.ChevronDown, {
    color: 'primary.base'
  }))))
};
const FlexProps = exports.FlexProps = {
  render: () => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Button.Button, {
    width: 200,
    variation: 'fill',
    flexProps: {
      justifyContent: 'left'
    }
  }, "Left Justify"), _react.default.createElement(_Button.Button, {
    width: 200,
    variation: 'fill',
    flexProps: {
      justifyContent: 'right'
    }
  }, "Right Justify"))
};
const meta = {
  title: 'Actions/Button',
  component: _Button.Button,
  parameters: {
    design: {
      type: 'figma',
      url: 'https://www.figma.com/file/1lLCo0ZnO1RyMDEbnnS0by/Web-Design-System?type=design&node-id=131-21304&t=wTmhDg2MwlPA9PGf-4'
    },
    docs: {
      page: () => _react.default.createElement(_ThemeProvider.ThemeProvider, null, _react.default.createElement(_Hero.Hero, {
        name: 'Button',
        img: _ButtonImageHero.default
      }, "Buttons allow users to trigger an action or event with a single click. For example, you can use a button for allowing the functionality of submitting a form, opening a dialog, canceling an action, or performing a delete operation."), _react.default.createElement(_TableOfContents.TableOfContents, {
        links: ['Overview', 'Props', 'Examples & Variations', 'States', 'Theming', 'Usage', `Do's and Don'ts`, 'Related Components']
      }), _react.default.createElement(_Section.Section, {
        heading: 'Overview'
      }, _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Buttons allow users to trigger an action or event with a single click. For example, you can use a button for allowing the functionality of submitting a form, opening a dialog, canceling an action, or performing a delete operation.")), _react.default.createElement(_Section.Section, {
        heading: 'Props'
      }, _react.default.createElement(_addonDocs.Primary, null), _react.default.createElement(_addonDocs.ArgsTable, {
        story: _addonDocs.PRIMARY_STORY
      })), _react.default.createElement(_Section.Section, {
        heading: 'Examples & Variations'
      }, _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Each button variation and property has set functions that provide patterns and signals to the user their function and the desired actions on a per page and per component basis. Because of this it is very important that the different variants are implemented consistently across products, so that they message the correct actions."), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Size',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Our design system supports a default button size as well as a extraLarge, large and small size. If a large or small button is desired, set the size property to either extraLarge, large or small. These sizes allow for hierarchy, emphasis, larger/smaller touch targets, and flexibility."), _react.default.createElement(_DocTable.DocTable, {
        columns: [{
          field: 'size',
          heading: 'Size'
        }, {
          field: 'useCase',
          heading: 'Use Case'
        }],
        data: [{
          size: 'Small',
          useCase: 'Use when there is not enough space for the default and in responsive patterns on mobile breakpoints.'
        }, {
          size: 'Medium (default)',
          useCase: 'This is the most commonly used button size.'
        }, {
          size: 'Large',
          useCase: 'Use when buttons are paired with input fields.'
        }, {
          size: 'Extra Large',
          useCase: 'Use on search forms and marketing and promotion hero modules.'
        }]
      }), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Primary Variations',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Our core button variations use fill and subtle properties. These variations make up the majority of our button styles outside of the conversion funnel."), _react.default.createElement(_DocTable.DocTable, {
        columns: [{
          field: 'variation',
          heading: 'Variation'
        }, {
          field: 'useCase',
          heading: 'Use Case'
        }],
        data: [{
          variation: 'Fill',
          useCase: 'The filled button is used for high emphasis, the primary, most important, or most common actions on a screen. The filled button’s contrasting surface color makes it the most prominent button.'
        }, {
          variation: 'Subtle',
          useCase: 'Subtle button are best used for supporting actions of medium emphasis. Secondary buttons are also suited for prodiving clear actions on screens with multiple button with various levels of emphasis or to provide low-level emphasis over UI elements, and text links or buttons.'
        }]
      }), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Tonal Variations',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "In addition to Fill and Subtle, Plain and White variations can be used on their own to reduce emphasis, provide contrast, or paired with primary buttons for supporting actions."), _react.default.createElement(_DocTable.DocTable, {
        columns: [{
          field: 'variation',
          heading: 'Variation'
        }, {
          field: 'useCase',
          heading: 'Use Case'
        }],
        data: [{
          variation: 'Plain',
          useCase: 'Plain button variation has a transparent background but has the same height and width poperties as the fill button.'
        }, {
          variation: 'White',
          useCase: 'White buttons are used over images and in place of fill and subtle buttons when color contrast is needed.'
        }]
      }), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Text Buttons',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Text buttons have less visual prominence, so should be used for secondary actions or low emphasis actions. Used when aligning with 16px, 14px, and 12px body copy."), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Additional Variations',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Although rarely used on Priceline, we understand these are popular variations used in interface design.")), _react.default.createElement(_Section.Section, {
        heading: 'States'
      }, _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "States are visual representations used to communicate the status of a component or interactive element."), _react.default.createElement(_Flex.Flex, {
        my: 4,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _ButtonImageStates.default
      })), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Disabled',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Disabled or inactive buttons are often \u201Cgreyed out\u201D, and used to communicate to the user that some kind of task needs to be completed by them before they can proceed. Components can inherit a disabled state, such as form fields, list items, cards, chips, and buttons."), _react.default.createElement(_Note.Note, null, "Not all users know that an interactive design element can have disabled state. If you show an element but don't allow people to interact with it, they then have to interpret why they can't. Not everyone will be able to do this, for this reason and other issues try to avoid disabling buttons or actions.")), _react.default.createElement(_Section.Section, {
        heading: 'Theming'
      }, _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Semantic Styles',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Semantic styles combine variation props and colors from our semantic palette, which defines colors based on how they are used. Each and every semantic color points to a color from the palette.")), _react.default.createElement(_Section.Section, {
        heading: 'Usage'
      }, _react.default.createElement(_Text.Text, {
        textStyle: 'subheading3',
        my: 4
      }, "Responsive Layout"), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "When scaling layouts for large screen devices, buttons can adapt their visual presentation, alignment, and arrangement to fit different contexts and user needs."), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "The size and placement of buttons can change as parent containers, such as cards, adapt for larger screens."), _react.default.createElement(_Box.Box, {
        p: 3,
        my: 3,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _ButtonImageResponsiveLayout.default
      })), _react.default.createElement(_Text.Text, {
        textStyle: 'subheading3',
        my: 4
      }, "Alignment"), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "Alignment indicates whether the button aligns left, right or full width in a window, page, container, or component. What makes buttons different than most components is that their alignment can be independent, aligned with content, fit and fill containers."), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "As a general rule actions follow a similar rule as text, aligning to the left side on pages and components. When users are progressing through a series of steps or action required modals, the primary action traditionally sits at the bottom right. Buttons within components such as notifications, search fields, and data tables are also right-aligned. However there are times when the button In some cases a button group may span the entire width of a window or container."), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "Typical nested button locations include:"), _react.default.createElement(_Box.Box, {
        p: 3,
        my: 3,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _ButtonImageAlignment.default
      })), _react.default.createElement(_Text.Text, {
        textStyle: 'subheading3',
        my: 4
      }, "Button Groups"), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "Button Groups Button groups are a design pattern used when presenting users with multiple call to actions with hierarchical emphasis or of equal value. Understanding the correct combinations of hierarchy and size when displaying groups of buttons helps to prevent the user from feeling overwhelm and confuse."), _react.default.createElement(_Text.Text.p, {
        textStyle: 'paragraph'
      }, "As a general rule button groups should be limited to only medium, small, and text buttons."), _react.default.createElement(_Box.Box, {
        p: 3,
        my: 3,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _ButtonImageGroups.default
      }))), _react.default.createElement(_Section.Section, {
        heading: `Do's and Don'ts`
      }, _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Button.Button, null, "Search Hotels"),
        doText: 'use 1 or 2 words, no longer than 4 words, with fewer than 20 characters including spaces.',
        dontExample: _react.default.createElement(_Button.Button, null, "Start Saving!"),
        dontText: 'use punctuation marks such as periods or exclamation points.'
      }), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Button.Button, null, "Go"),
        doText: 'allow a buttons width to use default settings to dynamically set to fit its label text.',
        dontExample: _react.default.createElement(_Button.Button, {
          width: 100,
          style: {
            whiteSpace: 'nowrap'
          }
        }, "Search Hotels"),
        dontText: 'make the width of the button narrower than its label text.'
      }), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Button.Button, {
          width: '100%'
        }, "Search Rental Cars"),
        doText: 'allow a buttons to fill the width of a responsive layout, container, and component.',
        dontExample: _react.default.createElement(_Button.Button, {
          width: 150
        }, "Search Rental Cars"),
        dontText: 'make the width of the button narrower than its label text.'
      }), _react.default.createElement(_Text.Text, {
        py: 3,
        textStyle: 'subheading3'
      }, "Do's and Don't For Button Groups"), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Box.Box, {
          style: {
            display: 'grid',
            gridTemplateColumns: '1fr 1fr',
            gap: '.5rem'
          }
        }, _react.default.createElement(_Button.Button, {
          variation: 'subtle'
        }, "Visit Help Center"), _react.default.createElement(_Button.Button, null, "Sign In")),
        doText: 'use min widths when available to allow the primary action to display at the same width as the secondary action.',
        dontExample: _react.default.createElement(_Box.Box, null, _react.default.createElement(_Button.Button, {
          variation: 'subtle',
          mr: 2
        }, "Visit Help Center"), _react.default.createElement(_Button.Button, null, "Sign In")),
        dontText: 'your secondary action should be short and not much longer than the primary action. This is especially important when space does not allow for each action to display at the same width.'
      }), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Flex.Flex, {
          width: '100%',
          flexDirection: 'column',
          style: {
            gap: '.5rem'
          }
        }, _react.default.createElement(_Button.Button, {
          variation: 'subtle'
        }, "Add Rental Car"), _react.default.createElement(_Button.Button, null, "Continue to Checkout")),
        dontExample: _react.default.createElement(_Box.Box, {
          textAlign: 'center'
        }, _react.default.createElement(_Button.Button, null, "Add Rental Car"), _react.default.createElement("br", null), _react.default.createElement(_Button.Button, {
          variation: 'link'
        }, "No thanks, I don't need a rental car"))
      }), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Flex.Flex, {
          style: {
            gap: 8
          }
        }, _react.default.createElement(_Button.Button, {
          variation: 'lightFill'
        }, "Cancel"), _react.default.createElement(_Button.Button, {
          variation: 'lightFill',
          color: 'warning'
        }, "Delete")),
        dontExample: _react.default.createElement(_Flex.Flex, {
          style: {
            gap: 8
          }
        }, _react.default.createElement(_Button.Button, {
          width: 200,
          borderRadius: 'lg',
          variation: 'lightFill'
        }, "Add Flight"), _react.default.createElement(_Button.Button, {
          width: 200,
          borderRadius: 'lg'
        }, "Search Hotels"))
      }), _react.default.createElement(_DoDont.DoDont, {
        doExample: _react.default.createElement(_Flex.Flex, {
          style: {
            gap: 8
          }
        }, _react.default.createElement(_Button.Button, {
          variation: 'lightFill'
        }, "Yes"), _react.default.createElement(_Button.Button, {
          variation: 'lightFill',
          color: 'warning'
        }, "No")),
        dontExample: _react.default.createElement(_Flex.Flex, {
          style: {
            gap: 8
          }
        }, _react.default.createElement(_Button.Button, {
          color: 'secondary'
        }, "Yes"), _react.default.createElement(_Button.Button, {
          variation: 'lightFill',
          color: 'warning'
        }, "No"))
      })), _react.default.createElement(_Section.Section, {
        heading: 'Related Components'
      }, _react.default.createElement(_RelatedComponent.RelatedComponentContainer, null, _react.default.createElement(_RelatedComponent.RelatedComponent, {
        name: 'ButtonChip',
        onClick: (0, _addonLinks.linkTo)('core-chip-ButtonChip')
      }, _react.default.createElement(_ButtonChip.ButtonChip, null, "Button Chip")), _react.default.createElement(_RelatedComponent.RelatedComponent, {
        name: 'Link',
        onClick: (0, _addonLinks.linkTo)('Link')
      }, _react.default.createElement(_Link.Link, null, "Link")), _react.default.createElement(_RelatedComponent.RelatedComponent, {
        name: 'CloseButton',
        onClick: (0, _addonLinks.linkTo)('CloseButton')
      }, _react.default.createElement(_CloseButton.CloseButton, null)))))
    }
  }
};
var _default = exports.default = meta;