"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Card = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const styleAsButton = ({
  as,
  ...props
}) => as === 'button' ? `
      font-family : inherit;
      &:hover {
        cursor: pointer;
        box-shadow: ${props.theme.shadows.xl};
      }` : '';
/**
 * @public
 */
const Card = exports.Card = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Card",
  componentId: "sc-1iw8zza-0"
})(["", " ", " border-color:", ";", ";"], (0, _utils.applyVariations)('Card'), styleAsButton, props => props.borderWidth === 0 ? '0' : (0, _utils.getPaletteColor)(props.borderColor, 'base')(props), _styledSystem.border);
Card.defaultProps = {
  borderColor: 'border',
  borderRadius: 'xsm',
  borderStyle: 'solid',
  borderWidth: 1
};
Card.displayName = 'Card';