"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.argTypes = void 0;
var _args = require("../storybook/args");
var _Card = require("./Card");
const argTypes = exports.argTypes = {
  as: {
    control: 'select',
    description: 'Alter the base render component. Here we can have the Card be rendered on the DOM as a `button` for accessibility. It grants the ability to tab and focus the element',
    options: ['', 'button']
  },
  bg: {
    control: 'select',
    options: _args.colors
  },
  borderColor: {
    control: 'select',
    options: _args.colors,
    defaultValue: _Card.Card.defaultProps.borderColor
  },
  borderRadius: {
    control: 'select',
    options: _args.inputArgs,
    defaultValue: _Card.Card.defaultProps.borderRadius
  },
  borderStyle: {
    control: 'select',
    options: _args.borderStyles,
    defaultValue: _Card.Card.defaultProps.borderStyle
  },
  borderWidth: {
    control: {
      type: 'number',
      min: 0,
      max: 5,
      step: 1
    },
    defaultValue: _Card.Card.defaultProps.borderWidth
  },
  boxShadowSize: {
    control: 'select',
    options: _args.shadows,
    defaultValue: 'md'
  }
};