"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ShowcaseCard = exports.Playground = exports.CardHousingButton = void 0;
var _addonDocs = require("@storybook/addon-docs");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../Button/Button");
var _Hero = require("../DocsUtils/Hero/Hero");
var _Note = require("../DocsUtils/Note/Note");
var _Section = require("../DocsUtils/Section/Section");
var _StoryHeading = require("../DocsUtils/StoryHeading/StoryHeading");
var _TableOfContents = require("../DocsUtils/TableOfContents/TableOfContents");
var _Flex = require("../Flex/Flex");
var _Image = require("../Image/Image");
var _Text = require("../Text/Text");
var _ThemeProvider = require("../ThemeProvider/ThemeProvider");
var _Card = require("./Card");
var _CardImageHero = _interopRequireDefault(require("./Card.Image.Hero.png"));
var _CardImageLinks = _interopRequireDefault(require("./Card.Image.Links.png"));
var _CardImageStates = _interopRequireDefault(require("./Card.Image.States.png"));
var CardStories = _interopRequireWildcard(require("./Card.stories"));
var _CardStories = require("./Card.stories.args");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Playground = exports.Playground = {
  render: args => _react.default.createElement(_Card.Card, {
    ...args,
    m: 4,
    p: 4,
    width: 1 / 2
  }, "Card"),
  argTypes: _CardStories.argTypes
};
const ShowcaseCard = () => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Flex.Flex, {
  height: '120px'
}, _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'white',
  borderWidth: 0,
  boxShadowSize: 'sm',
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "sm"), _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'white',
  borderWidth: 0,
  boxShadowSize: 'sm',
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "sm"), _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'white',
  borderWidth: 0,
  boxShadowSize: 'sm',
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "sm")), _react.default.createElement(_Flex.Flex, {
  height: '200px'
}, _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'white',
  borderWidth: 0,
  boxShadowSize: 'md',
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "md"), _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'white',
  borderWidth: 0,
  boxShadowSize: 'md',
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "md")), _react.default.createElement(_Flex.Flex, {
  height: '200px'
}, _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'background.base',
  borderWidth: 0,
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "flat"), _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'background.base',
  borderWidth: 0,
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "flat"), _react.default.createElement(_Card.Card, {
  as: 'button',
  width: '100%',
  bg: 'background.base',
  borderWidth: 0,
  borderRadius: 'xl',
  display: 'inline-flex',
  p: 3,
  m: 2
}, "flat")));
exports.ShowcaseCard = ShowcaseCard;
const StyledCard = /*#__PURE__*/(0, _styledComponents.default)(_Card.Card).withConfig({
  displayName: "Cardstories__StyledCard",
  componentId: "sc-h2m590-0"
})(["font-family:inherit;&:hover{cursor:pointer;box-shadow:", ";}"], ({
  theme
}) => theme.shadows.xl);
const CardHousingButton = () => _react.default.createElement(_Flex.Flex, null, _react.default.createElement(StyledCard, {
  boxShadowSize: 'sm',
  m: 2,
  p: 3,
  height: '160px',
  width: '240px',
  bg: 'white',
  borderRadius: 'xl',
  borderWidth: 0
}, _react.default.createElement(_Text.Text, {
  textStyle: 'paragraph',
  mb: '68px'
}, "text"), _react.default.createElement(_Button.Button, {
  width: '100%'
}, "My action is the same")), _react.default.createElement(StyledCard, {
  boxShadowSize: 'sm',
  m: 2,
  p: 3,
  height: '160px',
  width: '240px',
  bg: 'white',
  borderRadius: 'xl',
  borderWidth: 0
}, _react.default.createElement(_Text.Text, {
  textStyle: 'paragraph',
  mb: '20px'
}, "text"), _react.default.createElement(_Button.Button, {
  width: '100%',
  mb: 2,
  variation: 'lightFill'
}, "My action is different"), _react.default.createElement(_Button.Button, {
  width: '100%'
}, "My action is the same")), _react.default.createElement(_Card.Card, {
  boxShadowSize: 'sm',
  m: 2,
  p: 3,
  height: '160px',
  width: '240px',
  bg: 'white',
  borderRadius: 'xl',
  borderWidth: 0
}, _react.default.createElement(_Text.Text, {
  textStyle: 'paragraph',
  mb: '20px'
}, "text"), _react.default.createElement(_Button.Button, {
  width: '100%',
  mb: 2,
  variation: 'lightFill'
}, "My action is different"), _react.default.createElement(_Button.Button, {
  width: '100%'
}, "My action is the same")));
exports.CardHousingButton = CardHousingButton;
const meta = {
  title: 'Card',
  component: _Card.Card,
  parameters: {
    docs: {
      page: () => _react.default.createElement(_ThemeProvider.ThemeProvider, null, _react.default.createElement(_Hero.Hero, {
        name: 'Card',
        img: _CardImageHero.default
      }, "Cards allow developers to house related elements. Cards are actionable Box components that come in elevated, filled, or outlined. Contents inside card can include inputs, buttons, toggles, or general actionable text."), _react.default.createElement(_TableOfContents.TableOfContents, {
        links: ['Overview', 'Props', 'Support for focus and hover states', 'States', 'Accessibility Guidelines']
      }), _react.default.createElement(_Section.Section, {
        heading: 'Overview'
      }, _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "Each Card should contain content of the same subject. For example, one card should house one hotel or one ad. Use Cards to bring user's attention to clickable elements such as the Card itself.")), _react.default.createElement(_Section.Section, {
        heading: 'Props'
      }, _react.default.createElement(_addonDocs.Primary, null), _react.default.createElement(_addonDocs.ArgsTable, {
        story: _addonDocs.PRIMARY_STORY
      })), _react.default.createElement(_Section.Section, {
        heading: 'Variatons'
      }, _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Support for focus and hover states',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        textStyle: 'paragraph'
      }, "The easiest way to make a card focusable and have a hover state is by passing the prop as = button. This renders the Card on the DOM as html native element button. Try this in the playground above or look at the examples below. In the example below you can easily tab between each Card!"), _react.default.createElement(_addonDocs.Canvas, {
        of: CardStories.ShowcaseCard
      }), _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'States',
        storyTitle: meta.title
      }), _react.default.createElement(_Flex.Flex, {
        my: 4,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _CardImageStates.default
      }))), _react.default.createElement(_Section.Section, {
        heading: 'Accessibility Guidelines'
      }, _react.default.createElement(_StoryHeading.StoryHeading, {
        storyName: 'Support for using Button or Link inside a Card',
        storyTitle: meta.title
      }), _react.default.createElement(_Text.Text, {
        mb: 4,
        textStyle: 'paragraph'
      }, "When a Card has an anchor tag or link, the card does not have a focus state only the children."), _react.default.createElement(_Flex.Flex, {
        my: 4,
        borderRadius: 'xl',
        bg: 'primary.light'
      }, _react.default.createElement(_Image.Image, {
        src: _CardImageLinks.default
      })), _react.default.createElement(_Note.Note, null, "Adding a nested action with the same behavior of the parent card is fully accessible. However, adding an action with a different action will be accessible if implemented correctly, it is recommended you avoid doing so. This could add strain on users as they may not be sure of the expected outcome when clicking anywhere else on the parent card."), _react.default.createElement(_addonDocs.Canvas, {
        of: CardStories.CardHousingButton
      })))
    }
  }
};
var _default = exports.default = meta;