"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatActionContainer = ChatActionContainer;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _Grid = require("../Grid/Grid");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const GappedFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "ChatActionContainer__GappedFlex",
  componentId: "sc-fac0gy-0"
})(["gap:", ";"], (0, _themeGet.default)('space.2'));
/**
 * @public
 */
function ChatActionContainer({
  chatActions
}) {
  const actions = (0, _react.useMemo)(() => {
    return chatActions.map(chatAction => _react.default.createElement(_Button.Button, {
      key: chatAction.label,
      boxShadowSize: 'sm',
      variation: 'white',
      onClick: chatAction.onClick
    }, chatAction.label));
  }, [chatActions]);
  if (chatActions?.length === 2) {
    return _react.default.createElement(_Grid.Grid, {
      templateColumns: '1fr 1fr',
      gap: 2
    }, actions);
  } else {
    return _react.default.createElement(GappedFlex, {
      flexDirection: ['column', null, 'row'],
      flexWrap: ['none', null, 'wrap']
    }, actions);
  }
}