"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._TwoChatActions = exports._ThreeChatActions = void 0;
var _jest = require("@storybook/jest");
var _testingLibrary = require("@storybook/testing-library");
var _react = _interopRequireDefault(require("react"));
var _ChatActionContainer = require("./ChatActionContainer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Chat / ChatActionContainer',
  component: _ChatActionContainer.ChatActionContainer
};
const twoChatActions = [{
  label: 'Yes',
  onClick: _jest.jest.fn()
}, {
  label: 'No',
  onClick: _jest.jest.fn()
}];
const threeChatActions = [{
  label: 'Send a copy of my itinerary',
  onClick: _jest.jest.fn()
}, {
  label: 'Cancel my Trip',
  onClick: _jest.jest.fn()
}, {
  label: 'Reset my Password',
  onClick: _jest.jest.fn()
}];
const _TwoChatActions = exports._TwoChatActions = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.getByText('Yes')).toBeInTheDocument();
    await (0, _jest.expect)(canvas.getByText('No')).toBeInTheDocument();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[0]);
    await (0, _jest.expect)(twoChatActions[0].onClick).toHaveBeenCalled();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[1]);
    await (0, _jest.expect)(twoChatActions[1].onClick).toHaveBeenCalled();
  },
  render: args => _react.default.createElement(_ChatActionContainer.ChatActionContainer, {
    chatActions: twoChatActions,
    ...args
  })
};
const _ThreeChatActions = exports._ThreeChatActions = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.getByText('Send a copy of my itinerary')).toBeInTheDocument();
    await (0, _jest.expect)(canvas.getByText('Cancel my Trip')).toBeInTheDocument();
    await (0, _jest.expect)(canvas.getByText('Reset my Password')).toBeInTheDocument();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[0]);
    await (0, _jest.expect)(threeChatActions[0].onClick).toHaveBeenCalled();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[1]);
    await (0, _jest.expect)(threeChatActions[1].onClick).toHaveBeenCalled();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[2]);
    await (0, _jest.expect)(threeChatActions[2].onClick).toHaveBeenCalled();
  },
  render: args => _react.default.createElement(_ChatActionContainer.ChatActionContainer, {
    chatActions: threeChatActions,
    ...args
  })
};