"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatHeader = ChatHeader;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _Hide = require("../Hide/Hide");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const BorderBottomFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "ChatHeader__BorderBottomFlex",
  componentId: "sc-1jht8x6-0"
})(["border-bottom:1px solid ", ";"], (0, _utils.getPaletteColor)('border.base'));
const HeaderButton = /*#__PURE__*/(0, _styledComponents.default)(_Button.Button).withConfig({
  displayName: "ChatHeader__HeaderButton",
  componentId: "sc-1jht8x6-1"
})(["background-color:", ";color:", ";padding:0;&:hover{background-color:", ";color:", ";}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('text.dark'), (0, _utils.getPaletteColor)('background.light'), (0, _utils.getPaletteColor)('text.dark'));
/**
 * @public
 */
function ChatHeader({
  children,
  onClose,
  onMinimize
}) {
  return _react.default.createElement(BorderBottomFlex, {
    alignItems: 'center',
    justifyContent: 'space-between',
    p: 3
  }, _react.default.createElement(_Box.Box, null, children), _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Hide.Hide, {
    xs: true,
    sm: true,
    md: true
  }, _react.default.createElement(HeaderButton, {
    IconLeft: _pclnIcons.Minus,
    onClick: onMinimize,
    mr: 2
  })), _react.default.createElement(HeaderButton, {
    IconLeft: _pclnIcons.Close,
    onClick: onClose
  })));
}