"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ChatHeader = void 0;
var _jest = require("@storybook/jest");
var _testingLibrary = require("@storybook/testing-library");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Stamp = require("../Stamp/Stamp");
var _Text = require("../Text/Text");
var _ChatHeader2 = require("./ChatHeader");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Chat / ChatHeader',
  component: _ChatHeader2.ChatHeader,
  argTypes: {
    onClose: {
      action: true
    },
    onMinimize: {
      action: true
    }
  }
};
const Children = _react.default.createElement(_Flex.Flex, {
  alignItems: 'center'
}, _react.default.createElement(_Text.Text, {
  color: 'text.heading',
  textStyle: 'heading5'
}, "Penny", _react.default.createElement(_pclnIcons.Sparkle, {
  color: 'promoPrimary',
  size: '16px'
})), _react.default.createElement(_Stamp.Stamp, {
  color: 'primary',
  mx: 2
}, "Beta"));
const _ChatHeader = exports._ChatHeader = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.getByText('Penny')).toBeInTheDocument();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[0]);
    await (0, _jest.expect)(args.onMinimize).toHaveBeenCalled();
    await _testingLibrary.userEvent.click(canvas.getAllByRole('button')[1]);
    await (0, _jest.expect)(args.onClose).toHaveBeenCalled();
  },
  render: args => _react.default.createElement(_ChatHeader2.ChatHeader, {
    ...args
  }, Children)
};