"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatMessage = ChatMessage;
exports.ChatMessageVariations = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Absolute = require("../Absolute/Absolute");
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const variations = {
  initial: (0, _styledComponents.css)(["margin-left:", ";"], (0, _themeGet.default)('space.3')),
  incoming: (0, _styledComponents.css)(["border-top-left-radius:4px;"]),
  outgoing: (0, _styledComponents.css)(["background-color:", ";border-top-right-radius:4px;color:", ";justify-content:flex-end;"], (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getTextColorOn)('primary.base'))
};
const Message = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "ChatMessage__Message",
  componentId: "sc-kwmeww-0"
})(["position:relative;background-color:", ";color:", ";justify-content:flex-start;width:fit-content;", ";"], (0, _utils.getPaletteColor)('background.light'), (0, _utils.getTextColorOn)('background.light'), (0, _utils.applyVariations)('ChatMessage', variations));
/**
 * @public
 */
const ChatMessageVariations = exports.ChatMessageVariations = ['initial', 'incoming', 'outgoing'];
/**
 * @public
 */
function ChatMessage({
  footer,
  header,
  Icon = _pclnIcons.PricelineSparkle,
  message,
  variation,
  ...props
}) {
  const marginTop = header ? 3 : 0;
  const marginBottom = footer ? 3 : 0;
  const footerPosition = variation === 'outgoing' ? {
    right: 0
  } : {
    left: 0
  };
  return _react.default.createElement(Message, {
    borderRadius: '18px',
    variation: variation,
    mt: marginTop,
    mb: marginBottom,
    p: '12px',
    ...props
  }, header && _react.default.createElement(_Absolute.Absolute, {
    top: '-20px',
    left: '0px',
    minWidth: '300px',
    width: '100%',
    px: 3
  }, header), variation === 'initial' && _react.default.createElement(_Absolute.Absolute, {
    top: -16,
    left: -16
  }, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    borderRadius: 'full',
    color: 'primary',
    justifyContent: 'center',
    height: '32px',
    width: '32px'
  }, _react.default.createElement(Icon, {
    color: 'text.lightest',
    size: '24px',
    "data-testid": 'chat-message-icon'
  }))), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph2'
  }, message), footer && _react.default.createElement(_Absolute.Absolute, {
    bottom: '-20px',
    minWidth: '300px',
    width: '100%',
    px: 3,
    ...footerPosition
  }, footer));
}