"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ChatMessage = exports.WithReactNodeMessage = exports.WithIconOverride = exports.WithHeader = exports.WithFooter = exports.OutgoingWithFooter = exports.OutgoingMessage = exports.MessageList = exports.InitialMessage = exports.IncomingMessage = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Text = require("../Text/Text");
var _ChatMessage2 = require("./ChatMessage");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Chat / ChatMessage',
  component: _ChatMessage2.ChatMessage,
  args: {
    message: "Hi! I'm Penny, your virtual travel assistant!",
    variation: 'initial'
  },
  argTypes: {
    variation: {
      options: _ChatMessage2.ChatMessageVariations,
      control: {
        type: 'select',
        options: _ChatMessage2.ChatMessageVariations
      }
    }
  }
};
const HeaderFooter = _react.default.createElement(_Flex.Flex, {
  alignItems: 'center',
  justifyContent: 'space-between'
}, _react.default.createElement(_Text.Text, {
  color: 'text.light',
  textStyle: 'subheading6'
}, "Penny"), _react.default.createElement(_Text.Text, {
  color: 'text.light',
  textStyle: 'subheading6'
}, "12:55 pm"));
const _ChatMessage = exports._ChatMessage = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args
  })
};
const InitialMessage = exports.InitialMessage = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'initial'
  })
};
const WithReactNodeMessage = exports.WithReactNodeMessage = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'initial',
    message: _react.default.createElement("div", null, "How can I help you?")
  })
};
const IncomingMessage = exports.IncomingMessage = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'incoming'
  })
};
const OutgoingMessage = exports.OutgoingMessage = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'outgoing'
  })
};
const WithIconOverride = exports.WithIconOverride = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    Icon: props => _react.default.createElement(_pclnIcons.Overnight, {
      ...props,
      title: 'overnight'
    }),
    variation: 'initial'
  })
};
const WithHeader = exports.WithHeader = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    header: HeaderFooter,
    variation: 'incoming'
  })
};
const WithFooter = exports.WithFooter = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    footer: HeaderFooter,
    variation: 'incoming'
  })
};
const OutgoingWithFooter = exports.OutgoingWithFooter = {
  render: args => _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    ml: '60px',
    variation: 'outgoing',
    message: 'hello!!',
    footer: _react.default.createElement(_Flex.Flex, {
      alignItems: 'center',
      justifyContent: 'flex-end'
    }, _react.default.createElement(_Text.Text, {
      color: 'text.light',
      textStyle: 'subheading6',
      mr: 2
    }, "READ"), _react.default.createElement(_Text.Text, {
      color: 'text.light',
      textStyle: 'subheading6'
    }, "12:55 pm"))
  })
};
const MessageList = exports.MessageList = {
  render: args => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'initial',
    mb: 3
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'outgoing',
    mb: 1
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'outgoing'
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'incoming',
    mt: 3
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'incoming',
    my: 1
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'incoming'
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'outgoing',
    mt: 3,
    mb: 1
  }), _react.default.createElement(_ChatMessage2.ChatMessage, {
    ...args,
    variation: 'outgoing'
  }))
};