"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatMessageContainer = ChatMessageContainer;
var _react = _interopRequireDefault(require("react"));
var _ChatMessage = require("../ChatMessage/ChatMessage");
var _Flex = require("../Flex/Flex");
var _Grid = require("../Grid/Grid");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
function ChatMessageContainer({
  messageMaxWidth = '90%',
  messages
}) {
  return _react.default.createElement(_Grid.Grid, {
    gap: 2,
    height: '100%',
    overflowY: 'scroll',
    p: 3
  }, messages?.map(message => _react.default.createElement(_Flex.Flex, {
    key: message.message,
    justifyContent: message.variation === 'outgoing' ? 'flex-end' : 'flex-start'
  }, _react.default.createElement(_ChatMessage.ChatMessage, {
    ...message,
    maxWidth: messageMaxWidth
  }))));
}