"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ChatTrigger = exports.WithNotification = exports.FloatingActionButton = void 0;
var _jest = require("@storybook/jest");
var _testingLibrary = require("@storybook/testing-library");
var _react = _interopRequireDefault(require("react"));
var _Relative = require("../Relative/Relative");
var _ChatTrigger2 = require("./ChatTrigger");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Chat / ChatTrigger',
  component: _ChatTrigger2.ChatTrigger,
  args: {
    hasNotification: false,
    tooltip: 'Chat with Penny'
  },
  argTypes: {
    onClick: {
      action: true
    }
  },
  decorators: [Story => _react.default.createElement(_Relative.Relative, {
    width: '100%',
    height: '25vh'
  }, _react.default.createElement(Story, null))]
};
const _ChatTrigger = exports._ChatTrigger = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    const button = canvas.getByRole('button');
    await (0, _jest.expect)(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
    await _testingLibrary.userEvent.hover(button);
    await (0, _jest.expect)(canvas.getByText('Chat with Penny')).toBeInTheDocument();
    await _testingLibrary.userEvent.unhover(button);
    await (0, _jest.expect)(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
    await _testingLibrary.userEvent.click(button);
    await (0, _jest.expect)(args.onClick).toHaveBeenCalled();
  },
  render: args => _react.default.createElement(_ChatTrigger2.ChatTrigger, {
    ...args
  })
};
const FloatingActionButton = exports.FloatingActionButton = {
  render: args => _react.default.createElement(_ChatTrigger2.ChatTrigger, {
    ...args
  })
};
const WithNotification = exports.WithNotification = {
  render: args => _react.default.createElement(_ChatTrigger2.ChatTrigger, {
    ...args,
    hasNotification: true
  })
};