"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Checkbox = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const CheckBoxWrapper = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "Checkbox__CheckBoxWrapper",
  componentId: "sc-1vxg344-0"
})(["display:inline-flex;align-items:center;position:relative;vertical-align:middle;padding:2px;cursor:", ";background-color:inherit;color:", ";svg{border:1px solid transparent;border-radius:4px;padding:2px;}svg[data-name='checked']{display:none;}svg[data-name='indeterminate']{display:none;}~ span{cursor:", ";}> input[data-indeterminate='true']{& ~ svg[data-name='indeterminate']{display:inline-block;color:", ";}&:hover ~ svg[data-name='indeterminate']{color:", ";}& ~ svg[data-name='empty']{display:none;}& ~ svg[data-name='checked']{display:none;}}> input:not([data-indeterminate='true']){& ~ svg[data-name='empty']{color:", ";}&:focus-visible ~ svg{border:1px solid ", ";background-color:", ";}}> input:checked:not([data-indeterminate='true']){& ~ svg[data-name='checked']{display:inline-block;color:", ";}& ~ svg[data-name='empty']{display:none;}&:focus-visible ~ svg{border:1px solid ", ";background-color:", ";}&:hover ~ svg[data-name='checked']{color:", ";}}> input:hover ~ svg[data-name='empty']{color:", ";}", ""], ({
  disabled
}) => disabled ? 'not-allowed' : 'pointer', props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('border.dark')(props), ({
  disabled
}) => disabled ? 'not-allowed' : 'pointer', props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('base')(props), props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('dark')(props), props => props.disabled ? (0, _utils.getPaletteColor)('border.base') : (0, _utils.getPaletteColor)(props.unselectedColor), (0, _utils.getPaletteColor)('border.base'), (0, _utils.getPaletteColor)('background.light'), props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('base')(props), (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('light'), props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('dark')(props), props => props.disabled ? (0, _utils.getPaletteColor)('border.base')(props) : (0, _utils.getPaletteColor)('base')(props), (0, _utils.applyVariations)('Checkbox'));
const StyledInput = /*#__PURE__*/_styledComponents.default.input.withConfig({
  displayName: "Checkbox__StyledInput",
  componentId: "sc-1vxg344-1"
})(["appearance:none;opacity:0;position:absolute;z-index:0;"]);
/**
 * @public
 */
const Checkbox = exports.Checkbox = _react.default.forwardRef((props, ref) => {
  const {
    disabled,
    size,
    indeterminate,
    unselectedColor,
    onChange,
    defaultChecked
  } = props;
  const [showIndeterminate, setShowIndeterminate] = (0, _react.useState)(indeterminate && !defaultChecked);
  function handleChange(e) {
    setShowIndeterminate(false);
    if (typeof onChange === 'function') {
      onChange(e);
    }
  }
  (0, _react.useEffect)(() => {
    setShowIndeterminate(indeterminate);
  }, [indeterminate]);
  // Add 4px to Icon's height and width to account for size reduction caused by adding padding to SVG element
  const borderAdjustedSize = size + 4;
  return _react.default.createElement(CheckBoxWrapper, {
    color: props.color,
    disabled: disabled,
    unselectedColor: unselectedColor
  }, _react.default.createElement(StyledInput, {
    type: 'checkbox',
    ...props,
    onChange: handleChange,
    role: 'checkbox',
    "aria-checked": showIndeterminate ? 'mixed' : props.checked,
    "data-indeterminate": showIndeterminate,
    ref: ref
  }), _react.default.createElement(_pclnIcons.BoxChecked, {
    size: borderAdjustedSize,
    "data-name": 'checked'
  }), _react.default.createElement(_pclnIcons.BoxMinus, {
    size: borderAdjustedSize,
    "data-name": 'indeterminate'
  }), _react.default.createElement(_pclnIcons.BoxEmpty, {
    size: borderAdjustedSize,
    "data-name": 'empty'
  }));
});
Checkbox.displayName = 'Checkbox';
Checkbox.defaultProps = {
  size: 20,
  indeterminate: false,
  color: 'primary',
  unselectedColor: 'text.light'
};