"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Color = exports.CheckboxStates = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Heading = require("../Heading/Heading");
var _Label = require("../Label/Label");
var _Text = require("../Text/Text");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _Checkbox = require("./Checkbox");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const StyledLabel = /*#__PURE__*/(0, _styledComponents.default)(_Label.Label).withConfig({
  displayName: "Checkboxstories__StyledLabel",
  componentId: "sc-1kfzbwz-0"
})(["cursor:pointer;font-size:12px;vertical-align:middle;"]);
const Wrapper = props => _react.default.createElement(_Box.Box, {
  p: '12px',
  my: '6px'
}, props.title ? _react.default.createElement(_Heading.Heading.h6, {
  mb: '12px'
}, props.title) : null, props.children);
const formAction = e => {
  e.preventDefault();
  (0, _addonActions.action)('form was submitted, is checkbox checked?')(e.target[1].id, e.target[1].checked);
};
const checkAction = e => {
  (0, _addonActions.action)(`${e.target.id} was clicked`)(e.target.value, e.target.checked);
};
var _default = exports.default = {
  title: 'Checkbox',
  component: _Checkbox.Checkbox
};
function onSubmit(e) {
  return formAction(e);
}
const FilterExample = () => {
  const [filterState, setFilterState] = (0, _react.useState)({
    all: false,
    indeterminate: false,
    small: false,
    medium: false,
    large: false
  });
  const handleFilterSelection = event => {
    const target = event.target;
    // @ts-ignore
    if (target?.id === 'all') {
      if (filterState.all || filterState.indeterminate) {
        setFilterState({
          all: false,
          indeterminate: false,
          small: false,
          medium: false,
          large: false
        });
      } else {
        setFilterState({
          all: true,
          indeterminate: false,
          small: true,
          medium: true,
          large: true
        });
      }
    } else {
      // @ts-ignore
      const newFilterState = {
        ...filterState,
        [target.id]: !filterState[target.id]
      };
      const indeterminate = !(newFilterState.small === newFilterState.medium && newFilterState.small === newFilterState.large);
      const all = newFilterState.small && newFilterState.medium && newFilterState.large;
      setFilterState({
        ...filterState,
        // @ts-ignore
        [target.id]: !filterState[target.id],
        indeterminate,
        all
      });
    }
  };
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'all'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'all',
    onChange: handleFilterSelection,
    indeterminate: filterState.indeterminate,
    checked: filterState.all
  }), "Cars"), _react.default.createElement(_Box.Box, {
    ml: 2
  }, _react.default.createElement(StyledLabel, {
    htmlFor: 'small'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'small',
    onChange: handleFilterSelection,
    checked: filterState.small
  }), "Small"), _react.default.createElement(StyledLabel, {
    htmlFor: 'medium'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'medium',
    onChange: handleFilterSelection,
    checked: filterState.medium
  }), "Medium"), _react.default.createElement(StyledLabel, {
    htmlFor: 'large'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'large',
    onChange: handleFilterSelection,
    checked: filterState.large
  }), "Large"))));
};
const CheckboxStates = () => {
  return _react.default.createElement("div", null, _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'unchecked_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'unchecked_box',
    onChange: checkAction,
    unselectedColor: 'text.light'
  }), "Unchecked by default")), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'checked_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'checked_box',
    defaultChecked: true,
    onChange: checkAction
  }), "Checked by default")), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'disabled_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'disabled_box',
    disabled: true,
    onChange: checkAction
  }), _react.default.createElement(_Text.Text.span, {
    color: 'border.base'
  }, "Disabled"))), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'disabled_checked_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'disabled_checked_box',
    disabled: true,
    defaultChecked: true,
    onChange: checkAction
  }), _react.default.createElement(_Text.Text.span, {
    color: 'border.base'
  }, "Disabled & Checked"))), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'indeterminate_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'indeterminate_box',
    indeterminate: true,
    onChange: checkAction
  }), "Initially indeterminate check box (clicking will checkmark it)")), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    htmlFor: 'indeterminate_checked_box'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'indeterminate_checked_box',
    defaultChecked: true,
    indeterminate: true,
    onChange: checkAction
  }), "Initially indeterminate check box (clicking will uncheck it)")), _react.default.createElement(Wrapper, {
    title: 'Indeterminate Checkboxes'
  }, _react.default.createElement(FilterExample, null)), _react.default.createElement(Wrapper, {
    title: 'In A Form'
  }, _react.default.createElement("form", {
    onSubmit: onSubmit
  }, _react.default.createElement("fieldset", {
    style: {
      display: 'inline-block',
      padding: '16px'
    }
  }, _react.default.createElement("legend", null, "Fancy Form"), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
    fontSize: '14px',
    htmlFor: 'form_checkbox'
  }, _react.default.createElement(_Checkbox.Checkbox, {
    id: 'form_checkbox',
    size: 30,
    onChange: checkAction
  }), "\u00A0In This Form")), _react.default.createElement(_Button.Button, {
    type: 'submit'
  }, "Submit Me"), _react.default.createElement("br", null), _react.default.createElement("br", null), _react.default.createElement(_Button.Button, {
    variation: 'outline',
    color: 'border.base',
    type: 'reset'
  }, "Reset Me")))));
};
exports.CheckboxStates = CheckboxStates;
const Color = () => _react.default.createElement("div", null, _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
  htmlFor: 'secondary_unchecked_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'secondary_unchecked_box',
  onChange: checkAction,
  color: 'secondary'
}), "Secondary color unchecked by default"), _react.default.createElement(StyledLabel, {
  htmlFor: 'secondary_checked_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'secondary_checked_box',
  defaultChecked: true,
  onChange: checkAction,
  color: 'secondary'
}), "Secondary color checked by default"), _react.default.createElement(StyledLabel, {
  htmlFor: 'secondary_indeterminate_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'secondary_indeterminate_box',
  indeterminate: true,
  onChange: checkAction,
  color: 'secondary'
}), "Secondary color indeterminate"), _react.default.createElement(StyledLabel, {
  htmlFor: 'secondary_disabled_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'secondary_disabled_box',
  disabled: true,
  onChange: checkAction,
  color: 'secondary'
}), "Secondary color disabled")), _react.default.createElement(Wrapper, null, _react.default.createElement(StyledLabel, {
  htmlFor: 'error_unchecked_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'error_unchecked_box',
  onChange: checkAction,
  color: 'error'
}), "Error color unchecked by default"), _react.default.createElement(StyledLabel, {
  htmlFor: 'error_checked_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'error_checked_box',
  defaultChecked: true,
  onChange: checkAction,
  color: 'error'
}), "Error color checked by default"), _react.default.createElement(StyledLabel, {
  htmlFor: 'error_indeterminate_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'error_indeterminate_box',
  indeterminate: true,
  onChange: checkAction,
  color: 'error'
}), "Error color indeterminate"), _react.default.createElement(StyledLabel, {
  htmlFor: 'error_disabled_box'
}, _react.default.createElement(_Checkbox.Checkbox, {
  id: 'error_disabled_box',
  disabled: true,
  onChange: checkAction,
  color: 'error'
}), "Error color disabled")));
exports.Color = Color;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(StyledLabel, {
      htmlFor: 'check'
    }, _react.default.createElement(_Checkbox.Checkbox, {
      id: 'check',
      ref: dsRef
    }), "Checkbox with ref"), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus checkbox via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}