"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonChip = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../../Button/Button");
var _utils = require("../../utils/utils");
var _ChipContent = require("../ChipContent/ChipContent");
var _ChipContentWrapper = require("../ChipContentWrapper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ChipButton = /*#__PURE__*/(0, _styledComponents.default)(_Button.Button).withConfig({
  displayName: "ButtonChip__ChipButton",
  componentId: "sc-pjuaz2-0"
})(["background-color:transparent;border:none;padding:0;&:hover{background-color:transparent;}&:focus-visible{box-shadow:none;outline-offset:2px;outline:3px solid ", ";}&:focus-visible > ", "{border-color:", ";}"], (0, _utils.getPaletteColor)('base'), _ChipContentWrapper.ChipContentWrapper, (0, _utils.getPaletteColor)('base'));
const getTitle = ({
  disabled,
  expanded
}) => disabled ? 'Disabled' : expanded ? 'Collapse' : 'Expand';
/**
 * @public
 */
const ButtonChip = exports.ButtonChip = _react.default.forwardRef(({
  color,
  width,
  id,
  m,
  disabled,
  expanded,
  children,
  onClick,
  label,
  showActionIcon,
  variation,
  ...props
}, ref) => _react.default.createElement(ChipButton, {
  color: color,
  width: width,
  id: id,
  "data-testid": id,
  ref: ref,
  disabled: disabled,
  onClick: onClick,
  "aria-expanded": expanded,
  m: m
}, _react.default.createElement(_ChipContent.ChipContent, {
  label: label,
  disabled: disabled,
  selected: expanded,
  action: showActionIcon && {
    Icon: _pclnIcons.ChevronDown,
    title: getTitle({
      disabled,
      expanded
    })
  },
  variation: variation,
  ...props
}, children)));
ButtonChip.displayName = 'ButtonChip';
ButtonChip.defaultProps = {
  color: 'primary',
  variation: 'outline'
};