"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _ButtonChip = require("./ButtonChip");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const props = {
  id: 'testId',
  m: 2,
  expanded: false,
  disabled: false,
  onClick: jest.fn()
};
describe('ButtonChip', () => {
  test('Default', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ButtonChip.ButtonChip, {
      ...props
    }));
    const buttonChip = getByTestId('testId');
    //onClick
    _testingLibrary.fireEvent.click(buttonChip);
    expect(props.onClick).toHaveBeenCalled();
    //aria-expanded
    expect(buttonChip).toHaveAttribute('aria-expanded', 'false');
    //(not) disabled
    expect(getByTestId('testId')).not.toHaveAttribute('disabled');
    //style
    expect(buttonChip).toHaveStyleRule('margin', '8px');
  });
  test('Disabled', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ButtonChip.ButtonChip, {
      ...props,
      disabled: true
    }));
    expect(getByTestId('testId')).toHaveAttribute('disabled');
  });
  test('Expanded', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ButtonChip.ButtonChip, {
      ...props,
      expanded: true
    }));
    expect(getByTestId('testId')).toHaveAttribute('aria-expanded', 'true');
  });
});