"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithVariationShadow = exports.WithImageAndBridgeLabel = exports.WithImage = exports.WithIconAndFacet = exports.WithIcon = exports.WithFacet = exports.LabelWithWidth = exports.LabelOnly = exports.ImageOnly = exports.IconOnly = exports.CustomChip = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
var _args = require("../../storybook/args");
var _ButtonChip = require("./ButtonChip");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const image = _react.default.createElement("img", {
  src: 'https://www.priceline.com/sam/air/carrier_logos/airLogo_DL.png',
  alt: 'Delta',
  height: '24'
});
const small = {
  title: 'Small',
  value: 'sm'
};
const medium = {
  title: 'Medium',
  value: 'md'
};
const responsive = {
  title: 'Responsive',
  value: ['sm', 'sm', 'sm', 'md']
};
const getExamples = (exampleProps, sizes, width = '') => _react.default.createElement(_Box.Box, null, sizes.map(size => _react.default.createElement(_Box.Box, {
  m: 3,
  key: size.title
}, _react.default.createElement(_Text.Text, null, size.title), _react.default.createElement(_Box.Box, null, exampleProps.map((props, i) => _react.default.createElement(_ButtonChip.ButtonChip, {
  key: `chip${size.title}${i}`,
  id: `chip${size.title}${i}`,
  width: width,
  m: 1,
  size: size.value,
  ...props
}))))));
//Label Only
const labelOnly = [{
  label: 'Enabled'
}, {
  label: 'Active',
  expanded: true
}, {
  label: 'Active',
  expanded: true,
  showActionIcon: true
}, {
  label: 'Disabled',
  disabled: true
}, {
  label: 'Active and Disabled',
  expanded: true,
  disabled: true
}];
const LabelOnly = () => getExamples(labelOnly, [small, medium, responsive]);
//Label With Width
exports.LabelOnly = LabelOnly;
const labelWithWidth = [{
  label: 'Enabled'
}, {
  label: 'Active',
  expanded: true
}];
const LabelWithWidth = () => getExamples(labelWithWidth, [small, medium, responsive], '45%');
//With Icon
exports.LabelWithWidth = LabelWithWidth;
const withIcon = [{
  label: 'Enabled',
  Icon: _pclnIcons.Departure
}, {
  label: 'Active',
  expanded: true,
  Icon: _pclnIcons.Departure
}, {
  label: 'Active',
  expanded: true,
  showActionIcon: true,
  Icon: _pclnIcons.Departure
}, {
  label: 'Disabled',
  disabled: true,
  showActionIcon: true,
  Icon: _pclnIcons.Departure
}, {
  label: 'Active and Disabled',
  expanded: true,
  showActionIcon: true,
  disabled: true,
  Icon: _pclnIcons.Departure
}];
const WithIcon = () => getExamples(withIcon, [small, medium, responsive]);
//With Facet
exports.WithIcon = WithIcon;
const withFacet = [{
  label: 'Enabled',
  facet: '(00)'
}, {
  label: 'Active',
  facet: '(00)',
  expanded: true
}, {
  label: 'Active',
  facet: '(00)',
  expanded: true,
  showActionIcon: true
}, {
  label: 'Disabled',
  facet: '(00)',
  showActionIcon: true,
  disabled: true
}, {
  label: 'Active and Disabled',
  facet: '(00)',
  expanded: true,
  showActionIcon: true,
  disabled: true
}];
const WithFacet = () => getExamples(withFacet, [small, medium, responsive]);
//With Facet And Icon
exports.WithFacet = WithFacet;
const withFacetAndIcon = [{
  label: 'Enabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure
}, {
  label: 'Active',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  expanded: true
}, {
  label: 'Active',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  expanded: true,
  showActionIcon: true
}, {
  label: 'Disabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  showActionIcon: true,
  disabled: true
}, {
  label: 'Active and Disabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  expanded: true,
  showActionIcon: true,
  disabled: true
}];
const WithIconAndFacet = () => getExamples(withFacetAndIcon, [small, medium, responsive]);
//Icon Only
exports.WithIconAndFacet = WithIconAndFacet;
const iconOnly = [{
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  expanded: true,
  showActionIcon: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  showActionIcon: true,
  disabled: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  expanded: true,
  showActionIcon: true,
  disabled: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}];
const IconOnly = () => getExamples(iconOnly, [small, medium, responsive]);
//With Image
exports.IconOnly = IconOnly;
const withImage = [{
  label: 'Enabled',
  image: image
}, {
  label: 'Active',
  expanded: true,
  image: image
}, {
  label: 'Active',
  expanded: true,
  showActionIcon: true,
  image: image
}, {
  label: 'Disabled',
  showActionIcon: true,
  disabled: true,
  image: image
}, {
  label: 'Active and Disabled',
  expanded: true,
  showActionIcon: true,
  disabled: true,
  image: image
}];
const WithImage = () => getExamples(withImage, [medium]);
//With Image And Bridge Label
exports.WithImage = WithImage;
const withImageAndBridgeLabel = [{
  label: 'Enabled',
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Active',
  expanded: true,
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Active',
  expanded: true,
  showActionIcon: true,
  image: image,
  bridgeLabel: 'Bridge',
  BridgeIcon: _pclnIcons.Broom
}, {
  label: 'Disabled',
  showActionIcon: true,
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Active and Disabled',
  expanded: true,
  showActionIcon: true,
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge'
}];
const WithImageAndBridgeLabel = () => getExamples(withImageAndBridgeLabel, [medium]);
//Image Only
exports.WithImageAndBridgeLabel = WithImageAndBridgeLabel;
const imageOnly = [{
  image: image
}, {
  expanded: true,
  image: image
}, {
  expanded: true,
  showActionIcon: true,
  image: image
}, {
  showActionIcon: true,
  disabled: true,
  image: image
}, {
  expanded: true,
  showActionIcon: true,
  disabled: true,
  image: image
}];
const ImageOnly = () => getExamples(imageOnly, [medium]);
//Custom Chip
exports.ImageOnly = ImageOnly;
const CustomChip = () => _react.default.createElement(_Box.Box, {
  m: 2
}, _react.default.createElement(_ButtonChip.ButtonChip, {
  id: 'customChip1',
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Browse All"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, "$161 avg. per night"))), _react.default.createElement(_ButtonChip.ButtonChip, {
  id: 'customChip2',
  expanded: true,
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Pricebreakers"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, "Save up to 60%"))), _react.default.createElement(_ButtonChip.ButtonChip, {
  id: 'customChip3',
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Express Deals"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, _react.default.createElement(_Text.Text.span, {
  color: 'green'
}, "$130"), " avg. per night"))), _react.default.createElement(_ButtonChip.ButtonChip, {
  id: 'customChip3',
  m: 1,
  disabled: true
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Express Deals"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, _react.default.createElement(_Text.Text.span, {
  color: 'green'
}, "$130"), " avg. per night"))), _react.default.createElement(_ButtonChip.ButtonChip, {
  id: 'customChip2',
  expanded: true,
  disabled: true,
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Pricebreakers"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, "Save up to 60%"))));
// With Variation Shadow
exports.CustomChip = CustomChip;
const WithVariationShadow = () => getExamples(_args.chipWithShadowVariationArgs, [small, medium, responsive]);
//Default
exports.WithVariationShadow = WithVariationShadow;
var _default = exports.default = {
  title: 'core / Chip / ButtonChip',
  component: _ButtonChip.ButtonChip
};