"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChipContent = ChipContent;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../../Box/Box");
var _Flex = require("../../Flex/Flex");
var _Text = require("../../Text/Text");
var _utils = require("../../utils/utils");
var _ChipContentWrapper = require("../ChipContentWrapper");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ImageWrapper = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "ChipContent__ImageWrapper",
  componentId: "sc-1pn2o3i-0"
})(["background-color:", ";border-radius:", "px;", ""], (0, _utils.getPaletteColor)('background.lightest'), ({
  theme
}) => theme.radii[2], ({
  disabled
}) => disabled && 'opacity: .33;');
/**
 * @public
 */
function ChipContent({
  disabled,
  selected,
  children,
  label,
  /* eslint-disable @typescript-eslint/naming-convention */
  Icon,
  /* eslint-disable @typescript-eslint/naming-convention */
  IconTitle,
  facet,
  action,
  image,
  size,
  bridgeLabel,
  /* eslint-disable @typescript-eslint/naming-convention */
  BridgeIcon,
  variation,
  topLabel,
  borderRadius,
  justifyContent = 'center',
  ...props
}) {
  return _react.default.createElement(_ChipContentWrapper.ChipContentWrapper, {
    "data-testid": 'chipContentWrapper',
    hasChildren: Boolean(children),
    hasTopLabel: Boolean(topLabel),
    borderRadiusOverride: borderRadius,
    disabled: disabled,
    selected: selected,
    size: size,
    variation: variation,
    justifyContent: justifyContent,
    ...props
  }, children, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    height: '100%'
  }, Boolean(image) && _react.default.createElement(ImageWrapper, {
    disabled: disabled
  }, image), Boolean(Icon) && _react.default.createElement(Icon, {
    title: IconTitle,
    size: '20px'
  }), _react.default.createElement(_Box.Box, null, Boolean(topLabel) && _react.default.createElement(_Text.Text, {
    regular: true,
    ml: 2,
    mb: 1,
    fontWeight: 'bold'
  }, topLabel), _react.default.createElement(_Flex.Flex, null, Boolean(label) && _react.default.createElement(_Text.Text, {
    regular: true,
    ml: Boolean(Icon) || Boolean(image) ? 2 : 0
  }, label), Boolean(facet) && _react.default.createElement(_Text.Text, {
    regular: true,
    ml: 1
  }, facet), Boolean(bridgeLabel) && _react.default.createElement(BridgeIcon, {
    title: 'to',
    size: '16px',
    ml: 2,
    mt: '1px'
  }), Boolean(bridgeLabel) && _react.default.createElement(_Text.Text, {
    regular: true,
    ml: 2
  }, bridgeLabel))), Boolean(action?.Icon) && action.title && _react.default.createElement(action.Icon, {
    title: action.title,
    size: '16px',
    ml: 2
  })));
}
ChipContent.defaultProps = {
  BridgeIcon: _pclnIcons.ArrowRight,
  size: 'sm',
  color: 'primary',
  py: 1,
  m: 0
};
ChipContent.displayName = 'Chip';