"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChipContentWrapper = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getSizes = ({
  hasChildren,
  hasTopLabel,
  borderRadiusOverride
}) => ({
  sm: (0, _styledComponents.css)(["border-radius:", ";padding-left:8px;padding-right:8px;", " font-size:", "px;"], (0, _themeGet.default)(`borderRadii.${borderRadiusOverride || 'action-sm'}`), hasChildren ? '' : hasTopLabel ? 'height: 50px;' : 'height: 32px;', (0, _themeGet.default)('fontSizes.0')),
  md: (0, _styledComponents.css)(["border-radius:", ";padding-left:16px;padding-right:16px;", " font-size:", "px;"], (0, _themeGet.default)(`borderRadii.${borderRadiusOverride || 'action-md'}`), hasChildren ? '' : hasTopLabel ? 'height: 58px;' : 'height: 40px;', (0, _themeGet.default)('fontSizes.1'))
});
const getColor = ({
  disabled
}) => disabled ? 'text.light' : 'base';
const getCursor = ({
  disabled
}) => disabled ? 'not-allowed' : 'pointer';
const getBorderColor = props => props.disabled ? 'transparent' : (0, _utils.getPaletteColor)(props.selected ? 'base' : 'border.base')(props);
const getBackgroundColor = props => props.disabled ? 'background.base' : props.selected ? 'light' : 'background.lightest';
const variations = {
  outline: (0, _styledComponents.css)([""]),
  shadow: (0, _styledComponents.css)(["box-shadow:", ";&:hover{box-shadow:", ";}"], props => props.disabled || props.selected ? 'none' : (0, _themeGet.default)('shadows.md'), props => props.disabled ? 'none' : (0, _themeGet.default)('shadows.xl'))
};
const ChipContentWrapper = exports.ChipContentWrapper = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "ChipContentWrapper",
  componentId: "sc-19y99lx-0"
})(["", " width:100%;max-width:100%;display:inline-flex;align-items:center;justify-content:", ";position:relative;border-radius:2px;white-space:nowrap;", ";", ";", ";", ""], props => `
    cursor: ${getCursor(props)};
    color: ${(0, _utils.getPaletteColor)(getColor(props))(props)};
    background-color: ${(0, _utils.getPaletteColor)(getBackgroundColor(props))(props)};
    border: 1px solid ${props.variation === 'shadow' && !props.selected ? 'transparent' : getBorderColor(props)};
    ${props.disabled ? '' : `
          &:hover {
            border: 1px solid ${(0, _utils.getPaletteColor)('base')(props)};
            background-color: ${(0, _utils.getPaletteColor)('background.lightest')(props)};
          }
          `}

    ${props.selected && !props.disabled ? `
          &:hover {
            color: ${(0, _utils.getPaletteColor)('dark')(props)};
            border: 1px solid ${(0, _utils.getPaletteColor)('dark')(props)};
            background-color: ${(0, _utils.getPaletteColor)('light')(props)};
          }
          ` : ''}

    ${props.disabled && props.selected ? `border: 1px solid ${(0, _utils.getPaletteColor)('text.light')(props)};` : ''}
  `, ({
  justifyContent
}) => justifyContent, ({
  theme,
  hasChildren
}) => (0, _utils.applySizes)(getSizes({
  hasChildren
}), undefined, theme.mediaQueries), (0, _utils.applyVariations)('ChipContentWrapper', variations), ({
  theme,
  hasChildren,
  hasTopLabel,
  borderRadiusOverride
}) => (0, _utils.applySizes)(getSizes({
  hasChildren,
  hasTopLabel,
  borderRadiusOverride
}), undefined, theme.mediaQueries), props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize)(props));