"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChoiceChip = ChoiceChip;
var _react = _interopRequireDefault(require("react"));
var _ChipContent = require("../ChipContent/ChipContent");
var _ChipInput = require("../ChipInput");
var _ChipLabel = require("../ChipLabel");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
function ChoiceChip({
  id,
  name,
  disabled,
  selected,
  children,
  onClick,
  label,
  variation,
  width = 'auto',
  value,
  ...props
}) {
  return _react.default.createElement(_ChipLabel.ChipLabel, {
    htmlFor: id,
    width: width,
    ...props
  }, _react.default.createElement(_ChipInput.ChipInput, {
    "data-testid": id,
    name: name,
    value: value,
    type: 'radio',
    role: 'radio',
    id: id,
    disabled: disabled,
    checked: selected,
    onChange: onClick
  }), _react.default.createElement(_ChipContent.ChipContent, {
    label: label,
    disabled: disabled,
    selected: selected,
    variation: variation,
    ...props
  }, children));
}
ChoiceChip.displayName = 'Chip';
ChoiceChip.defaultProps = {
  color: 'primary',
  variation: 'outline'
};