"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _ChoiceChip = require("./ChoiceChip");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const props = {
  id: 'testId',
  name: 'testName',
  expanded: false,
  disabled: false,
  onClick: jest.fn()
};
describe('ChoiceChip', () => {
  test('Default', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ChoiceChip.ChoiceChip, {
      ...props
    }));
    const choiceChip = getByTestId('testId');
    //id
    expect(choiceChip).toHaveAttribute('id', props.id);
    //name
    expect(choiceChip).toHaveAttribute('name', props.name);
    //type
    expect(choiceChip).toHaveAttribute('type', 'radio');
    //role
    expect(choiceChip).toHaveAttribute('role', 'radio');
    //onClick
    _testingLibrary.fireEvent.click(choiceChip);
    expect(props.onClick).toHaveBeenCalled();
    //(not) disabled
    expect(choiceChip).not.toHaveAttribute('disabled');
    //(not) checked
    expect(choiceChip).not.toHaveAttribute('checked');
  });
  test('Disabled', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ChoiceChip.ChoiceChip, {
      ...props,
      disabled: true
    }));
    expect(getByTestId('testId')).toHaveAttribute('disabled');
  });
  test('Checked', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_ChoiceChip.ChoiceChip, {
      ...props,
      selected: true
    }));
    expect(getByTestId('testId')).toHaveAttribute('checked');
  });
});