"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithVariationShadow = exports.WithImageBridgeLabelAndTopLabel = exports.WithImageAndBridgeLabel = exports.WithImage = exports.WithIconAndFacet = exports.WithIcon = exports.WithFacet = exports.Usage = exports.NoTextWrap = exports.LabelOnly = exports.ImageOnly = exports.IconOnly = exports.CustomChip = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../../Box/Box");
var _Flex = require("../../Flex/Flex");
var _Text = require("../../Text/Text");
var _args = require("../../storybook/args");
var _ChoiceChip = require("./ChoiceChip");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const image = _react.default.createElement("img", {
  src: 'https://www.priceline.com/sam/air/carrier_logos/airLogo_DL.png',
  alt: 'Delta',
  height: '24'
});
const small = {
  title: 'Small',
  value: 'sm'
};
const medium = {
  title: 'Medium',
  value: 'md'
};
const responsive = {
  title: 'Responsive',
  value: ['sm', 'sm', 'sm', 'md']
};
const getExamples = (exampleProps, sizes) => _react.default.createElement(_Box.Box, null, sizes.map(size => _react.default.createElement(_Box.Box, {
  m: 3,
  key: size.title
}, _react.default.createElement(_Text.Text, null, size.title), _react.default.createElement(_Box.Box, null, exampleProps.map((props, i) => _react.default.createElement(_ChoiceChip.ChoiceChip, {
  key: `chip${size.title}${i}`,
  id: `chip${size.title}${i}`,
  name: size.title,
  m: 1,
  size: size.value,
  ...props
}))))));
//Label Only
const labelOnly = [{
  label: 'Enabled'
}, {
  label: 'Active',
  selected: true
}, {
  label: 'Disabled',
  disabled: true
}, {
  label: 'Active and Disabled',
  selected: true,
  disabled: true
}];
const LabelOnly = () => getExamples(labelOnly, [small, medium, responsive]);
exports.LabelOnly = LabelOnly;
const noTextWrap = [{
  label: 'Lots of Words that Do Not Wrap'
}, {
  label: 'Long Words and Things!',
  selected: true
}, {
  label: 'This Is A Test Disabled',
  disabled: true
}, {
  label: 'This Is A Test Active and Disabled',
  selected: true,
  disabled: true
}];
const NoTextWrap = () => getExamples(noTextWrap, [small, medium, responsive]);
//With Icon
exports.NoTextWrap = NoTextWrap;
const withIcon = [{
  label: 'Enabled',
  Icon: _pclnIcons.Departure
}, {
  label: 'Active',
  selected: true,
  Icon: _pclnIcons.Departure
}, {
  label: 'Disabled',
  disabled: true,
  Icon: _pclnIcons.Departure
}, {
  label: 'Active and Disabled',
  selected: true,
  disabled: true,
  Icon: _pclnIcons.Departure
}];
const WithIcon = () => getExamples(withIcon, [small, medium, responsive]);
//With Facet
exports.WithIcon = WithIcon;
const withFacet = [{
  label: 'Enabled',
  facet: '(00)'
}, {
  label: 'Active',
  facet: '(00)',
  selected: true
}, {
  label: 'Disabled',
  facet: '(00)',
  disabled: true
}, {
  label: 'Active and Disabled',
  facet: '(00)',
  selected: true,
  disabled: true
}];
const WithFacet = () => getExamples(withFacet, [small, medium, responsive]);
//With Facet And Icon
exports.WithFacet = WithFacet;
const withFacetAndIcon = [{
  label: 'Enabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure
}, {
  label: 'Active',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  selected: true
}, {
  label: 'Disabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  disabled: true
}, {
  label: 'Active and Disabled',
  facet: '(00)',
  Icon: _pclnIcons.Departure,
  selected: true,
  disabled: true
}];
const WithIconAndFacet = () => getExamples(withFacetAndIcon, [small, medium, responsive]);
//Icon Only
exports.WithIconAndFacet = WithIconAndFacet;
const iconOnly = [{
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  selected: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  disabled: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}, {
  selected: true,
  disabled: true,
  Icon: _pclnIcons.Departure,
  title: 'Departure'
}];
const IconOnly = () => getExamples(iconOnly, [small, medium, responsive]);
//With Image
exports.IconOnly = IconOnly;
const withImage = [{
  label: 'Enabled',
  image: image
}, {
  label: 'Active',
  selected: true,
  image: image
}, {
  label: 'Disabled',
  disabled: true,
  image: image
}, {
  label: 'Active and Disabled',
  selected: true,
  disabled: true,
  image: image
}];
const WithImage = () => getExamples(withImage, [medium]);
//With Image And Bridge Label
exports.WithImage = WithImage;
const withImageAndBridgeLabel = [{
  label: 'Enabled',
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Active',
  selected: true,
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Disabled',
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge'
}, {
  label: 'Active and Disabled',
  selected: true,
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge'
}];
const WithImageAndBridgeLabel = () => getExamples(withImageAndBridgeLabel, [medium]);
//With Image And Bridge Label
exports.WithImageAndBridgeLabel = WithImageAndBridgeLabel;
const withImageBridgeLabelAndTopLabel = [{
  label: 'Enabled',
  image: image,
  bridgeLabel: 'Bridge',
  topLabel: 'Departure Flight',
  borderRadius: 'lg',
  width: '300px',
  justifyContent: 'flex-start'
}, {
  label: 'Active',
  selected: true,
  image: image,
  bridgeLabel: 'Bridge',
  topLabel: 'Departure Flight',
  borderRadius: 'lg'
}, {
  label: 'Disabled',
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge',
  topLabel: 'Departure Flight',
  borderRadius: 'lg'
}, {
  label: 'Active and Disabled',
  selected: true,
  disabled: true,
  image: image,
  bridgeLabel: 'Bridge',
  topLabel: 'Departure Flight',
  borderRadius: 'lg'
}];
const WithImageBridgeLabelAndTopLabel = () => getExamples(withImageBridgeLabelAndTopLabel, [medium]);
//Image Only
exports.WithImageBridgeLabelAndTopLabel = WithImageBridgeLabelAndTopLabel;
const imageOnly = [{
  image: image
}, {
  selected: true,
  image: image
}, {
  disabled: true,
  image: image
}, {
  selected: true,
  disabled: true,
  image: image
}];
const ImageOnly = () => getExamples(imageOnly, [medium]);
//Custom Chip
exports.ImageOnly = ImageOnly;
const CustomChip = () => _react.default.createElement(_Box.Box, {
  m: 2
}, _react.default.createElement(_ChoiceChip.ChoiceChip, {
  id: 'customChip1',
  name: 'customChoice',
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Browse All"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, "$161 avg. per night"))), _react.default.createElement(_ChoiceChip.ChoiceChip, {
  id: 'customChip2',
  name: 'customChoice',
  selected: true,
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Pricebreakers"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, "Save up to 60%"))), _react.default.createElement(_ChoiceChip.ChoiceChip, {
  id: 'customChip3',
  name: 'customChoice',
  m: 1
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Express Deals"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, _react.default.createElement(_Text.Text.span, {
  color: 'green'
}, "$130"), " avg. per night"))), _react.default.createElement(_ChoiceChip.ChoiceChip, {
  id: 'customChip4',
  name: 'customChoice',
  m: 1,
  disabled: true
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Express Deals"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, _react.default.createElement(_Text.Text.span, {
  color: 'green'
}, "$130"), " avg. per night"))), _react.default.createElement(_ChoiceChip.ChoiceChip, {
  id: 'customChip5',
  name: 'customChoice',
  m: 1,
  selected: true,
  disabled: true
}, _react.default.createElement(_Box.Box, {
  px: 3,
  py: 1
}, _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  bold: true,
  fontSize: 1
}, "Express Deals"), _react.default.createElement(_Text.Text, {
  textAlign: 'center',
  regular: true,
  fontSize: 0
}, _react.default.createElement(_Text.Text.span, {
  color: 'green'
}, "$130"), " avg. per night"))));
// With Variation Shadow
exports.CustomChip = CustomChip;
const WithVariationShadow = () => getExamples(_args.chipWithShadowVariationArgs, [small, medium, responsive]);
// Usage
exports.WithVariationShadow = WithVariationShadow;
const Usage = () => {
  const ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE = 'round-trip-chip-button-id-outline';
  const ONE_WAY_CHIP_BUTTON_ID_OUTLINE = 'one-way-chip-button-id-outline';
  const ROUND_TRIP_CHIP_BUTTON_ID_SHADOW = 'round-trip-chip-button-id-shadow';
  const ONE_WAY_CHIP_BUTTON_ID_SHADOW = 'one-way-chip-button-id-shadow';
  const [chipState, setChipState] = (0, _react.useState)({
    [`${ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE}`]: true,
    [`${ONE_WAY_CHIP_BUTTON_ID_OUTLINE}`]: false,
    [`${ROUND_TRIP_CHIP_BUTTON_ID_SHADOW}`]: true,
    [`${ONE_WAY_CHIP_BUTTON_ID_SHADOW}`]: false
  });
  function handleClick(evt) {
    if (evt?.target?.id === ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE) {
      setChipState(state => ({
        ...state,
        [`${ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE}`]: true,
        [`${ONE_WAY_CHIP_BUTTON_ID_OUTLINE}`]: false
      }));
    }
    if (evt?.target?.id === ONE_WAY_CHIP_BUTTON_ID_OUTLINE) {
      setChipState(state => ({
        ...state,
        [`${ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE}`]: false,
        [`${ONE_WAY_CHIP_BUTTON_ID_OUTLINE}`]: true
      }));
    }
    if (evt?.target?.id === ROUND_TRIP_CHIP_BUTTON_ID_SHADOW) {
      setChipState(state => ({
        ...state,
        [`${ROUND_TRIP_CHIP_BUTTON_ID_SHADOW}`]: true,
        [`${ONE_WAY_CHIP_BUTTON_ID_SHADOW}`]: false
      }));
    }
    if (evt?.target?.id === ONE_WAY_CHIP_BUTTON_ID_SHADOW) {
      setChipState(state => ({
        ...state,
        [`${ROUND_TRIP_CHIP_BUTTON_ID_SHADOW}`]: false,
        [`${ONE_WAY_CHIP_BUTTON_ID_SHADOW}`]: true
      }));
    }
  }
  return _react.default.createElement(_Box.Box, {
    m: 3
  }, _react.default.createElement(_Text.Text, null, "Varation: Outline"), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'row',
    key: 'outline'
  }, _react.default.createElement(_ChoiceChip.ChoiceChip, {
    id: ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE,
    selected: chipState[ROUND_TRIP_CHIP_BUTTON_ID_OUTLINE],
    onClick: handleClick,
    label: 'Round-trip',
    m: 1
  }), _react.default.createElement(_ChoiceChip.ChoiceChip, {
    id: ONE_WAY_CHIP_BUTTON_ID_OUTLINE,
    selected: chipState[ONE_WAY_CHIP_BUTTON_ID_OUTLINE],
    onClick: handleClick,
    label: 'One-way',
    m: 1
  })), _react.default.createElement("br", null), _react.default.createElement(_Text.Text, null, "Varation: Shadow"), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'row',
    key: 'shadow'
  }, _react.default.createElement(_ChoiceChip.ChoiceChip, {
    id: ROUND_TRIP_CHIP_BUTTON_ID_SHADOW,
    selected: chipState[ROUND_TRIP_CHIP_BUTTON_ID_SHADOW],
    onClick: handleClick,
    label: 'Round-trip',
    variation: 'shadow',
    m: 1
  }), _react.default.createElement(_ChoiceChip.ChoiceChip, {
    id: ONE_WAY_CHIP_BUTTON_ID_SHADOW,
    selected: chipState[ONE_WAY_CHIP_BUTTON_ID_SHADOW],
    onClick: handleClick,
    label: 'One-way',
    variation: 'shadow',
    m: 1
  })));
};
//Default
exports.Usage = Usage;
var _default = exports.default = {
  title: 'core / Chip / ChoiceChip',
  component: _ChoiceChip.ChoiceChip
};