"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilterChip = FilterChip;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _ChipContent = require("../ChipContent/ChipContent");
var _ChipInput = require("../ChipInput");
var _ChipLabel = require("../ChipLabel");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getTitle = ({
  disabled,
  actionTitle
}) => `${actionTitle}${disabled ? ' disabled' : ''}`;
/**
 * @public
 */
function FilterChip({
  id,
  name,
  disabled,
  selected,
  children,
  onClick,
  label,
  showActionIcon,
  actionTitle,
  value,
  variation,
  ...props
}) {
  return _react.default.createElement(_ChipLabel.ChipLabel, {
    htmlFor: id,
    width: 'auto',
    ...props
  }, _react.default.createElement(_ChipInput.ChipInput, {
    type: 'checkbox',
    role: 'checkbox',
    id: id,
    name: name,
    "data-testid": id,
    disabled: disabled,
    checked: selected,
    onChange: onClick,
    value: value
  }), _react.default.createElement(_ChipContent.ChipContent, {
    label: label,
    disabled: disabled,
    selected: selected,
    action: showActionIcon && {
      Icon: _pclnIcons.Close,
      title: getTitle({
        disabled,
        actionTitle
      })
    },
    variation: variation,
    ...props
  }, children));
}
FilterChip.displayName = 'FilterChip';
FilterChip.defaultProps = {
  color: 'primary',
  actionTitle: 'Close',
  variation: 'outline'
};