"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CloseButton = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Relative = require("../Relative/Relative");
var _CloseButton = require("./CloseButton.styled");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
const CloseButton = ({
  animate = true,
  bgColor,
  boxShadowSize,
  className,
  color,
  onClick,
  size = 'md',
  title = 'close',
  variant,
  ...props
}) => {
  const [hover, setHover] = (0, _react.useState)(false);
  return _react.default.createElement(_Relative.Relative, null, _react.default.createElement(_CloseButton.MotionButton, {
    bgColor: bgColor,
    boxShadowSize: boxShadowSize,
    className: className,
    color: color,
    onHoverEnd: () => setHover(false),
    onHoverStart: () => setHover(true),
    variant: variant,
    size: size,
    onClick: onClick,
    title: title,
    ..._CloseButton.closeButtonVariantProps[variant],
    ...props
  }, animate && variant !== 'filled' && _react.default.createElement(_CloseButton.BackgroundAnimation, {
    initial: {
      scale: 0
    },
    animate: hover ? {
      scale: 1
    } : {
      scale: 0
    }
  }), _react.default.createElement(_CloseButton.CloseIcon, {
    size: size
  })));
};
exports.CloseButton = CloseButton;