"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.VariantWhite = exports.VariantFilled = exports.Playground = exports.OnColors = exports.NoVariant = void 0;
var _testingLibrary = require("@storybook/testing-library");
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Grid = require("../Grid/Grid");
var _Text = require("../Text/Text");
var _theme = require("../theme/theme");
var _CloseButton = require("./CloseButton");
var _CloseButtonStories = require("./CloseButton.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const meta = {
  title: 'CloseButton',
  component: _CloseButton.CloseButton,
  args: _CloseButtonStories.defaultArgs,
  argTypes: _CloseButtonStories.argTypes
};
var _default = exports.default = meta;
const templateColumns = Array.from(Array(6).keys()).map(x => `repeat(${x + 1}, 1fr)`);
const BasicTemplate = args => _react.default.createElement(_CloseButton.CloseButton, {
  ...args
});
const Playground = exports.Playground = BasicTemplate.bind({});
const SizesTemplate = args => _react.default.createElement(_Grid.Grid, {
  templateColumns: templateColumns,
  gap: 3,
  overflow: 'hidden'
}, ['sm', 'md', 'lg'].map(x => _react.default.createElement(_Flex.Flex, {
  key: x,
  alignItems: 'center',
  p: 3,
  overflow: 'auto',
  style: {
    gap: '.25rem'
  },
  bg: args.bg
}, _react.default.createElement(_CloseButton.CloseButton, {
  key: x,
  ...args,
  size: x
}), _react.default.createElement(_Text.Text, null, x))));
const NoVariant = exports.NoVariant = {
  render: SizesTemplate.bind({}),
  play: async ({
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await _testingLibrary.userEvent.tab();
    await _testingLibrary.userEvent.hover(canvas.queryAllByTitle('close')[2]);
  },
  parameters: {
    chromatic: {
      delay: 300
    }
  }
};
const VariantFilled = exports.VariantFilled = {
  render: SizesTemplate.bind({})
};
VariantFilled.args = {
  variant: 'filled'
};
const VariantWhite = exports.VariantWhite = {
  render: SizesTemplate.bind({}),
  play: async ({
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await _testingLibrary.userEvent.hover(canvas.queryAllByTitle('close')[2]);
  }
};
VariantWhite.args = {
  variant: 'white',
  bg: 'background.dark'
};
const OnColors = exports.OnColors = {
  render: args => _react.default.createElement(_Grid.Grid, {
    templateColumns: templateColumns,
    gap: 3,
    overflow: 'hidden'
  }, _theme.paletteColors.map(x => _react.default.createElement(_Flex.Flex, {
    key: x,
    alignItems: 'center',
    bg: x,
    p: 3,
    overflow: 'auto',
    style: {
      gap: '.25rem'
    }
  }, _react.default.createElement(_CloseButton.CloseButton, {
    key: x,
    ...args
  }), _react.default.createElement(_Text.Text, null, x))))
};