"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.filledVariationSizes = exports.closeButtonVariants = exports.closeButtonVariantProps = exports.closeButtonSizes = exports.closeButtonIconSizes = exports.MotionButton = exports.CloseIcon = exports.BackgroundAnimation = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _framerMotion = require("framer-motion");
var _pclnIcons = require("pcln-icons");
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _theme = require("../theme/theme");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/** @public */
const closeButtonSizes = exports.closeButtonSizes = ['sm', 'md', 'lg'];
const closeButtonIconSizes = exports.closeButtonIconSizes = {
  sm: 20,
  md: 24,
  lg: 32
};
const filledVariationSizes = exports.filledVariationSizes = {
  sm: 32,
  md: 40,
  lg: 48
};
// The following should be true to adhere to WCAG guidelines for minimum clickable size:
// 2 * closeButtonInteractionPadding + closeButtonIconSizes.sm >= 44
const clickablePaddingPx = 24;
/** @public */
const closeButtonVariants = exports.closeButtonVariants = ['filled', 'white'];
const closeButtonVariantProps = exports.closeButtonVariantProps = {
  filled: {
    bgColor: 'background.lightest',
    boxShadowSize: 'sm',
    color: 'primary.base'
  },
  white: {
    color: 'text.lightest'
  }
};
function clickableAreaCss({
  size,
  variant
}) {
  const position = variant === 'filled' ? -6 : -12;
  let heightWidthPx = (typeof size === 'number' ? size : closeButtonIconSizes[size]) + clickablePaddingPx;
  // clickable area should never be larger than 48px for named sizes
  heightWidthPx = closeButtonIconSizes[size] && heightWidthPx >= 48 ? 48 : heightWidthPx;
  return (0, _styledComponents.css)(["&:after{content:'';position:absolute;width:", "px;height:", "px;top:-", "px;left:-", "px;}"], heightWidthPx, heightWidthPx, position, position);
}
const MotionButton = exports.MotionButton = /*#__PURE__*/(0, _styledComponents.default)(_framerMotion.motion.button).withConfig({
  displayName: "CloseButtonstyled__MotionButton",
  componentId: "sc-8s6n3l-0"
})(["all:unset;", " display:grid;place-items:center;border-radius:100%;cursor:pointer;border-sizing:border-box;position:relative;box-shadow:", ";color:", ";background-color:", ";&:focus-visible{outline:2px solid ", ";}", " ", " ", ""], _theme.ComposedStyleFns, props => (0, _themeGet.default)(`shadows.${props.boxShadowSize}`)(props), props => (0, _themeGet.default)(`palette.${props.color}`)(props), props => (0, _themeGet.default)(`palette.${props.bgColor}`)(props), props => (0, _themeGet.default)(`palette.${props.color}`)(props), clickableAreaCss, ({
  variant,
  size
}) => {
  if (variant === 'filled') {
    return (0, _styledComponents.css)(["height:", "px;width:", "px;"], filledVariationSizes[size], filledVariationSizes[size]);
  }
}, ({
  variant
}) => variant === 'filled' && (0, _styledComponents.css)(["&:hover{box-shadow:", ";}&:hover > svg{color:", ";}"], props => (0, _themeGet.default)(`shadows.xl`)(props), (0, _utils.getPaletteColor)('primary.dark')));
const BackgroundAnimation = exports.BackgroundAnimation = /*#__PURE__*/(0, _styledComponents.default)(_framerMotion.motion.div).withConfig({
  displayName: "CloseButtonstyled__BackgroundAnimation",
  componentId: "sc-8s6n3l-1"
})(["height:125%;width:125%;background:black;border-radius:100%;mix-blend-mode:multiply;position:absolute;opacity:0.15;"]);
const CloseIcon = exports.CloseIcon = /*#__PURE__*/(0, _styledComponents.default)(_pclnIcons.Close).withConfig({
  displayName: "CloseButtonstyled__CloseIcon",
  componentId: "sc-8s6n3l-2"
})(["width:", "px;z-index:0;border-radius:100%;"], ({
  size
}) => typeof size === 'number' ? size : closeButtonIconSizes[size]);