"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Container = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sizes = {
  sm: 640,
  md: 768,
  lg: 1024,
  xl: 1280
};
const paddings = {
  sm: 3,
  md: [3, null, 4],
  lg: [3, null, 4],
  xl: [3, null, 4]
};
/**
 * @public
 */
const Container = exports.Container = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).attrs(props => {
  if (props.size) {
    const px = paddings[props.size];
    const maxWidth = props.size ? `${sizes[props.size]}px` : props.maxWidth;
    return {
      px,
      maxWidth
    };
  } else {
    return props.maxWidth ? {
      maxWidth: `${props.maxWidth}px`
    } : {
      maxWidth: props.theme.maxContainerWidth
    };
  }
}).withConfig({
  displayName: "Container",
  componentId: "sc-1tak897-0"
})(["margin-left:auto;margin-right:auto;width:100%;"]);
Container.displayName = 'Container';