"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _Container = require("./Container");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Container', () => {
  test('renders with default theme max-width', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Container.Container, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with maxWidth', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Container.Container, {
      maxWidth: 1024
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with size', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Container.Container, {
      size: 'md',
      "data-testid": 'container'
    }));
    expect(getByTestId('container')).toHaveStyleRule('max-width', '768px');
  });
});