"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dialog = void 0;
var Dialog = _interopRequireWildcard(require("@radix-ui/react-dialog"));
var _framerMotion = require("framer-motion");
var _react = _interopRequireWildcard(require("react"));
var _Dialog = require("./Dialog.styled");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
const PclnDialog = ({
  ariaDescription,
  ariaTitle,
  borderRadius = '2xl',
  children,
  defaultOpen = false,
  footerContent,
  fullWidth = false,
  headerColorScheme = 'heading',
  headerContent,
  headerContentProps,
  headerIcon,
  headerShowCloseButton = false,
  hugColor,
  innerContentOverflow = 'scroll',
  open,
  scrimColor = 'dark',
  scrimDismiss = true,
  sheet = false,
  showCloseButton = true,
  showScrollShadow,
  size = 'md',
  triggerNode,
  zIndex = 'overlay',
  overflowX = 'auto',
  overflowY = 'auto',
  onOpenChange
}) => {
  const [_open, setOpen] = _react.default.useState(open ?? defaultOpen);
  (0, _react.useEffect)(() => setOpen(open), [open]);
  const handleOpenChange = newOpen => {
    onOpenChange?.(newOpen);
    setOpen(newOpen);
  };
  return _react.default.createElement(Dialog.Root, {
    open: _open,
    onOpenChange: handleOpenChange,
    defaultOpen: defaultOpen
  }, _react.default.createElement(Dialog.Trigger, {
    asChild: true
  }, triggerNode), _react.default.createElement(_framerMotion.AnimatePresence, null, _open && _react.default.createElement(_Dialog.DialogOverlay, {
    scrimDismiss: scrimDismiss,
    scrimColor: scrimColor,
    sheet: sheet,
    zIndex: zIndex
  }, _react.default.createElement(_Dialog.DialogContent, {
    overflowX: overflowX,
    overflowY: overflowY,
    ariaDescription: ariaDescription,
    ariaTitle: ariaTitle,
    borderRadius: borderRadius,
    footerContent: footerContent,
    fullWidth: fullWidth,
    headerColorScheme: headerColorScheme,
    headerContent: headerContent,
    headerContentProps: headerContentProps,
    headerIcon: headerIcon,
    headerShowCloseButton: headerShowCloseButton,
    hugColor: hugColor,
    innerContentOverflow: innerContentOverflow,
    onOpenChange: handleOpenChange,
    scrimDismiss: scrimDismiss,
    sheet: sheet,
    showCloseButton: showCloseButton,
    size: size,
    showScrollShadow: showScrollShadow
  }, children))));
};
exports.Dialog = PclnDialog;
PclnDialog.displayName = 'Dialog';