"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button/Button");
var _Grid = require("../Grid/Grid");
var _Text = require("../Text/Text");
var _theme = require("../theme/theme");
var _Dialog = require("./Dialog.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const overflowArgs = ['scroll', 'visible', 'hidden', 'auto'];
const argTypes = exports.argTypes = {
  borderRadius: {
    control: {
      type: 'select'
    },
    options: Object.keys(_theme.borderRadii)
  },
  children: {
    control: {
      type: 'none'
    }
  },
  fullWidth: {
    control: {
      type: 'boolean'
    }
  },
  headerColorScheme: {
    control: {
      type: 'select'
    },
    options: _theme.colorSchemeNames
  },
  headerContent: {
    type: 'string'
  },
  headerIcon: {
    type: 'boolean'
  },
  headerShowCloseButton: {
    type: 'boolean'
  },
  hugColor: {
    control: {
      type: 'select'
    },
    options: _theme.paletteColors
  },
  open: {
    control: {
      type: 'boolean'
    }
  },
  sheet: {
    control: {
      type: 'boolean'
    }
  },
  showCloseButton: {
    control: {
      type: 'boolean'
    }
  },
  size: {
    control: {
      type: 'select'
    },
    options: _Dialog.dialogSizes
  },
  triggerNode: {
    control: {
      type: 'none'
    }
  },
  overflowX: {
    control: {
      type: 'select'
    },
    options: overflowArgs
  },
  overflowY: {
    control: {
      type: 'select'
    },
    options: overflowArgs
  }
};
const defaultArgs = exports.defaultArgs = {
  ariaDescription: 'This is a description',
  ariaTitle: 'This is a title',
  borderRadius: '2xl',
  children: _react.default.createElement(_Grid.Grid, {
    p: [3, 3, 3, 3, '24px', '24px'],
    gap: 3
  }, _react.default.createElement(_Text.Text, null, "The quick brown fox jumps over the lazy dog to discover new deals every day. Lorem ipsum dolor sit amet, consectetur adipiscing elit."), _react.default.createElement(_Text.Text, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras id erat nec ante semper eleifend. In ex mi, eleifend non ultricies sed, ullamcorper a sem. Aenean mollis mi eget libero commodo, non auctor dui fermentum. Aliquam ultrices nisi in odio sodales, vel feugiat libero gravida.")),
  fullWidth: false,
  headerColorScheme: 'neutralDarkOnLightest',
  headerIcon: false,
  headerShowCloseButton: false,
  scrimDismiss: true,
  scrimColor: 'dark',
  sheet: false,
  showCloseButton: true,
  size: 'md',
  triggerNode: _react.default.createElement(_Button.Button, null, "Open Dialog"),
  overflowX: 'auto',
  overflowY: 'auto'
};