"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithTooltip = exports.WithHug = exports.WithHeaderText = exports.WithHeaderContentProps = exports.WithHeaderContent = exports.StickyHeader = exports.StickyFooter = exports.SheetWithHeaderAndFooter = exports.SheetMode = exports.ScrimColors = exports.Playground = exports.OverflowOutsideContainer = exports.OverflowModal = exports.OverflowContent = exports.FullWidthImage = exports.Controlled = void 0;
var _testingLibrary = require("@storybook/testing-library");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _Breadcrumbs = require("../Breadcrumbs/Breadcrumbs");
var _Button = require("../Button/Button");
var _Grid = require("../Grid/Grid");
var _Text = require("../Text/Text");
var _Dialog = require("./Dialog");
var _DialogStories = require("./Dialog.stories.args");
var _Flex = require("../Flex/Flex");
var _Tooltip = require("../Tooltip/Tooltip");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const exampleHeaderProps = {
  headerContent: 'Hello World',
  headerIcon: _react.default.createElement(_pclnIcons.Discount, null),
  headerShowCloseButton: true
};
const exampleFooterProps = {
  footerContent: _react.default.createElement(_Button.Button, {
    borderRadius: 'lg'
  }, "Done")
};
const Playground = exports.Playground = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '1000px'
  }, _react.default.createElement(_Dialog.Dialog, {
    ...args,
    headerIcon: args.headerIcon && exampleHeaderProps.headerIcon
  })),
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    const openButton = canvas.getByText('Open Dialog');
    await _testingLibrary.userEvent.click(openButton);
  }
};
const WithHug = exports.WithHug = {
  ...Playground,
  args: {
    hugColor: 'primary.base'
  }
};
const WithHeaderText = exports.WithHeaderText = {
  ...Playground,
  args: {
    showCloseButton: false,
    ...exampleHeaderProps
  }
};
const WithHeaderContent = exports.WithHeaderContent = {
  ...Playground,
  args: {
    showCloseButton: false,
    headerContent: _react.default.createElement(_Text.Text, {
      textStyle: 'paragraph'
    }, _react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Home'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Flights'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Settings'
    }))),
    headerColorScheme: 'neutralDarkOnLightest',
    headerShowCloseButton: true
  }
};
const WithHeaderContentProps = exports.WithHeaderContentProps = {
  ...Playground,
  args: {
    headerContent: _react.default.createElement(_Flex.Flex, {
      justifyContent: 'space-between'
    }, _react.default.createElement(_Box.Box, {
      width: 40
    }), _react.default.createElement(_Text.Text, {
      textStyle: 'paragraph'
    }, _react.default.createElement(_Breadcrumbs.Breadcrumbs, null, _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Home'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Flights'
    }), _react.default.createElement(_Breadcrumbs.Breadcrumbs.Link, {
      href: 'javascript:void(0)',
      label: 'Settings'
    }))), _react.default.createElement(_Box.Box, {
      width: 40
    })),
    headerContentProps: {
      px: 2,
      py: 2,
      templateColumns: '1fr'
    },
    headerColorScheme: 'neutralDarkOnLightest'
  }
};
const WithTooltip = exports.WithTooltip = {
  ...Playground,
  args: {
    children: _react.default.createElement(_Box.Box, {
      width: 400,
      p: 2,
      my: 2,
      height: 200
    }, _react.default.createElement(_Tooltip.Tooltip, {
      bottom: true,
      center: true,
      color: 'primary'
    }, "top center tooltip"))
  }
};
const ExampleImage = () => _react.default.createElement("img", {
  src: 'https://s1.pclncdn.com/design-assets/hero/beach.jpg?opto&optimize=medium&auto=jpg&width=600&height=450&fit=crop',
  alt: 'an example',
  style: {
    width: '100%',
    display: 'block'
  }
});
const FullWidthImage = exports.FullWidthImage = {
  ...Playground,
  args: {
    children: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(ExampleImage, null), _react.default.createElement(_Grid.Grid, {
      p: 24,
      gap: 3
    }, _react.default.createElement(_Text.Text, {
      textStyle: 'heading1'
    }, "Dialog Heading"), _react.default.createElement(_Text.Text, {
      textStyle: 'paragraph'
    }, "Lorem ipsum dolor sit, amet consectetur adipisicing elit. Totam possimus quia voluptatem minima voluptatum dolor rem cumque odio ab accusantium deleniti vero voluptas odit numquam fugit non eveniet, sunt natus!")))
  }
};
const ExampleOverflowingContent = props => _react.default.createElement(_Grid.Grid, {
  p: 24,
  gap: 5,
  ...props
}, [...Array(5).keys()].map(i => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, {
  textStyle: 'heading4'
}, i + 1, ". Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic!"), _react.default.createElement(ExampleImage, null))));
const ExampleOverflowingAbsolute = props => {
  const [showText, setShowText] = _react.default.useState(false);
  return _react.default.createElement(_Box.Box, null, _react.default.createElement(_Grid.Grid, {
    p: 24,
    gap: 5,
    ...props
  }, _react.default.createElement(_Button.Button, {
    onClick: () => setShowText(!showText)
  }, "Show text overflow")), showText && _react.default.createElement(_Text.Text, {
    style: {
      overflow: 'visible',
      position: 'absolute'
    }
  }, "Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic! Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic!"));
};
const OverflowModal = exports.OverflowModal = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingContent, {
      overflow: 'auto'
    })
  }
};
const OverflowOutsideContainer = exports.OverflowOutsideContainer = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingAbsolute, {
      overflow: 'visible'
    }),
    overflowX: 'visible',
    overflowY: 'visible'
  }
};
const OverflowContent = exports.OverflowContent = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingContent, {
      overflow: 'auto',
      maxHeight: 'calc(100vh - 2 * 96px)'
    }),
    showScrollShadow: true
  }
};
const StickyHeader = exports.StickyHeader = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingContent, {
      overflow: 'auto',
      maxHeight: 500
    }),
    ...exampleHeaderProps,
    headerShowCloseButton: false,
    showScrollShadow: true
  }
};
const StickyFooter = exports.StickyFooter = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingContent, {
      overflow: 'auto',
      maxHeight: 500
    }),
    ...exampleHeaderProps,
    ...exampleFooterProps,
    headerShowCloseButton: false,
    showScrollShadow: true
  }
};
const ScrimColors = exports.ScrimColors = {
  render: args => {
    const [scrimColor, setScrimColor] = (0, _react.useState)('dark');
    return _react.default.createElement(_Dialog.Dialog, {
      ...args,
      headerIcon: args.headerIcon && exampleHeaderProps.headerIcon,
      scrimColor: scrimColor
    }, _react.default.createElement(_Grid.Grid, {
      p: 4,
      gap: 4
    }, _react.default.createElement(_Text.Text, {
      textStyle: 'heading3',
      textAlign: 'center'
    }, "Set Scrim Color:"), _react.default.createElement(_Grid.Grid, {
      gap: 4,
      templateColumns: '1fr 1fr'
    }, _react.default.createElement(_Button.Button, {
      onClick: () => setScrimColor('dark')
    }, "Dark"), _react.default.createElement(_Button.Button, {
      onClick: () => setScrimColor('medium')
    }, "Medium"), _react.default.createElement(_Button.Button, {
      onClick: () => setScrimColor('light')
    }, "Light"), _react.default.createElement(_Button.Button, {
      onClick: () => setScrimColor('rgba(0, 0, 0, 0.5)')
    }, "rgba(0, 0, 0, 0.5)"))));
  }
};
// export const WithShadowOnScroll: DialogStory = {
//   ...Playground,
//   args: {
//     children: (
//       <ExampleOverflowingContent
//         overflow='auto'
//         maxHeight={500}
//         background={`
//           linear-gradient(#ffffff 33%, rgba(255,255,255, 0)),
//           linear-gradient(rgba(255,255,255, 0), #ffffff 66%) 0 100%,
//           radial-gradient(farthest-side at 50% 0, rgba(40,40,40, 0.5), rgba(0,0,0,0)),
//           radial-gradient(farthest-side at 50% 100%, rgba(40,40,40, 0.5), rgba(0,0,0,0)) 0 100%,
//           linear-gradient(rgba(0,0,0,.15), rgba(0,0,0,.15))
//         `}
//         backgroundRepeat='no-repeat'
//         backgroundSize='100% 40px, 100% 40px, 100% 16px, 100% 16px, 100% 1px'
//         style={{ backgroundAttachment: 'local, local, scroll, scroll, scroll' }}
//       />
//     ),
//     ...exampleHeaderProps,
//     headerShowCloseButton: false,
//   },
// }
const SheetMode = exports.SheetMode = {
  ...Playground,
  args: {
    sheet: true,
    size: 'full'
  }
};
const SheetWithHeaderAndFooter = exports.SheetWithHeaderAndFooter = {
  ...Playground,
  args: {
    children: _react.default.createElement(ExampleOverflowingContent, null),
    ...SheetMode.args,
    ...exampleHeaderProps,
    ...exampleFooterProps,
    showScrollShadow: true
  }
};
const Controlled = exports.Controlled = {
  render: args => {
    const [open, setOpen] = (0, _react.useState)(false);
    return _react.default.createElement(_Dialog.Dialog, {
      ...args,
      triggerNode: _react.default.createElement(_Button.Button, {
        onClick: () => setOpen(true)
      }, "Click to open. Modal is ", open ? 'open' : 'closed'),
      open: open,
      onOpenChange: setOpen,
      ...exampleHeaderProps
    }, _react.default.createElement(_Grid.Grid, {
      p: 3,
      gap: 3
    }, _react.default.createElement(_Box.Box, null, "Dialog Content"), _react.default.createElement(_Grid.Grid, {
      placeItems: 'end',
      autoFlow: 'column'
    }, _react.default.createElement(_Button.Button, {
      onClick: () => setOpen(false)
    }, "Close"))));
  }
};
const meta = {
  title: 'Overlays/Dialog',
  component: _Dialog.Dialog,
  args: _DialogStories.defaultArgs,
  argTypes: _DialogStories.argTypes
};
var _default = exports.default = meta;