"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _theme = require("../theme/theme");
var _Divider = require("./Divider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Divider', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Divider.Divider, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('width prop sets width', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Divider.Divider, {
      width: 1 / 2
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('width', '50%');
  });
  test('m prop sets margin', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Divider.Divider, {
      m: 2
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('margin', _theme.theme.space[2]);
  });
  test('borderColor prop sets borderColor', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Divider.Divider, {
      borderColor: 'blue'
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('border-color', _theme.theme.colors.blue);
  });
  test('override default margin left and right', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Divider.Divider, {
      mx: 2,
      "data-testid": 'divider'
    }));
    expect(_testingLibrary.screen.getByTestId('divider')).toHaveStyleRule('margin-left', _theme.theme.space[2]);
    expect(_testingLibrary.screen.getByTestId('divider')).toHaveStyleRule('margin-right', _theme.theme.space[2]);
  });
});