"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Width = exports.VWWidth = exports.PixelWidth = exports.Margin = exports.InsideColumnFlex = exports.DirectionalMargin = exports.Default = exports.BorderColor = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Divider = require("../Divider/Divider");
var _Flex = require("../Flex/Flex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const description = 'Horizontal rule with settings for padding, margin, width, and borderColor';
const ColumnFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Dividerstories__ColumnFlex",
  componentId: "sc-v6g7lj-0"
})(["flex-direction:column;"]);
var _default = exports.default = {
  title: 'Divider',
  component: _Divider.Divider,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
const Default = () => _react.default.createElement(_Divider.Divider, null);
exports.Default = Default;
const Margin = () => _react.default.createElement(_Divider.Divider, {
  m: 3
});
exports.Margin = Margin;
const Width = () => _react.default.createElement(_Divider.Divider, {
  p: 3,
  width: 1 / 2
});
exports.Width = Width;
const PixelWidth = () => _react.default.createElement(_Divider.Divider, {
  width: '256px'
});
exports.PixelWidth = PixelWidth;
const VWWidth = () => _react.default.createElement(_Divider.Divider, {
  width: '50vw'
});
exports.VWWidth = VWWidth;
const BorderColor = () => _react.default.createElement(_Divider.Divider, {
  m: 3,
  borderColor: 'blue'
});
exports.BorderColor = BorderColor;
const DirectionalMargin = () => _react.default.createElement("div", null, _react.default.createElement(_Divider.Divider, {
  mt: 3
}), _react.default.createElement(_Divider.Divider, {
  mr: 3
}), _react.default.createElement(_Divider.Divider, {
  mb: 3
}), _react.default.createElement(_Divider.Divider, {
  ml: 3
}), _react.default.createElement(_Divider.Divider, {
  mx: 3
}), _react.default.createElement(_Divider.Divider, {
  my: 3
}));
exports.DirectionalMargin = DirectionalMargin;
const InsideColumnFlex = () => _react.default.createElement(ColumnFlex, null, _react.default.createElement(_Divider.Divider, null), _react.default.createElement(_Divider.Divider, {
  ml: 4,
  mr: 4
}), _react.default.createElement(_Divider.Divider, {
  ml: 4
}), _react.default.createElement(_Divider.Divider, {
  ml: 4,
  mr: 5
}), _react.default.createElement(_Divider.Divider, {
  mx: 2
}));
exports.InsideColumnFlex = InsideColumnFlex;