"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DoDont = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
var _createTheme = require("../../utils/createTheme");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const theme = (0, _createTheme.createTheme)();
const Example = ({
  isDo,
  children,
  desc
}) => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Box.Box, {
  p: 3,
  mb: 2,
  borderRadius: 'xl',
  style: {
    display: 'grid',
    placeItems: 'center',
    border: `1px solid ${theme.palette.border.base}`,
    borderTop: `5px solid ${isDo ? theme.palette.success.base : theme.palette.error.base}`,
    aspectRatio: '2.5'
  }
}, children), _react.default.createElement(_Text.Text.span, null, _react.default.createElement(_Text.Text.span, {
  bold: true
}, isDo ? 'DO ' : "DON'T "), desc));
/**
 * @public
 */
const DoDont = ({
  doExample,
  dontExample,
  doText,
  dontText
}) => _react.default.createElement(_Box.Box, {
  my: 4,
  style: {
    display: 'grid',
    gridAutoFlow: 'column',
    gridTemplateColumns: `repeat(2, 1fr)`,
    gap: theme.space[3]
  }
}, _react.default.createElement(Example, {
  desc: doText,
  isDo: true
}, doExample), _react.default.createElement(Example, {
  desc: dontText
}, dontExample));
exports.DoDont = DoDont;