"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DocTable = void 0;
var _themeGet = require("@styled-system/theme-get");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Table = /*#__PURE__*/_styledComponents.default.table.withConfig({
  displayName: "DocTable__Table",
  componentId: "sc-718xsc-0"
})(["width:100%;border-spacing:0;border-color:", ";"], (0, _themeGet.themeGet)('palette.border.tint'));
const Tr = /*#__PURE__*/_styledComponents.default.tr.withConfig({
  displayName: "DocTable__Tr",
  componentId: "sc-718xsc-1"
})(["background-color:", ";"], (0, _themeGet.themeGet)('palette.background.light'));
/**
 * @public
 */
const DocTable = ({
  data,
  columns,
  ...rest
}) => {
  return _react.default.createElement(_Box.Box, {
    my: 4,
    ...rest
  }, _react.default.createElement(Table, null, _react.default.createElement("thead", null, _react.default.createElement(Tr, null, columns.map((col, i) => _react.default.createElement("th", {
    key: i,
    style: {
      width: i === 0 ? '25%' : undefined
    }
  }, _react.default.createElement(_Text.Text, {
    p: 3,
    textAlign: 'left',
    style: {
      whiteSpace: 'nowrap'
    }
  }, col.heading))))), _react.default.createElement("tbody", null, data.map((row, i) => _react.default.createElement("tr", {
    key: i
  }, columns.map((col, i) => _react.default.createElement("td", {
    key: i,
    style: {
      borderBottom: '1px solid',
      borderColor: 'inherit',
      whiteSpace: col.noWrap ? 'nowrap' : undefined
    }
  }, _react.default.createElement(_Text.Text, {
    p: 3
  }, row[col.field]))))))));
};
exports.DocTable = DocTable;