"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Hero = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Flex = require("../../Flex/Flex");
var _Image = require("../../Image/Image");
var _Text = require("../../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Hero = ({
  name,
  children,
  img
}) => _react.default.createElement(_Flex.Flex, {
  alignItems: 'center',
  flexDirection: 'row',
  bg: 'primary.light',
  borderRadius: 24,
  p: 4,
  style: {
    gap: 32
  }
}, _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  style: {
    flex: '1 100%',
    gap: 8
  }
}, _react.default.createElement(_Text.Text, {
  textStyle: 'title3',
  color: 'text.heading'
}, name), _react.default.createElement(_Text.Text, null, children)), _react.default.createElement(_Box.Box, {
  bg: 'primary.tint',
  borderRadius: 'xl',
  style: {
    flex: '1 100%'
  }
}, _react.default.createElement(_Image.Image, {
  src: img
})));
exports.Hero = Hero;