"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _Hero = require("./Hero");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Hero', () => {
  const heroName = 'Test Hero';
  const heroDescription = 'This is a test hero.';
  const heroImage = 'https://example.com/test-hero.jpg';
  it('renders hero name and description', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Hero.Hero, {
      name: heroName,
      img: heroImage
    }, heroDescription));
    const heroNameElement = _testingLibrary.screen.getByText(heroName);
    const heroDescriptionElement = _testingLibrary.screen.getByText(heroDescription);
    expect(heroNameElement).toBeInTheDocument();
    expect(heroDescriptionElement).toBeInTheDocument();
  });
  it('renders hero image', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Hero.Hero, {
      name: heroName,
      img: heroImage
    }, heroDescription));
    const heroImageElement = _testingLibrary.screen.getByRole('img');
    expect(heroImageElement).toBeInTheDocument();
    expect(heroImageElement.getAttribute('src')).toBe(heroImage);
  });
});