"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RelatedComponentContainer = exports.RelatedComponent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../../Box/Box");
var _Text = require("../../Text/Text");
var _theme = require("../../theme/theme");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
const RelatedComponent = ({
  name,
  desc,
  children,
  onClick
}) => _react.default.createElement(_Box.Box, {
  onClick: onClick,
  style: {
    cursor: 'pointer'
  }
}, _react.default.createElement(_Box.Box, {
  bg: 'background.light',
  borderRadius: 'xl',
  p: 3,
  style: {
    display: 'grid',
    placeItems: 'center',
    aspectRatio: '2.5'
  }
}, children), _react.default.createElement(_Text.Text, {
  textStyle: 'heading5',
  py: 2
}, name), desc && _react.default.createElement(_Text.Text, null, desc));
/**
 * @public
 */
exports.RelatedComponent = RelatedComponent;
const RelatedComponentContainer = ({
  children
}) => _react.default.createElement(_Box.Box, {
  style: {
    display: 'grid',
    gridAutoFlow: 'column',
    gridTemplateColumns: `repeat(${_react.Children.count(children)}, 1fr)`,
    gap: _theme.theme.space[3]
  }
}, children);
exports.RelatedComponentContainer = RelatedComponentContainer;