"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _RelatedComponent = require("./RelatedComponent");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('RelatedComponent', () => {
  const name = 'Component Name';
  const desc = 'Component description';
  it('renders component name and description', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_RelatedComponent.RelatedComponent, {
      name: name,
      desc: desc
    }, "Test"));
    expect(_testingLibrary.screen.getByText(name)).toBeInTheDocument();
    expect(_testingLibrary.screen.getByText(desc)).toBeInTheDocument();
  });
  it('calls linkToStory function on click', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_RelatedComponent.RelatedComponent, {
      name: name
    }, "Test"));
    const componentBox = _testingLibrary.screen.getByText(name).parentElement;
    _testingLibrary.fireEvent.click(componentBox);
    expect(componentBox).toBeInTheDocument();
  });
});
describe('RelatedComponentContainer', () => {
  it('renders child components', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_RelatedComponent.RelatedComponentContainer, null, _react.default.createElement(_RelatedComponent.RelatedComponent, {
      name: 'Component 1'
    }, "Test"), _react.default.createElement(_RelatedComponent.RelatedComponent, {
      name: 'Component 2'
    }, "Test"), _react.default.createElement(_RelatedComponent.RelatedComponent, {
      name: 'Component 3'
    }, "Test")));
    expect(_testingLibrary.screen.getByText('Component 1')).toBeInTheDocument();
    expect(_testingLibrary.screen.getByText('Component 2')).toBeInTheDocument();
    expect(_testingLibrary.screen.getByText('Component 3')).toBeInTheDocument();
  });
});