"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _Section = require("./Section");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Section component', () => {
  it('should render with the correct heading and children', () => {
    const heading = 'Section Title';
    const childText = 'Lorem ipsum dolor sit amet';
    (0, _testingLibrary.render)(_react.default.createElement(_Section.Section, {
      heading: heading
    }, childText));
    const sectionHeading = document.getElementById('section-title');
    const sectionContent = _testingLibrary.screen.getByText(childText);
    expect(sectionHeading.parentElement).toContainElement(sectionContent);
    expect(sectionHeading).toHaveTextContent(heading);
  });
});