"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _StoryStage = require("./StoryStage");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const content = 'This is some content';
describe('StoryStage component', () => {
  it('should render children with margin', () => {
    const dataTestId = 'stage-item';
    (0, _testingLibrary.render)(_react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement("div", {
      "data-testid": dataTestId
    }, content)));
    const stageItem = _testingLibrary.screen.getByTestId(dataTestId);
    expect(stageItem).toHaveTextContent(content);
    expect(stageItem).toHaveStyle('margin: 16px');
  });
  it('should pass additional props to the Box component', () => {
    const dataTestId = 'stage';
    (0, _testingLibrary.render)(_react.default.createElement(_StoryStage.StoryStage, {
      "data-testid": dataTestId
    }, content));
    const stage = _testingLibrary.screen.getByTestId(dataTestId);
    expect(stage).toBeInTheDocument();
  });
});