"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableOfContents = void 0;
var _kebabCase = _interopRequireDefault(require("lodash/kebabCase"));
var _react = _interopRequireDefault(require("react"));
var _Box = require("../../Box/Box");
var _Link = require("../../Link/Link");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const scrollTo = id => document.getElementById(id)?.scrollIntoView({
  behavior: 'smooth'
});
/**
 * @public
 */
const TableOfContents = ({
  links
}) => _react.default.createElement(_Box.Box, {
  my: 5
}, _react.default.createElement("ul", null, links.map(link => {
  const id = (0, _kebabCase.default)(link);
  return _react.default.createElement(_Link.Link, {
    key: id,
    onClick: () => scrollTo(id)
  }, _react.default.createElement("li", null, link));
})));
exports.TableOfContents = TableOfContents;