"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../../__test__/testing-library");
var _Section = require("../Section/Section");
var _TableOfContents = require("./TableOfContents");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const testLinks = ['Test 1', 'Test 2', 'Test 3'];
describe('TableOfContents', () => {
  it('should render a list of links with correct text', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_TableOfContents.TableOfContents, {
      links: testLinks
    }));
    const listItems = _testingLibrary.screen.getAllByRole('listitem');
    expect(listItems).toHaveLength(testLinks.length);
    listItems.forEach((item, index) => {
      expect(item).toHaveTextContent(testLinks[index]);
    });
  });
  it('should scroll items into view', () => {
    const scrollIntoViewMock = jest.fn();
    window.HTMLElement.prototype.scrollIntoView = scrollIntoViewMock;
    (0, _testingLibrary.render)(_react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_TableOfContents.TableOfContents, {
      links: [...testLinks, 'Dummy Link']
    }), testLinks.map(link => _react.default.createElement(_Section.Section, {
      heading: link,
      key: link
    }, link))));
    const listItems = _testingLibrary.screen.getAllByRole('listitem');
    _testingLibrary.fireEvent.click(listItems[0]);
    expect(scrollIntoViewMock).toBeCalledTimes(1);
    _testingLibrary.fireEvent.click(listItems[listItems.length - 1]);
    expect(scrollIntoViewMock).toBeCalledTimes(1);
  });
});