"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStoryId = exports.getStoryCode = exports.copy = void 0;
var _kebabCase = _interopRequireDefault(require("lodash/kebabCase"));
var _reactElementToJsxString = _interopRequireDefault(require("react-element-to-jsx-string"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const copy = async value => navigator.clipboard.writeText(value);
exports.copy = copy;
const getStoryId = (storyName, storyTitle) => `story--${(0, _kebabCase.default)(storyTitle)}--${(0, _kebabCase.default)(storyName)}`;
exports.getStoryId = getStoryId;
const getStoryCode = story => {
  const code = typeof story === 'function' ? story(story.args, null) : story.render(story.args, null);
  return (0, _reactElementToJsxString.default)(code, {
    showDefaultProps: false
  });
};
exports.getStoryCode = getStoryCode;