"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DotLoader = DotLoader;
exports.dotLoaderSpeeds = exports.dotLoaderSizes = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const dotLoaderSizes = exports.dotLoaderSizes = {
  small: (0, _styledComponents.css)(["height:18px;& > *{width:8px;height:8px;}& > :not(:last-child){margin-right:", "px;}"], (0, _themeGet.default)('space.3')),
  medium: (0, _styledComponents.css)(["height:21px;& > *{width:12px;height:12px;}& > :not(:last-child){margin-right:", "px;}"], (0, _themeGet.default)('space.4')),
  large: (0, _styledComponents.css)(["height:24px;& > *{width:16px;height:16px;}& > :not(:last-child){margin-right:", "px;}"], (0, _themeGet.default)('space.4'))
};
/**
 * @public
 */
const dotLoaderSpeeds = exports.dotLoaderSpeeds = {
  slow: 2.5,
  medium: 2,
  fast: 1
};
const getDelay = (duration, pos = 0) => {
  return `${duration / 6 * pos}s;`;
};
const animation = /*#__PURE__*/(0, _styledComponents.keyframes)(["0%,20%,100%{transform:translateY(50%) scale(0);}50%{transform:translateY(-50%) scale(1);}"]);
const Container = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "DotLoader__Container",
  componentId: "sc-1vwwcjc-0"
})(["justify-content:center;align-items:center;", ";"], (0, _utils.applySizes)(dotLoaderSizes, null));
const Dot = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "DotLoader__Dot",
  componentId: "sc-1vwwcjc-1"
})(["border-radius:50%;transform:scale(0);transform-origin:center;animation:", " ", "s ease infinite;animation-delay:", "s;"], animation, props => props.duration, props => getDelay(props.duration, props.pos));
/**
 * @public
 */
function DotLoader({
  color,
  size,
  speed,
  ...props
}) {
  const duration = dotLoaderSpeeds[speed];
  return _react.default.createElement(Container, {
    size: size,
    ...props
  }, _react.default.createElement(Dot, {
    color: color,
    duration: duration
  }), _react.default.createElement(Dot, {
    color: color,
    duration: duration,
    pos: 1
  }), _react.default.createElement(Dot, {
    color: color,
    duration: duration,
    pos: 2
  }));
}
DotLoader.defaultProps = {
  color: 'primary',
  size: 'medium',
  speed: 'medium'
};