"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.speed = exports.sizes = exports.defaultArgs = exports.argTypes = void 0;
var _args = require("../storybook/args");
const sizes = exports.sizes = ['small', 'medium', 'large'];
const speed = exports.speed = ['slow', 'medium', 'fast'];
const defaultArgs = exports.defaultArgs = {
  size: 'medium',
  speed: 'medium',
  color: 'background'
};
const argTypes = exports.argTypes = {
  size: {
    name: 'size',
    type: {
      name: 'string',
      required: false
    },
    description: 'Size to render.\nAccepts string or a number.',
    table: {
      type: {
        summary: 'Sizes',
        detail: '- ' + sizes.join('\n- ')
      },
      defaultValue: {
        summary: 'medium'
      }
    },
    control: {
      type: 'select',
      options: sizes
    }
  },
  speed: {
    name: 'speed',
    type: {
      name: 'string',
      required: false
    },
    description: 'Speed to render.\nAccepts string or a number.',
    table: {
      type: {
        summary: 'Speeds',
        detail: '- ' + speed.join('\n- ')
      },
      defaultValue: {
        summary: 'medium'
      }
    },
    control: {
      type: 'select',
      options: speed
    }
  },
  color: {
    name: 'color',
    type: {
      name: 'string',
      required: false
    },
    description: 'Palette color to use',
    table: {
      type: {
        summary: 'Colors',
        detail: '- ' + _args.colors.join('\n- ')
      },
      defaultValue: {
        summary: 'background'
      }
    },
    control: {
      type: 'select',
      options: _args.colors
    }
  }
};