"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithNoHeader = exports.WithCustomHeaderAndContent = exports.WithContentOverflow = exports.WithCollapseButton = exports.WithCloseButton = exports.Top = exports.Right = exports.Mobile = exports.Left = exports.Bottom = exports.Anchored = void 0;
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _pclnIcons = require("pcln-icons");
var _Drawer = require("./Drawer");
var _react = _interopRequireWildcard(require("react"));
var _Text = require("../Text/Text");
var _Stamp = require("../Stamp/Stamp");
var _ChatMessageContainer = require("../ChatMessageContainer/ChatMessageContainer");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function DrawerStory(props) {
  const [isOpen, setIsOpen] = (0, _react.useState)(true);
  const [isCollapsed, setIsCollapsed] = (0, _react.useState)(false);
  const {
    includeCloseButton = true,
    includeCollapseButton = true
  } = props;
  return _react.default.createElement(_Box.Box, {
    height: '50vh',
    p: 0
  }, _react.default.createElement(_Drawer.Drawer, {
    heading: 'Header',
    isOpen: isOpen,
    isCollapsed: isCollapsed,
    onClose: includeCloseButton ? () => setIsOpen(false) : undefined,
    onCollapse: includeCollapseButton ? () => setIsCollapsed(isCollapsed => !isCollapsed) : undefined,
    ...props
  }, props.children));
}
const CustomPennyHeader = _react.default.createElement(_Flex.Flex, {
  width: '100%',
  alignItems: 'center'
}, _react.default.createElement(_Text.Text, {
  color: 'text.heading',
  textStyle: 'heading5'
}, "Penny", _react.default.createElement(_pclnIcons.Sparkle, {
  color: 'promoPrimary',
  size: '16px'
})), _react.default.createElement(_Stamp.Stamp, {
  color: 'primary',
  mx: 2
}, "Beta"));
const CustomPennyContent = _react.default.createElement(_ChatMessageContainer.ChatMessageContainer, {
  messageMaxWidth: '90%',
  messages: [{
    dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
    message: "Hi! I'm Penny, your virtual travel assistant!",
    variation: 'initial'
  }, {
    dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
    message: 'I see that you are interested in booking the Hilton Hawaiian Village for 3 nights from Mon, Apr 10, 2023, to Thu, Apr 13, 2023. The total cost for this stay is $796.68, with a total tax and fee of $111.57. There is an additional fee of $130.83 for facilities when you check-in. This hotel features free WiFi and is located in the Waikiki Beach Marina area. The room has 1 king bed and is rated 4 stars.',
    variation: 'incoming'
  }, {
    dateTime: 'Wed Jul 11 2023 11:34:12 GMT-0500',
    message: 'Is this hotel in a good location?',
    variation: 'outgoing'
  }, {
    dateTime: 'Wed Jul 11 2023 11:34:30 GMT-0500',
    message: "Yes, the Hilton Hawaiian Village is located in a fantastic area, specifically in the Waikiki Beach Marina - Ala Moana neighborhood. This location is renowned for its beautiful beaches, vibrant nightlife, and a wide variety of shopping and dining options. It's a great spot if you're looking to experience the best of Honolulu. If you have any other questions or if you're ready to book, feel free to ask!",
    variation: 'incoming'
  }, {
    dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
    message: "Hi! I'm Penny, your virtual travel assistant!",
    variation: 'initial'
  }, {
    dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
    message: 'I see that you are interested in booking the Hilton Hawaiian Village for 3 nights from Mon, Apr 10, 2023, to Thu, Apr 13, 2023. The total cost for this stay is $796.68, with a total tax and fee of $111.57. There is an additional fee of $130.83 for facilities when you check-in. This hotel features free WiFi and is located in the Waikiki Beach Marina area. The room has 1 king bed and is rated 4 stars.',
    variation: 'incoming'
  }, {
    dateTime: 'Wed Jul 11 2023 11:34:12 GMT-0500',
    message: 'Is this hotel in a good location?',
    variation: 'outgoing'
  }, {
    dateTime: 'Wed Jul 11 2023 11:34:30 GMT-0500',
    message: "Yes, the Hilton Hawaiian Village is located in a fantastic area, specifically in the Waikiki Beach Marina - Ala Moana neighborhood. This location is renowned for its beautiful beaches, vibrant nightlife, and a wide variety of shopping and dining options. It's a great spot if you're looking to experience the best of Honolulu. If you have any other questions or if you're ready to book, feel free to ask!",
    variation: 'incoming'
  }]
});
var _default = exports.default = {
  title: 'Drawer',
  component: _Drawer.Drawer,
  args: {
    width: '50%',
    height: '100%',
    placement: 'right',
    isFloating: true
  },
  argTypes: {
    placement: {
      options: ['top', 'right', 'bottom', 'left'],
      control: {
        type: 'select'
      },
      description: 'moves the drawer to the specified position'
    },
    isFloating: {
      description: 'set to false to anchor the drawer to a specific side'
    }
  }
};
const Top = args => _react.default.createElement(DrawerStory, {
  ...args,
  height: '50%',
  width: '100%',
  placement: 'top'
}, "Drawer Content");
exports.Top = Top;
const Bottom = args => _react.default.createElement(DrawerStory, {
  ...args,
  height: '50%',
  width: '100%',
  placement: 'bottom'
}, "Drawer Content");
exports.Bottom = Bottom;
const Left = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'left'
}, "Drawer Content");
exports.Left = Left;
const Right = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'right'
}, "Drawer Content");
exports.Right = Right;
const Anchored = args => _react.default.createElement(DrawerStory, {
  ...args,
  isFloating: false,
  placement: 'right'
}, "Drawer Content");
exports.Anchored = Anchored;
const Mobile = args => _react.default.createElement(DrawerStory, {
  ...args,
  isMobile: true,
  isFloating: false,
  placement: 'right'
}, "Drawer Content");
exports.Mobile = Mobile;
const WithNoHeader = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'right',
  heading: undefined,
  includeCloseButton: false,
  includeCollapseButton: false
}, CustomPennyContent);
exports.WithNoHeader = WithNoHeader;
const WithCustomHeaderAndContent = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'right',
  heading: CustomPennyHeader
}, CustomPennyContent);
exports.WithCustomHeaderAndContent = WithCustomHeaderAndContent;
const WithCloseButton = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'right',
  onCollapse: undefined,
  includeCollapseButton: false
}, "Drawer Content");
exports.WithCloseButton = WithCloseButton;
const WithCollapseButton = args => _react.default.createElement(DrawerStory, {
  ...args,
  placement: 'right',
  includeCloseButton: false
}, "Drawer Content");
exports.WithCollapseButton = WithCollapseButton;
const WithContentOverflow = args => _react.default.createElement(DrawerStory, {
  ...args,
  height: '50vh',
  placement: 'right'
}, CustomPennyContent);
exports.WithContentOverflow = WithContentOverflow;