"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HeadingWrapper = exports.HeaderButton = exports.DrawerWrapper = exports.DrawerRoot = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _theme = require("../theme");
var _framerMotion = require("framer-motion");
var _react = _interopRequireDefault(require("react"));
var _Absolute = require("../Absolute/Absolute");
var _utils = require("../utils");
var _Box = require("../Box/Box");
var _IconButton = require("../IconButton/IconButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Component = _react.default.forwardRef((props, ref) => _react.default.createElement(_Box.Box, {
  ...props,
  ref: ref
}));
const AnimatedAbsolute = (0, _framerMotion.motion)(Component);
const getBorderRadiusStyles = (placement, isFloating) => {
  const themeRadius = _theme.theme.borderRadii['2xl'];
  if (isFloating) {
    return themeRadius;
  }
  switch (placement) {
    case 'top':
      return `0px 0px ${themeRadius} ${themeRadius}`;
    case 'right':
      return `${themeRadius} 0px 0px  ${themeRadius}`;
    case 'bottom':
      return `${themeRadius} ${themeRadius} 0px 0px`;
    case 'left':
      return `0px ${themeRadius} ${themeRadius} 0px`;
  }
};
const positions = {
  top: `top:0; left:0; right:0;`,
  right: `right: 0; bottom:0;`,
  bottom: `bottom:0; left:0; right:0;`,
  left: `left:0;bottom:0;`
};
const getPlacementStyles = placement => placement ? `margin-inline:auto; margin-block:auto; ${positions[placement]};` : ``;
const DrawerWrapper = exports.DrawerWrapper = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Drawerstyled__DrawerWrapper",
  componentId: "sc-19fw04m-0"
})(["", ""], ({
  placement
}) => `
    ${getPlacementStyles(placement)}
    `);
const DrawerRoot = exports.DrawerRoot = /*#__PURE__*/(0, _styledComponents.default)(AnimatedAbsolute).withConfig({
  displayName: "Drawerstyled__DrawerRoot",
  componentId: "sc-19fw04m-1"
})(["background-color:", ";", ""], (0, _utils.getPaletteColor)('background.lightest'), ({
  theme,
  placement,
  isFloating
}) => `box-shadow: ${theme.shadows['overlay-md']};
    border-radius: ${getBorderRadiusStyles(placement, isFloating)};
    `);
const HeadingWrapper = exports.HeadingWrapper = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Drawerstyled__HeadingWrapper",
  componentId: "sc-19fw04m-2"
})([""]);
const HeaderButton = exports.HeaderButton = /*#__PURE__*/(0, _styledComponents.default)(_IconButton.IconButton).withConfig({
  displayName: "Drawerstyled__HeaderButton",
  componentId: "sc-19fw04m-3"
})(["background-color:", ";color:", ";padding:0;&:hover{background-color:", ";color:", ";}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('text.dark'), (0, _utils.getPaletteColor)('background.light'), (0, _utils.getPaletteColor)('text.dark'));