"use strict";

var _react = _interopRequireDefault(require("react"));
var _theme = require("../theme/theme");
var _Flag = require("./Flag");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Flag', () => {
  let consoleError;
  beforeEach(() => {
    consoleError = console.error;
    console.error = jest.fn();
  });
  afterEach(() => console.error = consoleError);
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Flag.Flag, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('renders with width prop', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Flag.Flag, {
      width: 256
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('width', '256px');
  });
  test('renders with theme color as bg color', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Flag.Flag, {
      width: 256,
      bg: 'purple'
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json.children[1]).toHaveStyleRule('background-color', _theme.theme.colors.purple);
  });
});