"use strict";

var _react = _interopRequireDefault(require("react"));
var _Flex = require("./Flex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Flex', () => {
  test('renders', () => {
    const flex = rendererCreateWithTheme(_react.default.createElement(_Flex.Flex, null)).toJSON();
    expect(flex).toMatchSnapshot();
  });
  test('alignItems prop', () => {
    const flex = rendererCreateWithTheme(_react.default.createElement(_Flex.Flex, {
      alignItems: 'center'
    })).toJSON();
    expect(flex).toMatchSnapshot();
    expect(flex).toHaveStyleRule('align-items', 'center');
  });
  test('justifyContent prop', () => {
    const flex = rendererCreateWithTheme(_react.default.createElement(_Flex.Flex, {
      justifyContent: 'space-between'
    })).toJSON();
    expect(flex).toMatchSnapshot();
    expect(flex).toHaveStyleRule('justify-content', 'space-between');
  });
  test('flexWrap prop', () => {
    const flex = rendererCreateWithTheme(_react.default.createElement(_Flex.Flex, {
      flexWrap: 'wrap'
    })).toJSON();
    expect(flex).toMatchSnapshot();
    expect(flex).toHaveStyleRule('flex-wrap', 'wrap');
  });
});