"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FloatingActionButton = FloatingActionButton;
var _react = _interopRequireWildcard(require("react"));
var _Absolute = require("../Absolute/Absolute");
var _Animate = require("../Animate/Animate");
var _Box = require("../Box/Box");
var _Tooltip = require("../Tooltip/Tooltip");
var _FloatingActionButton = require("./FloatingActionButton.styled");
var _constants = require("./constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
function FloatingActionButton({
  hasNotification,
  icon,
  tooltip,
  onClick,
  isAbsolutePosition = true,
  toolAlignment = 'center',
  ...props
}) {
  const [isTooltipOpen, setTooltipOpen] = (0, _react.useState)(false);
  const Wrapper = isAbsolutePosition ? _Absolute.Absolute : _Box.Box;
  function onMouseOver() {
    setTooltipOpen(true);
  }
  function onMouseOut() {
    setTooltipOpen(false);
  }
  return _react.default.createElement(Wrapper, {
    ...props,
    onMouseOver: onMouseOver,
    onMouseOut: onMouseOut
  }, hasNotification && _react.default.createElement(_Absolute.Absolute, {
    top: 0,
    right: 0
  }, _react.default.createElement(_Animate.Animate, {
    variant: 'pulse'
  }, _react.default.createElement(_FloatingActionButton.NotificationDot, {
    borderRadius: 'full',
    color: 'error',
    width: '16px',
    height: '16px'
  }))), isTooltipOpen && _react.default.createElement(_Tooltip.Tooltip, {
    color: 'text.base',
    top: true,
    ..._constants.TOOLTIP_ALIGNMENT[toolAlignment],
    bottom: '-2px',
    p: 1
  }, _react.default.createElement(_Box.Box, {
    width: '110px'
  }, tooltip)), _react.default.createElement(_FloatingActionButton.StyledButton, {
    borderRadius: 'full',
    boxShadowSize: 'overlay-md',
    size: 'extraLarge',
    IconLeft: icon,
    onClick: onClick
  }));
}