"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._FloatingActionButton = exports.WithNotification = exports.WithCarsIcon = exports.BottomRight = void 0;
var _jest = require("@storybook/jest");
var _testingLibrary = require("@storybook/testing-library");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Relative = require("../Relative/Relative");
var _FloatingActionButton2 = require("./FloatingActionButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'FloatingActionButton',
  component: _FloatingActionButton2.FloatingActionButton,
  args: {
    hasNotification: false,
    icon: _pclnIcons.Chat,
    tooltip: 'Tooltip text'
  },
  argTypes: {
    onClick: {
      action: true
    }
  },
  decorators: [Story => _react.default.createElement(_Relative.Relative, {
    width: '100%',
    height: '25vh'
  }, _react.default.createElement(Story, null))]
};
const _FloatingActionButton = exports._FloatingActionButton = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await _testingLibrary.userEvent.click(canvas.getByRole('button'));
    await (0, _jest.expect)(args.onClick).toHaveBeenCalled();
  },
  render: args => _react.default.createElement(_FloatingActionButton2.FloatingActionButton, {
    ...args
  })
};
const WithNotification = exports.WithNotification = {
  render: args => _react.default.createElement(_FloatingActionButton2.FloatingActionButton, {
    ...args,
    hasNotification: true
  })
};
const WithCarsIcon = exports.WithCarsIcon = {
  render: args => _react.default.createElement(_FloatingActionButton2.FloatingActionButton, {
    ...args,
    icon: _pclnIcons.Cars
  })
};
const BottomRight = exports.BottomRight = {
  render: args => _react.default.createElement(_Relative.Relative, {
    width: '100%',
    height: '10vh'
  }, _react.default.createElement(_FloatingActionButton2.FloatingActionButton, {
    ...args,
    bottom: 0,
    right: 0
  }))
};