"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FloatingActionButtonProvider = void 0;
var _react = _interopRequireDefault(require("react"));
var _Animate = require("../Animate/Animate");
var _framerMotion = require("framer-motion");
var _useFloatingActionButton = require("./useFloatingActionButton");
var _FloatingActionButton = require("../FloatingActionButton/FloatingActionButton");
var _FloatingActionButtonProvider = require("./FloatingActionButtonProvider.styled");
var _constants = require("./constants");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FloatingActionButtonProvider = ({
  animationVariant = 'slideInBottom',
  position = 'topRight',
  delayDisplayMs,
  hideUntilScrollPercent,
  floatingActionButtons,
  ...props
}, ref) => {
  const {
    showFab
  } = (0, _useFloatingActionButton.useFloatingActinButton)({
    hideUntilScrollPercent,
    delayDisplayMs
  });
  return _react.default.createElement(_framerMotion.AnimatePresence, null, !showFab ? null : _react.default.createElement(_FloatingActionButtonProvider.Wrapper, {
    positionVariant: position,
    ..._constants.POSITION_STYLES[position],
    ...props
  }, _react.default.createElement(_Animate.Animate, {
    variant: animationVariant
  }, floatingActionButtons.map(fab => _react.default.createElement(_FloatingActionButton.FloatingActionButton, {
    isAbsolutePosition: false,
    ...fab,
    key: fab.key,
    toolAlignment: 'right'
  })))));
};
exports.FloatingActionButtonProvider = FloatingActionButtonProvider;