"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.MultipleSamePosition = exports.MultiplePositions = exports.HideUntilScroll = exports.DelayDisplay = exports.Default = exports.CustomPositionUsingMargin = void 0;
var _react = _interopRequireDefault(require("react"));
var _addonActions = require("@storybook/addon-actions");
var _testingLibrary = require("@storybook/testing-library");
var _jest = require("@storybook/jest");
var _FloatingActionButtonProvider = require("./FloatingActionButtonProvider");
var _pclnIcons = require("pcln-icons");
var _Box = require("../Box/Box");
var _Animate = require("../Animate/Animate.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Core / FloatingActionButtonProvider',
  component: _FloatingActionButtonProvider.FloatingActionButtonProvider,
  argTypes: {
    animationVariant: {
      name: 'animationVariant',
      options: _Animate.animateArgs,
      control: 'select'
    },
    position: {
      name: 'position',
      options: ['topRight', 'centerRight', 'bottomRight'],
      control: 'select'
    }
  },
  args: {
    position: 'bottomRight',
    animationVariant: 'slideInBottom',
    floatingActionButtons: [{
      tooltip: 'Tooltip Text',
      onClick: (0, _addonActions.action)('Clicked FAB'),
      icon: _pclnIcons.ArrowUp,
      key: 'up_arrow'
    }]
  }
};
const Default = exports.Default = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '200px'
  }, _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args
  })),
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.getByRole('button')).toBeInTheDocument();
  }
};
const DelayDisplay = exports.DelayDisplay = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '200px'
  }, _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    delayDisplayMs: 2000
  })),
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.queryByRole('button')).not.toBeInTheDocument();
    setTimeout(async () => {
      await (0, _jest.expect)(canvas.queryByRole('button')).toBeInTheDocument();
    }, 2100);
  }
};
const HideUntilScroll = exports.HideUntilScroll = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '4000px'
  }, _react.default.createElement(_Box.Box, null, "Scroll down to see FAB "), _react.default.createElement(_pclnIcons.ArrowDown, null), _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    hideUntilScrollPercent: 10
  })),
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = (0, _testingLibrary.within)(canvasElement);
    await (0, _jest.expect)(canvas.queryByRole('button')).not.toBeInTheDocument();
    window.scrollTo({
      top: 500
    });
    setTimeout(async () => {
      await (0, _jest.expect)(canvas.getByRole('button')).toBeInTheDocument();
    }, 2000);
  }
};
const MultipleSamePosition = exports.MultipleSamePosition = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '400px'
  }, _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    floatingActionButtons: [{
      tooltip: 'Tooltip Text',
      onClick: (0, _addonActions.action)('Clicked FAB'),
      icon: _pclnIcons.ArrowUp,
      key: 'up_arrow'
    }, {
      tooltip: 'Tooltip Text',
      onClick: (0, _addonActions.action)('Clicked FAB'),
      icon: _pclnIcons.ArrowDown,
      mt: 2,
      key: 'down_arrow'
    }]
  }))
};
const MultiplePositions = exports.MultiplePositions = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '400px'
  }, _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    position: 'topRight',
    animationVariant: 'slideInTop'
  }), _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    position: 'centerRight',
    animationVariant: 'slideInRight',
    delayDisplayMs: 300
  }), _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    delayDisplayMs: 600
  }))
};
const CustomPositionUsingMargin = exports.CustomPositionUsingMargin = {
  render: args => _react.default.createElement(_Box.Box, {
    height: '400px'
  }, _react.default.createElement(_FloatingActionButtonProvider.FloatingActionButtonProvider, {
    ...args,
    position: 'topRight',
    animationVariant: 'slideInTop',
    mt: 6,
    mr: 6
  }))
};