"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useFloatingActinButton = void 0;
var _react = require("react");
var _helpers = require("./helpers");
const useFloatingActinButton = ({
  hideUntilScrollPercent,
  delayDisplayMs
}) => {
  const [showFab, setShowFab] = (0, _react.useState)(hideUntilScrollPercent || delayDisplayMs ? false : true);
  const handleScroll = () => {
    setShowFab((0, _helpers.getScrollPercentage)() > hideUntilScrollPercent);
  };
  (0, _react.useEffect)(() => typeof window !== 'undefined' && hideUntilScrollPercent && (0, _helpers.addScrollListener)(handleScroll));
  (0, _react.useEffect)(() => {
    (0, _helpers.delay)(delayDisplayMs).then(() => {
      setShowFab(true);
    }).catch(() => {
      setShowFab(true);
    });
  }, [delayDisplayMs]);
  return {
    showFab
  };
};
exports.useFloatingActinButton = useFloatingActinButton;