"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._FormField = exports.WithSuccessfulValidation = exports.WithSelect = exports.WithReadOnlySelect = exports.WithErrorTooltip = exports.WithDisabledSelect = exports.Usage = exports.ReadOnlyInputFormField = exports.IconToTheRight = exports.DynamicLabelWithValue = exports.DynamicLabel = exports.DisabledInputFormField = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Input = require("../Input/Input");
var _Label = require("../Label/Label");
var _Select = require("../Select/Select");
var _Tooltip = require("../Tooltip/Tooltip");
var _FormField2 = require("./FormField");
var _pclnIcons = require("pcln-icons");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'FormField',
  component: _FormField2.FormField,
  args: {
    disabled: false,
    readOnly: false
  }
};
const Template = args => _react.default.createElement(_FormField2.FormField, {
  ...args
}, _react.default.createElement(_Label.Label, {
  htmlFor: 'demo'
}, "Email Address"), _react.default.createElement(_pclnIcons.Email, {
  color: 'primary'
}), _react.default.createElement(_Input.Input, {
  type: 'email',
  id: 'email',
  name: 'email',
  defaultValue: 'hello@example.com'
}));
const _FormField = exports._FormField = Template.bind({});
const DisabledInputFormField = exports.DisabledInputFormField = Template.bind({});
DisabledInputFormField.args = {
  disabled: true
};
const ReadOnlyInputFormField = exports.ReadOnlyInputFormField = Template.bind({});
ReadOnlyInputFormField.args = {
  readOnly: true
};
const DynamicLabel = () => _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Box.Box, {
  px: 2,
  width: 1 / 3
}, _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  autoHide: true,
  htmlFor: 'dynamic-label-without-a-value'
}, "No value"), _react.default.createElement(_Input.Input, {
  id: 'dynamic-label-without-a-value',
  name: 'dynamic-label-without-a-value',
  placeholder: 'Without a value'
}))), _react.default.createElement(_Box.Box, {
  px: 2,
  width: 1 / 3
}, _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  autoHide: true,
  htmlFor: 'dynamic-label-with-a-value'
}, "With value"), _react.default.createElement(_Input.Input, {
  id: 'dynamic-label-with-a-value',
  name: 'dynamic-label-with-a-value',
  value: 'hello@example.com'
}))), _react.default.createElement(_Box.Box, {
  px: 2,
  width: 1 / 3
}, _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Input.Input, {
  id: 'dynamic-label-without-a-label',
  name: 'dynamic-label-without-a-label',
  value: 'Value without label'
}))));
exports.DynamicLabel = DynamicLabel;
const DynamicLabelWithValue = () => _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'dynamic-label-email'
}, "Email Address"), _react.default.createElement(_Input.Input, {
  id: 'dynamic-label-email',
  name: 'dynamic-label-email',
  placeholder: 'hello@example.com',
  value: 'hello@example.com'
}));
exports.DynamicLabelWithValue = DynamicLabelWithValue;
const IconToTheRight = () => _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'dynamic-label-email-icon-right'
}, "Email Address"), _react.default.createElement(_Input.Input, {
  id: 'dynamic-label-email-icon-right',
  name: 'dynamic-label-email-icon-right',
  placeholder: 'hello@example.com',
  value: 'hello@example.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'secondary'
}));
exports.IconToTheRight = IconToTheRight;
const WithSelect = () => _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'dynamic-label-state-select'
}, "State"), _react.default.createElement(_pclnIcons.Pin, {
  color: 'primary'
}), _react.default.createElement(_Select.Select, {
  id: 'dynamic-label-state-select',
  name: 'dynamic-label-state-select'
}, _react.default.createElement("option", null, "New York"), _react.default.createElement("option", null, "New Jersey")));
exports.WithSelect = WithSelect;
const WithDisabledSelect = () => _react.default.createElement(_FormField2.FormField, {
  disabled: true
}, _react.default.createElement(_Label.Label, {
  htmlFor: 'dynamic-label-state-select'
}, "State"), _react.default.createElement(_pclnIcons.Pin, {
  color: 'primary'
}), _react.default.createElement(_Select.Select, {
  id: 'dynamic-label-state-select',
  name: 'dynamic-label-state-select'
}, _react.default.createElement("option", null, "New York"), _react.default.createElement("option", null, "New Jersey")));
exports.WithDisabledSelect = WithDisabledSelect;
const WithReadOnlySelect = () => _react.default.createElement(_FormField2.FormField, {
  readOnly: true
}, _react.default.createElement(_Label.Label, {
  htmlFor: 'dynamic-label-state-select'
}, "State"), _react.default.createElement(_pclnIcons.Pin, {
  color: 'primary'
}), _react.default.createElement(_Select.Select, {
  id: 'dynamic-label-state-select',
  name: 'dynamic-label-state-select',
  defaultValue: 'New York'
}, _react.default.createElement("option", null, "New York"), _react.default.createElement("option", null, "New Jersey")));
exports.WithReadOnlySelect = WithReadOnlySelect;
const WithSuccessfulValidation = () => _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'valid'
}, "Email Address"), _react.default.createElement(_Input.Input, {
  id: 'valid',
  name: 'valid',
  placeholder: 'hello@example.com',
  color: 'success'
}), _react.default.createElement(_pclnIcons.Success, {
  color: 'success'
}));
exports.WithSuccessfulValidation = WithSuccessfulValidation;
const WithErrorTooltip = () => _react.default.createElement(_Box.Box, null, _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'error-tooltip'
}, "Email Address"), _react.default.createElement(_Input.Input, {
  id: 'error-tooltip',
  name: 'error-tooltip',
  placeholder: 'hello@example.com',
  "aria-describedby": 'demo-error',
  color: 'error'
}), _react.default.createElement(_pclnIcons.Warning, {
  color: 'error'
})), _react.default.createElement(_Tooltip.Tooltip, {
  id: 'demo-error',
  right: true,
  color: 'error'
}, "Email address is required"));
exports.WithErrorTooltip = WithErrorTooltip;
const validateEmailFormat = email => {
  // eslint-disable-next-line @rushstack/security/no-unsafe-regexp
  const reg = new RegExp(['^(([^<>()[\\]\\\\.,;:\\s@"]+(\\.[^<>()[\\]\\\\.,;:\\s@"]+)*)', '|(".+"))@((\\[[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\])|(([a-zA-Z\\-0-9]+\\.)', '+[a-zA-Z]{2,}))$'].join(''));
  return reg.test(email);
};
const Usage = () => {
  const [email, setEmail] = (0, _react.useState)('');
  const [isValidEmail, setIsValidEmail] = (0, _react.useState)(false);
  const [isFocused, SetIsFocused] = (0, _react.useState)(true);
  // update email address
  const updateInput = e => {
    const value = e.target.value;
    setEmail(value);
  };
  // handle when focus leave the field
  const handleBlur = e => {
    const value = e.target.value;
    setIsValidEmail(validateEmailFormat(value));
    SetIsFocused(false);
  };
  // handle when field is on focus
  const handleFocus = e => {
    SetIsFocused(true);
  };
  return _react.default.createElement(_Box.Box, null, _react.default.createElement(_FormField2.FormField, null, _react.default.createElement(_Label.Label, {
    autoHide: true,
    htmlFor: 'dynamic-label-usage'
  }, "Email Address"), _react.default.createElement(_Input.Input, {
    id: 'dynamic-label-usage',
    name: 'dynamic-label-usage',
    onChange: updateInput,
    onBlur: handleBlur,
    value: email,
    onFocus: handleFocus,
    color: isFocused ? '' : isValidEmail ? 'success' : 'error',
    placeholder: 'Email Address'
  }), isFocused ? null : isValidEmail ? _react.default.createElement(_pclnIcons.Success, {
    color: 'success'
  }) : _react.default.createElement(_pclnIcons.Warning, {
    color: 'error'
  })), !isFocused && !isValidEmail ? _react.default.createElement(_Tooltip.Tooltip, {
    id: 'demo-error',
    right: true,
    color: 'error'
  }, "Email address is required") : null);
};
exports.Usage = Usage;