"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ColorScheme = exports.BasicBannerBlockWithURLPropsCTA = exports.BasicBannerAllInlineRightIcon = exports.BasicBannerAllInline = exports.BannerWithURLPropsButtonStyleCta = exports.BannerWithURLPropsAndCustomHeadingSize = exports.BannerWithURLPropsAndCta = exports.BannerWithURLProps = exports.BannerWithOnClickButtonStyleCta = exports.BannerWithOnClickAndCTA = exports.BannerWithOnClick = void 0;
var _addonActions = require("@storybook/addon-actions");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _utils = require("../utils");
var _GenericBanner = require("./GenericBanner");
var _GenericBannerStories = require("./GenericBanner.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'GenericBanner',
  component: _GenericBanner.GenericBanner,
  argTypes: _GenericBannerStories.argTypes
};
const UnderlinedLinkText = /*#__PURE__*/(0, _styledComponents.default)(_Text.Text).withConfig({
  displayName: "GenericBannerstories__UnderlinedLinkText",
  componentId: "sc-xmdpqu-0"
})(["text-decoration:underline;&:hover{color:", ";}"], props => (0, _utils.getPaletteColor)(props.hoverColor));
const Template = args => _react.default.createElement(_GenericBanner.GenericBanner, {
  ...args
});
const BasicBannerAllInline = exports.BasicBannerAllInline = Template.bind({});
BasicBannerAllInline.args = {
  p: 3,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    mr: 1
  }, "COVID-19"),
  text: _react.default.createElement(_Text.Text.span, null, "Update: Your travel may be impacted. Please review this hotels important info."),
  iconLeft: _react.default.createElement(_pclnIcons.Warning, null),
  color: 'caution.light'
};
const BasicBannerAllInlineRightIcon = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    color: 'secondary',
    mr: 1
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text.span, {
    textColor: 'primary.base'
  }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  iconRight: _react.default.createElement(_pclnIcons.Tea, null),
  color: 'primary.light'
});
exports.BasicBannerAllInlineRightIcon = BasicBannerAllInlineRightIcon;
const BasicBannerBlockWithURLPropsCTA = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text, {
    fontWeight: 'bold',
    mr: 1
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text, null, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  URLProps: {
    href: 'https://www.priceline.com',
    target: '_blank'
  },
  ctaText: _react.default.createElement(UnderlinedLinkText, {
    color: 'primary',
    fontWeight: 'bold',
    hoverColor: 'primary.dark'
  }, ' ', "Read More"),
  iconLeft: _react.default.createElement(_pclnIcons.Rowing, null),
  color: 'secondary.light'
});
exports.BasicBannerBlockWithURLPropsCTA = BasicBannerBlockWithURLPropsCTA;
const BannerWithOnClick = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1
  }, "COVID-19"),
  text: _react.default.createElement(_Text.Text.span, {
    textColor: 'primary.base',
    mr: 1
  }, "Update: Your travel may be impacted. Please review this hotels important info."),
  buttonClick: (0, _addonActions.action)('clicked on the banner or the read more link-button'),
  iconLeft: _react.default.createElement(_pclnIcons.Warning, null),
  color: 'caution.light'
});
exports.BannerWithOnClick = BannerWithOnClick;
const BannerWithOnClickAndCTA = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1
  }, "COVID-19"),
  text: _react.default.createElement(_Text.Text.span, {
    textColor: 'primary.base',
    mr: 1
  }, "Update: Your travel may be impacted. Please review this hotels important info."),
  ctaText: _react.default.createElement(_Text.Text.span, {
    textColor: 'primary.base',
    fontWeight: 'bold'
  }, "Read More"),
  buttonClick: (0, _addonActions.action)('clicked on the banner or the read more link-button'),
  iconLeft: _react.default.createElement(_pclnIcons.Warning, null),
  color: 'caution.light'
});
exports.BannerWithOnClickAndCTA = BannerWithOnClickAndCTA;
const BannerWithOnClickButtonStyleCta = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  buttonVariation: 'fill',
  buttonSize: 'small',
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1
  }, "COVID-19"),
  text: _react.default.createElement(_Text.Text.span, {
    mr: 1,
    textColor: 'primary.base'
  }, "Update: Your travel may be impacted. Please review this hotels important info."),
  ctaText: _react.default.createElement(_Text.Text, {
    textColor: 'primary',
    fontWeight: 'bold'
  }, "Read More"),
  buttonClick: (0, _addonActions.action)('clicked on the banner or the read more link-button'),
  iconLeft: _react.default.createElement(_pclnIcons.Warning, null),
  color: 'caution.light'
});
exports.BannerWithOnClickButtonStyleCta = BannerWithOnClickButtonStyleCta;
const BannerWithURLPropsAndCta = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text.span, {
    color: 'warning',
    mr: 1
  }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  URLProps: {
    href: 'https://www.priceline.com',
    target: '_blank'
  },
  ctaText: _react.default.createElement(UnderlinedLinkText, {
    color: 'primary',
    fontWeight: 'bold',
    hoverColor: 'primary.dark'
  }, "Read More"),
  iconLeft: _react.default.createElement(_pclnIcons.Emoticon, null),
  color: 'alert.light'
});
exports.BannerWithURLPropsAndCta = BannerWithURLPropsAndCta;
const BannerWithURLProps = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text.span, {
    color: 'warning',
    mr: 1
  }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  URLProps: {
    href: 'https://www.priceline.com',
    target: '_blank'
  },
  iconLeft: _react.default.createElement(_pclnIcons.Emoticon, null),
  color: 'alert.light'
});
exports.BannerWithURLProps = BannerWithURLProps;
const BannerWithURLPropsAndCustomHeadingSize = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    textColor: 'primary.base',
    mr: 1,
    fontSize: 4
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text.span, {
    color: 'warning',
    mr: 1
  }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  URLProps: {
    href: 'https://www.priceline.com',
    target: '_blank'
  },
  iconLeft: _react.default.createElement(_pclnIcons.Emoticon, null),
  color: 'alert.light'
});
exports.BannerWithURLPropsAndCustomHeadingSize = BannerWithURLPropsAndCustomHeadingSize;
const BannerWithURLPropsButtonStyleCta = () => _react.default.createElement(_GenericBanner.GenericBanner, {
  p: 2,
  color: 'alert.light',
  linkColor: 'secondary',
  linkVariation: 'fill',
  heading: _react.default.createElement(_Text.Text.span, {
    fontWeight: 'bold',
    mr: 1
  }, "This is a Heading"),
  text: _react.default.createElement(_Text.Text.span, {
    color: 'warning',
    mr: 1
  }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."),
  URLProps: {
    href: 'https://www.priceline.com',
    target: '_blank'
  },
  ctaText: _react.default.createElement(_Text.Text, {
    color: 'text.lightest',
    fontWeight: 'bold'
  }, "Read More"),
  iconLeft: _react.default.createElement(_pclnIcons.Emoticon, null)
});
exports.BannerWithURLPropsButtonStyleCta = BannerWithURLPropsButtonStyleCta;
const ColorScheme = () => {
  return _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_GenericBanner.GenericBanner, {
    key: colorScheme,
    colorScheme: colorScheme,
    p: 3,
    m: 2,
    heading: _react.default.createElement(_Text.Text.span, {
      fontWeight: 'bold',
      mr: 1
    }, colorScheme),
    text: _react.default.createElement(_Text.Text.span, null, "Update: Your travel may be impacted. Please review this hotels important info."),
    iconLeft: _react.default.createElement(_pclnIcons.Warning, null)
  }));
};
exports.ColorScheme = ColorScheme;