"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Grid = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _theme = require("../theme/theme");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const GridStyleFns = (0, _styledSystem.system)({
  gap: {
    property: 'gridGap',
    scale: 'space'
  },
  rowGap: {
    property: 'gridRowGap',
    scale: 'space'
  },
  columnGap: {
    property: 'gridColumnGap',
    scale: 'space'
  },
  column: {
    property: 'gridColumn'
  },
  row: {
    property: 'gridRow'
  },
  area: {
    property: 'gridArea'
  },
  autoFlow: {
    property: 'gridAutoFlow'
  },
  autoRows: {
    property: 'gridAutoRows'
  },
  autoColumns: {
    property: 'gridAutoColumns'
  },
  templateRows: {
    property: 'gridTemplateRows'
  },
  templateColumns: {
    property: 'gridTemplateColumns'
  },
  templateAreas: {
    property: 'gridTemplateAreas'
  },
  placeItems: {
    property: 'placeItems'
  }
});
const StyledGrid = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "Grid__StyledGrid",
  componentId: "sc-1v3k2wr-0"
})(["", " ", " ", " display:grid;"], _theme.ComposedStyleFns, GridStyleFns, _utils.colorScheme);
/**
 * @public
 */
const Grid = props => _react.default.createElement(StyledGrid, {
  ...props
});
exports.Grid = Grid;