"use strict";

var _react = _interopRequireDefault(require("react"));
var _theme = require("../theme/theme");
var _Heading = require("./Heading");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Heading', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  const dotNotationTestCase = 'Heading component with h1-h6 dot-notation';
  test(dotNotationTestCase, () => {
    const headingH1json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h1, null)).toJSON();
    const headingH2json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h2, null)).toJSON();
    const headingH3json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h3, null)).toJSON();
    const headingH4json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h4, null)).toJSON();
    const headingH5json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h5, null)).toJSON();
    const headingH6json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading.h6, null)).toJSON();
    expect(headingH1json).toMatchSnapshot();
    expect(headingH2json).toMatchSnapshot();
    expect(headingH3json).toMatchSnapshot();
    expect(headingH4json).toMatchSnapshot();
    expect(headingH5json).toMatchSnapshot();
    expect(headingH6json).toMatchSnapshot();
  });
  const defaultFontSizeTestCase = 'Heading component with no default font size, when "fontSize" prop not used';
  test(defaultFontSizeTestCase, () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  const usingTextPropsTestCase = 'Heading component using <Text> component properties';
  test(usingTextPropsTestCase, () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Heading.Heading, {
      textAlign: 'center',
      color: 'gray'
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('text-align', 'center');
    expect(json).toHaveStyleRule('color', _theme.theme.colors.gray);
  });
});