"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithTextShadows = exports.UsingTextProps = exports.UsingDotNotationWithH1H6 = exports.HeadingComponent = exports.ColorSchemes = void 0;
var _react = _interopRequireDefault(require("react"));
var _Heading = require("./Heading");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const description = 'A type of the <Text> component' + ' using HTML h1-h6 element for setting section headings,' + ' supporting all <Text> props';
var _default = exports.default = {
  title: 'Heading',
  component: _Heading.Heading,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
const HeadingComponent = () => _react.default.createElement(_Heading.Heading, {
  m: 3
}, "Heading component");
exports.HeadingComponent = HeadingComponent;
const UsingDotNotationWithH1H6 = () => _react.default.createElement("section", null, _react.default.createElement(_Heading.Heading.h1, null, "Heading h1"), _react.default.createElement(_Heading.Heading.h2, null, "Heading h2"), _react.default.createElement(_Heading.Heading.h3, null, "Heading h3"), _react.default.createElement(_Heading.Heading.h4, null, "Heading h4"), _react.default.createElement(_Heading.Heading.h5, null, "Heading h5"), _react.default.createElement(_Heading.Heading.h6, null, "Heading h6"));
exports.UsingDotNotationWithH1H6 = UsingDotNotationWithH1H6;
const WithTextShadows = () => _react.default.createElement("section", null, _react.default.createElement(_Heading.Heading.h1, {
  enableTextShadow: true
}, "Heading h1"), _react.default.createElement(_Heading.Heading.h2, {
  enableTextShadow: true
}, "Heading h2"), _react.default.createElement(_Heading.Heading.h3, {
  enableTextShadow: true
}, "Heading h3"), _react.default.createElement(_Heading.Heading.h4, {
  enableTextShadow: true
}, "Heading h4"), _react.default.createElement(_Heading.Heading.h5, {
  enableTextShadow: true
}, "Heading h5"), _react.default.createElement(_Heading.Heading.h6, {
  enableTextShadow: true
}, "Heading h6"));
exports.WithTextShadows = WithTextShadows;
const UsingTextProps = () => _react.default.createElement("section", null, _react.default.createElement(_Heading.Heading, {
  textAlign: 'left',
  bold: true,
  fontSize: 6,
  color: 'green'
}, "Heading Left"), _react.default.createElement(_Heading.Heading, {
  textAlign: 'center',
  medium: true,
  fontSize: 5,
  color: 'blue'
}, "Heading Center"), _react.default.createElement(_Heading.Heading, {
  textAlign: 'right',
  regular: true,
  fontSize: 4,
  color: 'orange'
}, "Heading Right"));
exports.UsingTextProps = UsingTextProps;
const ColorSchemes = () => _react.default.createElement("section", null, _react.default.createElement(_Heading.Heading.h1, {
  colorScheme: 'primary'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h2, {
  colorScheme: 'secondaryLight'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h3, {
  colorScheme: 'cautionLight'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h4, {
  colorScheme: 'heading'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h4, {
  colorScheme: 'headingBase'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h5, {
  colorScheme: 'headingLight'
}, "Heading Left"), _react.default.createElement(_Heading.Heading.h6, {
  colorScheme: 'headingOnPrimaryLight'
}, "Heading Left"));
exports.ColorSchemes = ColorSchemes;