"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Hug = Hug;
var _react = _interopRequireDefault(require("react"));
var _Text = require("../Text/Text");
var _Hug = require("./Hug.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
function Hug({
  bg,
  color = 'text.lightest',
  p,
  fontSize,
  icon,
  iconDisplay,
  colorScheme,
  ...props
}) {
  let iconClone;
  if (_react.default.isValidElement(icon)) {
    iconClone = _react.default.cloneElement(icon, {
      style: {
        display: iconDisplay
      },
      mr: 2,
      mt: '-2px',
      mb: '2px',
      size: 24
    });
  }
  let headerColor = '';
  if (colorScheme && color !== 'text.lightest') {
    headerColor = color;
  } else if (!colorScheme) {
    headerColor = color;
  }
  return _react.default.createElement(_Hug.HugCard, {
    ...props,
    borderColor: colorScheme ? null : bg || color,
    color: color,
    colorScheme: colorScheme
  }, _react.default.createElement(_Hug.Header, {
    bg: bg,
    color: headerColor,
    p: p,
    pl: '12px',
    alignItems: 'center',
    colorScheme: colorScheme,
    iconUsesColorScheme: !iconClone?.props?.color
  }, !!iconClone && iconClone, _react.default.createElement(_Text.Text, {
    fontSize: fontSize
  }, props.text)), _react.default.createElement(_Hug.BorderConcealer, null, props.children));
}
Hug.defaultProps = {
  borderRadius: 'xl',
  borderWidth: 1,
  color: 'text.lightest',
  fontSize: 1,
  p: 2
};