"use strict";

var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Card = require("../Card/Card");
var _Text = require("../Text/Text");
var _Hug = require("./Hug");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const text = _react.default.createElement(_Text.Text.span, null, "Have you seen this ", _react.default.createElement(_Text.Text.span, {
  bold: true
}, "card"), " I\u2018m hugging?!");
describe('Hug', () => {
  test('renders text, icon, and Child', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hug.Hug, {
      icon: _react.default.createElement(_pclnIcons.ThumbsUp, null),
      text: text
    }, _react.default.createElement(_Card.Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
  test('renders text when string is provided', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hug.Hug, {
      icon: _react.default.createElement(_pclnIcons.ThumbsUp, null),
      text: "I've been known to hug a card from time to time"
    }, _react.default.createElement(_Card.Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
  test('renders text when array of nodes is provided', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Hug.Hug, {
      icon: _react.default.createElement(_pclnIcons.ThumbsUp, null),
      text: [text, text]
    }, _react.default.createElement(_Card.Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
});