"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.iconMap = exports.defaultArgs = exports.argTypes = exports.HugContentText = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const iconMap = exports.iconMap = {
  Accessible: _pclnIcons.Accessible,
  SeatBusiness: _pclnIcons.SeatBusiness,
  ThumbsUp: _pclnIcons.ThumbsUp,
  Trophy: _pclnIcons.Trophy,
  WashingHands: _pclnIcons.WashingHands
};
const HugContentText = () => _react.default.createElement(_Text.Text.span, null, "Today's best deal! You save ", _react.default.createElement(_Text.Text.span, {
  fontWeight: 'bold'
}, "$300"), " for your party of 2.\u00A0");
exports.HugContentText = HugContentText;
const defaultArgs = exports.defaultArgs = {
  color: 'primary',
  text: _react.default.createElement(HugContentText, null)
};
const argTypes = exports.argTypes = {
  color: {
    name: 'color',
    type: {
      name: 'string',
      required: false
    },
    description: 'Palette color to use',
    table: {
      type: {
        summary: 'Colors',
        detail: '- ' + _args.colors.join('\n- ')
      },
      defaultValue: {
        summary: 'primary'
      }
    },
    control: {
      type: 'select',
      options: _args.colors
    }
  },
  icon: {
    name: 'icon',
    description: 'Icon to use inside the Hug',
    table: {
      defaultValue: {
        summary: null
      }
    },
    control: {
      type: 'select',
      options: Object.keys(iconMap)
    }
  },
  borderRadius: {
    name: 'borderRadius',
    type: {
      name: 'string'
    },
    options: _args.borderRadii,
    description: 'borderRadius',
    control: {
      type: 'select'
    }
  }
};