"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Hug = exports.WithAnIcon = exports.Responsive = exports.PlainText = exports.ColorSchemeWithCustomHeaderTextAndIconColors = exports.ColorScheme = exports.CardInACard = exports.ArrayOfText = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Card = require("../Card/Card");
var _Hide = require("../Hide/Hide");
var _Text = require("../Text/Text");
var _Hug2 = require("./Hug");
var _args = require("../storybook/args");
var _HugStories = require("./Hug.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const ChildrenCardInside = () => _react.default.createElement(_Card.Card, {
  p: 3,
  color: 'warning.light'
}, "I'm a card within a hug!");
const ChildrenCardInsideCard = () => _react.default.createElement(_Card.Card, {
  p: 3,
  color: 'background.light'
}, _react.default.createElement(_Card.Card, {
  p: 3,
  color: 'background.dark'
}, "I'm a card within a card within a hug!"));
const ResponsiveText = () => _react.default.createElement(_Text.Text.span, null, "Today's best deal! You save ", _react.default.createElement(_Text.Text.span, {
  fontWeight: 'bold'
}, "$300"), _react.default.createElement(_Hide.Hide, {
  as: 'span',
  xs: true
}, ' ', "for your party of 2"), ".\u00A0");
var _default = exports.default = {
  title: 'core / Hug',
  component: _Hug2.Hug,
  args: _HugStories.defaultArgs,
  argTypes: _HugStories.argTypes,
  parameters: {
    docs: {
      description: {
        component: `Use the Hug component to surround another component with a border and a banner on top.`
      }
    }
  }
};
const Template = ({
  icon,
  ...rest
}) => {
  const SelectedIcon = icon && _HugStories.iconMap[icon] || null;
  if (icon && SelectedIcon) {
    rest.icon = _react.default.createElement(SelectedIcon, null);
  }
  return _react.default.createElement(_Hug2.Hug, {
    ...rest
  });
};
const _Hug = exports._Hug = Template.bind({});
_Hug.args = {
  children: _react.default.createElement(ChildrenCardInside, null)
};
_Hug.storyName = 'With a card inside';
const WithAnIcon = exports.WithAnIcon = Template.bind({});
WithAnIcon.args = {
  children: _react.default.createElement(ChildrenCardInside, null),
  icon: 'ThumbsUp'
};
WithAnIcon.storyName = 'With an icon';
const CardInACard = exports.CardInACard = Template.bind({});
CardInACard.args = {
  children: _react.default.createElement(ChildrenCardInsideCard, null)
};
CardInACard.storyName = 'With a card in a card';
const PlainText = exports.PlainText = Template.bind({});
PlainText.args = {
  text: 'I am some plain text!',
  children: _react.default.createElement(ChildrenCardInside, null)
};
const ArrayOfText = exports.ArrayOfText = Template.bind({});
ArrayOfText.args = {
  text: [_react.default.createElement(_HugStories.HugContentText, {
    key: 1
  }), _react.default.createElement(_HugStories.HugContentText, {
    key: 2
  })],
  children: _react.default.createElement(ChildrenCardInside, null)
};
ArrayOfText.storyName = 'With an array of text nodes';
const Responsive = exports.Responsive = Template.bind({});
Responsive.args = {
  text: _react.default.createElement(ResponsiveText, null),
  children: _react.default.createElement(ChildrenCardInside, null),
  p: 2,
  fontSize: [0, 1]
};
Responsive.storyName = 'With a responsive Hug';
Responsive.parameters = {
  viewport: {
    defaultViewport: 'designSystem_xs'
  }
};
const ColorScheme = () => {
  return _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Hug2.Hug, {
    text: _react.default.createElement(_Text.Text, null, colorScheme),
    icon: _react.default.createElement(_pclnIcons.Star, null),
    colorScheme: colorScheme,
    key: colorScheme,
    my: '3',
    boxShadowSize: 'xl'
  }, _react.default.createElement(_Card.Card, {
    borderRadius: 'xl',
    p: 3,
    color: 'background.lightest'
  }, _react.default.createElement(_Text.Text, null, "I'm a card within a card within a hug!"))));
};
exports.ColorScheme = ColorScheme;
const ColorSchemeWithCustomHeaderTextAndIconColors = () => {
  return _react.default.createElement(_Hug2.Hug, {
    text: _react.default.createElement(_Text.Text, {
      color: 'error.base'
    }, "Custom Header Color"),
    icon: _react.default.createElement(_pclnIcons.Star, {
      color: 'promoPrimary.base'
    }),
    colorScheme: 'primaryLight',
    my: '3',
    boxShadowSize: 'xl'
  }, _react.default.createElement(_Card.Card, {
    borderRadius: 'xl',
    p: 3,
    color: 'background.lightest'
  }, _react.default.createElement(_Text.Text, null, "I'm a card within a card within a hug!")));
};
exports.ColorSchemeWithCustomHeaderTextAndIconColors = ColorSchemeWithCustomHeaderTextAndIconColors;