"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HugCard = exports.Header = exports.BorderConcealer = void 0;
var _themeGet = require("@styled-system/theme-get");
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Card = require("../Card/Card");
var _Flex = require("../Flex/Flex");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const HugCard = exports.HugCard = /*#__PURE__*/(0, _styledComponents.default)(_Card.Card).withConfig({
  displayName: "Hugstyled__HugCard",
  componentId: "sc-104xekr-0"
})(["overflow:hidden;", " ", ""], (0, _utils.applyVariations)('Hug'), ({
  colorScheme,
  theme
}) => {
  const computedColorScheme = (0, _themeGet.themeGet)(`colorSchemes.${colorScheme}`)({
    theme
  });
  return colorScheme ? `
        border-color: ${computedColorScheme.foreground !== theme.colors.white ? computedColorScheme.foreground : computedColorScheme.background};
      ` : '';
});
const BorderConcealer = exports.BorderConcealer = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Hugstyled__BorderConcealer",
  componentId: "sc-104xekr-1"
})(["& > *{border:0 !important;}"]);
const Header = exports.Header = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Hugstyled__Header",
  componentId: "sc-104xekr-2"
})(["", ""], _utils.colorSchemeCustomForeground);