"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TransparentButton = /*#__PURE__*/(0, _styledComponents.default)(_Button.Button).withConfig({
  displayName: "IconButton__TransparentButton",
  componentId: "sc-z765t2-0"
})(["padding:0;background-color:transparent;color:inherit;&:hover{background-color:transparent;color:inherit;}& > div{display:flex;}&:disabled{background-color:transparent;}", ""], (0, _utils.applyVariations)('IconButton'));
/**
 * @public
 */
const IconButton = exports.IconButton = _react.default.forwardRef(({
  icon,
  ...props
}, ref) => {
  return _react.default.createElement(TransparentButton, {
    ...props,
    ref: ref
  }, _react.default.createElement(_Flex.Flex, null, icon));
});
IconButton.displayName = 'IconButton';
IconButton.isIconButton = true;