"use strict";

var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _IconButton = require("./IconButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('IconButton', () => {
  test('executes onClick prop on click', () => {
    const handleClick = jest.fn();
    const {
      getByRole
    } = (0, _testingLibrary.render)(_react.default.createElement(_IconButton.IconButton, {
      icon: _react.default.createElement(_pclnIcons.Key, null),
      onClick: handleClick
    }));
    _testingLibrary.fireEvent.click(getByRole('button'));
    expect(handleClick).toHaveBeenCalled();
  });
  test('renders without background color in disabled state', () => {
    const {
      container
    } = (0, _testingLibrary.render)(_react.default.createElement(_IconButton.IconButton, {
      icon: _react.default.createElement(_pclnIcons.Key, null),
      disabled: true
    }));
    const button = container.querySelector('button:disabled');
    expect(button).toHaveStyleRule('background-color', 'transparent');
  });
  test('renders without props', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_IconButton.IconButton, {
      icon: _react.default.createElement(_pclnIcons.Key, null)
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
});