"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Default = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports.WithSize = exports.WithDisabled = exports.WithColor = void 0;
var _addonActions = require("@storybook/addon-actions");
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button/Button");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _IconButton = require("./IconButton");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'IconButton',
  component: _IconButton.IconButton
};
const Default = () => _react.default.createElement(_IconButton.IconButton, {
  onClick: (0, _addonActions.action)('Clicked IconButton'),
  "aria-label": 'Click to choose date',
  icon: _react.default.createElement(_pclnIcons.Calendar, {
    title: 'Choose date'
  })
});
exports.Default = Default;
const WithColor = () => _react.default.createElement(_IconButton.IconButton, {
  onClick: (0, _addonActions.action)('Clicked IconButton'),
  icon: _react.default.createElement(_pclnIcons.Calendar, {
    title: 'Choose date',
    color: 'primary'
  })
});
exports.WithColor = WithColor;
const WithSize = () => _react.default.createElement(_IconButton.IconButton, {
  onClick: (0, _addonActions.action)('Clicked IconButton'),
  icon: _react.default.createElement(_pclnIcons.Calendar, {
    title: 'Choose date',
    size: 64
  })
});
exports.WithSize = WithSize;
const WithDisabled = () => _react.default.createElement(_IconButton.IconButton, {
  onClick: (0, _addonActions.action)('Clicked IconButton'),
  icon: _react.default.createElement(_pclnIcons.Calendar, {
    title: 'Choose date'
  }),
  disabled: true
});
exports.WithDisabled = WithDisabled;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_IconButton.IconButton, {
      onClick: (0, _addonActions.action)('Clicked IconButton'),
      icon: _react.default.createElement(_pclnIcons.Calendar, {
        title: 'Choose date',
        size: 64
      })
    }), _react.default.createElement("br", null), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus button via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}