"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconField = IconField;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
function IconField(props) {
  const isIcon = item => item.type.isIcon || item.type.isIconButton;
  const children = _react.default.Children.toArray(props.children).filter(
  // @ts-ignore
  child => child?.type.isField || isIcon(child));
  if (children.length === 0) {
    return null;
  }
  // @ts-ignore
  const inputIndex = children && children.findIndex(child => child.type.isField);
  const prefixIcons = children.slice(0, inputIndex);
  const input = children[inputIndex];
  const suffixIcons = children.slice(inputIndex + 1, children.length);
  const paddingLeft = prefixIcons.length > 0 ? prefixIcons.length * 40 : undefined;
  const paddingRight = suffixIcons.length > 0 ? suffixIcons.length * 40 : undefined;
  const marginRight = prefixIcons.length > 0 ? -(prefixIcons.length * 40) : undefined;
  const marginLeft = suffixIcons.length > 0 ? -(suffixIcons.length * 40) : undefined;
  return _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    ...props
  }, prefixIcons.length > 0 && _react.default.createElement(_Flex.Flex, {
    mr: marginRight,
    "data-testid": 'icon-field-prefix-icons'
  }, prefixIcons.map((icon, index) => _react.default.cloneElement(icon, {
    ml: index === 0 ? 2 : 0,
    mr: 2
  }))), input && _react.default.cloneElement(input, {
    pl: paddingLeft,
    pr: paddingRight
  }), suffixIcons.length > 0 && _react.default.createElement(_Flex.Flex, {
    ml: marginLeft,
    "data-testid": 'icon-field-suffix-icons'
  }, suffixIcons.map((icon, index) => _react.default.cloneElement(icon, {
    ml: 2,
    mr: index === 0 ? 2 : 0
  }))));
}