"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Input = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Text = require("../Text/Text");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sizes = {
  sm: (0, _styledComponents.css)(["padding:6px 12px 7px 12px;"]),
  md: (0, _styledComponents.css)(["padding:10px 12px 11px 12px;"]),
  lg: (0, _styledComponents.css)(["padding:14px 12px 14px 12px;"]),
  xl: (0, _styledComponents.css)(["padding:18px 12px 19px 12px;"])
};
const StyledInput = /*#__PURE__*/_styledComponents.default.input.attrs(_borderRadiusAttrs.borderRadiusAttrs).withConfig({
  displayName: "Input__StyledInput",
  componentId: "sc-7wuyrc-0"
})(["position:relative;appearance:none;display:block;width:100%;font-family:inherit;color:", ";background-color:transparent;border-width:1px;border-style:solid;margin:0;::placeholder{color:", ";}::-ms-clear{display:none;}&:disabled{background-color:", ";color:", ";cursor:not-allowed;}", ";", " ", " ", ""], (0, _utils.getPaletteColor)('text.base'), (0, _utils.getPaletteColor)('text.light'), (0, _utils.getPaletteColor)('background.light'), (0, _utils.getPaletteColor)('text.light'), ({
  theme
}) => (0, _utils.applySizes)(sizes, undefined, theme.mediaQueries), (0, _utils.applyVariations)('Input'), _utils.borders, props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize, _styledSystem.borderRadius, _styledSystem.zIndex)(props));
const INPUT_ERROR_TEXT = 'InputHelperText';
/**
 * @public
 */
const Input = exports.Input = _react.default.forwardRef((props, ref) => {
  const {
    helperText,
    color,
    ...restProps
  } = props;
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(StyledInput, {
    ...restProps,
    color: color,
    ref: ref
  }), helperText && _react.default.cloneElement(helperText, {
    color: helperText.props.color || color
  }));
});
const HelperText = /*#__PURE__*/(0, _styledComponents.default)(_Text.Text).attrs(() => ({
  mt: 2,
  fontSize: 1
})).withConfig({
  displayName: "Input__HelperText",
  componentId: "sc-7wuyrc-1"
})([""]);
Input.HelperText = props => _react.default.createElement(HelperText, {
  ...props
}, props.children);
Input.HelperText.displayName = INPUT_ERROR_TEXT;
Input.displayName = 'Input';
Input.isField = true;
Input.defaultProps = {
  fontSize: [2, null, 1],
  borderRadius: 'lg',
  size: 'lg'
};