"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Disabled = exports.Colors = void 0;
exports.ForwardsRefs = ForwardsRefs;
exports.default = exports.WithLabel = exports.WithHelperText = exports.WithExternalLabel = exports.ReadOnly = exports.InputComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Divider = require("../Divider/Divider");
var _Label = require("../Label/Label");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _Input = require("./Input");
var _InputStories = require("./Input.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Input',
  component: _Input.Input,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled input component that accepts a color and whether or not to show an error container.'
      }
    }
  },
  argTypes: _InputStories.argTypes
};
const Template = args => _react.default.createElement(_Input.Input, {
  my: 3,
  ...args
});
const InputComponent = exports.InputComponent = Template.bind({});
const Disabled = () => _react.default.createElement(_Input.Input, {
  disabled: true,
  value: 'Disabled Input'
});
exports.Disabled = Disabled;
const ReadOnly = () => _react.default.createElement(_Input.Input, {
  readOnly: true,
  value: 'Readonly Input'
});
exports.ReadOnly = ReadOnly;
const Colors = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-1',
  placeholder: 'No color'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-2',
  color: 'primary',
  placeholder: 'Primary'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-3',
  color: 'secondary',
  placeholder: 'Secondary'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-4',
  color: 'warning',
  placeholder: 'Warning'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-5',
  color: 'alert',
  placeholder: 'Alert'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-6',
  color: 'caution',
  placeholder: 'Caution'
}));
exports.Colors = Colors;
const WithExternalLabel = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Label.Label, {
  fontSize: 4,
  htmlFor: 'sample-input'
}, "Label!"), _react.default.createElement(_Input.Input, {
  id: 'sample-input-1',
  placeholder: 'Click the label'
}));
exports.WithExternalLabel = WithExternalLabel;
const WithHelperText = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Box.Box, null, _react.default.createElement(_Label.Label, {
  fontSize: 4,
  htmlFor: 'sample-input-2'
}, "Same color as Input"), _react.default.createElement(_Input.Input, {
  id: 'sample-input-2',
  placeholder: 'Click the label',
  color: 'error.base',
  helperText: _react.default.createElement(_Input.Input.HelperText, null, "No soup for you!")
})), _react.default.createElement(_Divider.Divider, null), _react.default.createElement(_Box.Box, null, _react.default.createElement(_Label.Label, {
  fontSize: 4,
  htmlFor: 'sample-input-3'
}, "Override color for helper text"), _react.default.createElement(_Input.Input, {
  id: 'sample-input-3',
  placeholder: 'Click the label',
  color: 'error.base',
  helperText: _react.default.createElement(_Input.Input.HelperText, {
    color: 'secondary.base'
  }, "No soup for you!")
})));
exports.WithHelperText = WithHelperText;
const WithLabel = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Label.Label, null, "Label Text", _react.default.createElement(_Input.Input, {
  id: 'input-with-label',
  placeholder: 'Click the label',
  mt: 1
})));
exports.WithLabel = WithLabel;
function ForwardsRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Input.Input, {
      ref: dsRef,
      placeholder: 'Priceline!'
    }), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 3
    }, "Click to focus the input via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}