"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Colors = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports.WithExternalLabel = exports.InputComponent = exports.GroupedInputs = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _FormField = require("../FormField/FormField");
var _Input = require("../Input/Input");
var _InputGroup = require("../InputGroup/InputGroup");
var _Label = require("../Label/Label");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'InputGroup',
  component: _Input.Input,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled input component that accepts a color and whether or not to show an error container.'
      }
    }
  }
};
const InputComponent = () => _react.default.createElement(_Input.Input, {
  my: 3
});
exports.InputComponent = InputComponent;
const Colors = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-1',
  placeholder: 'No color'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-2',
  color: 'primary',
  placeholder: 'Primary'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-3',
  color: 'secondary',
  placeholder: 'Secondary'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-4',
  color: 'warning',
  placeholder: 'Warning'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-5',
  color: 'alert',
  placeholder: 'Alert'
}), _react.default.createElement(_Input.Input, {
  mb: 3,
  id: 'input-colors-6',
  color: 'caution',
  placeholder: 'Caution'
}));
exports.Colors = Colors;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.value = 'Happy Panda :D';
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Input.Input, {
      value: 'Sad Panda :('
    }), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to change input value via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}
const WithExternalLabel = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Label.Label, {
  fontSize: 4,
  htmlFor: 'sample-input'
}, "Label!"), _react.default.createElement(_Input.Input, {
  id: 'sample-input',
  placeholder: 'Click the label'
}));
exports.WithExternalLabel = WithExternalLabel;
const GroupedInputs = () => _react.default.createElement(_InputGroup.InputGroup, null, _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Where from?"), _react.default.createElement(_Input.Input, {
  placeholder: 'Where from?'
})), _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Where to?"), _react.default.createElement(_Input.Input, {
  placeholder: 'Where to?'
})));
exports.GroupedInputs = GroupedInputs;