"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Label = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _typographyAttrs = require("../utils/attrs/typographyAttrs");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const nowrap = props => props.nowrap ? {
  whiteSpace: 'nowrap'
} : null;
const accessiblyHide = props => props.hidden ? {
  position: 'absolute',
  width: '1px',
  height: '1px',
  clip: 'rect(1px, 1px, 1px, 1px)'
} : null;
/**
 * @public
 */
const Label = exports.Label = /*#__PURE__*/_styledComponents.default.label.attrs(props => ({
  ...(0, _typographyAttrs.typographyAttrs)(props),
  ...props
})).withConfig({
  displayName: "Label",
  componentId: "sc-7sa88g-0"
})(["display:block;width:100%;margin:0;z-index:1;color:", ";", " ", " ", " ", " ", " ", ""], (0, _utils.getPaletteColor)('base'), props => props.bg ? `background-color: ${(0, _utils.getPaletteColor)(props.bg, 'base')(props)};` : '', props => props.onClick ? 'cursor: pointer;' : '', (0, _utils.applyVariations)('Label'), nowrap, accessiblyHide, props => (0, _styledSystem.compose)(_styledSystem.fontSize, _styledSystem.fontWeight, _styledSystem.lineHeight, _styledSystem.letterSpacing, _styledSystem.space, _styledSystem.textStyle, _styledSystem.width)(props));
Label.defaultProps = {
  color: 'text.light',
  textStyle: 'label'
};
Label.displayName = 'Label';
Label.isLabel = true;