"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _Label = require("./Label");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Label', () => {
  test('it renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Label.Label, null)).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Label hidden renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Label.Label, {
      hidden: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Label nowrap renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Label.Label, {
      nowrap: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Label width renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Label.Label, {
      width: 1 / 2,
      nowrap: true
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('Label clickable renders with cursor pointer', () => {
    const mockOnClick = jest.fn();
    (0, _testingLibrary.render)(_react.default.createElement(_Label.Label, {
      onClick: mockOnClick
    }, "Clickable Label"));
    const label = _testingLibrary.screen.getByText('Clickable Label');
    expect(label).toHaveStyleRule('cursor', 'pointer');
    expect(mockOnClick).toHaveBeenCalledTimes(0);
    _testingLibrary.fireEvent.click(label);
    expect(mockOnClick).toHaveBeenCalledTimes(1);
  });
});