"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Label = exports.Spacing = exports.Nowrap = exports.HtmlFor = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Input = require("../Input/Input");
var _Radio = require("../Radio/Radio");
var _Label2 = require("./Label");
var _LabelStories = require("./Label.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Label',
  component: _Label2.Label,
  args: _LabelStories.defaultArgs,
  argTypes: _LabelStories.argTypes,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled label component that supports a number of the styled-system props.'
      }
    }
  }
};
const Template = args => _react.default.createElement(_Label2.Label, {
  ...args
});
const _Label = exports._Label = Template.bind({});
const Spacing = () => _react.default.createElement("div", null, _react.default.createElement(_Label2.Label, {
  mt: 4,
  mb: 2
}, "A tish of margin"), _react.default.createElement(_Label2.Label, {
  pl: 3
}, "A dash of padding"));
exports.Spacing = Spacing;
const HtmlFor = () => _react.default.createElement("div", null, "Clicking", ' ', _react.default.createElement(_Label2.Label, {
  fontSize: 4,
  htmlFor: 'sample-input'
}, "here"), ' ', "should focus on the input element.", _react.default.createElement("br", null), _react.default.createElement(_Input.Input, {
  id: 'sample-input'
}));
exports.HtmlFor = HtmlFor;
const Nowrap = () => _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Label2.Label, {
  nowrap: true
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), "Round-trip"), _react.default.createElement(_Label2.Label, {
  nowrap: true
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), "One-way"), _react.default.createElement(_Label2.Label, {
  nowrap: true
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), "Multi-destination"));
exports.Nowrap = Nowrap;