"use strict";

var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _testingLibrary = require("../__test__/testing-library");
var _Layout = require("./Layout");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Layout', () => {
  it('renders with variations', () => {
    const {
      rerender,
      getByText
    } = (0, _testingLibrary.render)(_react.default.createElement(_Layout.Layout, {
      variation: '50-50'
    }, _react.default.createElement(_Box.Box, null, "1")));
    expect(getByText(1)).toHaveStyle('width: 0.5');
    rerender(_react.default.createElement(_Layout.Layout, {
      variation: '33-33-33'
    }, _react.default.createElement(_Box.Box, null, "1")));
    expect(getByText(1)).toHaveStyle('width: 0.33');
    rerender(_react.default.createElement(_Layout.Layout, {
      variation: '60-40'
    }, _react.default.createElement(_Box.Box, null, "1"), _react.default.createElement(_Box.Box, null, "2"), _react.default.createElement(_Box.Box, null, "3")));
    expect(getByText(1)).toHaveStyle('width: 0.6');
    expect(getByText(2)).toHaveStyle('width: 0.4');
    expect(getByText(3)).toHaveStyle('width: 0.6');
    rerender(_react.default.createElement(_Layout.Layout, {
      variation: ['25-25-25-25']
    }, _react.default.createElement(_Box.Box, null, "1")));
    expect(getByText(1)).toHaveStyle('width: 0.25');
  });
});