"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Uneven = exports.Thirds = exports.ResponsiveSmall = exports.ResponsiveLarge = exports.Quarters = exports.Overlap = exports.Halves = exports.FullWidth = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Absolute = require("../Absolute/Absolute");
var _Box = require("../Box/Box");
var _Container = require("../Container/Container");
var _Flex = require("../Flex/Flex");
var _Relative = require("../Relative/Relative");
var _Layout = require("./Layout");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Layout/Layout',
  component: _Layout.Layout,
  argTypes: {
    children: {
      control: false
    }
  }
};
const LayoutDemoBox = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Layoutstories__LayoutDemoBox",
  componentId: "sc-1gfps7p-0"
})(["height:100px;"]);
const Template = args => _react.default.createElement(_Flex.Flex, {
  width: '100%',
  color: 'primary.light'
}, _react.default.createElement(_Container.Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, _react.default.createElement(_Layout.Layout, {
  ...args
}, _react.default.createElement(LayoutDemoBox, {
  color: 'secondary.base'
}), _react.default.createElement(_Box.Box, {
  height: '120px',
  color: 'warning.base'
}), _react.default.createElement(LayoutDemoBox, {
  color: 'alert'
}), _react.default.createElement(LayoutDemoBox, {
  color: 'primary'
}), _react.default.createElement(LayoutDemoBox, {
  color: 'promoPrimary'
}), _react.default.createElement(LayoutDemoBox, {
  color: 'promoSecondary'
}))));
const Basic = exports.Basic = Template.bind({});
Basic.args = {
  variation: '33-33-33',
  gap: 'sm',
  rowGap: 'sm'
};
const responsiveArgs = {
  variation: ['100', '50-50', null, '60-40'],
  gap: ['sm', null, 'xl'],
  rowGap: ['sm', null, 'xl'],
  stretchHeight: true
};
const ResponsiveSmall = exports.ResponsiveSmall = Template.bind({});
ResponsiveSmall.args = responsiveArgs;
ResponsiveSmall.parameters = {
  viewport: {
    defaultViewport: 'designSystem_sm'
  }
};
ResponsiveSmall.storyName = 'Responsive (sm)';
const ResponsiveLarge = exports.ResponsiveLarge = Template.bind({});
ResponsiveLarge.args = responsiveArgs;
ResponsiveLarge.parameters = {
  viewport: {
    defaultViewport: 'designSystem_lg'
  }
};
ResponsiveLarge.storyName = 'Responsive (lg)';
const OverlapTemplate = args => _react.default.createElement(_Flex.Flex, {
  width: '100%',
  color: 'primary.light'
}, _react.default.createElement(_Container.Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, _react.default.createElement(_Layout.Layout, {
  ...args
}, _react.default.createElement(_Relative.Relative, {
  color: 'secondary.base',
  zIndex: 1,
  height: '200px'
}, _react.default.createElement(_Absolute.Absolute, {
  height: 100,
  width: 200,
  color: 'notify',
  top: '30px',
  right: '-70px'
})), _react.default.createElement(LayoutDemoBox, {
  color: 'primary.base'
}))));
const Overlap = exports.Overlap = OverlapTemplate.bind({});
Overlap.args = {
  variation: '60-40',
  gap: 'sm',
  rowGap: 'sm'
};
const LotsOfBoxesTemplate = args => _react.default.createElement(_Flex.Flex, {
  width: '100%',
  color: 'primary.light'
}, _react.default.createElement(_Container.Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, _react.default.createElement(_Layout.Layout, {
  ...args
}, Array.from({
  length: 16
}).map((_, i) => _react.default.createElement(LayoutDemoBox, {
  key: i,
  color: 'primary.base'
})))));
const Quarters = exports.Quarters = LotsOfBoxesTemplate.bind({});
Quarters.args = {
  variation: '25-25-25-25',
  gap: 'sm',
  rowGap: 'sm'
};
Quarters.storyName = '25-25-25-25';
const Thirds = exports.Thirds = LotsOfBoxesTemplate.bind({});
Thirds.args = {
  variation: '33-33-33',
  gap: 'sm',
  rowGap: 'sm'
};
Thirds.storyName = '33-33-33';
const Halves = exports.Halves = LotsOfBoxesTemplate.bind({});
Halves.args = {
  variation: '50-50',
  gap: 'sm',
  rowGap: 'sm'
};
Halves.storyName = '50-50';
const Uneven = exports.Uneven = LotsOfBoxesTemplate.bind({});
Uneven.args = {
  variation: '60-40',
  gap: 'sm',
  rowGap: 'sm'
};
Uneven.storyName = '60-40';
const FullWidth = exports.FullWidth = LotsOfBoxesTemplate.bind({});
FullWidth.args = {
  variation: '100',
  gap: 'sm',
  rowGap: 'sm'
};