"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Link = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Button = require("../Button/Button");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const variations = {
  fill: (0, _styledComponents.css)(["&:hover{text-decoration:none;}", ""], _Button.buttonStyles),
  subtle: (0, _styledComponents.css)(["", " &:hover{text-decoration:none;background-color:", ";}"], _Button.buttonStyles, (0, _utils.getPaletteColor)('background.tint')),
  link: (0, _styledComponents.css)(["cursor:pointer;text-decoration:none;color:", ";&:hover{color:", ";text-decoration:underline;}"], (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('dark')),
  outline: (0, _styledComponents.css)(["&:hover{text-decoration:none;}", ""], _Button.buttonStyles),
  plain: (0, _styledComponents.css)(["", " &:hover{text-decoration:none;background-color:", ";}"], _Button.buttonStyles, (0, _utils.getPaletteColor)('background.base')),
  white: (0, _styledComponents.css)(["", " &:hover{text-decoration:none;background-color:", ";}"], _Button.buttonStyles, (0, _utils.getPaletteColor)('background.base')),
  lightFill: (0, _styledComponents.css)(["", " ", ""], _Button.buttonStyles, props => {
    return props.disabled ? `
        background-color: ${(0, _utils.getPaletteColor)('background.base')(props)};
        color: ${(0, _utils.getPaletteColor)('text.light')(props)};` : '';
  }),
  input: (0, _styledComponents.css)(["", " text-align:center;", ""], _Button.buttonStyles, props => {
    return props.disabled ? `
        background-color: ${(0, _utils.getPaletteColor)('background.base')(props)};
        color: ${(0, _utils.getPaletteColor)('text.light')(props)};` : '';
  })
};
/**
 * @public
 */
const Link = exports.Link = /*#__PURE__*/_styledComponents.default.a.attrs(({
  color,
  disabled,
  href,
  target,
  onClick,
  ...props
}) => ({
  color: disabled ? 'text.light' : color,
  disabled,
  href: !disabled ? href : undefined,
  rel: target === '_blank' ? 'noopener' : null,
  target,
  onClick: !disabled ? onClick : () => {},
  ...props
})).withConfig({
  displayName: "Link",
  componentId: "sc-1eidvea-0"
})(["", " ", " ", ""], (0, _utils.applyVariations)('Link', variations), props => props.disabled && `
    cursor: default;

    &:hover {
      text-decoration: none;
    }
  `, props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.width)(props));
Link.displayName = 'Link';
Link.defaultProps = {
  color: 'primary',
  variation: 'link',
  size: 'medium'
};