"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.variationOptions = exports.sizeOptions = exports.defaultArgs = exports.argTypes = void 0;
var _addonActions = require("@storybook/addon-actions");
var _colors = require("../__test__/mocks/colors");
const sizeOptions = exports.sizeOptions = ['small', 'medium', 'large', 'extraLarge'];
const variationOptions = exports.variationOptions = ['fill', 'link', 'outline', 'plain', 'subtle', 'white', 'lightFill', 'input'];
const defaultArgs = exports.defaultArgs = {
  children: 'Hello There',
  color: 'primary',
  disabled: false,
  href: 'https://www.priceline.com/',
  size: 'medium',
  target: '_blank',
  variation: 'link',
  onClick: (0, _addonActions.action)('Clicked Link')
};
const argTypes = exports.argTypes = {
  color: {
    name: 'color',
    options: Object.keys(_colors.colors),
    mapping: _colors.colors,
    control: 'select'
  },
  size: {
    name: 'size',
    options: sizeOptions,
    control: 'select'
  },
  target: {
    name: 'target',
    options: ['_blank', '_self'],
    control: 'radio'
  },
  variation: {
    name: 'variation',
    options: variationOptions,
    control: 'select'
  }
};