"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ForwardRefs = ForwardRefs;
exports.ReactiveStyling = exports.Playground = exports.LargeText = void 0;
exports.Sizes = Sizes;
exports.Variations = Variations;
exports.default = exports._Link = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Container = require("../Container/Container");
var _Grid = require("../Grid/Grid");
var _Link2 = require("../Link/Link");
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _utils = require("../utils/utils");
var _LinkStories = require("./Link.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Link',
  component: _Link2.Link,
  args: _LinkStories.defaultArgs,
  argTypes: _LinkStories.argTypes
};
const Template = args => _react.default.createElement(_Link2.Link, {
  ...args
});
const _Link = exports._Link = Template.bind({});
const Playground = exports.Playground = {
  render: args => _react.default.createElement(_Button.Button, {
    ...args
  }, "Button"),
  argTypes: {
    color: {
      control: 'select',
      options: _args.colors,
      defaultValue: _Button.Button.defaultProps.color
    },
    size: {
      control: 'select',
      options: _LinkStories.sizeOptions,
      defaultValue: _Button.Button.defaultProps.size
    },
    disabled: {
      defaultValue: false,
      type: 'boolean'
    }
  }
};
function Variations(args) {
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, {
    textStyle: 'heading3',
    mb: 2
  }, "Link Variations"), _react.default.createElement(_Grid.Grid, {
    gap: 4,
    templateColumns: ['1fr'],
    background: 'primary'
  }, _LinkStories.variationOptions.map(variation => _react.default.createElement(_Link2.Link, {
    ...args,
    key: variation,
    variation: variation,
    m: 1
  }, variation, " link"))));
}
function Sizes(args) {
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, {
    textStyle: 'heading3',
    mb: 2
  }, "Link Sizes"), _react.default.createElement(_Container.Container, null, _LinkStories.sizeOptions.map(size => _react.default.createElement(_Link2.Link, {
    ...args,
    key: size,
    size: size,
    variation: 'fill',
    m: 3
  }, size))));
}
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.innerHTML = 'Bacon!';
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Link2.Link, {
      color: 'text.dark',
      ref: dsRef
    }, "I am a link!"), _react.default.createElement("br", null), _react.default.createElement(_Button.Button, {
      color: 'error',
      onClick: onClick,
      mt: 4
    }, "Click to update link text via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}
const LargeText = () => _react.default.createElement(_Link2.Link, {
  color: 'text.light'
}, _react.default.createElement(_Text.Text, {
  textStyle: 'heading2'
}, "I am a link with text styles"));
exports.LargeText = LargeText;
const ReactiveLink = /*#__PURE__*/(0, _styledComponents.default)(_Link2.Link).withConfig({
  displayName: "Linkstories__ReactiveLink",
  componentId: "sc-tqkbvh-0"
})(["", ";"], props => (0, _utils.getLinkStylesOn)(props.backgroundColor, props.linkLightColor, props.linkDarkColor, props.isLinkBold)(props));
const ReactiveLinkTemplate = args => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, {
  mb: 2
}, "Uses the ", _react.default.createElement("code", null, "getLinkStylesOn"), " utility"), _react.default.createElement(_Box.Box, {
  color: args.backgroundColor,
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveLink, {
  ...args
}, args.children)), _react.default.createElement(_Box.Box, {
  color: 'background.lightest',
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveLink, {
  ...args,
  backgroundColor: 'background.lightest'
}, args.children)), _react.default.createElement(_Box.Box, {
  color: 'highlight.tone',
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveLink, {
  ...args,
  backgroundColor: 'highlight.tone'
}, args.children)), _react.default.createElement(_Box.Box, {
  color: 'background.darkest',
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveLink, {
  ...args,
  backgroundColor: 'background.darkest'
}, args.children)));
const ReactiveStyling = exports.ReactiveStyling = ReactiveLinkTemplate.bind({});
ReactiveStyling.args = {
  backgroundColor: 'primary.base',
  linkLightColor: 'text.lightest',
  linkDarkColor: 'text.base',
  isLinkBold: false
};