"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.tabSpacingSize = exports.listStyles = exports.List = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const tabSpacingSize = exports.tabSpacingSize = {
  xsm: '16px',
  sm: '24px',
  md: '32px',
  lg: '40px',
  xl: '48px'
};
/**
 * @public
 */
const listStyles = exports.listStyles = ['disc', 'upper-roman', 'lower-roman', 'upper-alpha', 'lower-alpha', 'decimal', 'square', 'circle'];
const BaseCSS = /*#__PURE__*/(0, _styledComponents.css)(["margin:", " 0;color:", ";& > li{margin:", " 0;}", " padding:0;list-style-type:", ";margin-left:", ";"], (0, _themeGet.default)('space.1'), (0, _utils.getPaletteColor)('base'), (0, _themeGet.default)('space.1'), props => (0, _styledSystem.compose)(_styledSystem.fontSize, _styledSystem.space, _styledSystem.width)(props), props => props.listStyle ? listStyles.includes(props.listStyle) ? props.listStyle : 'auto' : '', props => tabSpacingSize[props.indentSize ? props.indentSize : 'lg']);
const Ordered = /*#__PURE__*/(0, _styledComponents.default)('ol').withConfig({
  displayName: "List__Ordered",
  componentId: "sc-684k1l-0"
})(["& > li > *{margin-left:", ";}", ";"], (0, _themeGet.default)('space.2'), BaseCSS);
const Unordered = /*#__PURE__*/(0, _styledComponents.default)('ul').withConfig({
  displayName: "List__Unordered",
  componentId: "sc-684k1l-1"
})(["", ";"], BaseCSS);
/**
 * @public
 */
const List = exports.List = Unordered;
List.ol = Ordered;
List.ol.displayName = 'OrderedList';
List.ul = Unordered;
List.ul.displayName = 'UnorderedList';