"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._List = exports.UnorderedList = exports.StructuredRomanList = exports.StructuredDecimalList = exports.StructuredBulletList = exports.OrderedList = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = require("../Text/Text");
var _List2 = require("./List");
var _ListStories = require("./List.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'List',
  component: _List2.List,
  args: _ListStories.defaultArgs,
  argTypes: _ListStories.argTypes
};
const BasicTemplate = args => {
  const ListType = args.type === 'ol' ? _List2.List.ol : _List2.List.ul;
  return _react.default.createElement(ListType, {
    ...args
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")));
};
const StructuredRomanTemplate = args => {
  const ListType = args.type === 'ol' ? _List2.List.ol : _List2.List.ul;
  return _react.default.createElement("div", {
    style: {
      border: '1px solid lightgray'
    }
  }, _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'upper-roman'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'upper-alpha'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'decimal'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'lower-alpha'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'decimal'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")))))), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text"))));
};
const StructuredDecimalTemplate = args => {
  const ListType = args.type === 'ol' ? _List2.List.ol : _List2.List.ul;
  return _react.default.createElement("div", {
    style: {
      border: '1px solid lightgray'
    }
  }, _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'decimal'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'lower-alpha'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'lower-roman'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'decimal'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'lower-alpha'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")))))), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text"))));
};
const StructuredBulletTemplate = args => {
  const ListType = args.type === 'ol' ? _List2.List.ol : _List2.List.ul;
  return _react.default.createElement("div", {
    style: {
      border: '1px solid lightgray'
    }
  }, _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'disc'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'circle'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'square'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'disc'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")), _react.default.createElement(ListType, {
    ...args,
    ...{
      listStyle: 'circle'
    }
  }, _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text")))))), _react.default.createElement("li", null, _react.default.createElement(_Text.Text, null, "An example line of text"))));
};
const _List = exports._List = BasicTemplate.bind({});
const OrderedList = exports.OrderedList = BasicTemplate.bind({});
OrderedList.args = {
  color: 'text.light',
  fontSize: 1
};
const UnorderedList = exports.UnorderedList = BasicTemplate.bind({});
UnorderedList.args = {
  color: 'primary.dark',
  fontSize: 1,
  type: 'ul'
};
const StructuredRomanList = exports.StructuredRomanList = StructuredRomanTemplate.bind({});
StructuredRomanList.args = {
  color: 'text.light',
  fontSize: 1
};
const StructuredDecimalList = exports.StructuredDecimalList = StructuredDecimalTemplate.bind({});
StructuredDecimalList.args = {
  color: 'text.light',
  fontSize: 1
};
const StructuredBulletList = exports.StructuredBulletList = StructuredBulletTemplate.bind({});
StructuredBulletList.args = {
  color: 'text.light',
  fontSize: 1,
  type: 'ul'
};