"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Motion = Motion;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _helpers = require("./helpers");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Wrapper = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Motion__Wrapper",
  componentId: "sc-tewh1n-0"
})(["", ""], _helpers.getAnimationCss);
/**
 * @public
 */
function Motion({
  children,
  isAnimatedState,
  variation
}) {
  return _react.default.createElement(Wrapper, {
    isAnimatedState: isAnimatedState,
    variation: variation,
    "data-testid": 'motion-wrapper'
  }, children);
}
Motion.defaultProps = {
  variation: 'growCenter'
};