"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _Motion = require("./Motion");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Motion', () => {
  test('isAnimatedState = null (default)', () => {
    const {
      getByTestId,
      getByText
    } = (0, _testingLibrary.render)(_react.default.createElement(_Motion.Motion, {
      isAnimatedState: null,
      variation: 'GROW_CENTER'
    }, "Child Text"));
    //Child elements should render
    getByText('Child Text');
    //Wrapper Styling should be in the rest state
    const wrapper = getByTestId('motion-wrapper');
    expect(wrapper).toHaveStyleRule('visibility', 'hidden');
    expect(wrapper).toHaveStyleRule('animation', undefined);
  });
  test('isAnimatedState = false', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Motion.Motion, {
      isAnimatedState: false,
      variation: 'GROW_CENTER'
    }));
    const wrapper = getByTestId('motion-wrapper');
    expect(wrapper).toHaveStyleRule('animation', expect.stringContaining('150ms cubic-bezier(0.5,0,1,1) forwards'));
  });
  test('isAnimatedState = true', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Motion.Motion, {
      isAnimatedState: true,
      variation: 'GROW_CENTER'
    }));
    const wrapper = getByTestId('motion-wrapper');
    expect(wrapper).toHaveStyleRule('animation', expect.stringContaining('300ms cubic-bezier(0,0,0.25,1) forwards'));
  });
});