"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.QuickGrow = exports.GrowCenter = exports.GrowBottomAndRight = exports.GrowBottom = exports.ExpandUp = exports.ExpandDown = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Absolute = require("../Absolute/Absolute");
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Relative = require("../Relative/Relative");
var _Text = require("../Text/Text");
var _Motion = require("./Motion");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const description = 'Motion';
const RoundedAbsolute = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Motionstories__RoundedAbsolute",
  componentId: "sc-rgf91h-0"
})(["border-radius:20px;"]);
const FixedBottom = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Motionstories__FixedBottom",
  componentId: "sc-rgf91h-1"
})(["position:fixed;bottom:0;"]);
var _default = exports.default = {
  title: 'Motion',
  component: _Motion.Motion,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
const GrowCenter = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '150px'
  }, _react.default.createElement(_Text.Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_CENTER'
  }, _react.default.createElement(RoundedAbsolute, {
    top: -40,
    bottom: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
exports.GrowCenter = GrowCenter;
const QuickGrow = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '150px'
  }, _react.default.createElement(_Text.Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'QUICK_GROW'
  }, _react.default.createElement(RoundedAbsolute, {
    m: 0,
    top: 0,
    right: 'auto',
    left: 'calc(100% - 6px)',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
exports.QuickGrow = QuickGrow;
const ExpandDown = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, _react.default.createElement(_Text.Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'EXPAND_DOWN'
  }, _react.default.createElement(RoundedAbsolute, {
    top: 8,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
exports.ExpandDown = ExpandDown;
const ExpandUp = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, _react.default.createElement(_Text.Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), _react.default.createElement(FixedBottom, null, _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'EXPAND_DOWN'
  }, _react.default.createElement(RoundedAbsolute, {
    height: 'calc(100vh - 100px)',
    bottom: -20,
    width: '400px',
    left: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest'
  }))));
};
exports.ExpandUp = ExpandUp;
const GrowBottom = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_Y'
  }, _react.default.createElement(RoundedAbsolute, {
    onClick: toggleVisible,
    top: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
exports.GrowBottom = GrowBottom;
const GrowBottomAndRight = () => {
  const [isVisible, setIsVisible] = (0, _react.useState)(null);
  const [isVisibleb, setIsVisibleb] = (0, _react.useState)(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  function toggleVisibleb() {
    setIsVisibleb(!isVisibleb);
  }
  return _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '320px',
    mt: '50px'
  }, _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_XY'
  }, _react.default.createElement(RoundedAbsolute, {
    onClick: toggleVisible,
    top: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  }))), _react.default.createElement(_Relative.Relative, {
    bg: 'primary',
    color: 'white',
    width: '320px',
    mt: '50px'
  }, _react.default.createElement(_Motion.Motion, {
    isAnimatedState: isVisibleb,
    variation: 'GROW_XY'
  }, _react.default.createElement(RoundedAbsolute, {
    onClick: toggleVisibleb,
    top: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  }))));
};
exports.GrowBottomAndRight = GrowBottomAndRight;