"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAnimationCss = void 0;
var _styledComponents = require("styled-components");
var _constants = require("./constants");
const getKeys = ({
  start,
  end
}) => (0, _styledComponents.keyframes)(["0%{", "}100%{", "}"], start, end);
const getKeyFrames = ({
  isAnimatedState,
  variation
}) => getKeys(_constants.KEY_FRAMES[variation][_constants.ACTION_KEY[isAnimatedState]]);
const getDuration = ({
  isAnimatedState,
  variation
}) => _constants.VARIATION_DURATION[variation]?.[_constants.ACTION_KEY[isAnimatedState]] || _constants.DURATION[_constants.ACTION_KEY[isAnimatedState]];
const getEasing = ({
  isAnimatedState,
  variation
}) => _constants.VARIATION_EASING[variation]?.[_constants.ACTION_KEY[isAnimatedState]] || _constants.EASING[_constants.ACTION_KEY[isAnimatedState]];
const getDefaultCss = variation => (0, _styledComponents.css)(["", ""], _constants.KEY_FRAMES[variation][_constants.ACTION_KEY.false].end);
const getAnimation = ({
  isAnimatedState,
  variation
}) => (0, _styledComponents.css)(["animation:", " ", " ", " forwards;"], getKeyFrames({
  isAnimatedState,
  variation
}), getDuration({
  isAnimatedState,
  variation
}), getEasing({
  isAnimatedState,
  variation
}));
const getAnimationCss = ({
  isAnimatedState,
  variation
}) => isAnimatedState === null ? getDefaultCss(variation) : getAnimation({
  isAnimatedState,
  variation
});
exports.getAnimationCss = getAnimationCss;