"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithTitle = exports.WithProgressBar = exports.WithCustomRegex = exports.UpdatePasswordForm = exports.Basic = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Text = require("../Text/Text");
var _PasswordInput = require("./PasswordInput");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'PasswordInput',
  component: _PasswordInput.PasswordInput
};
const customRegexChecks = [{
  label: '1 Uppercase Letter',
  regex: /(?=.*[A-Z])/
}, {
  label: '1 Lowercase Letter',
  regex: /(?=.*[a-z])/
}];
const Basic = () => _react.default.createElement(_PasswordInput.PasswordInput, null);
exports.Basic = Basic;
const WithTitle = () => _react.default.createElement(_PasswordInput.PasswordInput, {
  label: 'New Password'
});
exports.WithTitle = WithTitle;
const WithProgressBar = () => _react.default.createElement(_PasswordInput.PasswordInput, {
  label: 'New Password',
  hasProgressBar: true
});
exports.WithProgressBar = WithProgressBar;
const WithCustomRegex = () => _react.default.createElement(_PasswordInput.PasswordInput, {
  label: 'New Password',
  hasProgressBar: true,
  regexChecks: customRegexChecks
});
exports.WithCustomRegex = WithCustomRegex;
const UpdatePasswordForm = () => {
  const [currentPassword, setCurrentPassword] = (0, _react.useState)('');
  const [newPassword, setNewPassword] = (0, _react.useState)('');
  const [confirmPassword, setConfirmPassword] = (0, _react.useState)('');
  const [isNewPasswordValid, setNewPasswordValid] = (0, _react.useState)(false);
  function onCurrentPasswordChange({
    value
  }) {
    return setCurrentPassword(value);
  }
  function onConfirmPasswordChange({
    value
  }) {
    return setConfirmPassword(value);
  }
  function onNewPasswordChange({
    isValid,
    value
  }) {
    setNewPassword(value);
    setNewPasswordValid(isValid);
  }
  const currentPasswordMatches = !!currentPassword && currentPassword === newPassword;
  const newPasswordsMatch = newPassword === confirmPassword && isNewPasswordValid;
  const isSaveEnabled = !currentPasswordMatches && newPasswordsMatch;
  const onClick = (0, _addonActions.action)('Password changed');
  return _react.default.createElement(_Box.Box, {
    width: [1, null, 500]
  }, _react.default.createElement(_PasswordInput.PasswordInput, {
    label: 'Current Password',
    onChange: onCurrentPasswordChange,
    mb: 3
  }), _react.default.createElement(_PasswordInput.PasswordInput, {
    label: 'New Password',
    hasProgressBar: true,
    onChange: onNewPasswordChange,
    mb: 3
  }), _react.default.createElement(_PasswordInput.PasswordInput, {
    isValid: newPasswordsMatch,
    label: 'Confirm Password',
    onChange: onConfirmPasswordChange
  }), _react.default.createElement(_Button.Button, {
    disabled: !isSaveEnabled,
    onClick: onClick,
    mt: 3
  }, "Save"), currentPasswordMatches && _react.default.createElement(_Text.Text, {
    color: 'error',
    fontSize: 0,
    mt: 2
  }, "New Password must be different from your current password"));
};
exports.UpdatePasswordForm = UpdatePasswordForm;