"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PlaceholderImage = PlaceholderImage;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Image = require("../Image/Image");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const RandomImage = /*#__PURE__*/(0, _styledComponents.default)(_Image.Image).withConfig({
  displayName: "PlaceholderImage__RandomImage",
  componentId: "sc-1yneblr-0"
})(["height:", "px;width:", "px;"], props => props.height, props => props.width);
const determineSRC = (blur, chooseSrc, height, width) => {
  const imageURLs = [`http://placeimg.com/${width}/${height}/any`, `http://placekitten.com/${width}/${height}`, `https://picsum.photos/${width}/${height}`, `https://source.unsplash.com/${width}x${height}`, `https://www.fillmurray.com/${width}/${height}`];
  if (blur || chooseSrc) {
    return blur ? `https://picsum.photos/${width}/${height}?blur` : imageURLs[chooseSrc];
  }
  const randomNum = Math.floor(Math.random() * imageURLs.length);
  return imageURLs[randomNum];
};
/**
 * @public
 */
function PlaceholderImage(props) {
  const {
    alt,
    ariaHidden,
    blur,
    chooseSrc,
    className,
    height,
    width
  } = props;
  return _react.default.createElement(RandomImage, {
    alt: alt || 'Random image used for placeholder content',
    "aria-hidden": ariaHidden,
    blur: blur,
    className: className,
    height: height,
    src: determineSRC(blur, chooseSrc, height, width),
    width: width
  });
}
PlaceholderImage.displayName = 'PlaceholderImage';
PlaceholderImage.defaultProps = {
  ariaHidden: true,
  blur: false,
  height: '500',
  width: '500'
};