"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TabFocusing = exports.IconPopout = exports.FormFieldExample = exports.Basic = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Flex = require("../Flex/Flex");
var _FormField = require("../FormField/FormField");
var _Input = require("../Input/Input");
var _Label = require("../Label/Label");
var _Popout = require("../Popout/Popout");
var _Text = require("../Text/Text");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  component: _Popout.Popout
};
const states = ['Alabama', 'Alaska', 'Arizona', 'Arkansas', 'California', 'Colorado', 'Connecticut', 'Delaware', 'Florida', 'Georgia', 'Hawaii', 'Idaho', 'Illinois', 'Indiana', 'Iowa', 'Kansas', 'Kentucky', 'Louisiana', 'Maine', 'Maryland', 'Massachusetts', 'Michigan', 'Minnesota', 'Mississippi', 'Missouri', 'Montana', 'Nebraska', 'Nevada', 'New Hampshire', 'New Jersey', 'New Mexico', 'New York', 'North Carolina', 'North Dakota', 'Ohio', 'Oklahoma', 'Oregon', 'Pennsylvania', 'Rhode Island', 'South Carolina', 'South Dakota', 'Tennessee', 'Texas', 'Utah', 'Vermont', 'Virginia', 'Washington', 'West Virginia', 'Wisconsin', 'Wyoming'];
const PclnSearchItem = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Popoutstories__PclnSearchItem",
  componentId: "sc-ftboyw-0"
})(["cursor:pointer;white-space:nowrap;&:hover,&:focus{background-color:", ";color:white;}"], (0, _utils.getPaletteColor)('primary.base'));
const Wrapper = ({
  children
}) => _react.default.createElement(_Box.Box, {
  m: 5
}, children);
const Basic = () => {
  const triggerRef = (0, _react.useRef)(null);
  const [value, setValue] = (0, _react.useState)('');
  const trigger = _react.default.createElement("input", {
    "aria-label": 'x',
    ref: triggerRef,
    value: value,
    onChange: e => setValue(e.target.value)
  });
  const content = value && _react.default.createElement("h1", null, value);
  return _react.default.createElement(Wrapper, null, _react.default.createElement(_Popout.Popout, {
    trigger: trigger,
    triggerRef: triggerRef,
    content: content
  }));
};
exports.Basic = Basic;
const IconPopout = () => {
  const triggerRef = (0, _react.useRef)(null);
  const trigger = _react.default.createElement(_Box.Box, {
    width: 'fit-content',
    ref: triggerRef
  }, _react.default.createElement(_pclnIcons.Information, {
    color: 'primary',
    style: {
      cursor: 'pointer'
    }
  }));
  const content = _react.default.createElement("h1", null, "This is some important information");
  return _react.default.createElement(Wrapper, null, _react.default.createElement(_Popout.Popout, {
    trigger: trigger,
    triggerRef: triggerRef,
    content: content,
    closeOnTriggerRefClick: true
  }));
};
exports.IconPopout = IconPopout;
const FormFieldExample = () => {
  const triggerRef = (0, _react.useRef)(null);
  const [search, setSearch] = (0, _react.useState)('');
  const [results, setResults] = (0, _react.useState)([]);
  (0, _react.useEffect)(() => {
    setResults(search ? states.filter(x => x.toLowerCase().startsWith(search.toLowerCase())) : []);
  }, [search]);
  const trigger = _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, {
    autoHide: true,
    htmlFor: 'pclnInput'
  }, "Where To?"), _react.default.createElement(_pclnIcons.Search, {
    color: 'primary',
    size: 24
  }), _react.default.createElement(_Input.Input, {
    id: 'pclnInput',
    name: 'pclnInput',
    value: search,
    placeholder: 'Where to?',
    onChange: e => setSearch(e.target.value),
    ref: triggerRef
  }));
  const content = results.length > 0 && _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column',
    mt: 2,
    style: {
      maxHeight: 300,
      overflow: 'auto',
      gap: 8
    }
  }, results.map(x => _react.default.createElement(PclnSearchItem, {
    tabIndex: 0,
    alignItems: 'center',
    borderRadius: 'xl',
    key: x,
    p: 2,
    onClick: () => setSearch(x)
  }, _react.default.createElement(_pclnIcons.Pin, {
    size: 24,
    mr: 2
  }), _react.default.createElement(_Text.Text, null, x))));
  return _react.default.createElement(Wrapper, null, _react.default.createElement(_Popout.Popout, {
    trigger: trigger,
    triggerRef: triggerRef,
    content: content
  }));
};
exports.FormFieldExample = FormFieldExample;
const TabFocusing = () => {
  const arr = Array(3).fill('');
  const [value, setValue] = (0, _react.useState)('');
  const triggerRefs = arr.map(_ => (0, _react.useRef)(null));
  const content = value && _react.default.createElement("h1", null, value);
  const Popouts = arr.map((_, i) => _react.default.createElement(_Popout.Popout, {
    key: i,
    trigger: _react.default.createElement("input", {
      ref: triggerRefs[i],
      "aria-label": 'x',
      value: value,
      onChange: e => setValue(e.target.value)
    }),
    content: content,
    triggerRef: triggerRefs[i]
  }));
  return _react.default.createElement(Wrapper, null, _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column',
    width: 'fit-content',
    style: {
      gap: 16
    }
  }, _react.default.createElement(_Button.Button, null, "This is just to trap focus"), Popouts, _react.default.createElement(_Button.Button, null, "This is just to trap focus")));
};
exports.TabFocusing = TabFocusing;