"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ProgressBar = ProgressBar;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CustomBox = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "ProgressBar__CustomBox",
  componentId: "sc-kr93mt-0"
})(["border-radius:2px;"]);
const defaultStepColor = 'background.light';
/**
 * @public
 */
function ProgressBar({
  steps,
  currentStep,
  stepHeight,
  className
}) {
  return _react.default.createElement(_Flex.Flex, {
    className: className
  }, steps.map((step, index) => {
    const stepColor = index < currentStep ? steps[currentStep - 1].color : defaultStepColor;
    return _react.default.createElement(CustomBox, {
      key: index,
      color: stepColor,
      height: stepHeight,
      width: 1,
      mr: 1,
      "data-testid": 'test-id-' + index
    });
  }));
}
ProgressBar.defaultProps = {
  stepHeight: '4px'
};