"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _ProgressBar = require("./ProgressBar");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const testProps = [{
  color: 'warning'
}, {
  color: 'caution'
}, {
  color: 'primary'
}, {
  color: 'success'
}];
describe('ProgressBar', () => {
  it('Default progress bar (no colors)', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ProgressBar.ProgressBar, {
      steps: testProps,
      currentStep: 0
    }));
    const firstBar = _testingLibrary.screen.getByTestId('test-id-0');
    const secondBar = _testingLibrary.screen.getByTestId('test-id-1');
    const thirdBar = _testingLibrary.screen.getByTestId('test-id-2');
    const fourthBar = _testingLibrary.screen.getByTestId('test-id-3');
    expect(firstBar).toHaveStyleRule('background-color', '#f4f6f8');
    expect(secondBar).toHaveStyleRule('background-color', '#f4f6f8');
    expect(thirdBar).toHaveStyleRule('background-color', '#f4f6f8');
    expect(fourthBar).toHaveStyleRule('background-color', '#f4f6f8');
  });
  it('Basic progress bar with step level 3', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ProgressBar.ProgressBar, {
      steps: testProps,
      currentStep: 3
    }));
    const firstBar = _testingLibrary.screen.getByTestId('test-id-0');
    const secondBar = _testingLibrary.screen.getByTestId('test-id-1');
    const thirdBar = _testingLibrary.screen.getByTestId('test-id-2');
    const fourthBar = _testingLibrary.screen.getByTestId('test-id-3');
    expect(firstBar).toHaveStyleRule('background-color', '#0068ef');
    expect(secondBar).toHaveStyleRule('background-color', '#0068ef');
    expect(thirdBar).toHaveStyleRule('background-color', '#0068ef');
    expect(fourthBar).toHaveStyleRule('background-color', '#f4f6f8');
  });
  it('Basic progress bar with step level 4', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ProgressBar.ProgressBar, {
      steps: testProps,
      currentStep: 4
    }));
    const firstBar = _testingLibrary.screen.getByTestId('test-id-0');
    const secondBar = _testingLibrary.screen.getByTestId('test-id-1');
    const thirdBar = _testingLibrary.screen.getByTestId('test-id-2');
    const fourthBar = _testingLibrary.screen.getByTestId('test-id-3');
    expect(firstBar).toHaveStyleRule('background-color', '#0a0');
    expect(secondBar).toHaveStyleRule('background-color', '#0a0');
    expect(thirdBar).toHaveStyleRule('background-color', '#0a0');
    expect(fourthBar).toHaveStyleRule('background-color', '#0a0');
  });
});