"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Thick = exports.Short = exports.EmptyProgressBar = exports.BasicProgressBar = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _ProgressBar = require("./ProgressBar");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'ProgressBar',
  component: _ProgressBar.ProgressBar
};
const steps = [{
  color: 'warning'
}, {
  color: 'caution'
}, {
  color: 'primary'
}, {
  color: 'success'
}];
const EmptyProgressBar = () => _react.default.createElement(_ProgressBar.ProgressBar, {
  steps: steps,
  currentStep: 0
});
exports.EmptyProgressBar = EmptyProgressBar;
const BasicProgressBar = () => _react.default.createElement(_ProgressBar.ProgressBar, {
  steps: steps,
  currentStep: 3
});
exports.BasicProgressBar = BasicProgressBar;
const Thick = () => _react.default.createElement(_ProgressBar.ProgressBar, {
  steps: steps,
  currentStep: 1,
  stepHeight: '10px'
});
exports.Thick = Thick;
const Short = () => _react.default.createElement(_Box.Box, {
  width: '300px'
}, _react.default.createElement(_ProgressBar.ProgressBar, {
  steps: steps,
  currentStep: 4
}));
exports.Short = Short;