"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FontWeight = exports.Colors = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports._MockForm = exports._3States = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../Button/Button");
var _Label = require("../Label/Label");
var _Radio = require("../Radio/Radio");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _theme = require("../theme/theme");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const bold = props => props.bold ? {
  fontWeight: props.theme.fontWeights.bold
} : null;
const medium = props => props.medium ? {
  fontWeight: props.theme.fontWeights.medium
} : null;
const LabelText = /*#__PURE__*/_styledComponents.default.span.withConfig({
  displayName: "Radiostories__LabelText",
  componentId: "sc-1kz1aqd-0"
})(["vertical-align:middle;margin-left:8px;", " ", ""], bold, medium);
const RadioLabelDisabled = /*#__PURE__*/(0, _styledComponents.default)(_Label.Label).withConfig({
  displayName: "Radiostories__RadioLabelDisabled",
  componentId: "sc-1kz1aqd-1"
})(["cursor:not-allowed;color:", ";"], (0, _utils.getPaletteColor)('border.base'));
const RadioLabel = /*#__PURE__*/(0, _styledComponents.default)(_Label.Label).withConfig({
  displayName: "Radiostories__RadioLabel",
  componentId: "sc-1kz1aqd-2"
})(["cursor:pointer;color:", ";&:hover{div[data-name='unchecked']{color:", ";}div[data-name='checked']{> svg{color:", ";}}}"], (0, _utils.getPaletteColor)('text.light'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('primary.dark'));
// @ts-ignore
class MockForm extends _react.default.Component {
  setState;
  state;
  constructor(props) {
    super(props);
    this.state = {
      selection: 1,
      options: [0, 1, 2, 3],
      disabled: false
    };
  }
  updateSelection = event => {
    this.setState({
      selection: Number(event.target.value)
    });
  };
  toggleDisabled = () => {
    this.setState(prevState => ({
      disabled: !prevState.disabled
    }));
  };
  render() {
    const {
      disabled,
      selection,
      options
    } = this.state;
    return _react.default.createElement("div", null, _react.default.createElement("div", {
      onChange: this.updateSelection
    }, options.map((item, idx) => _react.default.createElement(_Label.Label, {
      fontSize: '14px',
      key: idx
    }, _react.default.createElement(_Radio.Radio, {
      checked: item === selection,
      name: 'mySelection',
      value: item,
      disabled: disabled
    }), _react.default.createElement(LabelText, null, item)))), _react.default.createElement(_Button.Button, {
      mt: 3,
      onClick: this.toggleDisabled
    }, "Toggle disabled state"));
  }
}
var _default = exports.default = {
  title: 'Radio',
  component: _Radio.Radio
};
const _3States = () => _react.default.createElement("div", {
  onChange: (0, _addonActions.action)('changed')
}, _react.default.createElement(RadioLabel, {
  fontSize: '14px'
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), _react.default.createElement(LabelText, null, "selected")), _react.default.createElement(RadioLabel, {
  fontSize: '14px'
}, _react.default.createElement(_Radio.Radio, null), _react.default.createElement(LabelText, null, "not selected")), _react.default.createElement(RadioLabelDisabled, {
  fontSize: '14px'
}, _react.default.createElement(_Radio.Radio, {
  disabled: true
}), _react.default.createElement(LabelText, null, "disabled")));
// @ts-ignore
exports._3States = _3States;
const _MockForm = () => _react.default.createElement(MockForm, null);
exports._MockForm = _MockForm;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(RadioLabel, {
      fontSize: '14px'
    }, _react.default.createElement(_Radio.Radio, {
      checked: true
    }), _react.default.createElement(LabelText, null, "selected")), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus radio via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}
const FontWeight = () => _react.default.createElement("div", {
  onChange: (0, _addonActions.action)('changed')
}, _react.default.createElement(RadioLabel, {
  fontSize: '14px'
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), _react.default.createElement(LabelText, {
  bold: true
}, "font weight - bold")), _react.default.createElement(RadioLabel, {
  fontSize: '14px'
}, _react.default.createElement(_Radio.Radio, {
  checked: true
}), _react.default.createElement(LabelText, {
  medium: true
}, "font weight - medium")));
exports.FontWeight = FontWeight;
const Colors = () => _react.default.createElement(_react.default.Fragment, null, _theme.paletteFamilyNames.map(color => _react.default.createElement(RadioLabel, {
  fontSize: '14px',
  key: color
}, _react.default.createElement(_Radio.Radio, {
  checked: true,
  color: color
}), _react.default.createElement(LabelText, null, color))));
exports.Colors = Colors;