"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Toggle = exports.Radio = exports.Checkbox = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Section = require("../DocsUtils/Section/Section");
var _Flex = require("../Flex/Flex");
var _Image = require("../Image/Image");
var _Input = require("../Input/Input");
var _Text = require("../Text/Text");
var _ThemeProvider = require("../ThemeProvider/ThemeProvider");
var _theme = require("../theme/theme");
var _utils = require("../utils/utils");
var _RadioCheckToggleCard = require("./RadioCheckToggleCard");
var _RadioCheckToggleCardStories = require("./RadioCheckToggleCard.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const dumpText = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec eros neque, sodales eu urna at, porta rutrum metus. Aliquam aliquam dolor erat, in convallis ipsum volutpat quis.';
const exampleImage = () => _react.default.createElement(_Image.Image, {
  borderRadius: 'lg',
  src: 'https://s1.pclncdn.com/design-assets/hero/beach.jpg'
});
const exampleInput = ({
  disabled
}) => _react.default.createElement(_Box.Box, {
  width: '100%',
  mt: 2,
  bg: 'background.lightest'
}, _react.default.createElement(_Input.Input, {
  borderRadius: 'lg',
  style: {
    background: _theme.theme.colors.lightestBackground
  },
  placeholder: 'Placeholder',
  disabled: disabled
}));
const divider = () => _react.default.createElement(_Box.Box, {
  width: '100%',
  my: 4,
  style: {
    border: '1px solid #e0e5ea'
  }
});
const EnabledStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__EnabledStateCard",
  componentId: "sc-2mal6o-0"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:transparent !important;& div.cardIcon > svg{color:", " !important;border-color:transparent !important;box-shadow:none !important;}}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('text.light'));
const HoverStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__HoverStateCard",
  componentId: "sc-2mal6o-1"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:", " !important;& div.cardIcon > svg{color:", " !important;border-color:transparent !important;box-shadow:none !important;}}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('primary.base'));
const FocusStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__FocusStateCard",
  componentId: "sc-2mal6o-2"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:transparent !important;& div.cardIcon > svg{color:", " !important;border-color:", " !important;box-shadow:inset 0 0 0 5px ", " !important;}}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('text.light'), (0, _utils.getPaletteColor)('text.light'), (0, _utils.getPaletteColor)('background.light'));
const SelectedStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__SelectedStateCard",
  componentId: "sc-2mal6o-3"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:", " !important;& div.cardIcon > svg{color:", " !important;border-color:transparent !important;box-shadow:none !important;}}"], (0, _utils.getPaletteColor)('primary.light'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('primary.base'));
const SelectedHoverStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__SelectedHoverStateCard",
  componentId: "sc-2mal6o-4"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:", " !important;& div.cardIcon > svg{color:", " !important;border-color:transparent !important;box-shadow:none !important;}}"], (0, _utils.getPaletteColor)('primary.light'), (0, _utils.getPaletteColor)('primary.dark'), (0, _utils.getPaletteColor)('primary.dark'));
const SelectedFocusStateCard = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "RadioCheckToggleCardstories__SelectedFocusStateCard",
  componentId: "sc-2mal6o-5"
})(["flex:1 1 30%;& > label > div{background-color:", " !important;border-color:", " !important;& div.cardIcon > svg{color:", " !important;border-color:", " !important;box-shadow:none !important;}}"], (0, _utils.getPaletteColor)('primary.light'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('primary.base'));
const DefaultDocPage = () => {
  const [examples, setExamples] = (0, _react.useState)({
    ['types-label']: [],
    ['formatting-position']: 'example-1',
    ['formatting-label-with-children']: ['example-1'],
    ['formatting-full-width-children']: ['example-1'],
    ['additional-actions-buttons']: 'example-1',
    ['additional-actions-forms-1']: 'example-1',
    ['additional-actions-forms-2']: 'example-1'
  });
  const data = {
    cardType: 'radio',
    name: 'formatting-position',
    options: [{
      hPosition: 'left',
      vPosition: 'top',
      title: dumpText,
      value: 'example-1'
    }, {
      hPosition: 'right',
      vPosition: 'top',
      title: dumpText,
      value: 'example-2'
    }, {
      hPosition: 'left',
      vPosition: 'center',
      title: dumpText,
      value: 'example-3'
    }, {
      hPosition: 'right',
      vPosition: 'center',
      title: dumpText,
      value: 'example-4'
    }]
  };
  const handleOnChangeInLabel = e => {
    const {
      value
    } = e.currentTarget;
    const result = examples['types-label'];
    const index = result.indexOf(value);
    if (index >= 0) {
      result.splice(index, 1);
    } else {
      result.unshift(value);
    }
    if (result.length > 2) {
      result.pop();
    }
    setExamples(previousState => ({
      ...previousState,
      ['types-label']: result
    }));
  };
  const handleOnChange = e => ({
    cardType,
    name
  }) => {
    const {
      value
    } = e.currentTarget;
    let result = value;
    if (cardType !== 'radio') {
      result = examples[name];
      const index = result.indexOf(value);
      if (index >= 0) {
        result.splice(index, 1);
      } else {
        result.push(value);
      }
    }
    setExamples(previousState => ({
      ...previousState,
      [name]: result
    }));
  };
  return _react.default.createElement(_ThemeProvider.ThemeProvider, null, _react.default.createElement(_Section.Section, {
    heading: 'Types'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Label"), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "In its checked state, by default the color is to be primary.base."), _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column',
    style: {
      width: '50%',
      gap: '16px'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'types-label',
    title: 'Radio',
    value: 'example-1',
    isSelected: examples['types-label'].includes('example-1'),
    onChange: handleOnChangeInLabel
  }), _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'types-label',
    title: 'Checkbox',
    value: 'example-2',
    isSelected: examples['types-label'].includes('example-2'),
    onChange: handleOnChangeInLabel
  }), _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'types-label',
    title: 'Toggle',
    value: 'example-3',
    isSelected: examples['types-label'].includes('example-3'),
    onChange: handleOnChangeInLabel
  }))), divider(), _react.default.createElement(_Section.Section, {
    heading: 'States'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "Radio - Examples shown indicate the card & action states"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '100%',
      gap: '16px'
    }
  }, _react.default.createElement(EnabledStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Enabled',
    value: 'example-1',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(HoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Hover',
    value: 'example-2',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(FocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Focus',
    value: 'example-3',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Selected',
    value: 'example-4',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedHoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Selected Hover',
    value: 'example-5',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedFocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'states-radio',
    title: 'Selected Focus',
    value: 'example-6',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  })))), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "Checkbox - Examples shown indicate the card & action states"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '100%',
      gap: '16px'
    }
  }, _react.default.createElement(EnabledStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Enabled',
    value: 'example-1',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(HoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Hover',
    value: 'example-2',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(FocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Focus',
    value: 'example-3',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Selected',
    value: 'example-4',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedHoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Selected Hover',
    value: 'example-5',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedFocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    name: 'states-checkbox',
    title: 'Selected Focus',
    value: 'example-6',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  })))), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "Toggle - Examples shown indicate the card & action states"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '100%',
      gap: '16px'
    }
  }, _react.default.createElement(EnabledStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Enabled',
    value: 'example-1',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(HoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Hover',
    value: 'example-2',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(FocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Focus',
    value: 'example-3',
    isSelected: false,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Selected',
    value: 'example-1',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedHoverStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Selected Hover',
    value: 'example-2',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))), _react.default.createElement(SelectedFocusStateCard, null, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'states-toggle',
    title: 'Selected Focus',
    value: 'example-3',
    isSelected: true,
    onChange: () => {}
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  }))))), divider(), _react.default.createElement(_Section.Section, {
    heading: 'Formatting'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Position"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '65%',
      gap: '16px'
    }
  }, data.options.map(option => _react.default.createElement(_Box.Box, {
    key: `${data.name}_${option.value}`,
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    ...option,
    cardType: data.cardType,
    name: data.name,
    isSelected: examples['formatting-position'] === option.value,
    onChange: e => handleOnChange(e)({
      cardType: data.cardType,
      name: data.name
    })
  })))), _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Label with children"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '65%',
      gap: '16px'
    }
  }, _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    hPosition: 'left',
    isTakingFullHeightOfCard: true,
    isTitleBold: true,
    name: 'formatting-label-with-children',
    title: 'Title',
    value: 'example-1',
    isSelected: examples['formatting-label-with-children'].includes('example-1'),
    onChange: e => handleOnChange(e)({
      cardType: 'checkbox',
      name: 'formatting-label-with-children'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    isTakingFullHeightOfCard: true,
    isTitleBold: true,
    name: 'formatting-label-with-children',
    title: 'Title',
    value: 'example-2',
    isSelected: examples['formatting-label-with-children'].includes('example-2'),
    onChange: e => handleOnChange(e)({
      cardType: 'checkbox',
      name: 'formatting-label-with-children'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    hPosition: 'left',
    vPosition: 'center',
    isTakingFullHeightOfCard: true,
    isTitleBold: true,
    name: 'formatting-label-with-children',
    title: 'Title',
    value: 'example-3',
    isSelected: examples['formatting-label-with-children'].includes('example-3'),
    onChange: e => handleOnChange(e)({
      cardType: 'checkbox',
      name: 'formatting-label-with-children'
    })
  }, exampleImage())), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'checkbox',
    vPosition: 'center',
    isTakingFullHeightOfCard: true,
    isTitleBold: true,
    name: 'formatting-label-with-children',
    title: 'Title',
    value: 'example-4',
    isSelected: examples['formatting-label-with-children'].includes('example-4'),
    onChange: e => handleOnChange(e)({
      cardType: 'checkbox',
      name: 'formatting-label-with-children'
    })
  }, exampleImage()))), _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Full width children"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '65%',
      gap: '16px'
    }
  }, _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    hPosition: 'left',
    name: 'formatting-full-width-children',
    title: 'Title',
    value: 'example-1',
    isSelected: examples['formatting-full-width-children'].includes('example-1'),
    onChange: e => handleOnChange(e)({
      cardType: 'toggle',
      name: 'formatting-full-width-children'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['formatting-full-width-children'].includes('example-1')
  }, "Button"))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'formatting-full-width-children',
    title: 'Title',
    value: 'example-2',
    isSelected: examples['formatting-full-width-children'].includes('example-2'),
    onChange: e => handleOnChange(e)({
      cardType: 'toggle',
      name: 'formatting-full-width-children'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['formatting-full-width-children'].includes('example-2')
  }, "Button"))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    hPosition: 'left',
    name: 'formatting-full-width-children',
    title: 'Title',
    value: 'example-3',
    isSelected: examples['formatting-full-width-children'].includes('example-3'),
    onChange: e => handleOnChange(e)({
      cardType: 'toggle',
      name: 'formatting-full-width-children'
    })
  }, exampleImage(), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['formatting-full-width-children'].includes('example-3')
  }, "Button"))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    cardType: 'toggle',
    name: 'formatting-full-width-children',
    title: 'Title',
    value: 'example-4',
    isSelected: examples['formatting-full-width-children'].includes('example-4'),
    onChange: e => handleOnChange(e)({
      cardType: 'toggle',
      name: 'formatting-full-width-children'
    })
  }, exampleImage(), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['formatting-full-width-children'].includes('example-4')
  }, "Button"))))), divider(), _react.default.createElement(_Section.Section, {
    heading: 'Additional Actions'
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Buttons"), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "In its checked state, by default the color is to be primary.base."), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '65%',
      gap: '16px'
    }
  }, _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'additional-actions-buttons',
    title: 'Title',
    value: 'example-1',
    isSelected: examples['additional-actions-buttons'].includes('example-1'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-buttons'
    })
  }, exampleImage(), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['additional-actions-buttons'].includes('example-1')
  }, "I Select the Radio Card"))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    name: 'additional-actions-buttons',
    title: 'Title',
    value: 'example-2',
    isSelected: examples['additional-actions-buttons'].includes('example-2'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-buttons'
    })
  }, exampleImage(), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['additional-actions-buttons'].includes('example-2')
  }, "I Select the Radio Card")))), _react.default.createElement(_Text.Text, {
    textStyle: 'subheading3',
    my: 3
  }, "Forms"), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "In its checked state, by default the color is to be primary.base."), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '100%',
      gap: '16px'
    }
  }, _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    hPosition: 'left',
    isTakingFullHeightOfCard: true,
    name: 'additional-actions-forms-1',
    title: 'Title',
    value: 'example-1',
    isSelected: examples['additional-actions-forms-1'].includes('example-1'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-forms-1'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), exampleInput({
    disabled: !examples['additional-actions-forms-1'].includes('example-1')
  }), exampleInput({
    disabled: !examples['additional-actions-forms-1'].includes('example-1')
  }))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    hPosition: 'left',
    isTakingFullHeightOfCard: true,
    name: 'additional-actions-forms-1',
    title: 'Title',
    value: 'example-2',
    isSelected: examples['additional-actions-forms-1'].includes('example-2'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-forms-1'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), exampleInput({
    disabled: !examples['additional-actions-forms-1'].includes('example-2')
  }), exampleInput({
    disabled: !examples['additional-actions-forms-1'].includes('example-2')
  })))), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "with nested disabled function/action"), _react.default.createElement(_Flex.Flex, {
    my: 4,
    flexWrap: 'wrap',
    style: {
      width: '100%',
      gap: '16px'
    }
  }, _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    hPosition: 'left',
    isTakingFullHeightOfCard: true,
    name: 'additional-actions-forms-2',
    title: 'Title',
    value: 'example-1',
    isSelected: examples['additional-actions-forms-2'].includes('example-1'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-forms-2'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), exampleInput({
    disabled: !examples['additional-actions-forms-2'].includes('example-1')
  }), exampleInput({
    disabled: !examples['additional-actions-forms-2'].includes('example-1')
  }), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['additional-actions-forms-2'].includes('example-1')
  }, "I Select the Radio Card"))), _react.default.createElement(_Box.Box, {
    style: {
      flex: '1 1 45%'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    hPosition: 'left',
    isTakingFullHeightOfCard: true,
    name: 'additional-actions-forms-2',
    title: 'Title',
    value: 'example-2',
    isSelected: examples['additional-actions-forms-2'].includes('example-2'),
    onChange: e => handleOnChange(e)({
      cardType: 'radio',
      name: 'additional-actions-forms-2'
    })
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    style: {
      marginTop: '8px'
    }
  }, dumpText), exampleInput({
    disabled: !examples['additional-actions-forms-2'].includes('example-2')
  }), exampleInput({
    disabled: !examples['additional-actions-forms-2'].includes('example-2')
  }), _react.default.createElement(_Button.Button, {
    mt: 2,
    disabled: !examples['additional-actions-forms-2'].includes('example-2')
  }, "I Select the Radio Card"))))), divider());
};
const meta = {
  title: 'Core / RadioCheckToggleCard',
  component: _RadioCheckToggleCard.RadioCheckToggleCard,
  parameters: {
    design: {
      type: 'figma',
      url: 'https://www.figma.com/file/gpbXA3aonRBAJbQiZvrayO/Design-Ops-Dev-Week?type=design&node-id=2-1755&mode=dev'
    },
    docs: {
      page: () => _react.default.createElement(DefaultDocPage, null)
    }
  }
};
var _default = exports.default = meta;
const Radio = exports.Radio = {
  args: {
    cardType: 'radio',
    name: 'radio-card',
    title: 'Title'
  },
  argTypes: _RadioCheckToggleCardStories.argTypes,
  render: args => _react.default.createElement(_Section.Section, {
    heading: args.cardType
  }, _react.default.createElement(_Flex.Flex, {
    flexDirection: 'column',
    style: {
      maxWidth: '350px',
      gap: '16px'
    }
  }, _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    value: 'example-1',
    isSelected: false,
    onChange: e => {},
    ...args
  }, _react.default.createElement(_Box.Box, {
    width: '100%',
    height: '75px'
  })), _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    value: 'example-2',
    isSelected: false,
    onChange: e => {},
    ...args
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph'
  }, "I am some content. I am some content. I am some content. I am some content.")), _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    value: 'example-3',
    isSelected: false,
    onChange: e => {},
    ...args
  }, _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph'
  }, "I am some content. I am some content. I am some content. I am some content."), _react.default.createElement(_Button.Button, {
    mt: 2,
    width: '100%'
  }, "Button")), _react.default.createElement(_RadioCheckToggleCard.RadioCheckToggleCard, {
    value: 'example-4',
    isSelected: false,
    onChange: e => {},
    ...args
  }, exampleImage())))
};
const Checkbox = exports.Checkbox = {
  args: {
    ...Radio.args,
    cardType: 'checkbox',
    name: 'checkbox-card'
  },
  argTypes: _RadioCheckToggleCardStories.argTypes,
  render: Radio.render
};
const Toggle = exports.Toggle = {
  args: {
    ...Radio.args,
    cardType: 'toggle',
    name: 'toggle-card'
  },
  argTypes: _RadioCheckToggleCardStories.argTypes,
  render: Radio.render
};