"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RatingBadge = void 0;
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
var _Box = require("../Box/Box");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const defaultProps = {
  fontWeight: 'bold',
  px: 2,
  color: 'alert',
  borderRadius: 'md',
  bg: 'alert'
};
function getBgAndColorProps({
  color,
  bg
}) {
  const {
    bg: defaultBg,
    color: defaultColor
  } = defaultProps;
  if (bg && color && bg !== defaultBg && color !== defaultColor) {
    // bg and color
    return {
      bg,
      color
    };
  } else if (bg === defaultBg && color === defaultColor) {
    // no bg, no color
    return {
      bg: undefined,
      color
    };
  } else if (bg === defaultBg && color !== defaultColor) {
    // color, no bg
    return {
      bg: undefined,
      color
    };
  } else if (color === defaultColor) {
    // bg, no color
    return {
      color: bg,
      bg: undefined
    };
  }
}
/**
 * @public
 */
const RatingBadge = exports.RatingBadge = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).attrs(props => ({
  ...getBgAndColorProps(props),
  ...(0, _borderRadiusAttrs.borderRadiusAttrs)(props)
})).withConfig({
  displayName: "RatingBadge",
  componentId: "sc-1haimsy-0"
})(["display:inline-block;line-height:1.5;", ""], props => (0, _styledSystem.compose)(_styledSystem.fontWeight, _styledSystem.borderRadius)(props));
RatingBadge.defaultProps = defaultProps;