"use strict";

var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Absolute = require("../Absolute/Absolute");
var _Relative = require("../Relative/Relative");
var _Text = require("../Text/Text");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Relative', () => {
  test('renders with top, left and zIndex props', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Relative.Relative, {
      top: 10,
      left: 0,
      zIndex: 2
    })).toJSON();
    expect(json).toMatchSnapshot();
    expect(json).toHaveStyleRule('position', 'relative');
    expect(json).toHaveStyleRule('top', '10px');
    expect(json).toHaveStyleRule('left', '0px');
    expect(json).toHaveStyleRule('z-index', '2');
  });
  test('renders with flag and Child', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Relative.Relative, {
      top: 10,
      left: 0
    }, _react.default.createElement(_Absolute.Absolute, {
      top: 10,
      right: 0,
      zIndex: 2
    }, _react.default.createElement(_pclnIcons.Coupon, null), _react.default.createElement(_Text.Text.span, null, "EXCLUSIVE")))).toJSON;
    expect(json).toMatchSnapshot();
  });
});