"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.selectSizes = exports.Select = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _Flex = require("../Flex/Flex");
var _borderRadiusAttrs = require("../utils/attrs/borderRadiusAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const selectSizes = exports.selectSizes = {
  sm: (0, _styledComponents.css)(["padding:6px 32px 7px 12px;"]),
  md: (0, _styledComponents.css)(["padding:10px 32px 11px 12px;"]),
  lg: (0, _styledComponents.css)(["padding:14px 32px 14px 12px;"]),
  xl: (0, _styledComponents.css)(["padding:18px 32px 19px 12px;"])
};
/**
 * @public
 */
const variations = {
  input: (0, _styledComponents.css)([""]),
  subtle: (0, _styledComponents.css)(["background-color:", ";border-color:", ";border-radius:", ";color:", ";font-weight:bold;&:hover{background-color:", ";border-color:", ";color:", ";~ svg{color:", ";}}&:focus-visible{outline:0px solid ", ";box-shadow:0 0 0 2px ", ";}& ~ svg{color:", ";}"], (0, _utils.getPaletteColor)('background.base'), (0, _utils.getPaletteColor)('background.base'), props => props.size === 'sm' || props.size === 'md' ? (0, _themeGet.default)('borderRadii.full') : (0, _themeGet.default)('borderRadii.lg'), (0, _utils.getPaletteColor)('primary.base'), (0, _utils.getPaletteColor)('background.tint'), (0, _utils.getPaletteColor)('background.tint'), (0, _utils.getPaletteColor)('primary.dark'), (0, _utils.getPaletteColor)('primary.dark'), (0, _utils.getPaletteColor)('primary.dark'), (0, _utils.getPaletteColor)('primary.dark'), (0, _utils.getPaletteColor)('primary.base'))
};
const ClickableIcon = /*#__PURE__*/(0, _styledComponents.default)(_pclnIcons.ChevronDown).withConfig({
  displayName: "Select__ClickableIcon",
  componentId: "sc-m07nxd-0"
})(["pointer-events:none;"]);
const SelectBase = /*#__PURE__*/_styledComponents.default.select.attrs(_borderRadiusAttrs.borderRadiusAttrs).withConfig({
  displayName: "Select__SelectBase",
  componentId: "sc-m07nxd-1"
})(["appearance:none;background-color:transparent;border-style:solid;border-width:1px;border-radius:", ";color:inherit;display:block;font-family:inherit;text-overflow:ellipsis;width:100%;::-ms-expand{display:none;}&:hover{cursor:pointer;}&:disabled{background-color:", ";color:", ";cursor:not-allowed;opacity:1;~ svg{color:", ";}}", ";", " ", ";", ""], (0, _themeGet.default)('borderRadii.lg'), (0, _utils.getPaletteColor)('background.light'), (0, _utils.getPaletteColor)('text.light'), (0, _utils.getPaletteColor)('text.light'), ({
  theme
}) => (0, _utils.applySizes)(selectSizes, undefined, theme.mediaQueries), _utils.borders, (0, _utils.applyVariations)('Select', variations), props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize, _styledSystem.borderRadius)(props));
SelectBase.defaultProps = {
  fontSize: [2, null, 1],
  m: 0,
  size: 'lg'
};
/**
 * @public
 */
const Select = exports.Select = _react.default.forwardRef(({
  variation = 'input',
  ...props
}, ref) => _react.default.createElement(_Flex.Flex, {
  width: 1,
  alignItems: 'center'
}, _react.default.createElement(SelectBase, {
  ...props,
  ref: ref,
  variation: variation
}), _react.default.createElement(ClickableIcon, {
  ml: -32,
  color: 'text.light'
})));
Select.displayName = 'Select';
Select.isField = true;