"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Disabled = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports._Select = exports.SubtleVariation = exports.LongOptionString = exports.HiddenLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Label = require("../Label/Label");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
var _Select2 = require("./Select");
var _SelectStories = require("./Select.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Select',
  component: _Select2.Select,
  args: _SelectStories.defaultArgs,
  argTypes: _SelectStories.argTypes
};
const Template = args => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Label.Label, {
  htmlFor: 'cabinClass'
}, "Cabin Class"), _react.default.createElement(_Select2.Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: 'Premium Economy',
  ...args
}, _react.default.createElement("option", null, "Economy"), _react.default.createElement("option", {
  disabled: true
}, "-------------"), _react.default.createElement("option", null, "Premium Economy"), _react.default.createElement("option", null, "Business"), _react.default.createElement("option", null, "First Class"), _react.default.createElement("option", null, "With a super long label that does not get clobbered by the chevron")));
const _Select = exports._Select = Template.bind({});
const SubtleVariation = exports.SubtleVariation = Template.bind({});
SubtleVariation.args = {
  variation: 'subtle'
};
const Disabled = exports.Disabled = Template.bind({});
Disabled.args = {
  disabled: true
};
const LongOptionString = () => _react.default.createElement(_Box.Box, {
  width: [1, 320]
}, _react.default.createElement(_Label.Label, {
  htmlFor: 'cabinClass'
}, "Cabin Class"), _react.default.createElement(_Select2.Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: ''
}, _react.default.createElement("option", null, "With a super long label that does not collide with the chevron")));
exports.LongOptionString = LongOptionString;
const HiddenLabel = () => _react.default.createElement(_Box.Box, {
  width: [1, 320]
}, _react.default.createElement(_Label.Label, {
  hidden: true,
  htmlFor: 'cabinClass'
}, "Cabin Class"), _react.default.createElement(_Select2.Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: ''
}, _react.default.createElement("option", null, "Economy"), _react.default.createElement("option", null, "Premium Economy"), _react.default.createElement("option", null, "Business"), _react.default.createElement("option", null, "First Class")));
exports.HiddenLabel = HiddenLabel;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Select2.Select, {
      id: 'cabinClass',
      name: 'cabinClass',
      defaultValue: '',
      ref: dsRef
    }, _react.default.createElement("option", null, "Economy"), _react.default.createElement("option", null, "Premium Economy"), _react.default.createElement("option", null, "Business"), _react.default.createElement("option", null, "First Class")), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus select via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}