"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ShadowEffect = ShadowEffect;
exports.ShadowOverlay = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _styledSystem = require("styled-system");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/* eslint-disable no-unused-expressions */

/**
 * @public
 */
const ShadowOverlay = exports.ShadowOverlay = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "ShadowEffect__ShadowOverlay",
  componentId: "sc-u5t00o-0"
})(["display:block;position:fixed;top:0;left:0;width:100%;height:100%;background-color:rgba(51,51,51,0.65);", ";"], _styledSystem.zIndex);
/**
 * @public
 */
function ShadowEffect({
  shouldCloseOnBlur,
  shouldOpenOnFocus,
  zIndex = 'overlay',
  children,
  onClose,
  onOpen,
  ...props
}) {
  const [isOpen, setOpen] = (0, _react.useState)(false);
  const child = _react.default.Children.only(children);
  function handleOpen() {
    onOpen && onOpen();
    setOpen(true);
  }
  function handleClose() {
    onClose && onClose();
    setOpen(false);
  }
  function handleKeyDown(evt) {
    const key = evt.key;
    if (key === 'Escape') {
      evt.preventDefault();
      handleClose();
    }
  }
  return _react.default.createElement(_react.default.Fragment, null, isOpen && _react.default.createElement(ShadowOverlay, {
    zIndex: zIndex,
    onClick: handleClose,
    ...props
  }), _react.default.isValidElement(child) && _react.default.cloneElement(child, {
    zIndex: isOpen && (zIndex !== 'overlay' ? zIndex : 'onOverlay'),
    onBlur: () => {
      const onBlur = child.props.onBlur;
      onBlur && onBlur();
      shouldCloseOnBlur && handleClose();
    },
    onClick: () => {
      const onClick = child.props.onClick;
      onClick && onClick();
      handleOpen();
    },
    onFocus: () => {
      const onFocus = child.props.onFocus;
      onFocus && onFocus();
      shouldOpenOnFocus && handleOpen();
    },
    onKeyDown: evt => {
      const onKeyDown = child.props.onKeyDown;
      onKeyDown && onKeyDown(evt);
      handleKeyDown(evt);
    }
  }));
}