"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Overlay = exports.MultipleInputsWithOverlays = exports.Effect = void 0;
var _addonActions = require("@storybook/addon-actions");
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Input = require("../Input/Input");
var _utils = require("../utils/utils");
var _ShadowEffect = require("./ShadowEffect");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const LightestBackgroundInput = /*#__PURE__*/(0, _styledComponents.default)(_Input.Input).withConfig({
  displayName: "ShadowEffectstories__LightestBackgroundInput",
  componentId: "sc-1rcsh3h-0"
})(["background-color:", ";"], (0, _utils.getPaletteColor)('background.lightest'));
var _default = exports.default = {
  title: 'ShadowEffect',
  component: _ShadowEffect.ShadowEffect
};
const Effect = () => _react.default.createElement(_ShadowEffect.ShadowEffect, null, _react.default.createElement(LightestBackgroundInput, {
  onClick: (0, _addonActions.action)('Clicked')
}));
exports.Effect = Effect;
const MultipleInputsWithOverlays = () => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_ShadowEffect.ShadowEffect, {
  shouldCloseOnBlur: true,
  shouldOpenOnFocus: true
}, _react.default.createElement(LightestBackgroundInput, {
  onClick: (0, _addonActions.action)('Clicked 1'),
  mb: 3
})), _react.default.createElement(_ShadowEffect.ShadowEffect, {
  shouldCloseOnBlur: true,
  shouldOpenOnFocus: true
}, _react.default.createElement(LightestBackgroundInput, {
  onClick: (0, _addonActions.action)('Clicked 2')
})));
exports.MultipleInputsWithOverlays = MultipleInputsWithOverlays;
const Overlay = () => {
  const [isOpen, setOpen] = (0, _react.useState)(false);
  const handleOpen = () => setOpen(true);
  const handleClose = () => setOpen(false);
  return _react.default.createElement(_react.default.Fragment, null, isOpen && _react.default.createElement(_ShadowEffect.ShadowOverlay, {
    zIndex: -1,
    onClick: handleClose
  }), _react.default.createElement(LightestBackgroundInput, {
    onBlur: handleClose,
    onClick: handleOpen,
    onFocus: handleOpen
  }));
};
exports.Overlay = Overlay;