"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Shimmer = Shimmer;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Box = require("../Box/Box");
var _constants = require("./constants");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const animation = props => (0, _styledComponents.keyframes)(["0%{transform:translateX(-200px)}100%{transform:translateX(", "px)}"], props.animationWidth);
const animationRule = /*#__PURE__*/(0, _styledComponents.css)(["", " 1.2s ease-in-out infinite;"], animation);
const Wrapper = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Shimmer__Wrapper",
  componentId: "sc-3bob20-0"
})(["background-color:", ";background-size:200px 100%;background-repeat:no-repeat;display:inline-block;line-height:1;", " overflow:hidden;"], props => _constants.VARIATION_BACKGROUND_COLORS[props.variation], props => props.height && `height: ${props.height};`);
const Glare = /*#__PURE__*/_styledComponents.default.span.withConfig({
  displayName: "Shimmer__Glare",
  componentId: "sc-3bob20-1"
})(["display:inline-block;background-image:linear-gradient(to right,", ");background-image:-webkit-linear-gradient(left,", ");animation:", ";height:100%;width:200px;@media (prefers-reduced-motion){animation:none;}"], props => _constants.VARIATION_GLARE_GRADIENTS[props.variation], props => _constants.VARIATION_GLARE_GRADIENTS[props.variation], animationRule);
/**
 * @public
 */
function Shimmer({
  animationWidth,
  disable,
  ...props
}) {
  return _react.default.createElement(Wrapper, {
    ...props,
    "data-testid": 'Shimmer__Wrapper'
  }, !disable && _react.default.createElement(Glare, {
    animationWidth: animationWidth + 200,
    "data-testid": 'Shimmer__Glare',
    variation: props.variation
  }, "\u200C"));
}
Shimmer.defaultProps = {
  animationWidth: 100,
  disable: false,
  variation: _constants.ShimmerVariationType.Base
};