"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _Shimmer = require("./Shimmer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Shimmer', () => {
  test('should render correctly', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Shimmer.Shimmer, {
      height: '50px',
      width: '100px'
    }));
    const wrapper = getByTestId('Shimmer__Wrapper');
    const glare = getByTestId('Shimmer__Glare');
    expect(wrapper).toHaveStyleRule('background-color', '#EEEEEE');
    expect(wrapper).toHaveStyleRule('height', '50px');
    expect(wrapper).toHaveStyleRule('width', '100px');
    expect(glare).toHaveStyleRule('animation', expect.stringContaining('1.2s ease-in-out infinite'));
  });
  test('should render light variation correctly', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Shimmer.Shimmer, {
      height: '50px',
      width: '100px',
      variation: 'light'
    }));
    const wrapper = getByTestId('Shimmer__Wrapper');
    const glare = getByTestId('Shimmer__Glare');
    expect(wrapper).toHaveStyleRule('background-color', '#00000014');
    expect(glare).toHaveStyleRule('animation', expect.stringContaining('1.2s ease-in-out infinite'));
  });
  test('should render dark variation correctly', () => {
    const {
      getByTestId
    } = (0, _testingLibrary.render)(_react.default.createElement(_Shimmer.Shimmer, {
      height: '50px',
      width: '100px',
      variation: 'dark'
    }));
    const wrapper = getByTestId('Shimmer__Wrapper');
    const glare = getByTestId('Shimmer__Glare');
    expect(wrapper).toHaveStyleRule('background-color', '#FFFFFF14');
    expect(wrapper).toHaveStyleRule('height', '50px');
    expect(wrapper).toHaveStyleRule('width', '100px');
    expect(glare).toHaveStyleRule('animation', expect.stringContaining('1.2s ease-in-out infinite'));
  });
});