"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.LightSkeletonLoader = exports.Default = exports.DarkSkeletonLoader = exports.ComposedAsSkeletonLoader = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _Shimmer = require("./Shimmer");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SkeletonBar = /*#__PURE__*/(0, _styledComponents.default)(_Shimmer.Shimmer).attrs(() => ({
  mb: 2
})).withConfig({
  displayName: "Shimmerstories__SkeletonBar",
  componentId: "sc-c3pod2-0"
})([""]);
var _default = exports.default = {
  title: 'Shimmer',
  component: _Shimmer.Shimmer
};
const Default = () => _react.default.createElement(_Shimmer.Shimmer, null);
exports.Default = Default;
const ComposedAsSkeletonLoader = () => _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2
}), _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, _react.default.createElement(SkeletonBar, {
  width: 3 / 4
}), _react.default.createElement(SkeletonBar, {
  width: 1 / 2
}))), _react.default.createElement(SkeletonBar, null), _react.default.createElement(SkeletonBar, null));
exports.ComposedAsSkeletonLoader = ComposedAsSkeletonLoader;
const LightSkeletonLoader = () => _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2,
  variation: 'light'
}), _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, _react.default.createElement(SkeletonBar, {
  width: 3 / 4,
  variation: 'light'
}), _react.default.createElement(SkeletonBar, {
  width: 1 / 2,
  variation: 'light'
}))), _react.default.createElement(SkeletonBar, {
  variation: 'light'
}), _react.default.createElement(SkeletonBar, {
  variation: 'light'
}));
exports.LightSkeletonLoader = LightSkeletonLoader;
const DarkSkeletonLoader = () => _react.default.createElement(_Box.Box, {
  color: 'background.darkest'
}, _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, _react.default.createElement(_Flex.Flex, null, _react.default.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2,
  variation: 'dark'
}), _react.default.createElement(_Flex.Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, _react.default.createElement(SkeletonBar, {
  width: 3 / 4,
  variation: 'dark'
}), _react.default.createElement(SkeletonBar, {
  width: 1 / 2,
  variation: 'dark'
}))), _react.default.createElement(SkeletonBar, {
  animationWidth: 700,
  variation: 'dark'
}), _react.default.createElement(SkeletonBar, {
  animationWidth: 700,
  variation: 'dark'
})));
exports.DarkSkeletonLoader = DarkSkeletonLoader;