"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SkipMenu = SkipMenu;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _Link = require("../Link/Link");
var _SrOnly = require("../SrOnly/SrOnly");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/*
 * :focus-within property not supported on ie11
 * If ie11 support is needed, we would probably need to go with state/focus delagation solution
 */
const OffScreenPanel = /*#__PURE__*/(0, _styledComponents.default)(_SrOnly.SrOnly).withConfig({
  displayName: "SkipMenu__OffScreenPanel",
  componentId: "sc-1f4986y-0"
})(["&:focus-within{height:auto;width:100%;max-width:100%;clip:auto;margin:0;overflow:unset;}"]);
/**
 * @public
 */
function SkipMenu({
  className,
  skipLinks,
  ...props
}) {
  if (!skipLinks?.length) return null;
  return _react.default.createElement(OffScreenPanel, {
    "data-testid": 'skip-menu',
    as: _Flex.Flex,
    className: className,
    ...props
  }, skipLinks?.map(({
    label,
    targetId,
    ...skipLink
  }) => _react.default.createElement(_Link.Link, {
    key: `skipLink_${targetId}`,
    href: `#${targetId}`,
    p: 2,
    ...skipLink
  }, label)));
}
SkipMenu.displayName = 'SkipMenu';