"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Arrow = Arrow;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Button = require("../Button/Button");
var _Relative = require("../Relative/Relative");
var _Arrow = require("./Arrow.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function Arrow({
  isLeft,
  arrowButtonVariation,
  size,
  leftArrowClick,
  rightArrowClick,
  leftDisabled,
  rightDisabled,
  ...props
}) {
  const Icon = isLeft ? _pclnIcons.ChevronLeft : _pclnIcons.ChevronRight;
  const {
    buttonSize,
    iconSize
  } = _Arrow.ARROW_SIZES[size];
  return _react.default.createElement(_Relative.Relative, {
    zIndex: 99
  }, _react.default.createElement(_Button.Button, {
    p: 0,
    variation: arrowButtonVariation,
    onClick: isLeft ? leftArrowClick : rightArrowClick,
    height: buttonSize,
    width: buttonSize,
    boxShadowSize: 'md',
    disabled: isLeft ? leftDisabled : rightDisabled,
    ...props
  }, _react.default.createElement(Icon, {
    size: iconSize,
    pl: isLeft ? 0 : 1,
    pr: isLeft ? 1 : 0
  })));
}