"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RenderInView = RenderInView;
var _react = _interopRequireDefault(require("react"));
var _reactIntersectionObserver = require("react-intersection-observer");
var _styledComponents = _interopRequireDefault(require("styled-components"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FullHeightInView = /*#__PURE__*/(0, _styledComponents.default)(_reactIntersectionObserver.InView).withConfig({
  displayName: "RenderInView__FullHeightInView",
  componentId: "sc-ft2tr5-0"
})(["height:100%;"]);
function RenderInView({
  children,
  onSlideChange,
  index,
  slideRef
}) {
  const slideVisible = inView => {
    if (inView) {
      const {
        offsetParent,
        offsetWidth
      } = slideRef?.current || {};
      // @ts-ignore
      const numSlides = Math.round(offsetParent?.offsetWidth / offsetWidth);
      onSlideChange(index, numSlides);
    }
  };
  return _react.default.createElement(FullHeightInView, {
    threshold: 0.01,
    "data-testid": `render-in-view-${index}`,
    onChange: slideVisible
  }, children);
}