"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Slide = Slide;
var _react = _interopRequireWildcard(require("react"));
var _Box = require("../Box/Box");
var _RenderInView = require("./RenderInView");
var _SlideBox = require("./SlideBox.styled");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function Slide({
  onSlideChange,
  slideSpacing,
  stretchHeight,
  index,
  content,
  isCurrentSlide,
  width,
  numSlides,
  slideBoxRef,
  overflowAllowancePxX
}) {
  const ref = (0, _react.useRef)();
  (0, _react.useEffect)(() => {
    /* istanbul ignore next */
    if (isCurrentSlide === true && typeof slideBoxRef?.current?.scroll === 'function' && ref?.current) {
      const {
        offsetLeft,
        offsetParent,
        offsetWidth
      } = ref.current;
      const {
        offsetWidth: parentOffset
      } = offsetParent || {};
      slideBoxRef?.current?.scroll({
        left: offsetLeft - parentOffset + offsetWidth + overflowAllowancePxX
      });
    }
  }, [isCurrentSlide, ref]);
  return _react.default.createElement(_SlideBox.SlideWrapper, {
    "data-testid": `slide${index + 1}`,
    ref: ref,
    width: width
  }, _react.default.createElement(_RenderInView.RenderInView, {
    onSlideChange: onSlideChange,
    index: index,
    slideRef: ref
  }, _react.default.createElement(_Box.Box, {
    height: '100%',
    pl: index === 0 ? 2 : 0,
    pr: index === numSlides - 1 ? 2 : 0,
    ml: index === 0 ? 0 : slideSpacing,
    mr: index === numSlides - 1 ? 0 : slideSpacing
  }, stretchHeight && _react.default.isValidElement(content) ? _react.default.cloneElement(content, {
    style: {
      'min-height': '100%'
    }
  }) : content)));
}