"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("react-intersection-observer/test-utils");
var _testingLibrary = require("../__test__/testing-library");
var _Slide = require("./Slide");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const props = {
  onSlideChange: jest.fn(),
  stretchHeight: false,
  index: 0,
  slideSpacing: 2,
  width: 1,
  numSlides: 2
};
describe('Slide', () => {
  it('Expect scroll function to trigger', () => {
    (0, _testUtils.mockAllIsIntersecting)(true);
    const slideBoxRef = {
      current: {
        scroll: jest.fn(),
        offsetWidth: 0
      }
    };
    const {
      getByText
    } = (0, _testingLibrary.render)(
    // @ts-ignore
    _react.default.createElement(_Slide.Slide, {
      isCurrentSlide: true,
      slideBoxRef: slideBoxRef,
      content: 'WOOP',
      ...props
    }));
    expect(slideBoxRef.current.scroll).toHaveBeenCalled();
    getByText('WOOP');
  });
  it('Expect to render without slideBoxRef', () => {
    (0, _testUtils.mockAllIsIntersecting)(true);
    // @ts-ignore
    const {
      getByText
    } = (0, _testingLibrary.render)(_react.default.createElement(_Slide.Slide, {
      slideBoxRef: undefined,
      isCurrentSlide: true,
      content: 'WOOP',
      ...props
    }));
    getByText('WOOP');
  });
});