"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TopArrows = TopArrows;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Arrow = require("./Arrow");
var _Arrow2 = require("./Arrow.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function TopArrows({
  arrowPosition,
  arrowProps
}) {
  const isSide = arrowPosition === 'side';
  const Wrapper = isSide ? _Arrow2.AbsoluteTransformLeft : _Flex.Flex;
  return ['top', 'side'].includes(arrowPosition) ? _react.default.createElement(Wrapper, {
    justifyContent: 'flex-end',
    pb: isSide ? 0 : 2,
    zIndex: 1,
    "data-testid": isSide ? 'side-left-arrow' : 'top-arrows'
  }, _react.default.createElement(_Arrow.Arrow, {
    isLeft: true,
    ...arrowProps
  }), isSide ? null : _react.default.createElement(_Arrow.Arrow, {
    ...arrowProps,
    ml: 3
  })) : null;
}