"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getWidth = exports.getVisibleSlides = exports.getCustomWidths = void 0;
const getWidth = visibleSlides => visibleSlides < 1 ? `${(100 / visibleSlides).toFixed(0)}%` : 1 / visibleSlides;
exports.getWidth = getWidth;
const getVisibleSlides = visibleSlides => Array.isArray(visibleSlides) ? visibleSlides.map(vs => getWidth(vs)) : [getWidth(1.1), null, null, getWidth(2.1), getWidth(visibleSlides)];
exports.getVisibleSlides = getVisibleSlides;
const getCustomWidths = (widths, index) => [getWidth(1.1), null, null, getWidth(2.1), `${widths[(index + widths.length) % widths.length]}%`];
exports.getCustomWidths = getCustomWidths;