"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Spinner = Spinner;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Absolute = require("../Absolute/Absolute");
var _Flex = require("../Flex/Flex");
var _utils = require("../utils/utils");
var _Animate = require("./../Animate/Animate");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sizes = {
  small: (0, _styledComponents.css)(["width:48px;height:48px;& > svg{width:20px;height:20px;}"]),
  medium: (0, _styledComponents.css)(["width:64px;height:64px;& > svg{width:24px;height:24px;}"]),
  large: (0, _styledComponents.css)(["width:96px;height:96px;& > svg{width:36px;height:36px;}"])
};
const RelativeFlex = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Spinner__RelativeFlex",
  componentId: "sc-1jqdl3q-0"
})(["position:relative;", ";"], (0, _utils.applySizes)(sizes, null));
const rotate = /*#__PURE__*/(0, _styledComponents.keyframes)(["0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}"]);
const Ring = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "Spinner__Ring",
  componentId: "sc-1jqdl3q-1"
})(["position:absolute;top:0;left:0;width:100%;height:100%;border:2px solid ", ";border-top:2px solid ", ";border-radius:50%;animation:", " 1s linear infinite;"], (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('background.lightest'), rotate);
const GradientRingWrapper = /*#__PURE__*/(0, _styledComponents.default)(_Absolute.Absolute).withConfig({
  displayName: "Spinner__GradientRingWrapper",
  componentId: "sc-1jqdl3q-2"
})(["position:absolute;top:0;left:0;width:100%;height:100%;"]);
function GradientRing({
  strokeWidth = '6px',
  ...props
}) {
  const strokeColor = (0, _utils.getPaletteColor)(props.color, 'base')(props);
  return _react.default.createElement(GradientRingWrapper, {
    mt: '-3px'
  }, _react.default.createElement(_Animate.Animate, {
    variant: 'spin'
  }, _react.default.createElement("svg", {
    width: '100%',
    height: '100%',
    viewBox: '0 0 200 200',
    color: strokeColor,
    fill: 'none',
    overflow: 'visible'
  }, _react.default.createElement("defs", null, _react.default.createElement("linearGradient", {
    id: 'spinner-secondHalf'
  }, _react.default.createElement("stop", {
    offset: '0%',
    "stop-opacity": '0',
    "stop-color": 'currentColor'
  }), _react.default.createElement("stop", {
    offset: '100%',
    "stop-opacity": '0.5',
    "stop-color": 'currentColor'
  })), _react.default.createElement("linearGradient", {
    id: 'spinner-firstHalf'
  }, _react.default.createElement("stop", {
    offset: '0%',
    "stop-opacity": '1',
    "stop-color": 'currentColor'
  }), _react.default.createElement("stop", {
    offset: '100%',
    "stop-opacity": '0.5',
    "stop-color": 'currentColor'
  }))), _react.default.createElement("g", {
    "stroke-width": strokeWidth
  }, _react.default.createElement("path", {
    stroke: 'url(#spinner-secondHalf)',
    d: 'M 4 100 A 96 96 0 0 1 196 100'
  }), _react.default.createElement("path", {
    stroke: 'url(#spinner-firstHalf)',
    d: 'M 196 100 A 96 96 0 0 1 4 100'
  }), _react.default.createElement("path", {
    stroke: 'currentColor',
    "stroke-linecap": 'round',
    d: 'M 4 100 A 96 96 0 0 1 4 98'
  })))));
}
/**
 * @public
 */
function Spinner({
  children,
  color,
  useGradient = false,
  ...props
}) {
  if (children) {
    _react.default.Children.only(children);
  }
  const theme = /*#__PURE__*/(0, _styledComponents.useTheme)();
  return _react.default.createElement(RelativeFlex, {
    justifyContent: 'center',
    alignItems: 'center',
    ...props
  }, useGradient ? _react.default.createElement(GradientRing, {
    color: color,
    theme: theme,
    ...props
  }) : _react.default.createElement(Ring, {
    color: color
  }), children && _react.default.isValidElement(children) && _react.default.cloneElement(children, {
    color: children?.props?.color || color
  }));
}
Spinner.defaultProps = {
  color: 'primary',
  size: 'medium'
};