"use strict";

var _react = _interopRequireDefault(require("react"));
var _testingLibrary = require("../__test__/testing-library");
var _pclnIcons = require("pcln-icons");
var _Spinner = require("./Spinner");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Spinner', () => {
  it('renders a lonely spinner', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Spinner.Spinner, {
      "data-testid": 'spinner'
    }));
    expect(_testingLibrary.screen.getByTestId('spinner')).toHaveStyle('color: primary');
  });
  it('renders a lonely spinner with gradient', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Spinner.Spinner, {
      "data-testid": 'spinner',
      useGradient: true
    }));
    expect(_testingLibrary.screen.getByTestId('spinner')).toHaveStyle('color: primary');
  });
  it('renders with an icon', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Spinner.Spinner, {
      "data-testid": 'spinner'
    }, _react.default.createElement(_pclnIcons.Hotels, {
      "data-testid": 'icon'
    })));
    expect(_testingLibrary.screen.getByTestId('spinner')).toHaveStyle('color: primary');
    expect(_testingLibrary.screen.getByTestId('icon')).toHaveStyle('color: rgb(0, 104, 239)');
  });
  it('renders with multiple colors', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Spinner.Spinner, {
      color: 'secondary',
      "data-testid": 'spinner'
    }, _react.default.createElement(_pclnIcons.Hotels, {
      color: 'error',
      "data-testid": 'icon'
    })));
    expect(_testingLibrary.screen.getByTestId('spinner')).toHaveStyle('color: secondary');
    expect(_testingLibrary.screen.getByTestId('icon')).toHaveStyle('color: rgb(204, 0, 0)');
  });
  it('renders with multiple colors and gradient', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_Spinner.Spinner, {
      color: 'secondary',
      "data-testid": 'spinner',
      useGradient: true
    }, _react.default.createElement(_pclnIcons.Hotels, {
      color: 'error',
      "data-testid": 'icon'
    })));
    expect(_testingLibrary.screen.getByTestId('spinner')).toHaveStyle('color: secondary');
    expect(_testingLibrary.screen.getByTestId('icon')).toHaveStyle('color: rgb(204, 0, 0)');
  });
});