"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sizes = exports.icons = exports.iconMap = exports.defaultArgs = exports.argTypes = void 0;
var _react = _interopRequireDefault(require("react"));
var _args = require("../storybook/args");
var _pclnIcons = require("pcln-icons");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const iconMap = exports.iconMap = {
  Cars: _react.default.createElement(_pclnIcons.Cars, null),
  Hotels: _react.default.createElement(_pclnIcons.Hotels, null),
  Flights: _react.default.createElement(_pclnIcons.Flights, null)
};
const sizes = exports.sizes = ['small', 'medium', 'large', '200px'];
const icons = exports.icons = ['Cars', 'Hotels', 'Flights'];
const defaultArgs = exports.defaultArgs = {
  size: 'medium',
  color: 'primary'
};
const argTypes = exports.argTypes = {
  size: {
    name: 'size',
    type: {
      name: 'string',
      required: false
    },
    description: 'Spinner size to render\nAccepts string or responsive array of strings.',
    table: {
      type: {
        summary: 'Sizes',
        detail: '- ' + sizes.join('\n- ')
      },
      defaultValue: {
        summary: 'medium'
      }
    },
    control: {
      type: 'select',
      options: sizes
    }
  },
  color: {
    name: 'color',
    type: {
      name: 'string',
      required: false
    },
    description: 'Palette color to use',
    table: {
      type: {
        summary: 'Colors',
        detail: '- ' + _args.colors.join('\n- ')
      },
      defaultValue: {
        summary: 'primary'
      }
    },
    control: {
      type: 'select',
      options: _args.colors
    }
  },
  icon: {
    name: 'icon',
    type: {
      name: 'string',
      required: false
    },
    description: 'Icon to use',
    table: {
      type: {
        summary: 'Icons',
        detail: '- ' + icons.join('\n- ')
      },
      defaultValue: {
        summary: 'Cars'
      }
    },
    control: {
      type: 'select',
      options: icons
    }
  },
  useGradient: {
    name: 'useGradient',
    type: {
      name: 'boolean',
      required: false
    },
    description: 'Control to have a gradient on the ring or not'
  },
  strokeWidth: {
    name: 'strokeWidth',
    type: {
      name: 'string',
      required: false
    },
    description: 'Defines the width of the spinner ring(needs to useGradient to work)'
  }
};