"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Spinner = exports.WithIcon = exports.WithGradientDifferentSize = exports.WithGradientCustomWidth = exports.WithGradient = exports.Small = exports.Responsive = exports.OverrideWidthAndHeight = exports.OverrideIconColor = exports.MultipleIcons = exports.Large = void 0;
var _react = _interopRequireDefault(require("react"));
var _pclnIcons = require("pcln-icons");
var _Spinner2 = require("./Spinner");
var _SpinnerStories = require("./Spinner.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'core / Spinner',
  component: _Spinner2.Spinner,
  args: _SpinnerStories.defaultArgs,
  argTypes: _SpinnerStories.argTypes
};
const Template = args => {
  const {
    children,
    icon
  } = args;
  const Child = typeof icon === 'string' ? _SpinnerStories.iconMap[icon] : children;
  return _react.default.createElement(_Spinner2.Spinner, {
    ...args
  }, Child);
};
const _Spinner = exports._Spinner = Template.bind({});
const WithIcon = exports.WithIcon = Template.bind({});
WithIcon.args = {
  children: _react.default.createElement(_pclnIcons.Hotels, null)
};
const Small = exports.Small = Template.bind({});
Small.args = {
  size: 'small',
  children: _react.default.createElement(_pclnIcons.Hotels, null)
};
const Large = exports.Large = Template.bind({});
Large.args = {
  size: 'large',
  children: _react.default.createElement(_pclnIcons.Hotels, null)
};
const OverrideWidthAndHeight = exports.OverrideWidthAndHeight = Template.bind({});
OverrideWidthAndHeight.args = {
  size: '240px',
  children: _react.default.createElement(_pclnIcons.Hotels, {
    size: 40
  })
};
const OverrideIconColor = exports.OverrideIconColor = Template.bind({});
OverrideIconColor.args = {
  color: 'secondary',
  children: _react.default.createElement(_pclnIcons.Hotels, {
    color: 'promoPrimary'
  })
};
const MultipleIcons = exports.MultipleIcons = Template.bind({});
MultipleIcons.args = {
  children: _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_pclnIcons.Hotels, {
    color: 'secondary'
  }), _react.default.createElement(_pclnIcons.Hotels, {
    color: 'warning'
  }))
};
const Responsive = exports.Responsive = Template.bind({});
Responsive.args = {
  size: ['small', null, 'medium', null, 'large'],
  children: _react.default.createElement(_pclnIcons.Hotels, null)
};
Responsive.parameters = {
  viewport: {
    defaultViewport: 'designSystem_sm'
  }
};
const WithGradient = exports.WithGradient = Template.bind({});
WithGradient.args = {
  size: 'large',
  useGradient: true
};
const WithGradientCustomWidth = exports.WithGradientCustomWidth = Template.bind({});
WithGradientCustomWidth.args = {
  size: 'large',
  useGradient: true,
  strokeWidth: '10px'
};
const WithGradientDifferentSize = exports.WithGradientDifferentSize = Template.bind({});
WithGradientDifferentSize.args = {
  size: 'medium',
  useGradient: true
};