"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Stamp = void 0;
var _themeGet = _interopRequireDefault(require("@styled-system/theme-get"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _attrs = require("../utils/attrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const sizes = {
  small: (0, _styledComponents.css)(["", " line-height:", ";min-height:20px;& > svg{width:12px;height:12px;}"], (0, _themeGet.default)('textStyles.small'), (0, _themeGet.default)('lineHeights.display')),
  medium: (0, _styledComponents.css)(["", " line-height:", ";min-height:24px;& > svg{width:14px;height:14px;}"], (0, _themeGet.default)('textStyles.display0'), (0, _themeGet.default)('lineHeights.standard'))
};
const variations = {
  outline: (0, _styledComponents.css)(["color:", ";border-color:", ";", ""], (0, _utils.getPaletteColor)('base'), props => (0, _utils.getPaletteColor)(props.borderColor, 'base')(props), props => props.bg ? `background-color: ${(0, _utils.getPaletteColor)(props.bg, 'base')(props)};` : ''),
  fill: (0, _styledComponents.css)(["color:", ";background-color:", ";border-color:", ";"], (0, _utils.getTextColorOn)('base'), (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('base')),
  // todo: remove this copy of the fill variation in v4 as its name does not follow conventions
  solid: (0, _styledComponents.css)(["color:", ";background-color:", ";border-color:", ";"], (0, _utils.getTextColorOn)('base'), (0, _utils.getPaletteColor)('base'), (0, _utils.getPaletteColor)('base'))
};
/**
 * @public
 */
const Stamp = exports.Stamp = /*#__PURE__*/_styledComponents.default.div.attrs(_attrs.borderRadiusAttrs).withConfig({
  displayName: "Stamp",
  componentId: "sc-16l1c5o-0"
})(["display:inline-flex;align-items:center;vertical-align:top;min-height:24px;text-transform:uppercase;letter-spacing:", ";border-radius:2px;border-width:1px;border-style:solid;color:", ";", ";", ";", " ", ""], (0, _themeGet.default)('letterSpacings.caps'), (0, _utils.getPaletteColor)('base'), ({
  theme
}) => (0, _utils.applySizes)(sizes, undefined, theme.mediaQueries), (0, _utils.applyVariations)('Stamp', variations), _utils.colorScheme, props => (0, _styledSystem.compose)(_styledSystem.space, _styledSystem.fontSize, _styledSystem.borderRadius)(props));
Stamp.displayName = 'Stamp';
Stamp.defaultProps = {
  px: 1,
  py: 0,
  color: 'border.light',
  bg: 'background.light',
  borderColor: 'border.base',
  borderRadius: 'md',
  size: 'medium',
  variation: 'outline'
};