"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StampComponent = exports.PassAnArrayOfSizes = exports.CustomTextSize = exports.CustomBackgroundAndBorderColor = exports.ColorSchemes = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Text = require("../Text/Text");
var _args = require("../storybook/args");
var _Stamp = require("./Stamp");
var _StampStories = require("./Stamp.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
// for Args
// const sizes = { small: 'small', medium: 'medium' }
// const variations = { outline: 'outline', fill: 'fill' }
// const colors = {
//   primary: 'primary',
//   secondary: 'secondary',
//   text: 'text',
//   success: 'success',
//   error: 'error',
//   warning: 'warning',
//   alert: 'alert',
//   caution: 'caution',
//   notify: 'notify',
//   pricePrimary: 'pricePrimary',
//   priceSecondary: 'priceSecondary',
//   promoPrimary: 'promoPrimary',
//   promoSecondary: 'promoSecondary',
//   border: 'border',
//   background: 'background',
// }
const BlueStamp = /*#__PURE__*/(0, _styledComponents.default)(_Stamp.Stamp).attrs(() => ({
  borderColor: 'primary',
  bg: 'primary',
  color: 'background.lightest',
  mr: 2
})).withConfig({
  displayName: "Stampstories__BlueStamp",
  componentId: "sc-1nboym4-0"
})([""]);
var _default = exports.default = {
  title: 'Stamp',
  component: _Stamp.Stamp,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Stamp /> component to subtly display attributes alongside listing cells and on product detail pages. Use it in conjunction with a named `pcln-icons` icon component to give it more context. An icon placed within a Stamp will inherit the assigned Stamp color.'
      }
    }
  },
  argTypes: _StampStories.argTypes
};
const Template = args => _react.default.createElement(_Stamp.Stamp, {
  ...args
}, "text here");
const StampComponent = exports.StampComponent = Template.bind({});
StampComponent.args = {
  color: 'primary'
};
const CustomBackgroundAndBorderColor = () => _react.default.createElement("div", null, _react.default.createElement(_Stamp.Stamp, {
  color: 'background.lightest',
  bg: 'primary',
  borderColor: 'primary',
  mr: 2
}, "custom border and background"), _react.default.createElement(_Stamp.Stamp, {
  color: 'error',
  bg: 'background.lightest',
  borderColor: 'primary',
  mr: 2
}, "custom border and background"));
exports.CustomBackgroundAndBorderColor = CustomBackgroundAndBorderColor;
const CustomTextSize = () => _react.default.createElement("div", null, _react.default.createElement(_Stamp.Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, _react.default.createElement(_Text.Text, {
  fontSize: 0
}, "Yorkie")), _react.default.createElement(_Stamp.Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, _react.default.createElement(_Text.Text, {
  fontSize: 1
}, "Jack Russell")), _react.default.createElement(_Stamp.Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, _react.default.createElement(_Text.Text, {
  fontSize: 2
}, "Golden Retriever")), _react.default.createElement(_Stamp.Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, _react.default.createElement(_Text.Text, {
  fontSize: 3
}, "Doberman")), _react.default.createElement(_Stamp.Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, _react.default.createElement(_Text.Text, {
  fontSize: 4
}, "Malamute")));
exports.CustomTextSize = CustomTextSize;
const PassAnArrayOfSizes = () => _react.default.createElement("div", null, _react.default.createElement(BlueStamp, {
  size: ['medium', null, null, null, null, null]
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at xs")), _react.default.createElement(BlueStamp, {
  size: ['small', 'medium', null, null, null, null]
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at sm")), _react.default.createElement(BlueStamp, {
  size: ['small', null, 'medium', null, null, null]
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at md")), _react.default.createElement(BlueStamp, {
  size: ['small', 'small', null, 'medium', null, null]
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at lg")), _react.default.createElement(BlueStamp, {
  size: ['small', null, null, null, 'medium', null]
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at xl")), _react.default.createElement(BlueStamp, {
  size: ['small', null, null, null, null, 'medium']
}, _react.default.createElement(_pclnIcons.Pin, {
  pr: 1
}), _react.default.createElement(_Text.Text, null, "Larger at xxl")));
exports.PassAnArrayOfSizes = PassAnArrayOfSizes;
const ColorSchemesTemplate = () => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Stamp.Stamp, {
    m: 3,
    colorScheme: colorScheme,
    key: colorScheme
  }, _react.default.createElement(_pclnIcons.Airplane, {
    mr: 2
  }), colorScheme)));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};