"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Step = Step;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Button = require("../Button/Button");
var _Text = require("../Text/Text");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const StepButton = /*#__PURE__*/(0, _styledComponents.default)(_Button.Button).withConfig({
  displayName: "Step__StepButton",
  componentId: "sc-nwpntb-0"
})(["display:flex;background-color:", ";color:", ";cursor:", ";padding:0;font-weight:unset;&:hover{background-color:", ";}"], (0, _utils.getPaletteColor)('background.lightest'), (0, _utils.getPaletteColor)('base'), props => props.onClick ? 'pointer' : 'default', (0, _utils.getPaletteColor)('background.lightest'));
/**
 * @public
 */
function Step({
  className,
  active,
  completed,
  children,
  onClick,
  ...props
}) {
  const color = active || completed ? 'primary' : 'text.light';
  return _react.default.createElement(StepButton, {
    className: className,
    alignItems: 'center',
    onClick: onClick,
    mr: 4,
    ...props
  }, completed && _react.default.createElement(_pclnIcons.Check, {
    color: 'primary',
    size: 16,
    mr: 1,
    "aria-hidden": false,
    "aria-label": 'Step Completed'
  }), _react.default.createElement(_Text.Text, {
    color: color,
    bold: active,
    fontSize: 1,
    "aria-selected": active
  }, children));
}
Step.displayName = 'Step';
Step.defaultProps = {
  className: '',
  active: false,
  completed: false
};