"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Swatch = Swatch;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Flex = require("../Flex/Flex");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const SwatchColor = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "Swatch__SwatchColor",
  componentId: "sc-1erk7qq-0"
})(["height:24px;width:24px;background-color:", ";border-radius:50%;border:1px solid ", ";display:flex;margin:4px;cursor:", ";"], props => props.color, (0, _utils.getPaletteColor)('border.base'), props => props.onClick ? 'pointer' : 'default');
/**
 * @public
 */
function Swatch({
  colors,
  onClick,
  ...props
}) {
  return _react.default.createElement(_Flex.Flex, {
    flexWrap: 'wrap',
    ...props
  }, colors.map((color, idx) => _react.default.createElement(SwatchColor, {
    "data-testid": `${idx}-${color}`,
    key: `${idx}-${color}`,
    color: color,
    onClick: onClick ? () => onClick(color) : undefined
  })));
}
Swatch.displayName = 'Swatch';