"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultArgs = exports.argTypes = void 0;
var _tabContent = require("../__test__/mocks/tabContent");
const defaultArgs = exports.defaultArgs = {
  size: 'md',
  type: 'button',
  tabsData: [{
    id: 't1',
    text: 'Tab 1',
    children: (0, _tabContent.DefaultContent)(),
    onTabSelect: () => {}
  }, {
    id: 't2',
    text: 'Tab 2',
    children: (0, _tabContent.DefaultContent2)(),
    onTabSelect: () => {}
  }, {
    id: 't3',
    text: 'Tab 3',
    children: (0, _tabContent.DefaultContent3)(),
    onTabSelect: () => {
      alert('onTabSelectFired!');
    }
  }]
};
const argTypes = exports.argTypes = {
  size: {
    control: 'select',
    options: ['sm', 'md']
  },
  type: {
    control: 'select',
    options: ['chip', 'radio', 'button']
  },
  orientation: {
    control: 'select',
    options: ['horizontal', 'vertical']
  },
  tabGap: {
    control: 'number'
  },
  isTransparent: {
    defaultValue: false,
    control: 'boolean'
  },
  border: {
    defaultValue: false,
    control: 'boolean'
  },
  dynamicTabWidth: {
    defaultValue: false,
    control: 'boolean'
  },
  defaultValue: {
    defaultValue: 't1',
    control: 'select',
    options: ['t1', 't2', 't3']
  }
};