"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Playground = exports.NoIconRadioTabs = exports.NoIconNoHoverButtonTabs = exports.NoIconChipTabs = exports.NoIconButtonTabsWithDynamicTabWidth = exports.NoIconButtonTabs = exports.IconChipTabs = exports.IconButtonTabs = void 0;
var _react = _interopRequireDefault(require("react"));
var _StoryStage = require("../DocsUtils/StoryStage/StoryStage");
var _Tab = require("./Tab");
var _TabStories = require("./Tab.stories.args");
var _pclnIcons = require("pcln-icons");
var _tabContent = require("../__test__/mocks/tabContent");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const Playground = exports.Playground = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  }))
};
const NoIconChipTabs = exports.NoIconChipTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    buttonChipProps: {},
    type: 'chip',
    size: 'md'
  }
};
const NoIconRadioTabs = exports.NoIconRadioTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    type: 'radio',
    size: 'md'
  }
};
const NoIconButtonTabs = exports.NoIconButtonTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    size: 'md'
  }
};
const NoIconButtonTabsWithDynamicTabWidth = exports.NoIconButtonTabsWithDynamicTabWidth = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    size: 'md',
    dynamicTabWidth: true
  }
};
const NoIconNoHoverButtonTabs = exports.NoIconNoHoverButtonTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, {
    style: {
      backgroundColor: 'red'
    }
  }, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    isTransparent: true,
    size: 'md'
  }
};
const IconButtonTabs = exports.IconButtonTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    tabsData: [{
      id: 't1',
      icon: _pclnIcons.Departure,
      text: 'Testingsssss longer button',
      children: (0, _tabContent.DefaultContent)(),
      onTabSelect: () => {}
    }, {
      id: 't2',
      icon: _pclnIcons.Departure,
      text: 'LongerIsh Tab 2',
      children: (0, _tabContent.DefaultContent2)(),
      onTabSelect: () => {}
    }, {
      id: 't3',
      icon: _pclnIcons.Departure,
      text: 'LongerishTab3',
      children: (0, _tabContent.DefaultContent3)(),
      onTabSelect: () => {}
    }],
    size: 'md'
  }
};
const IconChipTabs = exports.IconChipTabs = {
  render: args => _react.default.createElement(_StoryStage.StoryStage, null, _react.default.createElement(_Tab.Tab, {
    ...args
  })),
  args: {
    ..._TabStories.defaultArgs,
    tabsData: [{
      id: 't1',
      icon: _pclnIcons.Departure,
      text: 'Testingsssss longer button',
      children: (0, _tabContent.DefaultContent)(),
      onTabSelect: () => {}
    }, {
      id: 't2',
      icon: _pclnIcons.Departure,
      text: 'LongerIsh Tab 2',
      children: (0, _tabContent.DefaultContent2)(),
      onTabSelect: () => {}
    }, {
      id: 't3',
      icon: _pclnIcons.Departure,
      text: 'LongerishTab3',
      children: (0, _tabContent.DefaultContent3)(),
      onTabSelect: () => {}
    }],
    size: 'md',
    type: 'chip'
  }
};
const meta = {
  title: 'Tabs',
  component: _Tab.Tab,
  args: _TabStories.defaultArgs,
  argTypes: _TabStories.argTypes,
  parameters: {
    controls: {
      exclude: ['triggerNode', 'tabsContent', 'tabsData']
    }
  }
};
var _default = exports.default = meta;