"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabTriggerRadio = exports.TabTriggerButton = exports.TabList = exports.StyledText = void 0;
var Tab = _interopRequireWildcard(require("@radix-ui/react-tabs"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _utils = require("../utils");
var _Text = require("../Text/Text");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const getSizeStyles = (size, icon) => {
  switch (size) {
    case 'sm':
      return (0, _styledComponents.css)(["font-size:12px;padding:12px;"]);
    case 'md':
      return (0, _styledComponents.css)(["font-size:14px;padding:16px;", ""], icon && `padding-left: 8px;`);
  }
};
const StyledText = exports.StyledText = /*#__PURE__*/(0, _styledComponents.default)(_Text.Text).withConfig({
  displayName: "Tabstyled__StyledText",
  componentId: "sc-1fad97d-0"
})(["", " font-family:Montserrat;"], props => getSizeStyles(props.size, props.icon));
const TabTriggerButton = exports.TabTriggerButton = /*#__PURE__*/(0, _styledComponents.default)(Tab.Trigger).withConfig({
  displayName: "Tabstyled__TabTriggerButton",
  componentId: "sc-1fad97d-1"
})(["cursor:pointer;border:", ";width:", ";border-radius:12px 12px 0 0;color:", ";background-color:", ";&:hover{color:", ";background-color:", ";}&[data-state='active']{&:hover{background-color:", ";}&::after{margin:-4px 12px 0;content:'';display:block;height:4px;background-color:", ";border-radius:12px 12px 0 0;}&:hover{&::after{background-color:", ";}}}"], props => props.buttonBorder ? `1px solid ${(0, _utils.getPaletteColor)('border.light')(props)}` : 'none', props => props.dynamicTabWidth ? '100%' : 'auto', (0, _utils.getPaletteColor)('primary.base'), props => !props.isTransparent ? (0, _utils.getPaletteColor)('text.lightest')(props) : 'transparent', (0, _utils.getPaletteColor)('primary.dark'), props => !props.isTransparent ? (0, _utils.getPaletteColor)('background.base')(props) : 'transparent', props => !props.isTransparent ? (0, _utils.getPaletteColor)('primary.light')(props) : 'transparent', (0, _utils.getPaletteColor)('primary.base'), props => (0, _utils.getPaletteColor)('primary.dark')(props));
const TabTriggerRadio = exports.TabTriggerRadio = /*#__PURE__*/(0, _styledComponents.default)(Tab.Trigger).withConfig({
  displayName: "Tabstyled__TabTriggerRadio",
  componentId: "sc-1fad97d-2"
})(["cursor:pointer;}"]);
const TabList = exports.TabList = /*#__PURE__*/(0, _styledComponents.default)(Tab.List).withConfig({
  displayName: "Tabstyled__TabList",
  componentId: "sc-1fad97d-3"
})(["flex-direction:", ";"], props => props?.orientation === 'horizontal' ? 'row' : 'column');