"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabButton = void 0;
var _react = _interopRequireDefault(require("react"));
var _Tab = require("./Tab.styled");
var _Flex = require("../Flex/Flex");
var _Box = require("../Box/Box");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TabButton = ({
  border,
  tab,
  size,
  isTransparent,
  dynamicTabWidth,
  onTabSelect
}) => {
  return _react.default.createElement(_Tab.TabTriggerButton, {
    dynamicTabWidth: dynamicTabWidth,
    isTransparent: isTransparent,
    buttonBorder: border,
    value: `tab-${tab.id}`,
    key: `tab-${tab.id}`,
    onClick: () => onTabSelect()
  }, tab.icon ? _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    justifyContent: 'center'
  }, _react.default.createElement(_Box.Box, null, _react.default.createElement(tab.icon, {
    title: tab.icon.name,
    marginLeft: '14px',
    size: 24
  })), _react.default.createElement(_Tab.StyledText, {
    icon: tab.icon,
    size: size,
    textStyle: 'paragraph'
  }, tab.text))) : _react.default.createElement(_Tab.StyledText, {
    size: size,
    textStyle: 'paragraph'
  }, tab.text));
};
exports.TabButton = TabButton;