"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabChip = void 0;
var Tab = _interopRequireWildcard(require("@radix-ui/react-tabs"));
var _react = _interopRequireDefault(require("react"));
var _ChoiceChip = require("../Chip/ChoiceChip/ChoiceChip");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const TabChip = ({
  tab,
  buttonChipProps,
  onTabSelect,
  isActive,
  size,
  dynamicTabWidth
}) => {
  return _react.default.createElement(Tab.Trigger, {
    asChild: true,
    value: `tab-${tab.id}`,
    key: `tab-${tab.id}`
  }, _react.default.createElement(_ChoiceChip.ChoiceChip, {
    width: dynamicTabWidth ? '100%' : 'auto',
    onClick: () => onTabSelect(),
    ...buttonChipProps,
    Icon: tab.icon,
    label: tab.text,
    selected: isActive === tab.id,
    size: size
  }));
};
exports.TabChip = TabChip;