"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TabRadio = void 0;
var _react = _interopRequireDefault(require("react"));
var _Flex = require("../Flex/Flex");
var _Label = require("../Label/Label");
var _Radio = require("../Radio/Radio");
var _Tab = require("./Tab.styled");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const TabRadio = ({
  tab,
  isActive,
  onTabSelect
}) => {
  return _react.default.createElement(_Tab.TabTriggerRadio, {
    asChild: true,
    value: `tab-${tab.id}`,
    key: `tab-${tab.id}`
  }, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center',
    mr: 2
  }, _react.default.createElement(_Label.Label, {
    fontSize: '14px'
  }, _react.default.createElement(_Radio.Radio, {
    value: tab.id,
    checked: isActive === tab.id,
    name: tab.id,
    onChange: onTabSelect
  }), tab.text)));
};
exports.TabRadio = TabRadio;