"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.textShadow = exports.textDecoration = exports.regular = exports.caps = exports.bold = exports.Text = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _styledSystem = require("styled-system");
var _textAlignAttrs = require("../utils/attrs/textAlignAttrs");
var _typographyAttrs = require("../utils/attrs/typographyAttrs");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
const caps = props => {
  if (Array.isArray(props.caps) && props.caps.length === 0) {
    return null;
  }
  return props?.caps ? {
    textTransform: 'uppercase'
  } : null;
};
exports.caps = caps;
const regular = props => props.regular ? {
  fontWeight: props.theme.regular
} : null;
exports.regular = regular;
const bold = props => {
  if (Array.isArray(props.bold) && props.bold.length === 0) {
    return null;
  }
  return props.bold ? {
    fontWeight: props.theme.bold
  } : null;
};
exports.bold = bold;
const textDecoration = props => props.textDecoration ? `text-decoration: ${props.textDecoration};` : '';
exports.textDecoration = textDecoration;
const textShadow = props => {
  const textShadowSize = props.textShadowSize || 'md';
  return props.enableTextShadow ? {
    textShadow: props.theme.textShadows[textShadowSize]
  } : null;
};
exports.textShadow = textShadow;
const textProps = /*#__PURE__*/(0, _styledComponents.css)(["", " color:", ";", " ", " ", " ", " ", " ", " ", " ", " ", " ", ""], (0, _utils.applyVariations)('Text'), (0, _utils.getPaletteColor)('base'), props => props.bg ? `background-color: ${(0, _utils.getPaletteColor)(props.bg, 'base')(props)};` : '', bold, caps, _utils.colorScheme, regular, textDecoration, textShadow, _utils.textTransform, _utils.textWrap, props => (0, _styledSystem.compose)(_styledSystem.display, _styledSystem.height, _styledSystem.maxHeight, _styledSystem.maxWidth, _styledSystem.minHeight, _styledSystem.minWidth, _styledSystem.overflow, _styledSystem.space, _styledSystem.width, _styledSystem.fontSize, _styledSystem.fontStyle, _styledSystem.fontWeight, _styledSystem.lineHeight, _styledSystem.letterSpacing, _styledSystem.textAlign, _styledSystem.textStyle, _styledSystem.zIndex)(props));
const textAttrs = props => ({
  ...(0, _typographyAttrs.typographyAttrs)(props),
  ...(0, _textAlignAttrs.textAlignAttrs)(props)
});
/**
 * @public
 */
const Text = exports.Text = /*#__PURE__*/_styledComponents.default.div.attrs(textAttrs).withConfig({
  displayName: "Text",
  componentId: "sc-1xtb652-0"
})(["", ""], textProps);
const Span = /*#__PURE__*/_styledComponents.default.span.attrs(textAttrs).withConfig({
  displayName: "Text__Span",
  componentId: "sc-1xtb652-1"
})(["", ""], textProps);
const Paragraph = /*#__PURE__*/_styledComponents.default.p.attrs(textAttrs).withConfig({
  displayName: "Text__Paragraph",
  componentId: "sc-1xtb652-2"
})(["", ""], textProps);
const Strike = /*#__PURE__*/_styledComponents.default.s.attrs(textAttrs).withConfig({
  displayName: "Text__Strike",
  componentId: "sc-1xtb652-3"
})(["", ""], textProps);
Text.displayName = 'Text';
Text.span = Span;
Text.span.displayName = 'Text.span';
Text.p = Paragraph;
Text.p.displayName = 'Text.p';
Text.s = Strike;
Text.s.displayName = 'Text.s';