"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TextTransform = exports.TextStyleResponsive = exports.TextStyleGallery = exports.TextStyle = exports.TextDecoration = exports.TextAlign = exports.Strikethrough = exports.Span = exports.ResponsiveTypographyVsFontSize = exports.Regular = exports.ReactiveColor = exports.Paragraph = exports.MinMaxHeight = exports.Margin = exports.Italic = exports.HideOnLgBreakpoints = exports.FontStyle = exports.FontSize = exports.ColorSchemes = exports.Color = exports.Caps = exports.Bold = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Divider = require("../Divider/Divider");
var _args = require("../storybook/args");
var _typographyAttrs = require("../utils/attrs/typographyAttrs");
var _utils = require("../utils/utils");
var _Text = require("./Text");
var _TextStories = require("./Text.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Typography / Text',
  component: _Text.Text,
  args: _TextStories.defaultArgs,
  argTypes: _TextStories.argTypes,
  parameters: {
    docs: {
      description: {
        component: 'A low-level component for setting font-size, typographic styles, margin, and color'
      }
    }
  }
};
const Template = args => _react.default.createElement(_Box.Box, null, _react.default.createElement(_Text.Text, {
  m: 3,
  ...args
}, "Hello there."), _react.default.createElement(_Text.Text, {
  m: 3,
  ...args
}, "The quick brown fox jumps over the lazy dog to discover new deals every day."));
const TextStyle = exports.TextStyle = Template.bind({});
const TextStyleGallery = () => _react.default.createElement(_Box.Box, null, _typographyAttrs.textStylesValues.map(textStyle => _react.default.createElement(_Box.Box, {
  mb: 5,
  key: textStyle
}, _react.default.createElement(_Text.Text, {
  textStyle: textStyle
}, "The quick brown fox jumps over the lazy dog to discover new deals every day."), _react.default.createElement(_Text.Text, {
  my: 2,
  color: 'text.tint',
  textStyle: 'subheading5'
}, textStyle))));
exports.TextStyleGallery = TextStyleGallery;
const TextStyleResponsive = exports.TextStyleResponsive = Template.bind({});
TextStyleResponsive.args = {
  textStyle: ['heading6', 'heading5', 'heading4', 'heading3', 'heading2', 'heading1']
};
const FontSize = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  fontSize: 6
}, "Hello 6"), _react.default.createElement(_Text.Text, {
  fontSize: 5
}, "Hello 5"), _react.default.createElement(_Text.Text, {
  fontSize: 4
}, "Hello 4"), _react.default.createElement(_Text.Text, {
  fontSize: 3
}, "Hello 3"), _react.default.createElement(_Text.Text, {
  fontSize: 2
}, "Hello 2"), _react.default.createElement(_Text.Text, {
  fontSize: 1
}, "Hello 1"), _react.default.createElement(_Text.Text, {
  fontSize: 0
}, "Hello 0"));
exports.FontSize = FontSize;
const FontStyle = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  fontStyle: 'italic'
}, "Hello Italic"), _react.default.createElement(_Text.Text, {
  fontStyle: 'oblique'
}, "Hello Oblique"));
exports.FontStyle = FontStyle;
const TextAlign = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  textAlign: 'left'
}, "Hello Left"), _react.default.createElement(_Text.Text, {
  textAlign: 'center'
}, "Hello Center"), _react.default.createElement(_Text.Text, {
  textAlign: 'right'
}, "Hello Right"));
exports.TextAlign = TextAlign;
const TextDecoration = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  textDecoration: 'overline'
}, "Hello Overline"), _react.default.createElement(_Text.Text, {
  textDecoration: 'line-through'
}, "Hello Line-Through"), _react.default.createElement(_Text.Text, {
  textDecoration: 'underline'
}, "Hello Underline"));
exports.TextDecoration = TextDecoration;
const TextTransform = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  textTransform: 'capitalize'
}, "hello capitalize"), _react.default.createElement(_Text.Text, {
  textTransform: 'uppercase'
}, "hello uppercase"), _react.default.createElement(_Text.Text, {
  textTransform: 'lowercase'
}, "HELLO LOWERCASE"), _react.default.createElement(_Text.Text, {
  textTransform: 'none'
}, "Hello none"), _react.default.createElement(_Text.Text, {
  textTransform: 'uppercase',
  textStyle: 'heading5'
}, "hello uppercase heading5"));
exports.TextTransform = TextTransform;
const Regular = () => _react.default.createElement(_Text.Text, {
  regular: true
}, "Hello Regular");
exports.Regular = Regular;
const Bold = () => _react.default.createElement(_Text.Text, {
  bold: true
}, "Hello Bold");
exports.Bold = Bold;
const Caps = () => _react.default.createElement(_Text.Text, {
  caps: true
}, "Hello Caps");
exports.Caps = Caps;
const Italic = () => _react.default.createElement(_Text.Text, {
  italic: true
}, "Hello italic");
exports.Italic = Italic;
const Strikethrough = () => _react.default.createElement(_Text.Text.s, null, "Hello Strikethrough");
exports.Strikethrough = Strikethrough;
const Margin = () => _react.default.createElement(_Text.Text, {
  mt: 4,
  mb: 2
}, "Hello Margin");
exports.Margin = Margin;
const Color = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  color: 'blue'
}, "Hello Blue"), _react.default.createElement(_Text.Text, {
  color: 'green'
}, "Hello Green"));
exports.Color = Color;
const ReactiveText = /*#__PURE__*/(0, _styledComponents.default)(_Text.Text).withConfig({
  displayName: "Textstories__ReactiveText",
  componentId: "sc-1etsznv-0"
})(["color:", ";"], props => (0, _utils.getTextColorOn)(props.backgroundColor, props.lightColor, props.darkColor)(props));
const ReactiveColorTemplate = args => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, {
  mb: 2
}, "Uses the ", _react.default.createElement("code", null, "getTextColorOn"), " utility"), _react.default.createElement(_Box.Box, {
  color: args.backgroundColor,
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveText, {
  ...args
}, args.children)), _react.default.createElement(_Box.Box, {
  color: 'primary.light',
  p: 2,
  width: 300
}, _react.default.createElement(ReactiveText, {
  ...args,
  backgroundColor: 'background.lightest'
}, args.children)));
const ReactiveColor = exports.ReactiveColor = ReactiveColorTemplate.bind({});
ReactiveColor.args = {
  children: 'Hello There',
  backgroundColor: 'primary.base',
  lightColor: 'text.lightest',
  darkColor: 'text.base'
};
const MinMaxHeight = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  color: 'blue',
  minHeight: 200,
  minWidth: 300,
  width: 1
}, "Hello Blue"), _react.default.createElement(_Text.Text, {
  color: 'green',
  maxHeight: 200,
  maxWidth: 300
}, "Hello Green"));
exports.MinMaxHeight = MinMaxHeight;
const HideOnLgBreakpoints = () => _react.default.createElement("div", null, _react.default.createElement(_Text.Text, {
  color: 'primary',
  display: [null, null, null, 'none'],
  fontSize: 4,
  width: 1
}, "Hidden text on larger screens"), _react.default.createElement(_Text.Text, {
  color: 'secondary',
  fontSize: 4,
  width: 1
}, "I am always show. But the text above, hides on larger screens."));
exports.HideOnLgBreakpoints = HideOnLgBreakpoints;
const Span = () => _react.default.createElement(_Text.Text, null, "Just some text ", _react.default.createElement(_Text.Text.span, {
  bold: true
}, "Some span text"), " Just some more text");
exports.Span = Span;
const Paragraph = () => _react.default.createElement(_Text.Text.p, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.");
exports.Paragraph = Paragraph;
const ResponsiveTypographyVsFontSize = () => _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_Text.Text, null, "Actual (heading):"), _react.default.createElement(_Text.Text, {
  textStyle: ['heading2', null, null, 'heading1']
}, "Words and stuff heading textStyle"), _react.default.createElement(_Text.Text, null, "Expected (heading):"), _react.default.createElement(_Text.Text, {
  bold: true,
  fontSize: ['5', null, null, '6']
}, "Words and stuff heading fontSize"), _react.default.createElement(_Divider.Divider, null), _react.default.createElement(_Text.Text, null, "Actual (subheading):"), _react.default.createElement(_Text.Text, {
  textStyle: ['subheading4', null, null, 'subheading3']
}, "Words and stuff subheading textStyle"), _react.default.createElement(_Text.Text, null, "Expected (subheading):"), _react.default.createElement(_Text.Text, {
  fontSize: ['3', null, null, '4']
}, "Words and stuff subheading"));
exports.ResponsiveTypographyVsFontSize = ResponsiveTypographyVsFontSize;
const ColorSchemesTemplate = () => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Text.Text, {
    m: 3,
    p: 3,
    colorScheme: colorScheme,
    key: colorScheme,
    textStyle: 'heading1'
  }, _react.default.createElement(_Text.Text, null, colorScheme))));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};