"use strict";

var _react = _interopRequireDefault(require("react"));
var _ = require("..");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const id = 'fake-test-id';
describe('TextArea', () => {
  test('it renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_.TextArea, {
      id: id
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('it renders an input element with a red border with a color prop is passed', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_.TextArea, {
      id: id,
      color: 'error'
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('it renders an input element with a really large padding and margin', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_.TextArea, {
      id: id,
      p: 4,
      m: 4
    })).toJSON();
    expect(json).toMatchSnapshot();
  });
});