"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Colors = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports.WithExternalLabel = exports.TextAreaComponent = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Button = require("../Button/Button");
var _Label = require("../Label/Label");
var _TextArea = require("../TextArea/TextArea");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'TextArea',
  component: _TextArea.TextArea,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled textarea component that accepts a color.'
      }
    }
  }
};
const TextAreaComponent = () => _react.default.createElement(_TextArea.TextArea, {
  id: 'textarea-default',
  my: 3
});
exports.TextAreaComponent = TextAreaComponent;
const Colors = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-1',
  placeholder: 'No color'
}), _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-2',
  color: 'primary',
  placeholder: 'Primary'
}), _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-3',
  color: 'secondary',
  placeholder: 'Secondary'
}), _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-4',
  color: 'warning',
  placeholder: 'Warning'
}), _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-5',
  color: 'alert',
  placeholder: 'Alert'
}), _react.default.createElement(_TextArea.TextArea, {
  mb: 3,
  id: 'textarea-colors-6',
  color: 'caution',
  placeholder: 'Caution'
}));
exports.Colors = Colors;
const WithExternalLabel = () => _react.default.createElement(_Box.Box, {
  width: 400
}, _react.default.createElement(_Label.Label, {
  fontSize: 4,
  htmlFor: 'sample-textarea'
}, "Label!"), _react.default.createElement(_TextArea.TextArea, {
  id: 'sample-textarea',
  placeholder: 'Click the label'
}));
exports.WithExternalLabel = WithExternalLabel;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.value = 'Happy Panda :D';
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement(_TextArea.TextArea, {
      ref: dsRef,
      value: 'Sad Panda :('
    }), _react.default.createElement(_Button.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to change input value via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}