"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemeProvider = exports.Base = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _createTheme = require("../utils/createTheme");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * @public
 */
const Base = exports.Base = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "ThemeProvider__Base",
  componentId: "sc-1502h3l-0"
})(["font-family:", ";line-height:", ";font-weight:", ";*{box-sizing:border-box;}"], props => props.theme.font, props => props.theme.lineHeights.standard, props => props.theme.fontWeights.medium);
/**
 * @public
 */
const ThemeProvider = ({
  theme,
  customBreakpoints,
  ...props
}) => {
  // Once updated to React 16.8 this should be wrapped in React.useMemo()
  const mergedTheme = existingTheme => (0, _createTheme.createTheme)(theme, customBreakpoints, existingTheme);
  return _react.default.createElement(_styledComponents.ThemeProvider, {
    theme: mergedTheme
  }, _react.default.createElement(Base, {
    ...props
  }));
};
exports.ThemeProvider = ThemeProvider;