"use strict";

var _react = require("@testing-library/react");
var _react2 = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _theme = require("../theme/theme");
var _ThemeProvider = require("./ThemeProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('ThemeProvider', () => {
  describe('ThemeProvider: ThemeProvider', () => {
    it('should render correctly without throwing', () => {
      expect(() => {
        const {
          asFragment
        } = (0, _react.render)(_react2.default.createElement(_ThemeProvider.ThemeProvider, null));
        expect(asFragment()).toMatchSnapshot();
      }).not.toThrow();
    });
    it('should handle the "customBreakpoints" prop', () => {
      expect(() => {
        const {
          asFragment,
          getByTestId
        } = (0, _react.render)(_react2.default.createElement(_ThemeProvider.ThemeProvider, {
          customBreakpoints: ['20em', '32em', '48em', '64em']
        }, _react2.default.createElement(_Box.Box, {
          width: [1, 1 / 2, 1 / 4],
          "data-testid": 'ResponsiveBox'
        })));
        expect(asFragment()).toMatchSnapshot();
        const ResponsiveBox = getByTestId('ResponsiveBox');
        expect(ResponsiveBox).toHaveStyleRule('width', '100%');
        expect(ResponsiveBox).toHaveStyleRule('width', '50%', {
          media: 'screen and (min-width:20em)'
        });
        expect(ResponsiveBox).toHaveStyleRule('width', '25%', {
          media: 'screen and (min-width:32em)'
        });
      }).not.toThrow();
    });
  });
  describe('ThemeProvider: Base', () => {
    it('should render correctly with a "font-family" rule', () => {
      expect(() => {
        const {
          asFragment,
          container
        } = (0, _react.render)(_react2.default.createElement(_ThemeProvider.ThemeProvider, null, _react2.default.createElement(_ThemeProvider.Base, null)));
        expect(asFragment()).toMatchSnapshot();
        expect(container.firstChild).toHaveStyleRule('font-family', _theme.theme.font);
      }).not.toThrow();
    });
  });
});