"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CustomBreakpoints = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _Text = require("../Text/Text");
var _ThemeProvider = require("./ThemeProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'ThemeProvider',
  component: _ThemeProvider.ThemeProvider
}; // We could create a function to generate these arrays dynamically
const mediaSizes = {
  xs: ['99999em', '99999em', '99999em', '99999em', '99999em'],
  sm: ['32em', '99999em', '99999em', '99999em', '99999em'],
  md: ['0em', '40em', '99999em', '99999em', '99999em'],
  lg: ['0em', '0em', '48em', '99999em', '99999em'],
  xl: ['0em', '0em', '0em', '64em', '99999em'],
  xxl: ['0em', '0em', '0em', '0em', '80em']
};
/** @public */
const FixedThemeWrapper = ({
  children,
  size
}) => {
  const customBreakpoints = mediaSizes[size];
  if (!children) return null;
  if (!customBreakpoints) return children;
  return _react.default.createElement(_ThemeProvider.ThemeProvider, {
    customBreakpoints: customBreakpoints,
    "data-testid": 'theme-provider'
  }, children);
};
const CustomBreakpoints = () => {
  return ['xs', 'sm', 'md', 'lg', 'xl', 'xxl'].map(size => _react.default.createElement(FixedThemeWrapper, {
    size: size,
    key: 'size'
  }, _react.default.createElement(_Box.Box, {
    my: 2,
    key: size,
    color: 'white',
    bg: 'primary',
    width: [1, 1 / 2, 1 / 4]
  }, _react.default.createElement(_Box.Box, {
    width: '350px',
    mr: 3
  }, _react.default.createElement(_Text.Text, {
    fontSize: [3, null, null, 5]
  }, "TEST - ", size)))));
};
exports.CustomBreakpoints = CustomBreakpoints;