"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Toast = Toast;
var _react = _interopRequireWildcard(require("react"));
var _pclnIcons = require("pcln-icons");
var _Absolute = require("../Absolute/Absolute");
var _Flex = require("../Flex/Flex");
var _Relative = require("../Relative/Relative");
var _Text = require("../Text/Text");
var _Toast = require("./Toast.styled");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
/**
 * @public
 */
function Toast({
  children,
  color = 'text.light',
  hideClose,
  icon,
  id,
  lifespan,
  variation = 'fill',
  onRemoveClick,
  ...props
}) {
  (0, _react.useEffect)(() => {
    let timer;
    if (lifespan > 0) {
      timer = setTimeout(() => {
        onRemoveClick(id);
      }, lifespan);
    }
    return () => clearTimeout(timer);
  }, []);
  function handleRemoveClick() {
    onRemoveClick(id);
  }
  return _react.default.createElement(_Relative.Relative, null, _react.default.createElement(_Toast.LeftBorderFlex, {
    ...props,
    alignItems: 'center',
    borderRadius: 'lg',
    boxShadowSize: 'xl',
    color: color,
    justifyContent: 'space-between',
    variation: variation,
    p: 3,
    iconUsesColorScheme: !icon?.props.color
  }, icon && _react.default.createElement(_Flex.Flex, {
    mr: 3
  }, _react.default.cloneElement(icon, {
    color: variation === 'border' && color
  })), _react.default.createElement(_Flex.Flex, {
    width: '100%'
  }, typeof children === 'string' ? _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph'
  }, children) : children)), !hideClose && _react.default.createElement(_Absolute.Absolute, {
    top: -12,
    right: -12
  }, _react.default.createElement(_Toast.RoundIconButton, {
    borderRadius: 'full',
    boxShadowSize: 'sm',
    icon: _react.default.createElement(_pclnIcons.Close, {
      color: 'primary',
      size: 20,
      title: 'close-toast'
    }),
    onClick: handleRemoveClick
  })));
}