"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._Toast = exports._ColorSchemeBorderVariation = exports._ColorScheme = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Box = require("../Box/Box");
var _theme = require("../theme/theme");
var _Toast2 = require("./Toast");
var _ToastStories = require("./Toast.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Core / Toast',
  component: _Toast2.Toast,
  args: _ToastStories.defaultArgs,
  argTypes: _ToastStories.argTypes,
  decorators: [Story => _react.default.createElement(_Box.Box, {
    width: 300
  }, _react.default.createElement(Story, null))]
};
const Template = args => _react.default.createElement(_Toast2.Toast, {
  ...args
});
const _Toast = exports._Toast = Template.bind({});
const ColorSchemeTemplate = args => {
  return _theme.colorSchemeNames.map(colorScheme => _react.default.createElement(_Box.Box, {
    m: 3,
    key: colorScheme
  }, _react.default.createElement(_Toast2.Toast, {
    ...args,
    colorScheme: colorScheme
  })));
};
const _ColorScheme = exports._ColorScheme = ColorSchemeTemplate.bind({});
_ColorScheme.args = {
  icon: _react.default.createElement(_pclnIcons.InformationOutline, null)
};
const _ColorSchemeBorderVariation = exports._ColorSchemeBorderVariation = ColorSchemeTemplate.bind({});
_ColorSchemeBorderVariation.args = {
  icon: _react.default.createElement(_pclnIcons.InformationOutline, null),
  variation: 'border'
};