"use strict";

var _react = _interopRequireDefault(require("react"));
var _toasts = require("../__test__/mocks/toasts");
var _testingLibrary = require("../__test__/testing-library");
var _ToastProvider = require("./ToastProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
jest.mock('react-dom', () => ({
  ...jest.requireActual('react-dom'),
  createPortal: children => children
}));
// TODO: fix the tests that involve closing toasts
describe('ToastProvider', () => {
  it('renders success toast and clears it', async () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ToastProvider.ToastProvider, null, _react.default.createElement(_toasts.MockToastChildren, {
      variation: 'fill'
    })));
    expect(_testingLibrary.screen.queryByText('Success Toast Message')).not.toBeInTheDocument();
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    expect(_testingLibrary.screen.queryByText('Success Toast Message')).toBeInTheDocument();
    _testingLibrary.screen.getAllByRole('button');
    // const closeIcon = screen.getAllByTitle('close-toast')[0]
    // act(() => {
    //   fireEvent.click(closeIcon)
    //   jest.runAllTimers()
    // })
    // expect(screen.queryByText('Success Toast Message')).not.toBeInTheDocument()
  });
  it('renders the max number of toasts', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ToastProvider.ToastProvider, {
      domRootId: 'test',
      maxToasts: 4
    }, _react.default.createElement(_toasts.MockToastChildren, {
      variation: 'fill'
    })));
    expect(_testingLibrary.screen.queryByText('Success Toast')).not.toBeInTheDocument();
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Success Toast'));
    expect(_testingLibrary.screen.queryAllByText('Success Toast Message').length).toBe(4);
    (0, _testingLibrary.act)(() => {
      _testingLibrary.fireEvent.click(_testingLibrary.screen.getAllByRole('button')[0]);
      jest.runAllTimers();
    });
    expect(_testingLibrary.screen.queryAllByText('Success Toast Message').length).toBe(4);
    // act(() => {
    //   fireEvent.click(screen.getAllByTitle('close-toast')[0])
    //   jest.runAllTimers()
    // })
    // expect(screen.queryAllByText('Success Toast Message').length).toBe(3)
  });
  it('renders a custom toast', () => {
    (0, _testingLibrary.render)(_react.default.createElement(_ToastProvider.ToastProvider, {
      enterAnimation: 'scaleFromCenter',
      exitAnimation: 'expandDown',
      top: 20
    }, _react.default.createElement(_toasts.MockToastChildren, {
      variation: 'fill'
    })));
    expect(_testingLibrary.screen.queryByText('Custom Toast Message')).not.toBeInTheDocument();
    _testingLibrary.fireEvent.click(_testingLibrary.screen.queryByText('Add Custom Toast'));
    expect(_testingLibrary.screen.queryByText('Custom Toast Message')).toBeInTheDocument();
  });
});