"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ToastProvider = exports.TopAnimation = void 0;
var _react = _interopRequireDefault(require("react"));
var _toasts = require("../__test__/mocks/toasts");
var _ToastProvider2 = require("./ToastProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Core / ToastProvider',
  component: _ToastProvider2.ToastProvider,
  argTypes: {
    lifespan: {
      description: 'Lifespan in milliseconds before the Toast closes.'
    },
    variation: {
      control: 'select',
      options: ['border', 'fill'],
      defaultValue: 'fill'
    }
  }
};
const Template = args => _react.default.createElement(_ToastProvider2.ToastProvider, {
  domRootId: 'ToastProviderRoot',
  ...args
}, _react.default.createElement(_toasts.MockToastChildren, {
  variation: args.variation
}));
const _ToastProvider = exports._ToastProvider = Template.bind({});
const TopAnimation = args => _react.default.createElement(_ToastProvider2.ToastProvider, {
  domRootId: 'ToastProviderRoot',
  top: 20,
  enterAnimation: 'slideInTop',
  exitAnimation: 'slideOutTop'
}, _react.default.createElement(_toasts.MockToastChildren, {
  variation: args.variation
}));
exports.TopAnimation = TopAnimation;