"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ToggleComponent = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Toggle = require("./Toggle");
var _pclnIcons = require("pcln-icons");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var _default = exports.default = {
  title: 'Toggle',
  component: _Toggle.Toggle
};
const ToggleComponent = () => {
  const [isOn, setIsOn] = (0, _react.useState)(false);
  const onToggle = () => setIsOn(!isOn);
  const DollarIcon = props => _react.default.createElement(_pclnIcons.Dollar, {
    color: isOn ? 'primary.base' : 'background.dark',
    ...props
  });
  const icon = _react.default.createElement(DollarIcon, {
    size: 22
  });
  const largeIcon = _react.default.createElement(DollarIcon, {
    size: 48
  });
  return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("h4", null, "Default"), _react.default.createElement(_Toggle.Toggle, {
    label: 'Default',
    isOn: isOn,
    onToggle: onToggle
  }), _react.default.createElement("h4", null, "Large"), _react.default.createElement(_Toggle.Toggle, {
    label: 'Large',
    isOn: isOn,
    onToggle: onToggle,
    height: 50
  }), _react.default.createElement("h4", null, "With Icon"), _react.default.createElement(_Toggle.Toggle, {
    label: 'With Icon',
    isOn: isOn,
    onToggle: onToggle,
    icon: icon
  }), _react.default.createElement("h4", null, "Large With Icon"), _react.default.createElement(_Toggle.Toggle, {
    label: 'Large With Icon',
    isOn: isOn,
    onToggle: onToggle,
    height: 50,
    icon: largeIcon
  }), _react.default.createElement("h4", null, "Disabled"), _react.default.createElement(_Toggle.Toggle, {
    label: 'Default',
    isOn: isOn,
    onToggle: onToggle,
    disabled: true
  }));
};
exports.ToggleComponent = ToggleComponent;