"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AGroup = void 0;
exports.ForwardRefs = ForwardRefs;
exports.default = exports.UnselectedWithDifferentBackgroundColor = exports.Unselected = exports.ToggleBadgeComponent = exports.Selected = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _ToggleBadgeStories = require("./ToggleBadge.stories.args");
var _ForwardRefsDemo = _interopRequireDefault(require("../storybook/utils/ForwardRefsDemo"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'ToggleBadge',
  component: _.ToggleBadge,
  parameters: {
    docs: {
      description: {
        component: 'Use the <ToggleBadge /> component to render a primitive ToggleBadge.'
      }
    }
  },
  argTypes: _ToggleBadgeStories.argTypes
};
const Template = args => _react.default.createElement(_.ToggleBadge, {
  ...args
}, "ToggleBadge");
const ToggleBadgeComponent = exports.ToggleBadgeComponent = Template.bind({});
const Selected = () => _react.default.createElement(_.ToggleBadge, {
  selected: true
}, "Selected - Badge");
exports.Selected = Selected;
const Unselected = () => _react.default.createElement(_.ToggleBadge, null, "Un - Selected - Badge");
exports.Unselected = Unselected;
const UnselectedWithDifferentBackgroundColor = () => _react.default.createElement(_.ToggleBadge, {
  unSelectedBg: 'yellow'
}, "Un - Selected - Badge");
exports.UnselectedWithDifferentBackgroundColor = UnselectedWithDifferentBackgroundColor;
const AGroup = () => _react.default.createElement("div", null, _react.default.createElement(_.ToggleBadge, {
  selected: true
}, "Flight + Hotel"), _react.default.createElement(_.ToggleBadge, null, "Flight + Hotel + Car"), _react.default.createElement(_.ToggleBadge, null, "Flight + Car"));
exports.AGroup = AGroup;
function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      dsRef.current.focus();
    }
    return _react.default.createElement(_react.default.Fragment, null, _react.default.createElement("div", null, _react.default.createElement(_.ToggleBadge, {
      selected: true
    }, "Flight + Hotel"), _react.default.createElement(_.ToggleBadge, {
      ref: dsRef
    }, "Flight + Hotel + Car"), _react.default.createElement(_.ToggleBadge, null, "Flight + Car")), _react.default.createElement(_.Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus second badge via ref"));
  }
  return _react.default.createElement(_ForwardRefsDemo.default, {
    refChild: refChild
  });
}