"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Tooltip = void 0;
var _themeGet = require("@styled-system/theme-get");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _Box = require("../Box/Box");
var _utils = require("../utils/utils");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const arrowShadow = props => {
  return props.top ? {
    'box-shadow': '-9.66px 9.66px 8px 0 rgba(0,0,0,0.04), -4px 4px 4px 0 rgba(0,0,0,0.08)'
  } : {
    'box-shadow': '-1.41px 1.41px 1px 0 rgba(0,0,0,0.01), -3.66px 3.66px 8px 0 rgba(0,0,0,0.04)'
  };
};
const arrowAlign = props => {
  return props.left ? {
    left: '16px',
    'margin-left': props.top ? 0 : '15px'
  } : props.center ? {
    left: '50%',
    'margin-left': props.top ? '-7px' : '7px'
  } : {
    right: '16px',
    'margin-right': props.top ? '5px' : '-10px'
  };
};
const arrowPosition = props => {
  return props.top ? {
    'transform-origin': '0 0',
    transform: 'rotate(-45deg)',
    bottom: '-10px'
  } : {
    'transform-origin': '0 0',
    transform: 'rotate(-225deg)',
    top: '0'
  };
};
const arrow = props => {
  return props.top ? {
    'transform-origin': '0 0',
    transform: 'rotate(-45deg)'
  } : {
    'transform-origin': '0 0',
    transform: 'rotate(-225deg)'
  };
};
const tooltipPosition = props => {
  return props.top ? {
    bottom: '-8px'
  } : {
    top: 0
  };
};
const tooltipAlign = props => {
  return props.right ? {
    right: 0
  } : props.center ? {
    left: '50%',
    width: 'auto',
    transform: 'translateX(-50%)'
  } : null;
};
const TooltipContent = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "Tooltip__TooltipContent",
  componentId: "sc-pi4gzw-0"
})(["display:inline;font-size:", "px;position:absolute;box-sizing:border-box;background:", ";text-align:center;", " ", " &::after{content:'';position:absolute;width:0;height:0;border-width:5px;border-style:solid;border-color:transparent transparent ", " ", ";", " ", " ", " ", ";", "}", " ", ""], ({
  theme
}) => theme.fontSizes[0], props => (0, _utils.getPaletteColor)(props.bg || props.color, 'base')(props), tooltipPosition, tooltipAlign, props => (0, _utils.getPaletteColor)(props.bg || props.color, 'base')(props), props => (0, _utils.getPaletteColor)(props.bg || props.color, 'base')(props), arrow, arrowPosition, arrowAlign, arrowShadow, props => {
  const colorScheme = (0, _themeGet.themeGet)(`colorSchemes.${props.colorScheme}`)(props);
  return colorScheme ? `
        color: ${colorScheme.background};
        border-color: ${colorScheme.background};
      ` : '';
}, _utils.colorScheme, (0, _utils.applyVariations)('Tooltip'));
const defaultProps = {
  borderRadius: 'md',
  position: 'bottom',
  color: 'background.lightest',
  zIndex: 'auto'
};
function _Tooltip({
  children,
  ...props
}) {
  return _react.default.createElement("div", {
    style: {
      position: 'relative',
      zIndex: props.zIndex
    }
  }, _react.default.createElement(TooltipContent, {
    p: 2,
    mb: 3,
    mt: 2,
    boxShadowSize: 'md',
    ...props
  }, children));
}
_Tooltip.defaultProps = defaultProps;
/**
 * @public
 */
const Tooltip = exports.Tooltip = /*#__PURE__*/(0, _styledComponents.withTheme)(_Tooltip);