"use strict";

var _react = _interopRequireDefault(require("react"));
var _Tooltip = require("./Tooltip");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
describe('Tooltip', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, null, "A Tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top left', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      color: 'primary',
      top: true,
      left: true
    }, "left tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top center', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      color: 'primary',
      top: true,
      center: true
    }, "centered tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top right', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      color: 'error',
      top: true,
      right: true
    }, "right tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom left', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      bottom: true,
      left: true
    }, "left tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom center', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      bottom: true,
      center: true
    }, "centered tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom right', () => {
    const json = rendererCreateWithTheme(_react.default.createElement(_Tooltip.Tooltip, {
      bottom: true,
      right: true
    }, "right tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
});