"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithoutAnchors = exports.WithAnchors = exports.TooltipComponent = exports.ColorSchemes = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Flex = require("../Flex/Flex");
var _FormField = require("../FormField/FormField");
var _Input = require("../Input/Input");
var _Label = require("../Label/Label");
var _args = require("../storybook/args");
var _Tooltip = require("./Tooltip");
var _TooltipStories = require("./Tooltip.stories.args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const FlexColumn = /*#__PURE__*/(0, _styledComponents.default)(_Flex.Flex).withConfig({
  displayName: "Tooltipstories__FlexColumn",
  componentId: "sc-14hf9ud-0"
})(["flex-direction:column;"]);
var _default = exports.default = {
  title: 'Tooltip',
  component: _Tooltip.Tooltip,
  argTypes: _TooltipStories.argTypes
};
const Template = args => _react.default.createElement(_Tooltip.Tooltip, {
  ...args
}, "I am a tooltip!");
const TooltipComponent = exports.TooltipComponent = Template.bind({});
TooltipComponent.args = {
  color: 'primary'
};
const WithoutAnchors = () => _react.default.createElement(_Box.Box, {
  mt: 5,
  width: 500
}, _react.default.createElement(_Tooltip.Tooltip, {
  color: 'primary',
  top: true,
  left: true
}, "left tooltip"), _react.default.createElement(_Tooltip.Tooltip, {
  color: 'primary',
  top: true,
  center: true
}, "centered tooltip"), _react.default.createElement(_Tooltip.Tooltip, {
  color: 'error',
  top: true,
  right: true
}, "right tooltip"), _react.default.createElement("br", null), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  left: true
}, "left tooltip"), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  center: true
}, "centered tooltip"), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  right: true
}, "right tooltip"));
exports.WithoutAnchors = WithoutAnchors;
const WithAnchors = () => _react.default.createElement(FlexColumn, {
  justifyContent: 'space-between',
  wrap: 'wrap'
}, _react.default.createElement(_Box.Box, {
  width: 300,
  p: 2,
  my: 2
}, _react.default.createElement(_Tooltip.Tooltip, {
  top: true,
  left: true,
  color: 'primary'
}, "top left tooltip"), _react.default.createElement("div", null, "some text")), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: 5
}, _react.default.createElement("div", null, "some text"), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  left: true,
  color: 'error'
}, "bottom left tooltip")), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: 55
}, _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-3',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'primary'
})), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  left: true,
  color: 'primary'
}, "bottom left tooltip")), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: 5
}, _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-4',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'primary'
})), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  center: true,
  color: 'primary'
}, "bottom center tooltip")), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: '80px'
}, _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-5',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'error'
})), _react.default.createElement(_Tooltip.Tooltip, {
  bottom: true,
  right: true,
  color: 'error'
}, "Email Address Invalid")), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: 5
}, _react.default.createElement(_Tooltip.Tooltip, {
  top: true,
  left: true,
  color: 'primary'
}, "top left tooltip"), _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-6',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'primary'
}))), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2,
  mb: 5
}, _react.default.createElement(_Tooltip.Tooltip, {
  top: true,
  center: true,
  color: 'primary'
}, "top center tooltip"), _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-7',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'primary'
}))), _react.default.createElement(_Box.Box, {
  width: '300px',
  p: 2
}, _react.default.createElement(_Tooltip.Tooltip, {
  top: true,
  right: true,
  color: 'primary'
}, "top right tooltip"), _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
  defaultValue: 'albus.dumbledore@priceline.com',
  id: 'form-field-8',
  placeholder: 'example@test.com'
}), _react.default.createElement(_pclnIcons.Check, {
  color: 'primary'
}))));
exports.WithAnchors = WithAnchors;
const ColorSchemesTemplate = () => {
  return _react.default.createElement(_react.default.Fragment, null, _args.colorSchemeNames.map(colorScheme => _react.default.createElement(_Box.Box, {
    mb: '70px',
    key: colorScheme
  }, _react.default.createElement(_Tooltip.Tooltip, {
    top: true,
    right: true,
    colorScheme: colorScheme
  }, _react.default.createElement(_Flex.Flex, {
    alignItems: 'center'
  }, _react.default.createElement(_pclnIcons.Bus, {
    mr: 2
  }), colorScheme)), _react.default.createElement(_FormField.FormField, null, _react.default.createElement(_Label.Label, null, "Email Address"), _react.default.createElement(_Input.Input, {
    defaultValue: 'albus.dumbledore@priceline.com',
    id: 'form-field-7',
    placeholder: 'example@test.com'
  }), _react.default.createElement(_pclnIcons.Check, {
    color: 'primary'
  })))));
};
const ColorSchemes = exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};