"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.successOptions = exports.informationOptions = exports.errorOptions = exports.customOptions = exports.MockToastChildren = void 0;
var _pclnIcons = require("pcln-icons");
var _react = _interopRequireDefault(require("react"));
var _Button = require("../../Button/Button");
var _Flex = require("../../Flex/Flex");
var _Text = require("../../Text/Text");
var _ToastProvider = require("../../ToastProvider/ToastProvider");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const errorOptions = exports.errorOptions = {
  children: 'Error Toast Message',
  color: 'error',
  icon: _react.default.createElement(_pclnIcons.Attention, null)
};
const informationOptions = exports.informationOptions = {
  children: 'Information Toast Message',
  color: 'primary',
  icon: _react.default.createElement(_pclnIcons.InformationOutline, null)
};
const successOptions = exports.successOptions = {
  children: 'Success Toast Message',
  color: 'success',
  icon: _react.default.createElement(_pclnIcons.Check, null)
};
const customOptions = exports.customOptions = {
  children: _react.default.createElement(_Text.Text, {
    textStyle: 'paragraphBold'
  }, "Custom Toast Message"),
  enterAnimation: 'expandDown',
  exitAnimation: 'fadeIn',
  hideClose: true,
  lifespan: 2000
};
const MockToastChildren = ({
  variation
}) => {
  const {
    addToast
  } = (0, _ToastProvider.useToast)();
  return _react.default.createElement(_Flex.Flex, null, _react.default.createElement(_Button.Button, {
    color: 'error',
    onClick: () => addToast({
      ...errorOptions,
      variation
    })
  }, "Add Error Toast"), _react.default.createElement(_Button.Button, {
    onClick: () => addToast({
      ...informationOptions,
      variation
    }),
    mx: 3
  }, "Add Information Toast"), _react.default.createElement(_Button.Button, {
    color: 'success',
    onClick: () => addToast({
      ...successOptions,
      variation
    })
  }, "Add Success Toast"), _react.default.createElement(_Button.Button, {
    color: 'text.light',
    onClick: () => addToast({
      ...customOptions,
      variation
    }),
    ml: 3
  }, "Add Custom Toast"));
};
exports.MockToastChildren = MockToastChildren;