"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ResponsiveDemo = exports.BorderRadiusDemo = void 0;
var _react = _interopRequireDefault(require("react"));
var _ = require("..");
var _BorderRadiusStories = require("./BorderRadius.stories.args");
var _args = require("../storybook/args");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Design / Border Radius',
  component: _.Box,
  args: _BorderRadiusStories.defaultArgs,
  argTypes: _BorderRadiusStories.argTypes,
  parameters: {
    docs: {
      description: {
        component: `Demonstration of the borderRadius and rounded props`
      }
    }
  }
};
const Template = args => {
  return _react.default.createElement(_.Box, {
    width: '100%'
  }, ['round', ..._args.rounded].map(round => {
    return round ? _react.default.createElement(_.Box, {
      key: round,
      m: 4,
      display: 'inline-block'
    }, _react.default.createElement(_.Box, {
      ...args,
      size: '200px',
      p: 3,
      rounded: round
    }), _react.default.createElement(_.Text, {
      my: 3,
      textAlign: 'center'
    }, round)) : null;
  }));
};
const BorderRadiusDemo = exports.BorderRadiusDemo = Template.bind({});
BorderRadiusDemo.argTypes = {
  ..._BorderRadiusStories.argTypes,
  borderRadius: _BorderRadiusStories.borderRadiusArgType
};
const ResponsiveDemo = exports.ResponsiveDemo = Template.bind({});
ResponsiveDemo.args = {
  ..._BorderRadiusStories.defaultArgs,
  borderRadius: ['lg', 'xl', '2xl', '3xl', 'full']
};