"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TwoColumn = exports.TiledCards = exports.Navbar = exports.Grid = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _ = require("..");
var _pclnIcons = require("pcln-icons");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'Layout/Layout Examples'
};
const Grid = () => _react.default.createElement(_.Box, {
  p: 4
}, _react.default.createElement(_.Flex, {
  mx: -3
}, _react.default.createElement(_.Box, {
  width: [1, 1 / 2],
  px: 3,
  mb: 4
}, _react.default.createElement(_.Box, {
  bg: 'background.light'
}, _react.default.createElement(_.Text, null, "Hello"))), _react.default.createElement(_.Box, {
  width: [1, 1 / 2],
  px: 3,
  mb: 4
}, _react.default.createElement(_.Box, {
  bg: 'background.light'
}, _react.default.createElement(_.Text, null, "Hello")))));
exports.Grid = Grid;
const TwoColumn = () => _react.default.createElement(_.Flex, null, _react.default.createElement(_.Box, {
  px: 3,
  width: 1 / 4
}, _react.default.createElement(_.Box, {
  bg: 'background.light',
  style: {
    minHeight: '50vh'
  }
}, _react.default.createElement(_.Text, null, "Hello"))), _react.default.createElement(_.Box, {
  px: 3,
  width: 3 / 4
}, _react.default.createElement(_.Box, {
  bg: 'background.light',
  style: {
    minHeight: '50vh'
  }
}, _react.default.createElement(_.Text, null, "Hello"))));
exports.TwoColumn = TwoColumn;
const Navbar = () => _react.default.createElement(_.Flex, {
  p: 2,
  alignItems: 'center',
  color: 'primary'
}, _react.default.createElement(_pclnIcons.Hotels, {
  mr: 2
}), _react.default.createElement(_.Text, {
  bold: true,
  mx: 2
}, "Hello"), _react.default.createElement(_.Text, {
  mx: 2
}, "Navbar"), _react.default.createElement(_.Text, {
  ml: 'auto',
  mr: 2
}, "Right Side"));
exports.Navbar = Navbar;
const cards = Array.from({
  length: 12
}).map((n, i) => ({
  id: i,
  title: 'Hello' + i,
  text: 'Card',
  image: 'http://placehold.it/512x256/007aff'
}));
const Border = /*#__PURE__*/(0, _styledComponents.default)(_.Box).withConfig({
  displayName: "Layoutsstories__Border",
  componentId: "sc-wq9aq-0"
})(["border:1px solid ", ";border-radius:3px;"], (0, _.getPaletteColor)('background.base'));
const Card = ({
  image,
  title,
  text
}) => _react.default.createElement(Border, {
  p: 1
}, _react.default.createElement(_.Image, {
  src: image,
  width: '512',
  height: '256'
}), _react.default.createElement(_.Heading, {
  fontSize: 2,
  mt: 1
}, title), _react.default.createElement(_.Text, {
  fontSize: 1
}, text));
const TiledCards = () => _react.default.createElement(_.Flex, {
  flexWrap: 'wrap'
}, cards.map(card => _react.default.createElement(_.Box, {
  key: card.id,
  p: 3,
  width: [1 / 2, 1 / 3, 1 / 4]
}, _react.default.createElement(Card, {
  ...card
}))));
exports.TiledCards = TiledCards;