"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports._ZIndices = exports.InputWithShadowOverlay = exports.InputWithShadowEffect = void 0;
var _react = _interopRequireWildcard(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Divider = require("../Divider/Divider");
var _Flex = require("../Flex/Flex");
var _Input = require("../Input/Input");
var _ShadowEffect = require("../ShadowEffect/ShadowEffect");
var _Text = require("../Text/Text");
var _createTheme = require("../utils/createTheme");
var _utils = require("../utils/utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const LightBackgroundInput = /*#__PURE__*/(0, _styledComponents.default)(_Input.Input).withConfig({
  displayName: "ZIndicesstories__LightBackgroundInput",
  componentId: "sc-1anblza-0"
})(["background-color:", ";"], (0, _utils.getPaletteColor)('background.lightest'));
const theme = (0, _createTheme.createTheme)();
var _default = exports.default = {
  title: 'Design / z-indices'
};
const _ZIndices = () => {
  return _react.default.createElement(_Box.Box, null, _react.default.createElement(_Text.Text, {
    textStyle: 'heading4'
  }, "Priceline z-index map"), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "All Design System components will now use these z-index values where appropriate."), _react.default.createElement(_Text.Text, {
    textStyle: 'paragraph',
    my: 3
  }, "Components also accept the mapped keys to their zIndex prop now. See the input example to see how."), _react.default.createElement(_Flex.Flex, {
    justifyContent: 'space-between',
    width: 200
  }, _react.default.createElement(_Text.Text.span, null, "Key"), _react.default.createElement(_Text.Text.span, null, "Value")), _react.default.createElement(_Divider.Divider, null), Object.keys(theme.zIndices)?.map(key => {
    return _react.default.createElement(_Flex.Flex, {
      key: key,
      justifyContent: 'space-between',
      width: 200,
      mb: 2
    }, _react.default.createElement(_Text.Text.span, null, key), _react.default.createElement(_Text.Text.span, null, theme.zIndices[key]));
  }));
};
exports._ZIndices = _ZIndices;
const InputWithShadowOverlay = () => {
  const [showOverlay, setShowOverlay] = (0, _react.useState)(false);
  const handleHideOverlay = () => setShowOverlay(false);
  const handleShowOverlay = () => setShowOverlay(true);
  return _react.default.createElement(_react.default.Fragment, null, showOverlay && _react.default.createElement(_ShadowEffect.ShadowOverlay, null), _react.default.createElement(LightBackgroundInput, {
    placeholder: 'z-index Overlay Example',
    zIndex: showOverlay ? 'onOverlay' : 'auto',
    onBlur: handleHideOverlay,
    onFocus: handleShowOverlay
  }));
};
exports.InputWithShadowOverlay = InputWithShadowOverlay;
const InputWithShadowEffect = () => _react.default.createElement(_ShadowEffect.ShadowEffect, null, _react.default.createElement(LightBackgroundInput, {
  placeholder: 'z-index Overlay Example'
}));
exports.InputWithShadowEffect = InputWithShadowEffect;