"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.zIndicies = exports.textStyles = exports.storybookArgs = exports.spaceArgs = exports.shadows = exports.rounded = exports.objectPositions = exports.objectFits = exports.inputArgs = exports.fontSizes = exports.colors = exports.colorSchemeNames = exports.chipWithShadowVariationArgs = exports.borderStyles = exports.borderRadii = void 0;
var _theme = require("../../theme");
var _utils = require("../../utils");
const colorSchemeNames = exports.colorSchemeNames = _theme.colorSchemeNames;
const colors = exports.colors = ['', ..._theme.paletteFamilyNames, 'NOTVALID'];
const borderRadii = exports.borderRadii = ['', ..._utils.borderRadiusValues, 'NOTVALID'];
const borderStyles = exports.borderStyles = ['none', 'hidden', 'dotted', 'dashed', 'solid', 'double', 'groove', 'ridge', 'inset', 'outset', 'initial', 'inherit'];
const rounded = exports.rounded = ['', ..._utils.roundedValues, 'NOTVALID'];
const shadows = exports.shadows = ['', ..._utils.boxShadowSizeValues, 'NOTVALID'];
const textStyles = exports.textStyles = ['', ..._utils.textStylesValues, 'NOTVALID'];
const inputArgs = exports.inputArgs = ['sm', 'md', 'lg', 'xl'];
const spaceArgs = exports.spaceArgs = ['m', 'mt', 'mr', 'mb', 'ml', 'mx', 'my', 'p', 'pt', 'pr', 'pb', 'pl', 'px', 'py'].reduce((acc, prop) => {
  acc[prop] = {
    name: prop,
    type: {
      name: 'string'
    },
    description: prop,
    table: {
      disable: true
    }
  };
  return acc;
}, {});
const fontSizes = exports.fontSizes = [0, 1, 2, 3, 4, 5, 6, 7, 8];
const objectFits = exports.objectFits = ['', ..._utils.objectFitValues, 'NOTVALID'];
const objectPositions = exports.objectPositions = ['', ..._utils.objectPositionValues, 'NOTVALID'];
const zIndicies = exports.zIndicies = _theme.zIndices;
const chipWithShadowVariationArgs = exports.chipWithShadowVariationArgs = [{
  label: 'Enabled',
  variation: 'shadow'
}, {
  label: 'Selected',
  selected: true,
  variation: 'shadow'
}, {
  label: 'Disabled',
  disabled: true,
  variation: 'shadow'
}, {
  label: 'Selected Disabled',
  disabled: true,
  selected: true,
  variation: 'shadow'
}];
/**
 * @public
 */
const storybookArgs = exports.storybookArgs = {
  colorSchemeNames,
  colors,
  borderRadii,
  borderStyles,
  rounded,
  shadows,
  textStyles,
  inputArgs,
  spaceArgs,
  fontSizes,
  objectFits,
  objectPositions,
  zIndicies,
  chipWithShadowVariationArgs
};