"use strict";

var _ = require("..");
const aliases = ['sm', 'md', 'lg', 'xl', 'xxl'];
describe('theme', () => {
  console.warn = jest.fn();
  test('exports an object', () => {
    expect(typeof _.theme).toBe('object');
  });
  test('snapshot', () => {
    expect(_.theme).toMatchSnapshot();
  });
  test('exports colors', () => {
    expect(typeof _.colors).toBe('object');
  });
  test('breakpoints have aliases', () => {
    aliases.forEach((alias, i) => expect(_.theme.breakpoints[alias]).toEqual(_.theme.breakpoints[i]));
  });
  test('media queries have aliases', () => {
    aliases.forEach((alias, i) => expect(_.theme.mediaQueries[alias]).toEqual(_.theme.mediaQueries[i]));
  });
});