"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _styledComponents = _interopRequireDefault(require("styled-components"));
var _Box = require("../Box/Box");
var _Text = require("../Text/Text");
var _useScrollWithShadow = require("./useScrollWithShadow");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = exports.default = {
  title: 'useScrollWithShadows'
};
const ShadowTransitionBox = /*#__PURE__*/(0, _styledComponents.default)(_Box.Box).withConfig({
  displayName: "useScrollWithShadowsstories__ShadowTransitionBox",
  componentId: "sc-164yo6q-0"
})(["transition:all 0.3s ease-in-out;"]);
const Template = () => {
  // Step 1: Use the hook to get the boxShadow value and scroll handler for the overflow container
  const {
    boxShadow,
    onScrollHandler
  } = (0, _useScrollWithShadow.useScrollWithShadow)();
  return (
    // Step 2: Apply the onScrollHandler and boxShadow values to the container
    _react.default.createElement(ShadowTransitionBox, {
      height: '300px',
      overflow: 'scroll',
      onScroll: onScrollHandler,
      style: {
        boxShadow
      }
    }, _react.default.createElement(_Box.Box, {
      height: '1000px'
    }, _react.default.createElement(_Text.Text, {
      textStyle: 'heading1',
      mt: 3
    }, "useScrollWithShadow()"), _react.default.createElement(_Text.Text, {
      textStyle: 'subheading1',
      mt: 3
    }, "Use this hook to apply a shadow to the top of a container when the user scrolls."), _react.default.createElement(_Text.Text, {
      textStyle: 'paragraph',
      mt: 3
    }, "Click the \"Show Code\" button for usage instructions. Scroll to see the effect.")))
  );
};
const Basic = exports.Basic = Template.bind({});