"use strict";

var _createTheme = require("../createTheme");
var _borderRadiusAttrs = require("./borderRadiusAttrs");
const theme = (0, _createTheme.createTheme)();
describe('borderRadiusAttrs', () => {
  it.each(_borderRadiusAttrs.borderRadiusValues)('works with rounded=full and borderRadius=%s', radius => {
    const attrs = (0, _borderRadiusAttrs.borderRadiusAttrs)({
      borderRadius: radius,
      rounded: null,
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
  it.each(_borderRadiusAttrs.roundedValues)('works with rounded=%s and borderRadius=xl', rounded => {
    const attrs = (0, _borderRadiusAttrs.borderRadiusAttrs)({
      borderRadius: 'xl',
      rounded,
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
  it('should handle an array prop', () => {
    const attrs = (0, _borderRadiusAttrs.borderRadiusAttrs)({
      borderRadius: [..._borderRadiusAttrs.borderRadiusValues, '9999px'],
      rounded: null,
      theme
    });
    expect(attrs).toMatchSnapshot();
  });
});