"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.objectPosition = objectPosition;
exports.objectPositionValues = void 0;
var _styledSystem = require("styled-system");
const OBJECT_POSITION_PROPS_TO_CSS_VALUE = {
  left: 'left',
  right: 'right',
  top: 'top',
  topLeft: 'top left',
  topRight: 'top right',
  bottom: 'bottom',
  bottomLeft: 'bottom left',
  bottomRight: 'bottom right',
  center: 'center',
  centerTop: 'center top',
  centerBottom: 'center bottom',
  centerLeft: 'center left',
  centerRight: 'center right'
};
const values = Object.values(OBJECT_POSITION_PROPS_TO_CSS_VALUE);
/**
 * @public
 */
const objectPositionValues = exports.objectPositionValues = [...values];
/**
 * @public
 */
function objectPosition() {
  return (0, _styledSystem.system)({
    objectPosition: {
      property: 'objectPosition',
      transform: val => OBJECT_POSITION_PROPS_TO_CSS_VALUE[val] ?? OBJECT_POSITION_PROPS_TO_CSS_VALUE.center
    }
  });
}