import * as Accordion from '@radix-ui/react-accordion';
import { themeGet } from '@styled-system/theme-get';
import { ChevronDown } from 'pcln-icons';
import styled, { keyframes } from 'styled-components';
import { space } from 'styled-system';
import { Box } from '../Box/Box';
import { borderRadiusAttrs } from '../utils/attrs/borderRadiusAttrs';
import { getPaletteColor } from '../utils/utils';
const slideDown = /*#__PURE__*/keyframes(["from{height:0;}to{height:var(--radix-accordion-content-height);}"]);
const slideUp = /*#__PURE__*/keyframes(["from{height:var(--radix-accordion-content-height);}to{height:0;}"]);
export const StyledAccordionRoot = /*#__PURE__*/styled(Accordion.Root).withConfig({
  displayName: "Accordionstyled__StyledAccordionRoot",
  componentId: "sc-1t08mt0-0"
})(["", ""], props => props.variation === 'ladder' ? `
      overflow: hidden;
      box-shadow: ${themeGet('shadows.sm')(props)};
      border-radius: ${themeGet('borderRadii.lg')(props)};
    ` : '');
export const StyledContent = /*#__PURE__*/styled(Accordion.Content).withConfig({
  displayName: "Accordionstyled__StyledContent",
  componentId: "sc-1t08mt0-1"
})(["overflow:hidden;", " background-color:", ";&[data-state='open']{animation:", " ", " ", ";}&[data-state='closed']{animation:", " ", " ", ";}"], space, props => props.variation === 'default' ? getPaletteColor('background.light')(props) : '#fff', slideDown, themeGet('duration.normal'), themeGet('timingFunctions.easeInOut'), slideUp, themeGet('duration.normal'), themeGet('timingFunctions.easeInOut'));
export const StyledTrigger = /*#__PURE__*/styled(Accordion.Trigger).attrs(borderRadiusAttrs).withConfig({
  displayName: "Accordionstyled__StyledTrigger",
  componentId: "sc-1t08mt0-2"
})(["all:unset;box-sizing:border-box;display:flex;justify-content:space-between;width:100%;color:", ";&[data-state='open'] .chevron{transform:rotate(180deg);}&[data-state='closed']{", "}", " ", " ", " &:hover{cursor:pointer;", "}&:focus-visible{outline:2px solid ", ";outline-offset:-2px;}"], props => props.variation === 'hug' ? getPaletteColor('text.lightest')(props) : '', props => props.variation === 'flatCard' ? `background-color: ${getPaletteColor('background.light')(props)}` : '', props => props.variation === 'ladder' ? '' : `
    border-top-left-radius: ${themeGet('borderRadii.lg')};
    border-top-right-radius: ${themeGet('borderRadii.lg')};
  `, space, props => `border-bottom: 1px solid ${props.variation === 'underline' ? getPaletteColor('border.base')(props) : 'transparent'};`, props => `background-color: ${props.variation === 'hug' ? getPaletteColor('primary.dark')(props) : getPaletteColor('background.base')(props)};`, getPaletteColor('primary.dark'));
export const StyledChevron = /*#__PURE__*/styled(ChevronDown).withConfig({
  displayName: "Accordionstyled__StyledChevron",
  componentId: "sc-1t08mt0-3"
})(["margin:auto 8px;transition:transform ", " ", ";border-radius:", ";color:", ";"], themeGet('duration.normal'), themeGet('timingFunctions.easeInOut'), themeGet('borderRadii.full'), props => props.variation === 'hug' ? getPaletteColor('text.lightest')(props) : getPaletteColor('primary.base')(props));
export const IconContainer = /*#__PURE__*/styled(Box).withConfig({
  displayName: "Accordionstyled__IconContainer",
  componentId: "sc-1t08mt0-4"
})(["position:relative;&:after{content:'';position:absolute;transition:transform ", " ", ";transform:scale(0);width:25px;height:25px;left:8px;top:0;border-radius:", ";}&:hover{&:after{background-color:rgba(0,0,0,0.12);transform:scale(1.2);}}"], themeGet('duration.normal'), themeGet('timingFunctions.easeInOut'), themeGet('borderRadii.full'));
export const StyledItem = /*#__PURE__*/styled(Box).withConfig({
  displayName: "Accordionstyled__StyledItem",
  componentId: "sc-1t08mt0-5"
})(["", " ", " ", " ", " &[data-state='open'],&:hover{", "}&[data-state='closed']{", " ", " &:hover{", "}}"], props => ['card', 'flatCard'].includes(props.variation) ? 'border: solid 1px transparent;' : '', props => props.variation === 'default' ? `background-color: ${getPaletteColor('background.light')(props)};` : '', props => props.variation === 'hug' ? `background-color: ${getPaletteColor('primary.base')(props)};
      border: 1px solid ${getPaletteColor('primary.base')(props)};` : '', props => props.variation === 'ladder' ? `background-color: ${getPaletteColor(props.headerBg || 'background.light')(props)};
        ${props.headerDividerColor ? `border-top: solid ${getPaletteColor(props.headerDividerColor)(props)} 1px;` : ''}
        border-radius: 0px; margin-bottom: 0px;
        ` : '', props => ['card', 'flatCard'].includes(props.variation) ? `
        border-color: ${getPaletteColor('border.base')(props)};
        box-shadow: none;
        ` : '', props => props.variation === 'underline' ? `
          border-bottom-left-radius: 0px;
          border-bottom-right-radius: 0px;` : '', props => ['card'].includes(props.variation) ? `
          box-shadow: ${themeGet('shadows.sm')(props)}; 
          border-color: transparent;
        ` : '', props => ['card', 'flatCard'].includes(props.variation) ? `
            box-shadow: ${themeGet('shadows.xl')(props)};
            border-color: transparent;
          ` : '');