import React from 'react';
import { Box } from '../Box/Box';
import { Card } from '../Card/Card';
import { Text } from '../Text/Text';
import { BackgroundImage } from './BackgroundImage';
import { argTypes, defaultArgs } from './BackgroundImage.stories.args';
export default {
  title: 'core / BackgroundImage',
  component: BackgroundImage,
  args: defaultArgs,
  argTypes,
  decorators: [story => React.createElement(Box, {
    height: '600px',
    width: '100%'
  }, story())],
  parameters: {
    docs: {
      description: {
        component: `Use the <code>&lt;BackgroundImage /&gt;</code> component to render a
    background image. Use the *variation* prop to change the attachment mode
    of the background.`
      }
    }
  }
};
const Template = args => React.createElement(BackgroundImage, {
  ...args
});
export const _BackgroundImage = Template.bind({});
const StoryChildren = () => React.createElement(Box, {
  p: 4
}, React.createElement(Text, {
  fontSize: 6,
  fontWeight: 'bold',
  textAlign: 'center',
  color: 'white'
}, "Hello"));
export const FixedHeight = Template.bind({});
FixedHeight.args = {
  height: '320px',
  width: '360px',
  children: React.createElement(StoryChildren, null)
};
export const FixedIntHeight = Template.bind({});
FixedIntHeight.storyName = 'Fixed Height (Integer)';
FixedIntHeight.args = {
  height: 400,
  width: '360px',
  children: React.createElement(StoryChildren, null)
};
export const Responsive = Template.bind({});
Responsive.args = {
  height: ['100px', '300px', '600px'],
  width: ['100%', '216px', '260px'],
  children: React.createElement(StoryChildren, null)
};
Responsive.parameters = {
  viewport: {
    defaultViewport: 'designSystem_xs'
  }
};
const RoundedTemplate = args => React.createElement(Box, {
  width: '300px'
}, React.createElement(BackgroundImage, {
  ...args
}), React.createElement(Card, {
  rounded: 'bottom',
  height: '100px'
}, React.createElement(Text, {
  textAlign: 'center',
  my: 3
}, "Hello Priceline!")));
export const Rounded = RoundedTemplate.bind({});
Rounded.args = {
  borderRadius: 'full',
  rounded: 'top',
  height: '100px'
};
export const BackgroundPosition = Template.bind({});
BackgroundPosition.args = {
  height: 400,
  width: '360px',
  children: React.createElement(StoryChildren, null),
  backgroundPosition: 'left'
};