import { action } from '@storybook/addon-actions';
import { Attention, Star } from 'pcln-icons';
import React from 'react';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Heading } from '../Heading/Heading';
import { Text } from '../Text/Text';
import { colorSchemeNames } from '../storybook/args';
import { Banner } from './Banner';
export default {
  title: 'Banner',
  component: Banner
};
export const AllBgs = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur.',
  bg: 'orange',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus.',
  bg: 'red',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum.',
  bg: 'lightBlue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
  bg: 'lightGreen',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.',
  bg: 'lightRed',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'custom',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.',
  bg: 'text',
  color: 'white',
  onClose: action('closed')
}), React.createElement(Banner, {
  mb: 2,
  p: 3,
  color: 'primary',
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.'
}), React.createElement(Banner, {
  mb: 2,
  p: 3,
  color: 'warning',
  icon: React.createElement(Attention, null),
  text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.'
}));
export const AllBgsHeaderOnly = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'default',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'blue',
  bg: 'blue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'green',
  bg: 'green',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'orange',
  bg: 'orange',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'red',
  bg: 'red',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'blue',
  bg: 'lightBlue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'green',
  bg: 'lightGreen',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  header: 'red',
  bg: 'lightRed',
  onClose: action('closed')
}));
export const AllBgsTextOnly = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightBlue',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightGreen',
  onClose: action('closed')
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'Secondary Text',
  bg: 'lightRed',
  onClose: action('closed')
}));
export const SansCloseButton = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed'
}));
export const SansIcon = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed',
  onClose: action('closed'),
  showIcon: false
}));
export const WithoutIconOrCloseButton = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'default',
  text: 'Secondary Text',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'blue',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'green',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'orange',
  text: 'Secondary Text',
  bg: 'orange',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'red',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 3,
  header: 'blue',
  text: 'Secondary Text',
  bg: 'lightBlue',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'green',
  text: 'Secondary Text',
  bg: 'lightGreen',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 3,
  header: 'red',
  text: 'Secondary Text',
  bg: 'lightRed',
  showIcon: false
}));
export const SansCloseButtonTextOnly = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red'
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen'
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed'
}));
export const SansIconTextOnly = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  onClose: action('closed'),
  showIcon: false
}));
export const CustomHeaderAsNode = () => React.createElement(Box, null, React.createElement(Banner, {
  header: React.createElement(Heading, null, "LOUD HEADER"),
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: action('closed'),
  showIcon: false
}), React.createElement(Banner, {
  header: React.createElement(Heading.h5, null, "quiet header"),
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  onClose: action('closed'),
  showIcon: false
}));
export const WithoutIconOrCloseButtonTextOnly = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  showIcon: false
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  showIcon: false
}));
export const WithCustomIconsAndSizes = () => React.createElement(Box, null, React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'default',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'blue',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'green',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'orange',
  bg: 'orange',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'red',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  text: 'blue',
  bg: 'lightBlue',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'green',
  bg: 'lightGreen',
  icon: React.createElement(Star, null)
}), React.createElement(Banner, {
  textAlign: 'right',
  mb: 2,
  p: 2,
  text: 'red',
  bg: 'lightRed',
  icon: React.createElement(Star, null)
}));
export const WithChildren = () => React.createElement(Box, null, React.createElement(Banner, {
  p: 2,
  mb: 2,
  onClose: action('closed')
}, React.createElement(Flex, null, React.createElement(Box, {
  bg: 'pink',
  p: 2,
  width: 1 / 2
}, "Pink box!"), React.createElement(Box, {
  bg: 'red',
  p: 2,
  width: 1 / 2
}, "Red box!"))), React.createElement(Banner, {
  textAlign: 'left',
  mb: 2,
  p: 2,
  header: 'default',
  onClose: action('closed')
}, React.createElement(Text, {
  bold: true,
  italic: true
}, "I am a text component!")));
export const ColorScheme = () => {
  return colorSchemeNames.map(colorScheme => React.createElement(Banner, {
    key: colorScheme,
    textAlign: 'left',
    mb: 2,
    p: 3,
    header: colorScheme,
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.',
    onClose: action('closed'),
    colorScheme: colorScheme
  }));
};