import { expect } from '@storybook/jest';
import { userEvent, within } from '@storybook/testing-library';
import { Sparkle } from 'pcln-icons';
import React from 'react';
import { Flex } from '../Flex/Flex';
import { Stamp } from '../Stamp/Stamp';
import { Text } from '../Text/Text';
import { ChatHeader } from './ChatHeader';
export default {
  title: 'Chat / ChatHeader',
  component: ChatHeader,
  argTypes: {
    onClose: {
      action: true
    },
    onMinimize: {
      action: true
    }
  }
};
const Children = React.createElement(Flex, {
  alignItems: 'center'
}, React.createElement(Text, {
  color: 'text.heading',
  textStyle: 'heading5'
}, "Penny", React.createElement(Sparkle, {
  color: 'promoPrimary',
  size: '16px'
})), React.createElement(Stamp, {
  color: 'primary',
  mx: 2
}, "Beta"));
export const _ChatHeader = {
  play: async ({
    args,
    canvasElement
  }) => {
    const canvas = within(canvasElement);
    await expect(canvas.getByText('Penny')).toBeInTheDocument();
    await userEvent.click(canvas.getAllByRole('button')[0]);
    await expect(args.onMinimize).toHaveBeenCalled();
    await userEvent.click(canvas.getAllByRole('button')[1]);
    await expect(args.onClose).toHaveBeenCalled();
  },
  render: args => React.createElement(ChatHeader, {
    ...args
  }, Children)
};