import React from 'react';
import { Box } from '../Box/Box';
import { ChatMessageContainer } from './ChatMessageContainer';
import { longConversation, shortConversation } from './ChatMessageContainer.stories.args';
export default {
  title: 'Chat / ChatMessageContainer',
  component: ChatMessageContainer,
  args: {
    messageMaxWidth: '90%'
  }
};
export const _ChatMessageContainer = {
  render: args => React.createElement(ChatMessageContainer, {
    ...args,
    messages: shortConversation
  })
};
export const LongConversation = {
  render: args => React.createElement(Box, {
    height: '400px'
  }, React.createElement(ChatMessageContainer, {
    ...args,
    messages: longConversation
  }))
};
export const Empty = {
  render: args => React.createElement(ChatMessageContainer, {
    ...args
  })
};
export const CustomMessageMaxWidth = {
  render: args => React.createElement(ChatMessageContainer, {
    ...args,
    messages: shortConversation,
    messageMaxWidth: '60%'
  })
};