import React from 'react';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Container } from './Container';
import { argTypes } from './Container.stories.args';
export default {
  title: 'Container',
  component: Container,
  argTypes
};
export const DefaultAlignWithThemeMaxWidth = () => React.createElement(Container, null, React.createElement(Box, {
  p: 4,
  bg: 'lightGray',
  height: '100vh'
}, "Container Component"));
export const InputMaxWidth = () => React.createElement(Container, {
  maxWidth: 500
}, React.createElement(Box, {
  p: 4,
  bg: 'lightGray',
  height: '100vh'
}, "Container Component"));
const Template = args => React.createElement(Flex, {
  width: '100%',
  color: 'primary'
}, React.createElement(Container, {
  ...args,
  style: {
    border: '1px solid'
  }
}, React.createElement(Box, {
  color: 'background.light',
  height: '100vh',
  style: {
    border: '1px solid'
  }
}, "Container Component")));
export const SizeProp = Template.bind({});
SizeProp.args = {
  size: 'md'
};