import React from 'react';
import { Button } from '../Button/Button';
import { Grid } from '../Grid/Grid';
import { Text } from '../Text/Text';
import { borderRadii, colorSchemeNames, paletteColors } from '../theme/theme';
import { dialogSizes } from './Dialog.styled';
const overflowArgs = ['scroll', 'visible', 'hidden', 'auto'];
export const argTypes = {
  borderRadius: {
    control: {
      type: 'select'
    },
    options: Object.keys(borderRadii)
  },
  children: {
    control: {
      type: 'none'
    }
  },
  fullWidth: {
    control: {
      type: 'boolean'
    }
  },
  headerColorScheme: {
    control: {
      type: 'select'
    },
    options: colorSchemeNames
  },
  headerContent: {
    type: 'string'
  },
  headerIcon: {
    type: 'boolean'
  },
  headerShowCloseButton: {
    type: 'boolean'
  },
  hugColor: {
    control: {
      type: 'select'
    },
    options: paletteColors
  },
  open: {
    control: {
      type: 'boolean'
    }
  },
  sheet: {
    control: {
      type: 'boolean'
    }
  },
  showCloseButton: {
    control: {
      type: 'boolean'
    }
  },
  size: {
    control: {
      type: 'select'
    },
    options: dialogSizes
  },
  triggerNode: {
    control: {
      type: 'none'
    }
  },
  overflowX: {
    control: {
      type: 'select'
    },
    options: overflowArgs
  },
  overflowY: {
    control: {
      type: 'select'
    },
    options: overflowArgs
  }
};
export const defaultArgs = {
  ariaDescription: 'This is a description',
  ariaTitle: 'This is a title',
  borderRadius: '2xl',
  children: React.createElement(Grid, {
    p: [3, 3, 3, 3, '24px', '24px'],
    gap: 3
  }, React.createElement(Text, null, "The quick brown fox jumps over the lazy dog to discover new deals every day. Lorem ipsum dolor sit amet, consectetur adipiscing elit."), React.createElement(Text, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras id erat nec ante semper eleifend. In ex mi, eleifend non ultricies sed, ullamcorper a sem. Aenean mollis mi eget libero commodo, non auctor dui fermentum. Aliquam ultrices nisi in odio sodales, vel feugiat libero gravida.")),
  fullWidth: false,
  headerColorScheme: 'neutralDarkOnLightest',
  headerIcon: false,
  headerShowCloseButton: false,
  scrimDismiss: true,
  scrimColor: 'dark',
  sheet: false,
  showCloseButton: true,
  size: 'md',
  triggerNode: React.createElement(Button, null, "Open Dialog"),
  overflowX: 'auto',
  overflowY: 'auto'
};