import React from 'react';
import { Heading } from './Heading';
const description = 'A type of the <Text> component' + ' using HTML h1-h6 element for setting section headings,' + ' supporting all <Text> props';
export default {
  title: 'Heading',
  component: Heading,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
export const HeadingComponent = () => React.createElement(Heading, {
  m: 3
}, "Heading component");
export const UsingDotNotationWithH1H6 = () => React.createElement("section", null, React.createElement(Heading.h1, null, "Heading h1"), React.createElement(Heading.h2, null, "Heading h2"), React.createElement(Heading.h3, null, "Heading h3"), React.createElement(Heading.h4, null, "Heading h4"), React.createElement(Heading.h5, null, "Heading h5"), React.createElement(Heading.h6, null, "Heading h6"));
export const WithTextShadows = () => React.createElement("section", null, React.createElement(Heading.h1, {
  enableTextShadow: true
}, "Heading h1"), React.createElement(Heading.h2, {
  enableTextShadow: true
}, "Heading h2"), React.createElement(Heading.h3, {
  enableTextShadow: true
}, "Heading h3"), React.createElement(Heading.h4, {
  enableTextShadow: true
}, "Heading h4"), React.createElement(Heading.h5, {
  enableTextShadow: true
}, "Heading h5"), React.createElement(Heading.h6, {
  enableTextShadow: true
}, "Heading h6"));
export const UsingTextProps = () => React.createElement("section", null, React.createElement(Heading, {
  textAlign: 'left',
  bold: true,
  fontSize: 6,
  color: 'green'
}, "Heading Left"), React.createElement(Heading, {
  textAlign: 'center',
  medium: true,
  fontSize: 5,
  color: 'blue'
}, "Heading Center"), React.createElement(Heading, {
  textAlign: 'right',
  regular: true,
  fontSize: 4,
  color: 'orange'
}, "Heading Right"));
export const ColorSchemes = () => React.createElement("section", null, React.createElement(Heading.h1, {
  colorScheme: 'primary'
}, "Heading Left"), React.createElement(Heading.h2, {
  colorScheme: 'secondaryLight'
}, "Heading Left"), React.createElement(Heading.h3, {
  colorScheme: 'cautionLight'
}, "Heading Left"), React.createElement(Heading.h4, {
  colorScheme: 'heading'
}, "Heading Left"), React.createElement(Heading.h4, {
  colorScheme: 'headingBase'
}, "Heading Left"), React.createElement(Heading.h5, {
  colorScheme: 'headingLight'
}, "Heading Left"), React.createElement(Heading.h6, {
  colorScheme: 'headingOnPrimaryLight'
}, "Heading Left"));