import { ThumbsUp } from 'pcln-icons';
import React from 'react';
import { Card } from '../Card/Card';
import { Text } from '../Text/Text';
import { Hug } from './Hug';
const text = React.createElement(Text.span, null, "Have you seen this ", React.createElement(Text.span, {
  bold: true
}, "card"), " I\u2018m hugging?!");
describe('Hug', () => {
  test('renders text, icon, and Child', () => {
    const json = rendererCreateWithTheme(React.createElement(Hug, {
      icon: React.createElement(ThumbsUp, null),
      text: text
    }, React.createElement(Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
  test('renders text when string is provided', () => {
    const json = rendererCreateWithTheme(React.createElement(Hug, {
      icon: React.createElement(ThumbsUp, null),
      text: "I've been known to hug a card from time to time"
    }, React.createElement(Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
  test('renders text when array of nodes is provided', () => {
    const json = rendererCreateWithTheme(React.createElement(Hug, {
      icon: React.createElement(ThumbsUp, null),
      text: [text, text]
    }, React.createElement(Card, {
      p: 3,
      bg: 'white',
      color: 'text'
    }, "I\u2018m a card within a hug!"))).toJSON;
    expect(json).toMatchSnapshot();
  });
});