import React from 'react';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { FormField } from '../FormField/FormField';
import { Input } from '../Input/Input';
import { InputGroup } from '../InputGroup/InputGroup';
import { Label } from '../Label/Label';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
export default {
  title: 'InputGroup',
  component: Input,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled input component that accepts a color and whether or not to show an error container.'
      }
    }
  }
};
export const InputComponent = () => React.createElement(Input, {
  my: 3
});
export const Colors = () => React.createElement(Box, {
  width: 400
}, React.createElement(Input, {
  mb: 3,
  id: 'input-colors-1',
  placeholder: 'No color'
}), React.createElement(Input, {
  mb: 3,
  id: 'input-colors-2',
  color: 'primary',
  placeholder: 'Primary'
}), React.createElement(Input, {
  mb: 3,
  id: 'input-colors-3',
  color: 'secondary',
  placeholder: 'Secondary'
}), React.createElement(Input, {
  mb: 3,
  id: 'input-colors-4',
  color: 'warning',
  placeholder: 'Warning'
}), React.createElement(Input, {
  mb: 3,
  id: 'input-colors-5',
  color: 'alert',
  placeholder: 'Alert'
}), React.createElement(Input, {
  mb: 3,
  id: 'input-colors-6',
  color: 'caution',
  placeholder: 'Caution'
}));
export function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.value = 'Happy Panda :D';
    }
    return React.createElement(React.Fragment, null, React.createElement(Input, {
      value: 'Sad Panda :('
    }), React.createElement(Button, {
      onClick: onClick,
      mt: 4
    }, "Click to change input value via ref"));
  }
  return React.createElement(ForwardRefDemo, {
    refChild: refChild
  });
}
export const WithExternalLabel = () => React.createElement(Box, {
  width: 400
}, React.createElement(Label, {
  fontSize: 4,
  htmlFor: 'sample-input'
}, "Label!"), React.createElement(Input, {
  id: 'sample-input',
  placeholder: 'Click the label'
}));
export const GroupedInputs = () => React.createElement(InputGroup, null, React.createElement(FormField, null, React.createElement(Label, null, "Where from?"), React.createElement(Input, {
  placeholder: 'Where from?'
})), React.createElement(FormField, null, React.createElement(Label, null, "Where to?"), React.createElement(Input, {
  placeholder: 'Where to?'
})));