import React from 'react';
import { Flex } from '../Flex/Flex';
import { Input } from '../Input/Input';
import { Radio } from '../Radio/Radio';
import { Label } from './Label';
import { argTypes, defaultArgs } from './Label.stories.args';
export default {
  title: 'Label',
  component: Label,
  args: defaultArgs,
  argTypes,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled label component that supports a number of the styled-system props.'
      }
    }
  }
};
const Template = args => React.createElement(Label, {
  ...args
});
export const _Label = Template.bind({});
export const Spacing = () => React.createElement("div", null, React.createElement(Label, {
  mt: 4,
  mb: 2
}, "A tish of margin"), React.createElement(Label, {
  pl: 3
}, "A dash of padding"));
export const HtmlFor = () => React.createElement("div", null, "Clicking", ' ', React.createElement(Label, {
  fontSize: 4,
  htmlFor: 'sample-input'
}, "here"), ' ', "should focus on the input element.", React.createElement("br", null), React.createElement(Input, {
  id: 'sample-input'
}));
export const Nowrap = () => React.createElement(Flex, null, React.createElement(Label, {
  nowrap: true
}, React.createElement(Radio, {
  checked: true
}), "Round-trip"), React.createElement(Label, {
  nowrap: true
}, React.createElement(Radio, {
  checked: true
}), "One-way"), React.createElement(Label, {
  nowrap: true
}, React.createElement(Radio, {
  checked: true
}), "Multi-destination"));