import React from 'react';
import styled from 'styled-components';
import { Absolute } from '../Absolute/Absolute';
import { Box } from '../Box/Box';
import { Container } from '../Container/Container';
import { Flex } from '../Flex/Flex';
import { Relative } from '../Relative/Relative';
import { Layout } from './Layout';
export default {
  title: 'Layout/Layout',
  component: Layout,
  argTypes: {
    children: {
      control: false
    }
  }
};
const LayoutDemoBox = /*#__PURE__*/styled(Box).withConfig({
  displayName: "Layoutstories__LayoutDemoBox",
  componentId: "sc-1gfps7p-0"
})(["height:100px;"]);
const Template = args => React.createElement(Flex, {
  width: '100%',
  color: 'primary.light'
}, React.createElement(Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, React.createElement(Layout, {
  ...args
}, React.createElement(LayoutDemoBox, {
  color: 'secondary.base'
}), React.createElement(Box, {
  height: '120px',
  color: 'warning.base'
}), React.createElement(LayoutDemoBox, {
  color: 'alert'
}), React.createElement(LayoutDemoBox, {
  color: 'primary'
}), React.createElement(LayoutDemoBox, {
  color: 'promoPrimary'
}), React.createElement(LayoutDemoBox, {
  color: 'promoSecondary'
}))));
export const Basic = Template.bind({});
Basic.args = {
  variation: '33-33-33',
  gap: 'sm',
  rowGap: 'sm'
};
const responsiveArgs = {
  variation: ['100', '50-50', null, '60-40'],
  gap: ['sm', null, 'xl'],
  rowGap: ['sm', null, 'xl'],
  stretchHeight: true
};
export const ResponsiveSmall = Template.bind({});
ResponsiveSmall.args = responsiveArgs;
ResponsiveSmall.parameters = {
  viewport: {
    defaultViewport: 'designSystem_sm'
  }
};
ResponsiveSmall.storyName = 'Responsive (sm)';
export const ResponsiveLarge = Template.bind({});
ResponsiveLarge.args = responsiveArgs;
ResponsiveLarge.parameters = {
  viewport: {
    defaultViewport: 'designSystem_lg'
  }
};
ResponsiveLarge.storyName = 'Responsive (lg)';
const OverlapTemplate = args => React.createElement(Flex, {
  width: '100%',
  color: 'primary.light'
}, React.createElement(Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, React.createElement(Layout, {
  ...args
}, React.createElement(Relative, {
  color: 'secondary.base',
  zIndex: 1,
  height: '200px'
}, React.createElement(Absolute, {
  height: 100,
  width: 200,
  color: 'notify',
  top: '30px',
  right: '-70px'
})), React.createElement(LayoutDemoBox, {
  color: 'primary.base'
}))));
export const Overlap = OverlapTemplate.bind({});
Overlap.args = {
  variation: '60-40',
  gap: 'sm',
  rowGap: 'sm'
};
const LotsOfBoxesTemplate = args => React.createElement(Flex, {
  width: '100%',
  color: 'primary.light'
}, React.createElement(Container, {
  size: 'xl',
  style: {
    border: '1px solid'
  }
}, React.createElement(Layout, {
  ...args
}, Array.from({
  length: 16
}).map((_, i) => React.createElement(LayoutDemoBox, {
  key: i,
  color: 'primary.base'
})))));
export const Quarters = LotsOfBoxesTemplate.bind({});
Quarters.args = {
  variation: '25-25-25-25',
  gap: 'sm',
  rowGap: 'sm'
};
Quarters.storyName = '25-25-25-25';
export const Thirds = LotsOfBoxesTemplate.bind({});
Thirds.args = {
  variation: '33-33-33',
  gap: 'sm',
  rowGap: 'sm'
};
Thirds.storyName = '33-33-33';
export const Halves = LotsOfBoxesTemplate.bind({});
Halves.args = {
  variation: '50-50',
  gap: 'sm',
  rowGap: 'sm'
};
Halves.storyName = '50-50';
export const Uneven = LotsOfBoxesTemplate.bind({});
Uneven.args = {
  variation: '60-40',
  gap: 'sm',
  rowGap: 'sm'
};
Uneven.storyName = '60-40';
export const FullWidth = LotsOfBoxesTemplate.bind({});
FullWidth.args = {
  variation: '100',
  gap: 'sm',
  rowGap: 'sm'
};