import React, { useState } from 'react';
import styled from 'styled-components';
import { Absolute } from '../Absolute/Absolute';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Relative } from '../Relative/Relative';
import { Text } from '../Text/Text';
import { Motion } from './Motion';
const description = 'Motion';
const RoundedAbsolute = /*#__PURE__*/styled(Absolute).withConfig({
  displayName: "Motionstories__RoundedAbsolute",
  componentId: "sc-rgf91h-0"
})(["border-radius:20px;"]);
const FixedBottom = /*#__PURE__*/styled(Box).withConfig({
  displayName: "Motionstories__FixedBottom",
  componentId: "sc-rgf91h-1"
})(["position:fixed;bottom:0;"]);
export default {
  title: 'Motion',
  component: Motion,
  parameters: {
    docs: {
      description: {
        component: description
      }
    }
  }
};
export const GrowCenter = () => {
  const [isVisible, setIsVisible] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '150px'
  }, React.createElement(Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_CENTER'
  }, React.createElement(RoundedAbsolute, {
    top: -40,
    bottom: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
export const QuickGrow = () => {
  const [isVisible, setIsVisible] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '150px'
  }, React.createElement(Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'QUICK_GROW'
  }, React.createElement(RoundedAbsolute, {
    m: 0,
    top: 0,
    right: 'auto',
    left: 'calc(100% - 6px)',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
export const ExpandDown = () => {
  const [isVisible, setIsVisible] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, React.createElement(Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'EXPAND_DOWN'
  }, React.createElement(RoundedAbsolute, {
    top: 8,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
export const ExpandUp = () => {
  const [isVisible, setIsVisible] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, React.createElement(Text, {
    textAlign: 'center',
    onClick: toggleVisible,
    p: 2
  }, "Click Here to see more"), React.createElement(FixedBottom, null, React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'EXPAND_DOWN'
  }, React.createElement(RoundedAbsolute, {
    height: 'calc(100vh - 100px)',
    bottom: -20,
    width: '400px',
    left: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest'
  }))));
};
export const GrowBottom = () => {
  const [isVisible, setIsVisible] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  return React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '400px',
    mt: '50px'
  }, React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_Y'
  }, React.createElement(RoundedAbsolute, {
    onClick: toggleVisible,
    top: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  })));
};
export const GrowBottomAndRight = () => {
  const [isVisible, setIsVisible] = useState(null);
  const [isVisibleb, setIsVisibleb] = useState(null);
  function toggleVisible() {
    setIsVisible(!isVisible);
  }
  function toggleVisibleb() {
    setIsVisibleb(!isVisibleb);
  }
  return React.createElement(Flex, null, React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '320px',
    mt: '50px'
  }, React.createElement(Motion, {
    isAnimatedState: isVisible,
    variation: 'GROW_XY'
  }, React.createElement(RoundedAbsolute, {
    onClick: toggleVisible,
    top: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  }))), React.createElement(Relative, {
    bg: 'primary',
    color: 'white',
    width: '320px',
    mt: '50px'
  }, React.createElement(Motion, {
    isAnimatedState: isVisibleb,
    variation: 'GROW_XY'
  }, React.createElement(RoundedAbsolute, {
    onClick: toggleVisibleb,
    top: 0,
    left: 0,
    right: 0,
    m: 'auto',
    boxShadowSize: 'lg',
    bg: 'background.lightest',
    height: '300px',
    width: '300px'
  }))));
};