import React from 'react';
import { Box } from '../Box/Box';
import { ProgressBar } from './ProgressBar';
export default {
  title: 'ProgressBar',
  component: ProgressBar
};
const steps = [{
  color: 'warning'
}, {
  color: 'caution'
}, {
  color: 'primary'
}, {
  color: 'success'
}];
export const EmptyProgressBar = () => React.createElement(ProgressBar, {
  steps: steps,
  currentStep: 0
});
export const BasicProgressBar = () => React.createElement(ProgressBar, {
  steps: steps,
  currentStep: 3
});
export const Thick = () => React.createElement(ProgressBar, {
  steps: steps,
  currentStep: 1,
  stepHeight: '10px'
});
export const Short = () => React.createElement(Box, {
  width: '300px'
}, React.createElement(ProgressBar, {
  steps: steps,
  currentStep: 4
}));