import React from 'react';
import { Flex } from '../Flex/Flex';
import { colorSchemeNames } from '../storybook/args';
import { RatingBadge } from './RatingBadge';
const meta = {
  title: 'Core / RatingBadge',
  component: RatingBadge
};
export default meta;
export const Default = () => React.createElement(RatingBadge, null, "9.0");
export const DeprecatedBgProp = () => React.createElement(RatingBadge, {
  bg: 'primary.base'
}, "9.0");
export const MixBgAndColorProps = () => React.createElement(Flex, {
  width: '150px',
  justifyContent: 'space-between'
}, React.createElement(RatingBadge, {
  color: 'text.lightest',
  bg: 'alert.base'
}, "9.0"), React.createElement(RatingBadge, {
  color: 'text.dark',
  bg: 'secondary.base'
}, "9.0"));
export const Colors = () => React.createElement(Flex, {
  width: '150px',
  justifyContent: 'space-between'
}, React.createElement(RatingBadge, {
  color: 'primary'
}, "7.6"), React.createElement(RatingBadge, {
  color: 'secondary'
}, "8.1"), React.createElement(RatingBadge, {
  color: 'alert'
}, "9.0"));
const ColorSchemesTemplate = args => {
  return React.createElement(React.Fragment, null, colorSchemeNames.map(colorScheme => React.createElement(RatingBadge, {
    m: 3,
    colorScheme: colorScheme,
    key: colorScheme
  }, colorScheme)));
};
export const ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};