import React from 'react';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { Label } from '../Label/Label';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
import { Select } from './Select';
import { argTypes, defaultArgs } from './Select.stories.args';
export default {
  title: 'Select',
  component: Select,
  args: defaultArgs,
  argTypes
};
const Template = args => React.createElement(Box, null, React.createElement(Label, {
  htmlFor: 'cabinClass'
}, "Cabin Class"), React.createElement(Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: 'Premium Economy',
  ...args
}, React.createElement("option", null, "Economy"), React.createElement("option", {
  disabled: true
}, "-------------"), React.createElement("option", null, "Premium Economy"), React.createElement("option", null, "Business"), React.createElement("option", null, "First Class"), React.createElement("option", null, "With a super long label that does not get clobbered by the chevron")));
export const _Select = Template.bind({});
export const SubtleVariation = Template.bind({});
SubtleVariation.args = {
  variation: 'subtle'
};
export const Disabled = Template.bind({});
Disabled.args = {
  disabled: true
};
export const LongOptionString = () => React.createElement(Box, {
  width: [1, 320]
}, React.createElement(Label, {
  htmlFor: 'cabinClass'
}, "Cabin Class"), React.createElement(Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: ''
}, React.createElement("option", null, "With a super long label that does not collide with the chevron")));
export const HiddenLabel = () => React.createElement(Box, {
  width: [1, 320]
}, React.createElement(Label, {
  hidden: true,
  htmlFor: 'cabinClass'
}, "Cabin Class"), React.createElement(Select, {
  id: 'cabinClass',
  name: 'cabinClass',
  defaultValue: ''
}, React.createElement("option", null, "Economy"), React.createElement("option", null, "Premium Economy"), React.createElement("option", null, "Business"), React.createElement("option", null, "First Class")));
export function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.focus();
    }
    return React.createElement(React.Fragment, null, React.createElement(Select, {
      id: 'cabinClass',
      name: 'cabinClass',
      defaultValue: '',
      ref: dsRef
    }, React.createElement("option", null, "Economy"), React.createElement("option", null, "Premium Economy"), React.createElement("option", null, "Business"), React.createElement("option", null, "First Class")), React.createElement(Button, {
      onClick: onClick,
      mt: 4
    }, "Click to focus select via ref"));
  }
  return React.createElement(ForwardRefDemo, {
    refChild: refChild
  });
}