import { action } from '@storybook/addon-actions';
import React, { useState } from 'react';
import styled from 'styled-components';
import { Input } from '../Input/Input';
import { getPaletteColor } from '../utils/utils';
import { ShadowEffect, ShadowOverlay } from './ShadowEffect';
const LightestBackgroundInput = /*#__PURE__*/styled(Input).withConfig({
  displayName: "ShadowEffectstories__LightestBackgroundInput",
  componentId: "sc-1rcsh3h-0"
})(["background-color:", ";"], getPaletteColor('background.lightest'));
export default {
  title: 'ShadowEffect',
  component: ShadowEffect
};
export const Effect = () => React.createElement(ShadowEffect, null, React.createElement(LightestBackgroundInput, {
  onClick: action('Clicked')
}));
export const MultipleInputsWithOverlays = () => React.createElement(React.Fragment, null, React.createElement(ShadowEffect, {
  shouldCloseOnBlur: true,
  shouldOpenOnFocus: true
}, React.createElement(LightestBackgroundInput, {
  onClick: action('Clicked 1'),
  mb: 3
})), React.createElement(ShadowEffect, {
  shouldCloseOnBlur: true,
  shouldOpenOnFocus: true
}, React.createElement(LightestBackgroundInput, {
  onClick: action('Clicked 2')
})));
export const Overlay = () => {
  const [isOpen, setOpen] = useState(false);
  const handleOpen = () => setOpen(true);
  const handleClose = () => setOpen(false);
  return React.createElement(React.Fragment, null, isOpen && React.createElement(ShadowOverlay, {
    zIndex: -1,
    onClick: handleClose
  }), React.createElement(LightestBackgroundInput, {
    onBlur: handleClose,
    onClick: handleOpen,
    onFocus: handleOpen
  }));
};