import React from 'react';
import styled from 'styled-components';
import { Box } from '../Box/Box';
import { Flex } from '../Flex/Flex';
import { Shimmer } from './Shimmer';
const SkeletonBar = /*#__PURE__*/styled(Shimmer).attrs(() => ({
  mb: 2
})).withConfig({
  displayName: "Shimmerstories__SkeletonBar",
  componentId: "sc-c3pod2-0"
})([""]);
export default {
  title: 'Shimmer',
  component: Shimmer
};
export const Default = () => React.createElement(Shimmer, null);
export const ComposedAsSkeletonLoader = () => React.createElement(Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, React.createElement(Flex, null, React.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2
}), React.createElement(Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, React.createElement(SkeletonBar, {
  width: 3 / 4
}), React.createElement(SkeletonBar, {
  width: 1 / 2
}))), React.createElement(SkeletonBar, null), React.createElement(SkeletonBar, null));
export const LightSkeletonLoader = () => React.createElement(Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, React.createElement(Flex, null, React.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2,
  variation: 'light'
}), React.createElement(Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, React.createElement(SkeletonBar, {
  width: 3 / 4,
  variation: 'light'
}), React.createElement(SkeletonBar, {
  width: 1 / 2,
  variation: 'light'
}))), React.createElement(SkeletonBar, {
  variation: 'light'
}), React.createElement(SkeletonBar, {
  variation: 'light'
}));
export const DarkSkeletonLoader = () => React.createElement(Box, {
  color: 'background.darkest'
}, React.createElement(Flex, {
  flexDirection: 'column',
  maxWidth: '700px'
}, React.createElement(Flex, null, React.createElement(SkeletonBar, {
  width: '100px',
  height: '100px',
  mr: 2,
  variation: 'dark'
}), React.createElement(Flex, {
  flexDirection: 'column',
  width: 'calc(100% - 100px)'
}, React.createElement(SkeletonBar, {
  width: 3 / 4,
  variation: 'dark'
}), React.createElement(SkeletonBar, {
  width: 1 / 2,
  variation: 'dark'
}))), React.createElement(SkeletonBar, {
  animationWidth: 700,
  variation: 'dark'
}), React.createElement(SkeletonBar, {
  animationWidth: 700,
  variation: 'dark'
})));