import { Airplane, Pin as PinIcon } from 'pcln-icons';
import React from 'react';
import styled from 'styled-components';
import { Text } from '../Text/Text';
import { colorSchemeNames } from '../storybook/args';
import { Stamp } from './Stamp';
import { argTypes } from './Stamp.stories.args';
// for Args
// const sizes = { small: 'small', medium: 'medium' }
// const variations = { outline: 'outline', fill: 'fill' }
// const colors = {
//   primary: 'primary',
//   secondary: 'secondary',
//   text: 'text',
//   success: 'success',
//   error: 'error',
//   warning: 'warning',
//   alert: 'alert',
//   caution: 'caution',
//   notify: 'notify',
//   pricePrimary: 'pricePrimary',
//   priceSecondary: 'priceSecondary',
//   promoPrimary: 'promoPrimary',
//   promoSecondary: 'promoSecondary',
//   border: 'border',
//   background: 'background',
// }
const BlueStamp = /*#__PURE__*/styled(Stamp).attrs(() => ({
  borderColor: 'primary',
  bg: 'primary',
  color: 'background.lightest',
  mr: 2
})).withConfig({
  displayName: "Stampstories__BlueStamp",
  componentId: "sc-1nboym4-0"
})([""]);
export default {
  title: 'Stamp',
  component: Stamp,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Stamp /> component to subtly display attributes alongside listing cells and on product detail pages. Use it in conjunction with a named `pcln-icons` icon component to give it more context. An icon placed within a Stamp will inherit the assigned Stamp color.'
      }
    }
  },
  argTypes
};
const Template = args => React.createElement(Stamp, {
  ...args
}, "text here");
export const StampComponent = Template.bind({});
StampComponent.args = {
  color: 'primary'
};
export const CustomBackgroundAndBorderColor = () => React.createElement("div", null, React.createElement(Stamp, {
  color: 'background.lightest',
  bg: 'primary',
  borderColor: 'primary',
  mr: 2
}, "custom border and background"), React.createElement(Stamp, {
  color: 'error',
  bg: 'background.lightest',
  borderColor: 'primary',
  mr: 2
}, "custom border and background"));
export const CustomTextSize = () => React.createElement("div", null, React.createElement(Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, React.createElement(Text, {
  fontSize: 0
}, "Yorkie")), React.createElement(Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, React.createElement(Text, {
  fontSize: 1
}, "Jack Russell")), React.createElement(Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, React.createElement(Text, {
  fontSize: 2
}, "Golden Retriever")), React.createElement(Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, React.createElement(Text, {
  fontSize: 3
}, "Doberman")), React.createElement(Stamp, {
  color: 'white',
  bg: 'blue',
  borderColor: 'blue',
  mr: 2
}, React.createElement(Text, {
  fontSize: 4
}, "Malamute")));
export const PassAnArrayOfSizes = () => React.createElement("div", null, React.createElement(BlueStamp, {
  size: ['medium', null, null, null, null, null]
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at xs")), React.createElement(BlueStamp, {
  size: ['small', 'medium', null, null, null, null]
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at sm")), React.createElement(BlueStamp, {
  size: ['small', null, 'medium', null, null, null]
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at md")), React.createElement(BlueStamp, {
  size: ['small', 'small', null, 'medium', null, null]
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at lg")), React.createElement(BlueStamp, {
  size: ['small', null, null, null, 'medium', null]
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at xl")), React.createElement(BlueStamp, {
  size: ['small', null, null, null, null, 'medium']
}, React.createElement(PinIcon, {
  pr: 1
}), React.createElement(Text, null, "Larger at xxl")));
const ColorSchemesTemplate = () => {
  return React.createElement(React.Fragment, null, colorSchemeNames.map(colorScheme => React.createElement(Stamp, {
    m: 3,
    colorScheme: colorScheme,
    key: colorScheme
  }, React.createElement(Airplane, {
    mr: 2
  }), colorScheme)));
};
export const ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};