import { action } from '@storybook/addon-actions';
import React from 'react';
import { Step } from './Step';
const onClick = action('Step Clicked');
export default {
  title: 'Step',
  component: Step,
  parameters: {
    docs: {
      description: {
        component: 'Use the <Stepper.Step /> component to render a step.'
      }
    }
  }
};
export const StepComponent = () => React.createElement(Step, null, "Step");
export const CurrentStep = () => React.createElement(Step, {
  active: true
}, "Step");
export const CompletedStep = () => React.createElement(Step, {
  completed: true
}, "Step");
export const CurrentAndCompletedStep = () => React.createElement(Step, {
  active: true,
  completed: true
}, "Step");
export const ClickableStep = () => React.createElement(Step, {
  onClick: onClick
}, "Step");