import React from 'react';
import { StoryStage } from '../DocsUtils/StoryStage/StoryStage';
import { Tab } from './Tab';
import { argTypes, defaultArgs } from './Tab.stories.args';
import { Departure } from 'pcln-icons';
import { DefaultContent, DefaultContent2, DefaultContent3 } from '../__test__/mocks/tabContent';
export const Playground = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  }))
};
export const NoIconChipTabs = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    buttonChipProps: {},
    type: 'chip',
    size: 'md'
  }
};
export const NoIconRadioTabs = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    type: 'radio',
    size: 'md'
  }
};
export const NoIconButtonTabs = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    size: 'md'
  }
};
export const NoIconButtonTabsWithDynamicTabWidth = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    size: 'md',
    dynamicTabWidth: true
  }
};
export const NoIconNoHoverButtonTabs = {
  render: args => React.createElement(StoryStage, {
    style: {
      backgroundColor: 'red'
    }
  }, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    isTransparent: true,
    size: 'md'
  }
};
export const IconButtonTabs = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    tabsData: [{
      id: 't1',
      icon: Departure,
      text: 'Testingsssss longer button',
      children: DefaultContent(),
      onTabSelect: () => {}
    }, {
      id: 't2',
      icon: Departure,
      text: 'LongerIsh Tab 2',
      children: DefaultContent2(),
      onTabSelect: () => {}
    }, {
      id: 't3',
      icon: Departure,
      text: 'LongerishTab3',
      children: DefaultContent3(),
      onTabSelect: () => {}
    }],
    size: 'md'
  }
};
export const IconChipTabs = {
  render: args => React.createElement(StoryStage, null, React.createElement(Tab, {
    ...args
  })),
  args: {
    ...defaultArgs,
    tabsData: [{
      id: 't1',
      icon: Departure,
      text: 'Testingsssss longer button',
      children: DefaultContent(),
      onTabSelect: () => {}
    }, {
      id: 't2',
      icon: Departure,
      text: 'LongerIsh Tab 2',
      children: DefaultContent2(),
      onTabSelect: () => {}
    }, {
      id: 't3',
      icon: Departure,
      text: 'LongerishTab3',
      children: DefaultContent3(),
      onTabSelect: () => {}
    }],
    size: 'md',
    type: 'chip'
  }
};
const meta = {
  title: 'Tabs',
  component: Tab,
  args: defaultArgs,
  argTypes,
  parameters: {
    controls: {
      exclude: ['triggerNode', 'tabsContent', 'tabsData']
    }
  }
};
export default meta;