import React from 'react';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { Label } from '../Label/Label';
import { TextArea } from '../TextArea/TextArea';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
export default {
  title: 'TextArea',
  component: TextArea,
  parameters: {
    docs: {
      description: {
        component: 'Simple styled textarea component that accepts a color.'
      }
    }
  }
};
export const TextAreaComponent = () => React.createElement(TextArea, {
  id: 'textarea-default',
  my: 3
});
export const Colors = () => React.createElement(Box, {
  width: 400
}, React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-1',
  placeholder: 'No color'
}), React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-2',
  color: 'primary',
  placeholder: 'Primary'
}), React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-3',
  color: 'secondary',
  placeholder: 'Secondary'
}), React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-4',
  color: 'warning',
  placeholder: 'Warning'
}), React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-5',
  color: 'alert',
  placeholder: 'Alert'
}), React.createElement(TextArea, {
  mb: 3,
  id: 'textarea-colors-6',
  color: 'caution',
  placeholder: 'Caution'
}));
export const WithExternalLabel = () => React.createElement(Box, {
  width: 400
}, React.createElement(Label, {
  fontSize: 4,
  htmlFor: 'sample-textarea'
}, "Label!"), React.createElement(TextArea, {
  id: 'sample-textarea',
  placeholder: 'Click the label'
}));
export function ForwardRefs() {
  function refChild(dsRef) {
    function onClick() {
      return dsRef.current.value = 'Happy Panda :D';
    }
    return React.createElement(React.Fragment, null, React.createElement(TextArea, {
      ref: dsRef,
      value: 'Sad Panda :('
    }), React.createElement(Button, {
      onClick: onClick,
      mt: 4
    }, "Click to change input value via ref"));
  }
  return React.createElement(ForwardRefDemo, {
    refChild: refChild
  });
}