import { InformationOutline } from 'pcln-icons';
import React from 'react';
import { Box } from '../Box/Box';
import { colorSchemeNames } from '../theme/theme';
import { Toast } from './Toast';
import { argTypes, defaultArgs } from './Toast.stories.args';
export default {
  title: 'Core / Toast',
  component: Toast,
  args: defaultArgs,
  argTypes,
  decorators: [Story => React.createElement(Box, {
    width: 300
  }, React.createElement(Story, null))]
};
const Template = args => React.createElement(Toast, {
  ...args
});
export const _Toast = Template.bind({});
const ColorSchemeTemplate = args => {
  return colorSchemeNames.map(colorScheme => React.createElement(Box, {
    m: 3,
    key: colorScheme
  }, React.createElement(Toast, {
    ...args,
    colorScheme: colorScheme
  })));
};
export const _ColorScheme = ColorSchemeTemplate.bind({});
_ColorScheme.args = {
  icon: React.createElement(InformationOutline, null)
};
export const _ColorSchemeBorderVariation = ColorSchemeTemplate.bind({});
_ColorSchemeBorderVariation.args = {
  icon: React.createElement(InformationOutline, null),
  variation: 'border'
};