import React, { useState } from 'react';
import { Toggle } from './Toggle';
import { Dollar } from 'pcln-icons';
export default {
  title: 'Toggle',
  component: Toggle
};
export const ToggleComponent = () => {
  const [isOn, setIsOn] = useState(false);
  const onToggle = () => setIsOn(!isOn);
  const DollarIcon = props => React.createElement(Dollar, {
    color: isOn ? 'primary.base' : 'background.dark',
    ...props
  });
  const icon = React.createElement(DollarIcon, {
    size: 22
  });
  const largeIcon = React.createElement(DollarIcon, {
    size: 48
  });
  return React.createElement(React.Fragment, null, React.createElement("h4", null, "Default"), React.createElement(Toggle, {
    label: 'Default',
    isOn: isOn,
    onToggle: onToggle
  }), React.createElement("h4", null, "Large"), React.createElement(Toggle, {
    label: 'Large',
    isOn: isOn,
    onToggle: onToggle,
    height: 50
  }), React.createElement("h4", null, "With Icon"), React.createElement(Toggle, {
    label: 'With Icon',
    isOn: isOn,
    onToggle: onToggle,
    icon: icon
  }), React.createElement("h4", null, "Large With Icon"), React.createElement(Toggle, {
    label: 'Large With Icon',
    isOn: isOn,
    onToggle: onToggle,
    height: 50,
    icon: largeIcon
  }), React.createElement("h4", null, "Disabled"), React.createElement(Toggle, {
    label: 'Default',
    isOn: isOn,
    onToggle: onToggle,
    disabled: true
  }));
};