import React from 'react';
import { Tooltip } from './Tooltip';
describe('Tooltip', () => {
  test('renders', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, null, "A Tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top left', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      color: 'primary',
      top: true,
      left: true
    }, "left tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top center', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      color: 'primary',
      top: true,
      center: true
    }, "centered tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('top right', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      color: 'error',
      top: true,
      right: true
    }, "right tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom left', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      bottom: true,
      left: true
    }, "left tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom center', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      bottom: true,
      center: true
    }, "centered tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
  test('bottom right', () => {
    const json = rendererCreateWithTheme(React.createElement(Tooltip, {
      bottom: true,
      right: true
    }, "right tooltip")).toJSON();
    expect(json).toMatchSnapshot();
  });
});