import React from 'react';
import styled from 'styled-components';
import { Flex, Box, Text, Image, Heading, getPaletteColor } from '..';
import { Hotels as HotelsIcon } from 'pcln-icons';
export default {
  title: 'Layout/Layout Examples'
};
export const Grid = () => React.createElement(Box, {
  p: 4
}, React.createElement(Flex, {
  mx: -3
}, React.createElement(Box, {
  width: [1, 1 / 2],
  px: 3,
  mb: 4
}, React.createElement(Box, {
  bg: 'background.light'
}, React.createElement(Text, null, "Hello"))), React.createElement(Box, {
  width: [1, 1 / 2],
  px: 3,
  mb: 4
}, React.createElement(Box, {
  bg: 'background.light'
}, React.createElement(Text, null, "Hello")))));
export const TwoColumn = () => React.createElement(Flex, null, React.createElement(Box, {
  px: 3,
  width: 1 / 4
}, React.createElement(Box, {
  bg: 'background.light',
  style: {
    minHeight: '50vh'
  }
}, React.createElement(Text, null, "Hello"))), React.createElement(Box, {
  px: 3,
  width: 3 / 4
}, React.createElement(Box, {
  bg: 'background.light',
  style: {
    minHeight: '50vh'
  }
}, React.createElement(Text, null, "Hello"))));
export const Navbar = () => React.createElement(Flex, {
  p: 2,
  alignItems: 'center',
  color: 'primary'
}, React.createElement(HotelsIcon, {
  mr: 2
}), React.createElement(Text, {
  bold: true,
  mx: 2
}, "Hello"), React.createElement(Text, {
  mx: 2
}, "Navbar"), React.createElement(Text, {
  ml: 'auto',
  mr: 2
}, "Right Side"));
const cards = Array.from({
  length: 12
}).map((n, i) => ({
  id: i,
  title: 'Hello' + i,
  text: 'Card',
  image: 'http://placehold.it/512x256/007aff'
}));
const Border = /*#__PURE__*/styled(Box).withConfig({
  displayName: "Layoutsstories__Border",
  componentId: "sc-wq9aq-0"
})(["border:1px solid ", ";border-radius:3px;"], getPaletteColor('background.base'));
const Card = ({
  image,
  title,
  text
}) => React.createElement(Border, {
  p: 1
}, React.createElement(Image, {
  src: image,
  width: '512',
  height: '256'
}), React.createElement(Heading, {
  fontSize: 2,
  mt: 1
}, title), React.createElement(Text, {
  fontSize: 1
}, text));
export const TiledCards = () => React.createElement(Flex, {
  flexWrap: 'wrap'
}, cards.map(card => React.createElement(Box, {
  key: card.id,
  p: 3,
  width: [1 / 2, 1 / 3, 1 / 4]
}, React.createElement(Card, {
  ...card
}))));