import React, { useState } from 'react';
import styled from 'styled-components';
import { Box } from '../Box/Box';
import { Divider } from '../Divider/Divider';
import { Flex } from '../Flex/Flex';
import { Input } from '../Input/Input';
import { ShadowEffect, ShadowOverlay } from '../ShadowEffect/ShadowEffect';
import { Text } from '../Text/Text';
import { createTheme } from '../utils/createTheme';
import { getPaletteColor } from '../utils/utils';
const LightBackgroundInput = /*#__PURE__*/styled(Input).withConfig({
  displayName: "ZIndicesstories__LightBackgroundInput",
  componentId: "sc-1anblza-0"
})(["background-color:", ";"], getPaletteColor('background.lightest'));
const theme = createTheme();
export default {
  title: 'Design / z-indices'
};
export const _ZIndices = () => {
  return React.createElement(Box, null, React.createElement(Text, {
    textStyle: 'heading4'
  }, "Priceline z-index map"), React.createElement(Text, {
    textStyle: 'paragraph',
    my: 3
  }, "All Design System components will now use these z-index values where appropriate."), React.createElement(Text, {
    textStyle: 'paragraph',
    my: 3
  }, "Components also accept the mapped keys to their zIndex prop now. See the input example to see how."), React.createElement(Flex, {
    justifyContent: 'space-between',
    width: 200
  }, React.createElement(Text.span, null, "Key"), React.createElement(Text.span, null, "Value")), React.createElement(Divider, null), Object.keys(theme.zIndices)?.map(key => {
    return React.createElement(Flex, {
      key: key,
      justifyContent: 'space-between',
      width: 200,
      mb: 2
    }, React.createElement(Text.span, null, key), React.createElement(Text.span, null, theme.zIndices[key]));
  }));
};
export const InputWithShadowOverlay = () => {
  const [showOverlay, setShowOverlay] = useState(false);
  const handleHideOverlay = () => setShowOverlay(false);
  const handleShowOverlay = () => setShowOverlay(true);
  return React.createElement(React.Fragment, null, showOverlay && React.createElement(ShadowOverlay, null), React.createElement(LightBackgroundInput, {
    placeholder: 'z-index Overlay Example',
    zIndex: showOverlay ? 'onOverlay' : 'auto',
    onBlur: handleHideOverlay,
    onFocus: handleShowOverlay
  }));
};
export const InputWithShadowEffect = () => React.createElement(ShadowEffect, null, React.createElement(LightBackgroundInput, {
  placeholder: 'z-index Overlay Example'
}));