import React from 'react';
import styled from 'styled-components';
import { Box } from '../Box/Box';
import { Text } from '../Text/Text';
import { useScrollWithShadow } from './useScrollWithShadow';
export default {
  title: 'useScrollWithShadows'
};
const ShadowTransitionBox = /*#__PURE__*/styled(Box).withConfig({
  displayName: "useScrollWithShadowsstories__ShadowTransitionBox",
  componentId: "sc-164yo6q-0"
})(["transition:all 0.3s ease-in-out;"]);
const Template = () => {
  // Step 1: Use the hook to get the boxShadow value and scroll handler for the overflow container
  const {
    boxShadow,
    onScrollHandler
  } = useScrollWithShadow();
  return (
    // Step 2: Apply the onScrollHandler and boxShadow values to the container
    React.createElement(ShadowTransitionBox, {
      height: '300px',
      overflow: 'scroll',
      onScroll: onScrollHandler,
      style: {
        boxShadow
      }
    }, React.createElement(Box, {
      height: '1000px'
    }, React.createElement(Text, {
      textStyle: 'heading1',
      mt: 3
    }, "useScrollWithShadow()"), React.createElement(Text, {
      textStyle: 'subheading1',
      mt: 3
    }, "Use this hook to apply a shadow to the top of a container when the user scrolls."), React.createElement(Text, {
      textStyle: 'paragraph',
      mt: 3
    }, "Click the \"Show Code\" button for usage instructions. Scroll to see the effect.")))
  );
};
export const Basic = Template.bind({});