"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Accordion = void 0;
const RadixAccordion = __importStar(require("@radix-ui/react-accordion"));
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Accordion_styled_1 = require("./Accordion.styled");
/**
 * @public
 */
function Accordion({ items, itemsState, isExternallyControlled, onToggle, type = 'multiple', variation = 'default', p = '12px', headerDividerColor, ...props }) {
    return items ? (react_1.default.createElement(Accordion_styled_1.StyledAccordionRoot
    // @ts-ignore
    , { 
        // @ts-ignore
        type: type, defaultValue: itemsState ?? items.map((child) => child.value), value: isExternallyControlled ? itemsState : undefined, collapsible: true, variation: variation, onValueChange: onToggle, "data-testid": 'accordion-root', style: {
            isolation: 'isolate',
        } }, items.map((child, index) => (react_1.default.createElement(RadixAccordion.Item, { key: child.value, asChild: true, value: child.value },
        react_1.default.createElement(Accordion_styled_1.StyledItem, { variation: variation, overflow: 'hidden', borderRadius: '12px', marginBottom: '12px', headerBg: child.headerBg, "data-testid": `styled-item-${child.value}`, headerDividerColor: index > 0 && headerDividerColor },
            react_1.default.createElement(Accordion_styled_1.StyledTrigger, { ...props, p: p, variation: variation },
                react_1.default.createElement(Flex_1.Flex, { width: '100%', justifyContent: 'space-between', alignItems: 'center' },
                    child.headerLabel,
                    child.headerActions ? (react_1.default.createElement(Box_1.Box, { onClick: (e) => e.preventDefault() }, child.headerActions)) : null),
                react_1.default.createElement(Accordion_styled_1.IconContainer, { margin: 'auto', height: '25px' },
                    react_1.default.createElement(Accordion_styled_1.StyledChevron, { className: 'chevron', variation: variation }))),
            react_1.default.createElement(Accordion_styled_1.StyledContent, { ...props, p: p, variation: variation }, child.content))))))) : null;
}
exports.Accordion = Accordion;
//# sourceMappingURL=Accordion.js.map