"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderWithFunction = exports.TrackStateSingular = exports.TrackStateMultiple = exports.ChevronClose = exports.Singular = exports.FlatCard = exports.ItemStatePropCard = exports.Card = exports.Ladder = exports.Hug = exports.Underlined = exports.Basic = void 0;
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const react_1 = __importStar(require("react"));
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const theme_1 = require("../theme/theme");
const Accordion_1 = require("./Accordion");
exports.default = {
    title: 'Accordion',
    component: Accordion_1.Accordion,
    argTypes: {
        onToggle: { action: true },
        p: {
            options: theme_1.theme.space,
            control: { type: 'select' },
            description: 'Padding for the content and header sections',
        },
    },
};
const items = [
    {
        headerLabel: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null, "Header Label First Item"))),
        content: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null, "I am some content"),
            react_1.default.createElement(Text_1.Text, null, "I am some content"),
            react_1.default.createElement(Text_1.Text, null, "I am some content"))),
        value: 'item-1',
    },
    {
        headerLabel: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null, "Second Header"))),
        headerActions: react_1.default.createElement(Button_1.Button, { onClick: () => console.log('test') }, "Test Button"),
        content: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null, "I am secondary content"),
            react_1.default.createElement(Text_1.Text, null, "I am secondary content"),
            react_1.default.createElement(Text_1.Text, null, "I am secondary content"))),
        value: 'item-2',
    },
    {
        content: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null, "No Header Label on Third Item"),
            react_1.default.createElement(Text_1.Text, null, "Tertiary text"),
            react_1.default.createElement(Text_1.Text, null, "Tertiary text"),
            react_1.default.createElement(Text_1.Text, null, "Tertiary text"))),
        value: 'item-3',
    },
];
exports.Basic = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        const headerLabel = canvas.getByText('Header Label First Item');
        await (0, jest_1.expect)(args.onToggle).not.toHaveBeenCalled();
        await (0, jest_1.expect)(canvas.queryAllByText('I am some content')).toHaveLength(3);
        await testing_library_1.userEvent.click(headerLabel);
        setTimeout(async () => {
            await (0, jest_1.expect)(canvas.queryAllByText('I am some content')).toHaveLength(0);
            await (0, jest_1.expect)(args.onToggle).toHaveBeenCalled();
        }, 350);
    },
    render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items }),
};
exports.Underlined = { render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, variation: 'underline' }) };
exports.Hug = { render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, variation: 'hug' }) };
exports.Ladder = {
    render: (args) => (react_1.default.createElement(Accordion_1.Accordion, { ...args, headerDividerColor: 'border.base', items: [
            {
                ...items[0],
                headerBg: 'success.light',
            },
            { ...items[1] },
        ], variation: 'ladder' })),
};
exports.Card = { render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, variation: 'card' }) };
exports.ItemStatePropCard = {
    render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, variation: 'card', itemsState: ['item-1', 'item-2'] }),
};
exports.FlatCard = { render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, variation: 'flatCard' }) };
exports.Singular = { render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, type: 'single' }) };
exports.ChevronClose = {
    render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, isAnimatedChevron: true, items: items }),
};
exports.TrackStateMultiple = {
    render: (args) => {
        const [itemsState, setItemsState] = (0, react_1.useState)(['item-1', 'item-3']);
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null,
                "Items Open: ",
                itemsState.join(', ')),
            react_1.default.createElement(Button_1.Button, { onClick: () => {
                    setItemsState([]);
                } }, "Collapse all items"),
            react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, itemsState: itemsState, isExternallyControlled: true, onToggle: (newItemsState) => {
                    setItemsState(newItemsState);
                    console.log('previousState:', itemsState, 'newState:', newItemsState);
                } })));
    },
};
exports.TrackStateSingular = {
    play: async ({ canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        const headerLabel = canvas.getByText('Header Label First Item');
        await (0, jest_1.expect)(canvas.queryAllByText('I am some content')).toHaveLength(0);
        await (0, jest_1.expect)(canvas.queryAllByText('I am secondary content')).toHaveLength(3);
        await (0, jest_1.expect)(canvas.queryByText('Item Open: item-1')).toBeFalsy();
        await (0, jest_1.expect)(canvas.queryByText('Item Open: item-2')).toBeTruthy();
        await testing_library_1.userEvent.click(headerLabel);
        setTimeout(async () => {
            await (0, jest_1.expect)(canvas.queryAllByText('I am some content')).toHaveLength(3);
            await (0, jest_1.expect)(canvas.queryAllByText('I am secondary content')).toHaveLength(0);
            await (0, jest_1.expect)(canvas.queryByText('Item Open: item-1')).toBeTruthy();
            await (0, jest_1.expect)(canvas.queryByText('Item Open: item-2')).toBeFalsy();
        }, 350);
    },
    render: (args) => {
        const [itemsState, setItemsState] = (0, react_1.useState)('item-2');
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Text_1.Text, null,
                "Item Open: ",
                itemsState),
            react_1.default.createElement(Accordion_1.Accordion, { ...args, items: items, itemsState: itemsState, onToggle: (newItemsState) => {
                    setItemsState(newItemsState);
                    console.log('previousState:', itemsState, 'newState:', newItemsState);
                }, type: 'single' })));
    },
};
const itemWithFunc = {
    headerLabel: (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'left', alignItems: 'center' },
        react_1.default.createElement(Text_1.Text, { mr: 3 }, "Header Label First Item"),
        react_1.default.createElement(Button_1.Button, { onClick: (e) => {
                e.stopPropagation();
                alert('testClick');
            } }, "TestButton"))),
    content: react_1.default.createElement(Text_1.Text, null, "Single content"),
    value: 'item-4',
};
exports.HeaderWithFunction = {
    render: (args) => react_1.default.createElement(Accordion_1.Accordion, { ...args, items: [...items, itemWithFunc], type: 'single' }),
};
//# sourceMappingURL=Accordion.stories.js.map