"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StyledItem = exports.IconContainer = exports.StyledChevron = exports.StyledTrigger = exports.StyledContent = exports.StyledAccordionRoot = void 0;
const Accordion = __importStar(require("@radix-ui/react-accordion"));
const theme_get_1 = require("@styled-system/theme-get");
const pcln_icons_1 = require("pcln-icons");
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const utils_1 = require("../utils/utils");
const slideDown = (0, styled_components_1.keyframes) `
  from {
    height: 0;
  }
  to {
    height: var(--radix-accordion-content-height);
  }
`;
const slideUp = (0, styled_components_1.keyframes) `
  from {
    height: var(--radix-accordion-content-height);
  }
  to {
    height: 0;
  }
`;
exports.StyledAccordionRoot = (0, styled_components_1.default)(Accordion.Root) `
  ${(props) => props.variation === 'ladder'
    ? `
      overflow: hidden;
      box-shadow: ${(0, theme_get_1.themeGet)('shadows.sm')(props)};
      border-radius: ${(0, theme_get_1.themeGet)('borderRadii.lg')(props)};
    `
    : ''}
`;
exports.StyledContent = (0, styled_components_1.default)(Accordion.Content) `
  overflow: hidden;
  ${styled_system_1.space}
  background-color: ${(props) => props.variation === 'default' ? (0, utils_1.getPaletteColor)('background.light')(props) : '#fff'};
  &[data-state='open'] {
    animation: ${slideDown} ${(0, theme_get_1.themeGet)('duration.normal')} ${(0, theme_get_1.themeGet)('timingFunctions.easeInOut')};
  }
  &[data-state='closed'] {
    animation: ${slideUp} ${(0, theme_get_1.themeGet)('duration.normal')} ${(0, theme_get_1.themeGet)('timingFunctions.easeInOut')};
  }
`;
exports.StyledTrigger = (0, styled_components_1.default)(Accordion.Trigger).attrs(borderRadiusAttrs_1.borderRadiusAttrs) `
  all: unset;
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  width: 100%;
  color: ${(props) => (props.variation === 'hug' ? (0, utils_1.getPaletteColor)('text.lightest')(props) : '')};
  &[data-state='open'] .chevron {
    transform: rotate(180deg);
  }
  &[data-state='closed'] {
    ${(props) => props.variation === 'flatCard' ? `background-color: ${(0, utils_1.getPaletteColor)('background.light')(props)}` : ''}
  }
  ${(props) => props.variation === 'ladder'
    ? ''
    : `
    border-top-left-radius: ${(0, theme_get_1.themeGet)('borderRadii.lg')};
    border-top-right-radius: ${(0, theme_get_1.themeGet)('borderRadii.lg')};
  `}
  ${styled_system_1.space}
  ${(props) => `border-bottom: 1px solid ${props.variation === 'underline' ? (0, utils_1.getPaletteColor)('border.base')(props) : 'transparent'};`}
  &:hover {
    cursor: pointer;
    ${(props) => `background-color: ${props.variation === 'hug'
    ? (0, utils_1.getPaletteColor)('primary.dark')(props)
    : (0, utils_1.getPaletteColor)('background.base')(props)};`}
  }
  &:focus-visible {
    outline: 2px solid ${(0, utils_1.getPaletteColor)('primary.dark')};
    outline-offset: -2px;
  }
`;
exports.StyledChevron = (0, styled_components_1.default)(pcln_icons_1.ChevronDown) `
  margin: auto 8px;
  transition: transform ${(0, theme_get_1.themeGet)('duration.normal')} ${(0, theme_get_1.themeGet)('timingFunctions.easeInOut')};
  border-radius: ${(0, theme_get_1.themeGet)('borderRadii.full')};
  color: ${(props) => props.variation === 'hug'
    ? (0, utils_1.getPaletteColor)('text.lightest')(props)
    : (0, utils_1.getPaletteColor)('primary.base')(props)};
`;
exports.IconContainer = (0, styled_components_1.default)(Box_1.Box) `
  position: relative;
  &:after {
    content: '';
    position: absolute;
    transition: transform ${(0, theme_get_1.themeGet)('duration.normal')} ${(0, theme_get_1.themeGet)('timingFunctions.easeInOut')};
    transform: scale(0);
    width: 25px;
    height: 25px;
    left: 8px;
    top: 0;
    border-radius: ${(0, theme_get_1.themeGet)('borderRadii.full')};
  }
  &:hover {
    &:after {
      background-color: rgba(0, 0, 0, 0.12);
      transform: scale(1.2);
    }
  }
`;
exports.StyledItem = (0, styled_components_1.default)(Box_1.Box) `
  ${(props) => (['card', 'flatCard'].includes(props.variation) ? 'border: solid 1px transparent;' : '')}
  ${(props) => props.variation === 'default' ? `background-color: ${(0, utils_1.getPaletteColor)('background.light')(props)};` : ''}
  ${(props) => props.variation === 'hug'
    ? `background-color: ${(0, utils_1.getPaletteColor)('primary.base')(props)};
      border: 1px solid ${(0, utils_1.getPaletteColor)('primary.base')(props)};`
    : ''}
  ${(props) => props.variation === 'ladder'
    ? `background-color: ${(0, utils_1.getPaletteColor)(props.headerBg || 'background.light')(props)};
        ${props.headerDividerColor
        ? `border-top: solid ${(0, utils_1.getPaletteColor)(props.headerDividerColor)(props)} 1px;`
        : ''}
        border-radius: 0px; margin-bottom: 0px;
        `
    : ''}

  &[data-state='open'],
  &:hover {
    ${(props) => ['card', 'flatCard'].includes(props.variation)
    ? `
        border-color: ${(0, utils_1.getPaletteColor)('border.base')(props)};
        box-shadow: none;
        `
    : ''}
  }

  &[data-state='closed'] {
    ${(props) => props.variation === 'underline'
    ? `
          border-bottom-left-radius: 0px;
          border-bottom-right-radius: 0px;`
    : ''}
    ${(props) => ['card'].includes(props.variation)
    ? `
          box-shadow: ${(0, theme_get_1.themeGet)('shadows.sm')(props)}; 
          border-color: transparent;
        `
    : ''}
    
    &:hover {
      ${(props) => ['card', 'flatCard'].includes(props.variation)
    ? `
            box-shadow: ${(0, theme_get_1.themeGet)('shadows.xl')(props)};
            border-color: transparent;
          `
    : ''}
    }
  }
`;
//# sourceMappingURL=Accordion.styled.js.map