"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpinAnimation = exports.ComposedAnimations = exports.AnimatedListings = exports.Playground = void 0;
/* eslint-disable jsx-a11y/accessible-emoji */
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const ChoiceChip_1 = require("../Chip/ChoiceChip/ChoiceChip");
const Flex_1 = require("../Flex/Flex");
const Image_1 = require("../Image/Image");
const Text_1 = require("../Text/Text");
const Animate_1 = require("./Animate");
const meta = {
    component: Animate_1.Animate,
};
exports.default = meta;
const Playground = () => {
    const [motion, setMotion] = (0, react_1.useState)('expandDown');
    const [transition, setTransition] = (0, react_1.useState)('default');
    const [isRendered, setIsRendered] = (0, react_1.useState)(true);
    const rerender = () => {
        setIsRendered(false);
        setTimeout(() => setIsRendered(true));
    };
    const handleMotionChange = (variant) => {
        setMotion(variant);
        rerender();
    };
    const handleTransitionChange = (variant) => {
        setTransition(variant);
        rerender();
    };
    return (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', maxWidth: 600 },
        react_1.default.createElement(Text_1.Text, { fontSize: 5, bold: true }, "Motion Variants"),
        react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap' }, Object.keys(Animate_1.MotionVariants).map((variant) => (react_1.default.createElement(ChoiceChip_1.ChoiceChip, { "data-testid": variant, selected: motion === variant, m: 2, key: variant, onClick: () => handleMotionChange(variant) }, variant)))),
        react_1.default.createElement(Text_1.Text, { fontSize: 5, bold: true }, "Transition Variants"),
        react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap' }, Object.keys(Animate_1.TransitionVariants).map((variant) => (react_1.default.createElement(ChoiceChip_1.ChoiceChip, { "data-testid": variant, selected: transition === variant, m: 2, key: variant, onClick: () => handleTransitionChange(variant) }, variant)))),
        isRendered && (react_1.default.createElement(Animate_1.Animate, { variant: motion, transition: transition },
            react_1.default.createElement(Flex_1.Flex, { "data-testid": 'playground-content', p: 5, bg: 'background.darkest', flexDirection: 'column', justifyContent: 'center', alignItems: 'center' },
                react_1.default.createElement(Text_1.Text, { fontSize: 5, bold: true, color: 'text.lightest' }, "Hello \uD83D\uDC4B"),
                react_1.default.createElement(Text_1.Text, { fontSize: 5, bold: true, color: 'text.lightest' }, "World \uD83C\uDF0E"))))));
};
exports.Playground = Playground;
const delay = (time) => new Promise((resolve) => setTimeout(resolve, time));
exports.Playground.play = async ({ canvasElement }) => {
    const canvas = (0, testing_library_1.within)(canvasElement);
    await testing_library_1.userEvent.click(canvas.getByText('fadeIn'));
    await delay(1000);
    const playgroundContent = await canvas.getByTestId('playground-content');
    await (0, jest_1.expect)(playgroundContent).toBeTruthy();
};
const AnimatedListings = () => {
    const [isRendered, setIsRendered] = (0, react_1.useState)(true);
    const rerender = () => {
        setIsRendered(false);
        setTimeout(() => setIsRendered(true));
    };
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Button_1.Button, { onClick: rerender }, "Reset"),
        isRendered &&
            Array.from(Array(10).keys()).map((i) => (react_1.default.createElement(Animate_1.Animate, { key: i, variant: 'scaleFromTopLeft', override: { transition: { ...Animate_1.TransitionVariants.default, delay: 0.05 * i } } },
                react_1.default.createElement(Flex_1.Flex, { m: 2 },
                    react_1.default.createElement(Image_1.Image, { src: `https://picsum.photos/id/${i + 50}/160/90`, alt: 'random' }),
                    react_1.default.createElement(Flex_1.Flex, { p: 2, bg: 'background.darkest', alignItems: 'center' },
                        react_1.default.createElement(Text_1.Text, { color: 'text.lightest', fontSize: 3 }, "\uD83D\uDC48 Travel Here \uD83C\uDFE8 \u2708\uFE0F \uD83D\uDE99"))))))));
};
exports.AnimatedListings = AnimatedListings;
const ComposedAnimations = () => {
    const [isRendered, setIsRendered] = (0, react_1.useState)(true);
    const rerender = () => {
        setIsRendered(false);
        setTimeout(() => setIsRendered(true));
    };
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Flex_1.Flex, { width: 'fit-content' },
            react_1.default.createElement(Button_1.Button, { m: 2, onClick: rerender }, "Reset")),
        isRendered && (react_1.default.createElement(Animate_1.Animate, { variant: 'scaleFromTopLeft' },
            react_1.default.createElement(Flex_1.Flex, { width: 'fit-content' },
                react_1.default.createElement(Animate_1.Animate, { variant: 'scaleOnHover' },
                    react_1.default.createElement(Button_1.Button, { m: 2 }, "Hover Me")),
                react_1.default.createElement(Animate_1.Animate, { variant: 'scaleOnTap', transition: 'spring' },
                    react_1.default.createElement(Button_1.Button, { m: 2 }, "Click Me")),
                react_1.default.createElement(Animate_1.Animate, { variant: 'scaleOnTap' },
                    react_1.default.createElement(Animate_1.Animate, { variant: 'scaleOnHover' },
                        react_1.default.createElement(Button_1.Button, { m: 2 }, "I Do Both!"))))))));
};
exports.ComposedAnimations = ComposedAnimations;
const SpinAnimation = () => {
    return (react_1.default.createElement(Flex_1.Flex, { width: 'fit-content' },
        react_1.default.createElement(Animate_1.Animate, { variant: 'spin' },
            react_1.default.createElement(Button_1.Button, { m: 2 }, "Spin!"))));
};
exports.SpinAnimation = SpinAnimation;
//# sourceMappingURL=Animate.stories.js.map