"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Heading_1 = require("../Heading/Heading");
const Text_1 = require("../Text/Text");
const StyledImage = (0, styled_components_1.default)(Box_1.Box) `
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-size: cover;
  background-image: url(${(props) => props.src});
`;
/**
 * @public
 */
function Avatar({ altText = 'avatar', className = '', color = 'primary', colorScheme, initials, subtitle, src, size = 40, title, }) {
    return (react_1.default.createElement(Flex_1.Flex, { className: className },
        react_1.default.createElement(StyledImage, { role: 'img', src: src, alt: altText, size: size, minWidth: size, color: color, p: 2, colorScheme: colorScheme },
            !src && initials && react_1.default.createElement(Text_1.Text, { fontSize: 1 }, initials.toUpperCase()),
            !src && !initials && react_1.default.createElement(pcln_icons_1.User, null)),
        title && (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', justifyContent: 'center', ml: 3 },
            react_1.default.createElement(Heading_1.Heading.h5, { m: 0 }, title),
            react_1.default.createElement(Text_1.Text, { color: 'text.light', fontSize: 0 }, subtitle)))));
}
exports.Avatar = Avatar;
Avatar.displayName = 'Avatar';
//# sourceMappingURL=Avatar.js.map