"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../__test__/testing-library");
const Avatar_1 = require("./Avatar");
const elonJPG = 'https://pbs.twimg.com/media/DwSta0wUcAAQQR9.jpg';
describe('Avatar', () => {
    test('renders default', () => {
        const { asFragment } = (0, testing_library_1.render)(react_1.default.createElement(Avatar_1.Avatar, null));
        expect(asFragment()).toMatchSnapshot();
    });
    test('renders initials', () => {
        const { asFragment } = (0, testing_library_1.render)(react_1.default.createElement(Avatar_1.Avatar, { initials: 'WS' }));
        expect(asFragment()).toMatchSnapshot();
    });
    test('renders mr elon', () => {
        const { asFragment } = (0, testing_library_1.render)(react_1.default.createElement(Avatar_1.Avatar, { title: 'Not Elon Musk', subtitle: 'totally.not.elon@musk.com', src: elonJPG, altText: 'papa-elon' }));
        expect(asFragment()).toMatchSnapshot();
    });
});
//# sourceMappingURL=Avatar.spec.js.map