"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorScheme = exports.Responsive = exports.Elon = exports.Initials = exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const Avatar_1 = require("./Avatar");
const elonJPG = 'https://pbs.twimg.com/media/DwSta0wUcAAQQR9.jpg';
exports.default = {
    title: 'Avatar',
    component: Avatar_1.Avatar,
};
const Default = () => react_1.default.createElement(Avatar_1.Avatar, null);
exports.Default = Default;
const Initials = () => react_1.default.createElement(Avatar_1.Avatar, { initials: 'WS' });
exports.Initials = Initials;
const Elon = () => (react_1.default.createElement(Avatar_1.Avatar, { title: 'Not Elon Musk', subtitle: 'totally.not.elon@musk.com', src: elonJPG, altText: 'papa-elon' }));
exports.Elon = Elon;
const Responsive = () => (react_1.default.createElement(Avatar_1.Avatar, { title: 'Not Elon Musk', subtitle: 'totally.not.elon@musk.com', src: elonJPG, altText: 'papa-elon', size: [40, 50, 64, 85, 104, 130] }));
exports.Responsive = Responsive;
const ColorScheme = () => {
    return (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column' },
        react_1.default.createElement(Text_1.Text, { textStyle: 'heading1' }, "No initials"),
        react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap', mb: 5 }, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Flex_1.Flex, { m: 2, alignItems: 'center', width: 1 / 5, key: colorScheme },
            react_1.default.createElement(Avatar_1.Avatar, { altText: 'Avatar', colorScheme: colorScheme }),
            react_1.default.createElement(Text_1.Text, { ml: 2 }, colorScheme))))),
        react_1.default.createElement(Text_1.Text, { textStyle: 'heading1' }, "Initials"),
        react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap' }, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Flex_1.Flex, { m: 2, alignItems: 'center', width: 1 / 5, key: colorScheme },
            react_1.default.createElement(Avatar_1.Avatar, { altText: 'Avatar', colorScheme: colorScheme, initials: 'AB' }),
            react_1.default.createElement(Text_1.Text, { ml: 2 }, colorScheme)))))));
};
exports.ColorScheme = ColorScheme;
//# sourceMappingURL=Avatar.stories.js.map