"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BackgroundImage = exports.backgroundPositionList = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const utils_1 = require("../utils/utils");
const variations = {
    parallax: (0, styled_components_1.css) `
    background-attachment: fixed;
  `,
    static: (0, styled_components_1.css) `
    background-attachment: scroll;
  `,
};
/**
 * @public
 */
exports.backgroundPositionList = ['top', 'bottom', 'left', 'right', 'center'];
const image = (props) => (props.image ? { backgroundImage: `url(${props.image})` } : null);
/**
 * @public
 */
exports.BackgroundImage = styled_components_1.default.div.attrs(borderRadiusAttrs_1.borderRadiusAttrs) `
  background-position: ${(props) => props.backgroundPosition};
  background-size: cover;
  background-repeat: no-repeat;
  background-color: ${(0, utils_1.getPaletteColor)('border.light')};
  ${(0, utils_1.applyVariations)('BackgroundImage', variations)}
  ${image} 

  ${(props) => (0, styled_system_1.compose)(styled_system_1.height, styled_system_1.width, styled_system_1.borderRadius)(props)}
`;
exports.BackgroundImage.defaultProps = {
    variation: 'static',
    backgroundPosition: 'center',
};
exports.BackgroundImage.displayName = 'BackgroundImage';
//# sourceMappingURL=BackgroundImage.js.map