"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BackgroundPosition = exports.Rounded = exports.Responsive = exports.FixedIntHeight = exports.FixedHeight = exports._BackgroundImage = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Card_1 = require("../Card/Card");
const Text_1 = require("../Text/Text");
const BackgroundImage_1 = require("./BackgroundImage");
const BackgroundImage_stories_args_1 = require("./BackgroundImage.stories.args");
exports.default = {
    title: 'core / BackgroundImage',
    component: BackgroundImage_1.BackgroundImage,
    args: BackgroundImage_stories_args_1.defaultArgs,
    argTypes: BackgroundImage_stories_args_1.argTypes,
    decorators: [
        (story) => (react_1.default.createElement(Box_1.Box, { height: '600px', width: '100%' }, story())),
    ],
    parameters: {
        docs: {
            description: {
                component: `Use the <code>&lt;BackgroundImage /&gt;</code> component to render a
    background image. Use the *variation* prop to change the attachment mode
    of the background.`,
            },
        },
    },
};
const Template = (args) => react_1.default.createElement(BackgroundImage_1.BackgroundImage, { ...args });
exports._BackgroundImage = Template.bind({});
const StoryChildren = () => (react_1.default.createElement(Box_1.Box, { p: 4 },
    react_1.default.createElement(Text_1.Text, { fontSize: 6, fontWeight: 'bold', textAlign: 'center', color: 'white' }, "Hello")));
exports.FixedHeight = Template.bind({});
exports.FixedHeight.args = {
    height: '320px',
    width: '360px',
    children: react_1.default.createElement(StoryChildren, null),
};
exports.FixedIntHeight = Template.bind({});
exports.FixedIntHeight.storyName = 'Fixed Height (Integer)';
exports.FixedIntHeight.args = {
    height: 400,
    width: '360px',
    children: react_1.default.createElement(StoryChildren, null),
};
exports.Responsive = Template.bind({});
exports.Responsive.args = {
    height: ['100px', '300px', '600px'],
    width: ['100%', '216px', '260px'],
    children: react_1.default.createElement(StoryChildren, null),
};
exports.Responsive.parameters = {
    viewport: { defaultViewport: 'designSystem_xs' },
};
const RoundedTemplate = (args) => (react_1.default.createElement(Box_1.Box, { width: '300px' },
    react_1.default.createElement(BackgroundImage_1.BackgroundImage, { ...args }),
    react_1.default.createElement(Card_1.Card, { rounded: 'bottom', height: '100px' },
        react_1.default.createElement(Text_1.Text, { textAlign: 'center', my: 3 }, "Hello Priceline!"))));
exports.Rounded = RoundedTemplate.bind({});
exports.Rounded.args = {
    borderRadius: 'full',
    rounded: 'top',
    height: '100px',
};
exports.BackgroundPosition = Template.bind({});
exports.BackgroundPosition.args = {
    height: 400,
    width: '360px',
    children: react_1.default.createElement(StoryChildren, null),
    backgroundPosition: 'left',
};
//# sourceMappingURL=BackgroundImage.stories.js.map