"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = exports.sizes = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const utils_1 = require("../utils/utils");
const type = (props) => {
    const badgeColors = {
        blue: {
            backgroundColor: props.theme.colors.blue,
            color: props.theme.colors.white,
        },
        lightBlue: {
            backgroundColor: props.theme.colors.lightBlue,
            color: props.theme.colors.darkBlue,
        },
        green: {
            backgroundColor: props.theme.colors.green,
            color: props.theme.colors.white,
        },
        lightGreen: {
            backgroundColor: props.theme.colors.lightGreen,
            color: props.theme.colors.darkGreen,
        },
        red: {
            backgroundColor: props.theme.colors.red,
            color: props.theme.colors.white,
        },
        lightRed: {
            backgroundColor: props.theme.colors.lightRed,
            color: props.theme.colors.darkRed,
        },
        orange: {
            backgroundColor: props.theme.colors.orange,
            color: props.theme.colors.text,
        },
        gray: {
            backgroundColor: props.theme.colors.gray,
            color: props.theme.colors.white,
        },
        lightGray: {
            backgroundColor: props.theme.colors.lightGray,
            color: props.theme.colors.text,
        },
    };
    return !(props.bg && props.color) && (badgeColors[props.bg] || badgeColors.lightGray);
};
exports.sizes = {
    captionSmall: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('typography.caption')}
    padding: 2px 2px;
  `,
    captionMedium: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('typography.caption')}
    padding: ${(props) => (0, theme_get_1.default)('space')(props)[1]};
  `,
    small: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('typography.label')}
    padding: 3px 3px;
  `,
    medium: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('typography.captionBold')}
    padding: ${(props) => (0, theme_get_1.default)('space')(props)[1]};
  `,
};
const letterSpacing = (props) => {
    return props.textTransform && props.textTransform !== 'uppercase'
        ? { letterSpacing: (0, theme_get_1.default)('letterSpacings.normal')(props) }
        : { letterSpacing: (0, theme_get_1.default)('letterSpacings.caps')(props) };
};
/**
 * @public
 */
exports.Badge = styled_components_1.default.div.attrs(borderRadiusAttrs_1.borderRadiusAttrs) `
  display: inline-block;
  ${({ theme }) => (0, utils_1.applySizes)(exports.sizes, undefined, theme.mediaQueries)};
  ${(0, utils_1.applyVariations)('Badge')};
  ${type}
  ${utils_1.color}
  ${utils_1.colorScheme}
  ${utils_1.textTransform}
  ${letterSpacing}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.borderRadius)(props)}
`;
exports.Badge.displayName = 'Badge';
exports.Badge.defaultProps = {
    size: 'medium',
    px: 2,
    borderRadius: 'full',
    textTransform: 'uppercase',
};
//# sourceMappingURL=Badge.js.map