"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.SizeVariants = exports.TextTransforms = exports.LightBlueAndTextCustom = exports.TextCustom = exports._Badge = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Grid_1 = require("../Grid/Grid");
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const typographyAttrs_1 = require("../utils/attrs/typographyAttrs");
const Badge_1 = require("./Badge");
const Badge_stories_args_1 = require("./Badge.stories.args");
exports.default = {
    title: 'Badge',
    component: Badge_1.Badge,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Badge /> component to render a primitive badge.',
            },
        },
    },
    argTypes: Badge_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(Badge_1.Badge, { ...args }, "badge");
exports._Badge = Template.bind({});
exports._Badge.args = {
    bg: 'lightGray',
};
exports.TextCustom = Template.bind({});
exports.TextCustom.storyName = 'text (custom)';
exports.TextCustom.args = {
    bg: 'text',
    color: 'white',
};
exports.LightBlueAndTextCustom = Template.bind({});
exports.LightBlueAndTextCustom.storyName = 'lightBlue and text (custom)';
exports.LightBlueAndTextCustom.args = {
    bg: 'primary.light',
    color: 'text',
};
const GridTemplate = (0, styled_components_1.default)(Grid_1.Grid) `
  display: inline-grid;
  grid-auto-flow: column;
`;
const TextTransformTemplate = (args) => {
    return (react_1.default.createElement(GridTemplate, { templateColumns: 'repeat(5, 1fr)', templateRows: 'repeat(2, 1fr)', justifyItems: 'center', alignItems: 'center' },
        react_1.default.createElement(Text_1.Text, { textStyle: 'captionBold', style: { justifySelf: 'left' } }, "medium:"),
        react_1.default.createElement(Text_1.Text, { textStyle: 'caption', style: { justifySelf: 'left' } }, "captionMedium:"),
        typographyAttrs_1.textTransformValues.map((textTransform) => (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Badge_1.Badge, { m: 3, textTransform: textTransform, key: textTransform, ...args }, textTransform),
            react_1.default.createElement(Badge_1.Badge, { m: 3, textTransform: textTransform, size: 'captionMedium', key: textTransform, ...args }, textTransform))))));
};
exports.TextTransforms = TextTransformTemplate.bind({});
TextTransformTemplate.args = {};
const SizeVariantsTemplate = (args) => {
    const sizeArray = Object.keys(Badge_1.sizes);
    return (react_1.default.createElement(react_1.default.Fragment, null, sizeArray.map((size) => (react_1.default.createElement(Badge_1.Badge, { m: 3, size: size, key: size, ...args }, size)))));
};
exports.SizeVariants = SizeVariantsTemplate.bind({});
SizeVariantsTemplate.args = {};
const ColorSchemesTemplate = (args) => {
    return (react_1.default.createElement(react_1.default.Fragment, null, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Badge_1.Badge, { m: 3, colorScheme: colorScheme, key: colorScheme, ...args }, colorScheme)))));
};
exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=Badge.stories.js.map