"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorScheme = exports.WithChildren = exports.WithCustomIconsAndSizes = exports.WithoutIconOrCloseButtonTextOnly = exports.CustomHeaderAsNode = exports.SansIconTextOnly = exports.SansCloseButtonTextOnly = exports.WithoutIconOrCloseButton = exports.SansIcon = exports.SansCloseButton = exports.AllBgsTextOnly = exports.AllBgsHeaderOnly = exports.AllBgs = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Heading_1 = require("../Heading/Heading");
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const Banner_1 = require("./Banner");
exports.default = {
    title: 'Banner',
    component: Banner_1.Banner,
};
const AllBgs = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'default', text: 'Secondary Text', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'blue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'green', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'orange', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur.', bg: 'orange', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'red', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus.', bg: 'red', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum.', bg: 'lightBlue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'green', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.', bg: 'lightGreen', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'red', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.', bg: 'lightRed', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'custom', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.', bg: 'text', color: 'white', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { mb: 2, p: 3, color: 'primary', text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.' }),
    react_1.default.createElement(Banner_1.Banner, { mb: 2, p: 3, color: 'warning', icon: react_1.default.createElement(pcln_icons_1.Attention, null), text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare. Quisque at quam vel nibh tempor imperdiet vitae non orci. Etiam bibendum sem id nibh finibus interdum. Nunc quam neque, tristique porttitor varius a, ultrices a nibh. Nunc et ipsum id eros condimentum convallis. Donec gravida leo facilisis, pharetra tellus eu, dictum mi.' })));
exports.AllBgs = AllBgs;
const AllBgsHeaderOnly = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, header: 'default', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, header: 'blue', bg: 'blue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, header: 'green', bg: 'green', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, header: 'orange', bg: 'orange', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, header: 'red', bg: 'red', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, header: 'blue', bg: 'lightBlue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, header: 'green', bg: 'lightGreen', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, header: 'red', bg: 'lightRed', onClose: (0, addon_actions_1.action)('closed') })));
exports.AllBgsHeaderOnly = AllBgsHeaderOnly;
const AllBgsTextOnly = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'default', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'blue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'green', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'orange', bg: 'orange', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'red', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'Secondary Text', bg: 'lightBlue', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'Secondary Text', bg: 'lightGreen', onClose: (0, addon_actions_1.action)('closed') }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'Secondary Text', bg: 'lightRed', onClose: (0, addon_actions_1.action)('closed') })));
exports.AllBgsTextOnly = AllBgsTextOnly;
const SansCloseButton = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'default', text: 'Secondary Text' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'blue' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'green' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'orange', text: 'Secondary Text', bg: 'orange' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'red' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'lightBlue' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'lightGreen' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'lightRed' })));
exports.SansCloseButton = SansCloseButton;
const SansIcon = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'default', text: 'Secondary Text', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'blue', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'green', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'orange', text: 'Secondary Text', bg: 'orange', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'red', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'lightBlue', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'lightGreen', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'lightRed', onClose: (0, addon_actions_1.action)('closed'), showIcon: false })));
exports.SansIcon = SansIcon;
const WithoutIconOrCloseButton = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'default', text: 'Secondary Text', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'blue', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'green', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'orange', text: 'Secondary Text', bg: 'orange', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'red', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 3, header: 'blue', text: 'Secondary Text', bg: 'lightBlue', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'green', text: 'Secondary Text', bg: 'lightGreen', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 3, header: 'red', text: 'Secondary Text', bg: 'lightRed', showIcon: false })));
exports.WithoutIconOrCloseButton = WithoutIconOrCloseButton;
const SansCloseButtonTextOnly = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'default' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'blue' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'green' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'orange', bg: 'orange' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'red' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'lightBlue' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'lightGreen' }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'lightRed' })));
exports.SansCloseButtonTextOnly = SansCloseButtonTextOnly;
const SansIconTextOnly = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'default', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'blue', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'green', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'orange', bg: 'orange', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'red', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'lightBlue', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'lightGreen', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'lightRed', onClose: (0, addon_actions_1.action)('closed'), showIcon: false })));
exports.SansIconTextOnly = SansIconTextOnly;
const CustomHeaderAsNode = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { header: react_1.default.createElement(Heading_1.Heading, null, "LOUD HEADER"), textAlign: 'right', mb: 2, p: 2, text: 'default', onClose: (0, addon_actions_1.action)('closed'), showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { header: react_1.default.createElement(Heading_1.Heading.h5, null, "quiet header"), textAlign: 'right', mb: 2, p: 2, text: 'default', onClose: (0, addon_actions_1.action)('closed'), showIcon: false })));
exports.CustomHeaderAsNode = CustomHeaderAsNode;
const WithoutIconOrCloseButtonTextOnly = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'default', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'blue', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'green', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'orange', bg: 'orange', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'red', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'lightBlue', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'lightGreen', showIcon: false }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'lightRed', showIcon: false })));
exports.WithoutIconOrCloseButtonTextOnly = WithoutIconOrCloseButtonTextOnly;
const WithCustomIconsAndSizes = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'default', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'blue', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'green', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'orange', bg: 'orange', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'red', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, text: 'blue', bg: 'lightBlue', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'green', bg: 'lightGreen', icon: react_1.default.createElement(pcln_icons_1.Star, null) }),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'right', mb: 2, p: 2, text: 'red', bg: 'lightRed', icon: react_1.default.createElement(pcln_icons_1.Star, null) })));
exports.WithCustomIconsAndSizes = WithCustomIconsAndSizes;
const WithChildren = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Banner_1.Banner, { p: 2, mb: 2, onClose: (0, addon_actions_1.action)('closed') },
        react_1.default.createElement(Flex_1.Flex, null,
            react_1.default.createElement(Box_1.Box, { bg: 'pink', p: 2, width: 1 / 2 }, "Pink box!"),
            react_1.default.createElement(Box_1.Box, { bg: 'red', p: 2, width: 1 / 2 }, "Red box!"))),
    react_1.default.createElement(Banner_1.Banner, { textAlign: 'left', mb: 2, p: 2, header: 'default', onClose: (0, addon_actions_1.action)('closed') },
        react_1.default.createElement(Text_1.Text, { bold: true, italic: true }, "I am a text component!"))));
exports.WithChildren = WithChildren;
const ColorScheme = () => {
    return args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Banner_1.Banner, { key: colorScheme, textAlign: 'left', mb: 2, p: 3, header: colorScheme, text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla cursus pretium turpis nec efficitur. Nullam pretium diam in porta luctus. Etiam viverra porttitor porttitor. Vestibulum at dignissim tellus. Integer eget massa lacus. Mauris placerat augue rhoncus nisl porttitor bibendum. Sed non aliquam orci, id pulvinar justo. Fusce feugiat egestas risus in ornare.', onClose: (0, addon_actions_1.action)('closed'), colorScheme: colorScheme })));
};
exports.ColorScheme = ColorScheme;
//# sourceMappingURL=Banner.stories.js.map