"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompositionWithoutContainer = exports.ForwardRefs = exports.ContainingBackgroundImage = void 0;
const react_1 = __importDefault(require("react"));
const BackgroundImage_1 = require("../BackgroundImage/BackgroundImage");
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const BlockLink_1 = require("./BlockLink");
const image = 'https://images.unsplash.com/photo-1446776811953-b23d57bd21aa?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&s=aee8a50c86478d935556d865624506e4';
exports.default = {
    title: 'BlockLink',
    component: BlockLink_1.BlockLink,
};
const ContainingBackgroundImage = () => (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'center', alignItems: 'center', color: 'white' },
    react_1.default.createElement(BlockLink_1.BlockLink, { href: 'https://www.priceline.com', target: '_blank' },
        react_1.default.createElement(BackgroundImage_1.BackgroundImage, { image: image, width: '640px' },
            react_1.default.createElement(Box_1.Box, { p: 4 },
                react_1.default.createElement(Text_1.Text, { textAlign: 'center' }, "Click to open priceline.com in new tab!"))))));
exports.ContainingBackgroundImage = ContainingBackgroundImage;
const ForwardRefs = () => {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.innerHTML = 'Bacon!');
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(BlockLink_1.BlockLink, { color: 'text.dark', ref: dsRef }, "I am a link!"),
            react_1.default.createElement("br", null),
            react_1.default.createElement(Button_1.Button, { color: 'error', onClick: onClick, mt: 4 }, "Click to update link text via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
};
exports.ForwardRefs = ForwardRefs;
const CompositionWithoutContainer = () => (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'center', alignItems: 'center', color: 'purple' },
    react_1.default.createElement(BlockLink_1.BlockLink, { href: 'https://www.google.com' },
        react_1.default.createElement(Text_1.Text, { fontSize: 2, bold: true, textAlign: 'center' }, "Click to go to google.com!"))));
exports.CompositionWithoutContainer = CompositionWithoutContainer;
//# sourceMappingURL=BlockLink.stories.js.map