"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Box = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const boxShadowAttrs_1 = require("../utils/attrs/boxShadowAttrs");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.Box = styled_components_1.default.div.attrs((props) => ({
    ...(0, borderRadiusAttrs_1.borderRadiusAttrs)(props),
    ...(0, boxShadowAttrs_1.boxShadowAttrs)(props),
})) `
  ${(0, utils_1.applyVariations)('Box')}
  ${utils_1.color}
  ${utils_1.colorScheme}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.width, styled_system_1.display, styled_system_1.height, styled_system_1.maxHeight, styled_system_1.maxWidth, styled_system_1.minHeight, styled_system_1.minWidth, styled_system_1.size, styled_system_1.space, styled_system_1.textAlign, styled_system_1.borderRadius, styled_system_1.boxShadow, styled_system_1.overflow)(props)}
`;
exports.Box.displayName = 'Box';
//# sourceMappingURL=Box.js.map