"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.CustomColor = exports.ThemeUserCaseColorText = exports.Overflow = exports.DirectionalMargin = exports.DirectionalPadding = exports.VwWidth = exports.PixelWidth = exports.Width = exports.Size = exports.BoxShadow = exports.Color = exports.Margin = exports.MaxAndMinValues = exports.Height = exports.Padding = exports.DisplayAndSize = exports._Box = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const Box_1 = require("./Box");
const Box_stories_args_1 = require("./Box.stories.args");
exports.default = {
    title: 'core / Box',
    component: Box_1.Box,
    args: Box_stories_args_1.defaultArgs,
    argTypes: Box_stories_args_1.argTypes,
    parameters: {
        docs: {
            description: {
                component: `A low-level layout component for setting color, display, height, margin, maxHeight, maxWidth, minHeight, minWidth, padding, size, textAlign, and width.`,
            },
        },
    },
};
const Template = (args) => (react_1.default.createElement(Box_1.Box, { ...args },
    react_1.default.createElement(Text_1.Text, { p: 3 }, "Hello!")));
exports._Box = Template.bind({});
exports.DisplayAndSize = Template.bind({});
exports.DisplayAndSize.storyName = 'Display and Size';
exports.DisplayAndSize.args = {
    color: 'alert.base',
    display: ['none', null, 'block'],
    size: 250,
};
exports.Padding = Template.bind({});
exports.Padding.args = {
    p: 4,
    color: 'background.base',
};
exports.Height = Template.bind({});
exports.Height.args = {
    color: 'warning.base',
    height: ['250px', '350px', '450px', '550px'],
    width: ['150px', '250px', '350px', '450px'],
};
exports.MaxAndMinValues = Template.bind({});
exports.MaxAndMinValues.storyName = 'Min and Max Values';
exports.MaxAndMinValues.args = {
    color: 'priceSecondary.base',
    maxHeight: ['300px', null, '400px', null, '500px'],
    maxWidth: ['300px', null, '400px', null, '500px'],
    minHeight: ['100px', null, '200px', null, '300px'],
    minWidth: ['300px', null, '200px', null, '100px'],
};
exports.Margin = Template.bind({});
exports.Margin.args = {
    m: 3,
    color: 'background.base',
};
exports.Color = Template.bind({});
exports.Color.args = {
    color: 'primary.base',
};
exports.BoxShadow = Template.bind({});
exports.BoxShadow.args = {
    boxShadowSize: 'overlay-lg',
};
exports.Size = Template.bind({});
exports.Size.args = {
    color: 'primary.base',
    size: 200,
};
const DimsChildren = () => react_1.default.createElement(Text_1.Text, { color: 'text.lightest' }, "Box Dimensions");
exports.Width = Template.bind({});
exports.Width.args = {
    color: 'primary.base',
    width: 1 / 2,
    children: react_1.default.createElement(DimsChildren, null),
};
exports.PixelWidth = Template.bind({});
exports.PixelWidth.args = {
    color: 'primary.base',
    width: 256,
    children: react_1.default.createElement(DimsChildren, null),
};
exports.VwWidth = Template.bind({});
exports.VwWidth.storyName = 'Viewport Width unit';
exports.VwWidth.args = {
    color: 'primary.base',
    width: '75vw',
    children: react_1.default.createElement(DimsChildren, null),
};
const DirectionalPadding = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Box_1.Box, { m: 1, pt: 3, color: 'white', bg: 'blue' }, "Padding Top"),
    react_1.default.createElement(Box_1.Box, { m: 1, pr: 3, color: 'white', bg: 'blue' }, "Padding Right"),
    react_1.default.createElement(Box_1.Box, { m: 1, pb: 3, color: 'white', bg: 'blue' }, "Padding Bottom"),
    react_1.default.createElement(Box_1.Box, { m: 1, pl: 3, color: 'white', bg: 'blue' }, "Padding Left"),
    react_1.default.createElement(Box_1.Box, { m: 1, px: 3, color: 'white', bg: 'blue' }, "Padding X-Axis"),
    react_1.default.createElement(Box_1.Box, { m: 1, py: 3, color: 'white', bg: 'blue' }, "Padding Y-Axis")));
exports.DirectionalPadding = DirectionalPadding;
const DirectionalMargin = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Box_1.Box, { mt: 3, color: 'white', bg: 'blue' }, "Margin Top"),
    react_1.default.createElement(Box_1.Box, { mr: 3, color: 'white', bg: 'blue' }, "Margin Right"),
    react_1.default.createElement(Box_1.Box, { mb: 3, color: 'white', bg: 'blue' }, "Margin Bottom"),
    react_1.default.createElement(Box_1.Box, { ml: 3, color: 'white', bg: 'blue' }, "Margin Left"),
    react_1.default.createElement(Box_1.Box, { mx: 3, color: 'white', bg: 'blue' }, "Margin X-Axis"),
    react_1.default.createElement(Box_1.Box, { my: 3, color: 'white', bg: 'blue' }, "Margin Y-Axis")));
exports.DirectionalMargin = DirectionalMargin;
const Overflow = () => (react_1.default.createElement(Box_1.Box, { p: 3 },
    react_1.default.createElement(Box_1.Box, { overflow: 'hidden', maxHeight: '100px', maxWidth: '100px', mb: 3, color: 'background.darkest', bg: 'primary' }, "This is a box with hidden overflow. This is a box with hidden overflow."),
    react_1.default.createElement(Box_1.Box, { overflow: 'clip', maxHeight: '100px', maxWidth: '100px', mb: 3, color: 'background.darkest', bg: 'primary' }, "This is a box with clip overflow. This is a box with clip overflow."),
    react_1.default.createElement(Box_1.Box, { overflow: 'scroll', maxHeight: '100px', maxWidth: '100px', mb: 3, color: 'background.darkest', bg: 'primary' }, "This is a box with scroll overflow. This is a box with scroll overflow."),
    react_1.default.createElement(Box_1.Box, { overflow: 'auto', maxHeight: '100px', maxWidth: '100px', mb: 3, color: 'background.darkest', bg: 'primary' }, "This is a box with auto overflow. This is a box with auto overflow."),
    react_1.default.createElement(Box_1.Box, { overflow: 'visible', maxHeight: '100px', maxWidth: '100px', mb: 3, color: 'background.darkest', bg: 'primary' }, "This is a box with visible overflow. This is a box with visible overflow.")));
exports.Overflow = Overflow;
const ThemeUserCaseColorText = () => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Box_1.Box, { p: 3 },
        react_1.default.createElement(Box_1.Box, { mt: 3, color: 'text' }, "color=\"text\" w/o bg prop: retains the original \"text\" color from original color set as backward compatible: expected style w. \"text\" color and white background"),
        react_1.default.createElement(Box_1.Box, { mt: 3, color: 'purple' }, "color=\"purple\" as none \"text\" color w/o bg prop")),
    react_1.default.createElement(Box_1.Box, { p: 5 },
        react_1.default.createElement(Box_1.Box, { mt: 3, color: 'text.lightest', bg: 'background.dark' }, "Theme 1: color=\"text.lightest\" value & bg=\"background.dark\""),
        react_1.default.createElement(Box_1.Box, { mt: 3, color: 'text', bg: 'background.lightest' }, "Theme 2: color=\"text\" & bg=\"background.lightest\""))));
exports.ThemeUserCaseColorText = ThemeUserCaseColorText;
exports.ThemeUserCaseColorText.storyName = 'Theme user case: color=text';
exports.CustomColor = Template.bind({});
exports.CustomColor.args = {
    color: 'magenta',
    bg: '#ebfa',
};
const ColorSchemeWithAttrs = (0, styled_components_1.default)(Box_1.Box).attrs(() => ({
    colorScheme: 'cautionLight',
})) ``;
const ColorSchemesTemplate = () => {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Box_1.Box, { m: 3, p: 3, colorScheme: colorScheme, key: colorScheme },
            react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column' },
                react_1.default.createElement(Text_1.Text, { textStyle: 'heading1', mb: 2 }, colorScheme),
                react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
                    react_1.default.createElement(Text_1.Text, null, "Children inherit colors from the color scheme by default"),
                    react_1.default.createElement(pcln_icons_1.Star, null)),
                react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
                    react_1.default.createElement(Text_1.Text, { color: 'text' }, "Custom text and icon colors override the color scheme"),
                    react_1.default.createElement(pcln_icons_1.Star, { color: 'alert' })))))),
        react_1.default.createElement(ColorSchemeWithAttrs, { m: 3, p: 3 },
            react_1.default.createElement(Text_1.Text, null, "Using attrs and colorScheme"))));
};
exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=Box.stories.js.map