"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreadcrumbLink = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Link_1 = require("../Link/Link");
const Text_1 = require("../Text/Text");
/**
 * @public
 */
exports.BreadcrumbLink = react_1.default.forwardRef(({ className, isLastChild, href, icon, label, onClick }, ref) => {
    const linkColor = isLastChild ? 'text.dark' : 'text.light';
    return (react_1.default.createElement(Flex_1.Flex, { className: className, alignItems: 'center' },
        icon,
        react_1.default.createElement(Link_1.Link, { href: href, color: linkColor, onClick: onClick, ref: ref }, label),
        !isLastChild && (react_1.default.createElement(Text_1.Text, { m: 2, color: 'text.light' }, "/"))));
});
exports.BreadcrumbLink.displayName = 'BreadcrumbLink';
//# sourceMappingURL=BreadcrumbLink.js.map