"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Breadcrumbs_1 = require("./Breadcrumbs");
describe('Breadcrumbs', () => {
    test('renders basic', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home' }),
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights' }),
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection' })));
        expect(json).toMatchSnapshot();
    });
    test('renders with icons', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', icon: react_1.default.createElement(pcln_icons_1.Home, { color: 'text.light', size: 16, mr: 2 }) }),
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: react_1.default.createElement(pcln_icons_1.Flights, { color: 'text.light', size: 16, mr: 2 }) }),
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection', icon: react_1.default.createElement(pcln_icons_1.Seat, { color: 'text.dark', size: 16, mr: 2 }) })));
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Breadcrumbs.spec.js.map