"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = exports.buttonStyles = exports.borderRadiusButtonValues = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Flex_1 = require("../Flex/Flex");
const boxShadowAttrs_1 = require("../utils/attrs/boxShadowAttrs");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.borderRadiusButtonValues = ['none', 'sm', 'md', 'lg', 'xl', '2xl', '3xl', 'full'];
const isValidBorderRadius = (size) => size && exports.borderRadiusButtonValues.includes(size);
const sizes = {
    small: (0, styled_components_1.css) `
    border-radius: ${(props) => (0, theme_get_1.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-sm'}`)(props)};
    font-size: ${(0, theme_get_1.themeGet)('fontSizes.0')}px;
    padding: 7px 12px;
  `,
    medium: (0, styled_components_1.css) `
    border-radius: ${(props) => (0, theme_get_1.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-md'}`)(props)};
    font-size: ${(0, theme_get_1.themeGet)('fontSizes.1')}px;
    padding: 9.5px 18px;
  `,
    large: (0, styled_components_1.css) `
    border-radius: ${(props) => (0, theme_get_1.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-lg'}`)(props)};
    font-size: ${(0, theme_get_1.themeGet)('fontSizes.2')}px;
    padding: 12px 22px;
  `,
    extraLarge: (0, styled_components_1.css) `
    border-radius: ${(props) => (0, theme_get_1.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-xl'}`)(props)};
    font-size: ${(0, theme_get_1.themeGet)('fontSizes.2')}px;
    padding: 16px 22px;
  `,
};
const variations = {
    fill: (0, styled_components_1.css) `
    background-color: ${(props) => (0, utils_1.getPaletteColor)(props.disabled ? 'light' : 'base')(props)};
    color: ${(props) => (0, utils_1.getTextColorOn)(props.disabled ? 'light' : 'base')(props)};

    &:hover {
      background-color: ${(props) => (0, utils_1.getPaletteColor)(props.disabled ? 'light' : 'dark')(props)};
      ${(props) => (props.disabled ? '' : `color: ${(0, utils_1.getTextColorOn)('dark')(props)};`)}
    }
    &:focus-visible {
      outline: ${(props) => `0px solid ${(0, utils_1.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`};
      box-shadow: ${(props) => ` 0 0 0 2px  ${(0, utils_1.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`};
    }
  `,
    link: (0, styled_components_1.css) `
    -webkit-font-smoothing: inherit;
    font-weight: ${(props) => props.theme.fontWeights.medium};
    color: ${(0, utils_1.getPaletteColor)('base')};
    line-height: ${(props) => props.theme.lineHeights.standard};
    vertical-align: inherit;
    padding: 0;
    background-color: transparent;
    &:hover {
      color: ${(0, utils_1.getPaletteColor)('dark')};
      text-decoration: underline;
    }
    &&&:disabled {
      background-color: transparent;
    }
  `,
    outline: (0, styled_components_1.css) `
    color: ${(props) => (0, utils_1.getPaletteColor)(props.disabled ? 'light' : 'base')(props)};
    box-shadow: inset 0 0 0 2px ${(props) => (0, utils_1.getPaletteColor)(props.disabled ? 'light' : 'base')(props)};
    background-color: transparent;

    &:hover {
      background-color: transparent;
      ${(props) => props.disabled
        ? ''
        : `
      color: ${(0, utils_1.getPaletteColor)('dark')(props)};
      box-shadow: inset 0 0 0 2px ${(0, utils_1.getPaletteColor)('dark')(props)};
    `}
    }
  `,
    plain: (0, styled_components_1.css) `
    background-color: transparent;
    color: ${(0, utils_1.getPaletteColor)('base')};
    &:hover {
      background-color: ${(0, utils_1.getPaletteColor)('background.base')};
      color: ${(0, utils_1.getPaletteColor)('dark')};
    }
    &:focus-visible {
      outline: 0px solid ${(0, utils_1.getPaletteColor)('dark')};
      box-shadow: 0 0 0 2px ${(0, utils_1.getPaletteColor)('dark')};
    }
  `,
    subtle: (0, styled_components_1.css) `
    background-color: ${(0, utils_1.getPaletteColor)('background.base')};
    color: ${(0, utils_1.getPaletteColor)('base')};
    &:hover {
      background-color: ${(0, utils_1.getPaletteColor)('background.tint')};
      color: ${(0, utils_1.getPaletteColor)('dark')};
    }
    &:focus-visible {
      outline: 0px solid ${(0, utils_1.getPaletteColor)('dark')};
      box-shadow: 0 0 0 2px ${(0, utils_1.getPaletteColor)('dark')};
    }
  `,
    white: (0, styled_components_1.css) `
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
    color: ${(0, utils_1.getPaletteColor)('base')};
    &:hover {
      background-color: ${(0, utils_1.getPaletteColor)('background.base')};
      color: ${(0, utils_1.getPaletteColor)('dark')};
    }
    &:focus-visible {
      outline: 0px solid ${(0, utils_1.getPaletteColor)('dark')};
      box-shadow: 0 0 0 2px ${(0, utils_1.getPaletteColor)('dark')};
    }
  `,
    lightFill: (0, styled_components_1.css) `
    background-color: ${(0, utils_1.getPaletteColor)('light')};
    color: ${(0, utils_1.getPaletteColor)('base')};
    ${(props) => props.disabled
        ? ''
        : `
      &:hover {
        background-color: ${(0, utils_1.getPaletteColor)('light')(props)};
        color: ${(0, utils_1.getPaletteColor)('dark')(props)};
      }`}
    &:focus-visible {
      outline: ${(props) => `0px solid ${(0, utils_1.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`};
      box-shadow: ${(props) => ` 0 0 0 2px  ${(0, utils_1.getPaletteColor)(props.disabled ? '' : 'dark')(props)}`};
    }
  `,
    input: (0, styled_components_1.css) `
    appearance: none;
    background-color: transparent;
    border-style: solid;
    border-width: 1px;
    color: ${(0, utils_1.getPaletteColor)('text.base')};
    display: block;
    font-family: inherit;
    font-weight: normal;
    line-height: normal;
    margin: 0;
    padding: 14px 12px;
    text-align: left;
    width: 100%;

    ${(props) => (0, utils_1.borders)({ ...props, color: undefined })}
    ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize, styled_system_1.borderRadius)(props)}
  `,
};
exports.buttonStyles = (0, styled_components_1.css) `
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  vertical-align: middle;
  text-align: center;
  text-decoration: none;
  font-family: inherit;
  font-weight: ${(props) => props.theme.fontWeights.bold};
  line-height: 1.5;
  cursor: ${(props) => (props.disabled ? 'default' : 'pointer')};
  border-radius: ${(props) => (0, theme_get_1.themeGet)(`borderRadii.${isValidBorderRadius(props.borderRadius) ? props.borderRadius : 'action-md'}`)(props)};
  border-width: 0;
  border-style: solid;

  ${({ theme }) => (0, utils_1.applySizes)(sizes, 'medium', theme.mediaQueries)};
  ${(0, utils_1.applyVariations)('Button', variations)};

  &:disabled {
    cursor: not-allowed;
    color: ${(0, utils_1.getPaletteColor)('background.tone')};
    background-color: ${(0, utils_1.getPaletteColor)('background.base')};
  }
`;
const iconButtonPaddings = {
    IconLeft: {
        small: { p: '6px 14px 6px 10px' },
        medium: { p: '8px 20px 8px 16px' },
        large: { p: '12px 24px 12px 20px' },
        extraLarge: { p: '16px 24px 16px 20px' },
    },
    IconRight: {
        small: { p: '6px 10px 6px 14px' },
        medium: { p: '8px 16px 8px 20px' },
        large: { p: '12px 20px 12px 24px' },
        extraLarge: { p: '16px 20px 16px 24px' },
    },
    both: {
        small: { p: '6px 10px' },
        medium: { p: '8px 16px' },
        large: { p: '12px 20px' },
        extraLarge: { p: '16px 20px' },
    },
};
const iconOnlyButtonPaddings = {
    small: { px: '6px', py: '6px' },
    medium: { px: '8px', py: '8px' },
    large: { px: '12px', py: '12px' },
    extraLarge: { px: '16px', py: '16px' },
};
const iconButtonSizes = {
    small: 20,
    medium: 24,
    large: 24,
    extraLarge: 24,
};
// eslint-disable-next-line @typescript-eslint/naming-convention
function getPaddingProps({ IconLeft, IconRight, size, variation, hasChildren }) {
    const hasIcon = !!(IconLeft || IconRight);
    const sizeIndex = Array.isArray(size) ? size[0] : size;
    if (variation === 'link') {
        return { p: 0 };
    }
    if (hasIcon) {
        if (hasChildren) {
            if (IconLeft && IconRight) {
                return iconButtonPaddings.both[sizeIndex];
            }
            else if (IconLeft) {
                return iconButtonPaddings.IconLeft[sizeIndex];
            }
            else if (IconRight) {
                return iconButtonPaddings.IconRight[sizeIndex];
            }
            return {};
        }
        else {
            return iconOnlyButtonPaddings?.[sizeIndex] ?? {};
        }
    }
    return {};
}
/**
 * Use the <Button /> component to render a primitive button. Use the `variation` prop to change the look of the button.
 */
const StyledButton = styled_components_1.default.button.attrs((props) => {
    const { width, height, title, 'aria-label': ariaLabel, borderRadius, IconLeft, IconRight, size, variation, hasChildren, } = props;
    const paddingProps = getPaddingProps({ IconLeft, IconRight, size, variation, hasChildren });
    return {
        borderRadius,
        ...(0, boxShadowAttrs_1.boxShadowAttrs)(props),
        width,
        height,
        'aria-label': ariaLabel || title,
        ...paddingProps,
    };
}) `
  ${exports.buttonStyles}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.width, styled_system_1.height, styled_system_1.space, styled_system_1.boxShadow)(props)}
`;
// eslint-disable-next-line @typescript-eslint/naming-convention
const ButtonIcon = ({ Component, ...props }) => {
    return Component ? react_1.default.createElement(Component, { ...props }) : null;
};
/**
 * @public
 */
exports.Button = react_1.default.forwardRef((props, ref) => {
    const { children, ...restProps } = props;
    const { IconLeft, IconRight, size = 'medium', flexProps = {} } = props;
    const hasChildren = react_1.default.Children.toArray(children).length > 0;
    const sizeIndex = Array.isArray(size) ? size[0] : size;
    const iconSize = iconButtonSizes?.[sizeIndex] ?? 24;
    return (react_1.default.createElement(StyledButton, { ...restProps, hasChildren: hasChildren, ref: ref },
        react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', justifyContent: 'center', ...flexProps },
            react_1.default.createElement(ButtonIcon, { Component: IconLeft, size: iconSize, mr: children ? 2 : 0 }),
            children,
            react_1.default.createElement(ButtonIcon, { Component: IconRight, size: iconSize, ml: children ? 2 : 0 }))));
});
exports.Button.defaultProps = {
    color: 'primary',
    size: 'medium',
    variation: 'fill',
};
exports.Button.displayName = 'Button';
//# sourceMappingURL=Button.js.map