"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FlexProps = exports.InputVariation = exports.IconButtons = exports.SemanticStyles = exports.Disabled = exports.AdditionalVariations = exports.LinkVariation = exports.TonalVariations = exports.PrimaryVariations = exports.Size = exports.Playground = void 0;
const addon_docs_1 = require("@storybook/addon-docs");
const addon_links_1 = require("@storybook/addon-links");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const ButtonChip_1 = require("../Chip/ButtonChip/ButtonChip");
const CloseButton_1 = require("../CloseButton/CloseButton");
const DoDont_1 = require("../DocsUtils/DoDont/DoDont");
const DocTable_1 = require("../DocsUtils/DocTable/DocTable");
const Hero_1 = require("../DocsUtils/Hero/Hero");
const Note_1 = require("../DocsUtils/Note/Note");
const RelatedComponent_1 = require("../DocsUtils/RelatedComponent/RelatedComponent");
const Section_1 = require("../DocsUtils/Section/Section");
const StoryHeading_1 = require("../DocsUtils/StoryHeading/StoryHeading");
const StoryStage_1 = require("../DocsUtils/StoryStage/StoryStage");
const TableOfContents_1 = require("../DocsUtils/TableOfContents/TableOfContents");
const Flex_1 = require("../Flex/Flex");
const Image_1 = require("../Image/Image");
const Label_1 = require("../Label/Label");
const Link_1 = require("../Link/Link");
const Text_1 = require("../Text/Text");
const ThemeProvider_1 = require("../ThemeProvider/ThemeProvider");
const args_1 = require("../storybook/args");
const Button_1 = require("./Button");
const Button_Image_Alignment_png_1 = __importDefault(require("./Button.Image.Alignment.png"));
const Button_Image_Groups_png_1 = __importDefault(require("./Button.Image.Groups.png"));
const Button_Image_Hero_png_1 = __importDefault(require("./Button.Image.Hero.png"));
const Button_Image_ResponsiveLayout_png_1 = __importDefault(require("./Button.Image.ResponsiveLayout.png"));
const Button_Image_States_png_1 = __importDefault(require("./Button.Image.States.png"));
const sizeOptions = ['small', 'medium', 'large', 'extraLarge'];
exports.Playground = {
    render: (args) => react_1.default.createElement(Button_1.Button, { ...args }, "Button"),
    argTypes: {
        color: {
            control: 'select',
            options: args_1.colors,
            defaultValue: Button_1.Button.defaultProps.color,
        },
        size: {
            control: 'select',
            options: sizeOptions,
            defaultValue: Button_1.Button.defaultProps.size,
        },
        variation: {
            control: 'select',
            options: ['fill', 'input', 'lightFill', 'link', 'outline', 'plain', 'subtle', 'white'],
            defaultValue: Button_1.Button.defaultProps.variation,
        },
        disabled: {
            defaultValue: false,
            type: 'boolean',
        },
        boxShadowSize: {
            control: 'select',
            options: args_1.shadows,
        },
    },
};
exports.Size = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { size: 'small' }, "Small"),
        react_1.default.createElement(Button_1.Button, { size: 'medium' }, "Medium"),
        react_1.default.createElement(Button_1.Button, { size: 'large' }, "Large"),
        react_1.default.createElement(Button_1.Button, { size: 'extraLarge' }, "Extra Large"))),
};
exports.PrimaryVariations = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { width: 100, variation: 'fill' }, "Fill"),
        react_1.default.createElement(Button_1.Button, { width: 100, variation: 'subtle' }, "Subtle"))),
};
exports.TonalVariations = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, { borderRadius: 'md', bg: 'background.tint' },
        react_1.default.createElement(Button_1.Button, { width: 100, variation: 'plain' }, "Plain"),
        react_1.default.createElement(Button_1.Button, { width: 100, variation: 'white' }, "White"))),
};
exports.LinkVariation = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { variation: 'link' }, "Enabled"),
        react_1.default.createElement(Button_1.Button, { variation: 'link', disabled: true }, "Disabled"),
        react_1.default.createElement(Button_1.Button, { variation: 'link' },
            react_1.default.createElement(Text_1.Text, { fontWeight: 'bold' }, "Bold")))),
};
exports.AdditionalVariations = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { variation: 'outline' }, "Outline"),
        react_1.default.createElement(Button_1.Button, { variation: 'lightFill' }, "Light Fill"))),
};
exports.Disabled = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { disabled: true }, "Continue"),
        react_1.default.createElement(Button_1.Button, { disabled: true, variation: 'link' }, "Button"))),
};
exports.SemanticStyles = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { color: 'primary' }, "Search Hotels"),
        react_1.default.createElement(Button_1.Button, { color: 'primary', variation: 'subtle' }, "Search Hotels"),
        react_1.default.createElement(Button_1.Button, { color: 'secondary' }, "Choose Room"),
        react_1.default.createElement(Button_1.Button, { color: 'secondary', variation: 'subtle' }, "Choose Room"),
        react_1.default.createElement(Button_1.Button, { color: 'secondary' }, "Secondary"),
        react_1.default.createElement(Button_1.Button, { color: 'warning' }, "Cancel"),
        react_1.default.createElement(Button_1.Button, { color: 'warning', variation: 'subtle' }, "Cancel"))),
};
exports.IconButtons = {
    render: () => (react_1.default.createElement(react_1.default.Fragment, null, sizeOptions.map((size) => (react_1.default.createElement(StoryStage_1.StoryStage, { key: size },
        react_1.default.createElement(Button_1.Button, { size: size, IconLeft: pcln_icons_1.User }, "Sign In"),
        react_1.default.createElement(Button_1.Button, { size: size, IconRight: pcln_icons_1.Calendar }, "Select Dates"),
        react_1.default.createElement(Button_1.Button, { size: size, IconLeft: pcln_icons_1.Search, IconRight: pcln_icons_1.Check }, "Bookends"),
        react_1.default.createElement(Button_1.Button, { size: size, IconLeft: pcln_icons_1.ChevronLeft }),
        react_1.default.createElement(Button_1.Button, { size: size, IconLeft: pcln_icons_1.ChevronRight }),
        react_1.default.createElement(Button_1.Button, { size: size, IconLeft: pcln_icons_1.User }),
        react_1.default.createElement(Button_1.Button, { size: size, variation: 'link', IconLeft: pcln_icons_1.User }, "Link Button Text")))))),
};
exports.InputVariation = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { size: 'large', variation: 'input', borderRadius: 'lg', py: 0 },
            react_1.default.createElement(Flex_1.Flex, { width: '100%', justifyContent: 'flex-start', alignItems: 'center', height: '54px' },
                react_1.default.createElement(pcln_icons_1.Calendar, { mr: 2, color: 'primary.base' }),
                react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column' },
                    react_1.default.createElement(Label_1.Label, { as: 'div' }, "Check-in - Check-out"),
                    react_1.default.createElement(Text_1.Text, null, "09/21/2023 \u2013 09/22/2023")))),
        react_1.default.createElement(Button_1.Button, { size: 'large', variation: 'input', borderRadius: 'lg' },
            react_1.default.createElement(Flex_1.Flex, { width: '100%', justifyContent: 'flex-start', height: '100%', alignItems: 'center' },
                react_1.default.createElement(pcln_icons_1.Calendar, { mr: 2, color: 'primary.base' }),
                react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column' },
                    react_1.default.createElement(Text_1.Text, { color: 'text.light' }, "mm/dd/yyyy - mm/dd/yyyy")))),
        react_1.default.createElement(Button_1.Button, { size: 'large', variation: 'input', borderRadius: 'lg' },
            react_1.default.createElement(Flex_1.Flex, { width: '100%', justifyContent: 'space-between', height: '100%', alignItems: 'center' },
                react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
                    react_1.default.createElement(pcln_icons_1.Guests, { mr: 2, color: 'primary.base' }),
                    react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column' },
                        react_1.default.createElement(Text_1.Text, { color: 'text.light' }, "Select travelers"))),
                react_1.default.createElement(pcln_icons_1.ChevronDown, { color: 'primary.base' }))))),
};
exports.FlexProps = {
    render: () => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Button_1.Button, { width: 200, variation: 'fill', flexProps: { justifyContent: 'left' } }, "Left Justify"),
        react_1.default.createElement(Button_1.Button, { width: 200, variation: 'fill', flexProps: { justifyContent: 'right' } }, "Right Justify"))),
};
const meta = {
    title: 'Actions/Button',
    component: Button_1.Button,
    parameters: {
        design: {
            type: 'figma',
            url: 'https://www.figma.com/file/1lLCo0ZnO1RyMDEbnnS0by/Web-Design-System?type=design&node-id=131-21304&t=wTmhDg2MwlPA9PGf-4',
        },
        docs: {
            page: () => (react_1.default.createElement(ThemeProvider_1.ThemeProvider, null,
                react_1.default.createElement(Hero_1.Hero, { name: 'Button', img: Button_Image_Hero_png_1.default }, "Buttons allow users to trigger an action or event with a single click. For example, you can use a button for allowing the functionality of submitting a form, opening a dialog, canceling an action, or performing a delete operation."),
                react_1.default.createElement(TableOfContents_1.TableOfContents, { links: [
                        'Overview',
                        'Props',
                        'Examples & Variations',
                        'States',
                        'Theming',
                        'Usage',
                        `Do's and Don'ts`,
                        'Related Components',
                    ] }),
                react_1.default.createElement(Section_1.Section, { heading: 'Overview' },
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Buttons allow users to trigger an action or event with a single click. For example, you can use a button for allowing the functionality of submitting a form, opening a dialog, canceling an action, or performing a delete operation.")),
                react_1.default.createElement(Section_1.Section, { heading: 'Props' },
                    react_1.default.createElement(addon_docs_1.Primary, null),
                    react_1.default.createElement(addon_docs_1.ArgsTable, { story: addon_docs_1.PRIMARY_STORY })),
                react_1.default.createElement(Section_1.Section, { heading: 'Examples & Variations' },
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Each button variation and property has set functions that provide patterns and signals to the user their function and the desired actions on a per page and per component basis. Because of this it is very important that the different variants are implemented consistently across products, so that they message the correct actions."),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Size', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Our design system supports a default button size as well as a extraLarge, large and small size. If a large or small button is desired, set the size property to either extraLarge, large or small. These sizes allow for hierarchy, emphasis, larger/smaller touch targets, and flexibility."),
                    react_1.default.createElement(DocTable_1.DocTable, { columns: [
                            { field: 'size', heading: 'Size' },
                            { field: 'useCase', heading: 'Use Case' },
                        ], data: [
                            {
                                size: 'Small',
                                useCase: 'Use when there is not enough space for the default and in responsive patterns on mobile breakpoints.',
                            },
                            { size: 'Medium (default)', useCase: 'This is the most commonly used button size.' },
                            { size: 'Large', useCase: 'Use when buttons are paired with input fields.' },
                            {
                                size: 'Extra Large',
                                useCase: 'Use on search forms and marketing and promotion hero modules.',
                            },
                        ] }),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Primary Variations', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Our core button variations use fill and subtle properties. These variations make up the majority of our button styles outside of the conversion funnel."),
                    react_1.default.createElement(DocTable_1.DocTable, { columns: [
                            { field: 'variation', heading: 'Variation' },
                            { field: 'useCase', heading: 'Use Case' },
                        ], data: [
                            {
                                variation: 'Fill',
                                useCase: 'The filled button is used for high emphasis, the primary, most important, or most common actions on a screen. The filled button’s contrasting surface color makes it the most prominent button.',
                            },
                            {
                                variation: 'Subtle',
                                useCase: 'Subtle button are best used for supporting actions of medium emphasis. Secondary buttons are also suited for prodiving clear actions on screens with multiple button with various levels of emphasis or to provide low-level emphasis over UI elements, and text links or buttons.',
                            },
                        ] }),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Tonal Variations', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "In addition to Fill and Subtle, Plain and White variations can be used on their own to reduce emphasis, provide contrast, or paired with primary buttons for supporting actions."),
                    react_1.default.createElement(DocTable_1.DocTable, { columns: [
                            { field: 'variation', heading: 'Variation' },
                            { field: 'useCase', heading: 'Use Case' },
                        ], data: [
                            {
                                variation: 'Plain',
                                useCase: 'Plain button variation has a transparent background but has the same height and width poperties as the fill button.',
                            },
                            {
                                variation: 'White',
                                useCase: 'White buttons are used over images and in place of fill and subtle buttons when color contrast is needed.',
                            },
                        ] }),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Text Buttons', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Text buttons have less visual prominence, so should be used for secondary actions or low emphasis actions. Used when aligning with 16px, 14px, and 12px body copy."),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Additional Variations', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Although rarely used on Priceline, we understand these are popular variations used in interface design.")),
                react_1.default.createElement(Section_1.Section, { heading: 'States' },
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "States are visual representations used to communicate the status of a component or interactive element."),
                    react_1.default.createElement(Flex_1.Flex, { my: 4, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Button_Image_States_png_1.default })),
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Disabled', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Disabled or inactive buttons are often \u201Cgreyed out\u201D, and used to communicate to the user that some kind of task needs to be completed by them before they can proceed. Components can inherit a disabled state, such as form fields, list items, cards, chips, and buttons."),
                    react_1.default.createElement(Note_1.Note, null, "Not all users know that an interactive design element can have disabled state. If you show an element but don't allow people to interact with it, they then have to interpret why they can't. Not everyone will be able to do this, for this reason and other issues try to avoid disabling buttons or actions.")),
                react_1.default.createElement(Section_1.Section, { heading: 'Theming' },
                    react_1.default.createElement(StoryHeading_1.StoryHeading, { storyName: 'Semantic Styles', storyTitle: meta.title }),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Semantic styles combine variation props and colors from our semantic palette, which defines colors based on how they are used. Each and every semantic color points to a color from the palette.")),
                react_1.default.createElement(Section_1.Section, { heading: 'Usage' },
                    react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 4 }, "Responsive Layout"),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "When scaling layouts for large screen devices, buttons can adapt their visual presentation, alignment, and arrangement to fit different contexts and user needs."),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "The size and placement of buttons can change as parent containers, such as cards, adapt for larger screens."),
                    react_1.default.createElement(Box_1.Box, { p: 3, my: 3, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Button_Image_ResponsiveLayout_png_1.default })),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 4 }, "Alignment"),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "Alignment indicates whether the button aligns left, right or full width in a window, page, container, or component. What makes buttons different than most components is that their alignment can be independent, aligned with content, fit and fill containers."),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "As a general rule actions follow a similar rule as text, aligning to the left side on pages and components. When users are progressing through a series of steps or action required modals, the primary action traditionally sits at the bottom right. Buttons within components such as notifications, search fields, and data tables are also right-aligned. However there are times when the button In some cases a button group may span the entire width of a window or container."),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "Typical nested button locations include:"),
                    react_1.default.createElement(Box_1.Box, { p: 3, my: 3, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Button_Image_Alignment_png_1.default })),
                    react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 4 }, "Button Groups"),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "Button Groups Button groups are a design pattern used when presenting users with multiple call to actions with hierarchical emphasis or of equal value. Understanding the correct combinations of hierarchy and size when displaying groups of buttons helps to prevent the user from feeling overwhelm and confuse."),
                    react_1.default.createElement(Text_1.Text.p, { textStyle: 'paragraph' }, "As a general rule button groups should be limited to only medium, small, and text buttons."),
                    react_1.default.createElement(Box_1.Box, { p: 3, my: 3, borderRadius: 'xl', bg: 'primary.light' },
                        react_1.default.createElement(Image_1.Image, { src: Button_Image_Groups_png_1.default }))),
                react_1.default.createElement(Section_1.Section, { heading: `Do's and Don'ts` },
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Button_1.Button, null, "Search Hotels"), doText: 'use 1 or 2 words, no longer than 4 words, with fewer than 20 characters including spaces.', dontExample: react_1.default.createElement(Button_1.Button, null, "Start Saving!"), dontText: 'use punctuation marks such as periods or exclamation points.' }),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Button_1.Button, null, "Go"), doText: 'allow a buttons width to use default settings to dynamically set to fit its label text.', dontExample: react_1.default.createElement(Button_1.Button, { width: 100, style: { whiteSpace: 'nowrap' } }, "Search Hotels"), dontText: 'make the width of the button narrower than its label text.' }),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Button_1.Button, { width: '100%' }, "Search Rental Cars"), doText: 'allow a buttons to fill the width of a responsive layout, container, and component.', dontExample: react_1.default.createElement(Button_1.Button, { width: 150 }, "Search Rental Cars"), dontText: 'make the width of the button narrower than its label text.' }),
                    react_1.default.createElement(Text_1.Text, { py: 3, textStyle: 'subheading3' }, "Do's and Don't For Button Groups"),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Box_1.Box, { style: { display: 'grid', gridTemplateColumns: '1fr 1fr', gap: '.5rem' } },
                            react_1.default.createElement(Button_1.Button, { variation: 'subtle' }, "Visit Help Center"),
                            react_1.default.createElement(Button_1.Button, null, "Sign In")), doText: 'use min widths when available to allow the primary action to display at the same width as the secondary action.', dontExample: react_1.default.createElement(Box_1.Box, null,
                            react_1.default.createElement(Button_1.Button, { variation: 'subtle', mr: 2 }, "Visit Help Center"),
                            react_1.default.createElement(Button_1.Button, null, "Sign In")), dontText: 'your secondary action should be short and not much longer than the primary action. This is especially important when space does not allow for each action to display at the same width.' }),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Flex_1.Flex, { width: '100%', flexDirection: 'column', style: { gap: '.5rem' } },
                            react_1.default.createElement(Button_1.Button, { variation: 'subtle' }, "Add Rental Car"),
                            react_1.default.createElement(Button_1.Button, null, "Continue to Checkout")), dontExample: react_1.default.createElement(Box_1.Box, { textAlign: 'center' },
                            react_1.default.createElement(Button_1.Button, null, "Add Rental Car"),
                            react_1.default.createElement("br", null),
                            react_1.default.createElement(Button_1.Button, { variation: 'link' }, "No thanks, I don't need a rental car")) }),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Flex_1.Flex, { style: { gap: 8 } },
                            react_1.default.createElement(Button_1.Button, { variation: 'lightFill' }, "Cancel"),
                            react_1.default.createElement(Button_1.Button, { variation: 'lightFill', color: 'warning' }, "Delete")), dontExample: react_1.default.createElement(Flex_1.Flex, { style: { gap: 8 } },
                            react_1.default.createElement(Button_1.Button, { width: 200, borderRadius: 'lg', variation: 'lightFill' }, "Add Flight"),
                            react_1.default.createElement(Button_1.Button, { width: 200, borderRadius: 'lg' }, "Search Hotels")) }),
                    react_1.default.createElement(DoDont_1.DoDont, { doExample: react_1.default.createElement(Flex_1.Flex, { style: { gap: 8 } },
                            react_1.default.createElement(Button_1.Button, { variation: 'lightFill' }, "Yes"),
                            react_1.default.createElement(Button_1.Button, { variation: 'lightFill', color: 'warning' }, "No")), dontExample: react_1.default.createElement(Flex_1.Flex, { style: { gap: 8 } },
                            react_1.default.createElement(Button_1.Button, { color: 'secondary' }, "Yes"),
                            react_1.default.createElement(Button_1.Button, { variation: 'lightFill', color: 'warning' }, "No")) })),
                react_1.default.createElement(Section_1.Section, { heading: 'Related Components' },
                    react_1.default.createElement(RelatedComponent_1.RelatedComponentContainer, null,
                        react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'ButtonChip', onClick: (0, addon_links_1.linkTo)('core-chip-ButtonChip') },
                            react_1.default.createElement(ButtonChip_1.ButtonChip, null, "Button Chip")),
                        react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'Link', onClick: (0, addon_links_1.linkTo)('Link') },
                            react_1.default.createElement(Link_1.Link, null, "Link")),
                        react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'CloseButton', onClick: (0, addon_links_1.linkTo)('CloseButton') },
                            react_1.default.createElement(CloseButton_1.CloseButton, null)))))),
        },
    },
};
exports.default = meta;
//# sourceMappingURL=Button.stories.js.map