"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Card = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const utils_1 = require("../utils/utils");
const styleAsButton = ({ as, ...props }) => as === 'button'
    ? `
      font-family : inherit;
      &:hover {
        cursor: pointer;
        box-shadow: ${props.theme.shadows.xl};
      }`
    : '';
/**
 * @public
 */
exports.Card = (0, styled_components_1.default)(Box_1.Box) `
  ${(0, utils_1.applyVariations)('Card')}
  ${styleAsButton}

  border-color: ${(props) => props.borderWidth === 0 ? '0' : (0, utils_1.getPaletteColor)(props.borderColor, 'base')(props)};
  ${styled_system_1.border};
`;
exports.Card.defaultProps = {
    borderColor: 'border',
    borderRadius: 'xsm',
    borderStyle: 'solid',
    borderWidth: 1,
};
exports.Card.displayName = 'Card';
//# sourceMappingURL=Card.js.map