"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = void 0;
const args_1 = require("../storybook/args");
const Card_1 = require("./Card");
exports.argTypes = {
    as: {
        control: 'select',
        description: 'Alter the base render component. Here we can have the Card be rendered on the DOM as a `button` for accessibility. It grants the ability to tab and focus the element',
        options: ['', 'button'],
    },
    bg: {
        control: 'select',
        options: args_1.colors,
    },
    borderColor: {
        control: 'select',
        options: args_1.colors,
        defaultValue: Card_1.Card.defaultProps.borderColor,
    },
    borderRadius: {
        control: 'select',
        options: args_1.inputArgs,
        defaultValue: Card_1.Card.defaultProps.borderRadius,
    },
    borderStyle: {
        control: 'select',
        options: args_1.borderStyles,
        defaultValue: Card_1.Card.defaultProps.borderStyle,
    },
    borderWidth: {
        control: { type: 'number', min: 0, max: 5, step: 1 },
        defaultValue: Card_1.Card.defaultProps.borderWidth,
    },
    boxShadowSize: {
        control: 'select',
        options: args_1.shadows,
        defaultValue: 'md',
    },
};
//# sourceMappingURL=Card.stories.args.js.map