"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatActionContainer = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const Grid_1 = require("../Grid/Grid");
const GappedFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  gap: ${(0, theme_get_1.default)('space.2')};
`;
/**
 * @public
 */
function ChatActionContainer({ chatActions }) {
    const actions = (0, react_1.useMemo)(() => {
        return chatActions.map((chatAction) => (react_1.default.createElement(Button_1.Button, { key: chatAction.label, boxShadowSize: 'sm', variation: 'white', onClick: chatAction.onClick }, chatAction.label)));
    }, [chatActions]);
    if (chatActions?.length === 2) {
        return (react_1.default.createElement(Grid_1.Grid, { templateColumns: '1fr 1fr', gap: 2 }, actions));
    }
    else {
        return (react_1.default.createElement(GappedFlex, { flexDirection: ['column', null, 'row'], flexWrap: ['none', null, 'wrap'] }, actions));
    }
}
exports.ChatActionContainer = ChatActionContainer;
//# sourceMappingURL=ChatActionContainer.js.map