"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._ThreeChatActions = exports._TwoChatActions = void 0;
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const react_1 = __importDefault(require("react"));
const ChatActionContainer_1 = require("./ChatActionContainer");
exports.default = {
    title: 'Chat / ChatActionContainer',
    component: ChatActionContainer_1.ChatActionContainer,
};
const twoChatActions = [
    {
        label: 'Yes',
        onClick: jest_1.jest.fn(),
    },
    {
        label: 'No',
        onClick: jest_1.jest.fn(),
    },
];
const threeChatActions = [
    {
        label: 'Send a copy of my itinerary',
        onClick: jest_1.jest.fn(),
    },
    {
        label: 'Cancel my Trip',
        onClick: jest_1.jest.fn(),
    },
    {
        label: 'Reset my Password',
        onClick: jest_1.jest.fn(),
    },
];
exports._TwoChatActions = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await (0, jest_1.expect)(canvas.getByText('Yes')).toBeInTheDocument();
        await (0, jest_1.expect)(canvas.getByText('No')).toBeInTheDocument();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[0]);
        await (0, jest_1.expect)(twoChatActions[0].onClick).toHaveBeenCalled();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[1]);
        await (0, jest_1.expect)(twoChatActions[1].onClick).toHaveBeenCalled();
    },
    render: (args) => react_1.default.createElement(ChatActionContainer_1.ChatActionContainer, { chatActions: twoChatActions, ...args }),
};
exports._ThreeChatActions = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await (0, jest_1.expect)(canvas.getByText('Send a copy of my itinerary')).toBeInTheDocument();
        await (0, jest_1.expect)(canvas.getByText('Cancel my Trip')).toBeInTheDocument();
        await (0, jest_1.expect)(canvas.getByText('Reset my Password')).toBeInTheDocument();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[0]);
        await (0, jest_1.expect)(threeChatActions[0].onClick).toHaveBeenCalled();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[1]);
        await (0, jest_1.expect)(threeChatActions[1].onClick).toHaveBeenCalled();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[2]);
        await (0, jest_1.expect)(threeChatActions[2].onClick).toHaveBeenCalled();
    },
    render: (args) => react_1.default.createElement(ChatActionContainer_1.ChatActionContainer, { chatActions: threeChatActions, ...args }),
};
//# sourceMappingURL=ChatActionContainer.stories.js.map