"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatHeader = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const Hide_1 = require("../Hide/Hide");
const utils_1 = require("../utils/utils");
const BorderBottomFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  border-bottom: 1px solid ${(0, utils_1.getPaletteColor)('border.base')};
`;
const HeaderButton = (0, styled_components_1.default)(Button_1.Button) `
  background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
  color: ${(0, utils_1.getPaletteColor)('text.dark')};
  padding: 0;

  &:hover {
    background-color: ${(0, utils_1.getPaletteColor)('background.light')};
    color: ${(0, utils_1.getPaletteColor)('text.dark')};
  }
`;
/**
 * @public
 */
function ChatHeader({ children, onClose, onMinimize }) {
    return (react_1.default.createElement(BorderBottomFlex, { alignItems: 'center', justifyContent: 'space-between', p: 3 },
        react_1.default.createElement(Box_1.Box, null, children),
        react_1.default.createElement(Flex_1.Flex, null,
            react_1.default.createElement(Hide_1.Hide, { xs: true, sm: true, md: true },
                react_1.default.createElement(HeaderButton, { IconLeft: pcln_icons_1.Minus, onClick: onMinimize, mr: 2 })),
            react_1.default.createElement(HeaderButton, { IconLeft: pcln_icons_1.Close, onClick: onClose }))));
}
exports.ChatHeader = ChatHeader;
//# sourceMappingURL=ChatHeader.js.map