"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._ChatHeader = void 0;
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Stamp_1 = require("../Stamp/Stamp");
const Text_1 = require("../Text/Text");
const ChatHeader_1 = require("./ChatHeader");
exports.default = {
    title: 'Chat / ChatHeader',
    component: ChatHeader_1.ChatHeader,
    argTypes: {
        onClose: { action: true },
        onMinimize: { action: true },
    },
};
const Children = (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
    react_1.default.createElement(Text_1.Text, { color: 'text.heading', textStyle: 'heading5' },
        "Penny",
        react_1.default.createElement(pcln_icons_1.Sparkle, { color: 'promoPrimary', size: '16px' })),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'primary', mx: 2 }, "Beta")));
exports._ChatHeader = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await (0, jest_1.expect)(canvas.getByText('Penny')).toBeInTheDocument();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[0]);
        await (0, jest_1.expect)(args.onMinimize).toHaveBeenCalled();
        await testing_library_1.userEvent.click(canvas.getAllByRole('button')[1]);
        await (0, jest_1.expect)(args.onClose).toHaveBeenCalled();
    },
    render: (args) => react_1.default.createElement(ChatHeader_1.ChatHeader, { ...args }, Children),
};
//# sourceMappingURL=ChatHeader.stories.js.map