"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessage = exports.ChatMessageVariations = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const utils_1 = require("../utils/utils");
const variations = {
    initial: (0, styled_components_1.css) `
    margin-left: ${(0, theme_get_1.default)('space.3')};
  `,
    incoming: (0, styled_components_1.css) `
    border-top-left-radius: 4px;
  `,
    outgoing: (0, styled_components_1.css) `
    background-color: ${(0, utils_1.getPaletteColor)('primary.base')};
    border-top-right-radius: 4px;
    color: ${(0, utils_1.getTextColorOn)('primary.base')};
    justify-content: flex-end;
  `,
};
const Message = (0, styled_components_1.default)(Flex_1.Flex) `
  position: relative;
  background-color: ${(0, utils_1.getPaletteColor)('background.light')};
  color: ${(0, utils_1.getTextColorOn)('background.light')};
  justify-content: flex-start;
  width: fit-content;

  ${(0, utils_1.applyVariations)('ChatMessage', variations)};
`;
/**
 * @public
 */
exports.ChatMessageVariations = ['initial', 'incoming', 'outgoing'];
/**
 * @public
 */
function ChatMessage({ footer, header, Icon = pcln_icons_1.PricelineSparkle, message, variation, ...props }) {
    const marginTop = header ? 3 : 0;
    const marginBottom = footer ? 3 : 0;
    const footerPosition = variation === 'outgoing'
        ? {
            right: 0,
        }
        : {
            left: 0,
        };
    return (react_1.default.createElement(Message, { borderRadius: '18px', variation: variation, mt: marginTop, mb: marginBottom, p: '12px', ...props },
        header && (react_1.default.createElement(Absolute_1.Absolute, { top: '-20px', left: '0px', minWidth: '300px', width: '100%', px: 3 }, header)),
        variation === 'initial' && (react_1.default.createElement(Absolute_1.Absolute, { top: -16, left: -16 },
            react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', borderRadius: 'full', color: 'primary', justifyContent: 'center', height: '32px', width: '32px' },
                react_1.default.createElement(Icon, { color: 'text.lightest', size: '24px', "data-testid": 'chat-message-icon' })))),
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph2' }, message),
        footer && (react_1.default.createElement(Absolute_1.Absolute, { bottom: '-20px', minWidth: '300px', width: '100%', px: 3, ...footerPosition }, footer))));
}
exports.ChatMessage = ChatMessage;
//# sourceMappingURL=ChatMessage.js.map