"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageList = exports.OutgoingWithFooter = exports.WithFooter = exports.WithHeader = exports.WithIconOverride = exports.OutgoingMessage = exports.IncomingMessage = exports.WithReactNodeMessage = exports.InitialMessage = exports._ChatMessage = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const ChatMessage_1 = require("./ChatMessage");
exports.default = {
    title: 'Chat / ChatMessage',
    component: ChatMessage_1.ChatMessage,
    args: {
        message: "Hi! I'm Penny, your virtual travel assistant!",
        variation: 'initial',
    },
    argTypes: {
        variation: {
            options: ChatMessage_1.ChatMessageVariations,
            control: {
                type: 'select',
                options: ChatMessage_1.ChatMessageVariations,
            },
        },
    },
};
const HeaderFooter = (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', justifyContent: 'space-between' },
    react_1.default.createElement(Text_1.Text, { color: 'text.light', textStyle: 'subheading6' }, "Penny"),
    react_1.default.createElement(Text_1.Text, { color: 'text.light', textStyle: 'subheading6' }, "12:55 pm")));
exports._ChatMessage = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args }),
};
exports.InitialMessage = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'initial' }),
};
exports.WithReactNodeMessage = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'initial', message: react_1.default.createElement("div", null, "How can I help you?") }),
};
exports.IncomingMessage = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'incoming' }),
};
exports.OutgoingMessage = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'outgoing' }),
};
exports.WithIconOverride = {
    render: (args) => (react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, Icon: (props) => react_1.default.createElement(pcln_icons_1.Overnight, { ...props, title: 'overnight' }), variation: 'initial' })),
};
exports.WithHeader = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, header: HeaderFooter, variation: 'incoming' }),
};
exports.WithFooter = {
    render: (args) => react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, footer: HeaderFooter, variation: 'incoming' }),
};
exports.OutgoingWithFooter = {
    render: (args) => (react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, ml: '60px', variation: 'outgoing', message: 'hello!!', footer: react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', justifyContent: 'flex-end' },
            react_1.default.createElement(Text_1.Text, { color: 'text.light', textStyle: 'subheading6', mr: 2 }, "READ"),
            react_1.default.createElement(Text_1.Text, { color: 'text.light', textStyle: 'subheading6' }, "12:55 pm")) })),
};
exports.MessageList = {
    render: (args) => (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'initial', mb: 3 }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'outgoing', mb: 1 }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'outgoing' }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'incoming', mt: 3 }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'incoming', my: 1 }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'incoming' }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'outgoing', mt: 3, mb: 1 }),
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...args, variation: 'outgoing' }))),
};
//# sourceMappingURL=ChatMessage.stories.js.map