"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessageContainer = void 0;
const react_1 = __importDefault(require("react"));
const ChatMessage_1 = require("../ChatMessage/ChatMessage");
const Flex_1 = require("../Flex/Flex");
const Grid_1 = require("../Grid/Grid");
/**
 * @public
 */
function ChatMessageContainer({ messageMaxWidth = '90%', messages }) {
    return (react_1.default.createElement(Grid_1.Grid, { gap: 2, height: '100%', overflowY: 'scroll', p: 3 }, messages?.map((message) => (react_1.default.createElement(Flex_1.Flex, { key: message.message, justifyContent: message.variation === 'outgoing' ? 'flex-end' : 'flex-start' },
        react_1.default.createElement(ChatMessage_1.ChatMessage, { ...message, maxWidth: messageMaxWidth }))))));
}
exports.ChatMessageContainer = ChatMessageContainer;
//# sourceMappingURL=ChatMessageContainer.js.map