"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithNotification = exports.FloatingActionButton = exports._ChatTrigger = void 0;
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const react_1 = __importDefault(require("react"));
const Relative_1 = require("../Relative/Relative");
const ChatTrigger_1 = require("./ChatTrigger");
exports.default = {
    title: 'Chat / ChatTrigger',
    component: ChatTrigger_1.ChatTrigger,
    args: {
        hasNotification: false,
        tooltip: 'Chat with Penny',
    },
    argTypes: {
        onClick: { action: true },
    },
    decorators: [
        (Story) => (react_1.default.createElement(Relative_1.Relative, { width: '100%', height: '25vh' },
            react_1.default.createElement(Story, null))),
    ],
};
exports._ChatTrigger = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        const button = canvas.getByRole('button');
        await (0, jest_1.expect)(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
        await testing_library_1.userEvent.hover(button);
        await (0, jest_1.expect)(canvas.getByText('Chat with Penny')).toBeInTheDocument();
        await testing_library_1.userEvent.unhover(button);
        await (0, jest_1.expect)(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
        await testing_library_1.userEvent.click(button);
        await (0, jest_1.expect)(args.onClick).toHaveBeenCalled();
    },
    render: (args) => react_1.default.createElement(ChatTrigger_1.ChatTrigger, { ...args }),
};
exports.FloatingActionButton = {
    render: (args) => react_1.default.createElement(ChatTrigger_1.ChatTrigger, { ...args }),
};
exports.WithNotification = {
    render: (args) => react_1.default.createElement(ChatTrigger_1.ChatTrigger, { ...args, hasNotification: true }),
};
//# sourceMappingURL=ChatTrigger.stories.js.map