"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefs = exports.Color = exports.CheckboxStates = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Heading_1 = require("../Heading/Heading");
const Label_1 = require("../Label/Label");
const Text_1 = require("../Text/Text");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const Checkbox_1 = require("./Checkbox");
const StyledLabel = (0, styled_components_1.default)(Label_1.Label) `
  cursor: pointer;
  font-size: 12px;
  vertical-align: middle;
`;
const Wrapper = (props) => (react_1.default.createElement(Box_1.Box, { p: '12px', my: '6px' },
    props.title ? react_1.default.createElement(Heading_1.Heading.h6, { mb: '12px' }, props.title) : null,
    props.children));
const formAction = (e) => {
    e.preventDefault();
    (0, addon_actions_1.action)('form was submitted, is checkbox checked?')(e.target[1].id, e.target[1].checked);
};
const checkAction = (e) => {
    (0, addon_actions_1.action)(`${e.target.id} was clicked`)(e.target.value, e.target.checked);
};
exports.default = {
    title: 'Checkbox',
    component: Checkbox_1.Checkbox,
};
function onSubmit(e) {
    return formAction(e);
}
const FilterExample = () => {
    const [filterState, setFilterState] = (0, react_1.useState)({
        all: false,
        indeterminate: false,
        small: false,
        medium: false,
        large: false,
    });
    const handleFilterSelection = (event) => {
        const target = event.target;
        // @ts-ignore
        if (target?.id === 'all') {
            if (filterState.all || filterState.indeterminate) {
                setFilterState({
                    all: false,
                    indeterminate: false,
                    small: false,
                    medium: false,
                    large: false,
                });
            }
            else {
                setFilterState({
                    all: true,
                    indeterminate: false,
                    small: true,
                    medium: true,
                    large: true,
                });
            }
        }
        else {
            // @ts-ignore
            const newFilterState = { ...filterState, [target.id]: !filterState[target.id] };
            const indeterminate = !(newFilterState.small === newFilterState.medium && newFilterState.small === newFilterState.large);
            const all = newFilterState.small && newFilterState.medium && newFilterState.large;
            setFilterState({
                ...filterState,
                // @ts-ignore
                [target.id]: !filterState[target.id],
                indeterminate,
                all,
            });
        }
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'all' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'all', onChange: handleFilterSelection, indeterminate: filterState.indeterminate, checked: filterState.all }),
                "Cars"),
            react_1.default.createElement(Box_1.Box, { ml: 2 },
                react_1.default.createElement(StyledLabel, { htmlFor: 'small' },
                    react_1.default.createElement(Checkbox_1.Checkbox, { id: 'small', onChange: handleFilterSelection, checked: filterState.small }),
                    "Small"),
                react_1.default.createElement(StyledLabel, { htmlFor: 'medium' },
                    react_1.default.createElement(Checkbox_1.Checkbox, { id: 'medium', onChange: handleFilterSelection, checked: filterState.medium }),
                    "Medium"),
                react_1.default.createElement(StyledLabel, { htmlFor: 'large' },
                    react_1.default.createElement(Checkbox_1.Checkbox, { id: 'large', onChange: handleFilterSelection, checked: filterState.large }),
                    "Large")))));
};
const CheckboxStates = () => {
    return (react_1.default.createElement("div", null,
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'unchecked_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'unchecked_box', onChange: checkAction, unselectedColor: 'text.light' }),
                "Unchecked by default")),
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'checked_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'checked_box', defaultChecked: true, onChange: checkAction }),
                "Checked by default")),
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'disabled_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'disabled_box', disabled: true, onChange: checkAction }),
                react_1.default.createElement(Text_1.Text.span, { color: 'border.base' }, "Disabled"))),
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'disabled_checked_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'disabled_checked_box', disabled: true, defaultChecked: true, onChange: checkAction }),
                react_1.default.createElement(Text_1.Text.span, { color: 'border.base' }, "Disabled & Checked"))),
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'indeterminate_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'indeterminate_box', indeterminate: true, onChange: checkAction }),
                "Initially indeterminate check box (clicking will checkmark it)")),
        react_1.default.createElement(Wrapper, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'indeterminate_checked_box' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'indeterminate_checked_box', defaultChecked: true, indeterminate: true, onChange: checkAction }),
                "Initially indeterminate check box (clicking will uncheck it)")),
        react_1.default.createElement(Wrapper, { title: 'Indeterminate Checkboxes' },
            react_1.default.createElement(FilterExample, null)),
        react_1.default.createElement(Wrapper, { title: 'In A Form' },
            react_1.default.createElement("form", { onSubmit: onSubmit },
                react_1.default.createElement("fieldset", { style: { display: 'inline-block', padding: '16px' } },
                    react_1.default.createElement("legend", null, "Fancy Form"),
                    react_1.default.createElement(Wrapper, null,
                        react_1.default.createElement(StyledLabel, { fontSize: '14px', htmlFor: 'form_checkbox' },
                            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'form_checkbox', size: 30, onChange: checkAction }),
                            "\u00A0In This Form")),
                    react_1.default.createElement(Button_1.Button, { type: 'submit' }, "Submit Me"),
                    react_1.default.createElement("br", null),
                    react_1.default.createElement("br", null),
                    react_1.default.createElement(Button_1.Button, { variation: 'outline', color: 'border.base', type: 'reset' }, "Reset Me"))))));
};
exports.CheckboxStates = CheckboxStates;
const Color = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(StyledLabel, { htmlFor: 'secondary_unchecked_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'secondary_unchecked_box', onChange: checkAction, color: 'secondary' }),
            "Secondary color unchecked by default"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'secondary_checked_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'secondary_checked_box', defaultChecked: true, onChange: checkAction, color: 'secondary' }),
            "Secondary color checked by default"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'secondary_indeterminate_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'secondary_indeterminate_box', indeterminate: true, onChange: checkAction, color: 'secondary' }),
            "Secondary color indeterminate"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'secondary_disabled_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'secondary_disabled_box', disabled: true, onChange: checkAction, color: 'secondary' }),
            "Secondary color disabled")),
    react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(StyledLabel, { htmlFor: 'error_unchecked_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'error_unchecked_box', onChange: checkAction, color: 'error' }),
            "Error color unchecked by default"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'error_checked_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'error_checked_box', defaultChecked: true, onChange: checkAction, color: 'error' }),
            "Error color checked by default"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'error_indeterminate_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'error_indeterminate_box', indeterminate: true, onChange: checkAction, color: 'error' }),
            "Error color indeterminate"),
        react_1.default.createElement(StyledLabel, { htmlFor: 'error_disabled_box' },
            react_1.default.createElement(Checkbox_1.Checkbox, { id: 'error_disabled_box', disabled: true, onChange: checkAction, color: 'error' }),
            "Error color disabled"))));
exports.Color = Color;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return dsRef.current.focus();
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(StyledLabel, { htmlFor: 'check' },
                react_1.default.createElement(Checkbox_1.Checkbox, { id: 'check', ref: dsRef }),
                "Checkbox with ref"),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 4 }, "Click to focus checkbox via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
//# sourceMappingURL=Checkbox.stories.js.map