"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonChip = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Button_1 = require("../../Button/Button");
const utils_1 = require("../../utils/utils");
const ChipContent_1 = require("../ChipContent/ChipContent");
const ChipContentWrapper_1 = require("../ChipContentWrapper");
const ChipButton = (0, styled_components_1.default)(Button_1.Button) `
  background-color: transparent;
  border: none;
  padding: 0;
  &:hover {
    background-color: transparent;
  }
  &:focus-visible {
    box-shadow: none;
    outline-offset: 2px;
    outline: 3px solid ${(0, utils_1.getPaletteColor)('base')};
  }
  &:focus-visible > ${ChipContentWrapper_1.ChipContentWrapper} {
    border-color: ${(0, utils_1.getPaletteColor)('base')};
  }
`;
const getTitle = ({ disabled, expanded }) => (disabled ? 'Disabled' : expanded ? 'Collapse' : 'Expand');
/**
 * @public
 */
exports.ButtonChip = react_1.default.forwardRef(({ color, width, id, m, disabled, expanded, children, onClick, label, showActionIcon, variation, ...props }, ref) => (react_1.default.createElement(ChipButton, { color: color, width: width, id: id, "data-testid": id, ref: ref, disabled: disabled, onClick: onClick, "aria-expanded": expanded, m: m },
    react_1.default.createElement(ChipContent_1.ChipContent, { label: label, disabled: disabled, selected: expanded, action: showActionIcon && {
            Icon: pcln_icons_1.ChevronDown,
            title: getTitle({ disabled, expanded }),
        }, variation: variation, ...props }, children))));
exports.ButtonChip.displayName = 'ButtonChip';
exports.ButtonChip.defaultProps = {
    color: 'primary',
    variation: 'outline',
};
//# sourceMappingURL=ButtonChip.js.map