"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithVariationShadow = exports.CustomChip = exports.ImageOnly = exports.WithImageAndBridgeLabel = exports.WithImage = exports.IconOnly = exports.WithIconAndFacet = exports.WithFacet = exports.WithIcon = exports.LabelWithWidth = exports.LabelOnly = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
const args_1 = require("../../storybook/args");
const ButtonChip_1 = require("./ButtonChip");
const image = (react_1.default.createElement("img", { src: 'https://www.priceline.com/sam/air/carrier_logos/airLogo_DL.png', alt: 'Delta', height: '24' }));
const small = {
    title: 'Small',
    value: 'sm',
};
const medium = {
    title: 'Medium',
    value: 'md',
};
const responsive = {
    title: 'Responsive',
    value: ['sm', 'sm', 'sm', 'md'],
};
const getExamples = (exampleProps, sizes, width = '') => (react_1.default.createElement(Box_1.Box, null, sizes.map((size) => (react_1.default.createElement(Box_1.Box, { m: 3, key: size.title },
    react_1.default.createElement(Text_1.Text, null, size.title),
    react_1.default.createElement(Box_1.Box, null, exampleProps.map((props, i) => (react_1.default.createElement(ButtonChip_1.ButtonChip, { key: `chip${size.title}${i}`, id: `chip${size.title}${i}`, width: width, m: 1, size: size.value, ...props })))))))));
//Label Only
const labelOnly = [
    { label: 'Enabled' },
    { label: 'Active', expanded: true },
    { label: 'Active', expanded: true, showActionIcon: true },
    { label: 'Disabled', disabled: true },
    { label: 'Active and Disabled', expanded: true, disabled: true },
];
const LabelOnly = () => getExamples(labelOnly, [small, medium, responsive]);
exports.LabelOnly = LabelOnly;
//Label With Width
const labelWithWidth = [{ label: 'Enabled' }, { label: 'Active', expanded: true }];
const LabelWithWidth = () => getExamples(labelWithWidth, [small, medium, responsive], '45%');
exports.LabelWithWidth = LabelWithWidth;
//With Icon
const withIcon = [
    { label: 'Enabled', Icon: pcln_icons_1.Departure },
    { label: 'Active', expanded: true, Icon: pcln_icons_1.Departure },
    { label: 'Active', expanded: true, showActionIcon: true, Icon: pcln_icons_1.Departure },
    {
        label: 'Disabled',
        disabled: true,
        showActionIcon: true,
        Icon: pcln_icons_1.Departure,
    },
    {
        label: 'Active and Disabled',
        expanded: true,
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
    },
];
const WithIcon = () => getExamples(withIcon, [small, medium, responsive]);
exports.WithIcon = WithIcon;
//With Facet
const withFacet = [
    { label: 'Enabled', facet: '(00)' },
    { label: 'Active', facet: '(00)', expanded: true },
    { label: 'Active', facet: '(00)', expanded: true, showActionIcon: true },
    {
        label: 'Disabled',
        facet: '(00)',
        showActionIcon: true,
        disabled: true,
    },
    {
        label: 'Active and Disabled',
        facet: '(00)',
        expanded: true,
        showActionIcon: true,
        disabled: true,
    },
];
const WithFacet = () => getExamples(withFacet, [small, medium, responsive]);
exports.WithFacet = WithFacet;
//With Facet And Icon
const withFacetAndIcon = [
    { label: 'Enabled', facet: '(00)', Icon: pcln_icons_1.Departure },
    { label: 'Active', facet: '(00)', Icon: pcln_icons_1.Departure, expanded: true },
    {
        label: 'Active',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        expanded: true,
        showActionIcon: true,
    },
    {
        label: 'Disabled',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        showActionIcon: true,
        disabled: true,
    },
    {
        label: 'Active and Disabled',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        expanded: true,
        showActionIcon: true,
        disabled: true,
    },
];
const WithIconAndFacet = () => getExamples(withFacetAndIcon, [small, medium, responsive]);
exports.WithIconAndFacet = WithIconAndFacet;
//Icon Only
const iconOnly = [
    { Icon: pcln_icons_1.Departure, title: 'Departure' },
    { Icon: pcln_icons_1.Departure, title: 'Departure' },
    { expanded: true, showActionIcon: true, Icon: pcln_icons_1.Departure, title: 'Departure' },
    {
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
        title: 'Departure',
    },
    {
        expanded: true,
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
        title: 'Departure',
    },
];
const IconOnly = () => getExamples(iconOnly, [small, medium, responsive]);
exports.IconOnly = IconOnly;
//With Image
const withImage = [
    { label: 'Enabled', image: image },
    { label: 'Active', expanded: true, image: image },
    { label: 'Active', expanded: true, showActionIcon: true, image: image },
    {
        label: 'Disabled',
        showActionIcon: true,
        disabled: true,
        image: image,
    },
    {
        label: 'Active and Disabled',
        expanded: true,
        showActionIcon: true,
        disabled: true,
        image: image,
    },
];
const WithImage = () => getExamples(withImage, [medium]);
exports.WithImage = WithImage;
//With Image And Bridge Label
const withImageAndBridgeLabel = [
    { label: 'Enabled', image: image, bridgeLabel: 'Bridge' },
    { label: 'Active', expanded: true, image: image, bridgeLabel: 'Bridge' },
    {
        label: 'Active',
        expanded: true,
        showActionIcon: true,
        image: image,
        bridgeLabel: 'Bridge',
        BridgeIcon: pcln_icons_1.Broom,
    },
    {
        label: 'Disabled',
        showActionIcon: true,
        disabled: true,
        image: image,
        bridgeLabel: 'Bridge',
    },
    {
        label: 'Active and Disabled',
        expanded: true,
        showActionIcon: true,
        disabled: true,
        image: image,
        bridgeLabel: 'Bridge',
    },
];
const WithImageAndBridgeLabel = () => getExamples(withImageAndBridgeLabel, [medium]);
exports.WithImageAndBridgeLabel = WithImageAndBridgeLabel;
//Image Only
const imageOnly = [
    { image: image },
    { expanded: true, image: image },
    { expanded: true, showActionIcon: true, image: image },
    { showActionIcon: true, disabled: true, image: image },
    { expanded: true, showActionIcon: true, disabled: true, image: image },
];
const ImageOnly = () => getExamples(imageOnly, [medium]);
exports.ImageOnly = ImageOnly;
//Custom Chip
const CustomChip = () => (react_1.default.createElement(Box_1.Box, { m: 2 },
    react_1.default.createElement(ButtonChip_1.ButtonChip, { id: 'customChip1', m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Browse All"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 }, "$161 avg. per night"))),
    react_1.default.createElement(ButtonChip_1.ButtonChip, { id: 'customChip2', expanded: true, m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Pricebreakers"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 }, "Save up to 60%"))),
    react_1.default.createElement(ButtonChip_1.ButtonChip, { id: 'customChip3', m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Express Deals"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 },
                react_1.default.createElement(Text_1.Text.span, { color: 'green' }, "$130"),
                " avg. per night"))),
    react_1.default.createElement(ButtonChip_1.ButtonChip, { id: 'customChip3', m: 1, disabled: true },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Express Deals"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 },
                react_1.default.createElement(Text_1.Text.span, { color: 'green' }, "$130"),
                " avg. per night"))),
    react_1.default.createElement(ButtonChip_1.ButtonChip, { id: 'customChip2', expanded: true, disabled: true, m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Pricebreakers"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 }, "Save up to 60%")))));
exports.CustomChip = CustomChip;
// With Variation Shadow
const WithVariationShadow = () => getExamples(args_1.chipWithShadowVariationArgs, [small, medium, responsive]);
exports.WithVariationShadow = WithVariationShadow;
//Default
exports.default = {
    title: 'core / Chip / ButtonChip',
    component: ButtonChip_1.ButtonChip,
};
//# sourceMappingURL=ButtonChip.stories.js.map