"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChipContent = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../../Box/Box");
const Flex_1 = require("../../Flex/Flex");
const Text_1 = require("../../Text/Text");
const utils_1 = require("../../utils/utils");
const ChipContentWrapper_1 = require("../ChipContentWrapper");
const ImageWrapper = (0, styled_components_1.default)(Flex_1.Flex) `
  background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
  border-radius: ${({ theme }) => theme.radii[2]}px;
  ${({ disabled }) => disabled && 'opacity: .33;'}
`;
/**
 * @public
 */
function ChipContent({ disabled, selected, children, label, 
/* eslint-disable @typescript-eslint/naming-convention */
Icon, 
/* eslint-disable @typescript-eslint/naming-convention */
IconTitle, facet, action, image, size, bridgeLabel, 
/* eslint-disable @typescript-eslint/naming-convention */
BridgeIcon, variation, topLabel, borderRadius, justifyContent = 'center', ...props }) {
    return (react_1.default.createElement(ChipContentWrapper_1.ChipContentWrapper, { "data-testid": 'chipContentWrapper', hasChildren: Boolean(children), hasTopLabel: Boolean(topLabel), borderRadiusOverride: borderRadius, disabled: disabled, selected: selected, size: size, variation: variation, justifyContent: justifyContent, ...props },
        children,
        react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', height: '100%' },
            Boolean(image) && react_1.default.createElement(ImageWrapper, { disabled: disabled }, image),
            Boolean(Icon) && react_1.default.createElement(Icon, { title: IconTitle, size: '20px' }),
            react_1.default.createElement(Box_1.Box, null,
                Boolean(topLabel) && (react_1.default.createElement(Text_1.Text, { regular: true, ml: 2, mb: 1, fontWeight: 'bold' }, topLabel)),
                react_1.default.createElement(Flex_1.Flex, null,
                    Boolean(label) && (react_1.default.createElement(Text_1.Text, { regular: true, ml: Boolean(Icon) || Boolean(image) ? 2 : 0 }, label)),
                    Boolean(facet) && (react_1.default.createElement(Text_1.Text, { regular: true, ml: 1 }, facet)),
                    Boolean(bridgeLabel) && react_1.default.createElement(BridgeIcon, { title: 'to', size: '16px', ml: 2, mt: '1px' }),
                    Boolean(bridgeLabel) && (react_1.default.createElement(Text_1.Text, { regular: true, ml: 2 }, bridgeLabel)))),
            Boolean(action?.Icon) && action.title && react_1.default.createElement(action.Icon, { title: action.title, size: '16px', ml: 2 }))));
}
exports.ChipContent = ChipContent;
ChipContent.defaultProps = {
    BridgeIcon: pcln_icons_1.ArrowRight,
    size: 'sm',
    color: 'primary',
    py: 1,
    m: 0,
};
ChipContent.displayName = 'Chip';
//# sourceMappingURL=ChipContent.js.map