"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChipContentWrapper = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const utils_1 = require("../utils/utils");
const getSizes = ({ hasChildren, hasTopLabel, borderRadiusOverride, }) => ({
    sm: (0, styled_components_1.css) `
    border-radius: ${(0, theme_get_1.default)(`borderRadii.${borderRadiusOverride || 'action-sm'}`)};
    padding-left: 8px;
    padding-right: 8px;
    ${hasChildren ? '' : hasTopLabel ? 'height: 50px;' : 'height: 32px;'}
    font-size: ${(0, theme_get_1.default)('fontSizes.0')}px;
  `,
    md: (0, styled_components_1.css) `
    border-radius: ${(0, theme_get_1.default)(`borderRadii.${borderRadiusOverride || 'action-md'}`)};
    padding-left: 16px;
    padding-right: 16px;
    ${hasChildren ? '' : hasTopLabel ? 'height: 58px;' : 'height: 40px;'}
    font-size: ${(0, theme_get_1.default)('fontSizes.1')}px;
  `,
});
const getColor = ({ disabled }) => (disabled ? 'text.light' : 'base');
const getCursor = ({ disabled }) => (disabled ? 'not-allowed' : 'pointer');
const getBorderColor = (props) => props.disabled ? 'transparent' : (0, utils_1.getPaletteColor)(props.selected ? 'base' : 'border.base')(props);
const getBackgroundColor = (props) => props.disabled ? 'background.base' : props.selected ? 'light' : 'background.lightest';
const variations = {
    outline: (0, styled_components_1.css) ``,
    shadow: (0, styled_components_1.css) `
    box-shadow: ${(props) => (props.disabled || props.selected ? 'none' : (0, theme_get_1.default)('shadows.md'))};
    &:hover {
      box-shadow: ${(props) => (props.disabled ? 'none' : (0, theme_get_1.default)('shadows.xl'))};
    }
  `,
};
exports.ChipContentWrapper = (0, styled_components_1.default)(Box_1.Box) `
  ${(props) => `
    cursor: ${getCursor(props)};
    color: ${(0, utils_1.getPaletteColor)(getColor(props))(props)};
    background-color: ${(0, utils_1.getPaletteColor)(getBackgroundColor(props))(props)};
    border: 1px solid ${props.variation === 'shadow' && !props.selected ? 'transparent' : getBorderColor(props)};
    ${props.disabled
    ? ''
    : `
          &:hover {
            border: 1px solid ${(0, utils_1.getPaletteColor)('base')(props)};
            background-color: ${(0, utils_1.getPaletteColor)('background.lightest')(props)};
          }
          `}

    ${props.selected && !props.disabled
    ? `
          &:hover {
            color: ${(0, utils_1.getPaletteColor)('dark')(props)};
            border: 1px solid ${(0, utils_1.getPaletteColor)('dark')(props)};
            background-color: ${(0, utils_1.getPaletteColor)('light')(props)};
          }
          `
    : ''}

    ${props.disabled && props.selected ? `border: 1px solid ${(0, utils_1.getPaletteColor)('text.light')(props)};` : ''}
  `}
  width: 100%;
  max-width: 100%;
  display: inline-flex;
  align-items: center;
  justify-content: ${({ justifyContent }) => justifyContent};
  position: relative;
  border-radius: 2px;
  white-space: nowrap;
  ${({ theme, hasChildren }) => (0, utils_1.applySizes)(getSizes({ hasChildren }), undefined, theme.mediaQueries)};
  ${(0, utils_1.applyVariations)('ChipContentWrapper', variations)};
  ${({ theme, hasChildren, hasTopLabel, borderRadiusOverride }) => (0, utils_1.applySizes)(getSizes({ hasChildren, hasTopLabel, borderRadiusOverride }), undefined, theme.mediaQueries)};

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize)(props)}
`;
//# sourceMappingURL=ChipContentWrapper.js.map