"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChoiceChip = void 0;
const react_1 = __importDefault(require("react"));
const ChipContent_1 = require("../ChipContent/ChipContent");
const ChipInput_1 = require("../ChipInput");
const ChipLabel_1 = require("../ChipLabel");
/**
 * @public
 */
function ChoiceChip({ id, name, disabled, selected, children, onClick, label, variation, width = 'auto', value, ...props }) {
    return (react_1.default.createElement(ChipLabel_1.ChipLabel, { htmlFor: id, width: width, ...props },
        react_1.default.createElement(ChipInput_1.ChipInput, { "data-testid": id, name: name, value: value, type: 'radio', role: 'radio', id: id, disabled: disabled, checked: selected, onChange: onClick }),
        react_1.default.createElement(ChipContent_1.ChipContent, { label: label, disabled: disabled, selected: selected, variation: variation, ...props }, children)));
}
exports.ChoiceChip = ChoiceChip;
ChoiceChip.displayName = 'Chip';
ChoiceChip.defaultProps = {
    color: 'primary',
    variation: 'outline',
};
//# sourceMappingURL=ChoiceChip.js.map