"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterChip = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const ChipContent_1 = require("../ChipContent/ChipContent");
const ChipInput_1 = require("../ChipInput");
const ChipLabel_1 = require("../ChipLabel");
const getTitle = ({ disabled, actionTitle }) => `${actionTitle}${disabled ? ' disabled' : ''}`;
/**
 * @public
 */
function FilterChip({ id, name, disabled, selected, children, onClick, label, showActionIcon, actionTitle, value, variation, ...props }) {
    return (react_1.default.createElement(ChipLabel_1.ChipLabel, { htmlFor: id, width: 'auto', ...props },
        react_1.default.createElement(ChipInput_1.ChipInput, { type: 'checkbox', role: 'checkbox', id: id, name: name, "data-testid": id, disabled: disabled, checked: selected, onChange: onClick, value: value }),
        react_1.default.createElement(ChipContent_1.ChipContent, { label: label, disabled: disabled, selected: selected, action: showActionIcon && {
                Icon: pcln_icons_1.Close,
                title: getTitle({ disabled, actionTitle }),
            }, variation: variation, ...props }, children)));
}
exports.FilterChip = FilterChip;
FilterChip.displayName = 'FilterChip';
FilterChip.defaultProps = {
    color: 'primary',
    actionTitle: 'Close',
    variation: 'outline',
};
//# sourceMappingURL=FilterChip.js.map