"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Usage = exports.WithVariationShadow = exports.ToggleChip = exports.CustomChip = exports.ImageOnly = exports.WithImageAndBridgeLabel = exports.WithImage = exports.IconOnly = exports.WithIconAndFacet = exports.WithFacet = exports.WithIcon = exports.LabelOnly = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importStar(require("react"));
const Box_1 = require("../../Box/Box");
const Flex_1 = require("../../Flex/Flex");
const Text_1 = require("../../Text/Text");
const args_1 = require("../../storybook/args");
const FilterChip_1 = require("./FilterChip");
const image = (react_1.default.createElement("img", { src: 'https://www.priceline.com/sam/air/carrier_logos/airLogo_DL.png', alt: 'Delta', height: '24' }));
const small = {
    title: 'Small',
    value: 'sm',
};
const medium = {
    title: 'Medium',
    value: 'md',
};
const responsive = {
    title: 'Responsive',
    value: ['sm', 'sm', 'sm', 'md'],
};
const getExamples = (exampleProps, sizes) => (react_1.default.createElement(Box_1.Box, null, sizes.map((size) => (react_1.default.createElement(Box_1.Box, { m: 3, key: size.title },
    react_1.default.createElement(Text_1.Text, null, size.title),
    react_1.default.createElement(Box_1.Box, null, exampleProps.map((props, i) => (react_1.default.createElement(FilterChip_1.FilterChip, { key: `chip${size.title}${i}`, id: `chip${size.title}${i}`, name: `chip${size.title}_${i}`, m: 1, size: size.value, value: size.title, ...props })))))))));
//Label Only
const labelOnly = [
    { label: 'Enabled' },
    { label: 'Active', selected: true },
    { label: 'Active', selected: true, showActionIcon: true },
    { label: 'Disabled', disabled: true, showActionIcon: true },
    { label: 'Active and Disabled', selected: true, showActionIcon: true, disabled: true },
];
const LabelOnly = () => getExamples(labelOnly, [small, medium, responsive]);
exports.LabelOnly = LabelOnly;
//With Icon
const withIcon = [
    { label: 'Enabled', Icon: pcln_icons_1.Departure },
    { label: 'Active', selected: true, Icon: pcln_icons_1.Departure },
    { label: 'Active', selected: true, showActionIcon: true, Icon: pcln_icons_1.Departure },
    {
        label: 'Disabled',
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
    },
    {
        label: 'Active and Disabled',
        selected: true,
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
    },
];
const WithIcon = () => getExamples(withIcon, [small, medium, responsive]);
exports.WithIcon = WithIcon;
//With Facet
const withFacet = [
    { label: 'Enabled', facet: '(00)' },
    { label: 'Active', facet: '(00)', selected: true },
    { label: 'Active', facet: '(00)', selected: true, showActionIcon: true },
    {
        label: 'Disabled',
        facet: '(00)',
        showActionIcon: true,
        disabled: true,
    },
    {
        label: 'Active and Disabled',
        facet: '(00)',
        selected: true,
        showActionIcon: true,
        disabled: true,
    },
];
const WithFacet = () => getExamples(withFacet, [small, medium, responsive]);
exports.WithFacet = WithFacet;
//With Facet And Icon
const withFacetAndIcon = [
    { label: 'Enabled', facet: '(00)', Icon: pcln_icons_1.Departure },
    { label: 'Active', facet: '(00)', Icon: pcln_icons_1.Departure, selected: true },
    {
        label: 'Active',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        selected: true,
        showActionIcon: true,
    },
    {
        label: 'Disabled',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        showActionIcon: true,
        disabled: true,
    },
    {
        label: 'Active and Disabled',
        facet: '(00)',
        Icon: pcln_icons_1.Departure,
        selected: true,
        showActionIcon: true,
        disabled: true,
    },
];
const WithIconAndFacet = () => getExamples(withFacetAndIcon, [small, medium, responsive]);
exports.WithIconAndFacet = WithIconAndFacet;
//Icon Only
const iconOnly = [
    { Icon: pcln_icons_1.Departure, title: 'Departure' },
    { Icon: pcln_icons_1.Departure, title: 'Departure' },
    { selected: true, showActionIcon: true, Icon: pcln_icons_1.Departure, title: 'Departure' },
    {
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
        title: 'Departure',
    },
    {
        selected: true,
        showActionIcon: true,
        disabled: true,
        Icon: pcln_icons_1.Departure,
        title: 'Departure',
    },
];
const IconOnly = () => getExamples(iconOnly, [small, medium, responsive]);
exports.IconOnly = IconOnly;
//With Image
const withImage = [
    { label: 'Enabled', image: image },
    { label: 'Active', selected: true, image: image },
    { label: 'Active', selected: true, showActionIcon: true, image: image },
    {
        label: 'Disabled',
        showActionIcon: true,
        disabled: true,
        image: image,
    },
    {
        label: 'Active and Disabled',
        selected: true,
        showActionIcon: true,
        disabled: true,
        image: image,
    },
];
const WithImage = () => getExamples(withImage, [medium]);
exports.WithImage = WithImage;
//With Image And Bridge Label
const withImageAndBridgeLabel = [
    { label: 'Enabled', image: image, bridgeLabel: 'Bridge' },
    { label: 'Active', selected: true, image: image, bridgeLabel: 'Bridge' },
    {
        label: 'Active',
        selected: true,
        showActionIcon: true,
        image: image,
        bridgeLabel: 'Bridge',
    },
    {
        label: 'Disabled',
        showActionIcon: true,
        disabled: true,
        image: image,
        bridgeLabel: 'Bridge',
    },
    {
        label: 'Active and Disabled',
        selected: true,
        showActionIcon: true,
        disabled: true,
        image: image,
        bridgeLabel: 'Bridge',
    },
];
const WithImageAndBridgeLabel = () => getExamples(withImageAndBridgeLabel, [medium]);
exports.WithImageAndBridgeLabel = WithImageAndBridgeLabel;
//Image Only
const imageOnly = [
    { image: image },
    { selected: true, image: image },
    { selected: true, showActionIcon: true, image: image },
    { showActionIcon: true, disabled: true, image: image },
    { selected: true, showActionIcon: true, disabled: true, image: image },
];
const ImageOnly = () => getExamples(imageOnly, [medium]);
exports.ImageOnly = ImageOnly;
//Custom Chip
const CustomChip = () => (react_1.default.createElement(Box_1.Box, { m: 2 },
    react_1.default.createElement(FilterChip_1.FilterChip, { id: 'customChip1', name: 'customFilterChipName1', m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Browse All"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 }, "$161 avg. per night"))),
    react_1.default.createElement(FilterChip_1.FilterChip, { id: 'customChip2', name: 'customFilterChipName2', selected: true, m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Pricebreakers"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 }, "Save up to 60%"))),
    react_1.default.createElement(FilterChip_1.FilterChip, { id: 'customChip3', name: 'customFilterChipName3', m: 1 },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Express Deals"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 },
                react_1.default.createElement(Text_1.Text.span, { color: 'green' }, "$130"),
                " avg. per night"))),
    react_1.default.createElement(FilterChip_1.FilterChip, { id: 'customChip4', name: 'customFilterChipName3', m: 1, disabled: true },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Express Deals"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 },
                react_1.default.createElement(Text_1.Text.span, { color: 'green' }, "$130"),
                " avg. per night"))),
    react_1.default.createElement(FilterChip_1.FilterChip, { id: 'customChip5', name: 'customFilterChipName3', m: 1, disabled: true, selected: true },
        react_1.default.createElement(Box_1.Box, { px: 3, py: 1 },
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', bold: true, fontSize: 1 }, "Express Deals"),
            react_1.default.createElement(Text_1.Text, { textAlign: 'center', regular: true, fontSize: 0 },
                react_1.default.createElement(Text_1.Text.span, { color: 'green' }, "$130"),
                " avg. per night")))));
exports.CustomChip = CustomChip;
// Toggle Chip
const ToggleChip = () => {
    const [toggle, setToggle] = (0, react_1.useState)(false);
    const label = toggle ? 'Unselect' : 'Select';
    return (react_1.default.createElement(FilterChip_1.FilterChip, { label: label, selected: toggle, onClick: () => {
            setToggle(!toggle);
        } }));
};
exports.ToggleChip = ToggleChip;
// With Variation Shadow
const WithVariationShadow = () => getExamples(args_1.chipWithShadowVariationArgs, [small, medium, responsive]);
exports.WithVariationShadow = WithVariationShadow;
// Usage
const Usage = () => {
    const FREE_CANCELLATION_CHIP_BUTTON_ID_OUTLINE = 'free-cancellation-chip-button-id-outline';
    const FREE_WIFI_CHIP_BUTTON_ID_OUTLINE = 'free-wifi-chip-button-id-outline';
    const FREE_PARKING_CHIP_BUTTON_ID_OUTLINE = 'free-parking-chip-button-id-outline';
    const FREE_CANCELLATION_CHIP_BUTTON_ID_SHADOW = 'free-cancellation-chip-button-id-shadow';
    const FREE_WIFI_CHIP_BUTTON_ID_SHADOW = 'free-wifi-chip-button-id-shadow';
    const FREE_PARKING_CHIP_BUTTON_ID_SHADOW = 'free-parking-chip-button-id-shadow';
    const [chipState, setChipState] = (0, react_1.useState)({
        [`${FREE_CANCELLATION_CHIP_BUTTON_ID_OUTLINE}`]: false,
        [`${FREE_WIFI_CHIP_BUTTON_ID_OUTLINE}`]: false,
        [`${FREE_PARKING_CHIP_BUTTON_ID_OUTLINE}`]: false,
        [`${FREE_CANCELLATION_CHIP_BUTTON_ID_SHADOW}`]: false,
        [`${FREE_WIFI_CHIP_BUTTON_ID_SHADOW}`]: false,
        [`${FREE_PARKING_CHIP_BUTTON_ID_SHADOW}`]: false,
    });
    function handleClick(evt) {
        if (evt?.target?.id) {
            const chipButtonId = evt.target.id;
            setChipState((state) => ({ ...state, [chipButtonId]: !state[chipButtonId] }));
        }
    }
    return (react_1.default.createElement(Box_1.Box, { m: 3 },
        react_1.default.createElement(Text_1.Text, null, "Varation: Outline"),
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'row', key: 'outline' },
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_CANCELLATION_CHIP_BUTTON_ID_OUTLINE, selected: chipState[FREE_CANCELLATION_CHIP_BUTTON_ID_OUTLINE], onClick: handleClick, label: 'Free Cancellation', showActionIcon: chipState[FREE_CANCELLATION_CHIP_BUTTON_ID_OUTLINE], m: 1 }),
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_WIFI_CHIP_BUTTON_ID_OUTLINE, selected: chipState[FREE_WIFI_CHIP_BUTTON_ID_OUTLINE], onClick: handleClick, label: 'Free WiFi', showActionIcon: chipState[FREE_WIFI_CHIP_BUTTON_ID_OUTLINE], m: 1 }),
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_PARKING_CHIP_BUTTON_ID_OUTLINE, selected: chipState[FREE_PARKING_CHIP_BUTTON_ID_OUTLINE], onClick: handleClick, label: 'Free Parking', showActionIcon: chipState[FREE_PARKING_CHIP_BUTTON_ID_OUTLINE], m: 1 })),
        react_1.default.createElement("br", null),
        react_1.default.createElement(Text_1.Text, null, "Varation: Shadow"),
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'row', key: 'shadow' },
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_CANCELLATION_CHIP_BUTTON_ID_SHADOW, selected: chipState[FREE_CANCELLATION_CHIP_BUTTON_ID_SHADOW], onClick: handleClick, label: 'Free Cancellation', variation: 'shadow', showActionIcon: chipState[FREE_CANCELLATION_CHIP_BUTTON_ID_SHADOW], m: 1 }),
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_WIFI_CHIP_BUTTON_ID_SHADOW, selected: chipState[FREE_WIFI_CHIP_BUTTON_ID_SHADOW], onClick: handleClick, label: 'Free WiFi', variation: 'shadow', showActionIcon: chipState[FREE_WIFI_CHIP_BUTTON_ID_SHADOW], m: 1 }),
            react_1.default.createElement(FilterChip_1.FilterChip, { id: FREE_PARKING_CHIP_BUTTON_ID_SHADOW, selected: chipState[FREE_PARKING_CHIP_BUTTON_ID_SHADOW], onClick: handleClick, label: 'Free Parking', variation: 'shadow', showActionIcon: chipState[FREE_PARKING_CHIP_BUTTON_ID_SHADOW], m: 1 }))));
};
exports.Usage = Usage;
//Default
exports.default = {
    title: 'core / Chip / FilterChip',
    component: FilterChip_1.FilterChip,
};
//# sourceMappingURL=FilterChip.stories.js.map