"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnColors = exports.VariantWhite = exports.VariantFilled = exports.NoVariant = exports.Playground = void 0;
const testing_library_1 = require("@storybook/testing-library");
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Grid_1 = require("../Grid/Grid");
const Text_1 = require("../Text/Text");
const theme_1 = require("../theme/theme");
const CloseButton_1 = require("./CloseButton");
const CloseButton_stories_args_1 = require("./CloseButton.stories.args");
const meta = {
    title: 'CloseButton',
    component: CloseButton_1.CloseButton,
    args: CloseButton_stories_args_1.defaultArgs,
    argTypes: CloseButton_stories_args_1.argTypes,
};
exports.default = meta;
const templateColumns = Array.from(Array(6).keys()).map((x) => `repeat(${x + 1}, 1fr)`);
const BasicTemplate = (args) => react_1.default.createElement(CloseButton_1.CloseButton, { ...args });
exports.Playground = BasicTemplate.bind({});
const SizesTemplate = (args) => (react_1.default.createElement(Grid_1.Grid, { templateColumns: templateColumns, gap: 3, overflow: 'hidden' }, ['sm', 'md', 'lg'].map((x) => (react_1.default.createElement(Flex_1.Flex, { key: x, alignItems: 'center', p: 3, overflow: 'auto', style: { gap: '.25rem' }, bg: args.bg },
    react_1.default.createElement(CloseButton_1.CloseButton, { key: x, ...args, size: x }),
    react_1.default.createElement(Text_1.Text, null, x))))));
exports.NoVariant = {
    render: SizesTemplate.bind({}),
    play: async ({ canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await testing_library_1.userEvent.tab();
        await testing_library_1.userEvent.hover(canvas.queryAllByTitle('close')[2]);
    },
    parameters: {
        chromatic: { delay: 300 },
    },
};
exports.VariantFilled = {
    render: SizesTemplate.bind({}),
};
exports.VariantFilled.args = {
    variant: 'filled',
};
exports.VariantWhite = {
    render: SizesTemplate.bind({}),
    play: async ({ canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await testing_library_1.userEvent.hover(canvas.queryAllByTitle('close')[2]);
    },
};
exports.VariantWhite.args = {
    variant: 'white',
    bg: 'background.dark',
};
exports.OnColors = {
    render: (args) => (react_1.default.createElement(Grid_1.Grid, { templateColumns: templateColumns, gap: 3, overflow: 'hidden' }, theme_1.paletteColors.map((x) => (react_1.default.createElement(Flex_1.Flex, { key: x, alignItems: 'center', bg: x, p: 3, overflow: 'auto', style: { gap: '.25rem' } },
        react_1.default.createElement(CloseButton_1.CloseButton, { key: x, ...args }),
        react_1.default.createElement(Text_1.Text, null, x)))))),
};
//# sourceMappingURL=CloseButton.stories.js.map