"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseIcon = exports.BackgroundAnimation = exports.MotionButton = exports.closeButtonVariantProps = exports.closeButtonVariants = exports.filledVariationSizes = exports.closeButtonIconSizes = exports.closeButtonSizes = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const framer_motion_1 = require("framer-motion");
const pcln_icons_1 = require("pcln-icons");
const styled_components_1 = __importStar(require("styled-components"));
const theme_1 = require("../theme/theme");
const utils_1 = require("../utils/utils");
/** @public */
exports.closeButtonSizes = ['sm', 'md', 'lg'];
exports.closeButtonIconSizes = {
    sm: 20,
    md: 24,
    lg: 32,
};
exports.filledVariationSizes = {
    sm: 32,
    md: 40,
    lg: 48,
};
// The following should be true to adhere to WCAG guidelines for minimum clickable size:
// 2 * closeButtonInteractionPadding + closeButtonIconSizes.sm >= 44
const clickablePaddingPx = 24;
/** @public */
exports.closeButtonVariants = ['filled', 'white'];
exports.closeButtonVariantProps = {
    filled: { bgColor: 'background.lightest', boxShadowSize: 'sm', color: 'primary.base' },
    white: { color: 'text.lightest' },
};
function clickableAreaCss({ size, variant }) {
    const position = variant === 'filled' ? -6 : -12;
    let heightWidthPx = (typeof size === 'number' ? size : exports.closeButtonIconSizes[size]) + clickablePaddingPx;
    // clickable area should never be larger than 48px for named sizes
    heightWidthPx = exports.closeButtonIconSizes[size] && heightWidthPx >= 48 ? 48 : heightWidthPx;
    return (0, styled_components_1.css) `
    &:after {
      content: '';
      position: absolute;
      width: ${heightWidthPx}px;
      height: ${heightWidthPx}px;
      top: -${position}px;
      left: -${position}px;
    }
  `;
}
exports.MotionButton = (0, styled_components_1.default)(framer_motion_1.motion.button) `
  all: unset;
  ${theme_1.ComposedStyleFns}

  display: grid;
  place-items: center;
  border-radius: 100%;
  cursor: pointer;
  border-sizing: border-box;
  position: relative;
  box-shadow: ${(props) => (0, theme_get_1.default)(`shadows.${props.boxShadowSize}`)(props)};
  color: ${(props) => (0, theme_get_1.default)(`palette.${props.color}`)(props)};
  background-color: ${(props) => (0, theme_get_1.default)(`palette.${props.bgColor}`)(props)};

  &:focus-visible {
    outline: 2px solid ${(props) => (0, theme_get_1.default)(`palette.${props.color}`)(props)};
  }

  ${clickableAreaCss}

  ${({ variant, size }) => {
    if (variant === 'filled') {
        return (0, styled_components_1.css) `
        height: ${exports.filledVariationSizes[size]}px;
        width: ${exports.filledVariationSizes[size]}px;
      `;
    }
}}

  ${({ variant }) => variant === 'filled' &&
    (0, styled_components_1.css) `
      &:hover {
        box-shadow: ${(props) => (0, theme_get_1.default)(`shadows.xl`)(props)};
      }
      &:hover > svg {
        color: ${(0, utils_1.getPaletteColor)('primary.dark')};
      }
    `}
`;
exports.BackgroundAnimation = (0, styled_components_1.default)(framer_motion_1.motion.div) `
  height: 125%;
  width: 125%;
  background: black;
  border-radius: 100%;
  mix-blend-mode: multiply;
  position: absolute;
  opacity: 0.15;
`;
exports.CloseIcon = (0, styled_components_1.default)(pcln_icons_1.Close) `
  width: ${({ size }) => (typeof size === 'number' ? size : exports.closeButtonIconSizes[size])}px;
  z-index: 0;
  border-radius: 100%;
`;
//# sourceMappingURL=CloseButton.styled.js.map