"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Container = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const sizes = {
    sm: 640,
    md: 768,
    lg: 1024,
    xl: 1280,
};
const paddings = {
    sm: 3,
    md: [3, null, 4],
    lg: [3, null, 4],
    xl: [3, null, 4],
};
/**
 * @public
 */
exports.Container = (0, styled_components_1.default)(Box_1.Box).attrs((props) => {
    if (props.size) {
        const px = paddings[props.size];
        const maxWidth = props.size ? `${sizes[props.size]}px` : props.maxWidth;
        return { px, maxWidth };
    }
    else {
        return props.maxWidth ? { maxWidth: `${props.maxWidth}px` } : { maxWidth: props.theme.maxContainerWidth };
    }
}) `
  margin-left: auto;
  margin-right: auto;
  width: 100%;
`;
exports.Container.displayName = 'Container';
//# sourceMappingURL=Container.js.map