"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../__test__/testing-library");
const Container_1 = require("./Container");
describe('Container', () => {
    test('renders with default theme max-width', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Container_1.Container, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with maxWidth', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Container_1.Container, { maxWidth: 1024 })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with size', () => {
        const { getByTestId } = (0, testing_library_1.render)(react_1.default.createElement(Container_1.Container, { size: 'md', "data-testid": 'container' }));
        expect(getByTestId('container')).toHaveStyleRule('max-width', '768px');
    });
});
//# sourceMappingURL=Container.spec.js.map