"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dialog = void 0;
const Dialog = __importStar(require("@radix-ui/react-dialog"));
const framer_motion_1 = require("framer-motion");
const react_1 = __importStar(require("react"));
const Dialog_styled_1 = require("./Dialog.styled");
/**
 * @public
 */
const PclnDialog = ({ ariaDescription, ariaTitle, borderRadius = '2xl', children, defaultOpen = false, footerContent, fullWidth = false, headerColorScheme = 'heading', headerContent, headerContentProps, headerIcon, headerShowCloseButton = false, hugColor, innerContentOverflow = 'scroll', open, scrimColor = 'dark', scrimDismiss = true, sheet = false, showCloseButton = true, showScrollShadow, size = 'md', triggerNode, zIndex = 'overlay', overflowX = 'auto', overflowY = 'auto', onOpenChange, }) => {
    const [_open, setOpen] = react_1.default.useState(open ?? defaultOpen);
    (0, react_1.useEffect)(() => setOpen(open), [open]);
    const handleOpenChange = (newOpen) => {
        onOpenChange?.(newOpen);
        setOpen(newOpen);
    };
    return (react_1.default.createElement(Dialog.Root, { open: _open, onOpenChange: handleOpenChange, defaultOpen: defaultOpen },
        react_1.default.createElement(Dialog.Trigger, { asChild: true }, triggerNode),
        react_1.default.createElement(framer_motion_1.AnimatePresence, null, _open && (react_1.default.createElement(Dialog_styled_1.DialogOverlay, { scrimDismiss: scrimDismiss, scrimColor: scrimColor, sheet: sheet, zIndex: zIndex },
            react_1.default.createElement(Dialog_styled_1.DialogContent, { overflowX: overflowX, overflowY: overflowY, ariaDescription: ariaDescription, ariaTitle: ariaTitle, borderRadius: borderRadius, footerContent: footerContent, fullWidth: fullWidth, headerColorScheme: headerColorScheme, headerContent: headerContent, headerContentProps: headerContentProps, headerIcon: headerIcon, headerShowCloseButton: headerShowCloseButton, hugColor: hugColor, innerContentOverflow: innerContentOverflow, onOpenChange: handleOpenChange, scrimDismiss: scrimDismiss, sheet: sheet, showCloseButton: showCloseButton, size: size, showScrollShadow: showScrollShadow }, children))))));
};
exports.Dialog = PclnDialog;
PclnDialog.displayName = 'Dialog';
//# sourceMappingURL=Dialog.js.map