"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultArgs = exports.argTypes = void 0;
const react_1 = __importDefault(require("react"));
const Button_1 = require("../Button/Button");
const Grid_1 = require("../Grid/Grid");
const Text_1 = require("../Text/Text");
const theme_1 = require("../theme/theme");
const Dialog_styled_1 = require("./Dialog.styled");
const overflowArgs = ['scroll', 'visible', 'hidden', 'auto'];
exports.argTypes = {
    borderRadius: { control: { type: 'select' }, options: Object.keys(theme_1.borderRadii) },
    children: { control: { type: 'none' } },
    fullWidth: { control: { type: 'boolean' } },
    headerColorScheme: { control: { type: 'select' }, options: theme_1.colorSchemeNames },
    headerContent: { type: 'string' },
    headerIcon: { type: 'boolean' },
    headerShowCloseButton: { type: 'boolean' },
    hugColor: { control: { type: 'select' }, options: theme_1.paletteColors },
    open: { control: { type: 'boolean' } },
    sheet: { control: { type: 'boolean' } },
    showCloseButton: { control: { type: 'boolean' } },
    size: { control: { type: 'select' }, options: Dialog_styled_1.dialogSizes },
    triggerNode: { control: { type: 'none' } },
    overflowX: { control: { type: 'select' }, options: overflowArgs },
    overflowY: { control: { type: 'select' }, options: overflowArgs },
};
exports.defaultArgs = {
    ariaDescription: 'This is a description',
    ariaTitle: 'This is a title',
    borderRadius: '2xl',
    children: (react_1.default.createElement(Grid_1.Grid, { p: [3, 3, 3, 3, '24px', '24px'], gap: 3 },
        react_1.default.createElement(Text_1.Text, null, "The quick brown fox jumps over the lazy dog to discover new deals every day. Lorem ipsum dolor sit amet, consectetur adipiscing elit."),
        react_1.default.createElement(Text_1.Text, null, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras id erat nec ante semper eleifend. In ex mi, eleifend non ultricies sed, ullamcorper a sem. Aenean mollis mi eget libero commodo, non auctor dui fermentum. Aliquam ultrices nisi in odio sodales, vel feugiat libero gravida."))),
    fullWidth: false,
    headerColorScheme: 'neutralDarkOnLightest',
    headerIcon: false,
    headerShowCloseButton: false,
    scrimDismiss: true,
    scrimColor: 'dark',
    sheet: false,
    showCloseButton: true,
    size: 'md',
    triggerNode: react_1.default.createElement(Button_1.Button, null, "Open Dialog"),
    overflowX: 'auto',
    overflowY: 'auto',
};
//# sourceMappingURL=Dialog.stories.args.js.map