"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Controlled = exports.SheetWithHeaderAndFooter = exports.SheetMode = exports.ScrimColors = exports.StickyFooter = exports.StickyHeader = exports.OverflowContent = exports.OverflowOutsideContainer = exports.OverflowModal = exports.FullWidthImage = exports.WithTooltip = exports.WithHeaderContentProps = exports.WithHeaderContent = exports.WithHeaderText = exports.WithHug = exports.Playground = void 0;
const testing_library_1 = require("@storybook/testing-library");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Breadcrumbs_1 = require("../Breadcrumbs/Breadcrumbs");
const Button_1 = require("../Button/Button");
const Grid_1 = require("../Grid/Grid");
const Text_1 = require("../Text/Text");
const Dialog_1 = require("./Dialog");
const Dialog_stories_args_1 = require("./Dialog.stories.args");
const Flex_1 = require("../Flex/Flex");
const Tooltip_1 = require("../Tooltip/Tooltip");
const exampleHeaderProps = {
    headerContent: 'Hello World',
    headerIcon: react_1.default.createElement(pcln_icons_1.Discount, null),
    headerShowCloseButton: true,
};
const exampleFooterProps = {
    footerContent: react_1.default.createElement(Button_1.Button, { borderRadius: 'lg' }, "Done"),
};
exports.Playground = {
    render: (args) => (react_1.default.createElement(Box_1.Box, { height: '1000px' },
        react_1.default.createElement(Dialog_1.Dialog, { ...args, headerIcon: args.headerIcon && exampleHeaderProps.headerIcon }))),
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        const openButton = canvas.getByText('Open Dialog');
        await testing_library_1.userEvent.click(openButton);
    },
};
exports.WithHug = {
    ...exports.Playground,
    args: {
        hugColor: 'primary.base',
    },
};
exports.WithHeaderText = {
    ...exports.Playground,
    args: {
        showCloseButton: false,
        ...exampleHeaderProps,
    },
};
exports.WithHeaderContent = {
    ...exports.Playground,
    args: {
        showCloseButton: false,
        headerContent: (react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' },
            react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Home' }),
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Flights' }),
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Settings' })))),
        headerColorScheme: 'neutralDarkOnLightest',
        headerShowCloseButton: true,
    },
};
exports.WithHeaderContentProps = {
    ...exports.Playground,
    args: {
        headerContent: (react_1.default.createElement(Flex_1.Flex, { justifyContent: 'space-between' },
            react_1.default.createElement(Box_1.Box, { width: 40 }),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' },
                react_1.default.createElement(Breadcrumbs_1.Breadcrumbs, null,
                    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Home' }),
                    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Flights' }),
                    react_1.default.createElement(Breadcrumbs_1.Breadcrumbs.Link, { href: 'javascript:void(0)', label: 'Settings' }))),
            react_1.default.createElement(Box_1.Box, { width: 40 }))),
        headerContentProps: { px: 2, py: 2, templateColumns: '1fr' },
        headerColorScheme: 'neutralDarkOnLightest',
    },
};
exports.WithTooltip = {
    ...exports.Playground,
    args: {
        children: (react_1.default.createElement(Box_1.Box, { width: 400, p: 2, my: 2, height: 200 },
            react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, center: true, color: 'primary' }, "top center tooltip")))
    }
};
const ExampleImage = () => (react_1.default.createElement("img", { src: 'https://s1.pclncdn.com/design-assets/hero/beach.jpg?opto&optimize=medium&auto=jpg&width=600&height=450&fit=crop', alt: 'an example', style: { width: '100%', display: 'block' } }));
exports.FullWidthImage = {
    ...exports.Playground,
    args: {
        children: (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(ExampleImage, null),
            react_1.default.createElement(Grid_1.Grid, { p: 24, gap: 3 },
                react_1.default.createElement(Text_1.Text, { textStyle: 'heading1' }, "Dialog Heading"),
                react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "Lorem ipsum dolor sit, amet consectetur adipisicing elit. Totam possimus quia voluptatem minima voluptatum dolor rem cumque odio ab accusantium deleniti vero voluptas odit numquam fugit non eveniet, sunt natus!")))),
    },
};
const ExampleOverflowingContent = (props) => (react_1.default.createElement(Grid_1.Grid, { p: 24, gap: 5, ...props }, [...Array(5).keys()].map((i) => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Text_1.Text, { textStyle: 'heading4' },
        i + 1,
        ". Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic!"),
    react_1.default.createElement(ExampleImage, null))))));
const ExampleOverflowingAbsolute = (props) => {
    const [showText, setShowText] = react_1.default.useState(false);
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Grid_1.Grid, { p: 24, gap: 5, ...props },
            react_1.default.createElement(Button_1.Button, { onClick: () => setShowText(!showText) }, "Show text overflow")),
        showText && (react_1.default.createElement(Text_1.Text, { style: { overflow: 'visible', position: 'absolute' } }, "Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic! Lorem ipsum, dolor sit amet consectetur adipisicing elit. Ex quas voluptas, vel id doloribus delectus deleniti minus eius ullam vero dolorum laboriosam dolor cupiditate sequi quia itaque corrupti quaerat hic!"))));
};
exports.OverflowModal = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingContent, { overflow: 'auto' }),
    },
};
exports.OverflowOutsideContainer = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingAbsolute, { overflow: 'visible' }),
        overflowX: 'visible',
        overflowY: 'visible',
    },
};
exports.OverflowContent = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingContent, { overflow: 'auto', maxHeight: 'calc(100vh - 2 * 96px)' }),
        showScrollShadow: true,
    },
};
exports.StickyHeader = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingContent, { overflow: 'auto', maxHeight: 500 }),
        ...exampleHeaderProps,
        headerShowCloseButton: false,
        showScrollShadow: true,
    },
};
exports.StickyFooter = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingContent, { overflow: 'auto', maxHeight: 500 }),
        ...exampleHeaderProps,
        ...exampleFooterProps,
        headerShowCloseButton: false,
        showScrollShadow: true,
    },
};
exports.ScrimColors = {
    render: (args) => {
        const [scrimColor, setScrimColor] = (0, react_1.useState)('dark');
        return (react_1.default.createElement(Dialog_1.Dialog, { ...args, headerIcon: args.headerIcon && exampleHeaderProps.headerIcon, scrimColor: scrimColor },
            react_1.default.createElement(Grid_1.Grid, { p: 4, gap: 4 },
                react_1.default.createElement(Text_1.Text, { textStyle: 'heading3', textAlign: 'center' }, "Set Scrim Color:"),
                react_1.default.createElement(Grid_1.Grid, { gap: 4, templateColumns: '1fr 1fr' },
                    react_1.default.createElement(Button_1.Button, { onClick: () => setScrimColor('dark') }, "Dark"),
                    react_1.default.createElement(Button_1.Button, { onClick: () => setScrimColor('medium') }, "Medium"),
                    react_1.default.createElement(Button_1.Button, { onClick: () => setScrimColor('light') }, "Light"),
                    react_1.default.createElement(Button_1.Button, { onClick: () => setScrimColor('rgba(0, 0, 0, 0.5)') }, "rgba(0, 0, 0, 0.5)")))));
    },
};
// export const WithShadowOnScroll: DialogStory = {
//   ...Playground,
//   args: {
//     children: (
//       <ExampleOverflowingContent
//         overflow='auto'
//         maxHeight={500}
//         background={`
//           linear-gradient(#ffffff 33%, rgba(255,255,255, 0)),
//           linear-gradient(rgba(255,255,255, 0), #ffffff 66%) 0 100%,
//           radial-gradient(farthest-side at 50% 0, rgba(40,40,40, 0.5), rgba(0,0,0,0)),
//           radial-gradient(farthest-side at 50% 100%, rgba(40,40,40, 0.5), rgba(0,0,0,0)) 0 100%,
//           linear-gradient(rgba(0,0,0,.15), rgba(0,0,0,.15))
//         `}
//         backgroundRepeat='no-repeat'
//         backgroundSize='100% 40px, 100% 40px, 100% 16px, 100% 16px, 100% 1px'
//         style={{ backgroundAttachment: 'local, local, scroll, scroll, scroll' }}
//       />
//     ),
//     ...exampleHeaderProps,
//     headerShowCloseButton: false,
//   },
// }
exports.SheetMode = {
    ...exports.Playground,
    args: {
        sheet: true,
        size: 'full',
    },
};
exports.SheetWithHeaderAndFooter = {
    ...exports.Playground,
    args: {
        children: react_1.default.createElement(ExampleOverflowingContent, null),
        ...exports.SheetMode.args,
        ...exampleHeaderProps,
        ...exampleFooterProps,
        showScrollShadow: true,
    },
};
exports.Controlled = {
    render: (args) => {
        const [open, setOpen] = (0, react_1.useState)(false);
        return (react_1.default.createElement(Dialog_1.Dialog, { ...args, triggerNode: react_1.default.createElement(Button_1.Button, { onClick: () => setOpen(true) },
                "Click to open. Modal is ",
                open ? 'open' : 'closed'), open: open, onOpenChange: setOpen, ...exampleHeaderProps },
            react_1.default.createElement(Grid_1.Grid, { p: 3, gap: 3 },
                react_1.default.createElement(Box_1.Box, null, "Dialog Content"),
                react_1.default.createElement(Grid_1.Grid, { placeItems: 'end', autoFlow: 'column' },
                    react_1.default.createElement(Button_1.Button, { onClick: () => setOpen(false) }, "Close")))));
    },
};
const meta = {
    title: 'Overlays/Dialog',
    component: Dialog_1.Dialog,
    args: Dialog_stories_args_1.defaultArgs,
    argTypes: Dialog_stories_args_1.argTypes,
};
exports.default = meta;
//# sourceMappingURL=Dialog.stories.js.map