"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Divider = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.Divider = styled_components_1.default.hr.attrs(({ mx, ml, mr }) => ({
    ml: mx ? null : ml,
    mr: mx ? null : mr,
})) `
  border: 0;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-color: ${(props) => (0, utils_1.getPaletteColor)(props.borderColor || props.color, 'base')(props)};
  background-color: ${(props) => (0, utils_1.getPaletteColor)(props.borderColor || props.color, 'base')(props)};
  ${(0, utils_1.applyVariations)('Divider')}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.width)(props)}
`;
exports.Divider.displayName = 'Divider';
exports.Divider.defaultProps = {
    color: 'border',
    ml: 0,
    mr: 0,
};
//# sourceMappingURL=Divider.js.map