"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InsideColumnFlex = exports.DirectionalMargin = exports.BorderColor = exports.VWWidth = exports.PixelWidth = exports.Width = exports.Margin = exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Divider_1 = require("../Divider/Divider");
const Flex_1 = require("../Flex/Flex");
const description = 'Horizontal rule with settings for padding, margin, width, and borderColor';
const ColumnFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  flex-direction: column;
`;
exports.default = {
    title: 'Divider',
    component: Divider_1.Divider,
    parameters: {
        docs: {
            description: {
                component: description,
            },
        },
    },
};
const Default = () => react_1.default.createElement(Divider_1.Divider, null);
exports.Default = Default;
const Margin = () => react_1.default.createElement(Divider_1.Divider, { m: 3 });
exports.Margin = Margin;
const Width = () => react_1.default.createElement(Divider_1.Divider, { p: 3, width: 1 / 2 });
exports.Width = Width;
const PixelWidth = () => react_1.default.createElement(Divider_1.Divider, { width: '256px' });
exports.PixelWidth = PixelWidth;
const VWWidth = () => react_1.default.createElement(Divider_1.Divider, { width: '50vw' });
exports.VWWidth = VWWidth;
const BorderColor = () => react_1.default.createElement(Divider_1.Divider, { m: 3, borderColor: 'blue' });
exports.BorderColor = BorderColor;
const DirectionalMargin = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(Divider_1.Divider, { mt: 3 }),
    react_1.default.createElement(Divider_1.Divider, { mr: 3 }),
    react_1.default.createElement(Divider_1.Divider, { mb: 3 }),
    react_1.default.createElement(Divider_1.Divider, { ml: 3 }),
    react_1.default.createElement(Divider_1.Divider, { mx: 3 }),
    react_1.default.createElement(Divider_1.Divider, { my: 3 })));
exports.DirectionalMargin = DirectionalMargin;
const InsideColumnFlex = () => (react_1.default.createElement(ColumnFlex, null,
    react_1.default.createElement(Divider_1.Divider, null),
    react_1.default.createElement(Divider_1.Divider, { ml: 4, mr: 4 }),
    react_1.default.createElement(Divider_1.Divider, { ml: 4 }),
    react_1.default.createElement(Divider_1.Divider, { ml: 4, mr: 5 }),
    react_1.default.createElement(Divider_1.Divider, { mx: 2 })));
exports.InsideColumnFlex = InsideColumnFlex;
//# sourceMappingURL=Divider.stories.js.map