"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoDont = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
const createTheme_1 = require("../../utils/createTheme");
const theme = (0, createTheme_1.createTheme)();
const Example = ({ isDo, children, desc }) => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Box_1.Box, { p: 3, mb: 2, borderRadius: 'xl', style: {
            display: 'grid',
            placeItems: 'center',
            border: `1px solid ${theme.palette.border.base}`,
            borderTop: `5px solid ${isDo ? theme.palette.success.base : theme.palette.error.base}`,
            aspectRatio: '2.5',
        } }, children),
    react_1.default.createElement(Text_1.Text.span, null,
        react_1.default.createElement(Text_1.Text.span, { bold: true }, isDo ? 'DO ' : "DON'T "),
        desc)));
/**
 * @public
 */
const DoDont = ({ doExample, dontExample, doText, dontText }) => (react_1.default.createElement(Box_1.Box, { my: 4, style: {
        display: 'grid',
        gridAutoFlow: 'column',
        gridTemplateColumns: `repeat(2, 1fr)`,
        gap: theme.space[3],
    } },
    react_1.default.createElement(Example, { desc: doText, isDo: true }, doExample),
    react_1.default.createElement(Example, { desc: dontText }, dontExample)));
exports.DoDont = DoDont;
//# sourceMappingURL=DoDont.js.map