"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const DoDont_1 = require("./DoDont");
describe('DoDont component', () => {
    it('renders the DO and DONT example components and text', () => {
        const doExample = react_1.default.createElement("div", null, "Do Example");
        const doText = 'this';
        const dontExample = react_1.default.createElement("div", null, "Dont Example");
        const dontText = 'that';
        (0, testing_library_1.render)(react_1.default.createElement(DoDont_1.DoDont, { doExample: doExample, dontExample: dontExample, doText: doText, dontText: dontText }));
        const doButton = testing_library_1.screen.getByText('Do Example');
        const doCaps = testing_library_1.screen.getByText('DO');
        const doDescription = testing_library_1.screen.getByText('this');
        const dontButton = testing_library_1.screen.getByText('Dont Example');
        const dontCaps = testing_library_1.screen.getByText("DON'T");
        const dontDescription = testing_library_1.screen.getByText('that');
        expect(doButton).toBeInTheDocument();
        expect(doDescription).toBeInTheDocument();
        expect(doCaps).toBeInTheDocument();
        expect(dontButton).toBeInTheDocument();
        expect(dontDescription).toBeInTheDocument();
        expect(dontCaps).toBeInTheDocument();
    });
});
//# sourceMappingURL=DoDont.test.js.map