"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DocTable = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../../Box/Box");
const Text_1 = require("../../Text/Text");
const Table = styled_components_1.default.table `
  width: 100%;
  border-spacing: 0;
  border-color: ${(0, theme_get_1.themeGet)('palette.border.tint')};
`;
const Tr = styled_components_1.default.tr `
  background-color: ${(0, theme_get_1.themeGet)('palette.background.light')};
`;
/**
 * @public
 */
const DocTable = ({ data, columns, ...rest }) => {
    return (react_1.default.createElement(Box_1.Box, { my: 4, ...rest },
        react_1.default.createElement(Table, null,
            react_1.default.createElement("thead", null,
                react_1.default.createElement(Tr, null, columns.map((col, i) => (react_1.default.createElement("th", { key: i, style: { width: i === 0 ? '25%' : undefined } },
                    react_1.default.createElement(Text_1.Text, { p: 3, textAlign: 'left', style: { whiteSpace: 'nowrap' } }, col.heading)))))),
            react_1.default.createElement("tbody", null, data.map((row, i) => (react_1.default.createElement("tr", { key: i }, columns.map((col, i) => (react_1.default.createElement("td", { key: i, style: {
                    borderBottom: '1px solid',
                    borderColor: 'inherit',
                    whiteSpace: col.noWrap ? 'nowrap' : undefined,
                } },
                react_1.default.createElement(Text_1.Text, { p: 3 }, row[col.field])))))))))));
};
exports.DocTable = DocTable;
//# sourceMappingURL=DocTable.js.map