"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const DocTable_1 = require("./DocTable");
const props = {
    data: [
        { id: 1, name: 'John', age: 25 },
        { id: 2, name: 'Jane', age: 30 },
    ],
    columns: [
        { field: 'id', heading: 'ID' },
        { field: 'name', heading: 'Name', noWrap: true },
        { field: 'age', heading: 'Age' },
    ],
};
describe('DocTable', () => {
    test('renders a table with the correct data and columns', () => {
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(DocTable_1.DocTable, { ...props }));
        expect(getByText('ID')).toBeInTheDocument();
        expect(getByText('Name')).toBeInTheDocument();
        expect(getByText('Age')).toBeInTheDocument();
        expect(getByText('1')).toBeInTheDocument();
        expect(getByText('John')).toBeInTheDocument();
        expect(getByText('25')).toBeInTheDocument();
        expect(getByText('2')).toBeInTheDocument();
        expect(getByText('Jane')).toBeInTheDocument();
        expect(getByText('30')).toBeInTheDocument();
    });
    test('renders noWrap', () => {
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(DocTable_1.DocTable, { ...props }));
        expect(getByText('John').parentElement).toHaveStyle('white-space: nowrap;');
        expect(getByText('Jane').parentElement).toHaveStyle('white-space: nowrap;');
    });
});
//# sourceMappingURL=DocTable.test.js.map