"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hero = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Flex_1 = require("../../Flex/Flex");
const Image_1 = require("../../Image/Image");
const Text_1 = require("../../Text/Text");
/**
 * @public
 */
const Hero = ({ name, children, img }) => (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', flexDirection: 'row', bg: 'primary.light', borderRadius: 24, p: 4, style: { gap: 32 } },
    react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', style: { flex: '1 100%', gap: 8 } },
        react_1.default.createElement(Text_1.Text, { textStyle: 'title3', color: 'text.heading' }, name),
        react_1.default.createElement(Text_1.Text, null, children)),
    react_1.default.createElement(Box_1.Box, { bg: 'primary.tint', borderRadius: 'xl', style: { flex: '1 100%' } },
        react_1.default.createElement(Image_1.Image, { src: img }))));
exports.Hero = Hero;
//# sourceMappingURL=Hero.js.map