"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const Hero_1 = require("./Hero");
describe('Hero', () => {
    const heroName = 'Test Hero';
    const heroDescription = 'This is a test hero.';
    const heroImage = 'https://example.com/test-hero.jpg';
    it('renders hero name and description', () => {
        (0, testing_library_1.render)(react_1.default.createElement(Hero_1.Hero, { name: heroName, img: heroImage }, heroDescription));
        const heroNameElement = testing_library_1.screen.getByText(heroName);
        const heroDescriptionElement = testing_library_1.screen.getByText(heroDescription);
        expect(heroNameElement).toBeInTheDocument();
        expect(heroDescriptionElement).toBeInTheDocument();
    });
    it('renders hero image', () => {
        (0, testing_library_1.render)(react_1.default.createElement(Hero_1.Hero, { name: heroName, img: heroImage }, heroDescription));
        const heroImageElement = testing_library_1.screen.getByRole('img');
        expect(heroImageElement).toBeInTheDocument();
        expect(heroImageElement.getAttribute('src')).toBe(heroImage);
    });
});
//# sourceMappingURL=Hero.test.js.map