"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const RelatedComponent_1 = require("./RelatedComponent");
describe('RelatedComponent', () => {
    const name = 'Component Name';
    const desc = 'Component description';
    it('renders component name and description', () => {
        (0, testing_library_1.render)(react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: name, desc: desc }, "Test"));
        expect(testing_library_1.screen.getByText(name)).toBeInTheDocument();
        expect(testing_library_1.screen.getByText(desc)).toBeInTheDocument();
    });
    it('calls linkToStory function on click', () => {
        (0, testing_library_1.render)(react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: name }, "Test"));
        const componentBox = testing_library_1.screen.getByText(name).parentElement;
        testing_library_1.fireEvent.click(componentBox);
        expect(componentBox).toBeInTheDocument();
    });
});
describe('RelatedComponentContainer', () => {
    it('renders child components', () => {
        (0, testing_library_1.render)(react_1.default.createElement(RelatedComponent_1.RelatedComponentContainer, null,
            react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'Component 1' }, "Test"),
            react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'Component 2' }, "Test"),
            react_1.default.createElement(RelatedComponent_1.RelatedComponent, { name: 'Component 3' }, "Test")));
        expect(testing_library_1.screen.getByText('Component 1')).toBeInTheDocument();
        expect(testing_library_1.screen.getByText('Component 2')).toBeInTheDocument();
        expect(testing_library_1.screen.getByText('Component 3')).toBeInTheDocument();
    });
});
//# sourceMappingURL=RelatedComponent.test.js.map