"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const Section_1 = require("./Section");
describe('Section component', () => {
    it('should render with the correct heading and children', () => {
        const heading = 'Section Title';
        const childText = 'Lorem ipsum dolor sit amet';
        (0, testing_library_1.render)(react_1.default.createElement(Section_1.Section, { heading: heading }, childText));
        const sectionHeading = document.getElementById('section-title');
        const sectionContent = testing_library_1.screen.getByText(childText);
        expect(sectionHeading.parentElement).toContainElement(sectionContent);
        expect(sectionHeading).toHaveTextContent(heading);
    });
});
//# sourceMappingURL=Section.test.js.map