"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../../__test__/testing-library");
const StoryStage_1 = require("./StoryStage");
const content = 'This is some content';
describe('StoryStage component', () => {
    it('should render children with margin', () => {
        const dataTestId = 'stage-item';
        (0, testing_library_1.render)(react_1.default.createElement(StoryStage_1.StoryStage, null,
            react_1.default.createElement("div", { "data-testid": dataTestId }, content)));
        const stageItem = testing_library_1.screen.getByTestId(dataTestId);
        expect(stageItem).toHaveTextContent(content);
        expect(stageItem).toHaveStyle('margin: 16px');
    });
    it('should pass additional props to the Box component', () => {
        const dataTestId = 'stage';
        (0, testing_library_1.render)(react_1.default.createElement(StoryStage_1.StoryStage, { "data-testid": dataTestId }, content));
        const stage = testing_library_1.screen.getByTestId(dataTestId);
        expect(stage).toBeInTheDocument();
    });
});
//# sourceMappingURL=StoryStage.test.js.map