"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableOfContents = void 0;
const kebabCase_1 = __importDefault(require("lodash/kebabCase"));
const react_1 = __importDefault(require("react"));
const Box_1 = require("../../Box/Box");
const Link_1 = require("../../Link/Link");
const scrollTo = (id) => document.getElementById(id)?.scrollIntoView({ behavior: 'smooth' });
/**
 * @public
 */
const TableOfContents = ({ links }) => (react_1.default.createElement(Box_1.Box, { my: 5 },
    react_1.default.createElement("ul", null, links.map((link) => {
        const id = (0, kebabCase_1.default)(link);
        return (react_1.default.createElement(Link_1.Link, { key: id, onClick: () => scrollTo(id) },
            react_1.default.createElement("li", null, link)));
    }))));
exports.TableOfContents = TableOfContents;
//# sourceMappingURL=TableOfContents.js.map