"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getStoryCode = exports.getStoryId = exports.copy = void 0;
const kebabCase_1 = __importDefault(require("lodash/kebabCase"));
const react_element_to_jsx_string_1 = __importDefault(require("react-element-to-jsx-string"));
const copy = async (value) => navigator.clipboard.writeText(value);
exports.copy = copy;
const getStoryId = (storyName, storyTitle) => `story--${(0, kebabCase_1.default)(storyTitle)}--${(0, kebabCase_1.default)(storyName)}`;
exports.getStoryId = getStoryId;
const getStoryCode = (story) => {
    const code = typeof story === 'function' ? story(story.args, null) : story.render(story.args, null);
    return (0, react_element_to_jsx_string_1.default)(code, { showDefaultProps: false });
};
exports.getStoryCode = getStoryCode;
//# sourceMappingURL=utils.js.map