"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DotLoader = exports.dotLoaderSpeeds = exports.dotLoaderSizes = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.dotLoaderSizes = {
    small: (0, styled_components_1.css) `
    height: 18px;

    & > * {
      width: 8px;
      height: 8px;
    }

    & > :not(:last-child) {
      margin-right: ${(0, theme_get_1.default)('space.3')}px;
    }
  `,
    medium: (0, styled_components_1.css) `
    height: 21px;

    & > * {
      width: 12px;
      height: 12px;
    }

    & > :not(:last-child) {
      margin-right: ${(0, theme_get_1.default)('space.4')}px;
    }
  `,
    large: (0, styled_components_1.css) `
    height: 24px;

    & > * {
      width: 16px;
      height: 16px;
    }

    & > :not(:last-child) {
      margin-right: ${(0, theme_get_1.default)('space.4')}px;
    }
  `,
};
/**
 * @public
 */
exports.dotLoaderSpeeds = {
    slow: 2.5,
    medium: 2,
    fast: 1,
};
const getDelay = (duration, pos = 0) => {
    return `${(duration / 6) * pos}s;`;
};
const animation = (0, styled_components_1.keyframes) `
  0%, 20%, 100% {
    transform: translateY(50%) scale(0);
  }
  50% {
    transform: translateY(-50%) scale(1);
  }
`;
const Container = (0, styled_components_1.default)(Flex_1.Flex) `
  justify-content: center;
  align-items: center;

  ${(0, utils_1.applySizes)(exports.dotLoaderSizes, null)};
`;
const Dot = (0, styled_components_1.default)(Box_1.Box) `
  border-radius: 50%;
  transform: scale(0);
  transform-origin: center;
  animation: ${animation} ${(props) => props.duration}s ease infinite;
  animation-delay: ${(props) => getDelay(props.duration, props.pos)}s;
`;
/**
 * @public
 */
function DotLoader({ color, size, speed, ...props }) {
    const duration = exports.dotLoaderSpeeds[speed];
    return (react_1.default.createElement(Container, { size: size, ...props },
        react_1.default.createElement(Dot, { color: color, duration: duration }),
        react_1.default.createElement(Dot, { color: color, duration: duration, pos: 1 }),
        react_1.default.createElement(Dot, { color: color, duration: duration, pos: 2 })));
}
exports.DotLoader = DotLoader;
DotLoader.defaultProps = {
    color: 'primary',
    size: 'medium',
    speed: 'medium',
};
//# sourceMappingURL=DotLoader.js.map