"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = exports.speed = exports.sizes = void 0;
const args_1 = require("../storybook/args");
exports.sizes = ['small', 'medium', 'large'];
exports.speed = ['slow', 'medium', 'fast'];
exports.defaultArgs = {
    size: 'medium',
    speed: 'medium',
    color: 'background',
};
exports.argTypes = {
    size: {
        name: 'size',
        type: { name: 'string', required: false },
        description: 'Size to render.\nAccepts string or a number.',
        table: {
            type: {
                summary: 'Sizes',
                detail: '- ' + exports.sizes.join('\n- '),
            },
            defaultValue: { summary: 'medium' },
        },
        control: {
            type: 'select',
            options: exports.sizes,
        },
    },
    speed: {
        name: 'speed',
        type: { name: 'string', required: false },
        description: 'Speed to render.\nAccepts string or a number.',
        table: {
            type: {
                summary: 'Speeds',
                detail: '- ' + exports.speed.join('\n- '),
            },
            defaultValue: { summary: 'medium' },
        },
        control: {
            type: 'select',
            options: exports.speed,
        },
    },
    color: {
        name: 'color',
        type: { name: 'string', required: false },
        description: 'Palette color to use',
        table: {
            type: {
                summary: 'Colors',
                detail: '- ' + args_1.colors.join('\n- '),
            },
            defaultValue: { summary: 'background' },
        },
        control: {
            type: 'select',
            options: args_1.colors,
        },
    },
};
//# sourceMappingURL=DotLoader.stories.args.js.map