"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithContentOverflow = exports.WithCollapseButton = exports.WithCloseButton = exports.WithCustomHeaderAndContent = exports.WithNoHeader = exports.Mobile = exports.Anchored = exports.Right = exports.Left = exports.Bottom = exports.Top = void 0;
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const pcln_icons_1 = require("pcln-icons");
const Drawer_1 = require("./Drawer");
const react_1 = __importStar(require("react"));
const Text_1 = require("../Text/Text");
const Stamp_1 = require("../Stamp/Stamp");
const ChatMessageContainer_1 = require("../ChatMessageContainer/ChatMessageContainer");
function DrawerStory(props) {
    const [isOpen, setIsOpen] = (0, react_1.useState)(true);
    const [isCollapsed, setIsCollapsed] = (0, react_1.useState)(false);
    const { includeCloseButton = true, includeCollapseButton = true } = props;
    return (react_1.default.createElement(Box_1.Box, { height: '50vh', p: 0 },
        react_1.default.createElement(Drawer_1.Drawer, { heading: 'Header', isOpen: isOpen, isCollapsed: isCollapsed, onClose: includeCloseButton ? () => setIsOpen(false) : undefined, onCollapse: includeCollapseButton ? () => setIsCollapsed((isCollapsed) => !isCollapsed) : undefined, ...props }, props.children)));
}
const CustomPennyHeader = (react_1.default.createElement(Flex_1.Flex, { width: '100%', alignItems: 'center' },
    react_1.default.createElement(Text_1.Text, { color: 'text.heading', textStyle: 'heading5' },
        "Penny",
        react_1.default.createElement(pcln_icons_1.Sparkle, { color: 'promoPrimary', size: '16px' })),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'primary', mx: 2 }, "Beta")));
const CustomPennyContent = (react_1.default.createElement(ChatMessageContainer_1.ChatMessageContainer, { messageMaxWidth: '90%', messages: [
        {
            dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
            message: "Hi! I'm Penny, your virtual travel assistant!",
            variation: 'initial',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
            message: 'I see that you are interested in booking the Hilton Hawaiian Village for 3 nights from Mon, Apr 10, 2023, to Thu, Apr 13, 2023. The total cost for this stay is $796.68, with a total tax and fee of $111.57. There is an additional fee of $130.83 for facilities when you check-in. This hotel features free WiFi and is located in the Waikiki Beach Marina area. The room has 1 king bed and is rated 4 stars.',
            variation: 'incoming',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:34:12 GMT-0500',
            message: 'Is this hotel in a good location?',
            variation: 'outgoing',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:34:30 GMT-0500',
            message: "Yes, the Hilton Hawaiian Village is located in a fantastic area, specifically in the Waikiki Beach Marina - Ala Moana neighborhood. This location is renowned for its beautiful beaches, vibrant nightlife, and a wide variety of shopping and dining options. It's a great spot if you're looking to experience the best of Honolulu. If you have any other questions or if you're ready to book, feel free to ask!",
            variation: 'incoming',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
            message: "Hi! I'm Penny, your virtual travel assistant!",
            variation: 'initial',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:33:52 GMT-0500',
            message: 'I see that you are interested in booking the Hilton Hawaiian Village for 3 nights from Mon, Apr 10, 2023, to Thu, Apr 13, 2023. The total cost for this stay is $796.68, with a total tax and fee of $111.57. There is an additional fee of $130.83 for facilities when you check-in. This hotel features free WiFi and is located in the Waikiki Beach Marina area. The room has 1 king bed and is rated 4 stars.',
            variation: 'incoming',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:34:12 GMT-0500',
            message: 'Is this hotel in a good location?',
            variation: 'outgoing',
        },
        {
            dateTime: 'Wed Jul 11 2023 11:34:30 GMT-0500',
            message: "Yes, the Hilton Hawaiian Village is located in a fantastic area, specifically in the Waikiki Beach Marina - Ala Moana neighborhood. This location is renowned for its beautiful beaches, vibrant nightlife, and a wide variety of shopping and dining options. It's a great spot if you're looking to experience the best of Honolulu. If you have any other questions or if you're ready to book, feel free to ask!",
            variation: 'incoming',
        },
    ] }));
exports.default = {
    title: 'Drawer',
    component: Drawer_1.Drawer,
    args: {
        width: '50%',
        height: '100%',
        placement: 'right',
        isFloating: true,
    },
    argTypes: {
        placement: {
            options: ['top', 'right', 'bottom', 'left'],
            control: { type: 'select' },
            description: 'moves the drawer to the specified position',
        },
        isFloating: {
            description: 'set to false to anchor the drawer to a specific side',
        },
    },
};
const Top = (args) => (react_1.default.createElement(DrawerStory, { ...args, height: '50%', width: '100%', placement: 'top' }, "Drawer Content"));
exports.Top = Top;
const Bottom = (args) => (react_1.default.createElement(DrawerStory, { ...args, height: '50%', width: '100%', placement: 'bottom' }, "Drawer Content"));
exports.Bottom = Bottom;
const Left = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'left' }, "Drawer Content"));
exports.Left = Left;
const Right = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'right' }, "Drawer Content"));
exports.Right = Right;
const Anchored = (args) => (react_1.default.createElement(DrawerStory, { ...args, isFloating: false, placement: 'right' }, "Drawer Content"));
exports.Anchored = Anchored;
const Mobile = (args) => (react_1.default.createElement(DrawerStory, { ...args, isMobile: true, isFloating: false, placement: 'right' }, "Drawer Content"));
exports.Mobile = Mobile;
const WithNoHeader = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'right', heading: undefined, includeCloseButton: false, includeCollapseButton: false }, CustomPennyContent));
exports.WithNoHeader = WithNoHeader;
const WithCustomHeaderAndContent = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'right', heading: CustomPennyHeader }, CustomPennyContent));
exports.WithCustomHeaderAndContent = WithCustomHeaderAndContent;
const WithCloseButton = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'right', onCollapse: undefined, includeCollapseButton: false }, "Drawer Content"));
exports.WithCloseButton = WithCloseButton;
const WithCollapseButton = (args) => (react_1.default.createElement(DrawerStory, { ...args, placement: 'right', includeCloseButton: false }, "Drawer Content"));
exports.WithCollapseButton = WithCollapseButton;
const WithContentOverflow = (args) => (react_1.default.createElement(DrawerStory, { ...args, height: '50vh', placement: 'right' }, CustomPennyContent));
exports.WithContentOverflow = WithContentOverflow;
//# sourceMappingURL=Drawer.stories.js.map