"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const theme_1 = require("../theme/theme");
const Flag_1 = require("./Flag");
describe('Flag', () => {
    let consoleError;
    beforeEach(() => {
        consoleError = console.error;
        console.error = jest.fn();
    });
    afterEach(() => (console.error = consoleError));
    test('renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Flag_1.Flag, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('renders with width prop', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Flag_1.Flag, { width: 256 })).toJSON();
        expect(json).toMatchSnapshot();
        expect(json).toHaveStyleRule('width', '256px');
    });
    test('renders with theme color as bg color', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Flag_1.Flag, { width: 256, bg: 'purple' })).toJSON();
        expect(json).toMatchSnapshot();
        expect(json.children[1]).toHaveStyleRule('background-color', theme_1.theme.colors.purple);
    });
});
//# sourceMappingURL=Flag.spec.js.map