"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flex = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.Flex = (0, styled_components_1.default)(Box_1.Box).attrs(({ wrap, align, justify, ...props }) => ({
    flexWrap: wrap ? 'wrap' : undefined,
    alignItems: align,
    justifyContent: justify,
    ...props,
})) `
  display: flex;
  ${(0, utils_1.applyVariations)('Flex')}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.alignItems, styled_system_1.justifyContent, styled_system_1.flexDirection, styled_system_1.flexWrap)(props)}
`;
//# sourceMappingURL=Flex.js.map