"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Flex_1 = require("./Flex");
describe('Flex', () => {
    test('renders', () => {
        const flex = rendererCreateWithTheme(react_1.default.createElement(Flex_1.Flex, null)).toJSON();
        expect(flex).toMatchSnapshot();
    });
    test('alignItems prop', () => {
        const flex = rendererCreateWithTheme(react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('align-items', 'center');
    });
    test('justifyContent prop', () => {
        const flex = rendererCreateWithTheme(react_1.default.createElement(Flex_1.Flex, { justifyContent: 'space-between' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('justify-content', 'space-between');
    });
    test('flexWrap prop', () => {
        const flex = rendererCreateWithTheme(react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('flex-wrap', 'wrap');
    });
});
//# sourceMappingURL=Flex.spec.js.map