"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloatingActionButton = void 0;
const react_1 = __importStar(require("react"));
const Absolute_1 = require("../Absolute/Absolute");
const Animate_1 = require("../Animate/Animate");
const Box_1 = require("../Box/Box");
const Tooltip_1 = require("../Tooltip/Tooltip");
const FloatingActionButton_styled_1 = require("./FloatingActionButton.styled");
const constants_1 = require("./constants");
/**
 * @public
 */
function FloatingActionButton({ hasNotification, icon, tooltip, onClick, isAbsolutePosition = true, toolAlignment = 'center', ...props }) {
    const [isTooltipOpen, setTooltipOpen] = (0, react_1.useState)(false);
    const Wrapper = isAbsolutePosition ? Absolute_1.Absolute : Box_1.Box;
    function onMouseOver() {
        setTooltipOpen(true);
    }
    function onMouseOut() {
        setTooltipOpen(false);
    }
    return (react_1.default.createElement(Wrapper, { ...props, onMouseOver: onMouseOver, onMouseOut: onMouseOut },
        hasNotification && (react_1.default.createElement(Absolute_1.Absolute, { top: 0, right: 0 },
            react_1.default.createElement(Animate_1.Animate, { variant: 'pulse' },
                react_1.default.createElement(FloatingActionButton_styled_1.NotificationDot, { borderRadius: 'full', color: 'error', width: '16px', height: '16px' })))),
        isTooltipOpen && (react_1.default.createElement(Tooltip_1.Tooltip, { color: 'text.base', top: true, ...constants_1.TOOLTIP_ALIGNMENT[toolAlignment], bottom: '-2px', p: 1 },
            react_1.default.createElement(Box_1.Box, { width: '110px' }, tooltip))),
        react_1.default.createElement(FloatingActionButton_styled_1.StyledButton, { borderRadius: 'full', boxShadowSize: 'overlay-md', size: 'extraLarge', IconLeft: icon, onClick: onClick })));
}
exports.FloatingActionButton = FloatingActionButton;
//# sourceMappingURL=FloatingActionButton.js.map