"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomRight = exports.WithCarsIcon = exports.WithNotification = exports._FloatingActionButton = void 0;
const jest_1 = require("@storybook/jest");
const testing_library_1 = require("@storybook/testing-library");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Relative_1 = require("../Relative/Relative");
const FloatingActionButton_1 = require("./FloatingActionButton");
exports.default = {
    title: 'FloatingActionButton',
    component: FloatingActionButton_1.FloatingActionButton,
    args: {
        hasNotification: false,
        icon: pcln_icons_1.Chat,
        tooltip: 'Tooltip text',
    },
    argTypes: {
        onClick: { action: true },
    },
    decorators: [
        (Story) => (react_1.default.createElement(Relative_1.Relative, { width: '100%', height: '25vh' },
            react_1.default.createElement(Story, null))),
    ],
};
exports._FloatingActionButton = {
    play: async ({ args, canvasElement }) => {
        const canvas = (0, testing_library_1.within)(canvasElement);
        await testing_library_1.userEvent.click(canvas.getByRole('button'));
        await (0, jest_1.expect)(args.onClick).toHaveBeenCalled();
    },
    render: (args) => react_1.default.createElement(FloatingActionButton_1.FloatingActionButton, { ...args }),
};
exports.WithNotification = {
    render: (args) => react_1.default.createElement(FloatingActionButton_1.FloatingActionButton, { ...args, hasNotification: true }),
};
exports.WithCarsIcon = {
    render: (args) => react_1.default.createElement(FloatingActionButton_1.FloatingActionButton, { ...args, icon: pcln_icons_1.Cars }),
};
exports.BottomRight = {
    render: (args) => (react_1.default.createElement(Relative_1.Relative, { width: '100%', height: '10vh' },
        react_1.default.createElement(FloatingActionButton_1.FloatingActionButton, { ...args, bottom: 0, right: 0 }))),
};
//# sourceMappingURL=FloatingActionButton.stories.js.map