"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloatingActionButtonProvider = void 0;
const react_1 = __importDefault(require("react"));
const Animate_1 = require("../Animate/Animate");
const framer_motion_1 = require("framer-motion");
const useFloatingActionButton_1 = require("./useFloatingActionButton");
const FloatingActionButton_1 = require("../FloatingActionButton/FloatingActionButton");
const FloatingActionButtonProvider_styled_1 = require("./FloatingActionButtonProvider.styled");
const constants_1 = require("./constants");
const FloatingActionButtonProvider = ({ animationVariant = 'slideInBottom', position = 'topRight', delayDisplayMs, hideUntilScrollPercent, floatingActionButtons, ...props }, ref) => {
    const { showFab } = (0, useFloatingActionButton_1.useFloatingActinButton)({
        hideUntilScrollPercent,
        delayDisplayMs,
    });
    return (react_1.default.createElement(framer_motion_1.AnimatePresence, null, !showFab ? null : (react_1.default.createElement(FloatingActionButtonProvider_styled_1.Wrapper, { positionVariant: position, ...constants_1.POSITION_STYLES[position], ...props },
        react_1.default.createElement(Animate_1.Animate, { variant: animationVariant }, floatingActionButtons.map((fab) => (react_1.default.createElement(FloatingActionButton_1.FloatingActionButton, { isAbsolutePosition: false, ...fab, key: fab.key, toolAlignment: 'right' }))))))));
};
exports.FloatingActionButtonProvider = FloatingActionButtonProvider;
//# sourceMappingURL=FloatingActionButtonProvider.js.map