"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addScrollListener = exports.delay = exports.getScrollPercentage = void 0;
const getScrollPercentage = () => (Math.round(window.scrollY) / (document.documentElement.scrollHeight - window.innerHeight)) * 100;
exports.getScrollPercentage = getScrollPercentage;
const delay = async (ms) => new Promise((resolve) => setTimeout(resolve, ms));
exports.delay = delay;
const addScrollListener = (handleScroll) => {
    window.addEventListener('scroll', handleScroll, { passive: true });
    return () => {
        window.removeEventListener('scroll', handleScroll);
    };
};
exports.addScrollListener = addScrollListener;
//# sourceMappingURL=helpers.js.map