"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useFloatingActinButton = void 0;
const react_1 = require("react");
const helpers_1 = require("./helpers");
const useFloatingActinButton = ({ hideUntilScrollPercent, delayDisplayMs }) => {
    const [showFab, setShowFab] = (0, react_1.useState)(hideUntilScrollPercent || delayDisplayMs ? false : true);
    const handleScroll = () => {
        setShowFab((0, helpers_1.getScrollPercentage)() > hideUntilScrollPercent);
    };
    (0, react_1.useEffect)(() => typeof window !== 'undefined' && hideUntilScrollPercent && (0, helpers_1.addScrollListener)(handleScroll));
    (0, react_1.useEffect)(() => {
        (0, helpers_1.delay)(delayDisplayMs)
            .then(() => {
            setShowFab(true);
        })
            .catch(() => {
            setShowFab(true);
        });
    }, [delayDisplayMs]);
    return { showFab };
};
exports.useFloatingActinButton = useFloatingActinButton;
//# sourceMappingURL=useFloatingActionButton.js.map