"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Usage = exports.WithErrorTooltip = exports.WithSuccessfulValidation = exports.WithReadOnlySelect = exports.WithDisabledSelect = exports.WithSelect = exports.IconToTheRight = exports.DynamicLabelWithValue = exports.DynamicLabel = exports.ReadOnlyInputFormField = exports.DisabledInputFormField = exports._FormField = void 0;
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Input_1 = require("../Input/Input");
const Label_1 = require("../Label/Label");
const Select_1 = require("../Select/Select");
const Tooltip_1 = require("../Tooltip/Tooltip");
const FormField_1 = require("./FormField");
const pcln_icons_1 = require("pcln-icons");
exports.default = {
    title: 'FormField',
    component: FormField_1.FormField,
    args: {
        disabled: false,
        readOnly: false,
    },
};
const Template = (args) => (react_1.default.createElement(FormField_1.FormField, { ...args },
    react_1.default.createElement(Label_1.Label, { htmlFor: 'demo' }, "Email Address"),
    react_1.default.createElement(pcln_icons_1.Email, { color: 'primary' }),
    react_1.default.createElement(Input_1.Input, { type: 'email', id: 'email', name: 'email', defaultValue: 'hello@example.com' })));
exports._FormField = Template.bind({});
exports.DisabledInputFormField = Template.bind({});
exports.DisabledInputFormField.args = { disabled: true };
exports.ReadOnlyInputFormField = Template.bind({});
exports.ReadOnlyInputFormField.args = { readOnly: true };
const DynamicLabel = () => (react_1.default.createElement(Flex_1.Flex, null,
    react_1.default.createElement(Box_1.Box, { px: 2, width: 1 / 3 },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, { autoHide: true, htmlFor: 'dynamic-label-without-a-value' }, "No value"),
            react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-without-a-value', name: 'dynamic-label-without-a-value', placeholder: 'Without a value' }))),
    react_1.default.createElement(Box_1.Box, { px: 2, width: 1 / 3 },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, { autoHide: true, htmlFor: 'dynamic-label-with-a-value' }, "With value"),
            react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-with-a-value', name: 'dynamic-label-with-a-value', value: 'hello@example.com' }))),
    react_1.default.createElement(Box_1.Box, { px: 2, width: 1 / 3 },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-without-a-label', name: 'dynamic-label-without-a-label', value: 'Value without label' })))));
exports.DynamicLabel = DynamicLabel;
const DynamicLabelWithValue = () => (react_1.default.createElement(FormField_1.FormField, null,
    react_1.default.createElement(Label_1.Label, { htmlFor: 'dynamic-label-email' }, "Email Address"),
    react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-email', name: 'dynamic-label-email', placeholder: 'hello@example.com', value: 'hello@example.com' })));
exports.DynamicLabelWithValue = DynamicLabelWithValue;
const IconToTheRight = () => (react_1.default.createElement(FormField_1.FormField, null,
    react_1.default.createElement(Label_1.Label, { htmlFor: 'dynamic-label-email-icon-right' }, "Email Address"),
    react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-email-icon-right', name: 'dynamic-label-email-icon-right', placeholder: 'hello@example.com', value: 'hello@example.com' }),
    react_1.default.createElement(pcln_icons_1.Check, { color: 'secondary' })));
exports.IconToTheRight = IconToTheRight;
const WithSelect = () => (react_1.default.createElement(FormField_1.FormField, null,
    react_1.default.createElement(Label_1.Label, { htmlFor: 'dynamic-label-state-select' }, "State"),
    react_1.default.createElement(pcln_icons_1.Pin, { color: 'primary' }),
    react_1.default.createElement(Select_1.Select, { id: 'dynamic-label-state-select', name: 'dynamic-label-state-select' },
        react_1.default.createElement("option", null, "New York"),
        react_1.default.createElement("option", null, "New Jersey"))));
exports.WithSelect = WithSelect;
const WithDisabledSelect = () => (react_1.default.createElement(FormField_1.FormField, { disabled: true },
    react_1.default.createElement(Label_1.Label, { htmlFor: 'dynamic-label-state-select' }, "State"),
    react_1.default.createElement(pcln_icons_1.Pin, { color: 'primary' }),
    react_1.default.createElement(Select_1.Select, { id: 'dynamic-label-state-select', name: 'dynamic-label-state-select' },
        react_1.default.createElement("option", null, "New York"),
        react_1.default.createElement("option", null, "New Jersey"))));
exports.WithDisabledSelect = WithDisabledSelect;
const WithReadOnlySelect = () => (react_1.default.createElement(FormField_1.FormField, { readOnly: true },
    react_1.default.createElement(Label_1.Label, { htmlFor: 'dynamic-label-state-select' }, "State"),
    react_1.default.createElement(pcln_icons_1.Pin, { color: 'primary' }),
    react_1.default.createElement(Select_1.Select, { id: 'dynamic-label-state-select', name: 'dynamic-label-state-select', defaultValue: 'New York' },
        react_1.default.createElement("option", null, "New York"),
        react_1.default.createElement("option", null, "New Jersey"))));
exports.WithReadOnlySelect = WithReadOnlySelect;
const WithSuccessfulValidation = () => (react_1.default.createElement(FormField_1.FormField, null,
    react_1.default.createElement(Label_1.Label, { htmlFor: 'valid' }, "Email Address"),
    react_1.default.createElement(Input_1.Input, { id: 'valid', name: 'valid', placeholder: 'hello@example.com', color: 'success' }),
    react_1.default.createElement(pcln_icons_1.Success, { color: 'success' })));
exports.WithSuccessfulValidation = WithSuccessfulValidation;
const WithErrorTooltip = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(FormField_1.FormField, null,
        react_1.default.createElement(Label_1.Label, { htmlFor: 'error-tooltip' }, "Email Address"),
        react_1.default.createElement(Input_1.Input, { id: 'error-tooltip', name: 'error-tooltip', placeholder: 'hello@example.com', "aria-describedby": 'demo-error', color: 'error' }),
        react_1.default.createElement(pcln_icons_1.Warning, { color: 'error' })),
    react_1.default.createElement(Tooltip_1.Tooltip, { id: 'demo-error', right: true, color: 'error' }, "Email address is required")));
exports.WithErrorTooltip = WithErrorTooltip;
const validateEmailFormat = (email) => {
    // eslint-disable-next-line @rushstack/security/no-unsafe-regexp
    const reg = new RegExp([
        '^(([^<>()[\\]\\\\.,;:\\s@"]+(\\.[^<>()[\\]\\\\.,;:\\s@"]+)*)',
        '|(".+"))@((\\[[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\.[0-9]{1,3}\\])|(([a-zA-Z\\-0-9]+\\.)',
        '+[a-zA-Z]{2,}))$',
    ].join(''));
    return reg.test(email);
};
const Usage = () => {
    const [email, setEmail] = (0, react_1.useState)('');
    const [isValidEmail, setIsValidEmail] = (0, react_1.useState)(false);
    const [isFocused, SetIsFocused] = (0, react_1.useState)(true);
    // update email address
    const updateInput = (e) => {
        const value = e.target.value;
        setEmail(value);
    };
    // handle when focus leave the field
    const handleBlur = (e) => {
        const value = e.target.value;
        setIsValidEmail(validateEmailFormat(value));
        SetIsFocused(false);
    };
    // handle when field is on focus
    const handleFocus = (e) => {
        SetIsFocused(true);
    };
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, { autoHide: true, htmlFor: 'dynamic-label-usage' }, "Email Address"),
            react_1.default.createElement(Input_1.Input, { id: 'dynamic-label-usage', name: 'dynamic-label-usage', onChange: updateInput, onBlur: handleBlur, value: email, onFocus: handleFocus, color: isFocused ? '' : isValidEmail ? 'success' : 'error', placeholder: 'Email Address' }),
            isFocused ? null : isValidEmail ? react_1.default.createElement(pcln_icons_1.Success, { color: 'success' }) : react_1.default.createElement(pcln_icons_1.Warning, { color: 'error' })),
        !isFocused && !isValidEmail ? (react_1.default.createElement(Tooltip_1.Tooltip, { id: 'demo-error', right: true, color: 'error' }, "Email address is required")) : null));
};
exports.Usage = Usage;
//# sourceMappingURL=FormField.stories.js.map