"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorScheme = exports.BannerWithURLPropsButtonStyleCta = exports.BannerWithURLPropsAndCustomHeadingSize = exports.BannerWithURLProps = exports.BannerWithURLPropsAndCta = exports.BannerWithOnClickButtonStyleCta = exports.BannerWithOnClickAndCTA = exports.BannerWithOnClick = exports.BasicBannerBlockWithURLPropsCTA = exports.BasicBannerAllInlineRightIcon = exports.BasicBannerAllInline = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const utils_1 = require("../utils");
const GenericBanner_1 = require("./GenericBanner");
const GenericBanner_stories_args_1 = require("./GenericBanner.stories.args");
exports.default = {
    title: 'GenericBanner',
    component: GenericBanner_1.GenericBanner,
    argTypes: GenericBanner_stories_args_1.argTypes,
};
const UnderlinedLinkText = (0, styled_components_1.default)(Text_1.Text) `
  text-decoration: underline;
  &:hover {
    color: ${(props) => (0, utils_1.getPaletteColor)(props.hoverColor)};
  }
`;
const Template = (args) => react_1.default.createElement(GenericBanner_1.GenericBanner, { ...args });
exports.BasicBannerAllInline = Template.bind({});
exports.BasicBannerAllInline.args = {
    p: 3,
    heading: (react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', mr: 1 }, "COVID-19")),
    text: react_1.default.createElement(Text_1.Text.span, null, "Update: Your travel may be impacted. Please review this hotels important info."),
    iconLeft: react_1.default.createElement(pcln_icons_1.Warning, null),
    color: 'caution.light',
};
const BasicBannerAllInlineRightIcon = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', color: 'secondary', mr: 1 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text.span, { textColor: 'primary.base' }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), iconRight: react_1.default.createElement(pcln_icons_1.Tea, null), color: 'primary.light' }));
exports.BasicBannerAllInlineRightIcon = BasicBannerAllInlineRightIcon;
const BasicBannerBlockWithURLPropsCTA = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text, { fontWeight: 'bold', mr: 1 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text, null, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), URLProps: {
        href: 'https://www.priceline.com',
        target: '_blank',
    }, ctaText: react_1.default.createElement(UnderlinedLinkText, { color: 'primary', fontWeight: 'bold', hoverColor: 'primary.dark' },
        ' ',
        "Read More"), iconLeft: react_1.default.createElement(pcln_icons_1.Rowing, null), color: 'secondary.light' }));
exports.BasicBannerBlockWithURLPropsCTA = BasicBannerBlockWithURLPropsCTA;
const BannerWithOnClick = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1 }, "COVID-19"), text: react_1.default.createElement(Text_1.Text.span, { textColor: 'primary.base', mr: 1 }, "Update: Your travel may be impacted. Please review this hotels important info."), buttonClick: (0, addon_actions_1.action)('clicked on the banner or the read more link-button'), iconLeft: react_1.default.createElement(pcln_icons_1.Warning, null), color: 'caution.light' }));
exports.BannerWithOnClick = BannerWithOnClick;
const BannerWithOnClickAndCTA = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1 }, "COVID-19"), text: react_1.default.createElement(Text_1.Text.span, { textColor: 'primary.base', mr: 1 }, "Update: Your travel may be impacted. Please review this hotels important info."), ctaText: react_1.default.createElement(Text_1.Text.span, { textColor: 'primary.base', fontWeight: 'bold' }, "Read More"), buttonClick: (0, addon_actions_1.action)('clicked on the banner or the read more link-button'), iconLeft: react_1.default.createElement(pcln_icons_1.Warning, null), color: 'caution.light' }));
exports.BannerWithOnClickAndCTA = BannerWithOnClickAndCTA;
const BannerWithOnClickButtonStyleCta = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { buttonVariation: 'fill', buttonSize: 'small', p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1 }, "COVID-19"), text: react_1.default.createElement(Text_1.Text.span, { mr: 1, textColor: 'primary.base' }, "Update: Your travel may be impacted. Please review this hotels important info."), ctaText: react_1.default.createElement(Text_1.Text, { textColor: 'primary', fontWeight: 'bold' }, "Read More"), buttonClick: (0, addon_actions_1.action)('clicked on the banner or the read more link-button'), iconLeft: react_1.default.createElement(pcln_icons_1.Warning, null), color: 'caution.light' }));
exports.BannerWithOnClickButtonStyleCta = BannerWithOnClickButtonStyleCta;
const BannerWithURLPropsAndCta = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text.span, { color: 'warning', mr: 1 }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), URLProps: {
        href: 'https://www.priceline.com',
        target: '_blank',
    }, ctaText: react_1.default.createElement(UnderlinedLinkText, { color: 'primary', fontWeight: 'bold', hoverColor: 'primary.dark' }, "Read More"), iconLeft: react_1.default.createElement(pcln_icons_1.Emoticon, null), color: 'alert.light' }));
exports.BannerWithURLPropsAndCta = BannerWithURLPropsAndCta;
const BannerWithURLProps = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text.span, { color: 'warning', mr: 1 }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), URLProps: {
        href: 'https://www.priceline.com',
        target: '_blank',
    }, iconLeft: react_1.default.createElement(pcln_icons_1.Emoticon, null), color: 'alert.light' }));
exports.BannerWithURLProps = BannerWithURLProps;
const BannerWithURLPropsAndCustomHeadingSize = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', textColor: 'primary.base', mr: 1, fontSize: 4 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text.span, { color: 'warning', mr: 1 }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), URLProps: {
        href: 'https://www.priceline.com',
        target: '_blank',
    }, iconLeft: react_1.default.createElement(pcln_icons_1.Emoticon, null), color: 'alert.light' }));
exports.BannerWithURLPropsAndCustomHeadingSize = BannerWithURLPropsAndCustomHeadingSize;
const BannerWithURLPropsButtonStyleCta = () => (react_1.default.createElement(GenericBanner_1.GenericBanner, { p: 2, color: 'alert.light', linkColor: 'secondary', linkVariation: 'fill', heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', mr: 1 }, "This is a Heading"), text: react_1.default.createElement(Text_1.Text.span, { color: 'warning', mr: 1 }, "This is some text. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc at lacus vel dolor fringilla rhoncus."), URLProps: {
        href: 'https://www.priceline.com',
        target: '_blank',
    }, ctaText: react_1.default.createElement(Text_1.Text, { color: 'text.lightest', fontWeight: 'bold' }, "Read More"), iconLeft: react_1.default.createElement(pcln_icons_1.Emoticon, null) }));
exports.BannerWithURLPropsButtonStyleCta = BannerWithURLPropsButtonStyleCta;
const ColorScheme = () => {
    return args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(GenericBanner_1.GenericBanner, { key: colorScheme, colorScheme: colorScheme, p: 3, m: 2, heading: react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold', mr: 1 }, colorScheme), text: react_1.default.createElement(Text_1.Text.span, null, "Update: Your travel may be impacted. Please review this hotels important info."), iconLeft: react_1.default.createElement(pcln_icons_1.Warning, null) })));
};
exports.ColorScheme = ColorScheme;
//# sourceMappingURL=GenericBanner.stories.js.map