"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Grid = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const theme_1 = require("../theme/theme");
const utils_1 = require("../utils/utils");
const GridStyleFns = (0, styled_system_1.system)({
    gap: { property: 'gridGap', scale: 'space' },
    rowGap: { property: 'gridRowGap', scale: 'space' },
    columnGap: { property: 'gridColumnGap', scale: 'space' },
    column: { property: 'gridColumn' },
    row: { property: 'gridRow' },
    area: { property: 'gridArea' },
    autoFlow: { property: 'gridAutoFlow' },
    autoRows: { property: 'gridAutoRows' },
    autoColumns: { property: 'gridAutoColumns' },
    templateRows: { property: 'gridTemplateRows' },
    templateColumns: { property: 'gridTemplateColumns' },
    templateAreas: { property: 'gridTemplateAreas' },
    placeItems: { property: 'placeItems' },
});
const StyledGrid = styled_components_1.default.div `
  ${theme_1.ComposedStyleFns}
  ${GridStyleFns}
  ${utils_1.colorScheme}
  display: grid;
`;
/**
 * @public
 */
const Grid = (props) => react_1.default.createElement(StyledGrid, { ...props });
exports.Grid = Grid;
//# sourceMappingURL=Grid.js.map