"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const theme_1 = require("../theme/theme");
const Heading_1 = require("./Heading");
describe('Heading', () => {
    test('renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    const dotNotationTestCase = 'Heading component with h1-h6 dot-notation';
    test(dotNotationTestCase, () => {
        const headingH1json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h1, null)).toJSON();
        const headingH2json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h2, null)).toJSON();
        const headingH3json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h3, null)).toJSON();
        const headingH4json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h4, null)).toJSON();
        const headingH5json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h5, null)).toJSON();
        const headingH6json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading.h6, null)).toJSON();
        expect(headingH1json).toMatchSnapshot();
        expect(headingH2json).toMatchSnapshot();
        expect(headingH3json).toMatchSnapshot();
        expect(headingH4json).toMatchSnapshot();
        expect(headingH5json).toMatchSnapshot();
        expect(headingH6json).toMatchSnapshot();
    });
    const defaultFontSizeTestCase = 'Heading component with no default font size, when "fontSize" prop not used';
    test(defaultFontSizeTestCase, () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    const usingTextPropsTestCase = 'Heading component using <Text> component properties';
    test(usingTextPropsTestCase, () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Heading_1.Heading, { textAlign: 'center', color: 'gray' })).toJSON();
        expect(json).toMatchSnapshot();
        expect(json).toHaveStyleRule('text-align', 'center');
        expect(json).toHaveStyleRule('color', theme_1.theme.colors.gray);
    });
});
//# sourceMappingURL=Heading.spec.js.map