"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.UsingTextProps = exports.WithTextShadows = exports.UsingDotNotationWithH1H6 = exports.HeadingComponent = void 0;
const react_1 = __importDefault(require("react"));
const Heading_1 = require("./Heading");
const description = 'A type of the <Text> component' +
    ' using HTML h1-h6 element for setting section headings,' +
    ' supporting all <Text> props';
exports.default = {
    title: 'Heading',
    component: Heading_1.Heading,
    parameters: {
        docs: {
            description: {
                component: description,
            },
        },
    },
};
const HeadingComponent = () => react_1.default.createElement(Heading_1.Heading, { m: 3 }, "Heading component");
exports.HeadingComponent = HeadingComponent;
const UsingDotNotationWithH1H6 = () => (react_1.default.createElement("section", null,
    react_1.default.createElement(Heading_1.Heading.h1, null, "Heading h1"),
    react_1.default.createElement(Heading_1.Heading.h2, null, "Heading h2"),
    react_1.default.createElement(Heading_1.Heading.h3, null, "Heading h3"),
    react_1.default.createElement(Heading_1.Heading.h4, null, "Heading h4"),
    react_1.default.createElement(Heading_1.Heading.h5, null, "Heading h5"),
    react_1.default.createElement(Heading_1.Heading.h6, null, "Heading h6")));
exports.UsingDotNotationWithH1H6 = UsingDotNotationWithH1H6;
const WithTextShadows = () => (react_1.default.createElement("section", null,
    react_1.default.createElement(Heading_1.Heading.h1, { enableTextShadow: true }, "Heading h1"),
    react_1.default.createElement(Heading_1.Heading.h2, { enableTextShadow: true }, "Heading h2"),
    react_1.default.createElement(Heading_1.Heading.h3, { enableTextShadow: true }, "Heading h3"),
    react_1.default.createElement(Heading_1.Heading.h4, { enableTextShadow: true }, "Heading h4"),
    react_1.default.createElement(Heading_1.Heading.h5, { enableTextShadow: true }, "Heading h5"),
    react_1.default.createElement(Heading_1.Heading.h6, { enableTextShadow: true }, "Heading h6")));
exports.WithTextShadows = WithTextShadows;
const UsingTextProps = () => (react_1.default.createElement("section", null,
    react_1.default.createElement(Heading_1.Heading, { textAlign: 'left', bold: true, fontSize: 6, color: 'green' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading, { textAlign: 'center', medium: true, fontSize: 5, color: 'blue' }, "Heading Center"),
    react_1.default.createElement(Heading_1.Heading, { textAlign: 'right', regular: true, fontSize: 4, color: 'orange' }, "Heading Right")));
exports.UsingTextProps = UsingTextProps;
const ColorSchemes = () => (react_1.default.createElement("section", null,
    react_1.default.createElement(Heading_1.Heading.h1, { colorScheme: 'primary' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h2, { colorScheme: 'secondaryLight' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h3, { colorScheme: 'cautionLight' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h4, { colorScheme: 'heading' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h4, { colorScheme: 'headingBase' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h5, { colorScheme: 'headingLight' }, "Heading Left"),
    react_1.default.createElement(Heading_1.Heading.h6, { colorScheme: 'headingOnPrimaryLight' }, "Heading Left")));
exports.ColorSchemes = ColorSchemes;
//# sourceMappingURL=Heading.stories.js.map