"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hug = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text/Text");
const Hug_styled_1 = require("./Hug.styled");
/**
 * @public
 */
function Hug({ bg, color = 'text.lightest', p, fontSize, icon, iconDisplay, colorScheme, ...props }) {
    let iconClone;
    if (react_1.default.isValidElement(icon)) {
        iconClone = react_1.default.cloneElement(icon, {
            style: { display: iconDisplay },
            mr: 2,
            mt: '-2px',
            mb: '2px',
            size: 24,
        });
    }
    let headerColor = '';
    if (colorScheme && color !== 'text.lightest') {
        headerColor = color;
    }
    else if (!colorScheme) {
        headerColor = color;
    }
    return (react_1.default.createElement(Hug_styled_1.HugCard, { ...props, borderColor: colorScheme ? null : bg || color, color: color, colorScheme: colorScheme },
        react_1.default.createElement(Hug_styled_1.Header, { bg: bg, color: headerColor, p: p, pl: '12px', alignItems: 'center', colorScheme: colorScheme, iconUsesColorScheme: !iconClone?.props?.color },
            !!iconClone && iconClone,
            react_1.default.createElement(Text_1.Text, { fontSize: fontSize }, props.text)),
        react_1.default.createElement(Hug_styled_1.BorderConcealer, null, props.children)));
}
exports.Hug = Hug;
Hug.defaultProps = {
    borderRadius: 'xl',
    borderWidth: 1,
    color: 'text.lightest',
    fontSize: 1,
    p: 2,
};
//# sourceMappingURL=Hug.js.map