"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Card_1 = require("../Card/Card");
const Text_1 = require("../Text/Text");
const Hug_1 = require("./Hug");
const text = (react_1.default.createElement(Text_1.Text.span, null,
    "Have you seen this ",
    react_1.default.createElement(Text_1.Text.span, { bold: true }, "card"),
    " I\u2018m hugging?!"));
describe('Hug', () => {
    test('renders text, icon, and Child', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hug_1.Hug, { icon: react_1.default.createElement(pcln_icons_1.ThumbsUp, null), text: text },
            react_1.default.createElement(Card_1.Card, { p: 3, bg: 'white', color: 'text' }, "I\u2018m a card within a hug!"))).toJSON;
        expect(json).toMatchSnapshot();
    });
    test('renders text when string is provided', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hug_1.Hug, { icon: react_1.default.createElement(pcln_icons_1.ThumbsUp, null), text: "I've been known to hug a card from time to time" },
            react_1.default.createElement(Card_1.Card, { p: 3, bg: 'white', color: 'text' }, "I\u2018m a card within a hug!"))).toJSON;
        expect(json).toMatchSnapshot();
    });
    test('renders text when array of nodes is provided', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Hug_1.Hug, { icon: react_1.default.createElement(pcln_icons_1.ThumbsUp, null), text: [text, text] },
            react_1.default.createElement(Card_1.Card, { p: 3, bg: 'white', color: 'text' }, "I\u2018m a card within a hug!"))).toJSON;
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Hug.spec.js.map