"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = exports.HugContentText = exports.iconMap = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
exports.iconMap = {
    Accessible: pcln_icons_1.Accessible,
    SeatBusiness: pcln_icons_1.SeatBusiness,
    ThumbsUp: pcln_icons_1.ThumbsUp,
    Trophy: pcln_icons_1.Trophy,
    WashingHands: pcln_icons_1.WashingHands,
};
const HugContentText = () => (react_1.default.createElement(Text_1.Text.span, null,
    "Today's best deal! You save ",
    react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold' }, "$300"),
    " for your party of 2.\u00A0"));
exports.HugContentText = HugContentText;
exports.defaultArgs = {
    color: 'primary',
    text: react_1.default.createElement(exports.HugContentText, null),
};
exports.argTypes = {
    color: {
        name: 'color',
        type: { name: 'string', required: false },
        description: 'Palette color to use',
        table: {
            type: {
                summary: 'Colors',
                detail: '- ' + args_1.colors.join('\n- '),
            },
            defaultValue: { summary: 'primary' },
        },
        control: {
            type: 'select',
            options: args_1.colors,
        },
    },
    icon: {
        name: 'icon',
        description: 'Icon to use inside the Hug',
        table: {
            defaultValue: { summary: null },
        },
        control: {
            type: 'select',
            options: Object.keys(exports.iconMap),
        },
    },
    borderRadius: {
        name: 'borderRadius',
        type: { name: 'string' },
        options: args_1.borderRadii,
        description: 'borderRadius',
        control: {
            type: 'select',
        },
    },
};
//# sourceMappingURL=Hug.stories.args.js.map