"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemeWithCustomHeaderTextAndIconColors = exports.ColorScheme = exports.Responsive = exports.ArrayOfText = exports.PlainText = exports.CardInACard = exports.WithAnIcon = exports._Hug = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Card_1 = require("../Card/Card");
const Hide_1 = require("../Hide/Hide");
const Text_1 = require("../Text/Text");
const Hug_1 = require("./Hug");
const args_1 = require("../storybook/args");
const Hug_stories_args_1 = require("./Hug.stories.args");
const ChildrenCardInside = () => (react_1.default.createElement(Card_1.Card, { p: 3, color: 'warning.light' }, "I'm a card within a hug!"));
const ChildrenCardInsideCard = () => (react_1.default.createElement(Card_1.Card, { p: 3, color: 'background.light' },
    react_1.default.createElement(Card_1.Card, { p: 3, color: 'background.dark' }, "I'm a card within a card within a hug!")));
const ResponsiveText = () => (react_1.default.createElement(Text_1.Text.span, null,
    "Today's best deal! You save ",
    react_1.default.createElement(Text_1.Text.span, { fontWeight: 'bold' }, "$300"),
    react_1.default.createElement(Hide_1.Hide, { as: 'span', xs: true },
        ' ',
        "for your party of 2"),
    ".\u00A0"));
exports.default = {
    title: 'core / Hug',
    component: Hug_1.Hug,
    args: Hug_stories_args_1.defaultArgs,
    argTypes: Hug_stories_args_1.argTypes,
    parameters: {
        docs: {
            description: {
                component: `Use the Hug component to surround another component with a border and a banner on top.`,
            },
        },
    },
};
const Template = ({ icon, ...rest }) => {
    const SelectedIcon = (icon && Hug_stories_args_1.iconMap[icon]) || null;
    if (icon && SelectedIcon) {
        rest.icon = react_1.default.createElement(SelectedIcon, null);
    }
    return react_1.default.createElement(Hug_1.Hug, { ...rest });
};
exports._Hug = Template.bind({});
exports._Hug.args = {
    children: react_1.default.createElement(ChildrenCardInside, null),
};
exports._Hug.storyName = 'With a card inside';
exports.WithAnIcon = Template.bind({});
exports.WithAnIcon.args = {
    children: react_1.default.createElement(ChildrenCardInside, null),
    icon: 'ThumbsUp',
};
exports.WithAnIcon.storyName = 'With an icon';
exports.CardInACard = Template.bind({});
exports.CardInACard.args = {
    children: react_1.default.createElement(ChildrenCardInsideCard, null),
};
exports.CardInACard.storyName = 'With a card in a card';
exports.PlainText = Template.bind({});
exports.PlainText.args = {
    text: 'I am some plain text!',
    children: react_1.default.createElement(ChildrenCardInside, null),
};
exports.ArrayOfText = Template.bind({});
exports.ArrayOfText.args = {
    text: [react_1.default.createElement(Hug_stories_args_1.HugContentText, { key: 1 }), react_1.default.createElement(Hug_stories_args_1.HugContentText, { key: 2 })],
    children: react_1.default.createElement(ChildrenCardInside, null),
};
exports.ArrayOfText.storyName = 'With an array of text nodes';
exports.Responsive = Template.bind({});
exports.Responsive.args = {
    text: react_1.default.createElement(ResponsiveText, null),
    children: react_1.default.createElement(ChildrenCardInside, null),
    p: 2,
    fontSize: [0, 1],
};
exports.Responsive.storyName = 'With a responsive Hug';
exports.Responsive.parameters = {
    viewport: { defaultViewport: 'designSystem_xs' },
};
const ColorScheme = () => {
    return args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Hug_1.Hug, { text: react_1.default.createElement(Text_1.Text, null, colorScheme), icon: react_1.default.createElement(pcln_icons_1.Star, null), colorScheme: colorScheme, key: colorScheme, my: '3', boxShadowSize: 'xl' },
        react_1.default.createElement(Card_1.Card, { borderRadius: 'xl', p: 3, color: 'background.lightest' },
            react_1.default.createElement(Text_1.Text, null, "I'm a card within a card within a hug!")))));
};
exports.ColorScheme = ColorScheme;
const ColorSchemeWithCustomHeaderTextAndIconColors = () => {
    return (react_1.default.createElement(Hug_1.Hug, { text: react_1.default.createElement(Text_1.Text, { color: 'error.base' }, "Custom Header Color"), icon: react_1.default.createElement(pcln_icons_1.Star, { color: 'promoPrimary.base' }), colorScheme: 'primaryLight', my: '3', boxShadowSize: 'xl' },
        react_1.default.createElement(Card_1.Card, { borderRadius: 'xl', p: 3, color: 'background.lightest' },
            react_1.default.createElement(Text_1.Text, null, "I'm a card within a card within a hug!"))));
};
exports.ColorSchemeWithCustomHeaderTextAndIconColors = ColorSchemeWithCustomHeaderTextAndIconColors;
//# sourceMappingURL=Hug.stories.js.map