"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Header = exports.BorderConcealer = exports.HugCard = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Card_1 = require("../Card/Card");
const Flex_1 = require("../Flex/Flex");
const utils_1 = require("../utils/utils");
exports.HugCard = (0, styled_components_1.default)(Card_1.Card) `
  overflow: hidden;
  ${(0, utils_1.applyVariations)('Hug')}
  ${({ colorScheme, theme }) => {
    const computedColorScheme = (0, theme_get_1.themeGet)(`colorSchemes.${colorScheme}`)({ theme });
    return colorScheme
        ? `
        border-color: ${computedColorScheme.foreground !== theme.colors.white
            ? computedColorScheme.foreground
            : computedColorScheme.background};
      `
        : '';
}}
`;
exports.BorderConcealer = (0, styled_components_1.default)(Box_1.Box) `
  & > * {
    border: 0 !important;
  }
`;
exports.Header = (0, styled_components_1.default)(Flex_1.Flex) `
  ${utils_1.colorSchemeCustomForeground}
`;
//# sourceMappingURL=Hug.styled.js.map