"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconButton = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const utils_1 = require("../utils/utils");
const TransparentButton = (0, styled_components_1.default)(Button_1.Button) `
  padding: 0;
  background-color: transparent;
  color: inherit;

  &:hover {
    background-color: transparent;
    color: inherit;
  }
  & > div {
    display: flex;
  }
  &:disabled {
    background-color: transparent;
  }

  ${(0, utils_1.applyVariations)('IconButton')}
`;
/**
 * @public
 */
exports.IconButton = react_1.default.forwardRef(({ icon, ...props }, ref) => {
    return (react_1.default.createElement(TransparentButton, { ...props, ref: ref },
        react_1.default.createElement(Flex_1.Flex, null, icon)));
});
exports.IconButton.displayName = 'IconButton';
exports.IconButton.isIconButton = true;
//# sourceMappingURL=IconButton.js.map