"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../__test__/testing-library");
const IconButton_1 = require("./IconButton");
describe('IconButton', () => {
    test('executes onClick prop on click', () => {
        const handleClick = jest.fn();
        const { getByRole } = (0, testing_library_1.render)(react_1.default.createElement(IconButton_1.IconButton, { icon: react_1.default.createElement(pcln_icons_1.Key, null), onClick: handleClick }));
        testing_library_1.fireEvent.click(getByRole('button'));
        expect(handleClick).toHaveBeenCalled();
    });
    test('renders without background color in disabled state', () => {
        const { container } = (0, testing_library_1.render)(react_1.default.createElement(IconButton_1.IconButton, { icon: react_1.default.createElement(pcln_icons_1.Key, null), disabled: true }));
        const button = container.querySelector('button:disabled');
        expect(button).toHaveStyleRule('background-color', 'transparent');
    });
    test('renders without props', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(IconButton_1.IconButton, { icon: react_1.default.createElement(pcln_icons_1.Key, null) })).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=IconButton.spec.js.map