"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefs = exports.WithDisabled = exports.WithSize = exports.WithColor = exports.Default = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Button_1 = require("../Button/Button");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const IconButton_1 = require("./IconButton");
exports.default = {
    title: 'IconButton',
    component: IconButton_1.IconButton,
};
const Default = () => (react_1.default.createElement(IconButton_1.IconButton, { onClick: (0, addon_actions_1.action)('Clicked IconButton'), "aria-label": 'Click to choose date', icon: react_1.default.createElement(pcln_icons_1.Calendar, { title: 'Choose date' }) }));
exports.Default = Default;
const WithColor = () => (react_1.default.createElement(IconButton_1.IconButton, { onClick: (0, addon_actions_1.action)('Clicked IconButton'), icon: react_1.default.createElement(pcln_icons_1.Calendar, { title: 'Choose date', color: 'primary' }) }));
exports.WithColor = WithColor;
const WithSize = () => (react_1.default.createElement(IconButton_1.IconButton, { onClick: (0, addon_actions_1.action)('Clicked IconButton'), icon: react_1.default.createElement(pcln_icons_1.Calendar, { title: 'Choose date', size: 64 }) }));
exports.WithSize = WithSize;
const WithDisabled = () => (react_1.default.createElement(IconButton_1.IconButton, { onClick: (0, addon_actions_1.action)('Clicked IconButton'), icon: react_1.default.createElement(pcln_icons_1.Calendar, { title: 'Choose date' }), disabled: true }));
exports.WithDisabled = WithDisabled;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return dsRef.current.focus();
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(IconButton_1.IconButton, { onClick: (0, addon_actions_1.action)('Clicked IconButton'), icon: react_1.default.createElement(pcln_icons_1.Calendar, { title: 'Choose date', size: 64 }) }),
            react_1.default.createElement("br", null),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 4 }, "Click to focus button via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
//# sourceMappingURL=IconButton.stories.js.map