"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconField = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
/**
 * @public
 */
function IconField(props) {
    const isIcon = (item) => item.type.isIcon || item.type.isIconButton;
    const children = react_1.default.Children.toArray(props.children).filter(
    // @ts-ignore
    (child) => child?.type.isField || isIcon(child));
    if (children.length === 0) {
        return null;
    }
    // @ts-ignore
    const inputIndex = children && children.findIndex((child) => child.type.isField);
    const prefixIcons = children.slice(0, inputIndex);
    const input = children[inputIndex];
    const suffixIcons = children.slice(inputIndex + 1, children.length);
    const paddingLeft = prefixIcons.length > 0 ? prefixIcons.length * 40 : undefined;
    const paddingRight = suffixIcons.length > 0 ? suffixIcons.length * 40 : undefined;
    const marginRight = prefixIcons.length > 0 ? -(prefixIcons.length * 40) : undefined;
    const marginLeft = suffixIcons.length > 0 ? -(suffixIcons.length * 40) : undefined;
    return (react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', ...props },
        prefixIcons.length > 0 && (react_1.default.createElement(Flex_1.Flex, { mr: marginRight, "data-testid": 'icon-field-prefix-icons' }, prefixIcons.map((icon, index) => react_1.default.cloneElement(icon, { ml: index === 0 ? 2 : 0, mr: 2 })))),
        input && react_1.default.cloneElement(input, { pl: paddingLeft, pr: paddingRight }),
        suffixIcons.length > 0 && (react_1.default.createElement(Flex_1.Flex, { ml: marginLeft, "data-testid": 'icon-field-suffix-icons' }, suffixIcons.map((icon, index) => react_1.default.cloneElement(icon, { ml: 2, mr: index === 0 ? 2 : 0 }))))));
}
exports.IconField = IconField;
//# sourceMappingURL=IconField.js.map