"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const utils_1 = require("../utils");
/**
 * @public
 */
exports.Image = styled_components_1.default.img.attrs((props) => ({
    ...(0, utils_1.borderRadiusAttrs)(props),
    ...(0, utils_1.boxShadowAttrs)(props),
})) `
  display: block;
  ${utils_1.objectFit};
  ${utils_1.objectPosition};

  ${(props) => (0, styled_system_1.compose)(styled_system_1.width, styled_system_1.height, styled_system_1.maxHeight, styled_system_1.maxWidth, styled_system_1.minHeight, styled_system_1.minWidth, styled_system_1.space, styled_system_1.borderRadius, styled_system_1.boxShadow)(props)}
`;
exports.Image.displayName = 'Image';
exports.Image.defaultProps = {
    boxShadowColor: 'border',
    maxWidth: '100%',
};
//# sourceMappingURL=Image.js.map