"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Text_1 = require("../Text/Text");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const utils_1 = require("../utils/utils");
const sizes = {
    sm: (0, styled_components_1.css) `
    padding: 6px 12px 7px 12px;
  `,
    md: (0, styled_components_1.css) `
    padding: 10px 12px 11px 12px;
  `,
    lg: (0, styled_components_1.css) `
    padding: 14px 12px 14px 12px;
  `,
    xl: (0, styled_components_1.css) `
    padding: 18px 12px 19px 12px;
  `,
};
const StyledInput = styled_components_1.default.input.attrs(borderRadiusAttrs_1.borderRadiusAttrs) `
  position: relative;
  appearance: none;
  display: block;
  width: 100%;
  font-family: inherit;
  color: ${(0, utils_1.getPaletteColor)('text.base')};
  background-color: transparent;
  border-width: 1px;
  border-style: solid;
  margin: 0;

  ::placeholder {
    color: ${(0, utils_1.getPaletteColor)('text.light')};
  }

  ::-ms-clear {
    display: none;
  }

  &:disabled {
    background-color: ${(0, utils_1.getPaletteColor)('background.light')};
    color: ${(0, utils_1.getPaletteColor)('text.light')};
    cursor: not-allowed;
  }

  ${({ theme }) => (0, utils_1.applySizes)(sizes, undefined, theme.mediaQueries)};
  ${(0, utils_1.applyVariations)('Input')}
  ${utils_1.borders}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize, styled_system_1.borderRadius, styled_system_1.zIndex)(props)}
`;
const INPUT_ERROR_TEXT = 'InputHelperText';
/**
 * @public
 */
exports.Input = react_1.default.forwardRef((props, ref) => {
    const { helperText, color, ...restProps } = props;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(StyledInput, { ...restProps, color: color, ref: ref }),
        helperText &&
            react_1.default.cloneElement(helperText, {
                color: helperText.props.color || color,
            })));
});
const HelperText = (0, styled_components_1.default)(Text_1.Text).attrs(() => ({
    mt: 2,
    fontSize: 1,
})) ``;
exports.Input.HelperText = (props) => react_1.default.createElement(HelperText, { ...props }, props.children);
exports.Input.HelperText.displayName = INPUT_ERROR_TEXT;
exports.Input.displayName = 'Input';
exports.Input.isField = true;
exports.Input.defaultProps = {
    fontSize: [2, null, 1],
    borderRadius: 'lg',
    size: 'lg',
};
//# sourceMappingURL=Input.js.map