"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardsRefs = exports.WithLabel = exports.WithHelperText = exports.WithExternalLabel = exports.Colors = exports.ReadOnly = exports.Disabled = exports.InputComponent = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Divider_1 = require("../Divider/Divider");
const Label_1 = require("../Label/Label");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const Input_1 = require("./Input");
const Input_stories_args_1 = require("./Input.stories.args");
exports.default = {
    title: 'Input',
    component: Input_1.Input,
    parameters: {
        docs: {
            description: {
                component: 'Simple styled input component that accepts a color and whether or not to show an error container.',
            },
        },
    },
    argTypes: Input_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(Input_1.Input, { my: 3, ...args });
exports.InputComponent = Template.bind({});
const Disabled = () => react_1.default.createElement(Input_1.Input, { disabled: true, value: 'Disabled Input' });
exports.Disabled = Disabled;
const ReadOnly = () => react_1.default.createElement(Input_1.Input, { readOnly: true, value: 'Readonly Input' });
exports.ReadOnly = ReadOnly;
const Colors = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-1', placeholder: 'No color' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-2', color: 'primary', placeholder: 'Primary' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-3', color: 'secondary', placeholder: 'Secondary' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-4', color: 'warning', placeholder: 'Warning' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-5', color: 'alert', placeholder: 'Alert' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-6', color: 'caution', placeholder: 'Caution' })));
exports.Colors = Colors;
const WithExternalLabel = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-input' }, "Label!"),
    react_1.default.createElement(Input_1.Input, { id: 'sample-input-1', placeholder: 'Click the label' })));
exports.WithExternalLabel = WithExternalLabel;
const WithHelperText = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-input-2' }, "Same color as Input"),
        react_1.default.createElement(Input_1.Input, { id: 'sample-input-2', placeholder: 'Click the label', color: 'error.base', helperText: react_1.default.createElement(Input_1.Input.HelperText, null, "No soup for you!") })),
    react_1.default.createElement(Divider_1.Divider, null),
    react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-input-3' }, "Override color for helper text"),
        react_1.default.createElement(Input_1.Input, { id: 'sample-input-3', placeholder: 'Click the label', color: 'error.base', helperText: react_1.default.createElement(Input_1.Input.HelperText, { color: 'secondary.base' }, "No soup for you!") }))));
exports.WithHelperText = WithHelperText;
const WithLabel = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Label_1.Label, null,
        "Label Text",
        react_1.default.createElement(Input_1.Input, { id: 'input-with-label', placeholder: 'Click the label', mt: 1 }))));
exports.WithLabel = WithLabel;
function ForwardsRefs() {
    function refChild(dsRef) {
        function onClick() {
            return dsRef.current.focus();
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Input_1.Input, { ref: dsRef, placeholder: 'Priceline!' }),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 3 }, "Click to focus the input via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardsRefs = ForwardsRefs;
//# sourceMappingURL=Input.stories.js.map