"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputGroup = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.InputGroup = styled_components_1.default.div `
  display: flex;
  align-items: center;
  border-radius: ${(0, theme_get_1.themeGet)('borderRadii.xl')};
  border-width: 1px;
  border-style: solid;
  border-color: ${(props) => (0, utils_1.getPaletteColor)(props.borderColor, 'base')(props)};

  & > ${Box_1.Box} {
    width: 100%;
    flex: 1 1 auto;
  }

  & input {
    border: 0;
    box-shadow: none;
  }

  ${styled_system_1.space}
`;
exports.InputGroup.defaultProps = {
    borderColor: 'border',
};
//# sourceMappingURL=InputGroup.js.map