"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupedInputs = exports.WithExternalLabel = exports.ForwardRefs = exports.Colors = exports.InputComponent = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const FormField_1 = require("../FormField/FormField");
const Input_1 = require("../Input/Input");
const InputGroup_1 = require("../InputGroup/InputGroup");
const Label_1 = require("../Label/Label");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
exports.default = {
    title: 'InputGroup',
    component: Input_1.Input,
    parameters: {
        docs: {
            description: {
                component: 'Simple styled input component that accepts a color and whether or not to show an error container.',
            },
        },
    },
};
const InputComponent = () => react_1.default.createElement(Input_1.Input, { my: 3 });
exports.InputComponent = InputComponent;
const Colors = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-1', placeholder: 'No color' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-2', color: 'primary', placeholder: 'Primary' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-3', color: 'secondary', placeholder: 'Secondary' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-4', color: 'warning', placeholder: 'Warning' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-5', color: 'alert', placeholder: 'Alert' }),
    react_1.default.createElement(Input_1.Input, { mb: 3, id: 'input-colors-6', color: 'caution', placeholder: 'Caution' })));
exports.Colors = Colors;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.value = 'Happy Panda :D');
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Input_1.Input, { value: 'Sad Panda :(' }),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 4 }, "Click to change input value via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
const WithExternalLabel = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-input' }, "Label!"),
    react_1.default.createElement(Input_1.Input, { id: 'sample-input', placeholder: 'Click the label' })));
exports.WithExternalLabel = WithExternalLabel;
const GroupedInputs = () => (react_1.default.createElement(InputGroup_1.InputGroup, null,
    react_1.default.createElement(FormField_1.FormField, null,
        react_1.default.createElement(Label_1.Label, null, "Where from?"),
        react_1.default.createElement(Input_1.Input, { placeholder: 'Where from?' })),
    react_1.default.createElement(FormField_1.FormField, null,
        react_1.default.createElement(Label_1.Label, null, "Where to?"),
        react_1.default.createElement(Input_1.Input, { placeholder: 'Where to?' }))));
exports.GroupedInputs = GroupedInputs;
//# sourceMappingURL=InputGroup.stories.js.map