"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Label = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const typographyAttrs_1 = require("../utils/attrs/typographyAttrs");
const utils_1 = require("../utils/utils");
const nowrap = (props) => props.nowrap
    ? {
        whiteSpace: 'nowrap',
    }
    : null;
const accessiblyHide = (props) => props.hidden
    ? {
        position: 'absolute',
        width: '1px',
        height: '1px',
        clip: 'rect(1px, 1px, 1px, 1px)',
    }
    : null;
/**
 * @public
 */
exports.Label = styled_components_1.default.label.attrs((props) => ({
    ...(0, typographyAttrs_1.typographyAttrs)(props),
    ...props,
})) `
  display: block;
  width: 100%;
  margin: 0;
  z-index: 1;
  color: ${(0, utils_1.getPaletteColor)('base')};
  ${(props) => (props.bg ? `background-color: ${(0, utils_1.getPaletteColor)(props.bg, 'base')(props)};` : '')}
  ${(props) => (props.onClick ? 'cursor: pointer;' : '')}

  ${(0, utils_1.applyVariations)('Label')}

  ${nowrap}
  ${accessiblyHide}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.fontSize, styled_system_1.fontWeight, styled_system_1.lineHeight, styled_system_1.letterSpacing, styled_system_1.space, styled_system_1.textStyle, styled_system_1.width)(props)}
`;
exports.Label.defaultProps = {
    color: 'text.light',
    textStyle: 'label',
};
exports.Label.displayName = 'Label';
exports.Label.isLabel = true;
//# sourceMappingURL=Label.js.map