"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nowrap = exports.HtmlFor = exports.Spacing = exports._Label = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Input_1 = require("../Input/Input");
const Radio_1 = require("../Radio/Radio");
const Label_1 = require("./Label");
const Label_stories_args_1 = require("./Label.stories.args");
exports.default = {
    title: 'Label',
    component: Label_1.Label,
    args: Label_stories_args_1.defaultArgs,
    argTypes: Label_stories_args_1.argTypes,
    parameters: {
        docs: {
            description: {
                component: 'Simple styled label component that supports a number of the styled-system props.',
            },
        },
    },
};
const Template = (args) => react_1.default.createElement(Label_1.Label, { ...args });
exports._Label = Template.bind({});
const Spacing = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(Label_1.Label, { mt: 4, mb: 2 }, "A tish of margin"),
    react_1.default.createElement(Label_1.Label, { pl: 3 }, "A dash of padding")));
exports.Spacing = Spacing;
const HtmlFor = () => (react_1.default.createElement("div", null,
    "Clicking",
    ' ',
    react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-input' }, "here"),
    ' ',
    "should focus on the input element.",
    react_1.default.createElement("br", null),
    react_1.default.createElement(Input_1.Input, { id: 'sample-input' })));
exports.HtmlFor = HtmlFor;
const Nowrap = () => (react_1.default.createElement(Flex_1.Flex, null,
    react_1.default.createElement(Label_1.Label, { nowrap: true },
        react_1.default.createElement(Radio_1.Radio, { checked: true }),
        "Round-trip"),
    react_1.default.createElement(Label_1.Label, { nowrap: true },
        react_1.default.createElement(Radio_1.Radio, { checked: true }),
        "One-way"),
    react_1.default.createElement(Label_1.Label, { nowrap: true },
        react_1.default.createElement(Radio_1.Radio, { checked: true }),
        "Multi-destination")));
exports.Nowrap = Nowrap;
//# sourceMappingURL=Label.stories.js.map