"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const testing_library_1 = require("../__test__/testing-library");
const Layout_1 = require("./Layout");
describe('Layout', () => {
    it('renders with variations', () => {
        const { rerender, getByText } = (0, testing_library_1.render)(react_1.default.createElement(Layout_1.Layout, { variation: '50-50' },
            react_1.default.createElement(Box_1.Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.5');
        rerender(react_1.default.createElement(Layout_1.Layout, { variation: '33-33-33' },
            react_1.default.createElement(Box_1.Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.33');
        rerender(react_1.default.createElement(Layout_1.Layout, { variation: '60-40' },
            react_1.default.createElement(Box_1.Box, null, "1"),
            react_1.default.createElement(Box_1.Box, null, "2"),
            react_1.default.createElement(Box_1.Box, null, "3")));
        expect(getByText(1)).toHaveStyle('width: 0.6');
        expect(getByText(2)).toHaveStyle('width: 0.4');
        expect(getByText(3)).toHaveStyle('width: 0.6');
        rerender(react_1.default.createElement(Layout_1.Layout, { variation: ['25-25-25-25'] },
            react_1.default.createElement(Box_1.Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.25');
    });
});
//# sourceMappingURL=Layout.spec.js.map