"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FullWidth = exports.Uneven = exports.Halves = exports.Thirds = exports.Quarters = exports.Overlap = exports.ResponsiveLarge = exports.ResponsiveSmall = exports.Basic = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
const Box_1 = require("../Box/Box");
const Container_1 = require("../Container/Container");
const Flex_1 = require("../Flex/Flex");
const Relative_1 = require("../Relative/Relative");
const Layout_1 = require("./Layout");
exports.default = {
    title: 'Layout/Layout',
    component: Layout_1.Layout,
    argTypes: {
        children: {
            control: false,
        },
    },
};
const LayoutDemoBox = (0, styled_components_1.default)(Box_1.Box) `
  height: 100px;
`;
const Template = (args) => (react_1.default.createElement(Flex_1.Flex, { width: '100%', color: 'primary.light' },
    react_1.default.createElement(Container_1.Container, { size: 'xl', style: { border: '1px solid' } },
        react_1.default.createElement(Layout_1.Layout, { ...args },
            react_1.default.createElement(LayoutDemoBox, { color: 'secondary.base' }),
            react_1.default.createElement(Box_1.Box, { height: '120px', color: 'warning.base' }),
            react_1.default.createElement(LayoutDemoBox, { color: 'alert' }),
            react_1.default.createElement(LayoutDemoBox, { color: 'primary' }),
            react_1.default.createElement(LayoutDemoBox, { color: 'promoPrimary' }),
            react_1.default.createElement(LayoutDemoBox, { color: 'promoSecondary' })))));
exports.Basic = Template.bind({});
exports.Basic.args = {
    variation: '33-33-33',
    gap: 'sm',
    rowGap: 'sm',
};
const responsiveArgs = {
    variation: ['100', '50-50', null, '60-40'],
    gap: ['sm', null, 'xl'],
    rowGap: ['sm', null, 'xl'],
    stretchHeight: true,
};
exports.ResponsiveSmall = Template.bind({});
exports.ResponsiveSmall.args = responsiveArgs;
exports.ResponsiveSmall.parameters = {
    viewport: {
        defaultViewport: 'designSystem_sm',
    },
};
exports.ResponsiveSmall.storyName = 'Responsive (sm)';
exports.ResponsiveLarge = Template.bind({});
exports.ResponsiveLarge.args = responsiveArgs;
exports.ResponsiveLarge.parameters = {
    viewport: {
        defaultViewport: 'designSystem_lg',
    },
};
exports.ResponsiveLarge.storyName = 'Responsive (lg)';
const OverlapTemplate = (args) => (react_1.default.createElement(Flex_1.Flex, { width: '100%', color: 'primary.light' },
    react_1.default.createElement(Container_1.Container, { size: 'xl', style: { border: '1px solid' } },
        react_1.default.createElement(Layout_1.Layout, { ...args },
            react_1.default.createElement(Relative_1.Relative, { color: 'secondary.base', zIndex: 1, height: '200px' },
                react_1.default.createElement(Absolute_1.Absolute, { height: 100, width: 200, color: 'notify', top: '30px', right: '-70px' })),
            react_1.default.createElement(LayoutDemoBox, { color: 'primary.base' })))));
exports.Overlap = OverlapTemplate.bind({});
exports.Overlap.args = {
    variation: '60-40',
    gap: 'sm',
    rowGap: 'sm',
};
const LotsOfBoxesTemplate = (args) => (react_1.default.createElement(Flex_1.Flex, { width: '100%', color: 'primary.light' },
    react_1.default.createElement(Container_1.Container, { size: 'xl', style: { border: '1px solid' } },
        react_1.default.createElement(Layout_1.Layout, { ...args }, Array.from({ length: 16 }).map((_, i) => (react_1.default.createElement(LayoutDemoBox, { key: i, color: 'primary.base' })))))));
exports.Quarters = LotsOfBoxesTemplate.bind({});
exports.Quarters.args = {
    variation: '25-25-25-25',
    gap: 'sm',
    rowGap: 'sm',
};
exports.Quarters.storyName = '25-25-25-25';
exports.Thirds = LotsOfBoxesTemplate.bind({});
exports.Thirds.args = {
    variation: '33-33-33',
    gap: 'sm',
    rowGap: 'sm',
};
exports.Thirds.storyName = '33-33-33';
exports.Halves = LotsOfBoxesTemplate.bind({});
exports.Halves.args = {
    variation: '50-50',
    gap: 'sm',
    rowGap: 'sm',
};
exports.Halves.storyName = '50-50';
exports.Uneven = LotsOfBoxesTemplate.bind({});
exports.Uneven.args = {
    variation: '60-40',
    gap: 'sm',
    rowGap: 'sm',
};
exports.Uneven.storyName = '60-40';
exports.FullWidth = LotsOfBoxesTemplate.bind({});
exports.FullWidth.args = {
    variation: '100',
    gap: 'sm',
    rowGap: 'sm',
};
//# sourceMappingURL=Layout.stories.js.map