"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Link = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Button_1 = require("../Button/Button");
const utils_1 = require("../utils/utils");
const variations = {
    fill: (0, styled_components_1.css) `
    &:hover {
      text-decoration: none;
    }

    ${Button_1.buttonStyles}
  `,
    subtle: (0, styled_components_1.css) `
    ${Button_1.buttonStyles}

    &:hover {
      text-decoration: none;
      background-color: ${(0, utils_1.getPaletteColor)('background.tint')};
    }
  `,
    link: (0, styled_components_1.css) `
    cursor: pointer;
    text-decoration: none;
    color: ${(0, utils_1.getPaletteColor)('base')};

    &:hover {
      color: ${(0, utils_1.getPaletteColor)('dark')};
      text-decoration: underline;
    }
  `,
    outline: (0, styled_components_1.css) `
    &:hover {
      text-decoration: none;
    }

    ${Button_1.buttonStyles}
  `,
    plain: (0, styled_components_1.css) `
    ${Button_1.buttonStyles}

    &:hover {
      text-decoration: none;
      background-color: ${(0, utils_1.getPaletteColor)('background.base')};
    }
  `,
    white: (0, styled_components_1.css) `
    ${Button_1.buttonStyles}

    &:hover {
      text-decoration: none;
      background-color: ${(0, utils_1.getPaletteColor)('background.base')};
    }
  `,
    lightFill: (0, styled_components_1.css) `
    ${Button_1.buttonStyles}
    ${(props) => {
        return props.disabled
            ? `
        background-color: ${(0, utils_1.getPaletteColor)('background.base')(props)};
        color: ${(0, utils_1.getPaletteColor)('text.light')(props)};`
            : '';
    }}
  `,
    input: (0, styled_components_1.css) `
    ${Button_1.buttonStyles}
    text-align: center;
    ${(props) => {
        return props.disabled
            ? `
        background-color: ${(0, utils_1.getPaletteColor)('background.base')(props)};
        color: ${(0, utils_1.getPaletteColor)('text.light')(props)};`
            : '';
    }}
  `,
};
/**
 * @public
 */
exports.Link = styled_components_1.default.a.attrs(({ color, disabled, href, target, onClick, ...props }) => ({
    color: disabled ? 'text.light' : color,
    disabled,
    href: !disabled ? href : undefined,
    rel: target === '_blank' ? 'noopener' : null,
    target,
    onClick: !disabled ? onClick : () => { },
    ...props,
})) `
  ${(0, utils_1.applyVariations)('Link', variations)}

  ${(props) => props.disabled &&
    `
    cursor: default;

    &:hover {
      text-decoration: none;
    }
  `}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.width)(props)}
`;
exports.Link.displayName = 'Link';
exports.Link.defaultProps = {
    color: 'primary',
    variation: 'link',
    size: 'medium',
};
//# sourceMappingURL=Link.js.map