"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = exports.variationOptions = exports.sizeOptions = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const colors_1 = require("../__test__/mocks/colors");
exports.sizeOptions = ['small', 'medium', 'large', 'extraLarge'];
exports.variationOptions = ['fill', 'link', 'outline', 'plain', 'subtle', 'white', 'lightFill', 'input'];
exports.defaultArgs = {
    children: 'Hello There',
    color: 'primary',
    disabled: false,
    href: 'https://www.priceline.com/',
    size: 'medium',
    target: '_blank',
    variation: 'link',
    onClick: (0, addon_actions_1.action)('Clicked Link'),
};
exports.argTypes = {
    color: {
        name: 'color',
        options: Object.keys(colors_1.colors),
        mapping: colors_1.colors,
        control: 'select',
    },
    size: {
        name: 'size',
        options: exports.sizeOptions,
        control: 'select',
    },
    target: {
        name: 'target',
        options: ['_blank', '_self'],
        control: 'radio',
    },
    variation: {
        name: 'variation',
        options: exports.variationOptions,
        control: 'select',
    },
};
//# sourceMappingURL=Link.stories.args.js.map