"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactiveStyling = exports.LargeText = exports.ForwardRefs = exports.Sizes = exports.Variations = exports.Playground = exports._Link = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Container_1 = require("../Container/Container");
const Grid_1 = require("../Grid/Grid");
const Link_1 = require("../Link/Link");
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const utils_1 = require("../utils/utils");
const Link_stories_args_1 = require("./Link.stories.args");
exports.default = {
    title: 'Link',
    component: Link_1.Link,
    args: Link_stories_args_1.defaultArgs,
    argTypes: Link_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(Link_1.Link, { ...args });
exports._Link = Template.bind({});
exports.Playground = {
    render: (args) => react_1.default.createElement(Button_1.Button, { ...args }, "Button"),
    argTypes: {
        color: {
            control: 'select',
            options: args_1.colors,
            defaultValue: Button_1.Button.defaultProps.color,
        },
        size: {
            control: 'select',
            options: Link_stories_args_1.sizeOptions,
            defaultValue: Button_1.Button.defaultProps.size,
        },
        disabled: {
            defaultValue: false,
            type: 'boolean',
        },
    },
};
function Variations(args) {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Text_1.Text, { textStyle: 'heading3', mb: 2 }, "Link Variations"),
        react_1.default.createElement(Grid_1.Grid, { gap: 4, templateColumns: ['1fr'], background: 'primary' }, Link_stories_args_1.variationOptions.map((variation) => (react_1.default.createElement(Link_1.Link, { ...args, key: variation, variation: variation, m: 1 },
            variation,
            " link"))))));
}
exports.Variations = Variations;
function Sizes(args) {
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Text_1.Text, { textStyle: 'heading3', mb: 2 }, "Link Sizes"),
        react_1.default.createElement(Container_1.Container, null, Link_stories_args_1.sizeOptions.map((size) => (react_1.default.createElement(Link_1.Link, { ...args, key: size, size: size, variation: 'fill', m: 3 }, size))))));
}
exports.Sizes = Sizes;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.innerHTML = 'Bacon!');
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Link_1.Link, { color: 'text.dark', ref: dsRef }, "I am a link!"),
            react_1.default.createElement("br", null),
            react_1.default.createElement(Button_1.Button, { color: 'error', onClick: onClick, mt: 4 }, "Click to update link text via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
const LargeText = () => (react_1.default.createElement(Link_1.Link, { color: 'text.light' },
    react_1.default.createElement(Text_1.Text, { textStyle: 'heading2' }, "I am a link with text styles")));
exports.LargeText = LargeText;
const ReactiveLink = (0, styled_components_1.default)(Link_1.Link) `
  ${(props) => (0, utils_1.getLinkStylesOn)(props.backgroundColor, props.linkLightColor, props.linkDarkColor, props.isLinkBold)(props)};
`;
const ReactiveLinkTemplate = (args) => (react_1.default.createElement(react_1.default.Fragment, null,
    react_1.default.createElement(Text_1.Text, { mb: 2 },
        "Uses the ",
        react_1.default.createElement("code", null, "getLinkStylesOn"),
        " utility"),
    react_1.default.createElement(Box_1.Box, { color: args.backgroundColor, p: 2, width: 300 },
        react_1.default.createElement(ReactiveLink, { ...args }, args.children)),
    react_1.default.createElement(Box_1.Box, { color: 'background.lightest', p: 2, width: 300 },
        react_1.default.createElement(ReactiveLink, { ...args, backgroundColor: 'background.lightest' }, args.children)),
    react_1.default.createElement(Box_1.Box, { color: 'highlight.tone', p: 2, width: 300 },
        react_1.default.createElement(ReactiveLink, { ...args, backgroundColor: 'highlight.tone' }, args.children)),
    react_1.default.createElement(Box_1.Box, { color: 'background.darkest', p: 2, width: 300 },
        react_1.default.createElement(ReactiveLink, { ...args, backgroundColor: 'background.darkest' }, args.children))));
exports.ReactiveStyling = ReactiveLinkTemplate.bind({});
exports.ReactiveStyling.args = {
    backgroundColor: 'primary.base',
    linkLightColor: 'text.lightest',
    linkDarkColor: 'text.base',
    isLinkBold: false,
};
//# sourceMappingURL=Link.stories.js.map