"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.List = exports.listStyles = exports.tabSpacingSize = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.tabSpacingSize = {
    xsm: '16px',
    sm: '24px',
    md: '32px',
    lg: '40px',
    xl: '48px',
};
/**
 * @public
 */
exports.listStyles = [
    'disc',
    'upper-roman',
    'lower-roman',
    'upper-alpha',
    'lower-alpha',
    'decimal',
    'square',
    'circle',
];
const BaseCSS = (0, styled_components_1.css) `
  margin: ${(0, theme_get_1.default)('space.1')} 0;
  color: ${(0, utils_1.getPaletteColor)('base')};

  & > li {
    margin: ${(0, theme_get_1.default)('space.1')} 0;
  }

  ${(props) => (0, styled_system_1.compose)(styled_system_1.fontSize, styled_system_1.space, styled_system_1.width)(props)}
  padding: 0;
  list-style-type: ${(props) => props.listStyle ? (exports.listStyles.includes(props.listStyle) ? props.listStyle : 'auto') : ''};
  margin-left: ${(props) => exports.tabSpacingSize[props.indentSize ? props.indentSize : 'lg']};
`;
const Ordered = (0, styled_components_1.default)('ol') `
  & > li > * {
    margin-left: ${(0, theme_get_1.default)('space.2')};
  }

  ${BaseCSS};
`;
const Unordered = (0, styled_components_1.default)('ul') `
  ${BaseCSS};
`;
/**
 * @public
 */
exports.List = Unordered;
exports.List.ol = Ordered;
exports.List.ol.displayName = 'OrderedList';
exports.List.ul = Unordered;
exports.List.ul.displayName = 'UnorderedList';
//# sourceMappingURL=List.js.map