"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StructuredBulletList = exports.StructuredDecimalList = exports.StructuredRomanList = exports.UnorderedList = exports.OrderedList = exports._List = void 0;
const react_1 = __importDefault(require("react"));
const Text_1 = require("../Text/Text");
const List_1 = require("./List");
const List_stories_args_1 = require("./List.stories.args");
exports.default = {
    title: 'List',
    component: List_1.List,
    args: List_stories_args_1.defaultArgs,
    argTypes: List_stories_args_1.argTypes,
};
const BasicTemplate = (args) => {
    const ListType = args.type === 'ol' ? List_1.List.ol : List_1.List.ul;
    return (react_1.default.createElement(ListType, { ...args },
        react_1.default.createElement("li", null,
            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
        react_1.default.createElement("li", null,
            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
        react_1.default.createElement("li", null,
            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
        react_1.default.createElement("li", null,
            react_1.default.createElement(Text_1.Text, null, "An example line of text"))));
};
const StructuredRomanTemplate = (args) => {
    const ListType = args.type === 'ol' ? List_1.List.ol : List_1.List.ul;
    return (react_1.default.createElement("div", { style: { border: '1px solid lightgray' } },
        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'upper-roman' } },
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'upper-alpha' } },
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                            react_1.default.createElement("li", null,
                                react_1.default.createElement(Text_1.Text, null, "An example line of text")))))),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")))));
};
const StructuredDecimalTemplate = (args) => {
    const ListType = args.type === 'ol' ? List_1.List.ol : List_1.List.ul;
    return (react_1.default.createElement("div", { style: { border: '1px solid lightgray' } },
        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'lower-roman' } },
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                            react_1.default.createElement("li", null,
                                react_1.default.createElement(Text_1.Text, null, "An example line of text")))))),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")))));
};
const StructuredBulletTemplate = (args) => {
    const ListType = args.type === 'ol' ? List_1.List.ol : List_1.List.ul;
    return (react_1.default.createElement("div", { style: { border: '1px solid lightgray' } },
        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'disc' } },
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")),
            react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'circle' } },
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement("li", null,
                    react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'square' } },
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement("li", null,
                        react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                    react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'disc' } },
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement("li", null,
                            react_1.default.createElement(Text_1.Text, null, "An example line of text")),
                        react_1.default.createElement(ListType, { ...args, ...{ listStyle: 'circle' } },
                            react_1.default.createElement("li", null,
                                react_1.default.createElement(Text_1.Text, null, "An example line of text")))))),
            react_1.default.createElement("li", null,
                react_1.default.createElement(Text_1.Text, null, "An example line of text")))));
};
exports._List = BasicTemplate.bind({});
exports.OrderedList = BasicTemplate.bind({});
exports.OrderedList.args = { color: 'text.light', fontSize: 1 };
exports.UnorderedList = BasicTemplate.bind({});
exports.UnorderedList.args = { color: 'primary.dark', fontSize: 1, type: 'ul' };
exports.StructuredRomanList = StructuredRomanTemplate.bind({});
exports.StructuredRomanList.args = { color: 'text.light', fontSize: 1 };
exports.StructuredDecimalList = StructuredDecimalTemplate.bind({});
exports.StructuredDecimalList.args = { color: 'text.light', fontSize: 1 };
exports.StructuredBulletList = StructuredBulletTemplate.bind({});
exports.StructuredBulletList.args = { color: 'text.light', fontSize: 1, type: 'ul' };
//# sourceMappingURL=List.stories.js.map