"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Motion = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const helpers_1 = require("./helpers");
const Wrapper = (0, styled_components_1.default)(Box_1.Box) `
  ${helpers_1.getAnimationCss}
`;
/**
 * @public
 */
function Motion({ children, isAnimatedState, variation }) {
    return (react_1.default.createElement(Wrapper, { isAnimatedState: isAnimatedState, variation: variation, "data-testid": 'motion-wrapper' }, children));
}
exports.Motion = Motion;
Motion.defaultProps = {
    variation: 'growCenter',
};
//# sourceMappingURL=Motion.js.map