"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../__test__/testing-library");
const Motion_1 = require("./Motion");
describe('Motion', () => {
    test('isAnimatedState = null (default)', () => {
        const { getByTestId, getByText } = (0, testing_library_1.render)(react_1.default.createElement(Motion_1.Motion, { isAnimatedState: null, variation: 'GROW_CENTER' }, "Child Text"));
        //Child elements should render
        getByText('Child Text');
        //Wrapper Styling should be in the rest state
        const wrapper = getByTestId('motion-wrapper');
        expect(wrapper).toHaveStyleRule('visibility', 'hidden');
        expect(wrapper).toHaveStyleRule('animation', undefined);
    });
    test('isAnimatedState = false', () => {
        const { getByTestId } = (0, testing_library_1.render)(react_1.default.createElement(Motion_1.Motion, { isAnimatedState: false, variation: 'GROW_CENTER' }));
        const wrapper = getByTestId('motion-wrapper');
        expect(wrapper).toHaveStyleRule('animation', expect.stringContaining('150ms cubic-bezier(0.5,0,1,1) forwards'));
    });
    test('isAnimatedState = true', () => {
        const { getByTestId } = (0, testing_library_1.render)(react_1.default.createElement(Motion_1.Motion, { isAnimatedState: true, variation: 'GROW_CENTER' }));
        const wrapper = getByTestId('motion-wrapper');
        expect(wrapper).toHaveStyleRule('animation', expect.stringContaining('300ms cubic-bezier(0,0,0.25,1) forwards'));
    });
});
//# sourceMappingURL=Motion.spec.js.map