"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrowBottomAndRight = exports.GrowBottom = exports.ExpandUp = exports.ExpandDown = exports.QuickGrow = exports.GrowCenter = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Relative_1 = require("../Relative/Relative");
const Text_1 = require("../Text/Text");
const Motion_1 = require("./Motion");
const description = 'Motion';
const RoundedAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  border-radius: 20px;
`;
const FixedBottom = (0, styled_components_1.default)(Box_1.Box) `
  position: fixed;
  bottom: 0;
`;
exports.default = {
    title: 'Motion',
    component: Motion_1.Motion,
    parameters: {
        docs: {
            description: {
                component: description,
            },
        },
    },
};
const GrowCenter = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    return (react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '400px', mt: '150px' },
        react_1.default.createElement(Text_1.Text, { textAlign: 'center', onClick: toggleVisible, p: 2 }, "Click Here to see more"),
        react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'GROW_CENTER' },
            react_1.default.createElement(RoundedAbsolute, { top: -40, bottom: 0, left: 0, right: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' }))));
};
exports.GrowCenter = GrowCenter;
const QuickGrow = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    return (react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '400px', mt: '150px' },
        react_1.default.createElement(Text_1.Text, { textAlign: 'center', onClick: toggleVisible, p: 2 }, "Click Here to see more"),
        react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'QUICK_GROW' },
            react_1.default.createElement(RoundedAbsolute, { m: 0, top: 0, right: 'auto', left: 'calc(100% - 6px)', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' }))));
};
exports.QuickGrow = QuickGrow;
const ExpandDown = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    return (react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '400px', mt: '50px' },
        react_1.default.createElement(Text_1.Text, { textAlign: 'center', onClick: toggleVisible, p: 2 }, "Click Here to see more"),
        react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'EXPAND_DOWN' },
            react_1.default.createElement(RoundedAbsolute, { top: 8, right: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' }))));
};
exports.ExpandDown = ExpandDown;
const ExpandUp = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    return (react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '400px', mt: '50px' },
        react_1.default.createElement(Text_1.Text, { textAlign: 'center', onClick: toggleVisible, p: 2 }, "Click Here to see more"),
        react_1.default.createElement(FixedBottom, null,
            react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'EXPAND_DOWN' },
                react_1.default.createElement(RoundedAbsolute, { height: 'calc(100vh - 100px)', bottom: -20, width: '400px', left: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest' })))));
};
exports.ExpandUp = ExpandUp;
const GrowBottom = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    return (react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '400px', mt: '50px' },
        react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'GROW_Y' },
            react_1.default.createElement(RoundedAbsolute, { onClick: toggleVisible, top: 0, right: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' }))));
};
exports.GrowBottom = GrowBottom;
const GrowBottomAndRight = () => {
    const [isVisible, setIsVisible] = (0, react_1.useState)(null);
    const [isVisibleb, setIsVisibleb] = (0, react_1.useState)(null);
    function toggleVisible() {
        setIsVisible(!isVisible);
    }
    function toggleVisibleb() {
        setIsVisibleb(!isVisibleb);
    }
    return (react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '320px', mt: '50px' },
            react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisible, variation: 'GROW_XY' },
                react_1.default.createElement(RoundedAbsolute, { onClick: toggleVisible, top: 0, left: 0, right: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' }))),
        react_1.default.createElement(Relative_1.Relative, { bg: 'primary', color: 'white', width: '320px', mt: '50px' },
            react_1.default.createElement(Motion_1.Motion, { isAnimatedState: isVisibleb, variation: 'GROW_XY' },
                react_1.default.createElement(RoundedAbsolute, { onClick: toggleVisibleb, top: 0, left: 0, right: 0, m: 'auto', boxShadowSize: 'lg', bg: 'background.lightest', height: '300px', width: '300px' })))));
};
exports.GrowBottomAndRight = GrowBottomAndRight;
//# sourceMappingURL=Motion.stories.js.map