"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAnimationCss = void 0;
const styled_components_1 = require("styled-components");
const constants_1 = require("./constants");
const getKeys = ({ start, end }) => (0, styled_components_1.keyframes) `
    0% { ${start} }
    100% { ${end} }
  `;
const getKeyFrames = ({ isAnimatedState, variation }) => getKeys(constants_1.KEY_FRAMES[variation][constants_1.ACTION_KEY[isAnimatedState]]);
const getDuration = ({ isAnimatedState, variation }) => constants_1.VARIATION_DURATION[variation]?.[constants_1.ACTION_KEY[isAnimatedState]] || constants_1.DURATION[constants_1.ACTION_KEY[isAnimatedState]];
const getEasing = ({ isAnimatedState, variation }) => constants_1.VARIATION_EASING[variation]?.[constants_1.ACTION_KEY[isAnimatedState]] || constants_1.EASING[constants_1.ACTION_KEY[isAnimatedState]];
const getDefaultCss = (variation) => (0, styled_components_1.css) `
    ${constants_1.KEY_FRAMES[variation][constants_1.ACTION_KEY.false].end}
  `;
const getAnimation = ({ isAnimatedState, variation }) => (0, styled_components_1.css) `
    animation: ${getKeyFrames({ isAnimatedState, variation })} ${getDuration({ isAnimatedState, variation })}
      ${getEasing({ isAnimatedState, variation })} forwards;
  `;
const getAnimationCss = ({ isAnimatedState, variation }) => isAnimatedState === null ? getDefaultCss(variation) : getAnimation({ isAnimatedState, variation });
exports.getAnimationCss = getAnimationCss;
//# sourceMappingURL=helpers.js.map