"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdatePasswordForm = exports.WithCustomRegex = exports.WithProgressBar = exports.WithTitle = exports.Basic = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Text_1 = require("../Text/Text");
const PasswordInput_1 = require("./PasswordInput");
exports.default = {
    title: 'PasswordInput',
    component: PasswordInput_1.PasswordInput,
};
const customRegexChecks = [
    { label: '1 Uppercase Letter', regex: /(?=.*[A-Z])/ },
    { label: '1 Lowercase Letter', regex: /(?=.*[a-z])/ },
];
const Basic = () => react_1.default.createElement(PasswordInput_1.PasswordInput, null);
exports.Basic = Basic;
const WithTitle = () => react_1.default.createElement(PasswordInput_1.PasswordInput, { label: 'New Password' });
exports.WithTitle = WithTitle;
const WithProgressBar = () => react_1.default.createElement(PasswordInput_1.PasswordInput, { label: 'New Password', hasProgressBar: true });
exports.WithProgressBar = WithProgressBar;
const WithCustomRegex = () => (react_1.default.createElement(PasswordInput_1.PasswordInput, { label: 'New Password', hasProgressBar: true, regexChecks: customRegexChecks }));
exports.WithCustomRegex = WithCustomRegex;
const UpdatePasswordForm = () => {
    const [currentPassword, setCurrentPassword] = (0, react_1.useState)('');
    const [newPassword, setNewPassword] = (0, react_1.useState)('');
    const [confirmPassword, setConfirmPassword] = (0, react_1.useState)('');
    const [isNewPasswordValid, setNewPasswordValid] = (0, react_1.useState)(false);
    function onCurrentPasswordChange({ value }) {
        return setCurrentPassword(value);
    }
    function onConfirmPasswordChange({ value }) {
        return setConfirmPassword(value);
    }
    function onNewPasswordChange({ isValid, value }) {
        setNewPassword(value);
        setNewPasswordValid(isValid);
    }
    const currentPasswordMatches = !!currentPassword && currentPassword === newPassword;
    const newPasswordsMatch = newPassword === confirmPassword && isNewPasswordValid;
    const isSaveEnabled = !currentPasswordMatches && newPasswordsMatch;
    const onClick = (0, addon_actions_1.action)('Password changed');
    return (react_1.default.createElement(Box_1.Box, { width: [1, null, 500] },
        react_1.default.createElement(PasswordInput_1.PasswordInput, { label: 'Current Password', onChange: onCurrentPasswordChange, mb: 3 }),
        react_1.default.createElement(PasswordInput_1.PasswordInput, { label: 'New Password', hasProgressBar: true, onChange: onNewPasswordChange, mb: 3 }),
        react_1.default.createElement(PasswordInput_1.PasswordInput, { isValid: newPasswordsMatch, label: 'Confirm Password', onChange: onConfirmPasswordChange }),
        react_1.default.createElement(Button_1.Button, { disabled: !isSaveEnabled, onClick: onClick, mt: 3 }, "Save"),
        currentPasswordMatches && (react_1.default.createElement(Text_1.Text, { color: 'error', fontSize: 0, mt: 2 }, "New Password must be different from your current password"))));
};
exports.UpdatePasswordForm = UpdatePasswordForm;
//# sourceMappingURL=PasswordInput.stories.js.map