"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Popout = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const ShadowEffect_1 = require("../ShadowEffect/ShadowEffect");
const TriggerWrapper = (0, styled_components_1.default)(Box_1.Box) `
  position: relative;
  width: fit-content;
`;
const OnClickHandler = (0, styled_components_1.default)(Box_1.Box) `
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
`;
const PopoutModal = (0, styled_components_1.default)(Box_1.Box) `
  position: absolute;
  z-index: 2;
  transition: padding 200ms ease-in-out, margin 200ms ease-in-out, border-radius 200ms ease-in-out;
`;
/**
 * @public
 */
function Popout(props) {
    const { trigger, content, onOpen, onClose, triggerRef, closeOnTriggerRefClick } = props;
    const [isOpen, setIsOpen] = (0, react_1.useState)(false);
    const [height, setHeight] = (0, react_1.useState)(0);
    const [padding, setPadding] = (0, react_1.useState)(0);
    const [opacity, setOpacity] = (0, react_1.useState)(0);
    const baseInputRef = (0, react_1.useRef)(null);
    const modalRef = (0, react_1.useRef)(null);
    const isMounted = (0, react_1.useRef)(false);
    const handleOpen = (0, react_1.useCallback)(() => setIsOpen(true), []);
    const handleClose = (0, react_1.useCallback)(() => setIsOpen(false), []);
    (0, react_1.useEffect)(() => {
        if (isMounted.current) {
            if (isOpen) {
                setPadding(16);
                setOpacity(0.5);
                /* istanbul ignore next */
                triggerRef?.current?.focus();
                /* istanbul ignore next */
                onOpen?.();
            }
            else {
                setPadding(0);
                setOpacity(0);
                /* istanbul ignore next */
                onClose?.();
            }
            return;
        }
        isMounted.current = true;
    }, [isOpen, triggerRef]);
    (0, react_1.useLayoutEffect)(() => {
        setHeight(baseInputRef.current.clientHeight);
    }, [trigger]);
    (0, react_1.useEffect)(() => {
        if (isOpen && closeOnTriggerRefClick) {
            triggerRef?.current?.addEventListener('click', handleClose);
        }
        return () => triggerRef?.current?.removeEventListener('click', handleClose);
    }, [isOpen, closeOnTriggerRefClick, triggerRef, handleClose]);
    (0, react_1.useEffect)(() => {
        const escapeListener = (e) => {
            if (isOpen && e.key === 'Escape') {
                handleClose();
            }
        };
        const focusListener = (e) => {
            if (isOpen &&
                e.target instanceof HTMLElement &&
                e.target !== baseInputRef.current &&
                !modalRef.current.contains(e.target)) {
                handleClose();
            }
        };
        document.addEventListener('focusin', focusListener);
        document.addEventListener('keydown', escapeListener);
        return () => {
            document.removeEventListener('focusin', focusListener);
            document.removeEventListener('keydown', escapeListener);
        };
    }, [isOpen, handleClose]);
    const placeHolderDiv = react_1.default.createElement(Box_1.Box, { style: { height } });
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(TriggerWrapper, { tabIndex: isOpen ? -1 : 0, onFocus: handleOpen, ref: baseInputRef },
            isOpen ? placeHolderDiv : trigger,
            react_1.default.createElement(OnClickHandler, { onClick: handleOpen })),
        isOpen && (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(ShadowEffect_1.ShadowOverlay, { zIndex: 1, onClick: handleClose, style: { opacity, transition: 'opacity 250ms ease-in-out' } }),
            react_1.default.createElement(PopoutModal, { ref: modalRef, boxShadowSize: 'overlay-lg', bg: 'background.lightest', style: {
                    padding: padding,
                    borderRadius: padding,
                    marginTop: -(height + padding),
                    marginLeft: -padding,
                } },
                trigger,
                content)))));
}
exports.Popout = Popout;
//# sourceMappingURL=Popout.js.map