"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabFocusing = exports.FormFieldExample = exports.IconPopout = exports.Basic = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Flex_1 = require("../Flex/Flex");
const FormField_1 = require("../FormField/FormField");
const Input_1 = require("../Input/Input");
const Label_1 = require("../Label/Label");
const Popout_1 = require("../Popout/Popout");
const Text_1 = require("../Text/Text");
const utils_1 = require("../utils/utils");
exports.default = {
    component: Popout_1.Popout,
};
const states = [
    'Alabama',
    'Alaska',
    'Arizona',
    'Arkansas',
    'California',
    'Colorado',
    'Connecticut',
    'Delaware',
    'Florida',
    'Georgia',
    'Hawaii',
    'Idaho',
    'Illinois',
    'Indiana',
    'Iowa',
    'Kansas',
    'Kentucky',
    'Louisiana',
    'Maine',
    'Maryland',
    'Massachusetts',
    'Michigan',
    'Minnesota',
    'Mississippi',
    'Missouri',
    'Montana',
    'Nebraska',
    'Nevada',
    'New Hampshire',
    'New Jersey',
    'New Mexico',
    'New York',
    'North Carolina',
    'North Dakota',
    'Ohio',
    'Oklahoma',
    'Oregon',
    'Pennsylvania',
    'Rhode Island',
    'South Carolina',
    'South Dakota',
    'Tennessee',
    'Texas',
    'Utah',
    'Vermont',
    'Virginia',
    'Washington',
    'West Virginia',
    'Wisconsin',
    'Wyoming',
];
const PclnSearchItem = (0, styled_components_1.default)(Flex_1.Flex) `
  cursor: pointer;
  white-space: nowrap;
  &:hover,
  &:focus {
    background-color: ${(0, utils_1.getPaletteColor)('primary.base')};
    color: white;
  }
`;
const Wrapper = ({ children }) => react_1.default.createElement(Box_1.Box, { m: 5 }, children);
const Basic = () => {
    const triggerRef = (0, react_1.useRef)(null);
    const [value, setValue] = (0, react_1.useState)('');
    const trigger = (react_1.default.createElement("input", { "aria-label": 'x', ref: triggerRef, value: value, onChange: (e) => setValue(e.target.value) }));
    const content = value && react_1.default.createElement("h1", null, value);
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(Popout_1.Popout, { trigger: trigger, triggerRef: triggerRef, content: content })));
};
exports.Basic = Basic;
const IconPopout = () => {
    const triggerRef = (0, react_1.useRef)(null);
    const trigger = (react_1.default.createElement(Box_1.Box, { width: 'fit-content', ref: triggerRef },
        react_1.default.createElement(pcln_icons_1.Information, { color: 'primary', style: { cursor: 'pointer' } })));
    const content = react_1.default.createElement("h1", null, "This is some important information");
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(Popout_1.Popout, { trigger: trigger, triggerRef: triggerRef, content: content, closeOnTriggerRefClick: true })));
};
exports.IconPopout = IconPopout;
const FormFieldExample = () => {
    const triggerRef = (0, react_1.useRef)(null);
    const [search, setSearch] = (0, react_1.useState)('');
    const [results, setResults] = (0, react_1.useState)([]);
    (0, react_1.useEffect)(() => {
        setResults(search ? states.filter((x) => x.toLowerCase().startsWith(search.toLowerCase())) : []);
    }, [search]);
    const trigger = (react_1.default.createElement(FormField_1.FormField, null,
        react_1.default.createElement(Label_1.Label, { autoHide: true, htmlFor: 'pclnInput' }, "Where To?"),
        react_1.default.createElement(pcln_icons_1.Search, { color: 'primary', size: 24 }),
        react_1.default.createElement(Input_1.Input, { id: 'pclnInput', name: 'pclnInput', value: search, placeholder: 'Where to?', onChange: (e) => setSearch(e.target.value), ref: triggerRef })));
    const content = results.length > 0 && (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', mt: 2, style: { maxHeight: 300, overflow: 'auto', gap: 8 } }, results.map((x) => (react_1.default.createElement(PclnSearchItem, { tabIndex: 0, alignItems: 'center', borderRadius: 'xl', key: x, p: 2, onClick: () => setSearch(x) },
        react_1.default.createElement(pcln_icons_1.Pin, { size: 24, mr: 2 }),
        react_1.default.createElement(Text_1.Text, null, x))))));
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(Popout_1.Popout, { trigger: trigger, triggerRef: triggerRef, content: content })));
};
exports.FormFieldExample = FormFieldExample;
const TabFocusing = () => {
    const arr = Array(3).fill('');
    const [value, setValue] = (0, react_1.useState)('');
    const triggerRefs = arr.map((_) => (0, react_1.useRef)(null));
    const content = value && react_1.default.createElement("h1", null, value);
    const Popouts = arr.map((_, i) => (react_1.default.createElement(Popout_1.Popout, { key: i, trigger: react_1.default.createElement("input", { ref: triggerRefs[i], "aria-label": 'x', value: value, onChange: (e) => setValue(e.target.value) }), content: content, triggerRef: triggerRefs[i] })));
    return (react_1.default.createElement(Wrapper, null,
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', width: 'fit-content', style: { gap: 16 } },
            react_1.default.createElement(Button_1.Button, null, "This is just to trap focus"),
            Popouts,
            react_1.default.createElement(Button_1.Button, null, "This is just to trap focus"))));
};
exports.TabFocusing = TabFocusing;
//# sourceMappingURL=Popout.stories.js.map