"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const CustomBox = (0, styled_components_1.default)(Box_1.Box) `
  border-radius: 2px;
`;
const defaultStepColor = 'background.light';
/**
 * @public
 */
function ProgressBar({ steps, currentStep, stepHeight, className }) {
    return (react_1.default.createElement(Flex_1.Flex, { className: className }, steps.map((step, index) => {
        const stepColor = index < currentStep ? steps[currentStep - 1].color : defaultStepColor;
        return (react_1.default.createElement(CustomBox, { key: index, color: stepColor, height: stepHeight, width: 1, mr: 1, "data-testid": 'test-id-' + index }));
    })));
}
exports.ProgressBar = ProgressBar;
ProgressBar.defaultProps = {
    stepHeight: '4px',
};
//# sourceMappingURL=ProgressBar.js.map