"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toggle = exports.Checkbox = exports.Radio = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Section_1 = require("../DocsUtils/Section/Section");
const Flex_1 = require("../Flex/Flex");
const Image_1 = require("../Image/Image");
const Input_1 = require("../Input/Input");
const Text_1 = require("../Text/Text");
const ThemeProvider_1 = require("../ThemeProvider/ThemeProvider");
const theme_1 = require("../theme/theme");
const utils_1 = require("../utils/utils");
const RadioCheckToggleCard_1 = require("./RadioCheckToggleCard");
const RadioCheckToggleCard_stories_args_1 = require("./RadioCheckToggleCard.stories.args");
const dumpText = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec eros neque, sodales eu urna at, porta rutrum metus. Aliquam aliquam dolor erat, in convallis ipsum volutpat quis.';
const exampleImage = () => (react_1.default.createElement(Image_1.Image, { borderRadius: 'lg', src: 'https://s1.pclncdn.com/design-assets/hero/beach.jpg' }));
const exampleInput = ({ disabled }) => (react_1.default.createElement(Box_1.Box, { width: '100%', mt: 2, bg: 'background.lightest' },
    react_1.default.createElement(Input_1.Input, { borderRadius: 'lg', style: { background: theme_1.theme.colors.lightestBackground }, placeholder: 'Placeholder', disabled: disabled })));
const divider = () => react_1.default.createElement(Box_1.Box, { width: '100%', my: 4, style: { border: '1px solid #e0e5ea' } });
const EnabledStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')} !important;
    border-color: transparent !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('text.light')} !important;
      border-color: transparent !important;
      box-shadow: none !important;
    }
  }
`;
const HoverStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')} !important;
    border-color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;
      border-color: transparent !important;
      box-shadow: none !important;
    }
  }
`;
const FocusStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')} !important;
    border-color: transparent !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('text.light')} !important;
      border-color: ${(0, utils_1.getPaletteColor)('text.light')} !important;
      box-shadow: inset 0 0 0 5px ${(0, utils_1.getPaletteColor)('background.light')} !important;
    }
  }
`;
const SelectedStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('primary.light')} !important;
    border-color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;
      border-color: transparent !important;
      box-shadow: none !important;
    }
  }
`;
const SelectedHoverStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('primary.light')} !important;
    border-color: ${(0, utils_1.getPaletteColor)('primary.dark')} !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('primary.dark')} !important;
      border-color: transparent !important;
      box-shadow: none !important;
    }
  }
`;
const SelectedFocusStateCard = (0, styled_components_1.default)(Box_1.Box) `
  flex: 1 1 30%;

  & > label > div {
    background-color: ${(0, utils_1.getPaletteColor)('primary.light')} !important;
    border-color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;

    & div.cardIcon > svg {
      color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;
      border-color: ${(0, utils_1.getPaletteColor)('primary.base')} !important;
      box-shadow: none !important;
    }
  }
`;
const DefaultDocPage = () => {
    const [examples, setExamples] = (0, react_1.useState)({
        ['types-label']: [],
        ['formatting-position']: 'example-1',
        ['formatting-label-with-children']: ['example-1'],
        ['formatting-full-width-children']: ['example-1'],
        ['additional-actions-buttons']: 'example-1',
        ['additional-actions-forms-1']: 'example-1',
        ['additional-actions-forms-2']: 'example-1',
    });
    const data = {
        cardType: 'radio',
        name: 'formatting-position',
        options: [
            { hPosition: 'left', vPosition: 'top', title: dumpText, value: 'example-1' },
            { hPosition: 'right', vPosition: 'top', title: dumpText, value: 'example-2' },
            { hPosition: 'left', vPosition: 'center', title: dumpText, value: 'example-3' },
            { hPosition: 'right', vPosition: 'center', title: dumpText, value: 'example-4' },
        ],
    };
    const handleOnChangeInLabel = (e) => {
        const { value } = e.currentTarget;
        const result = examples['types-label'];
        const index = result.indexOf(value);
        if (index >= 0) {
            result.splice(index, 1);
        }
        else {
            result.unshift(value);
        }
        if (result.length > 2) {
            result.pop();
        }
        setExamples((previousState) => ({
            ...previousState,
            ['types-label']: result,
        }));
    };
    const handleOnChange = (e) => ({ cardType, name }) => {
        const { value } = e.currentTarget;
        let result = value;
        if (cardType !== 'radio') {
            result = examples[name];
            const index = result.indexOf(value);
            if (index >= 0) {
                result.splice(index, 1);
            }
            else {
                result.push(value);
            }
        }
        setExamples((previousState) => ({
            ...previousState,
            [name]: result,
        }));
    };
    return (react_1.default.createElement(ThemeProvider_1.ThemeProvider, null,
        react_1.default.createElement(Section_1.Section, { heading: 'Types' },
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Label"),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "In its checked state, by default the color is to be primary.base."),
            react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', style: { width: '50%', gap: '16px' } },
                react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'types-label', title: 'Radio', value: 'example-1', isSelected: examples['types-label'].includes('example-1'), onChange: handleOnChangeInLabel }),
                react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'types-label', title: 'Checkbox', value: 'example-2', isSelected: examples['types-label'].includes('example-2'), onChange: handleOnChangeInLabel }),
                react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'types-label', title: 'Toggle', value: 'example-3', isSelected: examples['types-label'].includes('example-3'), onChange: handleOnChangeInLabel }))),
        divider(),
        react_1.default.createElement(Section_1.Section, { heading: 'States' },
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "Radio - Examples shown indicate the card & action states"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '100%', gap: '16px' } },
                react_1.default.createElement(EnabledStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Enabled', value: 'example-1', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(HoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Hover', value: 'example-2', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(FocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Focus', value: 'example-3', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Selected', value: 'example-4', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedHoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Selected Hover', value: 'example-5', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedFocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'states-radio', title: 'Selected Focus', value: 'example-6', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' })))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "Checkbox - Examples shown indicate the card & action states"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '100%', gap: '16px' } },
                react_1.default.createElement(EnabledStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Enabled', value: 'example-1', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(HoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Hover', value: 'example-2', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(FocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Focus', value: 'example-3', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Selected', value: 'example-4', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedHoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Selected Hover', value: 'example-5', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedFocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', name: 'states-checkbox', title: 'Selected Focus', value: 'example-6', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' })))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "Toggle - Examples shown indicate the card & action states"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '100%', gap: '16px' } },
                react_1.default.createElement(EnabledStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Enabled', value: 'example-1', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(HoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Hover', value: 'example-2', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(FocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Focus', value: 'example-3', isSelected: false, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Selected', value: 'example-1', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedHoverStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Selected Hover', value: 'example-2', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))),
                react_1.default.createElement(SelectedFocusStateCard, null,
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'states-toggle', title: 'Selected Focus', value: 'example-3', isSelected: true, onChange: () => { } },
                        react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' }))))),
        divider(),
        react_1.default.createElement(Section_1.Section, { heading: 'Formatting' },
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Position"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '65%', gap: '16px' } }, data.options.map((option) => (react_1.default.createElement(Box_1.Box, { key: `${data.name}_${option.value}`, style: { flex: '1 1 45%' } },
                react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { ...option, cardType: data.cardType, name: data.name, isSelected: examples['formatting-position'] === option.value, onChange: (e) => handleOnChange(e)({
                        cardType: data.cardType,
                        name: data.name,
                    }) }))))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Label with children"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '65%', gap: '16px' } },
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', hPosition: 'left', isTakingFullHeightOfCard: true, isTitleBold: true, name: 'formatting-label-with-children', title: 'Title', value: 'example-1', isSelected: examples['formatting-label-with-children'].includes('example-1'), onChange: (e) => handleOnChange(e)({
                            cardType: 'checkbox',
                            name: 'formatting-label-with-children',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', isTakingFullHeightOfCard: true, isTitleBold: true, name: 'formatting-label-with-children', title: 'Title', value: 'example-2', isSelected: examples['formatting-label-with-children'].includes('example-2'), onChange: (e) => handleOnChange(e)({
                            cardType: 'checkbox',
                            name: 'formatting-label-with-children',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', hPosition: 'left', vPosition: 'center', isTakingFullHeightOfCard: true, isTitleBold: true, name: 'formatting-label-with-children', title: 'Title', value: 'example-3', isSelected: examples['formatting-label-with-children'].includes('example-3'), onChange: (e) => handleOnChange(e)({
                            cardType: 'checkbox',
                            name: 'formatting-label-with-children',
                        }) }, exampleImage())),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'checkbox', vPosition: 'center', isTakingFullHeightOfCard: true, isTitleBold: true, name: 'formatting-label-with-children', title: 'Title', value: 'example-4', isSelected: examples['formatting-label-with-children'].includes('example-4'), onChange: (e) => handleOnChange(e)({
                            cardType: 'checkbox',
                            name: 'formatting-label-with-children',
                        }) }, exampleImage()))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Full width children"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '65%', gap: '16px' } },
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', hPosition: 'left', name: 'formatting-full-width-children', title: 'Title', value: 'example-1', isSelected: examples['formatting-full-width-children'].includes('example-1'), onChange: (e) => handleOnChange(e)({
                            cardType: 'toggle',
                            name: 'formatting-full-width-children',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['formatting-full-width-children'].includes('example-1') }, "Button"))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'formatting-full-width-children', title: 'Title', value: 'example-2', isSelected: examples['formatting-full-width-children'].includes('example-2'), onChange: (e) => handleOnChange(e)({
                            cardType: 'toggle',
                            name: 'formatting-full-width-children',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['formatting-full-width-children'].includes('example-2') }, "Button"))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', hPosition: 'left', name: 'formatting-full-width-children', title: 'Title', value: 'example-3', isSelected: examples['formatting-full-width-children'].includes('example-3'), onChange: (e) => handleOnChange(e)({
                            cardType: 'toggle',
                            name: 'formatting-full-width-children',
                        }) },
                        exampleImage(),
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['formatting-full-width-children'].includes('example-3') }, "Button"))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { cardType: 'toggle', name: 'formatting-full-width-children', title: 'Title', value: 'example-4', isSelected: examples['formatting-full-width-children'].includes('example-4'), onChange: (e) => handleOnChange(e)({
                            cardType: 'toggle',
                            name: 'formatting-full-width-children',
                        }) },
                        exampleImage(),
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['formatting-full-width-children'].includes('example-4') }, "Button"))))),
        divider(),
        react_1.default.createElement(Section_1.Section, { heading: 'Additional Actions' },
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Buttons"),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "In its checked state, by default the color is to be primary.base."),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '65%', gap: '16px' } },
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'additional-actions-buttons', title: 'Title', value: 'example-1', isSelected: examples['additional-actions-buttons'].includes('example-1'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-buttons',
                        }) },
                        exampleImage(),
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['additional-actions-buttons'].includes('example-1') }, "I Select the Radio Card"))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { name: 'additional-actions-buttons', title: 'Title', value: 'example-2', isSelected: examples['additional-actions-buttons'].includes('example-2'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-buttons',
                        }) },
                        exampleImage(),
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['additional-actions-buttons'].includes('example-2') }, "I Select the Radio Card")))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading3', my: 3 }, "Forms"),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "In its checked state, by default the color is to be primary.base."),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '100%', gap: '16px' } },
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { hPosition: 'left', isTakingFullHeightOfCard: true, name: 'additional-actions-forms-1', title: 'Title', value: 'example-1', isSelected: examples['additional-actions-forms-1'].includes('example-1'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-forms-1',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        exampleInput({ disabled: !examples['additional-actions-forms-1'].includes('example-1') }),
                        exampleInput({ disabled: !examples['additional-actions-forms-1'].includes('example-1') }))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { hPosition: 'left', isTakingFullHeightOfCard: true, name: 'additional-actions-forms-1', title: 'Title', value: 'example-2', isSelected: examples['additional-actions-forms-1'].includes('example-2'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-forms-1',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        exampleInput({ disabled: !examples['additional-actions-forms-1'].includes('example-2') }),
                        exampleInput({ disabled: !examples['additional-actions-forms-1'].includes('example-2') })))),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "with nested disabled function/action"),
            react_1.default.createElement(Flex_1.Flex, { my: 4, flexWrap: 'wrap', style: { width: '100%', gap: '16px' } },
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { hPosition: 'left', isTakingFullHeightOfCard: true, name: 'additional-actions-forms-2', title: 'Title', value: 'example-1', isSelected: examples['additional-actions-forms-2'].includes('example-1'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-forms-2',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        exampleInput({ disabled: !examples['additional-actions-forms-2'].includes('example-1') }),
                        exampleInput({ disabled: !examples['additional-actions-forms-2'].includes('example-1') }),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['additional-actions-forms-2'].includes('example-1') }, "I Select the Radio Card"))),
                react_1.default.createElement(Box_1.Box, { style: { flex: '1 1 45%' } },
                    react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { hPosition: 'left', isTakingFullHeightOfCard: true, name: 'additional-actions-forms-2', title: 'Title', value: 'example-2', isSelected: examples['additional-actions-forms-2'].includes('example-2'), onChange: (e) => handleOnChange(e)({
                            cardType: 'radio',
                            name: 'additional-actions-forms-2',
                        }) },
                        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', style: { marginTop: '8px' } }, dumpText),
                        exampleInput({ disabled: !examples['additional-actions-forms-2'].includes('example-2') }),
                        exampleInput({ disabled: !examples['additional-actions-forms-2'].includes('example-2') }),
                        react_1.default.createElement(Button_1.Button, { mt: 2, disabled: !examples['additional-actions-forms-2'].includes('example-2') }, "I Select the Radio Card"))))),
        divider()));
};
const meta = {
    title: 'Core / RadioCheckToggleCard',
    component: RadioCheckToggleCard_1.RadioCheckToggleCard,
    parameters: {
        design: {
            type: 'figma',
            url: 'https://www.figma.com/file/gpbXA3aonRBAJbQiZvrayO/Design-Ops-Dev-Week?type=design&node-id=2-1755&mode=dev',
        },
        docs: {
            page: () => react_1.default.createElement(DefaultDocPage, null),
        },
    },
};
exports.default = meta;
exports.Radio = {
    args: { cardType: 'radio', name: 'radio-card', title: 'Title' },
    argTypes: RadioCheckToggleCard_stories_args_1.argTypes,
    render: (args) => (react_1.default.createElement(Section_1.Section, { heading: args.cardType },
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', style: { maxWidth: '350px', gap: '16px' } },
            react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { value: 'example-1', isSelected: false, onChange: (e) => { }, ...args },
                react_1.default.createElement(Box_1.Box, { width: '100%', height: '75px' })),
            react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { value: 'example-2', isSelected: false, onChange: (e) => { }, ...args },
                react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "I am some content. I am some content. I am some content. I am some content.")),
            react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { value: 'example-3', isSelected: false, onChange: (e) => { }, ...args },
                react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, "I am some content. I am some content. I am some content. I am some content."),
                react_1.default.createElement(Button_1.Button, { mt: 2, width: '100%' }, "Button")),
            react_1.default.createElement(RadioCheckToggleCard_1.RadioCheckToggleCard, { value: 'example-4', isSelected: false, onChange: (e) => { }, ...args }, exampleImage())))),
};
exports.Checkbox = {
    args: { ...exports.Radio.args, cardType: 'checkbox', name: 'checkbox-card' },
    argTypes: RadioCheckToggleCard_stories_args_1.argTypes,
    render: exports.Radio.render,
};
exports.Toggle = {
    args: { ...exports.Radio.args, cardType: 'toggle', name: 'toggle-card' },
    argTypes: RadioCheckToggleCard_stories_args_1.argTypes,
    render: exports.Radio.render,
};
//# sourceMappingURL=RadioCheckToggleCard.stories.js.map