"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingBadge = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const Box_1 = require("../Box/Box");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const defaultProps = {
    fontWeight: 'bold',
    px: 2,
    color: 'alert',
    borderRadius: 'md',
    bg: 'alert',
};
function getBgAndColorProps({ color, bg }) {
    const { bg: defaultBg, color: defaultColor } = defaultProps;
    if (bg && color && bg !== defaultBg && color !== defaultColor) {
        // bg and color
        return { bg, color };
    }
    else if (bg === defaultBg && color === defaultColor) {
        // no bg, no color
        return { bg: undefined, color };
    }
    else if (bg === defaultBg && color !== defaultColor) {
        // color, no bg
        return { bg: undefined, color };
    }
    else if (color === defaultColor) {
        // bg, no color
        return { color: bg, bg: undefined };
    }
}
/**
 * @public
 */
exports.RatingBadge = (0, styled_components_1.default)(Box_1.Box).attrs((props) => ({
    ...getBgAndColorProps(props),
    ...(0, borderRadiusAttrs_1.borderRadiusAttrs)(props),
})) `
  display: inline-block;
  line-height: 1.5;
  ${(props) => (0, styled_system_1.compose)(styled_system_1.fontWeight, styled_system_1.borderRadius)(props)}
`;
exports.RatingBadge.defaultProps = defaultProps;
//# sourceMappingURL=RatingBadge.js.map