"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Absolute_1 = require("../Absolute/Absolute");
const Relative_1 = require("../Relative/Relative");
const Text_1 = require("../Text/Text");
describe('Relative', () => {
    test('renders with top, left and zIndex props', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Relative_1.Relative, { top: 10, left: 0, zIndex: 2 })).toJSON();
        expect(json).toMatchSnapshot();
        expect(json).toHaveStyleRule('position', 'relative');
        expect(json).toHaveStyleRule('top', '10px');
        expect(json).toHaveStyleRule('left', '0px');
        expect(json).toHaveStyleRule('z-index', '2');
    });
    test('renders with flag and Child', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Relative_1.Relative, { top: 10, left: 0 },
            react_1.default.createElement(Absolute_1.Absolute, { top: 10, right: 0, zIndex: 2 },
                react_1.default.createElement(pcln_icons_1.Coupon, null),
                react_1.default.createElement(Text_1.Text.span, null, "EXCLUSIVE")))).toJSON;
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Relative.spec.js.map