"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Select = exports.selectSizes = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const Flex_1 = require("../Flex/Flex");
const borderRadiusAttrs_1 = require("../utils/attrs/borderRadiusAttrs");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.selectSizes = {
    sm: (0, styled_components_1.css) `
    padding: 6px 32px 7px 12px;
  `,
    md: (0, styled_components_1.css) `
    padding: 10px 32px 11px 12px;
  `,
    lg: (0, styled_components_1.css) `
    padding: 14px 32px 14px 12px;
  `,
    xl: (0, styled_components_1.css) `
    padding: 18px 32px 19px 12px;
  `,
};
/**
 * @public
 */
const variations = {
    input: (0, styled_components_1.css) ``,
    subtle: (0, styled_components_1.css) `
    background-color: ${(0, utils_1.getPaletteColor)('background.base')};
    border-color: ${(0, utils_1.getPaletteColor)('background.base')};
    border-radius: ${(props) => props.size === 'sm' || props.size === 'md' ? (0, theme_get_1.default)('borderRadii.full') : (0, theme_get_1.default)('borderRadii.lg')};
    color: ${(0, utils_1.getPaletteColor)('primary.base')};
    font-weight: bold;

    &:hover {
      background-color: ${(0, utils_1.getPaletteColor)('background.tint')};
      border-color: ${(0, utils_1.getPaletteColor)('background.tint')};
      color: ${(0, utils_1.getPaletteColor)('primary.dark')};

      ~ svg {
        color: ${(0, utils_1.getPaletteColor)('primary.dark')};
      }
    }
    &:focus-visible {
      outline: 0px solid ${(0, utils_1.getPaletteColor)('primary.dark')};
      box-shadow: 0 0 0 2px ${(0, utils_1.getPaletteColor)('primary.dark')};
    }

    & ~ svg {
      color: ${(0, utils_1.getPaletteColor)('primary.base')};
    }
  `,
};
const ClickableIcon = (0, styled_components_1.default)(pcln_icons_1.ChevronDown) `
  pointer-events: none;
`;
const SelectBase = styled_components_1.default.select.attrs(borderRadiusAttrs_1.borderRadiusAttrs) `
  appearance: none;
  background-color: transparent;
  border-style: solid;
  border-width: 1px;
  border-radius: ${(0, theme_get_1.default)('borderRadii.lg')};
  color: inherit;
  display: block;
  font-family: inherit;
  text-overflow: ellipsis;
  width: 100%;

  ::-ms-expand {
    display: none;
  }

  &:hover {
    cursor: pointer;
  }

  &:disabled {
    background-color: ${(0, utils_1.getPaletteColor)('background.light')};
    color: ${(0, utils_1.getPaletteColor)('text.light')};
    cursor: not-allowed;
    opacity: 1;

    ~ svg {
      color: ${(0, utils_1.getPaletteColor)('text.light')};
    }
  }

  ${({ theme }) => (0, utils_1.applySizes)(exports.selectSizes, undefined, theme.mediaQueries)};
  ${utils_1.borders}

  ${(0, utils_1.applyVariations)('Select', variations)};

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize, styled_system_1.borderRadius)(props)}
`;
SelectBase.defaultProps = {
    fontSize: [2, null, 1],
    m: 0,
    size: 'lg',
};
/**
 * @public
 */
exports.Select = react_1.default.forwardRef(({ variation = 'input', ...props }, ref) => (react_1.default.createElement(Flex_1.Flex, { width: 1, alignItems: 'center' },
    react_1.default.createElement(SelectBase, { ...props, ref: ref, variation: variation }),
    react_1.default.createElement(ClickableIcon, { ml: -32, color: 'text.light' }))));
exports.Select.displayName = 'Select';
exports.Select.isField = true;
//# sourceMappingURL=Select.js.map