"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefs = exports.HiddenLabel = exports.LongOptionString = exports.Disabled = exports.SubtleVariation = exports._Select = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Label_1 = require("../Label/Label");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
const Select_1 = require("./Select");
const Select_stories_args_1 = require("./Select.stories.args");
exports.default = {
    title: 'Select',
    component: Select_1.Select,
    args: Select_stories_args_1.defaultArgs,
    argTypes: Select_stories_args_1.argTypes,
};
const Template = (args) => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(Label_1.Label, { htmlFor: 'cabinClass' }, "Cabin Class"),
    react_1.default.createElement(Select_1.Select, { id: 'cabinClass', name: 'cabinClass', defaultValue: 'Premium Economy', ...args },
        react_1.default.createElement("option", null, "Economy"),
        react_1.default.createElement("option", { disabled: true }, "-------------"),
        react_1.default.createElement("option", null, "Premium Economy"),
        react_1.default.createElement("option", null, "Business"),
        react_1.default.createElement("option", null, "First Class"),
        react_1.default.createElement("option", null, "With a super long label that does not get clobbered by the chevron"))));
exports._Select = Template.bind({});
exports.SubtleVariation = Template.bind({});
exports.SubtleVariation.args = { variation: 'subtle' };
exports.Disabled = Template.bind({});
exports.Disabled.args = { disabled: true };
const LongOptionString = () => (react_1.default.createElement(Box_1.Box, { width: [1, 320] },
    react_1.default.createElement(Label_1.Label, { htmlFor: 'cabinClass' }, "Cabin Class"),
    react_1.default.createElement(Select_1.Select, { id: 'cabinClass', name: 'cabinClass', defaultValue: '' },
        react_1.default.createElement("option", null, "With a super long label that does not collide with the chevron"))));
exports.LongOptionString = LongOptionString;
const HiddenLabel = () => (react_1.default.createElement(Box_1.Box, { width: [1, 320] },
    react_1.default.createElement(Label_1.Label, { hidden: true, htmlFor: 'cabinClass' }, "Cabin Class"),
    react_1.default.createElement(Select_1.Select, { id: 'cabinClass', name: 'cabinClass', defaultValue: '' },
        react_1.default.createElement("option", null, "Economy"),
        react_1.default.createElement("option", null, "Premium Economy"),
        react_1.default.createElement("option", null, "Business"),
        react_1.default.createElement("option", null, "First Class"))));
exports.HiddenLabel = HiddenLabel;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return dsRef.current.focus();
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(Select_1.Select, { id: 'cabinClass', name: 'cabinClass', defaultValue: '', ref: dsRef },
                react_1.default.createElement("option", null, "Economy"),
                react_1.default.createElement("option", null, "Premium Economy"),
                react_1.default.createElement("option", null, "Business"),
                react_1.default.createElement("option", null, "First Class")),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 4 }, "Click to focus select via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
//# sourceMappingURL=Select.stories.js.map