"use strict";
/* eslint-disable no-unused-expressions */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShadowEffect = exports.ShadowOverlay = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
/**
 * @public
 */
exports.ShadowOverlay = styled_components_1.default.div `
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(51, 51, 51, 0.65);
  ${styled_system_1.zIndex};
`;
/**
 * @public
 */
function ShadowEffect({ shouldCloseOnBlur, shouldOpenOnFocus, zIndex = 'overlay', children, onClose, onOpen, ...props }) {
    const [isOpen, setOpen] = (0, react_1.useState)(false);
    const child = react_1.default.Children.only(children);
    function handleOpen() {
        onOpen && onOpen();
        setOpen(true);
    }
    function handleClose() {
        onClose && onClose();
        setOpen(false);
    }
    function handleKeyDown(evt) {
        const key = evt.key;
        if (key === 'Escape') {
            evt.preventDefault();
            handleClose();
        }
    }
    return (react_1.default.createElement(react_1.default.Fragment, null,
        isOpen && react_1.default.createElement(exports.ShadowOverlay, { zIndex: zIndex, onClick: handleClose, ...props }),
        react_1.default.isValidElement(child) &&
            react_1.default.cloneElement(child, {
                zIndex: isOpen && (zIndex !== 'overlay' ? zIndex : 'onOverlay'),
                onBlur: () => {
                    const onBlur = child.props.onBlur;
                    onBlur && onBlur();
                    shouldCloseOnBlur && handleClose();
                },
                onClick: () => {
                    const onClick = child.props.onClick;
                    onClick && onClick();
                    handleOpen();
                },
                onFocus: () => {
                    const onFocus = child.props.onFocus;
                    onFocus && onFocus();
                    shouldOpenOnFocus && handleOpen();
                },
                onKeyDown: (evt) => {
                    const onKeyDown = child.props.onKeyDown;
                    onKeyDown && onKeyDown(evt);
                    handleKeyDown(evt);
                },
            })));
}
exports.ShadowEffect = ShadowEffect;
//# sourceMappingURL=ShadowEffect.js.map