"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Shimmer = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const Box_1 = require("../Box/Box");
const constants_1 = require("./constants");
const animation = (props) => (0, styled_components_1.keyframes) `
  0% {
    transform: translateX(-200px)
  }
  100% {
    transform: translateX(${props.animationWidth}px)
  }
`;
const animationRule = (0, styled_components_1.css) `
  ${animation} 1.2s ease-in-out infinite;
`;
const Wrapper = (0, styled_components_1.default)(Box_1.Box) `
  background-color: ${(props) => constants_1.VARIATION_BACKGROUND_COLORS[props.variation]};
  background-size: 200px 100%;
  background-repeat: no-repeat;
  display: inline-block;
  line-height: 1;
  ${(props) => props.height && `height: ${props.height};`}
  overflow: hidden;
`;
const Glare = styled_components_1.default.span `
  display: inline-block;
  background-image: linear-gradient(to right, ${(props) => constants_1.VARIATION_GLARE_GRADIENTS[props.variation]});
  background-image: -webkit-linear-gradient(left, ${(props) => constants_1.VARIATION_GLARE_GRADIENTS[props.variation]});
  animation: ${animationRule};
  height: 100%;
  width: 200px;

  // Disable animation for users that prefer reduced motion for accessibility
  @media (prefers-reduced-motion) {
    animation: none;
  }
`;
/**
 * @public
 */
function Shimmer({ animationWidth, disable, ...props }) {
    return (react_1.default.createElement(Wrapper, { ...props, "data-testid": 'Shimmer__Wrapper' }, !disable && (react_1.default.createElement(Glare, { animationWidth: animationWidth + 200, "data-testid": 'Shimmer__Glare', variation: props.variation }, "\u200C"))));
}
exports.Shimmer = Shimmer;
Shimmer.defaultProps = {
    animationWidth: 100,
    disable: false,
    variation: constants_1.ShimmerVariationType.Base,
};
//# sourceMappingURL=Shimmer.js.map