"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DarkSkeletonLoader = exports.LightSkeletonLoader = exports.ComposedAsSkeletonLoader = exports.Default = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const Shimmer_1 = require("./Shimmer");
const SkeletonBar = (0, styled_components_1.default)(Shimmer_1.Shimmer).attrs(() => ({
    mb: 2,
})) ``;
exports.default = {
    title: 'Shimmer',
    component: Shimmer_1.Shimmer,
};
const Default = () => react_1.default.createElement(Shimmer_1.Shimmer, null);
exports.Default = Default;
const ComposedAsSkeletonLoader = () => (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', maxWidth: '700px' },
    react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(SkeletonBar, { width: '100px', height: '100px', mr: 2 }),
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', width: 'calc(100% - 100px)' },
            react_1.default.createElement(SkeletonBar, { width: 3 / 4 }),
            react_1.default.createElement(SkeletonBar, { width: 1 / 2 }))),
    react_1.default.createElement(SkeletonBar, null),
    react_1.default.createElement(SkeletonBar, null)));
exports.ComposedAsSkeletonLoader = ComposedAsSkeletonLoader;
const LightSkeletonLoader = () => (react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', maxWidth: '700px' },
    react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(SkeletonBar, { width: '100px', height: '100px', mr: 2, variation: 'light' }),
        react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', width: 'calc(100% - 100px)' },
            react_1.default.createElement(SkeletonBar, { width: 3 / 4, variation: 'light' }),
            react_1.default.createElement(SkeletonBar, { width: 1 / 2, variation: 'light' }))),
    react_1.default.createElement(SkeletonBar, { variation: 'light' }),
    react_1.default.createElement(SkeletonBar, { variation: 'light' })));
exports.LightSkeletonLoader = LightSkeletonLoader;
const DarkSkeletonLoader = () => (react_1.default.createElement(Box_1.Box, { color: 'background.darkest' },
    react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', maxWidth: '700px' },
        react_1.default.createElement(Flex_1.Flex, null,
            react_1.default.createElement(SkeletonBar, { width: '100px', height: '100px', mr: 2, variation: 'dark' }),
            react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column', width: 'calc(100% - 100px)' },
                react_1.default.createElement(SkeletonBar, { width: 3 / 4, variation: 'dark' }),
                react_1.default.createElement(SkeletonBar, { width: 1 / 2, variation: 'dark' }))),
        react_1.default.createElement(SkeletonBar, { animationWidth: 700, variation: 'dark' }),
        react_1.default.createElement(SkeletonBar, { animationWidth: 700, variation: 'dark' }))));
exports.DarkSkeletonLoader = DarkSkeletonLoader;
//# sourceMappingURL=Shimmer.stories.js.map