"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SkipMenu = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Flex_1 = require("../Flex/Flex");
const Link_1 = require("../Link/Link");
const SrOnly_1 = require("../SrOnly/SrOnly");
/*
 * :focus-within property not supported on ie11
 * If ie11 support is needed, we would probably need to go with state/focus delagation solution
 */
const OffScreenPanel = (0, styled_components_1.default)(SrOnly_1.SrOnly) `
  &:focus-within {
    height: auto;
    width: 100%;
    max-width: 100%;
    clip: auto;
    margin: 0;
    overflow: unset;
  }
`;
/**
 * @public
 */
function SkipMenu({ className, skipLinks, ...props }) {
    if (!skipLinks?.length)
        return null;
    return (react_1.default.createElement(OffScreenPanel, { "data-testid": 'skip-menu', as: Flex_1.Flex, className: className, ...props }, skipLinks?.map(({ label, targetId, ...skipLink }) => (react_1.default.createElement(Link_1.Link, { key: `skipLink_${targetId}`, href: `#${targetId}`, p: 2, ...skipLink }, label)))));
}
exports.SkipMenu = SkipMenu;
SkipMenu.displayName = 'SkipMenu';
//# sourceMappingURL=SkipMenu.js.map