"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const testing_library_1 = require("../__test__/testing-library");
const SkipMenu_1 = require("./SkipMenu");
describe('SkipMenu', () => {
    it('should not render if not links array is empty', () => {
        const { queryByTestId } = (0, testing_library_1.render)(react_1.default.createElement(SkipMenu_1.SkipMenu, null));
        expect(queryByTestId('skip-menu')).toBeFalsy();
    });
    it('should render all links in skipLinks list', () => {
        const skipLinks = [
            { label: 'link 1', targetId: 'link1' },
            { label: 'link 2', targetId: 'link2' },
        ];
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(SkipMenu_1.SkipMenu, { skipLinks: skipLinks }));
        const link1 = getByText('link 1');
        const link2 = getByText('link 2');
        expect(link1).toBeTruthy();
        expect(link1.getAttribute('href')).toBe('#link1');
        expect(link2).toBeTruthy();
        expect(link2.getAttribute('href')).toBe('#link2');
    });
});
//# sourceMappingURL=SkipMenu.spec.js.map