"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Arrow = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Button_1 = require("../Button/Button");
const Relative_1 = require("../Relative/Relative");
const Arrow_styled_1 = require("./Arrow.styled");
function Arrow({ isLeft, arrowButtonVariation, size, leftArrowClick, rightArrowClick, leftDisabled, rightDisabled, ...props }) {
    const Icon = isLeft ? pcln_icons_1.ChevronLeft : pcln_icons_1.ChevronRight;
    const { buttonSize, iconSize } = Arrow_styled_1.ARROW_SIZES[size];
    return (react_1.default.createElement(Relative_1.Relative, { zIndex: 99 },
        react_1.default.createElement(Button_1.Button, { p: 0, variation: arrowButtonVariation, onClick: isLeft ? leftArrowClick : rightArrowClick, height: buttonSize, width: buttonSize, boxShadowSize: 'md', disabled: isLeft ? leftDisabled : rightDisabled, ...props },
            react_1.default.createElement(Icon, { size: iconSize, pl: isLeft ? 0 : 1, pr: isLeft ? 1 : 0 }))));
}
exports.Arrow = Arrow;
//# sourceMappingURL=Arrow.js.map