"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomArrows = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Arrow_1 = require("./Arrow");
const Arrow_styled_1 = require("./Arrow.styled");
function BottomArrows({ arrowPosition, arrowProps }) {
    const isSide = arrowPosition === 'side';
    const Wrapper = isSide ? Arrow_styled_1.AbsoluteTransformRight : Flex_1.Flex;
    return ['bottom', 'side'].includes(arrowPosition) ? (react_1.default.createElement(Wrapper, { justifyContent: 'center', pt: isSide ? 0 : 2, right: 0, "data-testid": isSide ? 'side-right-arrow' : 'bottom-arrows' },
        isSide ? null : react_1.default.createElement(Arrow_1.Arrow, { mr: 3, isLeft: true, ...arrowProps }),
        react_1.default.createElement(Arrow_1.Arrow, { ...arrowProps }))) : null;
}
exports.BottomArrows = BottomArrows;
//# sourceMappingURL=BottomArrows.js.map