"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenderInView = void 0;
const react_1 = __importDefault(require("react"));
const react_intersection_observer_1 = require("react-intersection-observer");
const styled_components_1 = __importDefault(require("styled-components"));
const FullHeightInView = (0, styled_components_1.default)(react_intersection_observer_1.InView) `
  height: 100%;
`;
function RenderInView({ children, onSlideChange, index, slideRef }) {
    const slideVisible = (inView) => {
        if (inView) {
            const { offsetParent, offsetWidth } = slideRef?.current || {};
            // @ts-ignore
            const numSlides = Math.round(offsetParent?.offsetWidth / offsetWidth);
            onSlideChange(index, numSlides);
        }
    };
    return (react_1.default.createElement(FullHeightInView, { threshold: 0.01, "data-testid": `render-in-view-${index}`, onChange: slideVisible }, children));
}
exports.RenderInView = RenderInView;
//# sourceMappingURL=RenderInView.js.map