"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slide = void 0;
const react_1 = __importStar(require("react"));
const Box_1 = require("../Box/Box");
const RenderInView_1 = require("./RenderInView");
const SlideBox_styled_1 = require("./SlideBox.styled");
function Slide({ onSlideChange, slideSpacing, stretchHeight, index, content, isCurrentSlide, width, numSlides, slideBoxRef, overflowAllowancePxX, }) {
    const ref = (0, react_1.useRef)();
    (0, react_1.useEffect)(() => {
        /* istanbul ignore next */
        if (isCurrentSlide === true && typeof slideBoxRef?.current?.scroll === 'function' && ref?.current) {
            const { offsetLeft, offsetParent, offsetWidth } = ref.current;
            const { offsetWidth: parentOffset } = offsetParent || {};
            slideBoxRef?.current?.scroll({ left: offsetLeft - parentOffset + offsetWidth + overflowAllowancePxX });
        }
    }, [isCurrentSlide, ref]);
    return (react_1.default.createElement(SlideBox_styled_1.SlideWrapper, { "data-testid": `slide${index + 1}`, ref: ref, width: width },
        react_1.default.createElement(RenderInView_1.RenderInView, { onSlideChange: onSlideChange, index: index, slideRef: ref },
            react_1.default.createElement(Box_1.Box, { height: '100%', pl: index === 0 ? 2 : 0, pr: index === numSlides - 1 ? 2 : 0, ml: index === 0 ? 0 : slideSpacing, mr: index === numSlides - 1 ? 0 : slideSpacing }, stretchHeight && react_1.default.isValidElement(content)
                ? react_1.default.cloneElement(content, { style: { 'min-height': '100%' } })
                : content))));
}
exports.Slide = Slide;
//# sourceMappingURL=Slide.js.map