"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const test_utils_1 = require("react-intersection-observer/test-utils");
const testing_library_1 = require("../__test__/testing-library");
const Slide_1 = require("./Slide");
const props = {
    onSlideChange: jest.fn(),
    stretchHeight: false,
    index: 0,
    slideSpacing: 2,
    width: 1,
    numSlides: 2,
};
describe('Slide', () => {
    it('Expect scroll function to trigger', () => {
        (0, test_utils_1.mockAllIsIntersecting)(true);
        const slideBoxRef = {
            current: {
                scroll: jest.fn(),
                offsetWidth: 0,
            },
        };
        const { getByText } = (0, testing_library_1.render)(
        // @ts-ignore
        react_1.default.createElement(Slide_1.Slide, { isCurrentSlide: true, slideBoxRef: slideBoxRef, content: 'WOOP', ...props }));
        expect(slideBoxRef.current.scroll).toHaveBeenCalled();
        getByText('WOOP');
    });
    it('Expect to render without slideBoxRef', () => {
        (0, test_utils_1.mockAllIsIntersecting)(true);
        // @ts-ignore
        const { getByText } = (0, testing_library_1.render)(react_1.default.createElement(Slide_1.Slide, { slideBoxRef: undefined, isCurrentSlide: true, content: 'WOOP', ...props }));
        getByText('WOOP');
    });
});
//# sourceMappingURL=Slide.spec.js.map