"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlideBox = void 0;
const react_1 = __importStar(require("react"));
const BottomArrows_1 = require("./BottomArrows");
const Slide_1 = require("./Slide");
const SlideBox_styled_1 = require("./SlideBox.styled");
const SlideBoxWrapper_1 = require("./SlideBoxWrapper");
const TopArrows_1 = require("./TopArrows");
const helpers_1 = require("./helpers");
const useSlideBoxNav_1 = require("./useSlideBoxNav");
/**
 * @public
 */
function SlideBox({ children, visibleSlides, onSlideChange, slideSpacing, stretchHeight, layout, currentSlideOverride, arrowSizeOverride, arrowButtonVariation = 'white', arrowPosition = 'hide', slideScrollNum = 2, mobileSlideScrollNum = 1, overflowAllowancePxX = 0, overflowAllowancePxY = 4, overflowAllowancePxTop, }) {
    const childArray = react_1.default.Children.toArray(children);
    const ref = (0, react_1.useRef)();
    const { setCurrentSlide, currentSlide, onSlideChangeWrapper, arrowProps } = (0, useSlideBoxNav_1.useSlideBoxNav)({
        onSlideChange,
        currentSlideOverride,
        arrowSizeOverride,
        arrowButtonVariation,
        arrowPosition,
        childArray,
        slideScrollNum,
        mobileSlideScrollNum,
    });
    (0, react_1.useEffect)(() => {
        setCurrentSlide(currentSlideOverride);
    }, [currentSlideOverride]);
    return (react_1.default.createElement(SlideBoxWrapper_1.SlideBoxWrapper, { arrowPosition: arrowPosition },
        react_1.default.createElement(TopArrows_1.TopArrows, { arrowProps: arrowProps, arrowPosition: arrowPosition }),
        react_1.default.createElement(SlideBox_styled_1.ScrollFlex, { "data-testid": 'slide-box', ref: ref, pt: `${overflowAllowancePxTop || overflowAllowancePxY}px`, mt: `-${overflowAllowancePxTop || overflowAllowancePxY}px`, pb: `${overflowAllowancePxY}px`, mb: `-${overflowAllowancePxY}px`, px: `${overflowAllowancePxX}px`, mx: `-${overflowAllowancePxX}px` }, childArray.map((item, index) => (react_1.default.createElement(Slide_1.Slide, { key: item.props.key || `slide${index}`, width: layout ? (0, helpers_1.getCustomWidths)(layout.split('-'), index) : (0, helpers_1.getVisibleSlides)(visibleSlides), onSlideChange: onSlideChangeWrapper, slideSpacing: slideSpacing, stretchHeight: stretchHeight, index: index, content: item, isCurrentSlide: currentSlide === index, numSlides: childArray.length, slideBoxRef: ref, overflowAllowancePxX: overflowAllowancePxX })))),
        react_1.default.createElement(BottomArrows_1.BottomArrows, { arrowProps: arrowProps, arrowPosition: arrowPosition })));
}
exports.SlideBox = SlideBox;
//# sourceMappingURL=SlideBox.js.map