"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomLayout = exports.NoStrechHeight = exports.Default = void 0;
const addon_actions_1 = require("@storybook/addon-actions");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const BackgroundImage_1 = require("../BackgroundImage/BackgroundImage");
const Box_1 = require("../Box/Box");
const Card_1 = require("../Card/Card");
const Flex_1 = require("../Flex/Flex");
const Text_1 = require("../Text/Text");
const SlideBox_1 = require("./SlideBox");
const ToutCard = (0, styled_components_1.default)(Card_1.Card) `
  overflow: hidden;
`;
exports.default = {
    title: 'SlideBox',
    component: SlideBox_1.SlideBox,
};
const TileContents = ({ index }) => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(BackgroundImage_1.BackgroundImage, { height: '190px', width: '100%', image: 'https://cdn2.thecatapi.com/images/dnn.jpg' }),
    react_1.default.createElement(Flex_1.Flex, { color: 'background.lightest', p: [1, 1, 2, 2, 2, 3] },
        react_1.default.createElement(Box_1.Box, null,
            react_1.default.createElement(Text_1.Text, { fontSize: [0, null, 1, 1, 2], fontWeight: 'bold', mb: 2 },
                "City, ",
                index),
            react_1.default.createElement(Text_1.Text, { fontSize: [0, null, null, null, 1] }, "Hotel for 2 nights"),
            react_1.default.createElement(Text_1.Text, { fontSize: [0, null, null, null, 1] }, "+ Round-trip flight")),
        react_1.default.createElement(Text_1.Text, { textAlign: 'right', ml: 'auto' },
            react_1.default.createElement(Text_1.Text.s, { fontSize: [0, null, null, null, 1], fontWeight: 'bold' }, "$554"),
            react_1.default.createElement(Text_1.Text, { fontSize: [0, null, 1, 1, 3], fontWeight: 'bold', color: 'secondary.base', mx: 1 }, "$365"),
            react_1.default.createElement(Text_1.Text, { fontSize: [0, null, null, null, 1], color: 'text.light' }, "per person")))));
const Default = () => (react_1.default.createElement(Box_1.Box, { m: 3 },
    react_1.default.createElement(SlideBox_1.SlideBox, { visibleSlides: [0.7, 2.2, 3, 3, 4], onSlideChange: (0, addon_actions_1.action)('Slide Change'), slideSpacing: 2, stretchHeight: true, arrowPosition: 'side' }, Array.from(Array(20)).map((_, idx) => (react_1.default.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        react_1.default.createElement(TileContents, { index: idx })))))));
exports.Default = Default;
const NoStrechHeight = () => (react_1.default.createElement(Box_1.Box, { m: 3 },
    react_1.default.createElement(SlideBox_1.SlideBox, { visibleSlides: [1.2, 2.2, 3, 3, 4], onSlideChange: (0, addon_actions_1.action)('Slide Change'), slideSpacing: 2, arrowPosition: 'side' }, Array.from(Array(6)).map((_, idx) => (react_1.default.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        react_1.default.createElement(TileContents, null)))))));
exports.NoStrechHeight = NoStrechHeight;
const CustomLayout = () => (react_1.default.createElement(Box_1.Box, null,
    react_1.default.createElement(SlideBox_1.SlideBox, { visibleSlides: 2, onSlideChange: (0, addon_actions_1.action)('Slide Change'), slideSpacing: 2, stretchHeight: true, layout: '30-70', arrowPosition: 'side' }, Array.from(Array(6)).map((_, idx) => (react_1.default.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        react_1.default.createElement(TileContents, null)))))));
exports.CustomLayout = CustomLayout;
//# sourceMappingURL=SlideBox.stories.js.map