"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopArrows = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Arrow_1 = require("./Arrow");
const Arrow_styled_1 = require("./Arrow.styled");
function TopArrows({ arrowPosition, arrowProps }) {
    const isSide = arrowPosition === 'side';
    const Wrapper = isSide ? Arrow_styled_1.AbsoluteTransformLeft : Flex_1.Flex;
    return ['top', 'side'].includes(arrowPosition) ? (react_1.default.createElement(Wrapper, { justifyContent: 'flex-end', pb: isSide ? 0 : 2, zIndex: 1, "data-testid": isSide ? 'side-left-arrow' : 'top-arrows' },
        react_1.default.createElement(Arrow_1.Arrow, { isLeft: true, ...arrowProps }),
        isSide ? null : react_1.default.createElement(Arrow_1.Arrow, { ...arrowProps, ml: 3 }))) : null;
}
exports.TopArrows = TopArrows;
//# sourceMappingURL=TopArrows.js.map