"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCustomWidths = exports.getVisibleSlides = exports.getWidth = void 0;
const getWidth = (visibleSlides) => visibleSlides < 1 ? `${(100 / visibleSlides).toFixed(0)}%` : 1 / visibleSlides;
exports.getWidth = getWidth;
const getVisibleSlides = (visibleSlides) => Array.isArray(visibleSlides)
    ? visibleSlides.map((vs) => (0, exports.getWidth)(vs))
    : [(0, exports.getWidth)(1.1), null, null, (0, exports.getWidth)(2.1), (0, exports.getWidth)(visibleSlides)];
exports.getVisibleSlides = getVisibleSlides;
const getCustomWidths = (widths, index) => [
    (0, exports.getWidth)(1.1),
    null,
    null,
    (0, exports.getWidth)(2.1),
    `${widths[(index + widths.length) % widths.length]}%`,
];
exports.getCustomWidths = getCustomWidths;
//# sourceMappingURL=helpers.js.map