"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Spinner = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
const Flex_1 = require("../Flex/Flex");
const utils_1 = require("../utils/utils");
const Animate_1 = require("./../Animate/Animate");
const sizes = {
    small: (0, styled_components_1.css) `
    width: 48px;
    height: 48px;

    & > svg {
      width: 20px;
      height: 20px;
    }
  `,
    medium: (0, styled_components_1.css) `
    width: 64px;
    height: 64px;

    & > svg {
      width: 24px;
      height: 24px;
    }
  `,
    large: (0, styled_components_1.css) `
    width: 96px;
    height: 96px;

    & > svg {
      width: 36px;
      height: 36px;
    }
  `,
};
const RelativeFlex = (0, styled_components_1.default)(Flex_1.Flex) `
  position: relative;

  ${(0, utils_1.applySizes)(sizes, null)};
`;
const rotate = (0, styled_components_1.keyframes) `
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
`;
const Ring = styled_components_1.default.div `
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 2px solid ${(0, utils_1.getPaletteColor)('base')};
  border-top: 2px solid ${(0, utils_1.getPaletteColor)('background.lightest')};
  border-radius: 50%;
  animation: ${rotate} 1s linear infinite;
`;
const GradientRingWrapper = (0, styled_components_1.default)(Absolute_1.Absolute) `
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
`;
function GradientRing({ strokeWidth = '6px', ...props }) {
    const strokeColor = (0, utils_1.getPaletteColor)(props.color, 'base')(props);
    return (react_1.default.createElement(GradientRingWrapper, { mt: '-3px' },
        react_1.default.createElement(Animate_1.Animate, { variant: 'spin' },
            react_1.default.createElement("svg", { width: '100%', height: '100%', viewBox: '0 0 200 200', color: strokeColor, fill: 'none', overflow: 'visible' },
                react_1.default.createElement("defs", null,
                    react_1.default.createElement("linearGradient", { id: 'spinner-secondHalf' },
                        react_1.default.createElement("stop", { offset: '0%', "stop-opacity": '0', "stop-color": 'currentColor' }),
                        react_1.default.createElement("stop", { offset: '100%', "stop-opacity": '0.5', "stop-color": 'currentColor' })),
                    react_1.default.createElement("linearGradient", { id: 'spinner-firstHalf' },
                        react_1.default.createElement("stop", { offset: '0%', "stop-opacity": '1', "stop-color": 'currentColor' }),
                        react_1.default.createElement("stop", { offset: '100%', "stop-opacity": '0.5', "stop-color": 'currentColor' }))),
                react_1.default.createElement("g", { "stroke-width": strokeWidth },
                    react_1.default.createElement("path", { stroke: 'url(#spinner-secondHalf)', d: 'M 4 100 A 96 96 0 0 1 196 100' }),
                    react_1.default.createElement("path", { stroke: 'url(#spinner-firstHalf)', d: 'M 196 100 A 96 96 0 0 1 4 100' }),
                    react_1.default.createElement("path", { stroke: 'currentColor', "stroke-linecap": 'round', d: 'M 4 100 A 96 96 0 0 1 4 98' }))))));
}
/**
 * @public
 */
function Spinner({ children, color, useGradient = false, ...props }) {
    if (children) {
        react_1.default.Children.only(children);
    }
    const theme = (0, styled_components_1.useTheme)();
    return (react_1.default.createElement(RelativeFlex, { justifyContent: 'center', alignItems: 'center', ...props },
        useGradient ? react_1.default.createElement(GradientRing, { color: color, theme: theme, ...props }) : react_1.default.createElement(Ring, { color: color }),
        children &&
            react_1.default.isValidElement(children) &&
            react_1.default.cloneElement(children, {
                color: children?.props?.color || color,
            })));
}
exports.Spinner = Spinner;
Spinner.defaultProps = {
    color: 'primary',
    size: 'medium',
};
//# sourceMappingURL=Spinner.js.map