"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = exports.icons = exports.sizes = exports.iconMap = void 0;
const react_1 = __importDefault(require("react"));
const args_1 = require("../storybook/args");
const pcln_icons_1 = require("pcln-icons");
exports.iconMap = {
    Cars: react_1.default.createElement(pcln_icons_1.Cars, null),
    Hotels: react_1.default.createElement(pcln_icons_1.Hotels, null),
    Flights: react_1.default.createElement(pcln_icons_1.Flights, null),
};
exports.sizes = ['small', 'medium', 'large', '200px'];
exports.icons = ['Cars', 'Hotels', 'Flights'];
exports.defaultArgs = {
    size: 'medium',
    color: 'primary',
};
exports.argTypes = {
    size: {
        name: 'size',
        type: { name: 'string', required: false },
        description: 'Spinner size to render\nAccepts string or responsive array of strings.',
        table: {
            type: {
                summary: 'Sizes',
                detail: '- ' + exports.sizes.join('\n- '),
            },
            defaultValue: { summary: 'medium' },
        },
        control: {
            type: 'select',
            options: exports.sizes,
        },
    },
    color: {
        name: 'color',
        type: { name: 'string', required: false },
        description: 'Palette color to use',
        table: {
            type: {
                summary: 'Colors',
                detail: '- ' + args_1.colors.join('\n- '),
            },
            defaultValue: { summary: 'primary' },
        },
        control: {
            type: 'select',
            options: args_1.colors,
        },
    },
    icon: {
        name: 'icon',
        type: { name: 'string', required: false },
        description: 'Icon to use',
        table: {
            type: {
                summary: 'Icons',
                detail: '- ' + exports.icons.join('\n- '),
            },
            defaultValue: { summary: 'Cars' },
        },
        control: {
            type: 'select',
            options: exports.icons,
        },
    },
    useGradient: {
        name: 'useGradient',
        type: { name: 'boolean', required: false },
        description: 'Control to have a gradient on the ring or not',
    },
    strokeWidth: {
        name: 'strokeWidth',
        type: { name: 'string', required: false },
        description: 'Defines the width of the spinner ring(needs to useGradient to work)',
    },
};
//# sourceMappingURL=Spinner.stories.args.js.map