"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WithGradientDifferentSize = exports.WithGradientCustomWidth = exports.WithGradient = exports.Responsive = exports.MultipleIcons = exports.OverrideIconColor = exports.OverrideWidthAndHeight = exports.Large = exports.Small = exports.WithIcon = exports._Spinner = void 0;
const react_1 = __importDefault(require("react"));
const pcln_icons_1 = require("pcln-icons");
const Spinner_1 = require("./Spinner");
const Spinner_stories_args_1 = require("./Spinner.stories.args");
exports.default = {
    title: 'core / Spinner',
    component: Spinner_1.Spinner,
    args: Spinner_stories_args_1.defaultArgs,
    argTypes: Spinner_stories_args_1.argTypes,
};
const Template = (args) => {
    const { children, icon } = args;
    const Child = typeof icon === 'string' ? Spinner_stories_args_1.iconMap[icon] : children;
    return react_1.default.createElement(Spinner_1.Spinner, { ...args }, Child);
};
exports._Spinner = Template.bind({});
exports.WithIcon = Template.bind({});
exports.WithIcon.args = { children: react_1.default.createElement(pcln_icons_1.Hotels, null) };
exports.Small = Template.bind({});
exports.Small.args = { size: 'small', children: react_1.default.createElement(pcln_icons_1.Hotels, null) };
exports.Large = Template.bind({});
exports.Large.args = { size: 'large', children: react_1.default.createElement(pcln_icons_1.Hotels, null) };
exports.OverrideWidthAndHeight = Template.bind({});
exports.OverrideWidthAndHeight.args = { size: '240px', children: react_1.default.createElement(pcln_icons_1.Hotels, { size: 40 }) };
exports.OverrideIconColor = Template.bind({});
exports.OverrideIconColor.args = {
    color: 'secondary',
    children: react_1.default.createElement(pcln_icons_1.Hotels, { color: 'promoPrimary' }),
};
exports.MultipleIcons = Template.bind({});
exports.MultipleIcons.args = {
    children: (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(pcln_icons_1.Hotels, { color: 'secondary' }),
        react_1.default.createElement(pcln_icons_1.Hotels, { color: 'warning' }))),
};
exports.Responsive = Template.bind({});
exports.Responsive.args = {
    size: ['small', null, 'medium', null, 'large'],
    children: react_1.default.createElement(pcln_icons_1.Hotels, null),
};
exports.Responsive.parameters = {
    viewport: { defaultViewport: 'designSystem_sm' },
};
exports.WithGradient = Template.bind({});
exports.WithGradient.args = {
    size: 'large',
    useGradient: true,
};
exports.WithGradientCustomWidth = Template.bind({});
exports.WithGradientCustomWidth.args = {
    size: 'large',
    useGradient: true,
    strokeWidth: '10px',
};
exports.WithGradientDifferentSize = Template.bind({});
exports.WithGradientDifferentSize.args = {
    size: 'medium',
    useGradient: true,
};
//# sourceMappingURL=Spinner.stories.js.map