"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stamp = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const attrs_1 = require("../utils/attrs");
const utils_1 = require("../utils/utils");
const sizes = {
    small: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('textStyles.small')}
    line-height: ${(0, theme_get_1.default)('lineHeights.display')};
    min-height: 20px;
    & > svg {
      width: 12px;
      height: 12px;
    }
  `,
    medium: (0, styled_components_1.css) `
    ${(0, theme_get_1.default)('textStyles.display0')}
    line-height: ${(0, theme_get_1.default)('lineHeights.standard')};
    min-height: 24px;
    & > svg {
      width: 14px;
      height: 14px;
    }
  `,
};
const variations = {
    outline: (0, styled_components_1.css) `
    color: ${(0, utils_1.getPaletteColor)('base')};
    border-color: ${(props) => (0, utils_1.getPaletteColor)(props.borderColor, 'base')(props)};
    ${(props) => (props.bg ? `background-color: ${(0, utils_1.getPaletteColor)(props.bg, 'base')(props)};` : '')}
  `,
    fill: (0, styled_components_1.css) `
    color: ${(0, utils_1.getTextColorOn)('base')};
    background-color: ${(0, utils_1.getPaletteColor)('base')};
    border-color: ${(0, utils_1.getPaletteColor)('base')};
  `,
    // todo: remove this copy of the fill variation in v4 as its name does not follow conventions
    solid: (0, styled_components_1.css) `
    color: ${(0, utils_1.getTextColorOn)('base')};
    background-color: ${(0, utils_1.getPaletteColor)('base')};
    border-color: ${(0, utils_1.getPaletteColor)('base')};
  `,
};
/**
 * @public
 */
exports.Stamp = styled_components_1.default.div.attrs(attrs_1.borderRadiusAttrs) `
  display: inline-flex;
  align-items: center;
  vertical-align: top;
  min-height: 24px;
  text-transform: uppercase;
  letter-spacing: ${(0, theme_get_1.default)('letterSpacings.caps')};
  border-radius: 2px;
  border-width: 1px;
  border-style: solid;
  color: ${(0, utils_1.getPaletteColor)('base')};

  ${({ theme }) => (0, utils_1.applySizes)(sizes, undefined, theme.mediaQueries)};
  ${(0, utils_1.applyVariations)('Stamp', variations)};
  ${utils_1.colorScheme}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize, styled_system_1.borderRadius)(props)}
`;
exports.Stamp.displayName = 'Stamp';
exports.Stamp.defaultProps = {
    px: 1,
    py: 0,
    color: 'border.light',
    bg: 'background.light',
    borderColor: 'border.base',
    borderRadius: 'md',
    size: 'medium',
    variation: 'outline',
};
//# sourceMappingURL=Stamp.js.map