"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.PassAnArrayOfSizes = exports.CustomTextSize = exports.CustomBackgroundAndBorderColor = exports.StampComponent = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Text_1 = require("../Text/Text");
const args_1 = require("../storybook/args");
const Stamp_1 = require("./Stamp");
const Stamp_stories_args_1 = require("./Stamp.stories.args");
// for Args
// const sizes = { small: 'small', medium: 'medium' }
// const variations = { outline: 'outline', fill: 'fill' }
// const colors = {
//   primary: 'primary',
//   secondary: 'secondary',
//   text: 'text',
//   success: 'success',
//   error: 'error',
//   warning: 'warning',
//   alert: 'alert',
//   caution: 'caution',
//   notify: 'notify',
//   pricePrimary: 'pricePrimary',
//   priceSecondary: 'priceSecondary',
//   promoPrimary: 'promoPrimary',
//   promoSecondary: 'promoSecondary',
//   border: 'border',
//   background: 'background',
// }
const BlueStamp = (0, styled_components_1.default)(Stamp_1.Stamp).attrs(() => ({
    borderColor: 'primary',
    bg: 'primary',
    color: 'background.lightest',
    mr: 2,
})) ``;
exports.default = {
    title: 'Stamp',
    component: Stamp_1.Stamp,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Stamp /> component to subtly display attributes alongside listing cells and on product detail pages. Use it in conjunction with a named `pcln-icons` icon component to give it more context. An icon placed within a Stamp will inherit the assigned Stamp color.',
            },
        },
    },
    argTypes: Stamp_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(Stamp_1.Stamp, { ...args }, "text here");
exports.StampComponent = Template.bind({});
exports.StampComponent.args = { color: 'primary' };
const CustomBackgroundAndBorderColor = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(Stamp_1.Stamp, { color: 'background.lightest', bg: 'primary', borderColor: 'primary', mr: 2 }, "custom border and background"),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'error', bg: 'background.lightest', borderColor: 'primary', mr: 2 }, "custom border and background")));
exports.CustomBackgroundAndBorderColor = CustomBackgroundAndBorderColor;
const CustomTextSize = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(Stamp_1.Stamp, { color: 'white', bg: 'blue', borderColor: 'blue', mr: 2 },
        react_1.default.createElement(Text_1.Text, { fontSize: 0 }, "Yorkie")),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'white', bg: 'blue', borderColor: 'blue', mr: 2 },
        react_1.default.createElement(Text_1.Text, { fontSize: 1 }, "Jack Russell")),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'white', bg: 'blue', borderColor: 'blue', mr: 2 },
        react_1.default.createElement(Text_1.Text, { fontSize: 2 }, "Golden Retriever")),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'white', bg: 'blue', borderColor: 'blue', mr: 2 },
        react_1.default.createElement(Text_1.Text, { fontSize: 3 }, "Doberman")),
    react_1.default.createElement(Stamp_1.Stamp, { color: 'white', bg: 'blue', borderColor: 'blue', mr: 2 },
        react_1.default.createElement(Text_1.Text, { fontSize: 4 }, "Malamute"))));
exports.CustomTextSize = CustomTextSize;
const PassAnArrayOfSizes = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(BlueStamp, { size: ['medium', null, null, null, null, null] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at xs")),
    react_1.default.createElement(BlueStamp, { size: ['small', 'medium', null, null, null, null] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at sm")),
    react_1.default.createElement(BlueStamp, { size: ['small', null, 'medium', null, null, null] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at md")),
    react_1.default.createElement(BlueStamp, { size: ['small', 'small', null, 'medium', null, null] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at lg")),
    react_1.default.createElement(BlueStamp, { size: ['small', null, null, null, 'medium', null] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at xl")),
    react_1.default.createElement(BlueStamp, { size: ['small', null, null, null, null, 'medium'] },
        react_1.default.createElement(pcln_icons_1.Pin, { pr: 1 }),
        react_1.default.createElement(Text_1.Text, null, "Larger at xxl"))));
exports.PassAnArrayOfSizes = PassAnArrayOfSizes;
const ColorSchemesTemplate = () => {
    return (react_1.default.createElement(react_1.default.Fragment, null, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Stamp_1.Stamp, { m: 3, colorScheme: colorScheme, key: colorScheme },
        react_1.default.createElement(pcln_icons_1.Airplane, { mr: 2 }),
        colorScheme)))));
};
exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=Stamp.stories.js.map