"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Step = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Button_1 = require("../Button/Button");
const Text_1 = require("../Text/Text");
const utils_1 = require("../utils/utils");
const StepButton = (0, styled_components_1.default)(Button_1.Button) `
  display: flex;
  background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
  color: ${(0, utils_1.getPaletteColor)('base')};
  cursor: ${(props) => (props.onClick ? 'pointer' : 'default')};
  padding: 0;
  font-weight: unset;

  &:hover {
    background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
  }
`;
/**
 * @public
 */
function Step({ className, active, completed, children, onClick, ...props }) {
    const color = active || completed ? 'primary' : 'text.light';
    return (react_1.default.createElement(StepButton, { className: className, alignItems: 'center', onClick: onClick, mr: 4, ...props },
        completed && (react_1.default.createElement(pcln_icons_1.Check, { color: 'primary', size: 16, mr: 1, "aria-hidden": false, "aria-label": 'Step Completed' })),
        react_1.default.createElement(Text_1.Text, { color: color, bold: active, fontSize: 1, "aria-selected": active }, children)));
}
exports.Step = Step;
Step.displayName = 'Step';
Step.defaultProps = {
    className: '',
    active: false,
    completed: false,
};
//# sourceMappingURL=Step.js.map