"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Swatch = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Flex_1 = require("../Flex/Flex");
const utils_1 = require("../utils/utils");
const SwatchColor = styled_components_1.default.div `
  height: 24px;
  width: 24px;
  background-color: ${(props) => props.color};
  border-radius: 50%;
  border: 1px solid ${(0, utils_1.getPaletteColor)('border.base')};
  display: flex;
  margin: 4px;
  cursor: ${(props) => (props.onClick ? 'pointer' : 'default')};
`;
/**
 * @public
 */
function Swatch({ colors, onClick, ...props }) {
    return (react_1.default.createElement(Flex_1.Flex, { flexWrap: 'wrap', ...props }, colors.map((color, idx) => (react_1.default.createElement(SwatchColor, { "data-testid": `${idx}-${color}`, key: `${idx}-${color}`, color: color, onClick: onClick ? () => onClick(color) : undefined })))));
}
exports.Swatch = Swatch;
Swatch.displayName = 'Swatch';
//# sourceMappingURL=Swatch.js.map