"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tab = void 0;
const Tabs = __importStar(require("@radix-ui/react-tabs"));
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Grid_1 = require("../Grid/Grid");
const Tab_styled_1 = require("./Tab.styled");
const TabButton_1 = require("./TabButton");
const TabChip_1 = require("./TabChip");
const TabRadio_1 = require("./TabRadio");
const Tab = ({ tabsData, orientation = 'horizontal', size = 'md', type = 'button', border = false, tabGap, isTransparent = false, dynamicTabWidth = false, ariaLabel = 'Tabs', defaultValue = tabsData[0].id, buttonChipProps, }) => {
    const [isActive, setIsActive] = react_1.default.useState(`${defaultValue}`);
    function onTabSelect(tab) {
        setIsActive(tab.id);
        tab.onTabSelect();
    }
    const renderTab = (tab) => {
        switch (type) {
            case 'chip':
                return (react_1.default.createElement(TabChip_1.TabChip, { isActive: isActive, onTabSelect: () => {
                        onTabSelect(tab);
                    }, dynamicTabWidth: dynamicTabWidth, tab: tab, size: size, buttonChipProps: buttonChipProps }));
            case 'button':
                return (react_1.default.createElement(TabButton_1.TabButton, { onTabSelect: () => {
                        onTabSelect(tab);
                    }, dynamicTabWidth: dynamicTabWidth, isTransparent: isTransparent, border: border, tab: tab, size: size }));
            case 'radio':
                return (react_1.default.createElement(TabRadio_1.TabRadio, { onTabSelect: () => {
                        onTabSelect(tab);
                    }, tab: tab, isActive: isActive }));
        }
    };
    const gridProps = (dynamicTabWidth) => {
        switch (dynamicTabWidth) {
            case true:
                return {
                    autoFlow: 'column',
                    columnGap: tabGap,
                };
            case false:
                return {
                    autoFlow: 'column',
                    autoColumns: 'max-content',
                    columnGap: tabGap,
                };
        }
    };
    if (orientation === 'vertical') {
        return (react_1.default.createElement(Tabs.Root, { defaultValue: `tab-${defaultValue}` },
            react_1.default.createElement(Tab_styled_1.TabList, { orientation: 'vertical', "aria-label": ariaLabel },
                react_1.default.createElement(Grid_1.Grid, { gap: tabGap }, tabsData.map((tab, index) => (react_1.default.createElement(react_1.default.Fragment, null, renderTab(tab)))))),
            react_1.default.createElement(Box_1.Box, null, tabsData.map((tab) => {
                return (react_1.default.createElement(Tabs.Content, { key: `tab-${tab.id}`, value: `tab-${tab.id}` }, tab.children));
            }))));
    }
    return (react_1.default.createElement(Tabs.Root, { defaultValue: `tab-${defaultValue}` },
        react_1.default.createElement(Tab_styled_1.TabList, { orientation: orientation, "aria-label": ariaLabel },
            react_1.default.createElement(Grid_1.Grid, { ...gridProps(dynamicTabWidth) }, tabsData.map((tab) => {
                return renderTab(tab);
            }))),
        react_1.default.createElement(Box_1.Box, null, tabsData.map((tab) => {
            return (react_1.default.createElement(Tabs.Content, { key: `tab-${tab.id}`, value: `tab-${tab.id}` }, tab.children));
        }))));
};
exports.Tab = Tab;
exports.Tab.displayName = 'Tab';
//# sourceMappingURL=Tab.js.map