"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.argTypes = exports.defaultArgs = void 0;
const tabContent_1 = require("../__test__/mocks/tabContent");
exports.defaultArgs = {
    size: 'md',
    type: 'button',
    tabsData: [
        {
            id: 't1',
            text: 'Tab 1',
            children: (0, tabContent_1.DefaultContent)(),
            onTabSelect: () => { },
        },
        {
            id: 't2',
            text: 'Tab 2',
            children: (0, tabContent_1.DefaultContent2)(),
            onTabSelect: () => { },
        },
        {
            id: 't3',
            text: 'Tab 3',
            children: (0, tabContent_1.DefaultContent3)(),
            onTabSelect: () => {
                alert('onTabSelectFired!');
            },
        },
    ],
};
exports.argTypes = {
    size: {
        control: 'select',
        options: ['sm', 'md'],
    },
    type: {
        control: 'select',
        options: ['chip', 'radio', 'button'],
    },
    orientation: {
        control: 'select',
        options: ['horizontal', 'vertical'],
    },
    tabGap: {
        control: 'number',
    },
    isTransparent: {
        defaultValue: false,
        control: 'boolean',
    },
    border: {
        defaultValue: false,
        control: 'boolean',
    },
    dynamicTabWidth: {
        defaultValue: false,
        control: 'boolean',
    },
    defaultValue: {
        defaultValue: 't1',
        control: 'select',
        options: ['t1', 't2', 't3'],
    },
};
//# sourceMappingURL=Tab.stories.args.js.map