"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconChipTabs = exports.IconButtonTabs = exports.NoIconNoHoverButtonTabs = exports.NoIconButtonTabsWithDynamicTabWidth = exports.NoIconButtonTabs = exports.NoIconRadioTabs = exports.NoIconChipTabs = exports.Playground = void 0;
const react_1 = __importDefault(require("react"));
const StoryStage_1 = require("../DocsUtils/StoryStage/StoryStage");
const Tab_1 = require("./Tab");
const Tab_stories_args_1 = require("./Tab.stories.args");
const pcln_icons_1 = require("pcln-icons");
const tabContent_1 = require("../__test__/mocks/tabContent");
exports.Playground = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
};
exports.NoIconChipTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        buttonChipProps: {},
        type: 'chip',
        size: 'md',
    },
};
exports.NoIconRadioTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        type: 'radio',
        size: 'md',
    },
};
exports.NoIconButtonTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        size: 'md',
    },
};
exports.NoIconButtonTabsWithDynamicTabWidth = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        size: 'md',
        dynamicTabWidth: true,
    },
};
exports.NoIconNoHoverButtonTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, { style: { backgroundColor: 'red' } },
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        isTransparent: true,
        size: 'md',
    },
};
exports.IconButtonTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        tabsData: [
            {
                id: 't1',
                icon: pcln_icons_1.Departure,
                text: 'Testingsssss longer button',
                children: (0, tabContent_1.DefaultContent)(),
                onTabSelect: () => { },
            },
            {
                id: 't2',
                icon: pcln_icons_1.Departure,
                text: 'LongerIsh Tab 2',
                children: (0, tabContent_1.DefaultContent2)(),
                onTabSelect: () => { },
            },
            {
                id: 't3',
                icon: pcln_icons_1.Departure,
                text: 'LongerishTab3',
                children: (0, tabContent_1.DefaultContent3)(),
                onTabSelect: () => { },
            },
        ],
        size: 'md',
    },
};
exports.IconChipTabs = {
    render: (args) => (react_1.default.createElement(StoryStage_1.StoryStage, null,
        react_1.default.createElement(Tab_1.Tab, { ...args }))),
    args: {
        ...Tab_stories_args_1.defaultArgs,
        tabsData: [
            {
                id: 't1',
                icon: pcln_icons_1.Departure,
                text: 'Testingsssss longer button',
                children: (0, tabContent_1.DefaultContent)(),
                onTabSelect: () => { },
            },
            {
                id: 't2',
                icon: pcln_icons_1.Departure,
                text: 'LongerIsh Tab 2',
                children: (0, tabContent_1.DefaultContent2)(),
                onTabSelect: () => { },
            },
            {
                id: 't3',
                icon: pcln_icons_1.Departure,
                text: 'LongerishTab3',
                children: (0, tabContent_1.DefaultContent3)(),
                onTabSelect: () => { },
            },
        ],
        size: 'md',
        type: 'chip',
    },
};
const meta = {
    title: 'Tabs',
    component: Tab_1.Tab,
    args: Tab_stories_args_1.defaultArgs,
    argTypes: Tab_stories_args_1.argTypes,
    parameters: {
        controls: {
            exclude: ['triggerNode', 'tabsContent', 'tabsData'],
        },
    },
};
exports.default = meta;
//# sourceMappingURL=Tab.stories.js.map