"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabList = exports.TabTriggerRadio = exports.TabTriggerButton = exports.StyledText = void 0;
const Tab = __importStar(require("@radix-ui/react-tabs"));
const styled_components_1 = __importStar(require("styled-components"));
const utils_1 = require("../utils");
const Text_1 = require("../Text/Text");
const getSizeStyles = (size, icon) => {
    switch (size) {
        case 'sm':
            return (0, styled_components_1.css) `
        font-size: 12px;
        padding: 12px;
      `;
        case 'md':
            return (0, styled_components_1.css) `
        font-size: 14px;
        padding: 16px;
        ${icon && `padding-left: 8px;`}
      `;
    }
};
exports.StyledText = (0, styled_components_1.default)(Text_1.Text) `
  ${(props) => getSizeStyles(props.size, props.icon)}
  font-family: Montserrat;
`;
exports.TabTriggerButton = (0, styled_components_1.default)(Tab.Trigger) `
  cursor: pointer;
  border: ${(props) => (props.buttonBorder ? `1px solid ${(0, utils_1.getPaletteColor)('border.light')(props)}` : 'none')};
  width: ${(props) => (props.dynamicTabWidth ? '100%' : 'auto')};
  border-radius: 12px 12px 0 0;
  color: ${(0, utils_1.getPaletteColor)('primary.base')};
  background-color: ${(props) => !props.isTransparent ? (0, utils_1.getPaletteColor)('text.lightest')(props) : 'transparent'};

  &:hover {
    color: ${(0, utils_1.getPaletteColor)('primary.dark')};
    background-color: ${(props) => !props.isTransparent ? (0, utils_1.getPaletteColor)('background.base')(props) : 'transparent'};
  }

  &[data-state='active'] {
    &:hover {
      background-color: ${(props) => !props.isTransparent ? (0, utils_1.getPaletteColor)('primary.light')(props) : 'transparent'};
    }
    &::after {
      margin: -4px 12px 0;
      content: '';
      display: block;
      height: 4px;
      background-color: ${(0, utils_1.getPaletteColor)('primary.base')};
      border-radius: 12px 12px 0 0;
    }
    &:hover {
      &::after {
        background-color: ${(props) => (0, utils_1.getPaletteColor)('primary.dark')(props)};
      }
    }
  }
`;
exports.TabTriggerRadio = (0, styled_components_1.default)(Tab.Trigger) `
  cursor: pointer;
 }
`;
exports.TabList = (0, styled_components_1.default)(Tab.List) `
  flex-direction: ${(props) => (props?.orientation === 'horizontal' ? 'row' : 'column')};
`;
//# sourceMappingURL=Tab.styled.js.map