"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabRadio = void 0;
const react_1 = __importDefault(require("react"));
const Flex_1 = require("../Flex/Flex");
const Label_1 = require("../Label/Label");
const Radio_1 = require("../Radio/Radio");
const Tab_styled_1 = require("./Tab.styled");
const TabRadio = ({ tab, isActive, onTabSelect, }) => {
    return (react_1.default.createElement(Tab_styled_1.TabTriggerRadio, { asChild: true, value: `tab-${tab.id}`, key: `tab-${tab.id}` },
        react_1.default.createElement(Flex_1.Flex, { alignItems: 'center', mr: 2 },
            react_1.default.createElement(Label_1.Label, { fontSize: '14px' },
                react_1.default.createElement(Radio_1.Radio, { value: tab.id, checked: isActive === tab.id, name: tab.id, onChange: onTabSelect }),
                tab.text))));
};
exports.TabRadio = TabRadio;
//# sourceMappingURL=TabRadio.js.map