"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = exports.textShadow = exports.textDecoration = exports.bold = exports.regular = exports.caps = void 0;
const styled_components_1 = __importStar(require("styled-components"));
const styled_system_1 = require("styled-system");
const textAlignAttrs_1 = require("../utils/attrs/textAlignAttrs");
const typographyAttrs_1 = require("../utils/attrs/typographyAttrs");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
const caps = (props) => {
    if (Array.isArray(props.caps) && props.caps.length === 0) {
        return null;
    }
    return props?.caps
        ? {
            textTransform: 'uppercase',
        }
        : null;
};
exports.caps = caps;
const regular = (props) => (props.regular ? { fontWeight: props.theme.regular } : null);
exports.regular = regular;
const bold = (props) => {
    if (Array.isArray(props.bold) && props.bold.length === 0) {
        return null;
    }
    return props.bold ? { fontWeight: props.theme.bold } : null;
};
exports.bold = bold;
const textDecoration = (props) => props.textDecoration ? `text-decoration: ${props.textDecoration};` : '';
exports.textDecoration = textDecoration;
const textShadow = (props) => {
    const textShadowSize = props.textShadowSize || 'md';
    return props.enableTextShadow ? { textShadow: props.theme.textShadows[textShadowSize] } : null;
};
exports.textShadow = textShadow;
const textProps = (0, styled_components_1.css) `
  ${(0, utils_1.applyVariations)('Text')}
  color: ${(0, utils_1.getPaletteColor)('base')};
  ${(props) => (props.bg ? `background-color: ${(0, utils_1.getPaletteColor)(props.bg, 'base')(props)};` : '')}

  ${exports.bold}
  ${exports.caps}
  ${utils_1.colorScheme}
  ${exports.regular}
  ${exports.textDecoration}
  ${exports.textShadow}
  ${utils_1.textTransform}
  ${utils_1.textWrap}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.display, styled_system_1.height, styled_system_1.maxHeight, styled_system_1.maxWidth, styled_system_1.minHeight, styled_system_1.minWidth, styled_system_1.overflow, styled_system_1.space, styled_system_1.width, styled_system_1.fontSize, styled_system_1.fontStyle, styled_system_1.fontWeight, styled_system_1.lineHeight, styled_system_1.letterSpacing, styled_system_1.textAlign, styled_system_1.textStyle, styled_system_1.zIndex)(props)}
`;
const textAttrs = (props) => ({
    ...(0, typographyAttrs_1.typographyAttrs)(props),
    ...(0, textAlignAttrs_1.textAlignAttrs)(props),
});
/**
 * @public
 */
exports.Text = styled_components_1.default.div.attrs(textAttrs) `
  ${textProps}
`;
const Span = styled_components_1.default.span.attrs(textAttrs) `
  ${textProps}
`;
const Paragraph = styled_components_1.default.p.attrs(textAttrs) `
  ${textProps}
`;
const Strike = styled_components_1.default.s.attrs(textAttrs) `
  ${textProps}
`;
exports.Text.displayName = 'Text';
exports.Text.span = Span;
exports.Text.span.displayName = 'Text.span';
exports.Text.p = Paragraph;
exports.Text.p.displayName = 'Text.p';
exports.Text.s = Strike;
exports.Text.s.displayName = 'Text.s';
//# sourceMappingURL=Text.js.map