"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextArea = void 0;
const theme_get_1 = __importDefault(require("@styled-system/theme-get"));
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.TextArea = styled_components_1.default.textarea `
  appearance: none;
  display: block;
  width: 100%;
  font-family: inherit;
  font-size: ${(0, theme_get_1.default)('fontSizes.1')}px;
  color: inherit;
  background-color: transparent;
  border-radius: ${(0, theme_get_1.default)('borderRadii.lg')};
  border-width: 1px;
  border-style: solid;

  padding-top: 14px;
  padding-bottom: 14px;
  padding-left: 12px;
  padding-right: 12px;

  margin: 0;

  ::placeholder {
    color: ${(0, utils_1.getPaletteColor)('text.light')};
  }

  ::-ms-clear {
    display: none;
  }

  ${(0, utils_1.applyVariations)('TextArea')}
  ${utils_1.borders} ${styled_system_1.space};
`;
exports.TextArea.displayName = 'TextArea';
exports.TextArea.isField = true;
//# sourceMappingURL=TextArea.js.map