"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const __1 = require("..");
const id = 'fake-test-id';
describe('TextArea', () => {
    test('it renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(__1.TextArea, { id: id })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('it renders an input element with a red border with a color prop is passed', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(__1.TextArea, { id: id, color: 'error' })).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('it renders an input element with a really large padding and margin', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(__1.TextArea, { id: id, p: 4, m: 4 })).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=TextArea.spec.js.map