"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefs = exports.WithExternalLabel = exports.Colors = exports.TextAreaComponent = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Button_1 = require("../Button/Button");
const Label_1 = require("../Label/Label");
const TextArea_1 = require("../TextArea/TextArea");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
exports.default = {
    title: 'TextArea',
    component: TextArea_1.TextArea,
    parameters: {
        docs: {
            description: {
                component: 'Simple styled textarea component that accepts a color.',
            },
        },
    },
};
const TextAreaComponent = () => react_1.default.createElement(TextArea_1.TextArea, { id: 'textarea-default', my: 3 });
exports.TextAreaComponent = TextAreaComponent;
const Colors = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-1', placeholder: 'No color' }),
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-2', color: 'primary', placeholder: 'Primary' }),
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-3', color: 'secondary', placeholder: 'Secondary' }),
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-4', color: 'warning', placeholder: 'Warning' }),
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-5', color: 'alert', placeholder: 'Alert' }),
    react_1.default.createElement(TextArea_1.TextArea, { mb: 3, id: 'textarea-colors-6', color: 'caution', placeholder: 'Caution' })));
exports.Colors = Colors;
const WithExternalLabel = () => (react_1.default.createElement(Box_1.Box, { width: 400 },
    react_1.default.createElement(Label_1.Label, { fontSize: 4, htmlFor: 'sample-textarea' }, "Label!"),
    react_1.default.createElement(TextArea_1.TextArea, { id: 'sample-textarea', placeholder: 'Click the label' })));
exports.WithExternalLabel = WithExternalLabel;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.value = 'Happy Panda :D');
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(TextArea_1.TextArea, { ref: dsRef, value: 'Sad Panda :(' }),
            react_1.default.createElement(Button_1.Button, { onClick: onClick, mt: 4 }, "Click to change input value via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
//# sourceMappingURL=TextArea.stories.js.map