"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomBreakpoints = void 0;
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const Text_1 = require("../Text/Text");
const ThemeProvider_1 = require("./ThemeProvider");
exports.default = {
    title: 'ThemeProvider',
    component: ThemeProvider_1.ThemeProvider,
};
// We could create a function to generate these arrays dynamically
const mediaSizes = {
    xs: ['99999em', '99999em', '99999em', '99999em', '99999em'],
    sm: ['32em', '99999em', '99999em', '99999em', '99999em'],
    md: ['0em', '40em', '99999em', '99999em', '99999em'],
    lg: ['0em', '0em', '48em', '99999em', '99999em'],
    xl: ['0em', '0em', '0em', '64em', '99999em'],
    xxl: ['0em', '0em', '0em', '0em', '80em'],
};
/** @public */
const FixedThemeWrapper = ({ children, size }) => {
    const customBreakpoints = mediaSizes[size];
    if (!children)
        return null;
    if (!customBreakpoints)
        return children;
    return (react_1.default.createElement(ThemeProvider_1.ThemeProvider, { customBreakpoints: customBreakpoints, "data-testid": 'theme-provider' }, children));
};
const CustomBreakpoints = () => {
    return ['xs', 'sm', 'md', 'lg', 'xl', 'xxl'].map((size) => (react_1.default.createElement(FixedThemeWrapper, { size: size, key: 'size' },
        react_1.default.createElement(Box_1.Box, { my: 2, key: size, color: 'white', bg: 'primary', width: [1, 1 / 2, 1 / 4] },
            react_1.default.createElement(Box_1.Box, { width: '350px', mr: 3 },
                react_1.default.createElement(Text_1.Text, { fontSize: [3, null, null, 5] },
                    "TEST - ",
                    size))))));
};
exports.CustomBreakpoints = CustomBreakpoints;
//# sourceMappingURL=ThemeProvider.stories.js.map