"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Toast = void 0;
const react_1 = __importStar(require("react"));
const pcln_icons_1 = require("pcln-icons");
const Absolute_1 = require("../Absolute/Absolute");
const Flex_1 = require("../Flex/Flex");
const Relative_1 = require("../Relative/Relative");
const Text_1 = require("../Text/Text");
const Toast_styled_1 = require("./Toast.styled");
/**
 * @public
 */
function Toast({ children, color = 'text.light', hideClose, icon, id, lifespan, variation = 'fill', onRemoveClick, ...props }) {
    (0, react_1.useEffect)(() => {
        let timer;
        if (lifespan > 0) {
            timer = setTimeout(() => {
                onRemoveClick(id);
            }, lifespan);
        }
        return () => clearTimeout(timer);
    }, []);
    function handleRemoveClick() {
        onRemoveClick(id);
    }
    return (react_1.default.createElement(Relative_1.Relative, null,
        react_1.default.createElement(Toast_styled_1.LeftBorderFlex, { ...props, alignItems: 'center', borderRadius: 'lg', boxShadowSize: 'xl', color: color, justifyContent: 'space-between', variation: variation, p: 3, iconUsesColorScheme: !icon?.props.color },
            icon && react_1.default.createElement(Flex_1.Flex, { mr: 3 }, react_1.default.cloneElement(icon, { color: variation === 'border' && color })),
            react_1.default.createElement(Flex_1.Flex, { width: '100%' }, typeof children === 'string' ? react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph' }, children) : children)),
        !hideClose && (react_1.default.createElement(Absolute_1.Absolute, { top: -12, right: -12 },
            react_1.default.createElement(Toast_styled_1.RoundIconButton, { borderRadius: 'full', boxShadowSize: 'sm', icon: react_1.default.createElement(pcln_icons_1.Close, { color: 'primary', size: 20, title: 'close-toast' }), onClick: handleRemoveClick })))));
}
exports.Toast = Toast;
//# sourceMappingURL=Toast.js.map