"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._ColorSchemeBorderVariation = exports._ColorScheme = exports._Toast = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Box_1 = require("../Box/Box");
const theme_1 = require("../theme/theme");
const Toast_1 = require("./Toast");
const Toast_stories_args_1 = require("./Toast.stories.args");
exports.default = {
    title: 'Core / Toast',
    component: Toast_1.Toast,
    args: Toast_stories_args_1.defaultArgs,
    argTypes: Toast_stories_args_1.argTypes,
    decorators: [
        (Story) => (react_1.default.createElement(Box_1.Box, { width: 300 },
            react_1.default.createElement(Story, null))),
    ],
};
const Template = (args) => react_1.default.createElement(Toast_1.Toast, { ...args });
exports._Toast = Template.bind({});
const ColorSchemeTemplate = (args) => {
    return theme_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Box_1.Box, { m: 3, key: colorScheme },
        react_1.default.createElement(Toast_1.Toast, { ...args, colorScheme: colorScheme }))));
};
exports._ColorScheme = ColorSchemeTemplate.bind({});
exports._ColorScheme.args = {
    icon: react_1.default.createElement(pcln_icons_1.InformationOutline, null),
};
exports._ColorSchemeBorderVariation = ColorSchemeTemplate.bind({});
exports._ColorSchemeBorderVariation.args = {
    icon: react_1.default.createElement(pcln_icons_1.InformationOutline, null),
    variation: 'border',
};
//# sourceMappingURL=Toast.stories.js.map