"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToastProvider = exports.useToast = exports.ToastContext = void 0;
const react_1 = __importStar(require("react"));
const react_dom_1 = require("react-dom");
const styled_components_1 = __importStar(require("styled-components"));
const Absolute_1 = require("../Absolute/Absolute");
const Animate_1 = require("../Animate/Animate");
const Flex_1 = require("../Flex/Flex");
const ThemeProvider_1 = require("../ThemeProvider/ThemeProvider");
const Toast_1 = require("../Toast/Toast");
const ClickthroughAbsolute = (0, styled_components_1.default)(Absolute_1.Absolute) `
  pointer-events: none;
`;
/* istanbul ignore next */
exports.ToastContext = (0, react_1.createContext)({ addToast: () => { }, removeToast: () => { } });
/**
 * @public
 */
const useToast = () => {
    return (0, react_1.useContext)(exports.ToastContext);
};
exports.useToast = useToast;
let id = 0;
function _ToastProvider({ children, domRootId = 'root', enterAnimation = 'slideInLeft', exitAnimation = 'slideOutLeft', lifespan, maxToasts = 3, theme, bottom = 20, top, }) {
    const [toasts, setToasts] = (0, react_1.useState)([]);
    const addToast = (0, react_1.useCallback)((options) => {
        setToasts((prevToasts) => [...prevToasts, { ...options, id: id++ }]);
    }, []);
    const removeToast = (0, react_1.useCallback)((id) => {
        setToasts((prevToasts) => prevToasts.map((toast) => (toast.id === id ? { ...toast, removed: true } : toast)));
    }, []);
    (0, react_1.useEffect)(() => {
        toasts.forEach((toast) => {
            if (toast.removed) {
                setTimeout(() => {
                    setToasts((prevToasts) => prevToasts.filter((t) => t.id !== toast.id));
                }, 200);
            }
        });
    }, [toasts, setToasts]);
    const toastsToRender = toasts.slice(0, maxToasts);
    return (react_1.default.createElement(exports.ToastContext.Provider, { value: { addToast, removeToast } },
        children,
        (0, react_dom_1.createPortal)(react_1.default.createElement(ThemeProvider_1.ThemeProvider, { theme: theme },
            react_1.default.createElement(ClickthroughAbsolute, { top: top ? top : undefined, bottom: top ? undefined : bottom, width: '100%' },
                react_1.default.createElement(Flex_1.Flex, { justifyContent: 'center', width: '100%' },
                    react_1.default.createElement(Flex_1.Flex, { flexDirection: 'column-reverse', justifyContent: 'center', minWidth: '300px' }, toastsToRender.map((toast) => {
                        const enterAnim = toast.enterAnimation || enterAnimation;
                        const exitAnim = toast.exitAnimation || exitAnimation;
                        return (react_1.default.createElement(Animate_1.Animate, { key: toast.id, variant: toast.removed ? exitAnim : enterAnim },
                            react_1.default.createElement(Toast_1.Toast, { lifespan: lifespan, onRemoveClick: removeToast, ...toast, mt: 3 })));
                    }))))), document.getElementById(domRootId))));
}
/**
 * @public
 */
exports.ToastProvider = (0, styled_components_1.withTheme)(_ToastProvider);
//# sourceMappingURL=ToastProvider.js.map