"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
jest.useFakeTimers();
jest.mock('react-dom', () => ({
    ...jest.requireActual('react-dom'),
    createPortal: (children) => children,
}));
const react_1 = __importDefault(require("react"));
const toasts_1 = require("../__test__/mocks/toasts");
const testing_library_1 = require("../__test__/testing-library");
const ToastProvider_1 = require("./ToastProvider");
// TODO: fix the tests that involve closing toasts
describe('ToastProvider', () => {
    it('renders success toast and clears it', async () => {
        (0, testing_library_1.render)(react_1.default.createElement(ToastProvider_1.ToastProvider, null,
            react_1.default.createElement(toasts_1.MockToastChildren, { variation: 'fill' })));
        expect(testing_library_1.screen.queryByText('Success Toast Message')).not.toBeInTheDocument();
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        expect(testing_library_1.screen.queryByText('Success Toast Message')).toBeInTheDocument();
        testing_library_1.screen.getAllByRole('button');
        // const closeIcon = screen.getAllByTitle('close-toast')[0]
        // act(() => {
        //   fireEvent.click(closeIcon)
        //   jest.runAllTimers()
        // })
        // expect(screen.queryByText('Success Toast Message')).not.toBeInTheDocument()
    });
    it('renders the max number of toasts', () => {
        (0, testing_library_1.render)(react_1.default.createElement(ToastProvider_1.ToastProvider, { domRootId: 'test', maxToasts: 4 },
            react_1.default.createElement(toasts_1.MockToastChildren, { variation: 'fill' })));
        expect(testing_library_1.screen.queryByText('Success Toast')).not.toBeInTheDocument();
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Success Toast'));
        expect(testing_library_1.screen.queryAllByText('Success Toast Message').length).toBe(4);
        (0, testing_library_1.act)(() => {
            testing_library_1.fireEvent.click(testing_library_1.screen.getAllByRole('button')[0]);
            jest.runAllTimers();
        });
        expect(testing_library_1.screen.queryAllByText('Success Toast Message').length).toBe(4);
        // act(() => {
        //   fireEvent.click(screen.getAllByTitle('close-toast')[0])
        //   jest.runAllTimers()
        // })
        // expect(screen.queryAllByText('Success Toast Message').length).toBe(3)
    });
    it('renders a custom toast', () => {
        (0, testing_library_1.render)(react_1.default.createElement(ToastProvider_1.ToastProvider, { enterAnimation: 'scaleFromCenter', exitAnimation: 'expandDown', top: 20 },
            react_1.default.createElement(toasts_1.MockToastChildren, { variation: 'fill' })));
        expect(testing_library_1.screen.queryByText('Custom Toast Message')).not.toBeInTheDocument();
        testing_library_1.fireEvent.click(testing_library_1.screen.queryByText('Add Custom Toast'));
        expect(testing_library_1.screen.queryByText('Custom Toast Message')).toBeInTheDocument();
    });
});
//# sourceMappingURL=ToastProvider.spec.js.map