"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopAnimation = exports._ToastProvider = void 0;
const react_1 = __importDefault(require("react"));
const toasts_1 = require("../__test__/mocks/toasts");
const ToastProvider_1 = require("./ToastProvider");
exports.default = {
    title: 'Core / ToastProvider',
    component: ToastProvider_1.ToastProvider,
    argTypes: {
        lifespan: {
            description: 'Lifespan in milliseconds before the Toast closes.',
        },
        variation: {
            control: 'select',
            options: ['border', 'fill'],
            defaultValue: 'fill',
        },
    },
};
const Template = (args) => (react_1.default.createElement(ToastProvider_1.ToastProvider, { domRootId: 'ToastProviderRoot', ...args },
    react_1.default.createElement(toasts_1.MockToastChildren, { variation: args.variation })));
exports._ToastProvider = Template.bind({});
const TopAnimation = (args) => (react_1.default.createElement(ToastProvider_1.ToastProvider, { domRootId: 'ToastProviderRoot', top: 20, enterAnimation: 'slideInTop', exitAnimation: 'slideOutTop' },
    react_1.default.createElement(toasts_1.MockToastChildren, { variation: args.variation })));
exports.TopAnimation = TopAnimation;
//# sourceMappingURL=ToastProvider.stories.js.map