"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleBadge = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
const styled_system_1 = require("styled-system");
const attrs_1 = require("../utils/attrs");
const utils_1 = require("../utils/utils");
/**
 * @public
 */
exports.ToggleBadge = styled_components_1.default.button.attrs(attrs_1.borderRadiusAttrs) `
  border-radius: ${(props) => props.theme.radius};
  border: 0;
  display: inline-block;
  font-weight: ${(props) => props.theme.bold};
  font-family: inherit;
  cursor: pointer;
  background-color: ${(props) => props.selected ? (0, utils_1.getPaletteColor)(props.bg || props.color, 'light')(props) : props.unSelectedBg};
  color: ${(0, utils_1.getPaletteColor)('base')};
  &:hover {
    background-color: ${(props) => (0, utils_1.getPaletteColor)(props.bg || props.color, 'light')(props)};
  }
  ${(0, utils_1.applyVariations)('ToggleBadge')}

  ${(props) => (0, styled_system_1.compose)(styled_system_1.space, styled_system_1.fontSize, styled_system_1.borderRadius)(props)}
`;
exports.ToggleBadge.displayName = 'ToggleBadge';
exports.ToggleBadge.defaultProps = {
    borderRadius: 'full',
    selected: false,
    px: 2,
    py: 1,
    mx: 1,
    my: 1,
    fontSize: 0,
    color: 'primary',
    unSelectedBg: 'transparent',
};
//# sourceMappingURL=ToggleBadge.js.map