"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardRefs = exports.AGroup = exports.UnselectedWithDifferentBackgroundColor = exports.Unselected = exports.Selected = exports.ToggleBadgeComponent = void 0;
const react_1 = __importDefault(require("react"));
const __1 = require("..");
const ToggleBadge_stories_args_1 = require("./ToggleBadge.stories.args");
const ForwardRefsDemo_1 = __importDefault(require("../storybook/utils/ForwardRefsDemo"));
exports.default = {
    title: 'ToggleBadge',
    component: __1.ToggleBadge,
    parameters: {
        docs: {
            description: {
                component: 'Use the <ToggleBadge /> component to render a primitive ToggleBadge.',
            },
        },
    },
    argTypes: ToggleBadge_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(__1.ToggleBadge, { ...args }, "ToggleBadge");
exports.ToggleBadgeComponent = Template.bind({});
const Selected = () => react_1.default.createElement(__1.ToggleBadge, { selected: true }, "Selected - Badge");
exports.Selected = Selected;
const Unselected = () => react_1.default.createElement(__1.ToggleBadge, null, "Un - Selected - Badge");
exports.Unselected = Unselected;
const UnselectedWithDifferentBackgroundColor = () => (react_1.default.createElement(__1.ToggleBadge, { unSelectedBg: 'yellow' }, "Un - Selected - Badge"));
exports.UnselectedWithDifferentBackgroundColor = UnselectedWithDifferentBackgroundColor;
const AGroup = () => (react_1.default.createElement("div", null,
    react_1.default.createElement(__1.ToggleBadge, { selected: true }, "Flight + Hotel"),
    react_1.default.createElement(__1.ToggleBadge, null, "Flight + Hotel + Car"),
    react_1.default.createElement(__1.ToggleBadge, null, "Flight + Car")));
exports.AGroup = AGroup;
function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            dsRef.current.focus();
        }
        return (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement("div", null,
                react_1.default.createElement(__1.ToggleBadge, { selected: true }, "Flight + Hotel"),
                react_1.default.createElement(__1.ToggleBadge, { ref: dsRef }, "Flight + Hotel + Car"),
                react_1.default.createElement(__1.ToggleBadge, null, "Flight + Car")),
            react_1.default.createElement(__1.Button, { onClick: onClick, mt: 4 }, "Click to focus second badge via ref")));
    }
    return react_1.default.createElement(ForwardRefsDemo_1.default, { refChild: refChild });
}
exports.ForwardRefs = ForwardRefs;
//# sourceMappingURL=ToggleBadge.stories.js.map