"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tooltip = void 0;
const theme_get_1 = require("@styled-system/theme-get");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const Box_1 = require("../Box/Box");
const utils_1 = require("../utils/utils");
const arrowShadow = (props) => {
    return props.top
        ? {
            'box-shadow': '-9.66px 9.66px 8px 0 rgba(0,0,0,0.04), -4px 4px 4px 0 rgba(0,0,0,0.08)',
        }
        : {
            'box-shadow': '-1.41px 1.41px 1px 0 rgba(0,0,0,0.01), -3.66px 3.66px 8px 0 rgba(0,0,0,0.04)',
        };
};
const arrowAlign = (props) => {
    return props.left
        ? { left: '16px', 'margin-left': props.top ? 0 : '15px' }
        : props.center
            ? { left: '50%', 'margin-left': props.top ? '-7px' : '7px' }
            : { right: '16px', 'margin-right': props.top ? '5px' : '-10px' };
};
const arrowPosition = (props) => {
    return props.top
        ? {
            'transform-origin': '0 0',
            transform: 'rotate(-45deg)',
            bottom: '-10px',
        }
        : {
            'transform-origin': '0 0',
            transform: 'rotate(-225deg)',
            top: '0',
        };
};
const arrow = (props) => {
    return props.top
        ? {
            'transform-origin': '0 0',
            transform: 'rotate(-45deg)',
        }
        : {
            'transform-origin': '0 0',
            transform: 'rotate(-225deg)',
        };
};
const tooltipPosition = (props) => {
    return props.top ? { bottom: '-8px' } : { top: 0 };
};
const tooltipAlign = (props) => {
    return props.right
        ? { right: 0 }
        : props.center
            ? { left: '50%', width: 'auto', transform: 'translateX(-50%)' }
            : null;
};
const TooltipContent = (0, styled_components_1.default)(Box_1.Box) `
  display: inline;
  font-size: ${({ theme }) => theme.fontSizes[0]}px;
  position: absolute;
  box-sizing: border-box;
  background: ${(props) => (0, utils_1.getPaletteColor)(props.bg || props.color, 'base')(props)};
  text-align: center;

  ${tooltipPosition} ${tooltipAlign} &::after {
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent
      ${(props) => (0, utils_1.getPaletteColor)(props.bg || props.color, 'base')(props)}
      ${(props) => (0, utils_1.getPaletteColor)(props.bg || props.color, 'base')(props)};

    ${arrow} ${arrowPosition} ${arrowAlign} ${arrowShadow};
    ${(props) => {
    const colorScheme = (0, theme_get_1.themeGet)(`colorSchemes.${props.colorScheme}`)(props);
    return colorScheme
        ? `
        color: ${colorScheme.background};
        border-color: ${colorScheme.background};
      `
        : '';
}}
  }

  ${utils_1.colorScheme}

  ${(0, utils_1.applyVariations)('Tooltip')}
`;
const defaultProps = {
    borderRadius: 'md',
    position: 'bottom',
    color: 'background.lightest',
    zIndex: 'auto',
};
function _Tooltip({ children, ...props }) {
    return (react_1.default.createElement("div", { style: { position: 'relative', zIndex: props.zIndex } },
        react_1.default.createElement(TooltipContent, { p: 2, mb: 3, mt: 2, boxShadowSize: 'md', ...props }, children)));
}
_Tooltip.defaultProps = defaultProps;
/**
 * @public
 */
exports.Tooltip = (0, styled_components_1.withTheme)(_Tooltip);
//# sourceMappingURL=Tooltip.js.map