"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Tooltip_1 = require("./Tooltip");
describe('Tooltip', () => {
    test('renders', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, null, "A Tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('top left', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { color: 'primary', top: true, left: true }, "left tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('top center', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { color: 'primary', top: true, center: true }, "centered tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('top right', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { color: 'error', top: true, right: true }, "right tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('bottom left', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, left: true }, "left tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('bottom center', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, center: true }, "centered tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
    test('bottom right', () => {
        const json = rendererCreateWithTheme(react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, right: true }, "right tooltip")).toJSON();
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Tooltip.spec.js.map