"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorSchemes = exports.WithAnchors = exports.WithoutAnchors = exports.TooltipComponent = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Flex_1 = require("../Flex/Flex");
const FormField_1 = require("../FormField/FormField");
const Input_1 = require("../Input/Input");
const Label_1 = require("../Label/Label");
const args_1 = require("../storybook/args");
const Tooltip_1 = require("./Tooltip");
const Tooltip_stories_args_1 = require("./Tooltip.stories.args");
const FlexColumn = (0, styled_components_1.default)(Flex_1.Flex) `
  flex-direction: column;
`;
exports.default = {
    title: 'Tooltip',
    component: Tooltip_1.Tooltip,
    argTypes: Tooltip_stories_args_1.argTypes,
};
const Template = (args) => react_1.default.createElement(Tooltip_1.Tooltip, { ...args }, "I am a tooltip!");
exports.TooltipComponent = Template.bind({});
exports.TooltipComponent.args = { color: 'primary' };
const WithoutAnchors = () => (react_1.default.createElement(Box_1.Box, { mt: 5, width: 500 },
    react_1.default.createElement(Tooltip_1.Tooltip, { color: 'primary', top: true, left: true }, "left tooltip"),
    react_1.default.createElement(Tooltip_1.Tooltip, { color: 'primary', top: true, center: true }, "centered tooltip"),
    react_1.default.createElement(Tooltip_1.Tooltip, { color: 'error', top: true, right: true }, "right tooltip"),
    react_1.default.createElement("br", null),
    react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, left: true }, "left tooltip"),
    react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, center: true }, "centered tooltip"),
    react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, right: true }, "right tooltip")));
exports.WithoutAnchors = WithoutAnchors;
const WithAnchors = () => (react_1.default.createElement(FlexColumn, { justifyContent: 'space-between', wrap: 'wrap' },
    react_1.default.createElement(Box_1.Box, { width: 300, p: 2, my: 2 },
        react_1.default.createElement(Tooltip_1.Tooltip, { top: true, left: true, color: 'primary' }, "top left tooltip"),
        react_1.default.createElement("div", null, "some text")),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: 5 },
        react_1.default.createElement("div", null, "some text"),
        react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, left: true, color: 'error' }, "bottom left tooltip")),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: 55 },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-3', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' })),
        react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, left: true, color: 'primary' }, "bottom left tooltip")),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: 5 },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-4', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' })),
        react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, center: true, color: 'primary' }, "bottom center tooltip")),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: '80px' },
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-5', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'error' })),
        react_1.default.createElement(Tooltip_1.Tooltip, { bottom: true, right: true, color: 'error' }, "Email Address Invalid")),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: 5 },
        react_1.default.createElement(Tooltip_1.Tooltip, { top: true, left: true, color: 'primary' }, "top left tooltip"),
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-6', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' }))),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2, mb: 5 },
        react_1.default.createElement(Tooltip_1.Tooltip, { top: true, center: true, color: 'primary' }, "top center tooltip"),
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-7', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' }))),
    react_1.default.createElement(Box_1.Box, { width: '300px', p: 2 },
        react_1.default.createElement(Tooltip_1.Tooltip, { top: true, right: true, color: 'primary' }, "top right tooltip"),
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-8', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' })))));
exports.WithAnchors = WithAnchors;
const ColorSchemesTemplate = () => {
    return (react_1.default.createElement(react_1.default.Fragment, null, args_1.colorSchemeNames.map((colorScheme) => (react_1.default.createElement(Box_1.Box, { mb: '70px', key: colorScheme },
        react_1.default.createElement(Tooltip_1.Tooltip, { top: true, right: true, colorScheme: colorScheme },
            react_1.default.createElement(Flex_1.Flex, { alignItems: 'center' },
                react_1.default.createElement(pcln_icons_1.Bus, { mr: 2 }),
                colorScheme)),
        react_1.default.createElement(FormField_1.FormField, null,
            react_1.default.createElement(Label_1.Label, null, "Email Address"),
            react_1.default.createElement(Input_1.Input, { defaultValue: 'albus.dumbledore@priceline.com', id: 'form-field-7', placeholder: 'example@test.com' }),
            react_1.default.createElement(pcln_icons_1.Check, { color: 'primary' })))))));
};
exports.ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=Tooltip.stories.js.map