"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockToastChildren = exports.customOptions = exports.successOptions = exports.informationOptions = exports.errorOptions = void 0;
const pcln_icons_1 = require("pcln-icons");
const react_1 = __importDefault(require("react"));
const Button_1 = require("../../Button/Button");
const Flex_1 = require("../../Flex/Flex");
const Text_1 = require("../../Text/Text");
const ToastProvider_1 = require("../../ToastProvider/ToastProvider");
exports.errorOptions = {
    children: 'Error Toast Message',
    color: 'error',
    icon: react_1.default.createElement(pcln_icons_1.Attention, null),
};
exports.informationOptions = {
    children: 'Information Toast Message',
    color: 'primary',
    icon: react_1.default.createElement(pcln_icons_1.InformationOutline, null),
};
exports.successOptions = {
    children: 'Success Toast Message',
    color: 'success',
    icon: react_1.default.createElement(pcln_icons_1.Check, null),
};
exports.customOptions = {
    children: react_1.default.createElement(Text_1.Text, { textStyle: 'paragraphBold' }, "Custom Toast Message"),
    enterAnimation: 'expandDown',
    exitAnimation: 'fadeIn',
    hideClose: true,
    lifespan: 2000,
};
const MockToastChildren = ({ variation }) => {
    const { addToast } = (0, ToastProvider_1.useToast)();
    return (react_1.default.createElement(Flex_1.Flex, null,
        react_1.default.createElement(Button_1.Button, { color: 'error', onClick: () => addToast({ ...exports.errorOptions, variation }) }, "Add Error Toast"),
        react_1.default.createElement(Button_1.Button, { onClick: () => addToast({ ...exports.informationOptions, variation }), mx: 3 }, "Add Information Toast"),
        react_1.default.createElement(Button_1.Button, { color: 'success', onClick: () => addToast({ ...exports.successOptions, variation }) }, "Add Success Toast"),
        react_1.default.createElement(Button_1.Button, { color: 'text.light', onClick: () => addToast({ ...exports.customOptions, variation }), ml: 3 }, "Add Custom Toast")));
};
exports.MockToastChildren = MockToastChildren;
//# sourceMappingURL=toasts.js.map