"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponsiveDemo = exports.BorderRadiusDemo = void 0;
const react_1 = __importDefault(require("react"));
const __1 = require("..");
const BorderRadius_stories_args_1 = require("./BorderRadius.stories.args");
const args_1 = require("../storybook/args");
exports.default = {
    title: 'Design / Border Radius',
    component: __1.Box,
    args: BorderRadius_stories_args_1.defaultArgs,
    argTypes: BorderRadius_stories_args_1.argTypes,
    parameters: {
        docs: {
            description: {
                component: `Demonstration of the borderRadius and rounded props`,
            },
        },
    },
};
const Template = (args) => {
    return (react_1.default.createElement(__1.Box, { width: '100%' }, ['round', ...args_1.rounded].map((round) => {
        return round ? (react_1.default.createElement(__1.Box, { key: round, m: 4, display: 'inline-block' },
            react_1.default.createElement(__1.Box, { ...args, size: '200px', p: 3, rounded: round }),
            react_1.default.createElement(__1.Text, { my: 3, textAlign: 'center' }, round))) : null;
    })));
};
exports.BorderRadiusDemo = Template.bind({});
exports.BorderRadiusDemo.argTypes = {
    ...BorderRadius_stories_args_1.argTypes,
    borderRadius: BorderRadius_stories_args_1.borderRadiusArgType,
};
exports.ResponsiveDemo = Template.bind({});
exports.ResponsiveDemo.args = {
    ...BorderRadius_stories_args_1.defaultArgs,
    borderRadius: ['lg', 'xl', '2xl', '3xl', 'full'],
};
//# sourceMappingURL=BorderRadius.stories.js.map