"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TiledCards = exports.Navbar = exports.TwoColumn = exports.Grid = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const __1 = require("..");
const pcln_icons_1 = require("pcln-icons");
exports.default = {
    title: 'Layout/Layout Examples',
};
const Grid = () => (react_1.default.createElement(__1.Box, { p: 4 },
    react_1.default.createElement(__1.Flex, { mx: -3 },
        react_1.default.createElement(__1.Box, { width: [1, 1 / 2], px: 3, mb: 4 },
            react_1.default.createElement(__1.Box, { bg: 'background.light' },
                react_1.default.createElement(__1.Text, null, "Hello"))),
        react_1.default.createElement(__1.Box, { width: [1, 1 / 2], px: 3, mb: 4 },
            react_1.default.createElement(__1.Box, { bg: 'background.light' },
                react_1.default.createElement(__1.Text, null, "Hello"))))));
exports.Grid = Grid;
const TwoColumn = () => (react_1.default.createElement(__1.Flex, null,
    react_1.default.createElement(__1.Box, { px: 3, width: 1 / 4 },
        react_1.default.createElement(__1.Box, { bg: 'background.light', style: {
                minHeight: '50vh',
            } },
            react_1.default.createElement(__1.Text, null, "Hello"))),
    react_1.default.createElement(__1.Box, { px: 3, width: 3 / 4 },
        react_1.default.createElement(__1.Box, { bg: 'background.light', style: {
                minHeight: '50vh',
            } },
            react_1.default.createElement(__1.Text, null, "Hello")))));
exports.TwoColumn = TwoColumn;
const Navbar = () => (react_1.default.createElement(__1.Flex, { p: 2, alignItems: 'center', color: 'primary' },
    react_1.default.createElement(pcln_icons_1.Hotels, { mr: 2 }),
    react_1.default.createElement(__1.Text, { bold: true, mx: 2 }, "Hello"),
    react_1.default.createElement(__1.Text, { mx: 2 }, "Navbar"),
    react_1.default.createElement(__1.Text, { ml: 'auto', mr: 2 }, "Right Side")));
exports.Navbar = Navbar;
const cards = Array.from({ length: 12 }).map((n, i) => ({
    id: i,
    title: 'Hello' + i,
    text: 'Card',
    image: 'http://placehold.it/512x256/007aff',
}));
const Border = (0, styled_components_1.default)(__1.Box) `
  border: 1px solid ${(0, __1.getPaletteColor)('background.base')};
  border-radius: 3px;
`;
const Card = ({ image, title, text }) => (react_1.default.createElement(Border, { p: 1 },
    react_1.default.createElement(__1.Image, { src: image, width: '512', height: '256' }),
    react_1.default.createElement(__1.Heading, { fontSize: 2, mt: 1 }, title),
    react_1.default.createElement(__1.Text, { fontSize: 1 }, text)));
const TiledCards = () => (react_1.default.createElement(__1.Flex, { flexWrap: 'wrap' }, cards.map((card) => (react_1.default.createElement(__1.Box, { key: card.id, p: 3, width: [1 / 2, 1 / 3, 1 / 4] },
    react_1.default.createElement(Card, { ...card }))))));
exports.TiledCards = TiledCards;
//# sourceMappingURL=Layouts.stories.js.map