"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputWithShadowEffect = exports.InputWithShadowOverlay = exports._ZIndices = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Divider_1 = require("../Divider/Divider");
const Flex_1 = require("../Flex/Flex");
const Input_1 = require("../Input/Input");
const ShadowEffect_1 = require("../ShadowEffect/ShadowEffect");
const Text_1 = require("../Text/Text");
const createTheme_1 = require("../utils/createTheme");
const utils_1 = require("../utils/utils");
const LightBackgroundInput = (0, styled_components_1.default)(Input_1.Input) `
  background-color: ${(0, utils_1.getPaletteColor)('background.lightest')};
`;
const theme = (0, createTheme_1.createTheme)();
exports.default = {
    title: 'Design / z-indices',
};
const _ZIndices = () => {
    return (react_1.default.createElement(Box_1.Box, null,
        react_1.default.createElement(Text_1.Text, { textStyle: 'heading4' }, "Priceline z-index map"),
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "All Design System components will now use these z-index values where appropriate."),
        react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', my: 3 }, "Components also accept the mapped keys to their zIndex prop now. See the input example to see how."),
        react_1.default.createElement(Flex_1.Flex, { justifyContent: 'space-between', width: 200 },
            react_1.default.createElement(Text_1.Text.span, null, "Key"),
            react_1.default.createElement(Text_1.Text.span, null, "Value")),
        react_1.default.createElement(Divider_1.Divider, null),
        Object.keys(theme.zIndices)?.map((key) => {
            return (react_1.default.createElement(Flex_1.Flex, { key: key, justifyContent: 'space-between', width: 200, mb: 2 },
                react_1.default.createElement(Text_1.Text.span, null, key),
                react_1.default.createElement(Text_1.Text.span, null, theme.zIndices[key])));
        })));
};
exports._ZIndices = _ZIndices;
const InputWithShadowOverlay = () => {
    const [showOverlay, setShowOverlay] = (0, react_1.useState)(false);
    const handleHideOverlay = () => setShowOverlay(false);
    const handleShowOverlay = () => setShowOverlay(true);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        showOverlay && react_1.default.createElement(ShadowEffect_1.ShadowOverlay, null),
        react_1.default.createElement(LightBackgroundInput, { placeholder: 'z-index Overlay Example', zIndex: showOverlay ? 'onOverlay' : 'auto', onBlur: handleHideOverlay, onFocus: handleShowOverlay })));
};
exports.InputWithShadowOverlay = InputWithShadowOverlay;
const InputWithShadowEffect = () => (react_1.default.createElement(ShadowEffect_1.ShadowEffect, null,
    react_1.default.createElement(LightBackgroundInput, { placeholder: 'z-index Overlay Example' })));
exports.InputWithShadowEffect = InputWithShadowEffect;
//# sourceMappingURL=ZIndices.stories.js.map