"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.storybookArgs = exports.chipWithShadowVariationArgs = exports.zIndicies = exports.objectPositions = exports.objectFits = exports.fontSizes = exports.spaceArgs = exports.inputArgs = exports.textStyles = exports.shadows = exports.rounded = exports.borderStyles = exports.borderRadii = exports.colors = exports.colorSchemeNames = void 0;
const theme_1 = require("../../theme");
const utils_1 = require("../../utils");
exports.colorSchemeNames = theme_1.colorSchemeNames;
exports.colors = ['', ...theme_1.paletteFamilyNames, 'NOTVALID'];
exports.borderRadii = ['', ...utils_1.borderRadiusValues, 'NOTVALID'];
exports.borderStyles = [
    'none',
    'hidden',
    'dotted',
    'dashed',
    'solid',
    'double',
    'groove',
    'ridge',
    'inset',
    'outset',
    'initial',
    'inherit',
];
exports.rounded = ['', ...utils_1.roundedValues, 'NOTVALID'];
exports.shadows = ['', ...utils_1.boxShadowSizeValues, 'NOTVALID'];
exports.textStyles = ['', ...utils_1.textStylesValues, 'NOTVALID'];
exports.inputArgs = ['sm', 'md', 'lg', 'xl'];
exports.spaceArgs = [
    'm',
    'mt',
    'mr',
    'mb',
    'ml',
    'mx',
    'my',
    'p',
    'pt',
    'pr',
    'pb',
    'pl',
    'px',
    'py',
].reduce((acc, prop) => {
    acc[prop] = {
        name: prop,
        type: { name: 'string' },
        description: prop,
        table: {
            disable: true,
        },
    };
    return acc;
}, {});
exports.fontSizes = [0, 1, 2, 3, 4, 5, 6, 7, 8];
exports.objectFits = ['', ...utils_1.objectFitValues, 'NOTVALID'];
exports.objectPositions = ['', ...utils_1.objectPositionValues, 'NOTVALID'];
exports.zIndicies = theme_1.zIndices;
exports.chipWithShadowVariationArgs = [
    { label: 'Enabled', variation: 'shadow' },
    { label: 'Selected', selected: true, variation: 'shadow' },
    { label: 'Disabled', disabled: true, variation: 'shadow' },
    { label: 'Selected Disabled', disabled: true, selected: true, variation: 'shadow' },
];
/**
 * @public
 */
exports.storybookArgs = {
    colorSchemeNames: exports.colorSchemeNames,
    colors: exports.colors,
    borderRadii: exports.borderRadii,
    borderStyles: exports.borderStyles,
    rounded: exports.rounded,
    shadows: exports.shadows,
    textStyles: exports.textStyles,
    inputArgs: exports.inputArgs,
    spaceArgs: exports.spaceArgs,
    fontSizes: exports.fontSizes,
    objectFits: exports.objectFits,
    objectPositions: exports.objectPositions,
    zIndicies: exports.zIndicies,
    chipWithShadowVariationArgs: exports.chipWithShadowVariationArgs,
};
//# sourceMappingURL=index.js.map