"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Basic = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const Box_1 = require("../Box/Box");
const Text_1 = require("../Text/Text");
const useScrollWithShadow_1 = require("./useScrollWithShadow");
exports.default = {
    title: 'useScrollWithShadows',
};
const ShadowTransitionBox = (0, styled_components_1.default)(Box_1.Box) `
  transition: all 0.3s ease-in-out;
`;
const Template = () => {
    // Step 1: Use the hook to get the boxShadow value and scroll handler for the overflow container
    const { boxShadow, onScrollHandler } = (0, useScrollWithShadow_1.useScrollWithShadow)();
    return (
    // Step 2: Apply the onScrollHandler and boxShadow values to the container
    react_1.default.createElement(ShadowTransitionBox, { height: '300px', overflow: 'scroll', onScroll: onScrollHandler, style: { boxShadow } },
        react_1.default.createElement(Box_1.Box, { height: '1000px' },
            react_1.default.createElement(Text_1.Text, { textStyle: 'heading1', mt: 3 }, "useScrollWithShadow()"),
            react_1.default.createElement(Text_1.Text, { textStyle: 'subheading1', mt: 3 }, "Use this hook to apply a shadow to the top of a container when the user scrolls."),
            react_1.default.createElement(Text_1.Text, { textStyle: 'paragraph', mt: 3 }, "Click the \"Show Code\" button for usage instructions. Scroll to see the effect."))));
};
exports.Basic = Template.bind({});
//# sourceMappingURL=useScrollWithShadows.stories.js.map