"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const createTheme_1 = require("../createTheme");
const borderRadiusAttrs_1 = require("./borderRadiusAttrs");
const theme = (0, createTheme_1.createTheme)();
describe('borderRadiusAttrs', () => {
    it.each(borderRadiusAttrs_1.borderRadiusValues)('works with rounded=full and borderRadius=%s', (radius) => {
        const attrs = (0, borderRadiusAttrs_1.borderRadiusAttrs)({ borderRadius: radius, rounded: null, theme });
        expect(attrs).toMatchSnapshot();
    });
    it.each(borderRadiusAttrs_1.roundedValues)('works with rounded=%s and borderRadius=xl', (rounded) => {
        const attrs = (0, borderRadiusAttrs_1.borderRadiusAttrs)({ borderRadius: 'xl', rounded, theme });
        expect(attrs).toMatchSnapshot();
    });
    it('should handle an array prop', () => {
        const attrs = (0, borderRadiusAttrs_1.borderRadiusAttrs)({ borderRadius: [...borderRadiusAttrs_1.borderRadiusValues, '9999px'], rounded: null, theme });
        expect(attrs).toMatchSnapshot();
    });
});
//# sourceMappingURL=borderRadiusAttrs.spec.js.map