import { Close as CloseIcon } from 'pcln-icons';
import React from 'react';
import styled from 'styled-components';
import { Card } from '../Card/Card';
import { Flag } from '../Flag/Flag';
import { Image } from '../Image/Image';
import { Relative } from '../Relative/Relative';
import { Text } from '../Text/Text';
import { Absolute } from './Absolute';
const TallCard = styled(Card) `
  height: 420px;
`;
const SmallAbsolute = styled(Absolute) `
  height: 100px;
`;
const MediumAbsolute = styled(Absolute) `
  height: 200px;
`;
const LargeAbsolute = styled(Absolute) `
  height: 300px;
`;
const ExtraLargeAbsolute = styled(Absolute) `
  height: 400px;
`;
export default {
    title: 'Absolute',
    component: Absolute,
};
export const OverAnImage = () => (React.createElement(Relative, { width: 1 / 2 },
    React.createElement(Absolute, { top: 8, left: 0 },
        React.createElement(Flag, null, "Hello Flag")),
    React.createElement(Image, { src: 'https://www.goodfreephotos.com/albums/new-zealand/other-new-zealand/lake-pukaki-and-mount-cook-in-the-background.jpg' })));
export const PositioningAnIcon = () => (React.createElement(Card, { m: 2 },
    React.createElement(Relative, { p: 4 },
        React.createElement(Text, { mt: 2, textAlign: 'justify' }, "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque et nisl dolor. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec quis nisi ac est elementum consequat a eu risus. Phasellus id facilisis nulla. Aliquam vel semper enim, id lobortis dolor. Morbi sed leo at turpis rutrum posuere. Nullam tincidunt ex vitae mi sagittis, vel sollicitudin lectus viverra. Curabitur sit amet fringilla velit."),
        React.createElement(Absolute, { top: '10px', right: '10px' },
            React.createElement(CloseIcon, { color: 'text.base', size: 24 })))));
export const MultipleAbsolutelyPositionedBoxes = () => (React.createElement(TallCard, { pb: 3 },
    React.createElement(Relative, { p: 3 },
        React.createElement(ExtraLargeAbsolute, { pl: 2, top: 0, right: 0, width: 400, bg: 'primary' },
            React.createElement(Text.span, { fontSize: 1, bold: true }, "z-index 1")),
        React.createElement(LargeAbsolute, { pl: 2, top: 0, right: 0, width: 300, bg: 'alert' },
            React.createElement(Text.span, { fontSize: 1, bold: true }, "z-index 2")),
        React.createElement(MediumAbsolute, { pl: 2, top: 0, right: 0, width: 200, bg: 'primary.light' },
            React.createElement(Text.span, { fontSize: 1, bold: true }, "z-index 3")),
        React.createElement(SmallAbsolute, { pl: 2, top: 0, right: 0, width: 100, bg: 'secondary' },
            React.createElement(Text.span, { fontSize: 1, bold: true }, "z-index 4")))));
//# sourceMappingURL=Absolute.stories.js.map