import React from 'react';
import { SpaceProps } from 'styled-system';
/**
 * @public
 */
export type AccordionProps = SpaceProps & {
    items: AccordionItemProps[];
    itemsState?: string | string[];
    onToggle?: (value: string | string[]) => void;
    type?: string;
    variation?: string;
    isExternallyControlled?: boolean;
    headerDividerColor?: string;
};
/**
 * @public
 */
export type AccordionItemProps = {
    content: React.ReactNode;
    headerActions?: React.ReactNode;
    headerLabel?: React.ReactNode;
    headerBg?: string;
    value: string;
};
/**
 * @public
 */
export declare function Accordion({ items, itemsState, isExternallyControlled, onToggle, type, variation, p, headerDividerColor, ...props }: AccordionProps): React.ReactElement;
//# sourceMappingURL=Accordion.d.ts.map