import { HTMLMotionProps, Transition } from 'framer-motion';
import React from 'react';
/**
 * @public
 */
export type TransitionVariant = 'default' | 'spring' | 'comeAndGo' | 'slow';
/**
 * @public
 */
export declare const TransitionVariants: Record<TransitionVariant, Transition>;
/**
 * @public
 */
export type MotionVariant = 'expandDown' | 'fadeIn' | 'growFromTopLeft' | 'pulse' | 'scaleFromCenter' | 'scaleFromTopLeft' | 'scaleOnHover' | 'scaleOnTap' | 'slideOutLeft' | 'slideInLeft' | 'slideInTop' | 'slideOutTop' | 'slideInBottom' | 'slideOutBottom' | 'slideOutRight' | 'slideInRight' | 'spin';
/**
 * @public
 */
export declare const MotionVariants: Record<MotionVariant, HTMLMotionProps<'div'>>;
/**
 * @public
 */
export type AnimateProps = {
    children: React.ReactNode;
    variant: MotionVariant;
    transition?: TransitionVariant;
    override?: HTMLMotionProps<'div'>;
};
/**
 * @public
 */
export declare const Animate: (props: AnimateProps) => React.JSX.Element;
//# sourceMappingURL=Animate.d.ts.map