import React from 'react';
import { Flex } from '../Flex/Flex';
import { Text } from '../Text/Text';
import { colorSchemeNames } from '../storybook/args';
import { Avatar } from './Avatar';
const elonJPG = 'https://pbs.twimg.com/media/DwSta0wUcAAQQR9.jpg';
export default {
    title: 'Avatar',
    component: Avatar,
};
export const Default = () => React.createElement(Avatar, null);
export const Initials = () => React.createElement(Avatar, { initials: 'WS' });
export const Elon = () => (React.createElement(Avatar, { title: 'Not Elon Musk', subtitle: 'totally.not.elon@musk.com', src: elonJPG, altText: 'papa-elon' }));
export const Responsive = () => (React.createElement(Avatar, { title: 'Not Elon Musk', subtitle: 'totally.not.elon@musk.com', src: elonJPG, altText: 'papa-elon', size: [40, 50, 64, 85, 104, 130] }));
export const ColorScheme = () => {
    return (React.createElement(Flex, { flexDirection: 'column' },
        React.createElement(Text, { textStyle: 'heading1' }, "No initials"),
        React.createElement(Flex, { flexWrap: 'wrap', mb: 5 }, colorSchemeNames.map((colorScheme) => (React.createElement(Flex, { m: 2, alignItems: 'center', width: 1 / 5, key: colorScheme },
            React.createElement(Avatar, { altText: 'Avatar', colorScheme: colorScheme }),
            React.createElement(Text, { ml: 2 }, colorScheme))))),
        React.createElement(Text, { textStyle: 'heading1' }, "Initials"),
        React.createElement(Flex, { flexWrap: 'wrap' }, colorSchemeNames.map((colorScheme) => (React.createElement(Flex, { m: 2, alignItems: 'center', width: 1 / 5, key: colorScheme },
            React.createElement(Avatar, { altText: 'Avatar', colorScheme: colorScheme, initials: 'AB' }),
            React.createElement(Text, { ml: 2 }, colorScheme)))))));
};
//# sourceMappingURL=Avatar.stories.js.map