import React from 'react';
import { BorderRadiusProps, HeightProps, WidthProps } from 'styled-system';
/**
 * @public
 */
export declare const backgroundPositionList: string[];
/**
 * @public
 */
export type BackgroundImageProps = WidthProps & HeightProps & BorderRadiusProps & Omit<React.ImgHTMLAttributes<HTMLImageElement>, 'width' | 'height'> & {
    variation?: 'parallax' | 'static';
    image?: string;
    borderRadius?: string;
    rounded?: string;
    backgroundPosition?: (typeof backgroundPositionList)[number];
};
/**
 * @public
 */
export declare const BackgroundImage: React.FC<BackgroundImageProps>;
//# sourceMappingURL=BackgroundImage.d.ts.map