import React from 'react';
import styled from 'styled-components';
import { Grid } from '../Grid/Grid';
import { Text } from '../Text/Text';
import { colorSchemeNames } from '../storybook/args';
import { textTransformValues } from '../utils/attrs/typographyAttrs';
import { Badge, sizes } from './Badge';
import { argTypes } from './Badge.stories.args';
export default {
    title: 'Badge',
    component: Badge,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Badge /> component to render a primitive badge.',
            },
        },
    },
    argTypes,
};
const Template = (args) => React.createElement(Badge, { ...args }, "badge");
export const _Badge = Template.bind({});
_Badge.args = {
    bg: 'lightGray',
};
export const TextCustom = Template.bind({});
TextCustom.storyName = 'text (custom)';
TextCustom.args = {
    bg: 'text',
    color: 'white',
};
export const LightBlueAndTextCustom = Template.bind({});
LightBlueAndTextCustom.storyName = 'lightBlue and text (custom)';
LightBlueAndTextCustom.args = {
    bg: 'primary.light',
    color: 'text',
};
const GridTemplate = styled(Grid) `
  display: inline-grid;
  grid-auto-flow: column;
`;
const TextTransformTemplate = (args) => {
    return (React.createElement(GridTemplate, { templateColumns: 'repeat(5, 1fr)', templateRows: 'repeat(2, 1fr)', justifyItems: 'center', alignItems: 'center' },
        React.createElement(Text, { textStyle: 'captionBold', style: { justifySelf: 'left' } }, "medium:"),
        React.createElement(Text, { textStyle: 'caption', style: { justifySelf: 'left' } }, "captionMedium:"),
        textTransformValues.map((textTransform) => (React.createElement(React.Fragment, null,
            React.createElement(Badge, { m: 3, textTransform: textTransform, key: textTransform, ...args }, textTransform),
            React.createElement(Badge, { m: 3, textTransform: textTransform, size: 'captionMedium', key: textTransform, ...args }, textTransform))))));
};
export const TextTransforms = TextTransformTemplate.bind({});
TextTransformTemplate.args = {};
const SizeVariantsTemplate = (args) => {
    const sizeArray = Object.keys(sizes);
    return (React.createElement(React.Fragment, null, sizeArray.map((size) => (React.createElement(Badge, { m: 3, size: size, key: size, ...args }, size)))));
};
export const SizeVariants = SizeVariantsTemplate.bind({});
SizeVariantsTemplate.args = {};
const ColorSchemesTemplate = (args) => {
    return (React.createElement(React.Fragment, null, colorSchemeNames.map((colorScheme) => (React.createElement(Badge, { m: 3, colorScheme: colorScheme, key: colorScheme, ...args }, colorScheme)))));
};
export const ColorSchemes = ColorSchemesTemplate.bind({});
ColorSchemesTemplate.args = {};
//# sourceMappingURL=Badge.stories.js.map