import React from 'react';
import { type BoxProps } from '../Box/Box';
/**
 * @public
 */
export type BannerColor = {
    backgroundColor?: string;
    color?: string;
    icon?: React.ReactElement;
};
/**
 * @public
 */
export type BannerProps = BoxProps & {
    bg?: string;
    color?: string;
    children?: React.ReactNode;
    header?: string | React.ReactNode;
    icon?: React.ReactElement;
    onClose?: () => void;
    showIcon?: boolean;
    text?: string | React.ReactNode;
    textAlign?: string;
};
/**
 * @public
 */
export declare function Banner(props: BannerProps): React.ReactElement;
export declare namespace Banner {
    var displayName: string;
    var defaultProps: {
        textAlign: string;
        showIcon: boolean;
        color: string;
    };
}
//# sourceMappingURL=Banner.d.ts.map