import React from 'react';
import { BackgroundImage } from '../BackgroundImage/BackgroundImage';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { Flex } from '../Flex/Flex';
import { Text } from '../Text/Text';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
import { BlockLink } from './BlockLink';
const image = 'https://images.unsplash.com/photo-1446776811953-b23d57bd21aa?ixlib=rb-0.3.5&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&s=aee8a50c86478d935556d865624506e4';
export default {
    title: 'BlockLink',
    component: BlockLink,
};
export const ContainingBackgroundImage = () => (React.createElement(Flex, { justifyContent: 'center', alignItems: 'center', color: 'white' },
    React.createElement(BlockLink, { href: 'https://www.priceline.com', target: '_blank' },
        React.createElement(BackgroundImage, { image: image, width: '640px' },
            React.createElement(Box, { p: 4 },
                React.createElement(Text, { textAlign: 'center' }, "Click to open priceline.com in new tab!"))))));
export const ForwardRefs = () => {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.innerHTML = 'Bacon!');
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(BlockLink, { color: 'text.dark', ref: dsRef }, "I am a link!"),
            React.createElement("br", null),
            React.createElement(Button, { color: 'error', onClick: onClick, mt: 4 }, "Click to update link text via ref")));
    }
    return React.createElement(ForwardRefDemo, { refChild: refChild });
};
export const CompositionWithoutContainer = () => (React.createElement(Flex, { justifyContent: 'center', alignItems: 'center', color: 'purple' },
    React.createElement(BlockLink, { href: 'https://www.google.com' },
        React.createElement(Text, { fontSize: 2, bold: true, textAlign: 'center' }, "Click to go to google.com!"))));
//# sourceMappingURL=BlockLink.stories.js.map