import React, { MutableRefObject } from 'react';
import { BorderRadiusProps, BoxShadowProps, DisplayProps, HeightProps, MaxHeightProps, MaxWidthProps, MinHeightProps, MinWidthProps, OverflowProps, SizeProps, SpaceProps, TextAlignProps, WidthProps } from 'styled-system';
import type { ColorSchemeName } from '../theme/theme';
/**
 * @public
 */
export type BoxProps = BorderRadiusProps & BoxShadowProps & DisplayProps & HeightProps & MaxHeightProps & MaxWidthProps & MinHeightProps & MinWidthProps & OverflowProps & SizeProps & SpaceProps & TextAlignProps & WidthProps & React.HTMLAttributes<HTMLDivElement> & {
    children?: React.ReactNode | string;
    as?: unknown;
    role?: string;
    bg?: string;
    color?: string;
    className?: string;
    borderRadiusSize?: 'none' | 'xsm' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl' | 'full' | 'action-sm' | 'action-md' | 'action-lg';
    boxShadowSize?: 'sm' | 'md' | 'lg' | 'xl' | '2xl' | 'overlay-lg' | 'overlay-xl';
    boxShadowColor?: 'primary' | 'secondary' | 'text' | 'highlight' | 'success' | 'error' | 'warning' | 'alert' | 'caution' | 'notify' | 'pricePrimary' | 'priceSecondary' | 'promoPrimary' | 'promoSecondary' | 'border' | 'background';
    colorScheme?: ColorSchemeName;
    onClick?: (unknown: any) => unknown;
    ref?: MutableRefObject<HTMLDivElement>;
    rounded?: 'top' | 'right' | 'bottom' | 'left' | 'topLeft' | 'topRight' | 'bottomRight' | 'bottomLeft';
};
/**
 * @public
 */
export declare const Box: React.FC<BoxProps>;
//# sourceMappingURL=Box.d.ts.map