import styled from 'styled-components';
import { borderRadius, boxShadow, compose, display, height, maxHeight, maxWidth, minHeight, minWidth, overflow, size, space, textAlign, width, } from 'styled-system';
import { borderRadiusAttrs } from '../utils/attrs/borderRadiusAttrs';
import { boxShadowAttrs } from '../utils/attrs/boxShadowAttrs';
import { applyVariations, color, colorScheme } from '../utils/utils';
/**
 * @public
 */
export const Box = styled.div.attrs((props) => ({
    ...borderRadiusAttrs(props),
    ...boxShadowAttrs(props),
})) `
  ${applyVariations('Box')}
  ${color}
  ${colorScheme}

  ${(props) => compose(width, display, height, maxHeight, maxWidth, minHeight, minWidth, size, space, textAlign, borderRadius, boxShadow, overflow)(props)}
`;
Box.displayName = 'Box';
//# sourceMappingURL=Box.js.map