import { Flights, Home, Seat } from 'pcln-icons';
import React from 'react';
import { Breadcrumbs } from './Breadcrumbs';
describe('Breadcrumbs', () => {
    test('renders basic', () => {
        const json = rendererCreateWithTheme(React.createElement(Breadcrumbs, null,
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home' }),
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights' }),
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection' })));
        expect(json).toMatchSnapshot();
    });
    test('renders with icons', () => {
        const json = rendererCreateWithTheme(React.createElement(Breadcrumbs, null,
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', icon: React.createElement(Home, { color: 'text.light', size: 16, mr: 2 }) }),
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: React.createElement(Flights, { color: 'text.light', size: 16, mr: 2 }) }),
            React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection', icon: React.createElement(Seat, { color: 'text.dark', size: 16, mr: 2 }) })));
        expect(json).toMatchSnapshot();
    });
});
//# sourceMappingURL=Breadcrumbs.spec.js.map