import { Flights as FlightsIcon, Home as HomeIcon, Seat as SeatIcon } from 'pcln-icons';
import React from 'react';
import { Button } from '../Button/Button';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
import { Breadcrumbs } from './Breadcrumbs';
export default {
    title: 'Breadcrumbs',
    component: Breadcrumbs,
};
export const Basic = () => (React.createElement(Breadcrumbs, null,
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home' }),
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights' }),
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection' })));
export const Icons = () => (React.createElement(Breadcrumbs, null,
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', icon: React.createElement(HomeIcon, { color: 'text.light', size: 16, mr: 2 }) }),
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: React.createElement(FlightsIcon, { color: 'text.light', size: 16, mr: 2 }) }),
    React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Seat Selection', icon: React.createElement(SeatIcon, { color: 'text.dark', size: 16, mr: 2 }) })));
export const ForwardRefsToLinks = () => {
    function refChild(dsRef) {
        function onClick() {
            return (dsRef.current.innerHTML = "What's the frequency, Kenneth?");
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(Breadcrumbs, null,
                React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com', label: 'Home', ref: dsRef, icon: React.createElement(HomeIcon, { color: 'text.light', size: 16, mr: 2 }) }),
                React.createElement(Breadcrumbs.Link, { href: 'https://www.priceline.com/flights/', label: 'Flights', icon: React.createElement(FlightsIcon, { color: 'text.light', size: 16, mr: 2 }) })),
            React.createElement(Button, { mt: 4, onClick: onClick }, "Click to change the first link via ref")));
    }
    return React.createElement(ForwardRefDemo, { refChild: refChild });
};
ForwardRefsToLinks.story = {
    name: 'Forward refs to links',
};
//# sourceMappingURL=Breadcrumbs.stories.js.map