import React from 'react';
import { BoxShadowProps, HeightProps, SpaceProps, WidthProps } from 'styled-system';
import { type FlexProps } from '../Flex/Flex';
/**
 * @public
 */
export declare const borderRadiusButtonValues: string[];
/**
 * @public
 */
export type ButtonSizes = 'small' | 'medium' | 'large' | 'extraLarge';
/**
 * @public
 */
export type ButtonVariations = 'fill' | 'link' | 'outline' | 'plain' | 'subtle' | 'white' | 'lightFill' | 'input';
/**
 * @public
 */
export type StyledButtonProps = ButtonProps & {
    hasChildren: boolean;
};
/**
 * @public
 */
export type ButtonProps = WidthProps & HeightProps & SpaceProps & BoxShadowProps & React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<unknown> & {
    color?: string;
    variation?: ButtonVariations;
    size?: ButtonSizes | ButtonSizes[];
    borderRadius?: 'none' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | '3xl' | 'full' | '';
    boxShadowSize?: '' | 'sm' | 'md' | 'lg' | 'xl' | '2xl' | 'overlay-md' | 'overlay-lg' | 'overlay-xl';
    autoFocus?: boolean;
    IconLeft?: React.Component;
    IconRight?: React.Component;
    flexProps?: FlexProps;
    onClick?: (unknown: any) => unknown;
    onFocus?: (unknown: any) => unknown;
    onMouseEnter?: (unknown: any) => unknown;
};
export declare const buttonStyles: any;
/**
 * @public
 */
export declare const Button: React.ForwardRefExoticComponent<Omit<ButtonProps, "ref"> & React.RefAttributes<unknown>>;
//# sourceMappingURL=Button.d.ts.map