import { Close, Minus } from 'pcln-icons';
import React from 'react';
import styled from 'styled-components';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { Flex } from '../Flex/Flex';
import { Hide } from '../Hide/Hide';
import { getPaletteColor } from '../utils/utils';
const BorderBottomFlex = styled(Flex) `
  border-bottom: 1px solid ${getPaletteColor('border.base')};
`;
const HeaderButton = styled(Button) `
  background-color: ${getPaletteColor('background.lightest')};
  color: ${getPaletteColor('text.dark')};
  padding: 0;

  &:hover {
    background-color: ${getPaletteColor('background.light')};
    color: ${getPaletteColor('text.dark')};
  }
`;
/**
 * @public
 */
export function ChatHeader({ children, onClose, onMinimize }) {
    return (React.createElement(BorderBottomFlex, { alignItems: 'center', justifyContent: 'space-between', p: 3 },
        React.createElement(Box, null, children),
        React.createElement(Flex, null,
            React.createElement(Hide, { xs: true, sm: true, md: true },
                React.createElement(HeaderButton, { IconLeft: Minus, onClick: onMinimize, mr: 2 })),
            React.createElement(HeaderButton, { IconLeft: Close, onClick: onClose }))));
}
//# sourceMappingURL=ChatHeader.js.map