import { expect } from '@storybook/jest';
import { userEvent, within } from '@storybook/testing-library';
import React from 'react';
import { Relative } from '../Relative/Relative';
import { ChatTrigger } from './ChatTrigger';
export default {
    title: 'Chat / ChatTrigger',
    component: ChatTrigger,
    args: {
        hasNotification: false,
        tooltip: 'Chat with Penny',
    },
    argTypes: {
        onClick: { action: true },
    },
    decorators: [
        (Story) => (React.createElement(Relative, { width: '100%', height: '25vh' },
            React.createElement(Story, null))),
    ],
};
export const _ChatTrigger = {
    play: async ({ args, canvasElement }) => {
        const canvas = within(canvasElement);
        const button = canvas.getByRole('button');
        await expect(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
        await userEvent.hover(button);
        await expect(canvas.getByText('Chat with Penny')).toBeInTheDocument();
        await userEvent.unhover(button);
        await expect(canvas.queryByText('Chat with Penny')).not.toBeInTheDocument();
        await userEvent.click(button);
        await expect(args.onClick).toHaveBeenCalled();
    },
    render: (args) => React.createElement(ChatTrigger, { ...args }),
};
export const FloatingActionButton = {
    render: (args) => React.createElement(ChatTrigger, { ...args }),
};
export const WithNotification = {
    render: (args) => React.createElement(ChatTrigger, { ...args, hasNotification: true }),
};
//# sourceMappingURL=ChatTrigger.stories.js.map