import React from 'react';
import { FontSizeProps, SpaceProps } from 'styled-system';
import { type IconComponent } from '../ChipContent/ChipContent';
/**
 * @public
 */
export type ButtonChipVariation = 'outline' | 'shadow';
/**
 * @public
 */
export type ButtonChipProps = SpaceProps & FontSizeProps & {
    BridgeIcon?: IconComponent;
    bridgeLabel?: string;
    children?: React.ReactNode;
    color?: string;
    disabled?: boolean;
    expanded?: boolean;
    facet?: string;
    Icon?: IconComponent;
    id?: string;
    label?: string;
    selected?: boolean;
    showActionIcon?: boolean;
    onClick?: (unknown: any) => unknown;
    width?: string;
    variation?: ButtonChipVariation;
};
/**
 * @public
 */
export declare const ButtonChip: React.FC<ButtonChipProps>;
//# sourceMappingURL=ButtonChip.d.ts.map