import React from 'react';
import { type BoxProps } from '../../Box/Box';
import { ResponsiveValue } from 'styled-system';
/**
 * @public
 */
export type ChipContentVariation = 'outline' | 'shadow';
/**
 * @public
 */
export type IconComponent = React.FC<BoxProps & {
    title: React.ReactNode;
    size: React.ReactNode;
}>;
/**
 * @public
 */
export type ChipContentProps = BoxProps & {
    children?: React.ReactNode;
    disabled?: boolean;
    selected?: boolean;
    label?: string;
    Icon?: IconComponent;
    IconTitle?: string;
    facet?: string;
    action?: {
        Icon?: IconComponent;
        title?: React.ReactNode;
    };
    image?: React.ReactNode;
    size?: ResponsiveValue<'sm' | 'md'>;
    bridgeLabel?: string;
    BridgeIcon?: IconComponent;
    variation?: ChipContentVariation;
    topLabel?: string;
    borderRadius?: string;
    justifyContent?: string;
};
/**
 * @public
 */
export declare function ChipContent({ disabled, selected, children, label, Icon, IconTitle, facet, action, image, size, bridgeLabel, BridgeIcon, variation, topLabel, borderRadius, justifyContent, ...props }: ChipContentProps): React.ReactElement;
export declare namespace ChipContent {
    var defaultProps: {
        BridgeIcon: any;
        size: string;
        color: string;
        py: number;
        m: number;
    };
    var displayName: string;
}
//# sourceMappingURL=ChipContent.d.ts.map