import React from 'react';
import { FontSizeProps, ResponsiveValue, SpaceProps } from 'styled-system';
import { IconComponent } from '../ChipContent/ChipContent';
/**
 * @public
 */
export type ChoiceChipVariations = 'outline' | 'shadow';
/**
 * @public
 */
export type ChoiceChipProps = SpaceProps & FontSizeProps & React.HTMLAttributes<HTMLElement> & {
    Icon?: IconComponent;
    size?: ResponsiveValue<'sm' | 'md'>;
    name?: string;
    disabled?: boolean;
    selected?: boolean;
    label?: string;
    value?: string | number;
    variation?: ChoiceChipVariations;
    topLabel?: string;
    borderRadius?: string;
    width?: string;
    justifyContent?: string;
};
/**
 * @public
 */
export declare function ChoiceChip({ id, name, disabled, selected, children, onClick, label, variation, width, value, ...props }: ChoiceChipProps): React.ReactElement;
export declare namespace ChoiceChip {
    var displayName: string;
    var defaultProps: {
        color: string;
        variation: string;
    };
}
//# sourceMappingURL=ChoiceChip.d.ts.map