import React from 'react';
import { ChipContent } from '../ChipContent/ChipContent';
import { ChipInput } from '../ChipInput';
import { ChipLabel } from '../ChipLabel';
/**
 * @public
 */
export function ChoiceChip({ id, name, disabled, selected, children, onClick, label, variation, width = 'auto', value, ...props }) {
    return (React.createElement(ChipLabel, { htmlFor: id, width: width, ...props },
        React.createElement(ChipInput, { "data-testid": id, name: name, value: value, type: 'radio', role: 'radio', id: id, disabled: disabled, checked: selected, onChange: onClick }),
        React.createElement(ChipContent, { label: label, disabled: disabled, selected: selected, variation: variation, ...props }, children)));
}
ChoiceChip.displayName = 'Chip';
ChoiceChip.defaultProps = {
    color: 'primary',
    variation: 'outline',
};
//# sourceMappingURL=ChoiceChip.js.map