import React from 'react';
import { FontSizeProps, SpaceProps } from 'styled-system';
/**
 * @public
 */
export type FilterChipVariation = 'outline' | 'shadow';
/**
 * @public
 */
export type FilterChipProps = SpaceProps & FontSizeProps & {
    id?: string;
    name?: string;
    disabled?: boolean;
    selected?: boolean;
    onClick?: (unknown: any) => void;
    label?: string;
    showActionIcon?: boolean;
    actionTitle?: string;
    value?: string | number;
    color?: string;
    children?: React.ReactNode | string;
    variation?: FilterChipVariation;
};
/**
 * @public
 */
export declare function FilterChip({ id, name, disabled, selected, children, onClick, label, showActionIcon, actionTitle, value, variation, ...props }: FilterChipProps): React.ReactElement;
export declare namespace FilterChip {
    var displayName: string;
    var defaultProps: {
        color: string;
        actionTitle: string;
        variation: string;
    };
}
//# sourceMappingURL=FilterChip.d.ts.map