import { userEvent, within } from '@storybook/testing-library';
import React from 'react';
import { Flex } from '../Flex/Flex';
import { Grid } from '../Grid/Grid';
import { Text } from '../Text/Text';
import { paletteColors } from '../theme/theme';
import { CloseButton } from './CloseButton';
import { argTypes, defaultArgs } from './CloseButton.stories.args';
const meta = {
    title: 'CloseButton',
    component: CloseButton,
    args: defaultArgs,
    argTypes: argTypes,
};
export default meta;
const templateColumns = Array.from(Array(6).keys()).map((x) => `repeat(${x + 1}, 1fr)`);
const BasicTemplate = (args) => React.createElement(CloseButton, { ...args });
export const Playground = BasicTemplate.bind({});
const SizesTemplate = (args) => (React.createElement(Grid, { templateColumns: templateColumns, gap: 3, overflow: 'hidden' }, ['sm', 'md', 'lg'].map((x) => (React.createElement(Flex, { key: x, alignItems: 'center', p: 3, overflow: 'auto', style: { gap: '.25rem' }, bg: args.bg },
    React.createElement(CloseButton, { key: x, ...args, size: x }),
    React.createElement(Text, null, x))))));
export const NoVariant = {
    render: SizesTemplate.bind({}),
    play: async ({ canvasElement }) => {
        const canvas = within(canvasElement);
        await userEvent.tab();
        await userEvent.hover(canvas.queryAllByTitle('close')[2]);
    },
    parameters: {
        chromatic: { delay: 300 },
    },
};
export const VariantFilled = {
    render: SizesTemplate.bind({}),
};
VariantFilled.args = {
    variant: 'filled',
};
export const VariantWhite = {
    render: SizesTemplate.bind({}),
    play: async ({ canvasElement }) => {
        const canvas = within(canvasElement);
        await userEvent.hover(canvas.queryAllByTitle('close')[2]);
    },
};
VariantWhite.args = {
    variant: 'white',
    bg: 'background.dark',
};
export const OnColors = {
    render: (args) => (React.createElement(Grid, { templateColumns: templateColumns, gap: 3, overflow: 'hidden' }, paletteColors.map((x) => (React.createElement(Flex, { key: x, alignItems: 'center', bg: x, p: 3, overflow: 'auto', style: { gap: '.25rem' } },
        React.createElement(CloseButton, { key: x, ...args }),
        React.createElement(Text, null, x)))))),
};
//# sourceMappingURL=CloseButton.stories.js.map