import { ForwardRefComponent, HTMLMotionProps } from 'framer-motion';
import React from 'react';
import type { CloseButtonProps } from './CloseButton';
/** @public */
export declare const closeButtonSizes: readonly ["sm", "md", "lg"];
/** @public */
export type CloseButtonSize = (typeof closeButtonSizes)[number] | number;
/** @public */
export type MotionButtonProps = HTMLMotionProps<'button'> & CloseButtonProps;
export declare const closeButtonIconSizes: Record<CloseButtonSize, number>;
export declare const filledVariationSizes: Record<CloseButtonSize, number>;
/** @public */
export declare const closeButtonVariants: readonly ["filled", "white"];
/** @public */
export type CloseButtonVariant = (typeof closeButtonVariants)[number];
export declare const closeButtonVariantProps: Record<CloseButtonVariant, Omit<CloseButtonProps, 'variant'>>;
export declare const MotionButton: ForwardRefComponent<HTMLButtonElement, MotionButtonProps>;
export declare const BackgroundAnimation: ForwardRefComponent<HTMLButtonElement, HTMLMotionProps<'div'>>;
type CloseIconProps = {
    size: CloseButtonSize;
} & React.SVGProps<SVGElement>;
export declare const CloseIcon: ForwardRefComponent<SVGElement, CloseIconProps>;
export {};
//# sourceMappingURL=CloseButton.styled.d.ts.map