import React from 'react';
import { OverflowProps } from 'styled-system';
import type { BorderRadius, ColorSchemes, PaletteColor, ZIndex } from '../theme/theme';
import type { DialogSize } from './Dialog.styled';
import { GridProps } from '../Grid/Grid';
/**
 * @public
 */
export type DialogProps = Omit<OverflowProps, 'overflow'> & {
    ariaDescription: string;
    ariaTitle: string;
    borderRadius?: BorderRadius;
    children?: React.ReactNode;
    defaultOpen?: boolean;
    footerContent?: React.ReactNode;
    fullWidth?: boolean;
    headerColorScheme?: keyof ColorSchemes;
    headerContent?: string | React.ReactNode;
    headerContentProps?: GridProps;
    headerIcon?: React.ReactNode;
    headerShowCloseButton?: boolean;
    hugColor?: PaletteColor;
    innerContentOverflow?: 'auto' | 'clip' | 'hidden' | 'scroll' | 'visible';
    open?: boolean;
    scrimColor?: 'dark' | 'medium' | 'light' | (string & {});
    scrimDismiss?: boolean;
    sheet?: boolean;
    showCloseButton?: boolean;
    size?: DialogSize;
    triggerNode?: React.ReactNode;
    zIndex?: ZIndex;
    onOpenChange?: (open: boolean) => void;
    showScrollShadow?: boolean;
};
/**
 * @public
 */
declare const PclnDialog: {
    ({ ariaDescription, ariaTitle, borderRadius, children, defaultOpen, footerContent, fullWidth, headerColorScheme, headerContent, headerContentProps, headerIcon, headerShowCloseButton, hugColor, innerContentOverflow, open, scrimColor, scrimDismiss, sheet, showCloseButton, showScrollShadow, size, triggerNode, zIndex, overflowX, overflowY, onOpenChange, }: DialogProps): React.JSX.Element;
    displayName: string;
};
export { PclnDialog as Dialog };
//# sourceMappingURL=Dialog.d.ts.map