import React from 'react';
import styled from 'styled-components';
import { Divider } from '../Divider/Divider';
import { Flex } from '../Flex/Flex';
const description = 'Horizontal rule with settings for padding, margin, width, and borderColor';
const ColumnFlex = styled(Flex) `
  flex-direction: column;
`;
export default {
    title: 'Divider',
    component: Divider,
    parameters: {
        docs: {
            description: {
                component: description,
            },
        },
    },
};
export const Default = () => React.createElement(Divider, null);
export const Margin = () => React.createElement(Divider, { m: 3 });
export const Width = () => React.createElement(Divider, { p: 3, width: 1 / 2 });
export const PixelWidth = () => React.createElement(Divider, { width: '256px' });
export const VWWidth = () => React.createElement(Divider, { width: '50vw' });
export const BorderColor = () => React.createElement(Divider, { m: 3, borderColor: 'blue' });
export const DirectionalMargin = () => (React.createElement("div", null,
    React.createElement(Divider, { mt: 3 }),
    React.createElement(Divider, { mr: 3 }),
    React.createElement(Divider, { mb: 3 }),
    React.createElement(Divider, { ml: 3 }),
    React.createElement(Divider, { mx: 3 }),
    React.createElement(Divider, { my: 3 })));
export const InsideColumnFlex = () => (React.createElement(ColumnFlex, null,
    React.createElement(Divider, null),
    React.createElement(Divider, { ml: 4, mr: 4 }),
    React.createElement(Divider, { ml: 4 }),
    React.createElement(Divider, { ml: 4, mr: 5 }),
    React.createElement(Divider, { mx: 2 })));
//# sourceMappingURL=Divider.stories.js.map