import React from 'react';
import { ColorName, PaletteColor, PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export declare const dotLoaderSizes: {
    small: any;
    medium: any;
    large: any;
};
/**
 * @public
 */
export type DotLoaderSizes = keyof typeof dotLoaderSizes | (keyof typeof dotLoaderSizes)[];
/**
 * @public
 */
export declare const dotLoaderSpeeds: {
    slow: number;
    medium: number;
    fast: number;
};
/**
 * @public
 */
export type DotLoaderSpeeds = keyof typeof dotLoaderSpeeds;
/**
 * @public
 */
export type DotLoaderProps = {
    color?: ColorName | PaletteFamilyName | PaletteColor;
    size?: DotLoaderSizes;
    speed?: DotLoaderSpeeds;
};
/**
 * @public
 */
export declare function DotLoader({ color, size, speed, ...props }: DotLoaderProps): React.JSX.Element;
export declare namespace DotLoader {
    var defaultProps: {
        color: string;
        size: string;
        speed: string;
    };
}
//# sourceMappingURL=DotLoader.d.ts.map