import React, { useState } from 'react';
import { Box } from '../Box/Box';
import { Button } from '../Button/Button';
import { DotLoader } from './DotLoader';
import { argTypes, defaultArgs } from './DotLoader.stories.args';
export default {
    title: 'core / DotLoader',
    component: DotLoader,
    args: defaultArgs,
    argTypes,
};
const Template = (args) => {
    const [isLoading, setLoading] = useState(false);
    function onClick() {
        setLoading(true);
        setTimeout(() => setLoading(false), 3000);
    }
    return (React.createElement(Box, { width: [1, null, '500px'] },
        React.createElement(Button, { size: args.size, width: 1, onClick: onClick }, isLoading ? React.createElement(DotLoader, { ...args }) : 'Click me to load nothing')));
};
export const _DotLoader = Template.bind({});
export const Fast = Template.bind({});
Fast.args = { speed: 'fast' };
export const Responsive = Template.bind({});
Responsive.args = { size: ['small', null, 'medium', null, 'large'] };
Responsive.parameters = { viewport: { defaultViewport: 'designSystem_sm' } };
//# sourceMappingURL=DotLoader.stories.js.map