import styled from 'styled-components';
import { alignItems, compose, flexDirection, flexWrap, justifyContent, } from 'styled-system';
import { Box } from '../Box/Box';
import { applyVariations } from '../utils/utils';
/**
 * @public
 */
export const Flex = styled(Box).attrs(({ wrap, align, justify, ...props }) => ({
    flexWrap: wrap ? 'wrap' : undefined,
    alignItems: align,
    justifyContent: justify,
    ...props,
})) `
  display: flex;
  ${applyVariations('Flex')}

  ${(props) => compose(alignItems, justifyContent, flexDirection, flexWrap)(props)}
`;
//# sourceMappingURL=Flex.js.map