import React from 'react';
import { Flex } from './Flex';
describe('Flex', () => {
    test('renders', () => {
        const flex = rendererCreateWithTheme(React.createElement(Flex, null)).toJSON();
        expect(flex).toMatchSnapshot();
    });
    test('alignItems prop', () => {
        const flex = rendererCreateWithTheme(React.createElement(Flex, { alignItems: 'center' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('align-items', 'center');
    });
    test('justifyContent prop', () => {
        const flex = rendererCreateWithTheme(React.createElement(Flex, { justifyContent: 'space-between' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('justify-content', 'space-between');
    });
    test('flexWrap prop', () => {
        const flex = rendererCreateWithTheme(React.createElement(Flex, { flexWrap: 'wrap' })).toJSON();
        expect(flex).toMatchSnapshot();
        expect(flex).toHaveStyleRule('flex-wrap', 'wrap');
    });
});
//# sourceMappingURL=Flex.spec.js.map