import React from 'react';
import { Animate } from '../Animate/Animate';
import { AnimatePresence } from 'framer-motion';
import { useFloatingActinButton } from './useFloatingActionButton';
import { FloatingActionButton } from '../FloatingActionButton/FloatingActionButton';
import { Wrapper } from './FloatingActionButtonProvider.styled';
import { POSITION_STYLES } from './constants';
export const FloatingActionButtonProvider = ({ animationVariant = 'slideInBottom', position = 'topRight', delayDisplayMs, hideUntilScrollPercent, floatingActionButtons, ...props }, ref) => {
    const { showFab } = useFloatingActinButton({
        hideUntilScrollPercent,
        delayDisplayMs,
    });
    return (React.createElement(AnimatePresence, null, !showFab ? null : (React.createElement(Wrapper, { positionVariant: position, ...POSITION_STYLES[position], ...props },
        React.createElement(Animate, { variant: animationVariant }, floatingActionButtons.map((fab) => (React.createElement(FloatingActionButton, { isAbsolutePosition: false, ...fab, key: fab.key, toolAlignment: 'right' }))))))));
};
//# sourceMappingURL=FloatingActionButtonProvider.js.map