import React from 'react';
import { AlignItemsProps, FontSizeProps, JustifyContentProps, MarginProps, PaddingProps } from 'styled-system';
import { ColorSchemeName } from '../theme/theme';
/**
 * @public
 */
export type GenericBannerNode = React.ReactElement<any, string | React.JSXElementConstructor<any>>;
/**
 * @public
 */
export type GenericBannerProps = AlignItemsProps & JustifyContentProps & FontSizeProps & PaddingProps & MarginProps & {
    buttonClick?: () => unknown;
    buttonSize?: 'small' | 'medium' | 'large';
    buttonVariation?: 'fill' | 'outline' | 'link';
    ctaText?: GenericBannerNode;
    heading?: GenericBannerNode;
    iconLeft?: GenericBannerNode;
    iconRight?: GenericBannerNode;
    imageLeft?: GenericBannerNode;
    linkVariation?: 'fill' | 'outline' | 'link';
    borderRadius?: string;
    linkColor?: string;
    text?: GenericBannerNode;
    URLProps?: {
        href: string;
        target?: string;
    };
    color?: string;
    colorScheme?: ColorSchemeName;
};
/**
 * @public
 */
export declare function GenericBanner({ alignItems, buttonClick, buttonSize, buttonVariation, ctaText, fontSize, heading, iconLeft, iconRight, imageLeft, justifyContent, linkVariation, linkColor, text, URLProps, ...props }: GenericBannerProps): React.JSX.Element;
export declare namespace GenericBanner {
    var defaultProps: {
        alignItems: string;
        buttonVariation: string;
        fontSize: number[];
        justifyContent: string;
        linkColor: string;
        linkVariation: string;
        borderRadius: string;
    };
}
//# sourceMappingURL=GenericBanner.d.ts.map