import React from 'react';
import { FlexboxProps, GridProps as SSGridProps } from 'styled-system';
import { type ColorSchemeName, type IStyledSystemProps } from '../theme/theme';
/**
 * @public
 */
export interface GridProps extends IStyledSystemProps {
    children?: React.ReactNode;
    gap?: SSGridProps['gridGap'];
    rowGap?: SSGridProps['gridRowGap'];
    columnGap?: SSGridProps['gridColumnGap'];
    column?: SSGridProps['gridColumn'];
    row?: SSGridProps['gridRow'];
    area?: SSGridProps['gridArea'];
    autoFlow?: SSGridProps['gridAutoFlow'];
    autoRows?: SSGridProps['gridAutoRows'];
    autoColumns?: SSGridProps['gridAutoColumns'];
    templateRows?: SSGridProps['gridTemplateRows'];
    templateColumns?: SSGridProps['gridTemplateColumns'];
    templateAreas?: SSGridProps['gridTemplateAreas'];
    placeItems?: FlexboxProps['alignItems'];
    colorScheme?: ColorSchemeName;
}
/**
 * @public
 */
export declare const Grid: (props: GridProps) => React.JSX.Element;
//# sourceMappingURL=Grid.d.ts.map