import React from 'react';
import { theme } from '../theme/theme';
import { Heading } from './Heading';
describe('Heading', () => {
    test('renders', () => {
        const json = rendererCreateWithTheme(React.createElement(Heading, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    const dotNotationTestCase = 'Heading component with h1-h6 dot-notation';
    test(dotNotationTestCase, () => {
        const headingH1json = rendererCreateWithTheme(React.createElement(Heading.h1, null)).toJSON();
        const headingH2json = rendererCreateWithTheme(React.createElement(Heading.h2, null)).toJSON();
        const headingH3json = rendererCreateWithTheme(React.createElement(Heading.h3, null)).toJSON();
        const headingH4json = rendererCreateWithTheme(React.createElement(Heading.h4, null)).toJSON();
        const headingH5json = rendererCreateWithTheme(React.createElement(Heading.h5, null)).toJSON();
        const headingH6json = rendererCreateWithTheme(React.createElement(Heading.h6, null)).toJSON();
        expect(headingH1json).toMatchSnapshot();
        expect(headingH2json).toMatchSnapshot();
        expect(headingH3json).toMatchSnapshot();
        expect(headingH4json).toMatchSnapshot();
        expect(headingH5json).toMatchSnapshot();
        expect(headingH6json).toMatchSnapshot();
    });
    const defaultFontSizeTestCase = 'Heading component with no default font size, when "fontSize" prop not used';
    test(defaultFontSizeTestCase, () => {
        const json = rendererCreateWithTheme(React.createElement(Heading, null)).toJSON();
        expect(json).toMatchSnapshot();
    });
    const usingTextPropsTestCase = 'Heading component using <Text> component properties';
    test(usingTextPropsTestCase, () => {
        const json = rendererCreateWithTheme(React.createElement(Heading, { textAlign: 'center', color: 'gray' })).toJSON();
        expect(json).toMatchSnapshot();
        expect(json).toHaveStyleRule('text-align', 'center');
        expect(json).toHaveStyleRule('color', theme.colors.gray);
    });
});
//# sourceMappingURL=Heading.spec.js.map