import { action } from '@storybook/addon-actions';
import { Calendar } from 'pcln-icons';
import React from 'react';
import { Button } from '../Button/Button';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
import { IconButton } from './IconButton';
export default {
    title: 'IconButton',
    component: IconButton,
};
export const Default = () => (React.createElement(IconButton, { onClick: action('Clicked IconButton'), "aria-label": 'Click to choose date', icon: React.createElement(Calendar, { title: 'Choose date' }) }));
export const WithColor = () => (React.createElement(IconButton, { onClick: action('Clicked IconButton'), icon: React.createElement(Calendar, { title: 'Choose date', color: 'primary' }) }));
export const WithSize = () => (React.createElement(IconButton, { onClick: action('Clicked IconButton'), icon: React.createElement(Calendar, { title: 'Choose date', size: 64 }) }));
export const WithDisabled = () => (React.createElement(IconButton, { onClick: action('Clicked IconButton'), icon: React.createElement(Calendar, { title: 'Choose date' }), disabled: true }));
export function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            return dsRef.current.focus();
        }
        return (React.createElement(React.Fragment, null,
            React.createElement(IconButton, { onClick: action('Clicked IconButton'), icon: React.createElement(Calendar, { title: 'Choose date', size: 64 }) }),
            React.createElement("br", null),
            React.createElement(Button, { onClick: onClick, mt: 4 }, "Click to focus button via ref")));
    }
    return React.createElement(ForwardRefDemo, { refChild: refChild });
}
//# sourceMappingURL=IconButton.stories.js.map