import React from 'react';
import { BorderRadiusProps, BoxShadowProps, HeightProps, MaxHeightProps, MaxWidthProps, MinHeightProps, MinWidthProps, SpaceProps, WidthProps } from 'styled-system';
import { ObjectFit, ObjectPosition } from '../utils';
/**
 * @public
 */
export type ImageProps = BorderRadiusProps & BoxShadowProps & HeightProps & MaxHeightProps & MaxWidthProps & MinHeightProps & MinWidthProps & SpaceProps & WidthProps & Partial<Omit<HTMLImageElement, 'width' | 'height'>> & {
    borderRadiusSize?: string;
    rounded?: string;
    boxShadowSize?: string;
    boxShadowColor?: string;
    objectFit?: ObjectFit;
    objectPosition?: ObjectPosition;
};
/**
 * @public
 */
export declare const Image: React.FC<ImageProps>;
//# sourceMappingURL=Image.d.ts.map