import React from 'react';
import { FontSizeProps, SpaceProps, ZIndexProps } from 'styled-system';
import { type TextProps } from '../Text/Text';
/**
 * @public
 */
export type InputProps = SpaceProps & FontSizeProps & ZIndexProps & Omit<React.InputHTMLAttributes<HTMLInputElement>, 'size'> & React.RefAttributes<HTMLInputElement> & {
    children?: React.ReactNode;
    onChange?: (unknown: any) => unknown;
    helperText?: React.ReactElement<any, string | React.JSXElementConstructor<any>>;
    color?: string;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    borderRadius?: string;
};
/**
 * @public
 */
export declare const Input: React.FC<InputProps> & {
    isField?: boolean;
    HelperText?: React.FC<TextProps>;
};
export type InputHelperTextProps = TextProps & {
    children?: React.ReactNode;
};
//# sourceMappingURL=Input.d.ts.map