import { themeGet } from '@styled-system/theme-get';
import styled from 'styled-components';
import { space } from 'styled-system';
import { Box } from '../Box/Box';
import { getPaletteColor } from '../utils/utils';
/**
 * @public
 */
export const InputGroup = styled.div `
  display: flex;
  align-items: center;
  border-radius: ${themeGet('borderRadii.xl')};
  border-width: 1px;
  border-style: solid;
  border-color: ${(props) => getPaletteColor(props.borderColor, 'base')(props)};

  & > ${Box} {
    width: 100%;
    flex: 1 1 auto;
  }

  & input {
    border: 0;
    box-shadow: none;
  }

  ${space}
`;
InputGroup.defaultProps = {
    borderColor: 'border',
};
//# sourceMappingURL=InputGroup.js.map