import React from 'react';
/**
 * @public
 */
export declare const ALLOWED_LAYOUT_VALUES: readonly ["50-50", "33-33-33", "33-66", "66-33", "25-25-25-25", "60-40", "40-60", "100"];
/**
 * @public
 */
export declare const ALLOWED_GAP_VALUES: readonly ["sm", "md", "lg", "xl"];
/**
 * @public
 */
export type LayoutGap = (typeof ALLOWED_GAP_VALUES)[number] | Array<(typeof ALLOWED_GAP_VALUES)[number]>;
/**
 * @public
 */
export type LayoutVariation = (typeof ALLOWED_LAYOUT_VALUES)[number] | Array<(typeof ALLOWED_LAYOUT_VALUES)[number]>;
/**
 * @public
 */
export type LayoutProps = {
    children: React.ReactElement | React.ReactElement[];
    gap?: LayoutGap;
    rowGap?: LayoutGap;
    variation?: LayoutVariation;
    stretchHeight?: boolean;
};
/**
 * @public
 */
export declare function Layout({ children, gap, rowGap, variation, stretchHeight, ...props }: LayoutProps): React.JSX.Element;
export declare namespace Layout {
    var displayName: string;
}
//# sourceMappingURL=Layout.d.ts.map