import React from 'react';
import { Box } from '../Box/Box';
import { render } from '../__test__/testing-library';
import { Layout } from './Layout';
describe('Layout', () => {
    it('renders with variations', () => {
        const { rerender, getByText } = render(React.createElement(Layout, { variation: '50-50' },
            React.createElement(Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.5');
        rerender(React.createElement(Layout, { variation: '33-33-33' },
            React.createElement(Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.33');
        rerender(React.createElement(Layout, { variation: '60-40' },
            React.createElement(Box, null, "1"),
            React.createElement(Box, null, "2"),
            React.createElement(Box, null, "3")));
        expect(getByText(1)).toHaveStyle('width: 0.6');
        expect(getByText(2)).toHaveStyle('width: 0.4');
        expect(getByText(3)).toHaveStyle('width: 0.6');
        rerender(React.createElement(Layout, { variation: ['25-25-25-25'] },
            React.createElement(Box, null, "1")));
        expect(getByText(1)).toHaveStyle('width: 0.25');
    });
});
//# sourceMappingURL=Layout.spec.js.map