import React from 'react';
import { type FontSizeProps, type SpaceProps } from 'styled-system';
import { type PaletteColor, type PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export declare const tabSpacingSize: {
    xsm: string;
    sm: string;
    md: string;
    lg: string;
    xl: string;
};
/**
 * @public
 */
export type ListIndentSize = keyof typeof tabSpacingSize | 'none';
/**
 * @public
 */
export declare const listStyles: readonly ["disc", "upper-roman", "lower-roman", "upper-alpha", "lower-alpha", "decimal", "square", "circle"];
/**
 * @public
 */
export type ListListStyle = (typeof listStyles)[number];
/**
 * @public
 */
export type ListProps = FontSizeProps & SpaceProps & React.HTMLAttributes<HTMLOListElement | HTMLUListElement> & {
    children?: React.ReactNode;
    listStyle?: ListListStyle;
    indentSize?: ListIndentSize;
    color?: PaletteFamilyName | PaletteColor;
};
/**
 * @public
 */
export declare const List: React.FC<ListProps> & {
    ol: React.FC<ListProps>;
    ul: React.FC<ListProps>;
};
//# sourceMappingURL=List.d.ts.map