import React from 'react';
import { Text } from '../Text/Text';
import { List } from './List';
import { argTypes, defaultArgs } from './List.stories.args';
export default {
    title: 'List',
    component: List,
    args: defaultArgs,
    argTypes,
};
const BasicTemplate = (args) => {
    const ListType = args.type === 'ol' ? List.ol : List.ul;
    return (React.createElement(ListType, { ...args },
        React.createElement("li", null,
            React.createElement(Text, null, "An example line of text")),
        React.createElement("li", null,
            React.createElement(Text, null, "An example line of text")),
        React.createElement("li", null,
            React.createElement(Text, null, "An example line of text")),
        React.createElement("li", null,
            React.createElement(Text, null, "An example line of text"))));
};
const StructuredRomanTemplate = (args) => {
    const ListType = args.type === 'ol' ? List.ol : List.ul;
    return (React.createElement("div", { style: { border: '1px solid lightgray' } },
        React.createElement(ListType, { ...args, ...{ listStyle: 'upper-roman' } },
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement(ListType, { ...args, ...{ listStyle: 'upper-alpha' } },
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                            React.createElement("li", null,
                                React.createElement(Text, null, "An example line of text")))))),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")))));
};
const StructuredDecimalTemplate = (args) => {
    const ListType = args.type === 'ol' ? List.ol : List.ul;
    return (React.createElement("div", { style: { border: '1px solid lightgray' } },
        React.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement(ListType, { ...args, ...{ listStyle: 'lower-roman' } },
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement(ListType, { ...args, ...{ listStyle: 'decimal' } },
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement(ListType, { ...args, ...{ listStyle: 'lower-alpha' } },
                            React.createElement("li", null,
                                React.createElement(Text, null, "An example line of text")))))),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")))));
};
const StructuredBulletTemplate = (args) => {
    const ListType = args.type === 'ol' ? List.ol : List.ul;
    return (React.createElement("div", { style: { border: '1px solid lightgray' } },
        React.createElement(ListType, { ...args, ...{ listStyle: 'disc' } },
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")),
            React.createElement(ListType, { ...args, ...{ listStyle: 'circle' } },
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement("li", null,
                    React.createElement(Text, null, "An example line of text")),
                React.createElement(ListType, { ...args, ...{ listStyle: 'square' } },
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement("li", null,
                        React.createElement(Text, null, "An example line of text")),
                    React.createElement(ListType, { ...args, ...{ listStyle: 'disc' } },
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement("li", null,
                            React.createElement(Text, null, "An example line of text")),
                        React.createElement(ListType, { ...args, ...{ listStyle: 'circle' } },
                            React.createElement("li", null,
                                React.createElement(Text, null, "An example line of text")))))),
            React.createElement("li", null,
                React.createElement(Text, null, "An example line of text")))));
};
export const _List = BasicTemplate.bind({});
export const OrderedList = BasicTemplate.bind({});
OrderedList.args = { color: 'text.light', fontSize: 1 };
export const UnorderedList = BasicTemplate.bind({});
UnorderedList.args = { color: 'primary.dark', fontSize: 1, type: 'ul' };
export const StructuredRomanList = StructuredRomanTemplate.bind({});
StructuredRomanList.args = { color: 'text.light', fontSize: 1 };
export const StructuredDecimalList = StructuredDecimalTemplate.bind({});
StructuredDecimalList.args = { color: 'text.light', fontSize: 1 };
export const StructuredBulletList = StructuredBulletTemplate.bind({});
StructuredBulletList.args = { color: 'text.light', fontSize: 1, type: 'ul' };
//# sourceMappingURL=List.stories.js.map