import React from 'react';
import { type FlexProps } from '../Flex/Flex';
import { type PaletteColor, type PaletteFamilyName } from '../theme/theme';
/**
 * @public
 */
export type PasswordInputProps = Omit<FlexProps, 'onChange'> & {
    id?: string;
    isValid?: boolean;
    label?: string;
    hasProgressBar?: boolean;
    progressBarSteps?: {
        color: PaletteColor | PaletteFamilyName;
        text: string;
    }[];
    progressBarDefaultStep?: number;
    regexChecks?: {
        label: string;
        regex: RegExp;
    }[];
    value?: string;
    onChange?: (event: {
        isValid: boolean;
        value: string;
    }) => void;
    autoComplete?: string;
};
/**
 * @public
 */
export declare function PasswordInput({ id, isValid, label, hasProgressBar, progressBarSteps, regexChecks, value, onChange, autoComplete, ...props }: PasswordInputProps): React.JSX.Element;
export declare namespace PasswordInput {
    var defaultProps: {
        hasProgressBar: boolean;
        progressBarSteps: {
            color: string;
            text: string;
        }[];
        progressBarDefaultStep: number;
        regexChecks: {
            label: string;
            regex: RegExp;
        }[];
    };
}
//# sourceMappingURL=PasswordInput.d.ts.map