import React from 'react';
/**
 * @public
 */
export declare const RadioCheckToggleCardCardTypes: readonly ["radio", "checkbox", "toggle"];
/**
 * @public
 */
export declare const RadioCheckToggleCardHPositions: readonly ["left", "right"];
/**
 * @public
 */
export declare const RadioCheckToggleCardVPositions: readonly ["top", "center"];
/**
 * @public
 */
export type TCardTypes = (typeof RadioCheckToggleCardCardTypes)[number];
/**
 * @public
 */
export type THPositions = (typeof RadioCheckToggleCardHPositions)[number];
/**
 * @public
 */
export type TVPositions = (typeof RadioCheckToggleCardVPositions)[number];
/**
 * @public
 */
export type RadioCheckToggleCardProps = {
    children?: React.ReactNode | string;
    cardType?: TCardTypes;
    hPosition?: THPositions;
    vPosition?: TVPositions;
    isTakingFullHeightOfCard?: boolean;
    title: string;
    isTitleBold?: boolean;
    name: string;
    value: string;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    isSelected: boolean;
};
/**
 * @public
 */
export declare function RadioCheckToggleCard(props: RadioCheckToggleCardProps): React.JSX.Element;
export declare namespace RadioCheckToggleCard {
    var displayName: string;
    var defaultProps: {
        cardType: "toggle" | "checkbox" | "radio";
        isTitleBold: boolean;
        hPosition: "left" | "right";
        vPosition: "center" | "top";
        isTakingFullHeightOfCard: boolean;
        onChange: () => void;
    };
}
//# sourceMappingURL=RadioCheckToggleCard.d.ts.map