import React from 'react';
import { FontSizeProps, SpaceProps } from 'styled-system';
import { BorderRadius, PaletteColor } from '../theme/theme';
/**
 * @public
 */
export declare const selectSizes: {
    sm: any;
    md: any;
    lg: any;
    xl: any;
};
/**
 * @public
 */
export type SelectSizes = keyof typeof selectSizes;
/**
 * @public
 */
export type SelectVariations = 'input' | 'subtle';
/**
 * @public
 */
export type SelectProps = SpaceProps & FontSizeProps & Omit<React.SelectHTMLAttributes<HTMLSelectElement>, 'size'> & {
    children?: React.ReactNode;
    color?: PaletteColor;
    borderRadius?: BorderRadius;
    size?: SelectSizes;
    ref?: React.Ref<React.ForwardedRef<unknown>>;
    variation?: SelectVariations;
};
/**
 * @public
 */
export declare const Select: React.FC<SelectProps> & {
    isField?: boolean;
};
//# sourceMappingURL=Select.d.ts.map