import { action } from '@storybook/addon-actions';
import React from 'react';
import styled from 'styled-components';
import { BackgroundImage } from '../BackgroundImage/BackgroundImage';
import { Box } from '../Box/Box';
import { Card } from '../Card/Card';
import { Flex } from '../Flex/Flex';
import { Text } from '../Text/Text';
import { SlideBox } from './SlideBox';
const ToutCard = styled(Card) `
  overflow: hidden;
`;
export default {
    title: 'SlideBox',
    component: SlideBox,
};
const TileContents = ({ index }) => (React.createElement(Box, null,
    React.createElement(BackgroundImage, { height: '190px', width: '100%', image: 'https://cdn2.thecatapi.com/images/dnn.jpg' }),
    React.createElement(Flex, { color: 'background.lightest', p: [1, 1, 2, 2, 2, 3] },
        React.createElement(Box, null,
            React.createElement(Text, { fontSize: [0, null, 1, 1, 2], fontWeight: 'bold', mb: 2 },
                "City, ",
                index),
            React.createElement(Text, { fontSize: [0, null, null, null, 1] }, "Hotel for 2 nights"),
            React.createElement(Text, { fontSize: [0, null, null, null, 1] }, "+ Round-trip flight")),
        React.createElement(Text, { textAlign: 'right', ml: 'auto' },
            React.createElement(Text.s, { fontSize: [0, null, null, null, 1], fontWeight: 'bold' }, "$554"),
            React.createElement(Text, { fontSize: [0, null, 1, 1, 3], fontWeight: 'bold', color: 'secondary.base', mx: 1 }, "$365"),
            React.createElement(Text, { fontSize: [0, null, null, null, 1], color: 'text.light' }, "per person")))));
export const Default = () => (React.createElement(Box, { m: 3 },
    React.createElement(SlideBox, { visibleSlides: [0.7, 2.2, 3, 3, 4], onSlideChange: action('Slide Change'), slideSpacing: 2, stretchHeight: true, arrowPosition: 'side' }, Array.from(Array(20)).map((_, idx) => (React.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        React.createElement(TileContents, { index: idx })))))));
export const NoStrechHeight = () => (React.createElement(Box, { m: 3 },
    React.createElement(SlideBox, { visibleSlides: [1.2, 2.2, 3, 3, 4], onSlideChange: action('Slide Change'), slideSpacing: 2, arrowPosition: 'side' }, Array.from(Array(6)).map((_, idx) => (React.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        React.createElement(TileContents, null)))))));
export const CustomLayout = () => (React.createElement(Box, null,
    React.createElement(SlideBox, { visibleSlides: 2, onSlideChange: action('Slide Change'), slideSpacing: 2, stretchHeight: true, layout: '30-70', arrowPosition: 'side' }, Array.from(Array(6)).map((_, idx) => (React.createElement(ToutCard, { height: idx === 1 ? '300px' : '320px', borderRadius: 20, boxShadowSize: 'md', borderWidth: 0, key: idx },
        React.createElement(TileContents, null)))))));
//# sourceMappingURL=SlideBox.stories.js.map