import React from 'react';
import { type Theme } from 'styled-system';
import { PaletteFamilyName } from '../theme/theme';
export type GradientRingProps = {
    strokeWidth?: string;
    color?: PaletteFamilyName;
    theme?: Theme;
};
/**
 * @public
 */
export type SpinnerSizes = 'small' | 'medium' | 'large' | number;
/**
 * @public
 */
export type SpinnerProps = GradientRingProps & {
    children?: React.ReactNode;
    size?: SpinnerSizes | string | Array<SpinnerSizes | string>;
    useGradient?: boolean;
};
/**
 * @public
 */
export declare function Spinner({ children, color, useGradient, ...props }: SpinnerProps): React.JSX.Element;
export declare namespace Spinner {
    var defaultProps: {
        color: string;
        size: string;
    };
}
//# sourceMappingURL=Spinner.d.ts.map