import React from 'react';
import { BorderRadiusProps, FontSizeProps, SpaceProps } from 'styled-system';
import type { ColorSchemeName } from '../theme';
/**
 * @public
 */
export type StampProps = SpaceProps & FontSizeProps & BorderRadiusProps & {
    bg?: string;
    borderColor?: string;
    children?: React.ReactNode;
    color?: string;
    size?: 'small' | 'medium';
    variation?: 'outline' | 'fill' | 'solid';
    colorScheme?: ColorSchemeName;
};
/**
 * @public
 */
export declare const Stamp: React.FC<StampProps>;
//# sourceMappingURL=Stamp.d.ts.map