import { action } from '@storybook/addon-actions';
import React from 'react';
import { Stepper } from './Stepper';
const onFirstClick = action('First Step Clicked');
const children = (React.createElement(React.Fragment, null,
    React.createElement(Stepper.Step, { completed: true, onClick: onFirstClick }, "First Step"),
    React.createElement(Stepper.Step, { active: true }, "Second Step"),
    React.createElement(Stepper.Step, null, "Third Step")));
export default {
    title: 'Stepper',
    component: Stepper,
    parameters: {
        docs: {
            description: {
                component: 'Use the <Stepper> component to render a stepper.',
            },
        },
    },
};
export const Default = () => React.createElement(Stepper, null, children);
//# sourceMappingURL=Stepper.stories.js.map