import React from 'react';
import { ResponsiveValue } from 'styled-system';
import { IconComponent } from '../Chip/ChipContent/ChipContent';
import { ChoiceChipProps } from '../Chip/ChoiceChip/ChoiceChip';
/**
 * Represents the data for a single tab in the tab component.
 * @public
 */ export type TabDataProps = {
    id: string;
    icon?: IconComponent;
    text: string;
    children: React.ReactNode;
    onTabSelect: () => void;
};
/**
 * Represents the props for a tab component.
 * @public
 */
export type TabProps = {
    ariaLabel?: string;
    orientation?: 'horizontal' | 'vertical';
    size?: ResponsiveValue<'sm' | 'md'>;
    tabsData: TabDataProps[];
    variant?: string;
    border?: boolean;
    tabGap?: number;
    type: 'chip' | 'radio' | 'button';
    isTransparent?: boolean;
    buttonChipProps?: ChoiceChipProps;
    dynamicTabWidth?: boolean;
    defaultValue?: string;
};
export type MappedTabProps = {
    tab: TabDataProps;
    buttonChipProps?: ChoiceChipProps;
    isActive?: string;
    onTabSelect?: () => void;
};
export declare const Tab: {
    ({ tabsData, orientation, size, type, border, tabGap, isTransparent, dynamicTabWidth, ariaLabel, defaultValue, buttonChipProps, }: TabProps): React.JSX.Element;
    displayName: string;
};
//# sourceMappingURL=Tab.d.ts.map