import React from 'react';
import styled, { ThemeProvider as StyledThemeProvider } from 'styled-components';
import { createTheme } from '../utils/createTheme';
/**
 * @public
 */
export const Base = styled.div `
  font-family: ${(props) => props.theme.font};
  line-height: ${(props) => props.theme.lineHeights.standard};
  font-weight: ${(props) => props.theme.fontWeights.medium};

  * {
    box-sizing: border-box;
  }
`;
/**
 * @public
 */
export const ThemeProvider = ({ theme, customBreakpoints, ...props }) => {
    // Once updated to React 16.8 this should be wrapped in React.useMemo()
    const mergedTheme = (existingTheme) => createTheme(theme, customBreakpoints, existingTheme);
    return (React.createElement(StyledThemeProvider, { theme: mergedTheme },
        React.createElement(Base, { ...props })));
};
//# sourceMappingURL=ThemeProvider.js.map