import { themeGet } from '@styled-system/theme-get';
import styled, { css } from 'styled-components';
import { Flex } from '../Flex/Flex';
import { IconButton } from '../IconButton/IconButton';
import { applyVariations, colorSchemeCustomForeground, getPaletteColor } from '../utils/utils';
const variations = {
    border: css `
    background-color: ${(props) => getPaletteColor(props.color, 'light')(props)};
    color: ${getPaletteColor('text.base')};
    border-left: ${themeGet('borderRadii.sm')} solid ${(props) => getPaletteColor(props.color, 'base')(props)};
  `,
    fill: css ``,
};
export const LeftBorderFlex = styled(Flex) `
  ${applyVariations('Toast', variations)};

  ${colorSchemeCustomForeground}
`;
export const RoundIconButton = styled(IconButton) `
  &&& {
    background-color: ${getPaletteColor('background.lightest')};
    padding: ${themeGet('space.1')};
    pointer-events: auto;

    &:hover {
      background-color: ${getPaletteColor('background.lightest')};
    }
  }
`;
//# sourceMappingURL=Toast.styled.js.map