import React from 'react';
import { type MotionVariant } from '../Animate/Animate';
import { type ToastProps } from '../Toast/Toast';
/**
 * @public
 */
export type ToastOptions = ToastProps & {
    enterAnimation?: MotionVariant;
    exitAnimation?: MotionVariant;
    removed?: boolean;
};
/**
 * @public
 */
export type ToastContextProps = {
    addToast: (options: ToastOptions) => void;
    removeToast: (id: number) => void;
};
export declare const ToastContext: React.Context<ToastContextProps>;
/**
 * @public
 */
export declare const useToast: () => ToastContextProps;
/**
 * @public
 */
export type ToastProviderProps = {
    children: React.ReactNode;
    domRootId?: string;
    enterAnimation?: MotionVariant;
    exitAnimation?: MotionVariant;
    lifespan?: number;
    maxToasts?: number;
    theme: unknown;
    top?: number;
    bottom?: number;
};
/**
 * @public
 */
export declare const ToastProvider: any;
//# sourceMappingURL=ToastProvider.d.ts.map