import React from 'react';
import { Button, ToggleBadge } from '..';
import { argTypes } from './ToggleBadge.stories.args';
import ForwardRefDemo from '../storybook/utils/ForwardRefsDemo';
export default {
    title: 'ToggleBadge',
    component: ToggleBadge,
    parameters: {
        docs: {
            description: {
                component: 'Use the <ToggleBadge /> component to render a primitive ToggleBadge.',
            },
        },
    },
    argTypes,
};
const Template = (args) => React.createElement(ToggleBadge, { ...args }, "ToggleBadge");
export const ToggleBadgeComponent = Template.bind({});
export const Selected = () => React.createElement(ToggleBadge, { selected: true }, "Selected - Badge");
export const Unselected = () => React.createElement(ToggleBadge, null, "Un - Selected - Badge");
export const UnselectedWithDifferentBackgroundColor = () => (React.createElement(ToggleBadge, { unSelectedBg: 'yellow' }, "Un - Selected - Badge"));
export const AGroup = () => (React.createElement("div", null,
    React.createElement(ToggleBadge, { selected: true }, "Flight + Hotel"),
    React.createElement(ToggleBadge, null, "Flight + Hotel + Car"),
    React.createElement(ToggleBadge, null, "Flight + Car")));
export function ForwardRefs() {
    function refChild(dsRef) {
        function onClick() {
            dsRef.current.focus();
        }
        return (React.createElement(React.Fragment, null,
            React.createElement("div", null,
                React.createElement(ToggleBadge, { selected: true }, "Flight + Hotel"),
                React.createElement(ToggleBadge, { ref: dsRef }, "Flight + Hotel + Car"),
                React.createElement(ToggleBadge, null, "Flight + Car")),
            React.createElement(Button, { onClick: onClick, mt: 4 }, "Click to focus second badge via ref")));
    }
    return React.createElement(ForwardRefDemo, { refChild: refChild });
}
//# sourceMappingURL=ToggleBadge.stories.js.map