import { Attention as AttentionIcon, Check as CheckIcon, InformationOutline as InformationOutlineIcon, } from 'pcln-icons';
import React from 'react';
import { Button } from '../../Button/Button';
import { Flex } from '../../Flex/Flex';
import { Text } from '../../Text/Text';
import { useToast } from '../../ToastProvider/ToastProvider';
export const errorOptions = {
    children: 'Error Toast Message',
    color: 'error',
    icon: React.createElement(AttentionIcon, null),
};
export const informationOptions = {
    children: 'Information Toast Message',
    color: 'primary',
    icon: React.createElement(InformationOutlineIcon, null),
};
export const successOptions = {
    children: 'Success Toast Message',
    color: 'success',
    icon: React.createElement(CheckIcon, null),
};
export const customOptions = {
    children: React.createElement(Text, { textStyle: 'paragraphBold' }, "Custom Toast Message"),
    enterAnimation: 'expandDown',
    exitAnimation: 'fadeIn',
    hideClose: true,
    lifespan: 2000,
};
export const MockToastChildren = ({ variation }) => {
    const { addToast } = useToast();
    return (React.createElement(Flex, null,
        React.createElement(Button, { color: 'error', onClick: () => addToast({ ...errorOptions, variation }) }, "Add Error Toast"),
        React.createElement(Button, { onClick: () => addToast({ ...informationOptions, variation }), mx: 3 }, "Add Information Toast"),
        React.createElement(Button, { color: 'success', onClick: () => addToast({ ...successOptions, variation }) }, "Add Success Toast"),
        React.createElement(Button, { color: 'text.light', onClick: () => addToast({ ...customOptions, variation }), ml: 3 }, "Add Custom Toast")));
};
//# sourceMappingURL=toasts.js.map